/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2022-11-10 19:45:40 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wpky_actionscheduler_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) NOT NULL,
  `status` varchar(20) NOT NULL,
  `scheduled_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) DEFAULT NULL,
  `schedule` longtext DEFAULT NULL,
  `group_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `attempts` int(11) NOT NULL DEFAULT 0,
  `last_attempt_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `extended_args` varchar(8000) DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id` (`claim_id`),
  KEY `claim_id_status_scheduled_date_gmt` (`claim_id`,`status`,`scheduled_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=1045 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_actionscheduler_claims` (
  `claim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=518 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_actionscheduler_groups` (
  `group_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_actionscheduler_logs` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint(20) unsigned NOT NULL,
  `message` text NOT NULL,
  `log_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=153 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT 0,
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT 0,
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE `wpky_e_events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_data` text DEFAULT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created_at_index` (`created_at`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wpky_e_notes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `route_url` text DEFAULT NULL COMMENT 'Clean url where the note was created.',
  `route_title` varchar(255) DEFAULT NULL,
  `route_post_id` bigint(20) unsigned DEFAULT NULL COMMENT 'The post id of the route that the note was created on.',
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `element_id` varchar(60) DEFAULT NULL COMMENT 'The Elementor element ID the note is attached to.',
  `parent_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `author_id` bigint(20) unsigned DEFAULT NULL,
  `author_display_name` varchar(250) DEFAULT NULL COMMENT 'Save the author name when the author was deleted.',
  `status` varchar(20) NOT NULL DEFAULT 'publish',
  `position` text DEFAULT NULL COMMENT 'A JSON string that represents the position of the note inside the element in percentages. e.g. {x:10, y:15}',
  `content` longtext DEFAULT NULL,
  `is_resolved` tinyint(1) NOT NULL DEFAULT 0,
  `is_public` tinyint(1) NOT NULL DEFAULT 1,
  `last_activity_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `route_url_index` (`route_url`(191)),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `parent_id_index` (`parent_id`),
  KEY `author_id_index` (`author_id`),
  KEY `status_index` (`status`),
  KEY `is_resolved_index` (`is_resolved`),
  KEY `is_public_index` (`is_public`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `last_activity_at_index` (`last_activity_at`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wpky_e_notes_users_relations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) NOT NULL COMMENT 'The relation type between user and note (e.g mention, watch, read).',
  `note_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type_index` (`type`),
  KEY `note_id_index` (`note_id`),
  KEY `user_id_index` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wpky_e_submissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) DEFAULT NULL,
  `hash_id` varchar(60) NOT NULL,
  `main_meta_id` bigint(20) unsigned NOT NULL COMMENT 'Id of main field. to represent the main meta field',
  `post_id` bigint(20) unsigned NOT NULL,
  `referer` varchar(500) NOT NULL,
  `referer_title` varchar(300) DEFAULT NULL,
  `element_id` varchar(20) NOT NULL,
  `form_name` varchar(60) NOT NULL,
  `campaign_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `user_ip` varchar(46) NOT NULL,
  `user_agent` text NOT NULL,
  `actions_count` int(11) DEFAULT 0,
  `actions_succeeded_count` int(11) DEFAULT 0,
  `status` varchar(20) NOT NULL,
  `is_read` tinyint(1) NOT NULL DEFAULT 0,
  `meta` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash_id_unique_index` (`hash_id`),
  KEY `main_meta_id_index` (`main_meta_id`),
  KEY `hash_id_index` (`hash_id`),
  KEY `type_index` (`type`),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `campaign_id_index` (`campaign_id`),
  KEY `user_id_index` (`user_id`),
  KEY `user_ip_index` (`user_ip`),
  KEY `status_index` (`status`),
  KEY `is_read_index` (`is_read`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `referer_index` (`referer`(191)),
  KEY `referer_title_index` (`referer_title`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_e_submissions_actions_log` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL,
  `action_name` varchar(60) NOT NULL,
  `action_label` varchar(60) DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  `log` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `action_name_index` (`action_name`),
  KEY `status_index` (`status`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_e_submissions_values` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `key` varchar(60) DEFAULT NULL,
  `value` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `key_index` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT 1,
  `link_rating` int(11) NOT NULL DEFAULT 0,
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_loginizer_logs` (
  `username` varchar(255) NOT NULL DEFAULT '',
  `time` int(10) NOT NULL DEFAULT 0,
  `count` int(10) NOT NULL DEFAULT 0,
  `lockout` int(10) NOT NULL DEFAULT 0,
  `ip` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=4946 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=9617 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT 0,
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(255) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT 0,
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=1316 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_rank_math_404_logs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uri` varchar(255) NOT NULL,
  `accessed` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `times_accessed` bigint(20) unsigned NOT NULL DEFAULT 1,
  `ip` varchar(50) NOT NULL DEFAULT '',
  `referer` varchar(255) NOT NULL DEFAULT '',
  `user_agent` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `uri` (`uri`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_rank_math_internal_links` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `post_id` bigint(20) unsigned NOT NULL,
  `target_post_id` bigint(20) unsigned NOT NULL,
  `type` varchar(8) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `link_direction` (`post_id`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_rank_math_internal_meta` (
  `object_id` bigint(20) unsigned NOT NULL,
  `internal_link_count` int(10) unsigned DEFAULT 0,
  `external_link_count` int(10) unsigned DEFAULT 0,
  `incoming_link_count` int(10) unsigned DEFAULT 0,
  UNIQUE KEY `object_id` (`object_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_rank_math_redirections` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `sources` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `url_to` text NOT NULL,
  `header_code` smallint(4) unsigned NOT NULL,
  `hits` bigint(20) unsigned NOT NULL DEFAULT 0,
  `status` varchar(25) NOT NULL DEFAULT 'active',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_accessed` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_rank_math_redirections_cache` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `from_url` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `redirection_id` bigint(20) unsigned NOT NULL,
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `object_type` varchar(10) NOT NULL DEFAULT 'post',
  `is_redirected` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `redirection_id` (`redirection_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_rank_math_sc_analytics` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL,
  `property` text NOT NULL,
  `clicks` mediumint(6) NOT NULL,
  `impressions` mediumint(6) NOT NULL,
  `position` double NOT NULL,
  `ctr` double NOT NULL,
  `dimension` varchar(25) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `property` (`property`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=135 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(255) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT 0,
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_wfblockediplog` (
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `countryCode` varchar(2) NOT NULL,
  `blockCount` int(10) unsigned NOT NULL DEFAULT 0,
  `unixday` int(10) unsigned NOT NULL,
  `blockType` varchar(50) NOT NULL DEFAULT 'generic',
  PRIMARY KEY (`IP`,`unixday`,`blockType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfblocks7` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` int(10) unsigned NOT NULL DEFAULT 0,
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `blockedTime` bigint(20) NOT NULL,
  `reason` varchar(255) NOT NULL,
  `lastAttempt` int(10) unsigned DEFAULT 0,
  `blockedHits` int(10) unsigned DEFAULT 0,
  `expiration` bigint(20) unsigned NOT NULL DEFAULT 0,
  `parameters` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `IP` (`IP`),
  KEY `expiration` (`expiration`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfconfig` (
  `name` varchar(100) NOT NULL,
  `val` longblob DEFAULT NULL,
  `autoload` enum('no','yes') NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfcrawlers` (
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `patternSig` binary(16) NOT NULL,
  `status` char(8) NOT NULL,
  `lastUpdate` int(10) unsigned NOT NULL,
  `PTR` varchar(255) DEFAULT '',
  PRIMARY KEY (`IP`,`patternSig`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wffilechanges` (
  `filenameHash` char(64) NOT NULL,
  `file` varchar(1000) NOT NULL,
  `md5` char(32) NOT NULL,
  PRIMARY KEY (`filenameHash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wffilemods` (
  `filenameMD5` binary(16) NOT NULL,
  `filename` varchar(1000) NOT NULL,
  `knownFile` tinyint(3) unsigned NOT NULL,
  `oldMD5` binary(16) NOT NULL,
  `newMD5` binary(16) NOT NULL,
  `SHAC` binary(32) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `stoppedOnSignature` varchar(255) NOT NULL DEFAULT '',
  `stoppedOnPosition` int(10) unsigned NOT NULL DEFAULT 0,
  `isSafeFile` varchar(1) NOT NULL DEFAULT '?',
  PRIMARY KEY (`filenameMD5`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfhits` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attackLogTime` double(17,6) unsigned NOT NULL,
  `ctime` double(17,6) unsigned NOT NULL,
  `IP` binary(16) DEFAULT NULL,
  `jsRun` tinyint(4) DEFAULT 0,
  `statusCode` int(11) NOT NULL DEFAULT 200,
  `isGoogle` tinyint(4) NOT NULL,
  `userID` int(10) unsigned NOT NULL,
  `newVisit` tinyint(3) unsigned NOT NULL,
  `URL` text DEFAULT NULL,
  `referer` text DEFAULT NULL,
  `UA` text DEFAULT NULL,
  `action` varchar(64) NOT NULL DEFAULT '',
  `actionDescription` text DEFAULT NULL,
  `actionData` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `k1` (`ctime`),
  KEY `k2` (`IP`,`ctime`),
  KEY `attackLogTime` (`attackLogTime`)
) ENGINE=InnoDB AUTO_INCREMENT=413 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfhoover` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `owner` text DEFAULT NULL,
  `host` text DEFAULT NULL,
  `path` text DEFAULT NULL,
  `hostKey` varbinary(124) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `k2` (`hostKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfissues` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `time` int(10) unsigned NOT NULL,
  `lastUpdated` int(10) unsigned NOT NULL,
  `status` varchar(10) NOT NULL,
  `type` varchar(20) NOT NULL,
  `severity` tinyint(3) unsigned NOT NULL,
  `ignoreP` char(32) NOT NULL,
  `ignoreC` char(32) NOT NULL,
  `shortMsg` varchar(255) NOT NULL,
  `longMsg` text DEFAULT NULL,
  `data` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lastUpdated` (`lastUpdated`),
  KEY `status` (`status`),
  KEY `ignoreP` (`ignoreP`),
  KEY `ignoreC` (`ignoreC`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfknownfilelist` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `path` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6272 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wflivetraffichuman` (
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `identifier` binary(32) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `expiration` int(10) unsigned NOT NULL,
  PRIMARY KEY (`IP`,`identifier`),
  KEY `expiration` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wflocs` (
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `ctime` int(10) unsigned NOT NULL,
  `failed` tinyint(3) unsigned NOT NULL,
  `city` varchar(255) DEFAULT '',
  `region` varchar(255) DEFAULT '',
  `countryName` varchar(255) DEFAULT '',
  `countryCode` char(2) DEFAULT '',
  `lat` float(10,7) DEFAULT 0.0000000,
  `lon` float(10,7) DEFAULT 0.0000000,
  PRIMARY KEY (`IP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wflogins` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hitID` int(11) DEFAULT NULL,
  `ctime` double(17,6) unsigned NOT NULL,
  `fail` tinyint(3) unsigned NOT NULL,
  `action` varchar(40) NOT NULL,
  `username` varchar(255) NOT NULL,
  `userID` int(10) unsigned NOT NULL,
  `IP` binary(16) DEFAULT NULL,
  `UA` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `k1` (`IP`,`fail`),
  KEY `hitID` (`hitID`)
) ENGINE=InnoDB AUTO_INCREMENT=373 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfls_2fa_secrets` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL,
  `secret` tinyblob NOT NULL,
  `recovery` blob NOT NULL,
  `ctime` int(10) unsigned NOT NULL,
  `vtime` int(10) unsigned NOT NULL,
  `mode` enum('authenticator') NOT NULL DEFAULT 'authenticator',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfls_settings` (
  `name` varchar(191) NOT NULL DEFAULT '',
  `value` longblob DEFAULT NULL,
  `autoload` enum('no','yes') NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfnotifications` (
  `id` varchar(32) NOT NULL DEFAULT '',
  `new` tinyint(3) unsigned NOT NULL DEFAULT 1,
  `category` varchar(255) NOT NULL,
  `priority` int(11) NOT NULL DEFAULT 1000,
  `ctime` int(10) unsigned NOT NULL,
  `html` text NOT NULL,
  `links` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfpendingissues` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `time` int(10) unsigned NOT NULL,
  `lastUpdated` int(10) unsigned NOT NULL,
  `status` varchar(10) NOT NULL,
  `type` varchar(20) NOT NULL,
  `severity` tinyint(3) unsigned NOT NULL,
  `ignoreP` char(32) NOT NULL,
  `ignoreC` char(32) NOT NULL,
  `shortMsg` varchar(255) NOT NULL,
  `longMsg` text DEFAULT NULL,
  `data` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lastUpdated` (`lastUpdated`),
  KEY `status` (`status`),
  KEY `ignoreP` (`ignoreP`),
  KEY `ignoreC` (`ignoreC`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfreversecache` (
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `host` varchar(255) NOT NULL,
  `lastUpdate` int(10) unsigned NOT NULL,
  PRIMARY KEY (`IP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfsnipcache` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `IP` varchar(45) NOT NULL DEFAULT '',
  `expiration` timestamp NOT NULL DEFAULT current_timestamp(),
  `body` varchar(255) NOT NULL DEFAULT '',
  `count` int(10) unsigned NOT NULL DEFAULT 0,
  `type` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `expiration` (`expiration`),
  KEY `IP` (`IP`),
  KEY `type` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wfstatus` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ctime` double(17,6) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `type` char(5) NOT NULL,
  `msg` varchar(1000) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `k1` (`ctime`),
  KEY `k2` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=7150 DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wftrafficrates` (
  `eMin` int(10) unsigned NOT NULL,
  `IP` binary(16) NOT NULL DEFAULT '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0',
  `hitType` enum('hit','404') NOT NULL DEFAULT 'hit',
  `hits` int(10) unsigned NOT NULL,
  PRIMARY KEY (`eMin`,`IP`,`hitType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

CREATE TABLE `wpky_wpforms_entries` (
  `entry_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `form_id` bigint(20) NOT NULL,
  `post_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `status` varchar(30) NOT NULL,
  `type` varchar(30) NOT NULL,
  `viewed` tinyint(1) DEFAULT 0,
  `starred` tinyint(1) DEFAULT 0,
  `fields` longtext NOT NULL,
  `meta` longtext NOT NULL,
  `date` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `ip_address` varchar(128) NOT NULL,
  `user_agent` varchar(256) NOT NULL,
  `user_uuid` varchar(36) NOT NULL,
  PRIMARY KEY (`entry_id`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_wpforms_entry_fields` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `entry_id` bigint(20) NOT NULL,
  `form_id` bigint(20) NOT NULL,
  `field_id` int(11) NOT NULL,
  `value` longtext NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `entry_id` (`entry_id`),
  KEY `form_id` (`form_id`),
  KEY `field_id` (`field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_wpforms_entry_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `entry_id` bigint(20) NOT NULL,
  `form_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `status` varchar(30) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `data` longtext NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `entry_id` (`entry_id`),
  KEY `form_id` (`form_id`),
  KEY `type` (`type`),
  KEY `data` (`data`(32))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE `wpky_wpforms_tasks_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) NOT NULL,
  `data` longtext NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wpky_actionscheduler_actions */
INSERT INTO `wpky_actionscheduler_actions` VALUES("1035", "wpforms_admin_notifications_update", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "{\"tasks_meta_id\":15}", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:23:36", "2022-11-10 17:23:36", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1034", "wpforms_admin_notifications_update", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "{\"tasks_meta_id\":14}", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:23:07", "2022-11-10 17:23:07", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1016", "wpforms_send_usage_data", "complete", "2022-03-10 20:57:20", "2022-03-10 20:57:20", "{\"tasks_meta_id\":null}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1646945840;s:18:\"\0*\0first_timestamp\";i:1604818212;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1646945840;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "1", "2022-11-10 17:22:17", "2022-11-10 17:22:17", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1017", "wpforms_builder_help_cache_update", "complete", "2022-03-10 20:57:20", "2022-03-10 20:57:20", "{\"tasks_meta_id\":6}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1646945840;s:18:\"\0*\0first_timestamp\";i:1605043008;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1646945840;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "1", "2022-11-10 17:22:17", "2022-11-10 17:22:17", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1031", "wpforms_admin_addons_cache_update", "pending", "2022-11-17 17:22:17", "2022-11-17 17:22:17", "{\"tasks_meta_id\":10}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668705737;s:18:\"\0*\0first_timestamp\";i:1646945990;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668705737;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1032", "wpforms_admin_builder_templates_cache_update", "pending", "2022-11-17 17:22:17", "2022-11-17 17:22:17", "{\"tasks_meta_id\":11}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668705737;s:18:\"\0*\0first_timestamp\";i:1646945990;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668705737;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1019", "wpforms_email_summaries_fetch_info_blocks", "complete", "2022-03-10 20:57:20", "2022-03-10 20:57:20", "{\"tasks_meta_id\":null}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1646945840;s:18:\"\0*\0first_timestamp\";i:1608217306;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1646945840;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "1", "2022-11-10 17:22:17", "2022-11-10 17:22:17", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1030", "wpforms_email_summaries_fetch_info_blocks", "pending", "2022-11-17 17:22:17", "2022-11-17 17:22:17", "{\"tasks_meta_id\":null}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668705737;s:18:\"\0*\0first_timestamp\";i:1608217306;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668705737;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1021", "wpforms_admin_addons_cache_update", "complete", "2022-03-10 20:59:50", "2022-03-10 20:59:50", "{\"tasks_meta_id\":10}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1646945990;s:18:\"\0*\0first_timestamp\";i:1646945990;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1646945990;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "1", "2022-11-10 17:22:17", "2022-11-10 17:22:17", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1022", "wpforms_admin_builder_templates_cache_update", "complete", "2022-03-10 20:59:50", "2022-03-10 20:59:50", "{\"tasks_meta_id\":11}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1646945990;s:18:\"\0*\0first_timestamp\";i:1646945990;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1646945990;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "1", "2022-11-10 17:22:17", "2022-11-10 17:22:17", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1028", "wpforms_send_usage_data", "pending", "2022-11-17 17:22:17", "2022-11-17 17:22:17", "{\"tasks_meta_id\":null}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668705737;s:18:\"\0*\0first_timestamp\";i:1604818212;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668705737;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1029", "wpforms_builder_help_cache_update", "pending", "2022-11-17 17:22:17", "2022-11-17 17:22:17", "{\"tasks_meta_id\":6}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668705737;s:18:\"\0*\0first_timestamp\";i:1605043008;s:13:\"\0*\0recurrence\";i:604800;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668705737;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:604800;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1025", "wpforms_process_entry_emails_meta_cleanup", "complete", "2022-03-10 17:06:12", "2022-03-10 17:06:12", "{\"tasks_meta_id\":3}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1646931972;s:18:\"\0*\0first_timestamp\";i:1588377600;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1646931972;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "2", "1", "2022-11-10 17:22:17", "2022-11-10 17:22:17", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1043", "wpforms_process_forms_locator_scan", "pending", "2022-11-11 17:24:13", "2022-11-11 17:24:13", "{\"tasks_meta_id\":16}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668187453;s:18:\"\0*\0first_timestamp\";i:1668101050;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668187453;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "2", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1036", "wpforms_process_forms_locator_scan", "complete", "2022-11-10 17:24:10", "2022-11-10 17:24:10", "{\"tasks_meta_id\":16}", "O:32:\"ActionScheduler_IntervalSchedule\":5:{s:22:\"\0*\0scheduled_timestamp\";i:1668101050;s:18:\"\0*\0first_timestamp\";i:1668101050;s:13:\"\0*\0recurrence\";i:86400;s:49:\"\0ActionScheduler_IntervalSchedule\0start_timestamp\";i:1668101050;s:53:\"\0ActionScheduler_IntervalSchedule\0interval_in_seconds\";i:86400;}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1037", "wpforms_process_migration_175", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "[-3]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1038", "wpforms_process_migration_175", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "[-2]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1039", "wpforms_process_migration_175", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "[-1]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1040", "wpforms_process_migration_175", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "[-3]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1041", "wpforms_process_migration_175", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "[-2]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1042", "wpforms_process_migration_175", "complete", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "[-1]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "2", "1", "2022-11-10 17:24:13", "2022-11-10 17:24:13", "0", NULL);
INSERT INTO `wpky_actionscheduler_actions` VALUES("1044", "action_scheduler/migration_hook", "complete", "2022-11-10 17:26:24", "2022-11-10 17:26:24", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1668101184;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1668101184;}", "1", "1", "2022-11-10 17:26:55", "2022-11-10 17:26:55", "0", NULL);

/* INSERT TABLE DATA: wpky_actionscheduler_groups */
INSERT INTO `wpky_actionscheduler_groups` VALUES("1", "action-scheduler-migration");
INSERT INTO `wpky_actionscheduler_groups` VALUES("2", "wpforms");

/* INSERT TABLE DATA: wpky_actionscheduler_logs */
INSERT INTO `wpky_actionscheduler_logs` VALUES("122", "1034", "action started via WP Cron", "2022-11-10 17:23:07", "2022-11-10 17:23:07");
INSERT INTO `wpky_actionscheduler_logs` VALUES("123", "1034", "action complete via WP Cron", "2022-11-10 17:23:07", "2022-11-10 17:23:07");
INSERT INTO `wpky_actionscheduler_logs` VALUES("124", "1035", "action created", "2022-11-10 17:23:07", "2022-11-10 17:23:07");
INSERT INTO `wpky_actionscheduler_logs` VALUES("82", "1019", "action created", "2022-03-03 20:57:20", "2022-03-03 20:57:20");
INSERT INTO `wpky_actionscheduler_logs` VALUES("116", "1022", "action complete via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("117", "1032", "action created", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("87", "1022", "action created", "2022-03-03 20:59:50", "2022-03-03 20:59:50");
INSERT INTO `wpky_actionscheduler_logs` VALUES("86", "1021", "action created", "2022-03-03 20:59:50", "2022-03-03 20:59:50");
INSERT INTO `wpky_actionscheduler_logs` VALUES("76", "1017", "action created", "2022-03-03 20:57:20", "2022-03-03 20:57:20");
INSERT INTO `wpky_actionscheduler_logs` VALUES("125", "1035", "action started via Async Request", "2022-11-10 17:23:36", "2022-11-10 17:23:36");
INSERT INTO `wpky_actionscheduler_logs` VALUES("118", "1025", "action started via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("119", "1025", "action complete via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("121", "1034", "action created", "2022-11-10 17:22:40", "2022-11-10 17:22:40");
INSERT INTO `wpky_actionscheduler_logs` VALUES("73", "1016", "action created", "2022-03-03 20:57:20", "2022-03-03 20:57:20");
INSERT INTO `wpky_actionscheduler_logs` VALUES("126", "1035", "action complete via Async Request", "2022-11-10 17:23:36", "2022-11-10 17:23:36");
INSERT INTO `wpky_actionscheduler_logs` VALUES("115", "1022", "action started via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("114", "1031", "action created", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("113", "1021", "action complete via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("112", "1021", "action started via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("111", "1030", "action created", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("110", "1019", "action complete via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("109", "1019", "action started via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("96", "1025", "action created", "2022-03-09 17:06:12", "2022-03-09 17:06:12");
INSERT INTO `wpky_actionscheduler_logs` VALUES("108", "1029", "action created", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("107", "1017", "action complete via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("106", "1017", "action started via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("105", "1028", "action created", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("104", "1016", "action complete via WP Cron", "2022-11-10 17:22:17", "2022-11-10 17:22:17");
INSERT INTO `wpky_actionscheduler_logs` VALUES("103", "1016", "action started via WP Cron", "2022-11-10 17:22:16", "2022-11-10 17:22:16");
INSERT INTO `wpky_actionscheduler_logs` VALUES("135", "1036", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("128", "1036", "action created", "2022-11-10 17:24:10", "2022-11-10 17:24:10");
INSERT INTO `wpky_actionscheduler_logs` VALUES("129", "1037", "action created", "2022-11-10 17:24:11", "2022-11-10 17:24:11");
INSERT INTO `wpky_actionscheduler_logs` VALUES("130", "1038", "action created", "2022-11-10 17:24:11", "2022-11-10 17:24:11");
INSERT INTO `wpky_actionscheduler_logs` VALUES("131", "1039", "action created", "2022-11-10 17:24:11", "2022-11-10 17:24:11");
INSERT INTO `wpky_actionscheduler_logs` VALUES("132", "1040", "action created", "2022-11-10 17:24:11", "2022-11-10 17:24:11");
INSERT INTO `wpky_actionscheduler_logs` VALUES("133", "1041", "action created", "2022-11-10 17:24:11", "2022-11-10 17:24:11");
INSERT INTO `wpky_actionscheduler_logs` VALUES("134", "1042", "action created", "2022-11-10 17:24:11", "2022-11-10 17:24:11");
INSERT INTO `wpky_actionscheduler_logs` VALUES("136", "1036", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("137", "1043", "action created", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("138", "1037", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("139", "1037", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("140", "1038", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("141", "1038", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("142", "1039", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("143", "1039", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("144", "1040", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("145", "1040", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("146", "1041", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("147", "1041", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("148", "1042", "action started via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("149", "1042", "action complete via WP Cron", "2022-11-10 17:24:13", "2022-11-10 17:24:13");
INSERT INTO `wpky_actionscheduler_logs` VALUES("150", "1044", "action created", "2022-11-10 17:25:24", "2022-11-10 17:25:24");
INSERT INTO `wpky_actionscheduler_logs` VALUES("151", "1044", "action started via WP Cron", "2022-11-10 17:26:55", "2022-11-10 17:26:55");
INSERT INTO `wpky_actionscheduler_logs` VALUES("152", "1044", "action complete via WP Cron", "2022-11-10 17:26:55", "2022-11-10 17:26:55");

/* INSERT TABLE DATA: wpky_duplicator_packages */
INSERT INTO `wpky_duplicator_packages` VALUES("7", "nov2022_sophisticated_one", "d373ef729fcd4c651458_20221110193857", "21", "2022-11-10 19:45:40", "c20665x1", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2022-11-10 19:38:57\";s:7:\"Version\";s:5:\"1.5.0\";s:9:\"VersionWP\";s:3:\"6.1\";s:9:\"VersionDB\";s:7:\"10.3.37\";s:10:\"VersionPHP\";s:6:\"7.4.32\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:7;s:4:\"Name\";s:25:\"nov2022_sophisticated_one\";s:4:\"Hash\";s:35:\"d373ef729fcd4c651458_20221110193857\";s:8:\"NameHash\";s:61:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:71:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.1\";s:6:\"WPUser\";s:8:\"c20665x1\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:73:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:50:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:2264;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:10553;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2022-11-10 19:38:57\";s:7:\"Version\";s:5:\"1.5.0\";s:9:\"VersionWP\";s:3:\"6.1\";s:9:\"VersionDB\";s:7:\"10.3.37\";s:10:\"VersionPHP\";s:6:\"7.4.32\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:25:\"nov2022_sophisticated_one\";s:4:\"Hash\";s:35:\"d373ef729fcd4c651458_20221110193857\";s:8:\"NameHash\";s:61:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:79:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:64:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:74:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:142:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-snapshots/tmp/nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;s:19:\"sameNameTableExists\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:59:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-admin\";i:1;s:62:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes\";i:2;s:71:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:50:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com\";i:1;s:50:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com\";i:2;s:61:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content\";i:3;s:69:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/uploads\";i:4;s:69:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins\";i:5;s:72:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/mu-plugins\";i:6;s:68:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:67:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-snapshots/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wpky_options */
INSERT INTO `wpky_options` VALUES("1", "siteurl", "https://test.ajdembrosky.com", "yes");
INSERT INTO `wpky_options` VALUES("2", "home", "https://test.ajdembrosky.com", "yes");
INSERT INTO `wpky_options` VALUES("3", "blogname", "Company Name", "yes");
INSERT INTO `wpky_options` VALUES("4", "blogdescription", "Services | City, State", "yes");
INSERT INTO `wpky_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wpky_options` VALUES("6", "admin_email", "webteam@enter.net", "yes");
INSERT INTO `wpky_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wpky_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wpky_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wpky_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wpky_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wpky_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wpky_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wpky_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wpky_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wpky_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wpky_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wpky_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wpky_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wpky_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wpky_options` VALUES("21", "default_pingback_flag", "1", "yes");
INSERT INTO `wpky_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wpky_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wpky_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wpky_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wpky_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wpky_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wpky_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wpky_options` VALUES("29", "rewrite_rules", "a:175:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:42:\"e-landing-page/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:52:\"e-landing-page/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:72:\"e-landing-page/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:48:\"e-landing-page/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:31:\"e-landing-page/([^/]+)/embed/?$\";s:47:\"index.php?e-landing-page=$matches[1]&embed=true\";s:35:\"e-landing-page/([^/]+)/trackback/?$\";s:41:\"index.php?e-landing-page=$matches[1]&tb=1\";s:43:\"e-landing-page/([^/]+)/page/?([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&paged=$matches[2]\";s:50:\"e-landing-page/([^/]+)/comment-page-([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&cpage=$matches[2]\";s:39:\"e-landing-page/([^/]+)(?:/([0-9]+))?/?$\";s:53:\"index.php?e-landing-page=$matches[1]&page=$matches[2]\";s:31:\"e-landing-page/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\"e-landing-page/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\"e-landing-page/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\"e-landing-page/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:35:\"reviews/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:45:\"reviews/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:65:\"reviews/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"reviews/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:60:\"reviews/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:41:\"reviews/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:24:\"reviews/([^/]+)/embed/?$\";s:40:\"index.php?reviews=$matches[1]&embed=true\";s:28:\"reviews/([^/]+)/trackback/?$\";s:34:\"index.php?reviews=$matches[1]&tb=1\";s:36:\"reviews/([^/]+)/page/?([0-9]{1,})/?$\";s:47:\"index.php?reviews=$matches[1]&paged=$matches[2]\";s:43:\"reviews/([^/]+)/comment-page-([0-9]{1,})/?$\";s:47:\"index.php?reviews=$matches[1]&cpage=$matches[2]\";s:32:\"reviews/([^/]+)(?:/([0-9]+))?/?$\";s:46:\"index.php?reviews=$matches[1]&page=$matches[2]\";s:24:\"reviews/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:34:\"reviews/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:54:\"reviews/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"reviews/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:49:\"reviews/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:30:\"reviews/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:37:\"portfolio/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"portfolio/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"portfolio/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"portfolio/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"portfolio/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:43:\"portfolio/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:26:\"portfolio/([^/]+)/embed/?$\";s:48:\"index.php?ocean_portfolio=$matches[1]&embed=true\";s:30:\"portfolio/([^/]+)/trackback/?$\";s:42:\"index.php?ocean_portfolio=$matches[1]&tb=1\";s:38:\"portfolio/([^/]+)/page/?([0-9]{1,})/?$\";s:55:\"index.php?ocean_portfolio=$matches[1]&paged=$matches[2]\";s:45:\"portfolio/([^/]+)/comment-page-([0-9]{1,})/?$\";s:55:\"index.php?ocean_portfolio=$matches[1]&cpage=$matches[2]\";s:34:\"portfolio/([^/]+)(?:/([0-9]+))?/?$\";s:54:\"index.php?ocean_portfolio=$matches[1]&page=$matches[2]\";s:26:\"portfolio/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:36:\"portfolio/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:56:\"portfolio/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"portfolio/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:51:\"portfolio/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:32:\"portfolio/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:59:\"portfolio-category/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:63:\"index.php?ocean_portfolio_category=$matches[1]&feed=$matches[2]\";s:54:\"portfolio-category/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:63:\"index.php?ocean_portfolio_category=$matches[1]&feed=$matches[2]\";s:35:\"portfolio-category/([^/]+)/embed/?$\";s:57:\"index.php?ocean_portfolio_category=$matches[1]&embed=true\";s:47:\"portfolio-category/([^/]+)/page/?([0-9]{1,})/?$\";s:64:\"index.php?ocean_portfolio_category=$matches[1]&paged=$matches[2]\";s:29:\"portfolio-category/([^/]+)/?$\";s:46:\"index.php?ocean_portfolio_category=$matches[1]\";s:54:\"portfolio-tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:58:\"index.php?ocean_portfolio_tag=$matches[1]&feed=$matches[2]\";s:49:\"portfolio-tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:58:\"index.php?ocean_portfolio_tag=$matches[1]&feed=$matches[2]\";s:30:\"portfolio-tag/([^/]+)/embed/?$\";s:52:\"index.php?ocean_portfolio_tag=$matches[1]&embed=true\";s:42:\"portfolio-tag/([^/]+)/page/?([0-9]{1,})/?$\";s:59:\"index.php?ocean_portfolio_tag=$matches[1]&paged=$matches[2]\";s:24:\"portfolio-tag/([^/]+)/?$\";s:41:\"index.php?ocean_portfolio_tag=$matches[1]\";s:48:\"portfolio_shortcodes/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:58:\"portfolio_shortcodes/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:78:\"portfolio_shortcodes/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:73:\"portfolio_shortcodes/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:73:\"portfolio_shortcodes/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:54:\"portfolio_shortcodes/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:37:\"portfolio_shortcodes/([^/]+)/embed/?$\";s:53:\"index.php?portfolio_shortcodes=$matches[1]&embed=true\";s:41:\"portfolio_shortcodes/([^/]+)/trackback/?$\";s:47:\"index.php?portfolio_shortcodes=$matches[1]&tb=1\";s:49:\"portfolio_shortcodes/([^/]+)/page/?([0-9]{1,})/?$\";s:60:\"index.php?portfolio_shortcodes=$matches[1]&paged=$matches[2]\";s:56:\"portfolio_shortcodes/([^/]+)/comment-page-([0-9]{1,})/?$\";s:60:\"index.php?portfolio_shortcodes=$matches[1]&cpage=$matches[2]\";s:45:\"portfolio_shortcodes/([^/]+)(?:/([0-9]+))?/?$\";s:59:\"index.php?portfolio_shortcodes=$matches[1]&page=$matches[2]\";s:37:\"portfolio_shortcodes/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:47:\"portfolio_shortcodes/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:67:\"portfolio_shortcodes/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"portfolio_shortcodes/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:62:\"portfolio_shortcodes/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:43:\"portfolio_shortcodes/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:13:\"favicon\\.ico$\";s:19:\"index.php?favicon=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:39:\"index.php?&page_id=28&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wpky_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wpky_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wpky_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wpky_options` VALUES("33", "active_plugins", "a:16:{i:0;s:33:\"classic-editor/classic-editor.php\";i:1;s:43:\"custom-post-type-ui/custom-post-type-ui.php\";i:2;s:32:\"duplicate-page/duplicatepage.php\";i:3;s:25:\"duplicator/duplicator.php\";i:4;s:31:\"elementor-pro/elementor-pro.php\";i:5;s:23:\"elementor/elementor.php\";i:6;s:57:\"global-elementor-buttons/tmx_global_elementor_buttons.php\";i:7;s:23:\"loginizer/loginizer.php\";i:8;s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";i:9;s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";i:10;s:27:\"ocean-extra/ocean-extra.php\";i:11;s:45:\"ocean-footer-callout/ocean-footer-callout.php\";i:12;s:27:\"ocean-hooks/ocean-hooks.php\";i:13;s:35:\"ocean-portfolio/ocean-portfolio.php\";i:14;s:43:\"ocean-sticky-header/ocean-sticky-header.php\";i:15;s:19:\"wpforms/wpforms.php\";}", "yes");
INSERT INTO `wpky_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wpky_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wpky_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wpky_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wpky_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wpky_options` VALUES("39", "recently_edited", "a:5:{i:0;s:109:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/themes/oceanwp-child-theme-master/functions.php\";i:2;s:105:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/themes/oceanwp-child-theme-master/style.css\";i:3;s:62:\"/home/c97021x1/public_html/wp-content/themes/oceanwp/style.css\";i:4;s:69:\"/home/c97021x1/public_html/wp-content/themes/twentynineteen/style.css\";i:5;s:0:\"\";}", "no");
INSERT INTO `wpky_options` VALUES("40", "template", "oceanwp", "yes");
INSERT INTO `wpky_options` VALUES("41", "stylesheet", "oceanwp-child-theme-master", "yes");
INSERT INTO `wpky_options` VALUES("44", "comment_registration", "0", "yes");
INSERT INTO `wpky_options` VALUES("45", "html_type", "text/html", "yes");
INSERT INTO `wpky_options` VALUES("46", "use_trackback", "0", "yes");
INSERT INTO `wpky_options` VALUES("47", "default_role", "subscriber", "yes");
INSERT INTO `wpky_options` VALUES("48", "db_version", "53496", "yes");
INSERT INTO `wpky_options` VALUES("49", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wpky_options` VALUES("50", "upload_path", "", "yes");
INSERT INTO `wpky_options` VALUES("51", "blog_public", "1", "yes");
INSERT INTO `wpky_options` VALUES("52", "default_link_category", "2", "yes");
INSERT INTO `wpky_options` VALUES("53", "show_on_front", "page", "yes");
INSERT INTO `wpky_options` VALUES("54", "tag_base", "", "yes");
INSERT INTO `wpky_options` VALUES("55", "show_avatars", "1", "yes");
INSERT INTO `wpky_options` VALUES("56", "avatar_rating", "G", "yes");
INSERT INTO `wpky_options` VALUES("57", "upload_url_path", "", "yes");
INSERT INTO `wpky_options` VALUES("58", "thumbnail_size_w", "150", "yes");
INSERT INTO `wpky_options` VALUES("59", "thumbnail_size_h", "150", "yes");
INSERT INTO `wpky_options` VALUES("60", "thumbnail_crop", "1", "yes");
INSERT INTO `wpky_options` VALUES("61", "medium_size_w", "300", "yes");
INSERT INTO `wpky_options` VALUES("62", "medium_size_h", "300", "yes");
INSERT INTO `wpky_options` VALUES("63", "avatar_default", "mystery", "yes");
INSERT INTO `wpky_options` VALUES("64", "large_size_w", "1024", "yes");
INSERT INTO `wpky_options` VALUES("65", "large_size_h", "1024", "yes");
INSERT INTO `wpky_options` VALUES("66", "image_default_link_type", "none", "yes");
INSERT INTO `wpky_options` VALUES("67", "image_default_size", "", "yes");
INSERT INTO `wpky_options` VALUES("68", "image_default_align", "", "yes");
INSERT INTO `wpky_options` VALUES("69", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wpky_options` VALUES("70", "close_comments_days_old", "14", "yes");
INSERT INTO `wpky_options` VALUES("71", "thread_comments", "1", "yes");
INSERT INTO `wpky_options` VALUES("72", "thread_comments_depth", "5", "yes");
INSERT INTO `wpky_options` VALUES("73", "page_comments", "0", "yes");
INSERT INTO `wpky_options` VALUES("74", "comments_per_page", "50", "yes");
INSERT INTO `wpky_options` VALUES("75", "default_comments_page", "newest", "yes");
INSERT INTO `wpky_options` VALUES("76", "comment_order", "asc", "yes");
INSERT INTO `wpky_options` VALUES("77", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("78", "widget_categories", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("79", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("80", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("81", "uninstall_plugins", "a:10:{s:23:\"loginizer/loginizer.php\";s:22:\"loginizer_deactivation\";s:33:\"classic-editor/classic-editor.php\";a:2:{i:0;s:14:\"Classic_Editor\";i:1;s:9:\"uninstall\";}s:23:\"elementor/elementor.php\";a:2:{i:0;s:21:\"Elementor\\Maintenance\";i:1;s:9:\"uninstall\";}s:27:\"ocean-extra/ocean-extra.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}s:45:\"ocean-footer-callout/ocean-footer-callout.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}s:27:\"ocean-hooks/ocean-hooks.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}s:35:\"ocean-portfolio/ocean-portfolio.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}s:43:\"ocean-sticky-header/ocean-sticky-header.php\";a:2:{i:0;s:8:\"Freemius\";i:1;s:22:\"_uninstall_plugin_hook\";}}", "no");
INSERT INTO `wpky_options` VALUES("82", "timezone_string", "", "yes");
INSERT INTO `wpky_options` VALUES("83", "page_for_posts", "1277", "yes");
INSERT INTO `wpky_options` VALUES("84", "page_on_front", "28", "yes");
INSERT INTO `wpky_options` VALUES("85", "default_post_format", "0", "yes");
INSERT INTO `wpky_options` VALUES("86", "link_manager_enabled", "0", "yes");
INSERT INTO `wpky_options` VALUES("87", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wpky_options` VALUES("88", "site_icon", "942", "yes");
INSERT INTO `wpky_options` VALUES("89", "medium_large_size_w", "768", "yes");
INSERT INTO `wpky_options` VALUES("90", "medium_large_size_h", "0", "yes");
INSERT INTO `wpky_options` VALUES("91", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wpky_options` VALUES("92", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wpky_options` VALUES("93", "initial_db_version", "44719", "yes");
INSERT INTO `wpky_options` VALUES("94", "wpky_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:87:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:23:\"wf2fa_activate_2fa_self\";b:1;s:25:\"wf2fa_activate_2fa_others\";b:1;s:21:\"wf2fa_manage_settings\";b:1;s:23:\"rank_math_edit_htaccess\";b:1;s:16:\"rank_math_titles\";b:1;s:17:\"rank_math_general\";b:1;s:17:\"rank_math_sitemap\";b:1;s:21:\"rank_math_404_monitor\";b:1;s:22:\"rank_math_link_builder\";b:1;s:22:\"rank_math_redirections\";b:1;s:22:\"rank_math_role_manager\";b:1;s:24:\"rank_math_search_console\";b:1;s:23:\"rank_math_site_analysis\";b:1;s:25:\"rank_math_onpage_analysis\";b:1;s:24:\"rank_math_onpage_general\";b:1;s:25:\"rank_math_onpage_advanced\";b:1;s:24:\"rank_math_onpage_snippet\";b:1;s:23:\"rank_math_onpage_social\";b:1;s:19:\"rank_math_admin_bar\";b:1;s:26:\"create_notes_elementor-pro\";b:1;s:24:\"edit_notes_elementor-pro\";b:1;s:26:\"delete_notes_elementor-pro\";b:1;s:24:\"read_notes_elementor-pro\";b:1;s:31:\"edit_others_notes_elementor-pro\";b:1;s:33:\"delete_others_notes_elementor-pro\";b:1;s:39:\"read_others_private_notes_elementor-pro\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:39:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:23:\"rank_math_site_analysis\";b:1;s:25:\"rank_math_onpage_analysis\";b:1;s:24:\"rank_math_onpage_general\";b:1;s:24:\"rank_math_onpage_snippet\";b:1;s:23:\"rank_math_onpage_social\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:14:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:25:\"rank_math_onpage_analysis\";b:1;s:24:\"rank_math_onpage_general\";b:1;s:24:\"rank_math_onpage_snippet\";b:1;s:23:\"rank_math_onpage_social\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wpky_options` VALUES("95", "fresh_site", "0", "yes");
INSERT INTO `wpky_options` VALUES("96", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("97", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("98", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("99", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("100", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("101", "sidebars_widgets", "a:10:{s:19:\"wp_inactive_widgets\";a:0:{}s:7:\"sidebar\";a:1:{i:0;s:19:\"elementor-library-2\";}s:9:\"sidebar-2\";a:0:{}s:14:\"search_sidebar\";a:0:{}s:10:\"footer-one\";a:0:{}s:10:\"footer-two\";a:0:{}s:12:\"footer-three\";a:0:{}s:11:\"footer-four\";a:0:{}s:17:\"portfolio-sidebar\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wpky_options` VALUES("102", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("103", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("104", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("105", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("106", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("107", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("108", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("109", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("110", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("111", "cron", "a:23:{i:1668109553;a:1:{s:26:\"action_scheduler_run_queue\";a:1:{s:32:\"0d04ed39571b55704c122d726248bbac\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:1:{i:0;s:7:\"WP Cron\";}s:8:\"interval\";i:60;}}}i:1668110295;a:1:{s:32:\"fs_data_sync_ocean-cookie-notice\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668112040;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1668113973;a:1:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1668114048;a:1:{s:24:\"fs_data_sync_ocean-hooks\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668123952;a:1:{s:36:\"fs_data_sync_ocean-elementor-widgets\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668125565;a:1:{s:30:\"fs_data_sync_ocean-full-screen\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668132000;a:1:{s:18:\"imagify_sync_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668144216;a:1:{s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1668147550;a:1:{s:32:\"fs_data_sync_ocean-sticky-header\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668148040;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1668148479;a:1:{s:28:\"fs_data_sync_ocean-portfolio\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668149539;a:1:{s:33:\"fs_data_sync_ocean-footer-callout\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668178800;a:1:{s:20:\"imagify_rating_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668182693;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668183298;a:1:{s:26:\"fs_data_sync_oceanwp-theme\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668189630;a:1:{s:28:\"fs_data_sync_ocean-instagram\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668191261;a:3:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668194390;a:2:{s:28:\"elementor/tracker/send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:14:\"wc_admin_daily\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668195668;a:1:{s:28:\"fs_data_sync_ocean-woo-popup\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1668268694;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1668434400;a:1:{s:28:\"wpforms_email_summaries_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:30:\"wpforms_email_summaries_weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wpky_options` VALUES("112", "loginizer_version", "1.7.5", "yes");
INSERT INTO `wpky_options` VALUES("113", "loginizer_options", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("114", "loginizer_last_reset", "1668100936", "yes");
INSERT INTO `wpky_options` VALUES("115", "loginizer_whitelist", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("116", "loginizer_blacklist", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("117", "loginizer_ins_time", "1556908041", "yes");
INSERT INTO `wpky_options` VALUES("118", "loginizer_promo_time", "-1560352795", "yes");
INSERT INTO `wpky_options` VALUES("120", "theme_mods_twentynineteen", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1556908238;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}", "yes");
INSERT INTO `wpky_options` VALUES("147", "current_theme", "OceanWP Child", "yes");
INSERT INTO `wpky_options` VALUES("148", "theme_mods_oceanwp", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1571411926;s:4:\"data\";a:9:{s:19:\"wp_inactive_widgets\";a:0:{}s:7:\"sidebar\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-2\";a:0:{}s:14:\"search_sidebar\";a:0:{}s:10:\"footer-one\";a:0:{}s:10:\"footer-two\";a:0:{}s:12:\"footer-three\";a:0:{}s:11:\"footer-four\";a:0:{}s:17:\"portfolio-sidebar\";a:0:{}}}}", "yes");
INSERT INTO `wpky_options` VALUES("149", "theme_switched", "", "yes");
INSERT INTO `wpky_options` VALUES("153", "elementor_version", "3.8.0", "yes");
INSERT INTO `wpky_options` VALUES("158", "recently_activated", "a:1:{s:37:\"ocean-side-panel/ocean-side-panel.php\";i:1668101124;}", "yes");
INSERT INTO `wpky_options` VALUES("159", "_elementor_installed_time", "1556908257", "yes");
INSERT INTO `wpky_options` VALUES("160", "elementor_remote_info_library", "a:3:{s:10:\"types_data\";a:3:{s:5:\"block\";a:1:{s:10:\"categories\";a:22:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:14:\"call to action\";i:4;s:7:\"clients\";i:5;s:7:\"contact\";i:6;s:3:\"faq\";i:7;s:8:\"features\";i:8;s:6:\"footer\";i:9;s:6:\"header\";i:10;s:4:\"hero\";i:11;s:9:\"portfolio\";i:12;s:7:\"pricing\";i:13;s:15:\"product archive\";i:14;s:8:\"services\";i:15;s:11:\"single page\";i:16;s:11:\"single post\";i:17;s:14:\"single product\";i:18;s:5:\"stats\";i:19;s:9:\"subscribe\";i:20;s:4:\"team\";i:21;s:12:\"testimonials\";}}s:5:\"popup\";a:1:{s:10:\"categories\";a:6:{i:0;s:10:\"bottom bar\";i:1;s:7:\"classic\";i:2;s:6:\"fly-in\";i:3;s:11:\"full screen\";i:4;s:9:\"hello bar\";i:5;s:8:\"slide-in\";}}s:2:\"lp\";a:1:{s:10:\"categories\";a:15:{i:0;s:8:\"Business\";i:1;s:16:\"Coming Soon Page\";i:2;s:9:\"eCommerce\";i:3;s:9:\"Education\";i:4;s:6:\"Events\";i:5;s:18:\"Health and Fitness\";i:6;s:3:\"NFT\";i:7;s:14:\"Online Service\";i:8;s:7:\"Product\";i:9;s:11:\"Real Estate\";i:10;s:18:\"Social Involvement\";i:11;s:14:\"Thank You Page\";i:12;s:6:\"Travel\";i:13;s:18:\"Under Construction\";i:14;s:9:\"Wireframe\";}}}s:10:\"categories\";a:22:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:14:\"call to action\";i:4;s:7:\"clients\";i:5;s:7:\"contact\";i:6;s:3:\"faq\";i:7;s:8:\"features\";i:8;s:6:\"footer\";i:9;s:6:\"header\";i:10;s:4:\"hero\";i:11;s:9:\"portfolio\";i:12;s:7:\"pricing\";i:13;s:15:\"product archive\";i:14;s:8:\"services\";i:15;s:11:\"single page\";i:16;s:11:\"single post\";i:17;s:14:\"single product\";i:18;s:5:\"stats\";i:19;s:9:\"subscribe\";i:20;s:4:\"team\";i:21;s:12:\"testimonials\";}s:9:\"templates\";a:825:{i:0;a:16:{s:4:\"tmpl\";i:1280;s:2:\"id\";i:22403;s:5:\"title\";s:40:\"Hello Bar | Subscribe | Aesthetic Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/aesthetic-clinic-19.jpg\";s:12:\"tmpl_created\";i:1647354307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/hello-bar-subscribe-aesthetic-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:48:\"[\"Barbershop\",\"Business\",\"Discount\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:1;a:16:{s:4:\"tmpl\";i:1281;s:2:\"id\";i:22410;s:5:\"title\";s:32:\"Fly-In | Discount | Hair Stylist\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/hair-stylist-20.jpg\";s:12:\"tmpl_created\";i:1647354614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-discount-hair-stylist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Barbershop\",\"Discount\",\"Hair\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:2;a:16:{s:4:\"tmpl\";i:1285;s:2:\"id\";i:22440;s:5:\"title\";s:32:\"Classic | Subscribe | Shoe Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/shoes-store-21.jpg\";s:12:\"tmpl_created\";i:1647418620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-subscribe-shoe-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:37:\"[\"Ecommerce\",\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:3;a:16:{s:4:\"tmpl\";i:1286;s:2:\"id\";i:22446;s:5:\"title\";s:37:\"Full Screen | Subscribe | Denim Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/denim-store-22.jpg\";s:12:\"tmpl_created\";i:1647419614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/full-screen-subscribe-denim-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:4;a:16:{s:4:\"tmpl\";i:1287;s:2:\"id\";i:22452;s:5:\"title\";s:37:\"Fly-In | Subscribe | Pizza Restaurant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/pizza-restaurant-23.jpg\";s:12:\"tmpl_created\";i:1647420733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-subscribe-pizza-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:19:\"[\"Business\",\"Food\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:5;a:16:{s:4:\"tmpl\";i:1288;s:2:\"id\";i:22458;s:5:\"title\";s:38:\"Full Screen | Subscribe | Fashion Shop\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-shop-24.jpg\";s:12:\"tmpl_created\";i:1647426379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-subscribe-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Ecommerce\",\"Fashion\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:6;a:16:{s:4:\"tmpl\";i:1289;s:2:\"id\";i:22464;s:5:\"title\";s:32:\"Fly-In | Contact | Makeup Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/makeup-studio-25.jpg\";s:12:\"tmpl_created\";i:1647427026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-makeup-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:7;a:16:{s:4:\"tmpl\";i:1290;s:2:\"id\";i:22470;s:5:\"title\";s:32:\"Fly-In | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-26.jpg\";s:12:\"tmpl_created\";i:1647428250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:8;a:16:{s:4:\"tmpl\";i:1291;s:2:\"id\";i:22480;s:5:\"title\";s:27:\"Classic | CTA | MasterClass\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/master-class-27.jpg\";s:12:\"tmpl_created\";i:1647428474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-masterclass/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"cta\",\"Magazine\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:9;a:16:{s:4:\"tmpl\";i:1292;s:2:\"id\";i:22489;s:5:\"title\";s:29:\"Classic | CTA | Music Concert\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/music-concert-29.jpg\";s:12:\"tmpl_created\";i:1647429738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-music-concert/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"cta\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:10;a:16:{s:4:\"tmpl\";i:1293;s:2:\"id\";i:22495;s:5:\"title\";s:27:\"Classic | CTA | Music Album\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/music-album-30.jpg\";s:12:\"tmpl_created\";i:1647430056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-music-album/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Ba\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:11;a:16:{s:4:\"tmpl\";i:1294;s:2:\"id\";i:22501;s:5:\"title\";s:37:\"Fly-In | CTA | Photography Exhibition\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/photography-exhibition-31.jpg\";s:12:\"tmpl_created\";i:1647430512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-photography-exhibition/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:12;a:16:{s:4:\"tmpl\";i:1295;s:2:\"id\";i:22507;s:5:\"title\";s:34:\"Classic | CTA | Clothing Shop Sale\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/clothing-shop-sale-32.jpg\";s:12:\"tmpl_created\";i:1647430774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-cta-clothing-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:13;a:16:{s:4:\"tmpl\";i:1296;s:2:\"id\";i:22486;s:5:\"title\";s:30:\"Classic | CTA | Shop Promotion\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/shop-promotion-28.jpg\";s:12:\"tmpl_created\";i:1647430951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-shop-promotion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"cta\",\"Magazine\",\"Photography\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:14;a:16:{s:4:\"tmpl\";i:1297;s:2:\"id\";i:22516;s:5:\"title\";s:32:\"Fly-In | CTA | Glasses Shop Sale\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/glasses-shop-sale-33.jpg\";s:12:\"tmpl_created\";i:1647431136;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-cta-glasses-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:30:\"[\"Business\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:15;a:16:{s:4:\"tmpl\";i:1298;s:2:\"id\";i:22522;s:5:\"title\";s:30:\"Fly-In | Discount | Skate Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/50-skate-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647434058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-skate-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:16;a:16:{s:4:\"tmpl\";i:1299;s:2:\"id\";i:22532;s:5:\"title\";s:43:\"Classic | Subscription | Basketball Academy\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/21-basketball-academy-Subscription.jpg\";s:12:\"tmpl_created\";i:1647434608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/classic-subscription-basketball-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Education\",\"Marketing\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:17;a:16:{s:4:\"tmpl\";i:1300;s:2:\"id\";i:22543;s:5:\"title\";s:38:\"Classic | Discount | Veterinary Clinic\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/veterinery-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647435581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-discount-veterinary-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Discount\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:18;a:16:{s:4:\"tmpl\";i:1301;s:2:\"id\";i:22553;s:5:\"title\";s:39:\"Classic | Contact | Business Consulting\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/27-business-consulting-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647439935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/classic-contact-business-consulting/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:19;a:16:{s:4:\"tmpl\";i:1302;s:2:\"id\";i:22562;s:5:\"title\";s:28:\"Classic | Contact | Handyman\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/handyman-small.jpg\";s:12:\"tmpl_created\";i:1647440333;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-contact-handyman/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:20;a:16:{s:4:\"tmpl\";i:1303;s:2:\"id\";i:22573;s:5:\"title\";s:40:\"Classic | Discount | Online Fashion Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/31-online-fashion-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647462549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-online-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:21;a:16:{s:4:\"tmpl\";i:1304;s:2:\"id\";i:22583;s:5:\"title\";s:36:\"Fly-In | Discount | Personal Trainer\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/personal-trainer-small.jpg\";s:12:\"tmpl_created\";i:1647503781;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-personal-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:22;a:16:{s:4:\"tmpl\";i:1305;s:2:\"id\";i:22592;s:5:\"title\";s:41:\"Classic | Contact | Illustrator Portfolio\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/illustrator-protfolio-small.jpg\";s:12:\"tmpl_created\";i:1647504218;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-contact-illustrator-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:49:\"[\"Contact\",\"Creative Portfolio\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:23;a:16:{s:4:\"tmpl\";i:1306;s:2:\"id\";i:22602;s:5:\"title\";s:46:\"Bottom Bar | Discount | Handmade Ceramics Shop\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2022/03/handmade-ceramic-shop-36-small.jpg\";s:12:\"tmpl_created\";i:1647507007;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-ceramics-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:48:\"[\"Business\",\"cta\",\"Ecommerce\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:24;a:16:{s:4:\"tmpl\";i:1307;s:2:\"id\";i:22612;s:5:\"title\";s:51:\"Classic | Contact | Classic Car Restoration Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/restoration-car-shop-37-small.jpg\";s:12:\"tmpl_created\";i:1647507310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/classic-contact-classic-car-restoration-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:25;a:16:{s:4:\"tmpl\";i:1308;s:2:\"id\";i:22621;s:5:\"title\";s:30:\"Classic | Booking | Life Coach\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/38-life-coach-Booking.jpg\";s:12:\"tmpl_created\";i:1647508596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-booking-life-coach/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Booking\",\"Business\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:26;a:16:{s:4:\"tmpl\";i:1309;s:2:\"id\";i:22632;s:5:\"title\";s:42:\"Classic |  Subscription | Merchandise Shop\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/Merchandise-Shop-39-small.jpg\";s:12:\"tmpl_created\";i:1647509196;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-subscription-merchandise-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Ecommerce\",\"Marketing\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:27;a:16:{s:4:\"tmpl\";i:1310;s:2:\"id\";i:22643;s:5:\"title\";s:48:\"Fly-In | Contact | Non-Governmental Organization\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/NGO-41-small.jpg\";s:12:\"tmpl_created\";i:1647509528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:150:\"https://library.elementor.com/popups/fly-in-contact-non-governmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:28;a:16:{s:4:\"tmpl\";i:1311;s:2:\"id\";i:22654;s:5:\"title\";s:35:\"Hello Bar | Contact | Family Doctor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/family-doctor-44-small.jpg\";s:12:\"tmpl_created\";i:1647509732;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/hello-bar-contact-family-doctor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Contact\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:29;a:16:{s:4:\"tmpl\";i:1312;s:2:\"id\";i:22663;s:5:\"title\";s:36:\"Classic | Subscription | Sports Blog\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/45-sport-blog-Subscription.jpg\";s:12:\"tmpl_created\";i:1647509908;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-sports-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:30;a:16:{s:4:\"tmpl\";i:1313;s:2:\"id\";i:22673;s:5:\"title\";s:30:\"Hello Bar | Booking | Event DJ\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/DJ-service-46-small.jpg\";s:12:\"tmpl_created\";i:1647510160;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/hello-bar-booking-event-dj/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Booking\",\"Events\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:31;a:16:{s:4:\"tmpl\";i:1314;s:2:\"id\";i:22684;s:5:\"title\";s:36:\"Fly-In | Discount | Cleaning Company\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/51-cleaning-company-Discount.jpg\";s:12:\"tmpl_created\";i:1647510546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-cleaning-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Offer\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:32;a:16:{s:4:\"tmpl\";i:1315;s:2:\"id\";i:22693;s:5:\"title\";s:28:\"Fly-In | Contact | Carpenter\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/carpenter-53-small.jpg\";s:12:\"tmpl_created\";i:1647511972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-carpenter/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:33;a:16:{s:4:\"tmpl\";i:1316;s:2:\"id\";i:22703;s:5:\"title\";s:31:\"Classic | Booking | Yoga Studio\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/55-yoga-studio-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647512209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-booking-yoga-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Booking\",\"Contact\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:34;a:16:{s:4:\"tmpl\";i:1317;s:2:\"id\";i:22714;s:5:\"title\";s:37:\"Classic | Discount | Pet Care Company\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/56-Pet-Care-Discount.jpg\";s:12:\"tmpl_created\";i:1647513031;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-pet-care-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:35;a:16:{s:4:\"tmpl\";i:1318;s:2:\"id\";i:22725;s:5:\"title\";s:38:\"Fly-In | Discount | Online Coffee Shop\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/online-coffee-shop-57-small.jpg\";s:12:\"tmpl_created\";i:1647513325;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-discount-online-coffee-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Food\",\"Offer\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:36;a:16:{s:4:\"tmpl\";i:1319;s:2:\"id\";i:22737;s:5:\"title\";s:44:\"Fly-In | CTA | Moving &#038; Storage Company\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/moving-company-59-small.jpg\";s:12:\"tmpl_created\";i:1647520956;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-moving-storage-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:37;a:16:{s:4:\"tmpl\";i:1320;s:2:\"id\";i:22749;s:5:\"title\";s:47:\"Classic | Contact | Industrial Design Portfolio\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/60-industrial-design-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647528116;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/classic-contact-industrial-design-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:40:\"[\"Contact\",\"Interior Design\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:38;a:16:{s:4:\"tmpl\";i:1321;s:2:\"id\";i:22759;s:5:\"title\";s:25:\"Classic | Contact | Drone\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/drone-61-small.jpg\";s:12:\"tmpl_created\";i:1647528899;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-contact-drone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:39;a:16:{s:4:\"tmpl\";i:1322;s:2:\"id\";i:22768;s:5:\"title\";s:46:\"Full Screen | Menu | Fashion Stylist Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/62-Fashion-Stylist-Menu.jpg\";s:12:\"tmpl_created\";i:1647529434;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/full-screen-menu-fashion-stylist-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Fashion\",\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:40;a:16:{s:4:\"tmpl\";i:1323;s:2:\"id\";i:22780;s:5:\"title\";s:31:\"Fly-In | CTA | Landscape Design\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/64-Landscape-Design-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647530337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-landscape-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:41;a:16:{s:4:\"tmpl\";i:1324;s:2:\"id\";i:22790;s:5:\"title\";s:48:\"Bottom Bar  | Contact | Architecture Photography\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/architecture-photography-65-small.jpg\";s:12:\"tmpl_created\";i:1647532358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/bottom-bar-contact-architecture-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:26:\"[\"Architecture\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:42;a:16:{s:4:\"tmpl\";i:1325;s:2:\"id\";i:22800;s:5:\"title\";s:41:\"Fly-In  | CTA | Speech-Language Therapist\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/66-Speech-Language-Therapist-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647532720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/fly-in-cta-speech-language-therapist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:25:\"[\"cta\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:43;a:16:{s:4:\"tmpl\";i:1326;s:2:\"id\";i:22812;s:5:\"title\";s:35:\"Full Screen | Verification | Winery\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/67-Winery-Verification.jpg\";s:12:\"tmpl_created\";i:1647761384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/full-screen-verification-winery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:24:\"[\"Alert\",\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:44;a:16:{s:4:\"tmpl\";i:1327;s:2:\"id\";i:22822;s:5:\"title\";s:36:\"Fly-In | Subscription | Nutritionist\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/nutritionist-69-small.jpg\";s:12:\"tmpl_created\";i:1647762620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-subscription-nutritionist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Food\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:45;a:16:{s:4:\"tmpl\";i:1328;s:2:\"id\";i:22833;s:5:\"title\";s:40:\"Classic | Subscription | App &#038; SaaS\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/app-70-small.jpg\";s:12:\"tmpl_created\";i:1647762955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscription-app-saas/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:14:\"[\"App\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:46;a:16:{s:4:\"tmpl\";i:1329;s:2:\"id\";i:22844;s:5:\"title\";s:41:\"Bottom Bar | Discount | Handmade Cupcakes\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/72-Handmade-Cupcakes-Discount.jpg\";s:12:\"tmpl_created\";i:1647763350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-cupcakes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:21:\"[\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:47;a:16:{s:4:\"tmpl\";i:1330;s:2:\"id\";i:22855;s:5:\"title\";s:40:\"Bottom Bar | Subscription | Fashion Blog\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-blog-75-small.jpg\";s:12:\"tmpl_created\";i:1647763907;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/bottom-bar-subscription-fashion-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:30:\"[\"Blog\",\"Fashion\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:48;a:16:{s:4:\"tmpl\";i:1331;s:2:\"id\";i:22866;s:5:\"title\";s:28:\"Fly-In | CTA | Private Tutor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-77-small.jpg\";s:12:\"tmpl_created\";i:1647764062;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-cta-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:49;a:16:{s:4:\"tmpl\";i:1332;s:2:\"id\";i:22876;s:5:\"title\";s:30:\"Classic | CTA | Tennis Academy\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/78-Tennis-Academy-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765192;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-tennis-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:50;a:16:{s:4:\"tmpl\";i:1333;s:2:\"id\";i:22887;s:5:\"title\";s:31:\"Fly-In | CTA | Shared Workspace\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/shared-workspace-79-small.jpg\";s:12:\"tmpl_created\";i:1647765419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-shared-workspace/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Business\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:51;a:16:{s:4:\"tmpl\";i:1334;s:2:\"id\";i:22899;s:5:\"title\";s:30:\"Bottom Bar | CTA | Art Gallery\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/80-Art-Gallery-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765652;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/bottom-bar-cta-art-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:13:\"[\"Art\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:52;a:16:{s:4:\"tmpl\";i:1335;s:2:\"id\";i:22910;s:5:\"title\";s:44:\"Fly-In | Subscription | Hiking Tours Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/hiking-tours-company-81-small.jpg\";s:12:\"tmpl_created\";i:1647765835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscription-hiking-tours-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Subscribe\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:53;a:16:{s:4:\"tmpl\";i:1336;s:2:\"id\";i:22921;s:5:\"title\";s:26:\"Classic | CTA | Music Band\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/music-band-82-small.jpg\";s:12:\"tmpl_created\";i:1647769462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/classic-cta-music-band/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Marketing\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:54;a:16:{s:4:\"tmpl\";i:1337;s:2:\"id\";i:22935;s:5:\"title\";s:35:\"Classic | CTA | Computer Technician\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/comuter-technician-83-small.jpg\";s:12:\"tmpl_created\";i:1647769843;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-computer-technician/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:55;a:16:{s:4:\"tmpl\";i:1338;s:2:\"id\";i:22945;s:5:\"title\";s:37:\"Classic | Discount | Delivery Company\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/delivery-company-88-small.jpg\";s:12:\"tmpl_created\";i:1647770834;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-delivery-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Discount\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:56;a:16:{s:4:\"tmpl\";i:1339;s:2:\"id\";i:22959;s:5:\"title\";s:29:\"Classic | Discount | Eco Shop\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/echo-shop-89-small.jpg\";s:12:\"tmpl_created\";i:1647771211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-discount-eco-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:57;a:16:{s:4:\"tmpl\";i:1340;s:2:\"id\";i:22972;s:5:\"title\";s:54:\"Fly-In | Subscription | Health &#038; Mindfulness Blog\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small.jpg\";s:12:\"tmpl_created\";i:1647771461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/fly-in-subscription-health-mindfulness-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:21:\"[\"Health\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:58;a:16:{s:4:\"tmpl\";i:1341;s:2:\"id\";i:22982;s:5:\"title\";s:31:\"Full Screen | Menu | Art Museum\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/art-museum-112-small.jpg\";s:12:\"tmpl_created\";i:1647771938;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-art-museum/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:59;a:16:{s:4:\"tmpl\";i:1342;s:2:\"id\";i:22992;s:5:\"title\";s:40:\"Classic | Discount | Urban Clothing Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small-1.jpg\";s:12:\"tmpl_created\";i:1647773067;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-urban-clothing-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Discount\",\"Ecommerce\",\"Fashion\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:60;a:16:{s:4:\"tmpl\";i:1343;s:2:\"id\";i:23004;s:5:\"title\";s:60:\"Full Screen | Menu | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small-1.jpg\";s:12:\"tmpl_created\";i:1647773366;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:155:\"https://library.elementor.com/popups/full-screen-menu-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:61;a:16:{s:4:\"tmpl\";i:1344;s:2:\"id\";i:23015;s:5:\"title\";s:62:\"Bottom Bar | Contact | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small.jpg\";s:12:\"tmpl_created\";i:1647773492;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/bottom-bar-contact-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:23:\"[\"Contact\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:62;a:16:{s:4:\"tmpl\";i:1345;s:2:\"id\";i:23025;s:5:\"title\";s:32:\"Full Screen | Menu | Flower Shop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small.jpg\";s:12:\"tmpl_created\";i:1647773820;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:63;a:16:{s:4:\"tmpl\";i:1346;s:2:\"id\";i:23037;s:5:\"title\";s:36:\"Classic | Subscription | Flower Shop\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small-1.jpg\";s:12:\"tmpl_created\";i:1647773949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:64;a:16:{s:4:\"tmpl\";i:1347;s:2:\"id\";i:23056;s:5:\"title\";s:48:\"Classic | Discount | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small-1.jpg\";s:12:\"tmpl_created\";i:1647774468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-discount-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:65;a:16:{s:4:\"tmpl\";i:1348;s:2:\"id\";i:23067;s:5:\"title\";s:37:\"Fly-In | Menu | Baby Sleep Consultant\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small-1.jpg\";s:12:\"tmpl_created\";i:1647778954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:66;a:16:{s:4:\"tmpl\";i:1349;s:2:\"id\";i:23077;s:5:\"title\";s:46:\"Classic | Subscription | Baby Sleep Consultant\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small.jpg\";s:12:\"tmpl_created\";i:1647779074;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/classic-subscription-baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:12:\"[\"Discount\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:67;a:16:{s:4:\"tmpl\";i:1350;s:2:\"id\";i:23090;s:5:\"title\";s:33:\"Full Screen | Menu | Luxury Hotel\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small.jpg\";s:12:\"tmpl_created\";i:1647779390;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/full-screen-menu-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:68;a:16:{s:4:\"tmpl\";i:1351;s:2:\"id\";i:23100;s:5:\"title\";s:31:\"Fly-In | Booking | Luxury Hotel\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small-1.jpg\";s:12:\"tmpl_created\";i:1647779500;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-booking-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Booking\",\"Travel\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:69;a:16:{s:4:\"tmpl\";i:1352;s:2:\"id\";i:23109;s:5:\"title\";s:38:\"Full Screen | Menu | Design Conference\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small.jpg\";s:12:\"tmpl_created\";i:1647779675;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:70;a:16:{s:4:\"tmpl\";i:1353;s:2:\"id\";i:23120;s:5:\"title\";s:41:\"Full Screen | Booking | Design Conference\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small-1.jpg\";s:12:\"tmpl_created\";i:1647779793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/full-screen-booking-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Booking\",\"Conference\",\"Creative\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:71;a:16:{s:4:\"tmpl\";i:1354;s:2:\"id\";i:23129;s:5:\"title\";s:29:\"Slide-In | Menu | VR Headsets\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small.jpg\";s:12:\"tmpl_created\";i:1647781211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-menu-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:72;a:16:{s:4:\"tmpl\";i:1355;s:2:\"id\";i:23139;s:5:\"title\";s:31:\"Classic | Contact | VR Headsets\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small-1.jpg\";s:12:\"tmpl_created\";i:1647781384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:73;a:16:{s:4:\"tmpl\";i:1356;s:2:\"id\";i:23149;s:5:\"title\";s:38:\"Slide-In | Menu | Portrait Photography\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Menu.jpg\";s:12:\"tmpl_created\";i:1647782336;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/slide-in-menu-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:74;a:16:{s:4:\"tmpl\";i:1357;s:2:\"id\";i:23159;s:5:\"title\";s:47:\"Hello Bar | Subscription | Portrait Photography\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Subscription.jpg\";s:12:\"tmpl_created\";i:1647782478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/hello-bar-subscription-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Blog\",\"Photography\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:75;a:16:{s:4:\"tmpl\";i:1358;s:2:\"id\";i:23169;s:5:\"title\";s:32:\"Full Screen | Menu | English Pub\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Menu.jpg\";s:12:\"tmpl_created\";i:1647782664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:76;a:16:{s:4:\"tmpl\";i:1359;s:2:\"id\";i:23179;s:5:\"title\";s:32:\"Classic | Discount | English Pub\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Discount.jpg\";s:12:\"tmpl_created\";i:1647782796;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:77;a:16:{s:4:\"tmpl\";i:1360;s:2:\"id\";i:23189;s:5:\"title\";s:27:\"Full Screen | Menu | Singer\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Menu.jpg\";s:12:\"tmpl_created\";i:1647783070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/full-screen-menu-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:29:\"[\"Fullscreen\",\"menu\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:78;a:16:{s:4:\"tmpl\";i:1361;s:2:\"id\";i:23200;s:5:\"title\";s:31:\"Classic | Subscription | Singer\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Subscription.jpg\";s:12:\"tmpl_created\";i:1647783249;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-subscription-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Music\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:79;a:16:{s:4:\"tmpl\";i:1362;s:2:\"id\";i:23210;s:5:\"title\";s:38:\"Full Screen | Menu | Virtual Assistant\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistnt-73-small.jpg\";s:12:\"tmpl_created\";i:1647784292;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:80;a:16:{s:4:\"tmpl\";i:1363;s:2:\"id\";i:23223;s:5:\"title\";s:39:\"Hello Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/73-Virtual-Assistant-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647784616;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-contact-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:37:\"[\"Contact\",\"Psychologist\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:81;a:16:{s:4:\"tmpl\";i:1364;s:2:\"id\";i:23234;s:5:\"title\";s:32:\"Slide-In  | Menu | Personal Chef\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Menu.jpg\";s:12:\"tmpl_created\";i:1647798194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-menu-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:82;a:16:{s:4:\"tmpl\";i:1365;s:2:\"id\";i:23244;s:5:\"title\";s:29:\"Classic | CTA | Personal Chef\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647798297;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Booking\",\"Chef\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:83;a:16:{s:4:\"tmpl\";i:1366;s:2:\"id\";i:23254;s:5:\"title\";s:31:\"Full Screen | Menu | Food Truck\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small-1.jpg\";s:12:\"tmpl_created\";i:1647798447;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:84;a:16:{s:4:\"tmpl\";i:1367;s:2:\"id\";i:23265;s:5:\"title\";s:30:\"Fly-In | Discount | Food Truck\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small.jpg\";s:12:\"tmpl_created\";i:1647798657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:85;a:16:{s:4:\"tmpl\";i:1369;s:2:\"id\";i:23323;s:5:\"title\";s:28:\"Classic | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-6-Small.jpg\";s:12:\"tmpl_created\";i:1647855505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:86;a:16:{s:4:\"tmpl\";i:1370;s:2:\"id\";i:23329;s:5:\"title\";s:29:\"Slide-In | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-5-Small.jpg\";s:12:\"tmpl_created\";i:1647855865;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:87;a:16:{s:4:\"tmpl\";i:1371;s:2:\"id\";i:23335;s:5:\"title\";s:31:\"Slide-In | CTA | Black Friday 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-1-Small.jpg\";s:12:\"tmpl_created\";i:1647856357;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-cta-black-friday-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:88;a:16:{s:4:\"tmpl\";i:1372;s:2:\"id\";i:23341;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-3-Small.jpg\";s:12:\"tmpl_created\";i:1647856493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:89;a:16:{s:4:\"tmpl\";i:1373;s:2:\"id\";i:23347;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-2-Small.jpg\";s:12:\"tmpl_created\";i:1647856891;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:90;a:16:{s:4:\"tmpl\";i:1374;s:2:\"id\";i:23354;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 4\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-4-Small.jpg\";s:12:\"tmpl_created\";i:1647856996;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:91;a:16:{s:4:\"tmpl\";i:1375;s:2:\"id\";i:23394;s:5:\"title\";s:27:\"Classic | CTA | Halloween 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-3-Small.jpg\";s:12:\"tmpl_created\";i:1647857351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-halloween-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:31:\"[\"cta\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:92;a:16:{s:4:\"tmpl\";i:1376;s:2:\"id\";i:23401;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-2-Small.jpg\";s:12:\"tmpl_created\";i:1647857567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:93;a:16:{s:4:\"tmpl\";i:1377;s:2:\"id\";i:23407;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-1-Small.jpg\";s:12:\"tmpl_created\";i:1647857814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:94;a:16:{s:4:\"tmpl\";i:1378;s:2:\"id\";i:23416;s:5:\"title\";s:31:\"Fly-In | Discount | Halloween 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-5-Small.jpg\";s:12:\"tmpl_created\";i:1647858024;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-discount-halloween-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:44:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:95;a:16:{s:4:\"tmpl\";i:1379;s:2:\"id\";i:23422;s:5:\"title\";s:36:\"Classic | Subscription | Halloween 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-4-Small.jpg\";s:12:\"tmpl_created\";i:1647858246;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-halloween-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:48:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:96;a:16:{s:4:\"tmpl\";i:1380;s:2:\"id\";i:23471;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-2-Small.jpg\";s:12:\"tmpl_created\";i:1647859193;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:97;a:16:{s:4:\"tmpl\";i:1381;s:2:\"id\";i:23477;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-4-Small.jpg\";s:12:\"tmpl_created\";i:1647859838;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:98;a:16:{s:4:\"tmpl\";i:1382;s:2:\"id\";i:23483;s:5:\"title\";s:26:\"Fly-In | CTA | Christmas 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-1-Small.jpg\";s:12:\"tmpl_created\";i:1647860157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/fly-in-cta-christmas-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:99;a:16:{s:4:\"tmpl\";i:1383;s:2:\"id\";i:23489;s:5:\"title\";s:33:\"Slide-In | Discount | Christmas 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-5-Small.jpg\";s:12:\"tmpl_created\";i:1647860302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-christmas-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:100;a:16:{s:4:\"tmpl\";i:1384;s:2:\"id\";i:23496;s:5:\"title\";s:32:\"Classic | Discount | Christmas 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-3-Small.jpg\";s:12:\"tmpl_created\";i:1647860454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-christmas-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Christmas\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:101;a:16:{s:4:\"tmpl\";i:1385;s:2:\"id\";i:23523;s:5:\"title\";s:30:\"Classic | CTA | Valentines Day\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-2-Small.jpg\";s:12:\"tmpl_created\";i:1647860912;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-valentines-day/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:102;a:16:{s:4:\"tmpl\";i:1386;s:2:\"id\";i:23529;s:5:\"title\";s:39:\"Hello Bar | Discount | Valentines Day 2\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-1-Small.jpg\";s:12:\"tmpl_created\";i:1647861064;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-discount-valentines-day-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:30:\"[\"Discount\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:103;a:16:{s:4:\"tmpl\";i:1387;s:2:\"id\";i:23536;s:5:\"title\";s:32:\"Classic | CTA | Valentines Day 3\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-3-Small.jpg\";s:12:\"tmpl_created\";i:1647861536;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-cta-valentines-day-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:104;a:16:{s:4:\"tmpl\";i:1388;s:2:\"id\";i:23586;s:5:\"title\";s:51:\"Fly-In | Subscribe | Health &#038; Wellness Company\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/35-Subscribe-Health-Wellness-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647862008;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscribe-health-wellness-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:24:\"[\"Business\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:105;a:16:{s:4:\"tmpl\";i:1389;s:2:\"id\";i:23592;s:5:\"title\";s:34:\"Classic | Subscribe | Tech Company\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/36-Subscribe-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647866706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-subscribe-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:106;a:16:{s:4:\"tmpl\";i:1390;s:2:\"id\";i:23598;s:5:\"title\";s:36:\"Classic | Contact Us | Fight Classes\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/37-Contact-Us-Fight-Classes-Small.jpg\";s:12:\"tmpl_created\";i:1647866869;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-contact-us-fight-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:107;a:16:{s:4:\"tmpl\";i:1391;s:2:\"id\";i:23611;s:5:\"title\";s:31:\"Classic | CTA | Mochi Shop Sale\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2022/03/39-Click-Through-Mochi-Shop-Sale-Small.jpg\";s:12:\"tmpl_created\";i:1647867750;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-cta-mochi-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"cta\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:108;a:16:{s:4:\"tmpl\";i:1392;s:2:\"id\";i:23618;s:5:\"title\";s:28:\"Classic | CTA | Fashion Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/40-Click-Through-Fashion-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647868251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:109;a:16:{s:4:\"tmpl\";i:1393;s:2:\"id\";i:23624;s:5:\"title\";s:29:\"Fly-In | Login | Tech Company\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/41-Login-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647868704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/fly-in-login-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:110;a:16:{s:4:\"tmpl\";i:1394;s:2:\"id\";i:23630;s:5:\"title\";s:36:\"Fly-In | Verification | Liquor Store\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/42-Verification-Liquor-Store-Small.jpg\";s:12:\"tmpl_created\";i:1647870308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-verification-liquor-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:111;a:16:{s:4:\"tmpl\";i:1395;s:2:\"id\";i:23636;s:5:\"title\";s:39:\"Hello Bar | Subscribe | Online Magazine\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/44-Subscribe-Online-Magazine-Small.jpg\";s:12:\"tmpl_created\";i:1647870465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-subscribe-online-magazine/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:112;a:16:{s:4:\"tmpl\";i:1396;s:2:\"id\";i:23642;s:5:\"title\";s:27:\"Fly-In | Login | Health Spa\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/43-Login-Health-Spa-Small.jpg\";s:12:\"tmpl_created\";i:1647872427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/fly-in-login-health-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Login\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:113;a:16:{s:4:\"tmpl\";i:1397;s:2:\"id\";i:23648;s:5:\"title\";s:33:\"Fly-In | Verification | Wine Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/45-Verification-Wine-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647872627;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/fly-in-verification-wine-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:114;a:16:{s:4:\"tmpl\";i:899;s:2:\"id\";i:11839;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";i:1569430015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:189;s:11:\"trend_index\";i:20;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:115;a:16:{s:4:\"tmpl\";i:1421;s:2:\"id\";i:24235;s:5:\"title\";s:24:\"Ladydog Club &#8211; NFT\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/05/Ladydog_Club.jpg\";s:12:\"tmpl_created\";i:1651525072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/ladydog-club-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:116;a:16:{s:4:\"tmpl\";i:1422;s:2:\"id\";i:24166;s:5:\"title\";s:15:\"Dot &#8211; NFT\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/05/Dot-250_280.jpg\";s:12:\"tmpl_created\";i:1651525117;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/lp/dot-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:117;a:16:{s:4:\"tmpl\";i:1423;s:2:\"id\";i:24191;s:5:\"title\";s:28:\"Cosmic Neighbors &#8211; NFT\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Cosmic_Neighbors-250_280.jpg\";s:12:\"tmpl_created\";i:1651525124;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/cosmic-neighbors-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:118;a:16:{s:4:\"tmpl\";i:1424;s:2:\"id\";i:24255;s:5:\"title\";s:30:\"Happy Food Friends &#8211; NFT\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/05/Featured_Image.jpg\";s:12:\"tmpl_created\";i:1651525475;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/happy-food-friends-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:119;a:16:{s:4:\"tmpl\";i:1443;s:2:\"id\";i:24599;s:5:\"title\";s:27:\"Wireframe &#8211; Courses 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Courses-1.jpg\";s:12:\"tmpl_created\";i:1653989626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-courses-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:180:\"[\"About\",\"Academy\",\"Booking\",\"Business\",\"Course Online\",\"Features\",\"Footer\",\"Landing Pages\",\"Online Service\",\"Professional\",\"School\",\"Services\",\"Subscribe\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:120;a:16:{s:4:\"tmpl\";i:1444;s:2:\"id\";i:24614;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1-2.jpg\";s:12:\"tmpl_created\";i:1653990084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:139:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:121;a:16:{s:4:\"tmpl\";i:1445;s:2:\"id\";i:24629;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2-2.jpg\";s:12:\"tmpl_created\";i:1653990132;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:123:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:122;a:16:{s:4:\"tmpl\";i:1446;s:2:\"id\";i:24644;s:5:\"title\";s:27:\"Wireframe &#8211; Webinar 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Webinar-1.jpg\";s:12:\"tmpl_created\";i:1653990164;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-webinar-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:177:\"[\"About\",\"Academy\",\"Booking\",\"Conference\",\"Course Online\",\"Education\",\"Features\",\"Footer\",\"Form\",\"Landing Pages\",\"Online Event\",\"Online Service\",\"Subscribe\",\"Virtual\",\"Webinar\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:123;a:16:{s:4:\"tmpl\";i:1447;s:2:\"id\";i:24655;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3-2.jpg\";s:12:\"tmpl_created\";i:1653990198;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:143:\"[\"About\",\"Agency\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Portfolio\",\"Professional\",\"Project\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:124;a:16:{s:4:\"tmpl\";i:1448;s:2:\"id\";i:24677;s:5:\"title\";s:28:\"Wireframe &#8211; Services 4\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-4.jpg\";s:12:\"tmpl_created\";i:1653990233;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:102:\"[\"About\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:125;a:16:{s:4:\"tmpl\";i:1449;s:2:\"id\";i:24687;s:5:\"title\";s:28:\"Wireframe &#8211; Products 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Products-1.jpg\";s:12:\"tmpl_created\";i:1653990273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-products-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:128:\"[\"About\",\"Booking\",\"Business\",\"Clients\",\"Ecommerce\",\"Features\",\"Footer\",\"Landing Pages\",\"Products\",\"Sales\",\"Shop\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:126;a:16:{s:4:\"tmpl\";i:1450;s:2:\"id\";i:24706;s:5:\"title\";s:28:\"Wireframe &#8211; Services 5\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-5.jpg\";s:12:\"tmpl_created\";i:1653990322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:149:\"[\"About\",\"Booking\",\"Consulting\",\"Contact\",\"Doctor\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:127;a:16:{s:4:\"tmpl\";i:1451;s:2:\"id\";i:23604;s:5:\"title\";s:38:\"Classic | Subscribe | Nail Polish Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/38-Subscribe-Nail-Polish-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1660205114;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-subscribe-nail-polish-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:128;a:16:{s:4:\"tmpl\";i:1452;s:2:\"id\";i:23047;s:5:\"title\";s:46:\"Fly-In | Contact | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small.jpg\";s:12:\"tmpl_created\";i:1660205149;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/fly-in-contact-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Contact\",\"Ebook\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:129;a:16:{s:4:\"tmpl\";i:1199;s:2:\"id\";i:18839;s:5:\"title\";s:27:\"Hello Bar | CTA | eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/05/350x250.png\";s:12:\"tmpl_created\";i:1621870603;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/hello-bar-cta-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:41:\"[\"Ecommerce\",\"Online Shop\",\"Sale\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:130;a:16:{s:4:\"tmpl\";i:1247;s:2:\"id\";i:21907;s:5:\"title\";s:50:\"Fly-In | Team Details  | Electronic Music Festival\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/Kit-8-electronic-music-festival-CTA-image-1.jpg\";s:12:\"tmpl_created\";i:1646660881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/fly-in-team-details-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:131;a:16:{s:4:\"tmpl\";i:1253;s:2:\"id\";i:22162;s:5:\"title\";s:46:\"Full Screen | Menu | Electronic Music Festival\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/8-music-festival-Team-Details.jpg\";s:12:\"tmpl_created\";i:1647272934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:154:\"https://library.elementor.com/popups/full-screen-menu-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:132;a:16:{s:4:\"tmpl\";i:1254;s:2:\"id\";i:22172;s:5:\"title\";s:45:\"Classic | Discount | Health &#038; Beauty Spa\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/health-beauty-spa-small.jpg\";s:12:\"tmpl_created\";i:1647273547;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-discount-popup-health-beauty-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:36:\"[\"Hair\",\"Health\",\"Sales\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:133;a:16:{s:4:\"tmpl\";i:1255;s:2:\"id\";i:22183;s:5:\"title\";s:44:\"Hello Bar | CTA | Environmental Organization\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/11-Environmental-Organization-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647274384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/hello-bar-cta-popup-environmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:134;a:16:{s:4:\"tmpl\";i:1256;s:2:\"id\";i:22195;s:5:\"title\";s:39:\"Classic | Discount | Italian Restaurant\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/restaurant-small.jpg\";s:12:\"tmpl_created\";i:1647329432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-discount-popup-italian-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Restaurant\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:135;a:16:{s:4:\"tmpl\";i:1257;s:2:\"id\";i:22210;s:5:\"title\";s:45:\"Bottom Bar | Discount | Technology Conference\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tech-conference-small.jpg\";s:12:\"tmpl_created\";i:1647330423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/bottom-bar-discount-popup-technology-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:38:\"[\"Conference\",\"Sales\",\"Save the Date\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:136;a:16:{s:4:\"tmpl\";i:1258;s:2:\"id\";i:22221;s:5:\"title\";s:32:\"Hello Bar | Menu | Tattoo Studio\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small-1.jpg\";s:12:\"tmpl_created\";i:1647330705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/hello-bar-menu-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:17:\"[\"Header\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:137;a:16:{s:4:\"tmpl\";i:1259;s:2:\"id\";i:22231;s:5:\"title\";s:37:\"Full Screen | Booking | Tattoo Studio\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small.jpg\";s:12:\"tmpl_created\";i:1647331823;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-booking-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:138;a:16:{s:4:\"tmpl\";i:1260;s:2:\"id\";i:22251;s:5:\"title\";s:34:\"Classic | Discount | Dental Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/dental-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647332171;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-popup-dental-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Health\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:139;a:16:{s:4:\"tmpl\";i:1261;s:2:\"id\";i:22261;s:5:\"title\";s:34:\"Slide-In | Contact | Makeup Artist\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/20-Makeup-Artist-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647333946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/slide-in-contact-popup-makeup-artist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:140;a:16:{s:4:\"tmpl\";i:1262;s:2:\"id\";i:22271;s:5:\"title\";s:24:\"Fly-In | CTA | Headphone\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/headphones-1-small.jpg\";s:12:\"tmpl_created\";i:1647334784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-cta-popup-headphone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:41:\"[\"cta\",\"Ecommerce\",\"Marketing\",\"Product\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:141;a:16:{s:4:\"tmpl\";i:1263;s:2:\"id\";i:22277;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/online-course-2.jpg\";s:12:\"tmpl_created\";i:1647337110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-popup-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Course Online\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:142;a:16:{s:4:\"tmpl\";i:1264;s:2:\"id\";i:22283;s:5:\"title\";s:40:\"Bottom Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistant-3.jpg\";s:12:\"tmpl_created\";i:1647337517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-contact-popup-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:143;a:16:{s:4:\"tmpl\";i:1265;s:2:\"id\";i:22289;s:5:\"title\";s:32:\"Fly-In | Contact | Private Tutor\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-4.jpg\";s:12:\"tmpl_created\";i:1647337676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-contact-popup-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:27:\"[\"Contact\",\"Course Online\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:144;a:16:{s:4:\"tmpl\";i:1266;s:2:\"id\";i:22295;s:5:\"title\";s:31:\"Classic |  Login | Login Travel\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/login-travel-6.jpg\";s:12:\"tmpl_created\";i:1647339467;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-login-popup-login-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:145;a:16:{s:4:\"tmpl\";i:1267;s:2:\"id\";i:22301;s:5:\"title\";s:36:\"Full Screen | Login | Login Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/login-business-7.jpg\";s:12:\"tmpl_created\";i:1647339782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/full-screen-login-popup-login-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:16:\"[\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:146;a:16:{s:4:\"tmpl\";i:1268;s:2:\"id\";i:22307;s:5:\"title\";s:28:\"Classic | Login | Login Blog\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/login-blog-8.jpg\";s:12:\"tmpl_created\";i:1647339986;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-login-popup-login-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:147;a:16:{s:4:\"tmpl\";i:1269;s:2:\"id\";i:22313;s:5:\"title\";s:31:\"Classic | Login | Login Fashion\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/login-fashion-9.jpg\";s:12:\"tmpl_created\";i:1647340204;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-login-popup-login-fashion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Fashion\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:148;a:16:{s:4:\"tmpl\";i:1270;s:2:\"id\";i:22319;s:5:\"title\";s:40:\"Classic |  Login | Login Design Platform\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/03/login-design-platform-10.jpg\";s:12:\"tmpl_created\";i:1647340531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-login-popup-login-design-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Design\",\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:149;a:16:{s:4:\"tmpl\";i:1271;s:2:\"id\";i:22325;s:5:\"title\";s:36:\"Fly-In | Contact | Digital Marketing\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-marketing-11.jpg\";s:12:\"tmpl_created\";i:1647340770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-contact-popup-digital-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:51:\"[\"Business\",\"Contact\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:150;a:16:{s:4:\"tmpl\";i:1272;s:2:\"id\";i:22331;s:5:\"title\";s:36:\"Fly-In | CTA | Dog Cat Food Delivery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/dog-cat-food-delivery-5.jpg\";s:12:\"tmpl_created\";i:1647341069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-cta-popup-dog-cat-food-delivery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Delivery Service\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:151;a:16:{s:4:\"tmpl\";i:1273;s:2:\"id\";i:22337;s:5:\"title\";s:37:\"Full Screen | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-12.jpg\";s:12:\"tmpl_created\";i:1647341370;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-contact-popup-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:152;a:16:{s:4:\"tmpl\";i:1274;s:2:\"id\";i:22343;s:5:\"title\";s:44:\"Classic | Contact | Support Product Platform\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/03/support-13.jpg\";s:12:\"tmpl_created\";i:1647341972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-contact-support-product-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Contact\",\"Support\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:153;a:16:{s:4:\"tmpl\";i:1275;s:2:\"id\";i:22371;s:5:\"title\";s:38:\"Full Screen | Contact | Small Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/small-business-14.jpg\";s:12:\"tmpl_created\";i:1647342508;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-contact-small-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:40:\"[\"Business\",\"Contact\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:154;a:16:{s:4:\"tmpl\";i:1276;s:2:\"id\";i:22377;s:5:\"title\";s:31:\"Classic | Contact | Online Shop\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/online-shop-15.jpg\";s:12:\"tmpl_created\";i:1647352786;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-online-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:155;a:16:{s:4:\"tmpl\";i:1277;s:2:\"id\";i:22383;s:5:\"title\";s:40:\"Classic | Booking | Children Optometrist\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/children-optometrist-16.jpg\";s:12:\"tmpl_created\";i:1647352963;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-booking-children-optometrist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:53:\"[\"Booking\",\"Business\",\"Contact\",\"Education\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:156;a:16:{s:4:\"tmpl\";i:1278;s:2:\"id\";i:22389;s:5:\"title\";s:28:\"Fly-In | Contact | Open Week\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/03/open-week17.jpg\";s:12:\"tmpl_created\";i:1647353281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-open-week/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:34:\"[\"Business\",\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:157;a:16:{s:4:\"tmpl\";i:1279;s:2:\"id\";i:22397;s:5:\"title\";s:43:\"Full Screen | CTA | Plant Pots Online Store\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/plant-pots-online-store-18.jpg\";s:12:\"tmpl_created\";i:1647353429;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-cta-plant-pots-online-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:33:\"[\"Ecommerce\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:158;a:16:{s:4:\"tmpl\";i:1054;s:2:\"id\";i:15414;s:5:\"title\";s:32:\"Classic | Contact | Dance Studio\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/PopUp.jpg\";s:12:\"tmpl_created\";i:1603180596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-dance-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:762;s:11:\"trend_index\";i:650;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:159;a:16:{s:4:\"tmpl\";i:1398;s:2:\"id\";i:23687;s:5:\"title\";s:32:\"Pizza Promotion &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/48-Pizza-Promotion.jpg\";s:12:\"tmpl_created\";i:1649670575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/pizza-promotion-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:92:\"[\"Business\",\"Cooking\",\"Delivery\",\"Discount\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:160;a:16:{s:4:\"tmpl\";i:1400;s:2:\"id\";i:23751;s:5:\"title\";s:33:\"Baby Sleep Webinar &#8211; Events\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/63-Baby-Sleep-Webinar.jpg\";s:12:\"tmpl_created\";i:1649676065;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/baby-sleep-webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:227:\"[\"Baby\",\"Booking\",\"Business\",\"Children\",\"Course Online\",\"Education\",\"Events\",\"Health\",\"Landing Pages\",\"Life Coach\",\"Lifestyle\",\"Online Event\",\"Online Service\",\"Parenting\",\"Professional\",\"Remote\",\"Services\",\"Training\",\"Webinar\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:161;a:16:{s:4:\"tmpl\";i:1401;s:2:\"id\";i:23776;s:5:\"title\";s:34:\"Ski Hotel Promotion &#8211; Travel\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/04/64-Ski-Hotel-Promotion.jpg\";s:12:\"tmpl_created\";i:1649691720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/ski-hotel-promotion-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Travel\";s:4:\"tags\";s:118:\"[\"Accommodation\",\"Booking\",\"Discount. Landing Pages\",\"Lifestyle\",\"Luxury\",\"Services\",\"Spa\",\"Travel\",\"Trip\",\"Vacation\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:162;a:16:{s:4:\"tmpl\";i:1402;s:2:\"id\";i:23804;s:5:\"title\";s:30:\"Cake Delivery &#8211; Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/04/67-Cake-Delivery.jpg\";s:12:\"tmpl_created\";i:1649692909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/cake-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:101:\"[\"Bakery\",\"Business\",\"Cake\",\"Cooking\",\"Delivery\",\"Discount\",\"Food\",\"Landing Pages\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:163;a:16:{s:4:\"tmpl\";i:1403;s:2:\"id\";i:23832;s:5:\"title\";s:32:\"Furniture Store &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/87-Furniture-Store.jpg\";s:12:\"tmpl_created\";i:1649694812;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/furniture-store-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:232:\"[\"Architecture\",\"Art\",\"Business\",\"Construction\",\"Coupon\",\"Creative\",\"Decor\",\"Designer\",\"Discount\",\"Fashion\",\"Furniture Design\",\"Home\",\"House\",\"Interior Design\",\"Landing Pages\",\"Lifestyle\",\"Products\",\"Professional\",\"Services\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:164;a:16:{s:4:\"tmpl\";i:1404;s:2:\"id\";i:23746;s:5:\"title\";s:22:\"Nails &#8211; Business\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/04/62-Nails-1.jpg\";s:12:\"tmpl_created\";i:1649704635;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/nails-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:173:\"[\"Art\",\"Beauty\",\"Business\",\"Colorful\",\"Cosmetics\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Girly\",\"Landing Pages\",\"Lifestyle\",\"Manicure\",\"Modern\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:165;a:16:{s:4:\"tmpl\";i:1405;s:2:\"id\";i:23846;s:5:\"title\";s:29:\"Music Festival &#8211; Events\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/04/88-Music-Festival.jpg\";s:12:\"tmpl_created\";i:1649707763;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/music-festival-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:128:\"[\"Author\",\"Booking\",\"Business\",\"Creative\",\"Discount\",\"Events\",\"Landing Pages\",\"Music\",\"Online\",\"Online Event\",\"Party\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:166;a:16:{s:4:\"tmpl\";i:1406;s:2:\"id\";i:23872;s:5:\"title\";s:40:\"Fashion Styling Course &#8211; Education\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/89-Fashion-Styling-Course.jpg\";s:12:\"tmpl_created\";i:1649708569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/fashion-styling-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:173:\"[\"Aesthetic\",\"Art\",\"Beauty\",\"Business\",\"Course Online\",\"Creative\",\"Discount\",\"Education\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Online\",\"Online Service\",\"Stylist\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:167;a:16:{s:4:\"tmpl\";i:1407;s:2:\"id\";i:23897;s:5:\"title\";s:33:\"Bags Online Shop &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/04/90-Bags-Online-Shop.jpg\";s:12:\"tmpl_created\";i:1649709513;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/bags-online-shop-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:170:\"[\"Art\",\"Bag\",\"Business\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Luxury\",\"Modern\",\"Online\",\"Online Shop\",\"Products\",\"Sales\",\"Shop\",\"Stylist\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:168;a:16:{s:4:\"tmpl\";i:1408;s:2:\"id\";i:23932;s:5:\"title\";s:32:\"Cooking Academy &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/91-Cooking-Academy.jpg\";s:12:\"tmpl_created\";i:1649710216;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/cooking-academy-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:145:\"[\"Academy\",\"Booking\",\"Business\",\"Chef\",\"Cooking\",\"Education\",\"Food\",\"Free Trial\",\"Landing Pages\",\"Professional\",\"School\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:169;a:16:{s:4:\"tmpl\";i:1409;s:2:\"id\";i:23970;s:5:\"title\";s:45:\"Ophthalmology Medical Clinic &#8211; Business\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/04/92-Ophthalmology-Medical-Clinic.jpg\";s:12:\"tmpl_created\";i:1649711096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/ophthalmology-medical-clinic-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:165:\"[\"About\",\"Business\",\"Care\",\"Consulting\",\"Eye\",\"Free Trial\",\"Glasses\",\"Health\",\"Landing Pages\",\"Lifestyle\",\"Medical\",\"Modern\",\"Optometrist\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:170;a:16:{s:4:\"tmpl\";i:1425;s:2:\"id\";i:24331;s:5:\"title\";s:24:\"Wireframe &#8211; Home 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-1.jpg\";s:12:\"tmpl_created\";i:1653988363;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:171;a:16:{s:4:\"tmpl\";i:674;s:2:\"id\";i:8505;s:5:\"title\";s:11:\"404 page 01\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/001.jpg\";s:12:\"tmpl_created\";i:1526415501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:533;s:11:\"trend_index\";i:222;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:172;a:16:{s:4:\"tmpl\";i:1218;s:2:\"id\";i:20792;s:5:\"title\";s:26:\"Luxury Car &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/11/250x280-1.jpg\";s:12:\"tmpl_created\";i:1636903770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/luxury-car-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:54:\"[\"car\",\"Ecommerce\",\"Landing Pages\",\"Luxury\",\"Product\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:173;a:16:{s:4:\"tmpl\";i:1428;s:2:\"id\";i:24398;s:5:\"title\";s:25:\"Wireframe &#8211; About 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-1.jpg\";s:12:\"tmpl_created\";i:1653988534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:83:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Professional\",\"Services\",\"Team\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:174;a:16:{s:4:\"tmpl\";i:675;s:2:\"id\";i:8511;s:5:\"title\";s:11:\"404 page 02\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/002.jpg\";s:12:\"tmpl_created\";i:1526415528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:347;s:11:\"trend_index\";i:155;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:175;a:16:{s:4:\"tmpl\";i:1204;s:2:\"id\";i:20208;s:5:\"title\";s:49:\"Alternative Medicine Acupuncture &#8211; Business\";s:9:\"thumbnail\";s:112:\"https://library.elementor.com/wp-content/uploads/2021/10/Alternative-Medicine-Acupuncture-Business-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633880557;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/lp/alternative-medicine-acupuncture-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:47:\"[\"Health\",\"Landing Pages\",\"Medical\",\"Services\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:176;a:16:{s:4:\"tmpl\";i:991;s:2:\"id\";i:13413;s:5:\"title\";s:33:\"Classic | Contact | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Help.jpg\";s:12:\"tmpl_created\";i:1587474761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-contact-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:530;s:11:\"trend_index\";i:369;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:177;a:16:{s:4:\"tmpl\";i:1053;s:2:\"id\";i:15272;s:5:\"title\";s:32:\"Classic | Contact | Psychologist\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/PopUp.png\";s:12:\"tmpl_created\";i:1600170487;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:578;s:11:\"trend_index\";i:312;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:178;a:16:{s:4:\"tmpl\";i:1433;s:2:\"id\";i:24477;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-2.jpg\";s:12:\"tmpl_created\";i:1653988835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:179;a:16:{s:4:\"tmpl\";i:672;s:2:\"id\";i:8512;s:5:\"title\";s:11:\"404 page 03\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/003.jpg\";s:12:\"tmpl_created\";i:1526415449;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:450;s:11:\"trend_index\";i:375;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:180;a:16:{s:4:\"tmpl\";i:1205;s:2:\"id\";i:20233;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633881371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:181;a:16:{s:4:\"tmpl\";i:671;s:2:\"id\";i:8513;s:5:\"title\";s:11:\"404 page 04\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/004.jpg\";s:12:\"tmpl_created\";i:1526415417;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:420;s:11:\"trend_index\";i:176;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:182;a:16:{s:4:\"tmpl\";i:1214;s:2:\"id\";i:20539;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:183;a:16:{s:4:\"tmpl\";i:1224;s:2:\"id\";i:21013;s:5:\"title\";s:24:\"Restaurant &#8211; About\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/12/7-About-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638795588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:36:\"[\"About\",\"Chef\",\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:184;a:16:{s:4:\"tmpl\";i:992;s:2:\"id\";i:13402;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/04/Popup-Course-Completed.jpg\";s:12:\"tmpl_created\";i:1587474772;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:619;s:11:\"trend_index\";i:582;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:185;a:16:{s:4:\"tmpl\";i:676;s:2:\"id\";i:8514;s:5:\"title\";s:11:\"404 Page 05\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/005.jpg\";s:12:\"tmpl_created\";i:1526415558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:419;s:11:\"trend_index\";i:220;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:186;a:16:{s:4:\"tmpl\";i:1206;s:2:\"id\";i:20254;s:5:\"title\";s:41:\"Digital Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Digital-Marketing-Agency-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/digital-marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:65:\"[\"Agency\",\"Business\",\"Digital Agency\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:187;a:16:{s:4:\"tmpl\";i:1235;s:2:\"id\";i:21281;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/16-Services-Law-firm.jpg\";s:12:\"tmpl_created\";i:1638819128;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/law-firm-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Consulting\",\"Law\",\"Law Firm\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:188;a:16:{s:4:\"tmpl\";i:1017;s:2:\"id\";i:14111;s:5:\"title\";s:36:\"Classic | Japanese restaurant | Sale\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1592300400;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-japanese-restaurant-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:717;s:11:\"trend_index\";i:697;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:189;a:16:{s:4:\"tmpl\";i:668;s:2:\"id\";i:8523;s:5:\"title\";s:11:\"404 page 06\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/006.jpg\";s:12:\"tmpl_created\";i:1526415291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:298;s:11:\"trend_index\";i:268;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:190;a:16:{s:4:\"tmpl\";i:1213;s:2:\"id\";i:20509;s:5:\"title\";s:40:\"Dogs Adoption &#8211; Social Involvement\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/10/Dog-Adoption-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/dogs-adoption-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:49:\"[\"Adoption\",\"Involvement\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:191;a:16:{s:4:\"tmpl\";i:1233;s:2:\"id\";i:21205;s:5:\"title\";s:29:\"Photographer &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/25-Projects-Photographer.jpg\";s:12:\"tmpl_created\";i:1638818372;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photographer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Black and white\",\"Photography\",\"Project\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:192;a:16:{s:4:\"tmpl\";i:993;s:2:\"id\";i:13422;s:5:\"title\";s:30:\"Classic | Menu | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1587474782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-menu-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:516;s:11:\"trend_index\";i:432;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:193;a:16:{s:4:\"tmpl\";i:669;s:2:\"id\";i:8524;s:5:\"title\";s:11:\"404 page 07\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/007.jpg\";s:12:\"tmpl_created\";i:1526415337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:303;s:11:\"trend_index\";i:171;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:194;a:16:{s:4:\"tmpl\";i:925;s:2:\"id\";i:12540;s:5:\"title\";s:33:\"Classic | Menu | Travel and tours\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_Menu_s.png\";s:12:\"tmpl_created\";i:1575960267;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-menu-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:690;s:11:\"trend_index\";i:714;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:195;a:16:{s:4:\"tmpl\";i:1208;s:2:\"id\";i:20361;s:5:\"title\";s:51:\"Exercise &#038; Fitness Equipment &#8211; eCommerce\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2021/10/Exercise-Fitness-Equipment-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633883766;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/exercise-fitness-equipment-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Fitness\",\"Health\",\"Landing Pages\",\"Online Shop\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:196;a:16:{s:4:\"tmpl\";i:1239;s:2:\"id\";i:21373;s:5:\"title\";s:28:\"Photographer &#8211; Gallery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/18-Gallery-Photographer.jpg\";s:12:\"tmpl_created\";i:1638821177;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photographer-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Gallery\",\"Photography\",\"Portfolio\",\"Project\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:197;a:16:{s:4:\"tmpl\";i:1426;s:2:\"id\";i:24348;s:5:\"title\";s:24:\"Wireframe &#8211; Home 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-2.jpg\";s:12:\"tmpl_created\";i:1653988444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:198;a:16:{s:4:\"tmpl\";i:673;s:2:\"id\";i:8526;s:5:\"title\";s:11:\"404 page 09\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/009.jpg\";s:12:\"tmpl_created\";i:1526415474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:477;s:11:\"trend_index\";i:285;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:199;a:16:{s:4:\"tmpl\";i:958;s:2:\"id\";i:13129;s:5:\"title\";s:28:\"Classic | Menu | Photography\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/PopUp_s.png\";s:12:\"tmpl_created\";i:1582092645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-menu-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:646;s:11:\"trend_index\";i:521;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:200;a:16:{s:4:\"tmpl\";i:1215;s:2:\"id\";i:20556;s:5:\"title\";s:41:\"Faroe Islands Trip Planner &#8211; Travel\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2021/10/Faroe-Islands-Trip-Planner-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634026480;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/faroe-islands-trip-planner-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Travel\";s:4:\"tags\";s:26:\"[\"Landing Pages\",\"Travel\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:201;a:16:{s:4:\"tmpl\";i:1427;s:2:\"id\";i:24366;s:5:\"title\";s:24:\"Wireframe &#8211; Home 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-3.jpg\";s:12:\"tmpl_created\";i:1653988491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:202;a:16:{s:4:\"tmpl\";i:670;s:2:\"id\";i:8525;s:5:\"title\";s:11:\"404 page 08\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/008.jpg\";s:12:\"tmpl_created\";i:1526415374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:510;s:11:\"trend_index\";i:575;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:203;a:16:{s:4:\"tmpl\";i:1207;s:2:\"id\";i:20299;s:5:\"title\";s:51:\"Interior Design Consultation &#8211; Online Service\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/10/Interior-Design-Consultation-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/interior-design-consultation-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:65:\"[\"Consulting\",\"Interior Design\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:204;a:16:{s:4:\"tmpl\";i:952;s:2:\"id\";i:12726;s:5:\"title\";s:52:\"Classic | Newsletter | Subscribe | Magazine and Blog\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_Newsletter_s.png\";s:12:\"tmpl_created\";i:1579061019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/classic-newsletter-subscribe-magazine-and-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:357;s:11:\"trend_index\";i:281;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:205;a:16:{s:4:\"tmpl\";i:883;s:2:\"id\";i:11468;s:5:\"title\";s:20:\"Classic | Sale | Gym\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/PopUp_Small.png\";s:12:\"tmpl_created\";i:1567393182;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-sale-gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:696;s:11:\"trend_index\";i:740;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:206;a:16:{s:4:\"tmpl\";i:1216;s:2:\"id\";i:20623;s:5:\"title\";s:57:\"Luxurious Camping Accommodation For Events &#8211; Events\";s:9:\"thumbnail\";s:113:\"https://library.elementor.com/wp-content/uploads/2021/10/Luxurious-Camping-Accommodation-For-Events-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634041681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/luxurious-camping-accommodation-for-events-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:43:\"[\"Event\",\"Events\",\"Landing Pages\",\"Travel\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:207;a:16:{s:4:\"tmpl\";i:1219;s:2:\"id\";i:20886;s:5:\"title\";s:28:\"Online Training &#8211; Home\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/12/2-Home-Online-Training.jpg\";s:12:\"tmpl_created\";i:1638784769;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/online-training-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Online\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:208;a:16:{s:4:\"tmpl\";i:502;s:2:\"id\";i:5438;s:5:\"title\";s:7:\"About 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_4.png\";s:12:\"tmpl_created\";i:1520443512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:147;s:11:\"trend_index\";i:9;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:209;a:16:{s:4:\"tmpl\";i:1065;s:2:\"id\";i:15570;s:5:\"title\";s:33:\"Classic | Subscribe | Travel Blog\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp.jpg\";s:12:\"tmpl_created\";i:1606215555;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscribe-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:709;s:11:\"trend_index\";i:459;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:210;a:16:{s:4:\"tmpl\";i:557;s:2:\"id\";i:6135;s:5:\"title\";s:8:\"About 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_2.png\";s:12:\"tmpl_created\";i:1520443663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:77;s:11:\"trend_index\";i:47;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:211;a:16:{s:4:\"tmpl\";i:1431;s:2:\"id\";i:24437;s:5:\"title\";s:25:\"Wireframe &#8211; About 4\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-4.jpg\";s:12:\"tmpl_created\";i:1653988733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:212;a:16:{s:4:\"tmpl\";i:1210;s:2:\"id\";i:20414;s:5:\"title\";s:45:\"Online English Courses &#8211; Online Service\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Online-English-Courses-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/online-english-courses-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Course Online\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:213;a:16:{s:4:\"tmpl\";i:1132;s:2:\"id\";i:16553;s:5:\"title\";s:31:\"Fly-In | Contact | Beauty Salon\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/12/PopUp.jpg\";s:12:\"tmpl_created\";i:1608622602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-contact-beauty-salon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:691;s:11:\"trend_index\";i:428;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:214;a:16:{s:4:\"tmpl\";i:1441;s:2:\"id\";i:24574;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 5\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-5.jpg\";s:12:\"tmpl_created\";i:1653989135;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:215;a:16:{s:4:\"tmpl\";i:1217;s:2:\"id\";i:20333;s:5:\"title\";s:40:\"Plant Pots Online Shop &#8211; eCommerce\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Plant-Pots-Online-Shop-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634042184;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/plant-pots-online-shop-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Ecommerce\",\"Landing Pages\",\"Online Shop\",\"Shop\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:216;a:16:{s:4:\"tmpl\";i:497;s:2:\"id\";i:5397;s:5:\"title\";s:8:\"About 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1.png\";s:12:\"tmpl_created\";i:1520443503;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:148;s:11:\"trend_index\";i:43;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:217;a:16:{s:4:\"tmpl\";i:1211;s:2:\"id\";i:20447;s:5:\"title\";s:33:\"Shared Workspace &#8211; Business\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Shared-Workspace.jpg\";s:12:\"tmpl_created\";i:1633884934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/shared-workspace-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:28:\"[\"Business\",\"Landing Pages\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:218;a:16:{s:4:\"tmpl\";i:1237;s:2:\"id\";i:21313;s:5:\"title\";s:34:\"Spa &#038; Beauty &#8211; Services\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/12/Spa-Beauty-Treatments-page-1.jpg\";s:12:\"tmpl_created\";i:1638819709;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/spa-beauty-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:55:\"[\"Beauty\",\"Hair\",\"Health\",\"Services\",\"Spa\",\"Treatment\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:219;a:16:{s:4:\"tmpl\";i:1004;s:2:\"id\";i:13538;s:5:\"title\";s:32:\"Fly-In | Newsletter | Barbershop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/05/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1589893364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-newsletter-barbershop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:710;s:11:\"trend_index\";i:667;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:220;a:16:{s:4:\"tmpl\";i:498;s:2:\"id\";i:5405;s:5:\"title\";s:8:\"About 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1.png\";s:12:\"tmpl_created\";i:1520443505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:216;s:11:\"trend_index\";i:50;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:221;a:16:{s:4:\"tmpl\";i:924;s:2:\"id\";i:12550;s:5:\"title\";s:32:\"Fly-in | Sale | Travel and Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_s.png\";s:12:\"tmpl_created\";i:1575960263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/flyin-sale-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:754;s:11:\"trend_index\";i:791;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:222;a:16:{s:4:\"tmpl\";i:1212;s:2:\"id\";i:20479;s:5:\"title\";s:49:\"Teeth Straightening &#8211; Health &#038; Fitness\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Teeth-Whitening.jpg\";s:12:\"tmpl_created\";i:1633886115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/teeth-straightening-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:46:\"[\"Business\",\"Dental\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:223;a:16:{s:4:\"tmpl\";i:1234;s:2:\"id\";i:21234;s:5:\"title\";s:34:\"Insurance Company &#8211; Services\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/15-Services-Insurance-Company.jpg\";s:12:\"tmpl_created\";i:1638818688;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/insurance-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Faq\",\"Form\",\"Insurance\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:224;a:16:{s:4:\"tmpl\";i:500;s:2:\"id\";i:5421;s:5:\"title\";s:8:\"About 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_3.png\";s:12:\"tmpl_created\";i:1520443509;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:215;s:11:\"trend_index\";i:77;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:225;a:16:{s:4:\"tmpl\";i:513;s:2:\"id\";i:5533;s:5:\"title\";s:8:\"About 15\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_10.png\";s:12:\"tmpl_created\";i:1520443534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:21;s:11:\"trend_index\";i:57;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:226;a:16:{s:4:\"tmpl\";i:1035;s:2:\"id\";i:15062;s:5:\"title\";s:35:\"Fly-In | Sign up | Flooring Company\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp.png\";s:12:\"tmpl_created\";i:1597739629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/fly-in-sign-up-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:625;s:11:\"trend_index\";i:309;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:227;a:16:{s:4:\"tmpl\";i:1209;s:2:\"id\";i:20394;s:5:\"title\";s:30:\"Time Management &#8211; Events\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/10/Time-Management-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884077;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/time-management-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:17:\"[\"Landing Pages\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:228;a:16:{s:4:\"tmpl\";i:1229;s:2:\"id\";i:21118;s:5:\"title\";s:28:\"Contact &#8211; Plants Store\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/12-Contact-Plants-Store.jpg\";s:12:\"tmpl_created\";i:1638802472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/contact-plants-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:40:\"[\"Contact\",\"Info\",\"Plant\",\"Testimonial\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:229;a:16:{s:4:\"tmpl\";i:512;s:2:\"id\";i:5525;s:5:\"title\";s:8:\"About 14\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_10.png\";s:12:\"tmpl_created\";i:1520443532;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:9;s:11:\"trend_index\";i:29;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:230;a:16:{s:4:\"tmpl\";i:893;s:2:\"id\";i:11822;s:5:\"title\";s:30:\"Full Screen | Menu | Portfolio\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/PopUp_small.png\";s:12:\"tmpl_created\";i:1569429896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/full-screen-menu-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:654;s:11:\"trend_index\";i:626;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:231;a:16:{s:4:\"tmpl\";i:1203;s:2:\"id\";i:18591;s:5:\"title\";s:28:\"Coffee Sale &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280-7.png\";s:12:\"tmpl_created\";i:1633877319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/coffee-sale-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:33:\"[\"Coffee\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:232;a:16:{s:4:\"tmpl\";i:1231;s:2:\"id\";i:21184;s:5:\"title\";s:28:\"Dental Care &#8211; Services\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/14-Services-Dental-Care.jpg\";s:12:\"tmpl_created\";i:1638807148;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dental-care-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:45:\"[\"Dental\",\"Medical\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:233;a:16:{s:4:\"tmpl\";i:1064;s:2:\"id\";i:15580;s:5:\"title\";s:31:\"Fullscreen | Menu | Travel Blog\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1606215358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fullscreen-menu-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:673;s:11:\"trend_index\";i:348;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:234;a:16:{s:4:\"tmpl\";i:1133;s:2:\"id\";i:16645;s:5:\"title\";s:28:\"Headphones &#8211; eCommerce\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_headphones.png\";s:12:\"tmpl_created\";i:1609944115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/commerce-headphones/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:39:\"[\"Ecommerce\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:633;s:11:\"trend_index\";i:87;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:235;a:16:{s:4:\"tmpl\";i:1442;s:2:\"id\";i:24584;s:5:\"title\";s:27:\"Wireframe &#8211; Pricing 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Pricing-1.jpg\";s:12:\"tmpl_created\";i:1653989152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:146:\"[\"Booking\",\"Business\",\"Clients\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Online Service\",\"Pricing\",\"Products\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:236;a:16:{s:4:\"tmpl\";i:501;s:2:\"id\";i:5429;s:5:\"title\";s:8:\"About 16\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_4.png\";s:12:\"tmpl_created\";i:1520443510;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:59;s:11:\"trend_index\";i:8;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:237;a:16:{s:4:\"tmpl\";i:1138;s:2:\"id\";i:16762;s:5:\"title\";s:25:\"Conference &#8211; Events\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Conference.png\";s:12:\"tmpl_created\";i:1610455119;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/conference-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:60:\"[\"Conference\",\"Convention\",\"Event\",\"Events\",\"Landing Pages\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:705;s:11:\"trend_index\";i:216;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:238;a:16:{s:4:\"tmpl\";i:1438;s:2:\"id\";i:24539;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-2.jpg\";s:12:\"tmpl_created\";i:1653989019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"Business\",\"Contact\",\"Footer\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:239;a:16:{s:4:\"tmpl\";i:981;s:2:\"id\";i:13281;s:5:\"title\";s:37:\"Hello Bar | Contact | Interior Design\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp.png\";s:12:\"tmpl_created\";i:1586148801;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/hello-bar-contact-interior-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:19:\"[\"Interior Design\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:763;s:11:\"trend_index\";i:679;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:240;a:16:{s:4:\"tmpl\";i:505;s:2:\"id\";i:5464;s:5:\"title\";s:8:\"About 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_6.png\";s:12:\"tmpl_created\";i:1520443518;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:220;s:11:\"trend_index\";i:142;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:241;a:16:{s:4:\"tmpl\";i:1052;s:2:\"id\";i:15259;s:5:\"title\";s:31:\"Hello Bar | Menu | Psychologist\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Menu-PopUp.png\";s:12:\"tmpl_created\";i:1600170209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/hello-bar-menu-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:739;s:11:\"trend_index\";i:583;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:242;a:16:{s:4:\"tmpl\";i:1434;s:2:\"id\";i:24494;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1.jpg\";s:12:\"tmpl_created\";i:1653988874;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Business\",\"Faq\",\"Footer\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:243;a:16:{s:4:\"tmpl\";i:1194;s:2:\"id\";i:18701;s:5:\"title\";s:32:\"Digital Course &#8211; eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280.jpg\";s:12:\"tmpl_created\";i:1618995134;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/digital-course-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Ecommerce\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:244;a:16:{s:4:\"tmpl\";i:510;s:2:\"id\";i:5504;s:5:\"title\";s:8:\"About 18\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_9.png\";s:12:\"tmpl_created\";i:1520443528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:104;s:11:\"trend_index\";i:46;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:245;a:16:{s:4:\"tmpl\";i:1192;s:2:\"id\";i:18612;s:5:\"title\";s:34:\"Bag Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bag-Product.jpeg\";s:12:\"tmpl_created\";i:1618395406;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bag-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:61:\"[\"Bag\",\"Ecommerce\",\"Landing Pages\",\"Product\",\"Sale\",\"Travel\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:875;s:11:\"trend_index\";i:605;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:246;a:16:{s:4:\"tmpl\";i:1227;s:2:\"id\";i:21083;s:5:\"title\";s:26:\"Conference &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/10-Contact-Conference.jpg\";s:12:\"tmpl_created\";i:1638799208;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/conference-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:44:\"[\"Conference\",\"Contact\",\"Form\",\"Info\",\"Map\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:247;a:16:{s:4:\"tmpl\";i:511;s:2:\"id\";i:5515;s:5:\"title\";s:8:\"About 19\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_9.png\";s:12:\"tmpl_created\";i:1520443530;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:268;s:11:\"trend_index\";i:161;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:248;a:16:{s:4:\"tmpl\";i:1193;s:2:\"id\";i:18644;s:5:\"title\";s:37:\"Camera Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/camera_sale_featured-img.jpg\";s:12:\"tmpl_created\";i:1618396388;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/camera-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Camera\",\"Ecommerce\",\"Landing Pages\",\"Photography\",\"Sale\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:873;s:11:\"trend_index\";i:535;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:249;a:16:{s:4:\"tmpl\";i:951;s:2:\"id\";i:12736;s:5:\"title\";s:41:\"Slide In | Contact Us | Magazine and Blog\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_contact_s.png\";s:12:\"tmpl_created\";i:1579060978;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/slide-in-contact-us/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:734;s:11:\"trend_index\";i:686;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:250;a:16:{s:4:\"tmpl\";i:1222;s:2:\"id\";i:20960;s:5:\"title\";s:26:\"Travel Agency &#8211; Home\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/5-Home-Travel-Agency.jpg\";s:12:\"tmpl_created\";i:1638788432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/travel-agency-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Adventures\",\"Experience\",\"Explore\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:251;a:16:{s:4:\"tmpl\";i:506;s:2:\"id\";i:5472;s:5:\"title\";s:7:\"About 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_7.png\";s:12:\"tmpl_created\";i:1520443520;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:210;s:11:\"trend_index\";i:116;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:252;a:16:{s:4:\"tmpl\";i:1196;s:2:\"id\";i:18815;s:5:\"title\";s:25:\"Car Wash &#8211; Business\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Car-Wash.png\";s:12:\"tmpl_created\";i:1621336431;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/car-wash-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:45:\"[\"Business\",\"car\",\"Discount\",\"Landing Pages\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:253;a:16:{s:4:\"tmpl\";i:1242;s:2:\"id\";i:21473;s:5:\"title\";s:40:\"Architecture Photography &#8211; Gallery\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/20-Gallery-Architecture-Photography.jpg\";s:12:\"tmpl_created\";i:1638822115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/architecture-photography-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:52:\"[\"Architecture\",\"Gallery\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:254;a:16:{s:4:\"tmpl\";i:1015;s:2:\"id\";i:14067;s:5:\"title\";s:37:\"Slide In | Japanese restaurant | Menu\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Menu-Pop-Up-Small.jpg\";s:12:\"tmpl_created\";i:1592290352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/slide-in-japanese-restaurant-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:650;s:11:\"trend_index\";i:565;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:255;a:16:{s:4:\"tmpl\";i:504;s:2:\"id\";i:5455;s:5:\"title\";s:8:\"About 20\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_6.png\";s:12:\"tmpl_created\";i:1520443516;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:134;s:11:\"trend_index\";i:70;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:256;a:16:{s:4:\"tmpl\";i:923;s:2:\"id\";i:12229;s:5:\"title\";s:33:\"Slide In | Law Firm | Information\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/popup.png\";s:12:\"tmpl_created\";i:1572847842;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-law-firm-information/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:547;s:11:\"trend_index\";i:413;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:257;a:16:{s:4:\"tmpl\";i:1198;s:2:\"id\";i:18824;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1621336756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:258;a:16:{s:4:\"tmpl\";i:1236;s:2:\"id\";i:21259;s:5:\"title\";s:28:\"3D Designer &#8211; Projects\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/24-Projects-3D-Designer.jpg\";s:12:\"tmpl_created\";i:1638819185;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/3d-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"3D\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:259;a:16:{s:4:\"tmpl\";i:499;s:2:\"id\";i:5413;s:5:\"title\";s:8:\"About 21\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2.png\";s:12:\"tmpl_created\";i:1520443507;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:83;s:11:\"trend_index\";i:52;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:260;a:16:{s:4:\"tmpl\";i:1028;s:2:\"id\";i:14827;s:5:\"title\";s:39:\"Slide-In | Contact | Luxury Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/PopUp.png\";s:12:\"tmpl_created\";i:1595323523;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/slide-in-contact-luxury-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:559;s:11:\"trend_index\";i:284;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:261;a:16:{s:4:\"tmpl\";i:1197;s:2:\"id\";i:18819;s:5:\"title\";s:27:\"Dog Walker &#8211; Business\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Dog-Walker.png\";s:12:\"tmpl_created\";i:1621336601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/dog-walker-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:41:\"[\"Business\",\"Dog\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:262;a:16:{s:4:\"tmpl\";i:1238;s:2:\"id\";i:21349;s:5:\"title\";s:29:\"Architecture &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/23-Projects-Architecture.jpg\";s:12:\"tmpl_created\";i:1638820870;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/architecture-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:70:\"[\"Architecture\",\"Creative\",\"Creative Portfolio\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:263;a:16:{s:4:\"tmpl\";i:503;s:2:\"id\";i:5447;s:5:\"title\";s:7:\"About 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_5.png\";s:12:\"tmpl_created\";i:1520443514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:48;s:11:\"trend_index\";i:12;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:264;a:16:{s:4:\"tmpl\";i:1034;s:2:\"id\";i:15075;s:5:\"title\";s:34:\"Slide-In | Menu | Flooring Company\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp-1.png\";s:12:\"tmpl_created\";i:1597739605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/slide-in-menu-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:383;s:11:\"trend_index\";i:162;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:265;a:16:{s:4:\"tmpl\";i:1414;s:2:\"id\";i:24079;s:5:\"title\";s:32:\"Fashion Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Fashion-Shop.jpg\";s:12:\"tmpl_created\";i:1650988089;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/fashion-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Aesthetic\",\"Business\",\"Coming Soon\",\"Ecommerce\",\"Girly\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:266;a:16:{s:4:\"tmpl\";i:1195;s:2:\"id\";i:18761;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1621336146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:267;a:16:{s:4:\"tmpl\";i:507;s:2:\"id\";i:5480;s:5:\"title\";s:7:\"About 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_7-1.png\";s:12:\"tmpl_created\";i:1520443522;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-4-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:428;s:11:\"trend_index\";i:303;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:268;a:16:{s:4:\"tmpl\";i:545;s:2:\"id\";i:6027;s:5:\"title\";s:7:\"About 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1-1.png\";s:12:\"tmpl_created\";i:1520443639;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-5-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:40;s:11:\"trend_index\";i:40;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:269;a:16:{s:4:\"tmpl\";i:1153;s:2:\"id\";i:17060;s:5:\"title\";s:36:\"Private Tutor &#8211; Online Service\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Tutor-2.png\";s:12:\"tmpl_created\";i:1610631042;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/private-tutor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:64:\"[\"Education\",\"Landing Pages\",\"Online Service\",\"Teacher\",\"Tutor\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:780;s:11:\"trend_index\";i:628;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:270;a:16:{s:4:\"tmpl\";i:1430;s:2:\"id\";i:24434;s:5:\"title\";s:25:\"Wireframe &#8211; About 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-3.jpg\";s:12:\"tmpl_created\";i:1653988697;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:271;a:16:{s:4:\"tmpl\";i:546;s:2:\"id\";i:6036;s:5:\"title\";s:7:\"About 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1-1.png\";s:12:\"tmpl_created\";i:1520443641;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-6-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:90;s:11:\"trend_index\";i:123;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:272;a:16:{s:4:\"tmpl\";i:1158;s:2:\"id\";i:17232;s:5:\"title\";s:33:\"Life Coach &#8211; Online Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Life-Coach.png\";s:12:\"tmpl_created\";i:1610902793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/life-coach-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:38:\"[\"Coach\",\"Landing Pages\",\"Life Coach\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:787;s:11:\"trend_index\";i:751;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:273;a:16:{s:4:\"tmpl\";i:1436;s:2:\"id\";i:24515;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3.jpg\";s:12:\"tmpl_created\";i:1653988946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:66:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:274;a:16:{s:4:\"tmpl\";i:875;s:2:\"id\";i:11241;s:5:\"title\";s:36:\"Classic | Digital Agency | Marketing\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/PopUp_small.jpg\";s:12:\"tmpl_created\";i:1564643043;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-digital-agency-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:362;s:11:\"trend_index\";i:315;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:275;a:16:{s:4:\"tmpl\";i:1146;s:2:\"id\";i:16932;s:5:\"title\";s:35:\"Finance Consulting &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Finance-Consulting.png\";s:12:\"tmpl_created\";i:1610532170;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/lp/finance-consulting-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:80:\"[\"Advisor\",\"Business\",\"Consulting\",\"Finance\",\"Investment\",\"Landing Pages\",\"Tax\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:790;s:11:\"trend_index\";i:630;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:276;a:16:{s:4:\"tmpl\";i:1429;s:2:\"id\";i:24421;s:5:\"title\";s:25:\"Wireframe &#8211; About 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-2.jpg\";s:12:\"tmpl_created\";i:1653988579;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:277;a:16:{s:4:\"tmpl\";i:508;s:2:\"id\";i:5488;s:5:\"title\";s:7:\"About 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_8.png\";s:12:\"tmpl_created\";i:1520443524;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:307;s:11:\"trend_index\";i:169;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:278;a:16:{s:4:\"tmpl\";i:556;s:2:\"id\";i:6122;s:5:\"title\";s:7:\"About 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2-1.png\";s:12:\"tmpl_created\";i:1520443661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:38;s:11:\"trend_index\";i:26;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:279;a:16:{s:4:\"tmpl\";i:1136;s:2:\"id\";i:16721;s:5:\"title\";s:35:\"Dental &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Dental.jpg\";s:12:\"tmpl_created\";i:1610448567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/dental-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:44:\"[\"Dental\",\"Doctor\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:801;s:11:\"trend_index\";i:655;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:280;a:16:{s:4:\"tmpl\";i:1417;s:2:\"id\";i:24116;s:5:\"title\";s:32:\"Tech Company &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Tech-Company.jpg\";s:12:\"tmpl_created\";i:1650989265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/tech-company-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"Business\",\"Coding\",\"Coming Soon\",\"Computer\",\"Developer\",\"IT\",\"Services\",\"Technology\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:281;a:16:{s:4:\"tmpl\";i:1161;s:2:\"id\";i:17269;s:5:\"title\";s:34:\"Electronics Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Electronic-Products.png\";s:12:\"tmpl_created\";i:1610903298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/electronics-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:800;s:11:\"trend_index\";i:556;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:282;a:16:{s:4:\"tmpl\";i:1220;s:2:\"id\";i:20908;s:5:\"title\";s:42:\"Packing &#038; Moving Company &#8211; Home\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/3-Home-Packing-Moving-Company.jpg\";s:12:\"tmpl_created\";i:1638786127;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/packing-moving-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Movers\",\"Moving\",\"Storge\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:283;a:16:{s:4:\"tmpl\";i:509;s:2:\"id\";i:5496;s:5:\"title\";s:7:\"About 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_8-1.png\";s:12:\"tmpl_created\";i:1520443526;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:523;s:11:\"trend_index\";i:453;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:284;a:16:{s:4:\"tmpl\";i:1152;s:2:\"id\";i:17032;s:5:\"title\";s:42:\"Donate Computer &#8211; Social Involvement\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Donation-2.png\";s:12:\"tmpl_created\";i:1610630585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/donate-computer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:67:\"[\"Computer\",\"Donate\",\"Donation\",\"Kids\",\"Landing Pages\",\"Nonprofit\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:718;s:11:\"trend_index\";i:278;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:285;a:16:{s:4:\"tmpl\";i:684;s:2:\"id\";i:8961;s:5:\"title\";s:9:\"archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.1.jpg\";s:12:\"tmpl_created\";i:1528639909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:79;s:11:\"trend_index\";i:15;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:286;a:16:{s:4:\"tmpl\";i:1245;s:2:\"id\";i:21546;s:5:\"title\";s:28:\"Interior Design &#8211; Home\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/1-Home-Interior-Design-1.jpg\";s:12:\"tmpl_created\";i:1639046269;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/interior-design-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Design\",\"Form\",\"Furniture Design\",\"Interior Design\",\"Testimonial\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:287;a:16:{s:4:\"tmpl\";i:1135;s:2:\"id\";i:16684;s:5:\"title\";s:34:\"SaaS HR Management &#8211; Product\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_hr.png\";s:12:\"tmpl_created\";i:1609945486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/saas-hr-management-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:39:\"[\"HR\",\"Landing Pages\",\"Product\",\"SaaS\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:708;s:11:\"trend_index\";i:292;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:288;a:16:{s:4:\"tmpl\";i:685;s:2:\"id\";i:8969;s:5:\"title\";s:9:\"archive 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.2.jpg\";s:12:\"tmpl_created\";i:1528700014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:250;s:11:\"trend_index\";i:124;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:289;a:16:{s:4:\"tmpl\";i:1249;s:2:\"id\";i:22137;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647177194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:290;a:16:{s:4:\"tmpl\";i:1134;s:2:\"id\";i:16660;s:5:\"title\";s:37:\"Medical center &#8211; Online service\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-medical-cosultation-250_280.png\";s:12:\"tmpl_created\";i:1609945122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/medical-center-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:44:\"[\"Landing Pages\",\"Medical\",\"Online Service\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:750;s:11:\"trend_index\";i:332;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:291;a:16:{s:4:\"tmpl\";i:686;s:2:\"id\";i:8973;s:5:\"title\";s:9:\"archive 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.3.jpg\";s:12:\"tmpl_created\";i:1528700205;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:176;s:11:\"trend_index\";i:54;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:292;a:16:{s:4:\"tmpl\";i:1226;s:2:\"id\";i:21069;s:5:\"title\";s:21:\"Hotel &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/12/9-Contact-Hotel.jpg\";s:12:\"tmpl_created\";i:1638798545;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/hotel-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:36:\"[\"Contact\",\"from\",\"Info\",\"Vacation\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:293;a:16:{s:4:\"tmpl\";i:1150;s:2:\"id\";i:17001;s:5:\"title\";s:36:\"Parental Counseling &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/Parenting-Coach-2.png\";s:12:\"tmpl_created\";i:1610534999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/parental-counseling-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:99:\"[\"Advisor\",\"Business\",\"Coach\",\"Counseling\",\"Landing Pages\",\"Online Service\",\"Parental\",\"Parenting\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:817;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:294;a:16:{s:4:\"tmpl\";i:1432;s:2:\"id\";i:24461;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-1.jpg\";s:12:\"tmpl_created\";i:1653988784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:295;a:16:{s:4:\"tmpl\";i:687;s:2:\"id\";i:8977;s:5:\"title\";s:9:\"archive 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.4.jpg\";s:12:\"tmpl_created\";i:1528700326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:354;s:11:\"trend_index\";i:396;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:296;a:16:{s:4:\"tmpl\";i:1137;s:2:\"id\";i:16742;s:5:\"title\";s:31:\"Online Course &#8211; Education\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Course.png\";s:12:\"tmpl_created\";i:1610454122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/online-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:55:\"[\"Academy\",\"Course Online\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:777;s:11:\"trend_index\";i:776;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:297;a:16:{s:4:\"tmpl\";i:1440;s:2:\"id\";i:24563;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 4\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-4.jpg\";s:12:\"tmpl_created\";i:1653989095;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:84:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:298;a:16:{s:4:\"tmpl\";i:688;s:2:\"id\";i:8981;s:5:\"title\";s:9:\"archive 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.5.jpg\";s:12:\"tmpl_created\";i:1528700484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:333;s:11:\"trend_index\";i:195;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:299;a:16:{s:4:\"tmpl\";i:1162;s:2:\"id\";i:17284;s:5:\"title\";s:38:\"Dietitian &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/01/Dietitian.png\";s:12:\"tmpl_created\";i:1610903484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/dietitian-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Health\",\"landscape design\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:814;s:11:\"trend_index\";i:800;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:300;a:16:{s:4:\"tmpl\";i:1439;s:2:\"id\";i:24553;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 3\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-3.jpg\";s:12:\"tmpl_created\";i:1653989057;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Professional\",\"Testimonial\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:301;a:16:{s:4:\"tmpl\";i:689;s:2:\"id\";i:8985;s:5:\"title\";s:9:\"archive 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.6.jpg\";s:12:\"tmpl_created\";i:1528700612;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:204;s:11:\"trend_index\";i:95;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:302;a:16:{s:4:\"tmpl\";i:1144;s:2:\"id\";i:16897;s:5:\"title\";s:30:\"Personal Chef &#8211; Business\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Personal-Chef.png\";s:12:\"tmpl_created\";i:1610466247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/personal-chef-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:53:\"[\"Business\",\"Chef\",\"Food\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:795;s:11:\"trend_index\";i:617;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:303;a:16:{s:4:\"tmpl\";i:1435;s:2:\"id\";i:24504;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2.jpg\";s:12:\"tmpl_created\";i:1653988910;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:80:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:304;a:16:{s:4:\"tmpl\";i:690;s:2:\"id\";i:8989;s:5:\"title\";s:9:\"archive 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.7.jpg\";s:12:\"tmpl_created\";i:1528701063;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:208;s:11:\"trend_index\";i:111;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:305;a:16:{s:4:\"tmpl\";i:1147;s:2:\"id\";i:16946;s:5:\"title\";s:52:\"Online Full-Stack Developer Course &#8211; Education\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Full-Stack-Developer-Course.png\";s:12:\"tmpl_created\";i:1610532778;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/online-full-stack-developer-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:76:\"[\"Academy\",\"Coding\",\"Course Online\",\"Developer\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:805;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:306;a:16:{s:4:\"tmpl\";i:1437;s:2:\"id\";i:24528;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-1.jpg\";s:12:\"tmpl_created\";i:1653988981;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:307;a:16:{s:4:\"tmpl\";i:691;s:2:\"id\";i:8996;s:5:\"title\";s:9:\"archive 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.8.jpg\";s:12:\"tmpl_created\";i:1528701290;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:227;s:11:\"trend_index\";i:153;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:308;a:16:{s:4:\"tmpl\";i:1143;s:2:\"id\";i:16868;s:5:\"title\";s:40:\"Virtual Assistant &#8211; Online Service\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/01/Virtual-Assistant-250x280-1.png\";s:12:\"tmpl_created\";i:1610465656;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/virtual-assistant-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:46:\"[\"Assistant\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:793;s:11:\"trend_index\";i:757;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:309;a:16:{s:4:\"tmpl\";i:692;s:2:\"id\";i:9001;s:5:\"title\";s:9:\"archive 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.9.jpg\";s:12:\"tmpl_created\";i:1528701433;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:265;s:11:\"trend_index\";i:208;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:310;a:16:{s:4:\"tmpl\";i:1228;s:2:\"id\";i:21104;s:5:\"title\";s:26:\"Restaurant &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/11-Contact-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638800146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/restaurant-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:60:\"[\"Contact\",\"Food\",\"Form\",\"Google Maps\",\"Info\",\"Testimonial\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:311;a:16:{s:4:\"tmpl\";i:1140;s:2:\"id\";i:16812;s:5:\"title\";s:40:\"Construction Project &#8211; Real Estate\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Construction-Project.png\";s:12:\"tmpl_created\";i:1610463582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/construction-project-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:59:\"[\"Construction\",\"Landing Pages\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:796;s:11:\"trend_index\";i:724;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:312;a:16:{s:4:\"tmpl\";i:1244;s:2:\"id\";i:21393;s:5:\"title\";s:34:\"Interior Designer &#8211; Projects\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/12/big-22-Projects-Interior-Designer-New.jpeg\";s:12:\"tmpl_created\";i:1638823945;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/interior-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:93:\"[\"Creative\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Interior Design\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:313;a:16:{s:4:\"tmpl\";i:997;s:2:\"id\";i:13528;s:5:\"title\";s:22:\"Barbershop &#8211; 404\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/05/404-Page.jpg\";s:12:\"tmpl_created\";i:1589893152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/barbershop-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:768;s:11:\"trend_index\";i:681;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:314;a:16:{s:4:\"tmpl\";i:1148;s:2:\"id\";i:16960;s:5:\"title\";s:44:\"Dog &amp; Cat Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2021/01/Dog-Food.png\";s:12:\"tmpl_created\";i:1610533581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/dog-cat-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:71:\"[\"Business\",\"Cat\",\"Delivery\",\"Dog\",\"Food\",\"Landing Pages\",\"Pet\",\"Pets\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:782;s:11:\"trend_index\";i:510;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:315;a:16:{s:4:\"tmpl\";i:1251;s:2:\"id\";i:22143;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1647177389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:316;a:16:{s:4:\"tmpl\";i:998;s:2:\"id\";i:13518;s:5:\"title\";s:26:\"Barbershop &#8211; Archive\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Blog-Page.jpg\";s:12:\"tmpl_created\";i:1589893157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/barbershop-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:737;s:11:\"trend_index\";i:523;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:317;a:16:{s:4:\"tmpl\";i:1155;s:2:\"id\";i:17095;s:5:\"title\";s:36:\"Mobile Pet Grooming &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Mobile-Pet-Grooming.png\";s:12:\"tmpl_created\";i:1610632115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/mobile-pet-grooming-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:38:\"[\"Dog\",\"Groom\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:786;s:11:\"trend_index\";i:731;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:318;a:16:{s:4:\"tmpl\";i:1241;s:2:\"id\";i:21451;s:5:\"title\";s:26:\"Exhibition &#8211; Gallery\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/21-Gallery-Exhibition.jpg\";s:12:\"tmpl_created\";i:1638821855;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/exhibition-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"Art\",\"Creative\",\"Creative Portfolio\",\"Exhibition\",\"Gallery\",\"Portfolio\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:319;a:16:{s:4:\"tmpl\";i:996;s:2:\"id\";i:13604;s:5:\"title\";s:25:\"Barbershop &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1589893147;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Footer\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:555;s:11:\"trend_index\";i:267;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:320;a:16:{s:4:\"tmpl\";i:1159;s:2:\"id\";i:17245;s:5:\"title\";s:34:\"Marketing Course &#8211; Education\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2021/01/PPC.png\";s:12:\"tmpl_created\";i:1610902958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/marketing-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:45:\"[\"Course Online\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:770;s:11:\"trend_index\";i:430;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:321;a:16:{s:4:\"tmpl\";i:1240;s:2:\"id\";i:21430;s:5:\"title\";s:30:\"Travel Blogger &#8211; Gallery\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/12/19-Gallery-Travel-Blogger.jpg\";s:12:\"tmpl_created\";i:1638821592;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/travel-blogger-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Gallery\",\"Photography\",\"Slider\",\"Travel\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:322;a:16:{s:4:\"tmpl\";i:995;s:2:\"id\";i:13612;s:5:\"title\";s:25:\"Barbershop &#8211; Header\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/06/barber-shop-header.jpg\";s:12:\"tmpl_created\";i:1589893142;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Header\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:343;s:11:\"trend_index\";i:137;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:323;a:16:{s:4:\"tmpl\";i:1149;s:2:\"id\";i:16983;s:5:\"title\";s:41:\"Pilates Instructor &#8211; Online Service\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Pilates-Instructor.png\";s:12:\"tmpl_created\";i:1610534138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/pilates-instructor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:70:\"[\"Free Trial\",\"Instructor\",\"Landing Pages\",\"Online Service\",\"Pilates\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:778;s:11:\"trend_index\";i:412;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:324;a:16:{s:4:\"tmpl\";i:1416;s:2:\"id\";i:24104;s:5:\"title\";s:33:\"Ceramics Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Ceramics-Shop.jpg\";s:12:\"tmpl_created\";i:1650988949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/ceramics-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:325;a:16:{s:4:\"tmpl\";i:994;s:2:\"id\";i:13621;s:5:\"title\";s:30:\"Barbershop &#8211; Single Post\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/05/Single-Page.jpg\";s:12:\"tmpl_created\";i:1589893137;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/barbershop-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:736;s:11:\"trend_index\";i:580;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:326;a:16:{s:4:\"tmpl\";i:1131;s:2:\"id\";i:16527;s:5:\"title\";s:24:\"Beauty Salon &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/12/404.jpg\";s:12:\"tmpl_created\";i:1608622517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/beauty-salon-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:29:\"[\"404\",\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:742;s:11:\"trend_index\";i:563;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:327;a:16:{s:4:\"tmpl\";i:1412;s:2:\"id\";i:24033;s:5:\"title\";s:37:\"Dance Studio &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Dance-Studio.jpg\";s:12:\"tmpl_created\";i:1649881344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/dance-studio-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:113:\"[\"Academy\",\"Business\",\"Dance Studio\",\"Form\",\"Pilates\",\"School\",\"Sport\",\"Teacher\",\"Training\",\"Under Construction\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:328;a:16:{s:4:\"tmpl\";i:1190;s:2:\"id\";i:18568;s:5:\"title\";s:32:\"Flower Delivery &#8211; Business\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/04/Flower-Delivery.png\";s:12:\"tmpl_created\";i:1617546716;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/flower-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:37:\"[\"Delivery\",\"Flower\",\"Landing Pages\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:874;s:11:\"trend_index\";i:763;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:329;a:16:{s:4:\"tmpl\";i:1130;s:2:\"id\";i:16535;s:5:\"title\";s:27:\"Beauty Salon &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Footer.jpg\";s:12:\"tmpl_created\";i:1608622498;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Footer\",\"Hair\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:524;s:11:\"trend_index\";i:126;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:330;a:16:{s:4:\"tmpl\";i:1145;s:2:\"id\";i:16917;s:5:\"title\";s:22:\"Webinar &#8211; Events\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Webinar-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610466822;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:36:\"[\"Events\",\"Landing Pages\",\"Webinar\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:821;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:331;a:16:{s:4:\"tmpl\";i:1413;s:2:\"id\";i:24049;s:5:\"title\";s:33:\"ECO Shop &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-ECO-Shop.jpg\";s:12:\"tmpl_created\";i:1649882053;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/eco-shop-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:110:\"[\"Aesthetic\",\"Business\",\"Creative\",\"Decor\",\"Health\",\"Help\",\"Lifestyle\",\"Products\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:332;a:16:{s:4:\"tmpl\";i:1129;s:2:\"id\";i:16545;s:5:\"title\";s:27:\"Beauty Salon &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Header.jpg\";s:12:\"tmpl_created\";i:1608622495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Hair\",\"Header\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:356;s:11:\"trend_index\";i:49;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:333;a:16:{s:4:\"tmpl\";i:1154;s:2:\"id\";i:17079;s:5:\"title\";s:42:\"Calls Volunteer &#8211; Social Involvement\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Calls-Volunteer.png\";s:12:\"tmpl_created\";i:1610631774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/calls-volunteer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:68:\"[\"Care\",\"Covid-19\",\"Help\",\"Involvement\",\"Landing Pages\",\"Volunteer\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:854;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:334;a:16:{s:4:\"tmpl\";i:1419;s:2:\"id\";i:24136;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Food-Blog.jpg\";s:12:\"tmpl_created\";i:1650990034;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:62:\"[\"Blog\",\"Business\",\"Coming Soon\",\"Cooking\",\"Education\",\"Food\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:335;a:16:{s:4:\"tmpl\";i:1142;s:2:\"id\";i:16836;s:5:\"title\";s:33:\"Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/01/Marketing-Agency-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610464490;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:74:\"[\"Agency\",\"Business\",\"Landing Pages\",\"Marketing\",\"Marketing Landing Page\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:816;s:11:\"trend_index\";i:787;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:336;a:16:{s:4:\"tmpl\";i:641;s:2:\"id\";i:7686;s:5:\"title\";s:12:\"Blog Posts 1\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2018/03/blog_posts.png\";s:12:\"tmpl_created\";i:1521558047;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/blog-posts-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:26:\"[\"Archive\",\"Blog\",\"posts\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:131;s:11:\"trend_index\";i:152;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:337;a:16:{s:4:\"tmpl\";i:1411;s:2:\"id\";i:24020;s:5:\"title\";s:35:\"Mobile App &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Mobile-App.jpg\";s:12:\"tmpl_created\";i:1649880955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/mobile-app-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:77:\"[\"App\",\"Business\",\"Coding\",\"Computer\",\"Launch\",\"Mobile\",\"Under Construction\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:338;a:16:{s:4:\"tmpl\";i:1139;s:2:\"id\";i:16785;s:5:\"title\";s:42:\"Gym Promotion &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Gym-LP.jpg\";s:12:\"tmpl_created\";i:1610455496;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/gym-promotion-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:42:\"[\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:820;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:339;a:16:{s:4:\"tmpl\";i:1420;s:2:\"id\";i:24152;s:5:\"title\";s:32:\"Perfume Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Perfume-Shop.jpg\";s:12:\"tmpl_created\";i:1650990353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/perfume-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Business\",\"Coming Soon\",\"Cosmetics\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:340;a:16:{s:4:\"tmpl\";i:484;s:2:\"id\";i:5283;s:5:\"title\";s:9:\"Clients 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_2.png\";s:12:\"tmpl_created\";i:1520443478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:294;s:11:\"trend_index\";i:202;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:341;a:16:{s:4:\"tmpl\";i:1185;s:2:\"id\";i:18492;s:5:\"title\";s:34:\"Bicycle Pre-Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bike-Landing-Page.png\";s:12:\"tmpl_created\";i:1617535552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bicycle-pre-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:34:\"[\"Bicycle\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:50;s:16:\"popularity_index\";i:871;s:11:\"trend_index\";i:826;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:342;a:16:{s:4:\"tmpl\";i:487;s:2:\"id\";i:5306;s:5:\"title\";s:10:\"Clients 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_3.png\";s:12:\"tmpl_created\";i:1520443484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:50;s:16:\"popularity_index\";i:657;s:11:\"trend_index\";i:581;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:343;a:16:{s:4:\"tmpl\";i:1418;s:2:\"id\";i:24126;s:5:\"title\";s:28:\"Skincare &#8211; Coming Soon\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Skincare.jpg\";s:12:\"tmpl_created\";i:1650989585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/skincare-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:128:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Coming Soon\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Services\",\"Skincare\",\"Treatment\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:344;a:16:{s:4:\"tmpl\";i:1181;s:2:\"id\";i:18349;s:5:\"title\";s:39:\"Virtual try-on glasses &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-8.png\";s:12:\"tmpl_created\";i:1614772569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/virtual-try-on-glasses-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:64:\"[\"Fashion\",\"Glasses\",\"Landing Pages\",\"Online Service\",\"Virtual\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:848;s:11:\"trend_index\";i:803;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:345;a:16:{s:4:\"tmpl\";i:491;s:2:\"id\";i:5341;s:5:\"title\";s:10:\"Clients 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_4.png\";s:12:\"tmpl_created\";i:1520443491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:603;s:11:\"trend_index\";i:633;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:346;a:16:{s:4:\"tmpl\";i:1410;s:2:\"id\";i:24004;s:5:\"title\";s:33:\"Skincare &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Skincare.jpg\";s:12:\"tmpl_created\";i:1649880534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/skincare-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:144:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Makeup\",\"Services\",\"Skincare\",\"Treatment\",\"Under Construction\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:347;a:16:{s:4:\"tmpl\";i:1172;s:2:\"id\";i:17458;s:5:\"title\";s:31:\"Moving Company &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Moving-Company.png\";s:12:\"tmpl_created\";i:1612727025;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/moving-company-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"Landing Pages\",\"Movers\",\"Moving\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:826;s:11:\"trend_index\";i:767;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:348;a:16:{s:4:\"tmpl\";i:488;s:2:\"id\";i:5315;s:5:\"title\";s:10:\"Clients 12\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4-1.png\";s:12:\"tmpl_created\";i:1520443486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:485;s:11:\"trend_index\";i:263;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:349;a:16:{s:4:\"tmpl\";i:1415;s:2:\"id\";i:24092;s:5:\"title\";s:29:\"Vase Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Vase-Shop.jpg\";s:12:\"tmpl_created\";i:1650988613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/vase-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:350;a:16:{s:4:\"tmpl\";i:1186;s:2:\"id\";i:18517;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Food-Blog.png\";s:12:\"tmpl_created\";i:1617539897;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:45:\"[\"Blog\",\"Coming Soon\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:844;s:11:\"trend_index\";i:672;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:351;a:16:{s:4:\"tmpl\";i:490;s:2:\"id\";i:5333;s:5:\"title\";s:10:\"Clients 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_6.png\";s:12:\"tmpl_created\";i:1520443489;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:234;s:11:\"trend_index\";i:128;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:352;a:16:{s:4:\"tmpl\";i:1167;s:2:\"id\";i:17379;s:5:\"title\";s:33:\"IT Service &#8211; Online Service\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-IT-Service.png\";s:12:\"tmpl_created\";i:1612713022;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/it-service-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:41:\"[\"IT\",\"Landing Pages\",\"Remote\",\"Support\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:806;s:11:\"trend_index\";i:634;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:353;a:16:{s:4:\"tmpl\";i:1248;s:2:\"id\";i:22134;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647176713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:20;}i:354;a:16:{s:4:\"tmpl\";i:496;s:2:\"id\";i:5389;s:5:\"title\";s:10:\"Clients 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_9.png\";s:12:\"tmpl_created\";i:1520443501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:407;s:11:\"trend_index\";i:307;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:355;a:16:{s:4:\"tmpl\";i:1189;s:2:\"id\";i:18560;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1617542761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:843;s:11:\"trend_index\";i:561;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:356;a:16:{s:4:\"tmpl\";i:1225;s:2:\"id\";i:21041;s:5:\"title\";s:41:\"Business Consulting Company &#8211; About\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/8-About-Business-Consulting-Company.jpg\";s:12:\"tmpl_created\";i:1638797560;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/business-consulting-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Coach\",\"Collaboration\",\"Consulting\",\"Life Coach\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:357;a:16:{s:4:\"tmpl\";i:486;s:2:\"id\";i:5298;s:5:\"title\";s:10:\"Clients 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_3.png\";s:12:\"tmpl_created\";i:1520443482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:465;s:11:\"trend_index\";i:520;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:358;a:16:{s:4:\"tmpl\";i:1187;s:2:\"id\";i:18528;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1617541784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:872;s:11:\"trend_index\";i:819;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:359;a:16:{s:4:\"tmpl\";i:1243;s:2:\"id\";i:21135;s:5:\"title\";s:28:\"Construction &#8211; Service\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/13-Service-Construction.jpg\";s:12:\"tmpl_created\";i:1638823202;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/construction-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Architecture\",\"Construction\",\"Faq\",\"Services\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:360;a:16:{s:4:\"tmpl\";i:495;s:2:\"id\";i:5381;s:5:\"title\";s:10:\"Clients 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_9.png\";s:12:\"tmpl_created\";i:1520443499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:198;s:11:\"trend_index\";i:168;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:361;a:16:{s:4:\"tmpl\";i:1174;s:2:\"id\";i:17504;s:5:\"title\";s:29:\"Hair Stylist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-3.png\";s:12:\"tmpl_created\";i:1612883014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/hair-stylist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:59:\"[\"Business\",\"Hair\",\"hairdresser\",\"Landing Pages\",\"Stylist\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:840;s:11:\"trend_index\";i:806;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:362;a:16:{s:4:\"tmpl\";i:1223;s:2:\"id\";i:20981;s:5:\"title\";s:37:\"Creative Digital Agency &#8211; About\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2021/12/6-About-Creative-Digital-Agency.jpg\";s:12:\"tmpl_created\";i:1638789303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/creative-digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"About\",\"Advisor\",\"Creative\",\"Creative Portfolio\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:363;a:16:{s:4:\"tmpl\";i:493;s:2:\"id\";i:5357;s:5:\"title\";s:9:\"Clients 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_7.png\";s:12:\"tmpl_created\";i:1520443495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:341;s:11:\"trend_index\";i:232;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:364;a:16:{s:4:\"tmpl\";i:1184;s:2:\"id\";i:18449;s:5:\"title\";s:45:\"Aesthetic Clinic &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/03/Aesthetic-Clinic.png\";s:12:\"tmpl_created\";i:1616682181;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/aesthetic-clinic-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:57:\"[\"Aesthetic\",\"Beauty\",\"Fitness\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:859;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:365;a:16:{s:4:\"tmpl\";i:1221;s:2:\"id\";i:20926;s:5:\"title\";s:33:\"Doctors Online Consultation -Home\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/12/4-Home-Doctors-Online-Consultation.jpg\";s:12:\"tmpl_created\";i:1638787371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/doctors-online-consultation-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:35:\"[\"App\",\"Health\",\"Medical\",\"Online\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:366;a:16:{s:4:\"tmpl\";i:485;s:2:\"id\";i:5290;s:5:\"title\";s:9:\"Clients 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_2.png\";s:12:\"tmpl_created\";i:1520443480;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:545;s:11:\"trend_index\";i:502;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:367;a:16:{s:4:\"tmpl\";i:1165;s:2:\"id\";i:17353;s:5:\"title\";s:44:\"Online Cooking Course &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-2.png\";s:12:\"tmpl_created\";i:1612705144;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/online-cooking-course-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Cooking\",\"Course Online\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:59;s:16:\"popularity_index\";i:845;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:368;a:16:{s:4:\"tmpl\";i:482;s:2:\"id\";i:5266;s:5:\"title\";s:9:\"Clients 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_1.png\";s:12:\"tmpl_created\";i:1520443474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:59;s:16:\"popularity_index\";i:95;s:11:\"trend_index\";i:134;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:369;a:16:{s:4:\"tmpl\";i:1188;s:2:\"id\";i:18550;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1617542506;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:832;s:11:\"trend_index\";i:600;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:370;a:16:{s:4:\"tmpl\";i:1250;s:2:\"id\";i:22140;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1647177317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:371;a:16:{s:4:\"tmpl\";i:483;s:2:\"id\";i:5275;s:5:\"title\";s:9:\"Clients 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_1.png\";s:12:\"tmpl_created\";i:1520443476;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:334;s:11:\"trend_index\";i:321;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:372;a:16:{s:4:\"tmpl\";i:1191;s:2:\"id\";i:18539;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1617610273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:61;s:16:\"popularity_index\";i:876;s:11:\"trend_index\";i:652;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:373;a:16:{s:4:\"tmpl\";i:492;s:2:\"id\";i:5349;s:5:\"title\";s:9:\"Clients 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_7.png\";s:12:\"tmpl_created\";i:1520443493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:61;s:16:\"popularity_index\";i:233;s:11:\"trend_index\";i:92;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:374;a:16:{s:4:\"tmpl\";i:1175;s:2:\"id\";i:18270;s:5:\"title\";s:24:\"Open week &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280.png\";s:12:\"tmpl_created\";i:1614767186;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/open-week-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:59:\"[\"Education\",\"Event\",\"Events\",\"Landing Pages\",\"University\"]\";s:10:\"menu_order\";i:62;s:16:\"popularity_index\";i:831;s:11:\"trend_index\";i:673;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:375;a:16:{s:4:\"tmpl\";i:489;s:2:\"id\";i:5324;s:5:\"title\";s:9:\"Clients 8\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5-1.png\";s:12:\"tmpl_created\";i:1520443488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:62;s:16:\"popularity_index\";i:526;s:11:\"trend_index\";i:381;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:376;a:16:{s:4:\"tmpl\";i:1177;s:2:\"id\";i:18300;s:5:\"title\";s:30:\"Makeup Artist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-2.png\";s:12:\"tmpl_created\";i:1614768608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/makeup-artist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Beauty\",\"Business\",\"Course Online\",\"Landing Pages\",\"Makeup\",\"Online Service\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:861;s:11:\"trend_index\";i:783;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:377;a:16:{s:4:\"tmpl\";i:494;s:2:\"id\";i:5368;s:5:\"title\";s:9:\"Clients 9\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_8.png\";s:12:\"tmpl_created\";i:1520443497;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:253;s:11:\"trend_index\";i:273;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:378;a:16:{s:4:\"tmpl\";i:1179;s:2:\"id\";i:18329;s:5:\"title\";s:63:\"Online Real Estate Investment Conference &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-5.png\";s:12:\"tmpl_created\";i:1614770404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/lp/online-real-estate-investment-conference-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:76:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Online Event\",\"Real estate\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:866;s:11:\"trend_index\";i:779;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:379;a:16:{s:4:\"tmpl\";i:425;s:2:\"id\";i:4436;s:5:\"title\";s:11:\"Contact  16\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_2.png\";s:12:\"tmpl_created\";i:1520443293;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:161;s:11:\"trend_index\";i:68;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:380;a:16:{s:4:\"tmpl\";i:1183;s:2:\"id\";i:18391;s:5:\"title\";s:45:\"Children&#8217;s Optometrist &#8211; Business\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Childrens-Optometrist.png\";s:12:\"tmpl_created\";i:1614773564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/childrens-optometrist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:85:\"[\"Business\",\"Children\",\"Eye\",\"Glasses\",\"Health\",\"Kids\",\"Landing Pages\",\"Optometrist\"]\";s:10:\"menu_order\";i:65;s:16:\"popularity_index\";i:877;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:381;a:16:{s:4:\"tmpl\";i:423;s:2:\"id\";i:4420;s:5:\"title\";s:9:\"Contact 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_1.png\";s:12:\"tmpl_created\";i:1520443289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:65;s:16:\"popularity_index\";i:196;s:11:\"trend_index\";i:127;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:382;a:16:{s:4:\"tmpl\";i:534;s:2:\"id\";i:5836;s:5:\"title\";s:10:\"Contact 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:114;s:11:\"trend_index\";i:76;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:383;a:16:{s:4:\"tmpl\";i:1182;s:2:\"id\";i:18366;s:5:\"title\";s:30:\"Car Insurance &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Car-Insurance.png\";s:12:\"tmpl_created\";i:1614773263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/car-insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"car\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:869;s:11:\"trend_index\";i:797;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:384;a:16:{s:4:\"tmpl\";i:1201;s:2:\"id\";i:19144;s:5:\"title\";s:25:\"Birthday Party Invitation\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/06/250x280.png\";s:12:\"tmpl_created\";i:1623848691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/birthday-party-invitation/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Birthday\",\"Event\",\"Landing Pages\",\"Party\",\"RSVD\",\"Save the Date\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:385;a:16:{s:4:\"tmpl\";i:535;s:2:\"id\";i:5844;s:5:\"title\";s:10:\"Contact 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_2.png\";s:12:\"tmpl_created\";i:1520443599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:289;s:11:\"trend_index\";i:313;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:386;a:16:{s:4:\"tmpl\";i:1124;s:2:\"id\";i:16473;s:5:\"title\";s:26:\"Beauty Salon &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/about-1.jpg\";s:12:\"tmpl_created\";i:1608622373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/beauty-salon-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:615;s:11:\"trend_index\";i:184;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:387;a:16:{s:4:\"tmpl\";i:1176;s:2:\"id\";i:18291;s:5:\"title\";s:47:\"Grill Restaurant Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Food-Delivery-LP.png\";s:12:\"tmpl_created\";i:1614767830;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/lp/grill-restaurant-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Delivery\",\"Delivery Service\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:819;s:11:\"trend_index\";i:685;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:388;a:16:{s:4:\"tmpl\";i:1125;s:2:\"id\";i:16488;s:5:\"title\";s:28:\"Beauty Salon &#8211; Contact\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/contact.jpg\";s:12:\"tmpl_created\";i:1608622374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:548;s:11:\"trend_index\";i:101;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:389;a:16:{s:4:\"tmpl\";i:1180;s:2:\"id\";i:18340;s:5:\"title\";s:30:\"Restaurant &#8211; Coming Soon\";s:9:\"thumbnail\";s:98:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Restuarant-Coming-Soon-LP.png\";s:12:\"tmpl_created\";i:1614772183;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/restaurant-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:51:\"[\"Coming Soon\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:810;s:11:\"trend_index\";i:809;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:390;a:16:{s:4:\"tmpl\";i:430;s:2:\"id\";i:4476;s:5:\"title\";s:10:\"Contact 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_4.png\";s:12:\"tmpl_created\";i:1520443303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:229;s:11:\"trend_index\";i:187;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:391;a:16:{s:4:\"tmpl\";i:1126;s:2:\"id\";i:16496;s:5:\"title\";s:28:\"Beauty Salon &#8211; Gallery\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/12/gallery-1.jpg\";s:12:\"tmpl_created\";i:1608622379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:491;s:11:\"trend_index\";i:90;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:392;a:16:{s:4:\"tmpl\";i:1173;s:2:\"id\";i:17480;s:5:\"title\";s:42:\"At-home Massage Therapist &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/02/At-Home-Massage-Therapist.jpg\";s:12:\"tmpl_created\";i:1612879264;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/at-home-massage-therapist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:60:\"[\"Business\",\"Health\",\"Landing Pages\",\"Services\",\"Therapist\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:856;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:393;a:16:{s:4:\"tmpl\";i:476;s:2:\"id\";i:5214;s:5:\"title\";s:10:\"Contact 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_2.png\";s:12:\"tmpl_created\";i:1520443462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/contact-16-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:194;s:11:\"trend_index\";i:106;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:394;a:16:{s:4:\"tmpl\";i:1127;s:2:\"id\";i:16457;s:5:\"title\";s:25:\"Beauty Salon &#8211; Home\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/home-1.jpg\";s:12:\"tmpl_created\";i:1608622383;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/beauty-salon-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:408;s:11:\"trend_index\";i:56;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:395;a:16:{s:4:\"tmpl\";i:1178;s:2:\"id\";i:18317;s:5:\"title\";s:26:\"Insurance &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Life-Insirance.png\";s:12:\"tmpl_created\";i:1614769488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:61:\"[\"Business\",\"Family\",\"Financial\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:870;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:396;a:16:{s:4:\"tmpl\";i:478;s:2:\"id\";i:5230;s:5:\"title\";s:10:\"Contact 17\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_3.png\";s:12:\"tmpl_created\";i:1520443466;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:339;s:11:\"trend_index\";i:335;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:397;a:16:{s:4:\"tmpl\";i:1128;s:2:\"id\";i:16518;s:5:\"title\";s:29:\"Beauty Salon &#8211; Services\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/12/services-1.jpg\";s:12:\"tmpl_created\";i:1608622386;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/beauty-salon-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:664;s:11:\"trend_index\";i:261;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:398;a:16:{s:4:\"tmpl\";i:1168;s:2:\"id\";i:17401;s:5:\"title\";s:40:\"Conference Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280.png\";s:12:\"tmpl_created\";i:1612724753;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/conference-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:59:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:799;s:11:\"trend_index\";i:540;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:399;a:16:{s:4:\"tmpl\";i:481;s:2:\"id\";i:5257;s:5:\"title\";s:10:\"Contact 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5.png\";s:12:\"tmpl_created\";i:1520443472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:438;s:11:\"trend_index\";i:490;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:400;a:16:{s:4:\"tmpl\";i:532;s:2:\"id\";i:5820;s:5:\"title\";s:9:\"Contact 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:183;s:11:\"trend_index\";i:357;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:401;a:16:{s:4:\"tmpl\";i:1073;s:2:\"id\";i:15486;s:5:\"title\";s:25:\"Travel Blog &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/About.jpg\";s:12:\"tmpl_created\";i:1606215720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/travel-blog-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:608;s:11:\"trend_index\";i:343;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:402;a:16:{s:4:\"tmpl\";i:1166;s:2:\"id\";i:17368;s:5:\"title\";s:38:\"Real Estate Agency &#8211; Real-Estate\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Real-Estate.png\";s:12:\"tmpl_created\";i:1612711814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/real-estate-agency-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:73:\"[\"Landing Pages\",\"listing\",\"Real estate\",\"Realestate\",\"realtor\",\"realty\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:858;s:11:\"trend_index\";i:777;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:403;a:16:{s:4:\"tmpl\";i:1074;s:2:\"id\";i:15478;s:5:\"title\";s:27:\"Travel Blog &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1606215735;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-blog-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:687;s:11:\"trend_index\";i:564;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:404;a:16:{s:4:\"tmpl\";i:1170;s:2:\"id\";i:17423;s:5:\"title\";s:57:\"Volunteer Calls Thank You Page &#8211; Social Involvement\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/02/Volunteer-Calls-TYP.jpg\";s:12:\"tmpl_created\";i:1612726058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/volunteer-calls-thank-you-page-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:62:\"[\"Care\",\"Involvement\",\"Landing Pages\",\"Thank You\",\"Volunteer\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:857;s:11:\"trend_index\";i:818;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:405;a:16:{s:4:\"tmpl\";i:422;s:2:\"id\";i:4411;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_1.png\";s:12:\"tmpl_created\";i:1520443287;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:113;s:11:\"trend_index\";i:217;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:406;a:16:{s:4:\"tmpl\";i:533;s:2:\"id\";i:5828;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443595;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:312;s:11:\"trend_index\";i:495;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:407;a:16:{s:4:\"tmpl\";i:1075;s:2:\"id\";i:15467;s:5:\"title\";s:24:\"Travel Blog &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/11/Home.jpg\";s:12:\"tmpl_created\";i:1606215756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-blog-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:567;s:11:\"trend_index\";i:224;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:408;a:16:{s:4:\"tmpl\";i:1169;s:2:\"id\";i:17409;s:5:\"title\";s:37:\"Webinar Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Webinar-TYP.png\";s:12:\"tmpl_created\";i:1612725644;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/webinar-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:56:\"[\"Event\",\"Events\",\"Landing Pages\",\"Thank You\",\"Webinar\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:868;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:409;a:16:{s:4:\"tmpl\";i:1056;s:2:\"id\";i:15317;s:5:\"title\";s:25:\"Dance Studio &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/10/Home.jpg\";s:12:\"tmpl_created\";i:1603181291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/dance-studio-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:596;s:11:\"trend_index\";i:301;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:410;a:16:{s:4:\"tmpl\";i:1160;s:2:\"id\";i:17258;s:5:\"title\";s:32:\"Beauty Product &#8211; eCommerce\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Beauty-Product.png\";s:12:\"tmpl_created\";i:1610903153;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/beauty-product-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:38:\"[\"Beauty\",\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:797;s:11:\"trend_index\";i:703;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:411;a:16:{s:4:\"tmpl\";i:424;s:2:\"id\";i:4428;s:5:\"title\";s:9:\"Contact 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_2.png\";s:12:\"tmpl_created\";i:1520443291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:118;s:11:\"trend_index\";i:131;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:412;a:16:{s:4:\"tmpl\";i:1057;s:2:\"id\";i:15334;s:5:\"title\";s:26:\"Dance Studio &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/About.jpg\";s:12:\"tmpl_created\";i:1603181364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/dance-studio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:626;s:11:\"trend_index\";i:373;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:413;a:16:{s:4:\"tmpl\";i:1171;s:2:\"id\";i:17435;s:5:\"title\";s:39:\"Gym &#8211; App Service &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-4.png\";s:12:\"tmpl_created\";i:1612726462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/gym-app-service-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:58:\"[\"App\",\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:767;s:11:\"trend_index\";i:577;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:414;a:16:{s:4:\"tmpl\";i:426;s:2:\"id\";i:4444;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443295;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:84;s:11:\"trend_index\";i:93;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:415;a:16:{s:4:\"tmpl\";i:1058;s:2:\"id\";i:15349;s:5:\"title\";s:28:\"Dance Studio &#8211; Classes\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes.jpg\";s:12:\"tmpl_created\";i:1603181425;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:629;s:11:\"trend_index\";i:458;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:416;a:16:{s:4:\"tmpl\";i:1156;s:2:\"id\";i:17111;s:5:\"title\";s:33:\"Sunglasses Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/01/Sunglasses-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610632408;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/sunglasses-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Ecommerce\",\"Fashion\",\"Landing Pages\",\"Sale\",\"Sunglasses\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:812;s:11:\"trend_index\";i:732;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:417;a:16:{s:4:\"tmpl\";i:432;s:2:\"id\";i:4492;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_3.png\";s:12:\"tmpl_created\";i:1520443307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-5-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:37;s:11:\"trend_index\";i:31;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:418;a:16:{s:4:\"tmpl\";i:1055;s:2:\"id\";i:15366;s:5:\"title\";s:29:\"Dance Studio &#8211; Schedule\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes-Schedule.jpg\";s:12:\"tmpl_created\";i:1603181056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/dance-studio-schedule/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:698;s:11:\"trend_index\";i:602;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:419;a:16:{s:4:\"tmpl\";i:1157;s:2:\"id\";i:17223;s:5:\"title\";s:25:\"Fashion &#8211; eCommerce\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/01/Commerce-Fashion.png\";s:12:\"tmpl_created\";i:1610902553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/fashion-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:808;s:11:\"trend_index\";i:745;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:420;a:16:{s:4:\"tmpl\";i:427;s:2:\"id\";i:4452;s:5:\"title\";s:9:\"Contact 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:139;s:11:\"trend_index\";i:150;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:421;a:16:{s:4:\"tmpl\";i:1059;s:2:\"id\";i:15373;s:5:\"title\";s:28:\"Dance Studio &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Pricing.jpg\";s:12:\"tmpl_created\";i:1603181678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:731;s:11:\"trend_index\";i:661;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:422;a:16:{s:4:\"tmpl\";i:1151;s:2:\"id\";i:17017;s:5:\"title\";s:28:\"Shoes Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Shoes-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610535361;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/shoes-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:55:\"[\"Discount\",\"Ecommerce\",\"Landing Pages\",\"Sale\",\"Shoes\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:803;s:11:\"trend_index\";i:642;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:423;a:16:{s:4:\"tmpl\";i:429;s:2:\"id\";i:4468;s:5:\"title\";s:9:\"Contact 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_3.png\";s:12:\"tmpl_created\";i:1520443301;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:127;s:11:\"trend_index\";i:72;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:424;a:16:{s:4:\"tmpl\";i:1060;s:2:\"id\";i:15384;s:5:\"title\";s:28:\"Dance Studio &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/10/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1603181738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:741;s:11:\"trend_index\";i:721;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:425;a:16:{s:4:\"tmpl\";i:1163;s:2:\"id\";i:17301;s:5:\"title\";s:53:\"Personal Chef &#8211; Thank You Page &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/TYP-Personal-Chef.jpg\";s:12:\"tmpl_created\";i:1610903622;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/personal-chef-thank-you-page-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:43:\"[\"Chef\",\"Food\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:823;s:11:\"trend_index\";i:754;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:426;a:16:{s:4:\"tmpl\";i:431;s:2:\"id\";i:4484;s:5:\"title\";s:9:\"Contact 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_3.png\";s:12:\"tmpl_created\";i:1520443305;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:328;s:11:\"trend_index\";i:260;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:427;a:16:{s:4:\"tmpl\";i:1042;s:2:\"id\";i:15158;s:5:\"title\";s:26:\"Psychologist &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/About.jpg\";s:12:\"tmpl_created\";i:1600157561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/psychologist-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:618;s:11:\"trend_index\";i:426;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:428;a:16:{s:4:\"tmpl\";i:1164;s:2:\"id\";i:17313;s:5:\"title\";s:60:\"Development Course  &#8211; Thank You Page &#8211; Education\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Dev-Course-TYP-.png\";s:12:\"tmpl_created\";i:1610903776;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/development-course-thank-you-page-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Education\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:834;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:429;a:16:{s:4:\"tmpl\";i:428;s:2:\"id\";i:4460;s:5:\"title\";s:9:\"Contact 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:99;s:11:\"trend_index\";i:80;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:430;a:16:{s:4:\"tmpl\";i:1045;s:2:\"id\";i:15197;s:5:\"title\";s:28:\"Psychologist &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1600160499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:666;s:11:\"trend_index\";i:558;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:431;a:16:{s:4:\"tmpl\";i:613;s:2:\"id\";i:5558;s:5:\"title\";s:5:\"CTA 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_2.png\";s:12:\"tmpl_created\";i:1520520684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:129;s:11:\"trend_index\";i:69;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:432;a:16:{s:4:\"tmpl\";i:1041;s:2:\"id\";i:15142;s:5:\"title\";s:25:\"Psychologist &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Home.jpg\";s:12:\"tmpl_created\";i:1600156308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/psychologist-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:83;s:16:\"popularity_index\";i:464;s:11:\"trend_index\";i:297;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:433;a:16:{s:4:\"tmpl\";i:634;s:2:\"id\";i:5939;s:5:\"title\";s:6:\"CTA 10\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_13-1.png\";s:12:\"tmpl_created\";i:1520520760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:83;s:16:\"popularity_index\";i:190;s:11:\"trend_index\";i:118;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:434;a:16:{s:4:\"tmpl\";i:1044;s:2:\"id\";i:15188;s:5:\"title\";s:28:\"Psychologist &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/09/Pricing.jpg\";s:12:\"tmpl_created\";i:1600159731;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:732;s:11:\"trend_index\";i:537;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:435;a:16:{s:4:\"tmpl\";i:633;s:2:\"id\";i:5930;s:5:\"title\";s:6:\"CTA 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_15.png\";s:12:\"tmpl_created\";i:1520520758;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:76;s:11:\"trend_index\";i:84;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:436;a:16:{s:4:\"tmpl\";i:1043;s:2:\"id\";i:15167;s:5:\"title\";s:29:\"Psychologist &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/09/Services.jpg\";s:12:\"tmpl_created\";i:1600158206;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/psychologist-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:85;s:16:\"popularity_index\";i:606;s:11:\"trend_index\";i:379;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:437;a:16:{s:4:\"tmpl\";i:632;s:2:\"id\";i:5921;s:5:\"title\";s:6:\"CTA 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_14.png\";s:12:\"tmpl_created\";i:1520520757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:85;s:16:\"popularity_index\";i:278;s:11:\"trend_index\";i:234;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:438;a:16:{s:4:\"tmpl\";i:1036;s:2:\"id\";i:14932;s:5:\"title\";s:30:\"Flooring Company &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/About.png\";s:12:\"tmpl_created\";i:1597740110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/flooring-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:488;s:11:\"trend_index\";i:319;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:439;a:16:{s:4:\"tmpl\";i:618;s:2:\"id\";i:5607;s:5:\"title\";s:6:\"CTA 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_5.png\";s:12:\"tmpl_created\";i:1520520695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:42;s:11:\"trend_index\";i:11;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:440;a:16:{s:4:\"tmpl\";i:1037;s:2:\"id\";i:14998;s:5:\"title\";s:32:\"Flooring Company &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/08/Contact-Us.png\";s:12:\"tmpl_created\";i:1597740222;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:87;s:16:\"popularity_index\";i:553;s:11:\"trend_index\";i:380;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:441;a:16:{s:4:\"tmpl\";i:574;s:2:\"id\";i:6017;s:5:\"title\";s:6:\"CTA 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_14.png\";s:12:\"tmpl_created\";i:1520520331;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:87;s:16:\"popularity_index\";i:152;s:11:\"trend_index\";i:122;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:442;a:16:{s:4:\"tmpl\";i:1038;s:2:\"id\";i:14965;s:5:\"title\";s:32:\"Flooring Company &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/Gallery.png\";s:12:\"tmpl_created\";i:1597740353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:371;s:11:\"trend_index\";i:291;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:443;a:16:{s:4:\"tmpl\";i:628;s:2:\"id\";i:5885;s:5:\"title\";s:6:\"CTA 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_11.png\";s:12:\"tmpl_created\";i:1520520751;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:274;s:11:\"trend_index\";i:256;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:444;a:16:{s:4:\"tmpl\";i:1282;s:2:\"id\";i:22417;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1647354987;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:89;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:445;a:16:{s:4:\"tmpl\";i:627;s:2:\"id\";i:5877;s:5:\"title\";s:6:\"CTA 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_10.png\";s:12:\"tmpl_created\";i:1520520749;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:89;s:16:\"popularity_index\";i:564;s:11:\"trend_index\";i:677;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:446;a:16:{s:4:\"tmpl\";i:1040;s:2:\"id\";i:14947;s:5:\"title\";s:33:\"Flooring company &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/08/Services.png\";s:12:\"tmpl_created\";i:1597740551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/flooring-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:90;s:16:\"popularity_index\";i:538;s:11:\"trend_index\";i:392;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:447;a:16:{s:4:\"tmpl\";i:625;s:2:\"id\";i:5860;s:5:\"title\";s:6:\"CTA 17\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_9.png\";s:12:\"tmpl_created\";i:1520520746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:90;s:16:\"popularity_index\";i:120;s:11:\"trend_index\";i:63;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:448;a:16:{s:4:\"tmpl\";i:1039;s:2:\"id\";i:14901;s:5:\"title\";s:29:\"Flooring Company &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Home.png\";s:12:\"tmpl_created\";i:1597740474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/flooring-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:387;s:11:\"trend_index\";i:185;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:449;a:16:{s:4:\"tmpl\";i:626;s:2:\"id\";i:5869;s:5:\"title\";s:6:\"CTA 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_10.png\";s:12:\"tmpl_created\";i:1520520747;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:345;s:11:\"trend_index\";i:486;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:450;a:16:{s:4:\"tmpl\";i:611;s:2:\"id\";i:5542;s:5:\"title\";s:6:\"CTA 19\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_1.png\";s:12:\"tmpl_created\";i:1520520681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:92;s:16:\"popularity_index\";i:169;s:11:\"trend_index\";i:270;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:451;a:16:{s:4:\"tmpl\";i:1252;s:2:\"id\";i:22146;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1647177514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:92;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:452;a:16:{s:4:\"tmpl\";i:614;s:2:\"id\";i:5567;s:5:\"title\";s:5:\"CTA 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_2.png\";s:12:\"tmpl_created\";i:1520520685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:143;s:11:\"trend_index\";i:225;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:453;a:16:{s:4:\"tmpl\";i:1021;s:2:\"id\";i:14737;s:5:\"title\";s:32:\"Luxury Real Estate &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/About.png\";s:12:\"tmpl_created\";i:1595313527;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/luxury-real-estate-about-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:150;s:11:\"trend_index\";i:447;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:454;a:16:{s:4:\"tmpl\";i:629;s:2:\"id\";i:5893;s:5:\"title\";s:6:\"CTA 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_12.png\";s:12:\"tmpl_created\";i:1520520752;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:259;s:11:\"trend_index\";i:457;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:455;a:16:{s:4:\"tmpl\";i:1020;s:2:\"id\";i:14756;s:5:\"title\";s:34:\"Luxury Real Estate &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Contact-Us.png\";s:12:\"tmpl_created\";i:1595313519;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/luxury-real-estate-contact-us-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:610;s:11:\"trend_index\";i:569;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:456;a:16:{s:4:\"tmpl\";i:619;s:2:\"id\";i:5634;s:5:\"title\";s:6:\"CTA 24\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_6.png\";s:12:\"tmpl_created\";i:1520520699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:95;s:16:\"popularity_index\";i:188;s:11:\"trend_index\";i:255;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:457;a:16:{s:4:\"tmpl\";i:1019;s:2:\"id\";i:14716;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Home.png\";s:12:\"tmpl_created\";i:1595313512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:95;s:16:\"popularity_index\";i:394;s:11:\"trend_index\";i:165;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:458;a:16:{s:4:\"tmpl\";i:620;s:2:\"id\";i:5642;s:5:\"title\";s:6:\"CTA 25\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_6.png\";s:12:\"tmpl_created\";i:1520520701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:226;s:11:\"trend_index\";i:262;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:459;a:16:{s:4:\"tmpl\";i:1018;s:2:\"id\";i:14763;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; News\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/07/news-Archive.png\";s:12:\"tmpl_created\";i:1595313273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-news-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:404;s:11:\"trend_index\";i:167;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:460;a:16:{s:4:\"tmpl\";i:1283;s:2:\"id\";i:22423;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1647355154;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:97;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:461;a:16:{s:4:\"tmpl\";i:615;s:2:\"id\";i:5583;s:5:\"title\";s:6:\"CTA 26\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_3.png\";s:12:\"tmpl_created\";i:1520520689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:97;s:16:\"popularity_index\";i:117;s:11:\"trend_index\";i:117;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:462;a:16:{s:4:\"tmpl\";i:630;s:2:\"id\";i:5904;s:5:\"title\";s:6:\"CTA 27\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_13.png\";s:12:\"tmpl_created\";i:1520520754;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:528;s:11:\"trend_index\";i:517;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:463;a:16:{s:4:\"tmpl\";i:1010;s:2:\"id\";i:13960;s:5:\"title\";s:32:\"Japanese restaurant &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/06/Home-Page.jpg\";s:12:\"tmpl_created\";i:1592289775;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/japanese-restaurant-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:537;s:11:\"trend_index\";i:287;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:464;a:16:{s:4:\"tmpl\";i:1284;s:2:\"id\";i:22428;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1647355339;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:99;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:465;a:16:{s:4:\"tmpl\";i:631;s:2:\"id\";i:5912;s:5:\"title\";s:6:\"CTA 28\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_11.png\";s:12:\"tmpl_created\";i:1520520755;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:99;s:16:\"popularity_index\";i:665;s:11:\"trend_index\";i:702;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:466;a:16:{s:4:\"tmpl\";i:473;s:2:\"id\";i:5189;s:5:\"title\";s:6:\"CTA 29\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_1.png\";s:12:\"tmpl_created\";i:1520443456;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:472;s:11:\"trend_index\";i:631;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:467;a:16:{s:4:\"tmpl\";i:1007;s:2:\"id\";i:13993;s:5:\"title\";s:45:\"Japanese restaurant &#8211; Chef&#8217;s Menu\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/06/Chef_s-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/japanese-restaurant-chefs-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:651;s:11:\"trend_index\";i:675;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:468;a:16:{s:4:\"tmpl\";i:623;s:2:\"id\";i:5667;s:5:\"title\";s:5:\"CTA 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_8.png\";s:12:\"tmpl_created\";i:1520520705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:101;s:16:\"popularity_index\";i:171;s:11:\"trend_index\";i:250;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:469;a:16:{s:4:\"tmpl\";i:1006;s:2:\"id\";i:14012;s:5:\"title\";s:36:\"Japanese restaurant &#8211; Bar Menu\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/06/Bar-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/japanese-restaurant-bar-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:101;s:16:\"popularity_index\";i:735;s:11:\"trend_index\";i:829;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:470;a:16:{s:4:\"tmpl\";i:474;s:2:\"id\";i:5198;s:5:\"title\";s:6:\"CTA 30\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_1.png\";s:12:\"tmpl_created\";i:1520443458;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:102;s:16:\"popularity_index\";i:572;s:11:\"trend_index\";i:511;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:471;a:16:{s:4:\"tmpl\";i:1005;s:2:\"id\";i:13917;s:5:\"title\";s:33:\"Japanese restaurant &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/06/About-Page.jpg\";s:12:\"tmpl_created\";i:1592289629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/japanese-restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:102;s:16:\"popularity_index\";i:640;s:11:\"trend_index\";i:389;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:472;a:16:{s:4:\"tmpl\";i:475;s:2:\"id\";i:5206;s:5:\"title\";s:6:\"CTA 31\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_2.png\";s:12:\"tmpl_created\";i:1520443459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:593;s:11:\"trend_index\";i:611;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:473;a:16:{s:4:\"tmpl\";i:1009;s:2:\"id\";i:13937;s:5:\"title\";s:35:\"Japanese restaurant &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1592289748;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/japanese-restaurant-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:648;s:11:\"trend_index\";i:551;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:474;a:16:{s:4:\"tmpl\";i:480;s:2:\"id\";i:5249;s:5:\"title\";s:6:\"CTA 32\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_4.png\";s:12:\"tmpl_created\";i:1520443470;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-32/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:104;s:16:\"popularity_index\";i:512;s:11:\"trend_index\";i:409;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:475;a:16:{s:4:\"tmpl\";i:1008;s:2:\"id\";i:14030;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Events\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/06/Events-Page.jpg\";s:12:\"tmpl_created\";i:1592289713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/japanese-restaurant-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:104;s:16:\"popularity_index\";i:723;s:11:\"trend_index\";i:711;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:476;a:16:{s:4:\"tmpl\";i:612;s:2:\"id\";i:5550;s:5:\"title\";s:6:\"CTA 33\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_1.png\";s:12:\"tmpl_created\";i:1520520682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-33/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:260;s:11:\"trend_index\";i:562;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:477;a:16:{s:4:\"tmpl\";i:1016;s:2:\"id\";i:13984;s:5:\"title\";s:40:\"Japanese restaurant &#8211; Reservations\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/reservations.jpg\";s:12:\"tmpl_created\";i:1592294757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/japanese-restaurant-reservations/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:715;s:11:\"trend_index\";i:727;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:478;a:16:{s:4:\"tmpl\";i:536;s:2:\"id\";i:5852;s:5:\"title\";s:6:\"CTA 34\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2018/03/form_1.png\";s:12:\"tmpl_created\";i:1520443600;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-34/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:106;s:16:\"popularity_index\";i:563;s:11:\"trend_index\";i:828;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:479;a:16:{s:4:\"tmpl\";i:999;s:2:\"id\";i:13479;s:5:\"title\";s:23:\"Barbershop &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Home-Page.jpg\";s:12:\"tmpl_created\";i:1589893275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/barbershop-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:106;s:16:\"popularity_index\";i:683;s:11:\"trend_index\";i:832;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:480;a:16:{s:4:\"tmpl\";i:624;s:2:\"id\";i:5675;s:5:\"title\";s:5:\"CTA 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_8.png\";s:12:\"tmpl_created\";i:1520520707;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:391;s:11:\"trend_index\";i:484;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:481;a:16:{s:4:\"tmpl\";i:1000;s:2:\"id\";i:13503;s:5:\"title\";s:24:\"Barbershop &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/05/About-Page.jpg\";s:12:\"tmpl_created\";i:1589893289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/barbershop-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:744;s:11:\"trend_index\";i:739;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:482;a:16:{s:4:\"tmpl\";i:616;s:2:\"id\";i:5591;s:5:\"title\";s:5:\"CTA 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_4.png\";s:12:\"tmpl_created\";i:1520520691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:133;s:11:\"trend_index\";i:130;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:483;a:16:{s:4:\"tmpl\";i:1001;s:2:\"id\";i:13548;s:5:\"title\";s:27:\"Barbershop &#8211; Services\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/05/Services-Page.jpg\";s:12:\"tmpl_created\";i:1589893298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/barbershop-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:761;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:484;a:16:{s:4:\"tmpl\";i:617;s:2:\"id\";i:5599;s:5:\"title\";s:5:\"CTA 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_4.png\";s:12:\"tmpl_created\";i:1520520693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:109;s:16:\"popularity_index\";i:252;s:11:\"trend_index\";i:362;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:485;a:16:{s:4:\"tmpl\";i:1002;s:2:\"id\";i:13560;s:5:\"title\";s:26:\"Barbershop &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1589893307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:109;s:16:\"popularity_index\";i:756;s:11:\"trend_index\";i:822;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:486;a:16:{s:4:\"tmpl\";i:514;s:2:\"id\";i:5575;s:5:\"title\";s:5:\"CTA 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_3.png\";s:12:\"tmpl_created\";i:1520443543;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:110;s:16:\"popularity_index\";i:13;s:11:\"trend_index\";i:586;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:487;a:16:{s:4:\"tmpl\";i:1003;s:2:\"id\";i:13587;s:5:\"title\";s:26:\"Barbershop &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/05/Contact-Us-Page.jpg\";s:12:\"tmpl_created\";i:1589893315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:110;s:16:\"popularity_index\";i:753;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:488;a:16:{s:4:\"tmpl\";i:622;s:2:\"id\";i:5658;s:5:\"title\";s:5:\"CTA 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_7.png\";s:12:\"tmpl_created\";i:1520520704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:187;s:11:\"trend_index\";i:235;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:489;a:16:{s:4:\"tmpl\";i:982;s:2:\"id\";i:13307;s:5:\"title\";s:26:\"Online Course &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.jpg\";s:12:\"tmpl_created\";i:1587474541;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/online-course-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:230;s:11:\"trend_index\";i:125;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:490;a:16:{s:4:\"tmpl\";i:621;s:2:\"id\";i:5650;s:5:\"title\";s:5:\"CTA 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_7.png\";s:12:\"tmpl_created\";i:1520520702;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:94;s:11:\"trend_index\";i:148;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:491;a:16:{s:4:\"tmpl\";i:983;s:2:\"id\";i:13328;s:5:\"title\";s:27:\"Online Course &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.jpg\";s:12:\"tmpl_created\";i:1587474558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/online-course-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:508;s:11:\"trend_index\";i:429;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:492;a:16:{s:4:\"tmpl\";i:1061;s:2:\"id\";i:15407;s:5:\"title\";s:24:\"Dance Studio &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/10/404.jpg\";s:12:\"tmpl_created\";i:1603181958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/dance-studio-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:22:\"[\"404\",\"Dance Studio\"]\";s:10:\"menu_order\";i:113;s:16:\"popularity_index\";i:783;s:11:\"trend_index\";i:710;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:493;a:16:{s:4:\"tmpl\";i:984;s:2:\"id\";i:13338;s:5:\"title\";s:33:\"Online Course &#8211; Course Page\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Course-Page.png\";s:12:\"tmpl_created\";i:1587474574;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/online-course-course-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:113;s:16:\"popularity_index\";i:337;s:11:\"trend_index\";i:310;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:494;a:16:{s:4:\"tmpl\";i:1062;s:2:\"id\";i:15400;s:5:\"title\";s:27:\"Dance Studio &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Footer.jpg\";s:12:\"tmpl_created\";i:1603181989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Footer\"]\";s:10:\"menu_order\";i:114;s:16:\"popularity_index\";i:586;s:11:\"trend_index\";i:243;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:495;a:16:{s:4:\"tmpl\";i:985;s:2:\"id\";i:13352;s:5:\"title\";s:29:\"Online Course &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1587474591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/online-course-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:114;s:16:\"popularity_index\";i:565;s:11:\"trend_index\";i:533;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:496;a:16:{s:4:\"tmpl\";i:1063;s:2:\"id\";i:15391;s:5:\"title\";s:27:\"Dance Studio &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Header.jpg\";s:12:\"tmpl_created\";i:1603182011;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Header\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:352;s:11:\"trend_index\";i:67;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:497;a:16:{s:4:\"tmpl\";i:971;s:2:\"id\";i:13187;s:5:\"title\";s:33:\"Interior Design &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.png\";s:12:\"tmpl_created\";i:1586148661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/interior-design-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:331;s:11:\"trend_index\";i:264;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:498;a:16:{s:4:\"tmpl\";i:874;s:2:\"id\";i:11192;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/07/Footer_small.jpg\";s:12:\"tmpl_created\";i:1564642399;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Footer\",\"Marketing\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:172;s:11:\"trend_index\";i:105;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:499;a:16:{s:4:\"tmpl\";i:1453;s:2:\"id\";i:16346;s:5:\"title\";s:33:\"Your New Home &#8211; Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp3-l.png\";s:12:\"tmpl_created\";i:1660205402;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/your-new-home-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:31:\"[\"Landing Pages\",\"Real estate\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:500;a:16:{s:4:\"tmpl\";i:972;s:2:\"id\";i:13199;s:5:\"title\";s:29:\"Interior Design &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.png\";s:12:\"tmpl_created\";i:1586148666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/interior-design-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:316;s:11:\"trend_index\";i:334;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:501;a:16:{s:4:\"tmpl\";i:873;s:2:\"id\";i:11198;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-digital-marketing-agency.png\";s:12:\"tmpl_created\";i:1564642395;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Header\",\"Marketing\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:34;s:11:\"trend_index\";i:10;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:502;a:16:{s:4:\"tmpl\";i:973;s:2:\"id\";i:13214;s:5:\"title\";s:32:\"Interior Design &#8211; Projects\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/portfolio_s.jpg\";s:12:\"tmpl_created\";i:1586148672;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/interior-design-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:367;s:11:\"trend_index\";i:323;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:503;a:16:{s:4:\"tmpl\";i:872;s:2:\"id\";i:11204;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/07/404_small.jpg\";s:12:\"tmpl_created\";i:1564642389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:36:\"[\"404\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:301;s:11:\"trend_index\";i:239;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:504;a:16:{s:4:\"tmpl\";i:974;s:2:\"id\";i:13229;s:5:\"title\";s:31:\"Interior Design &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.png\";s:12:\"tmpl_created\";i:1586148677;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/interior-design-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:395;s:11:\"trend_index\";i:337;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:505;a:16:{s:4:\"tmpl\";i:871;s:2:\"id\";i:11220;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/08/Archive_small1.png\";s:12:\"tmpl_created\";i:1564642385;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:119;s:16:\"popularity_index\";i:116;s:11:\"trend_index\";i:73;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:506;a:16:{s:4:\"tmpl\";i:959;s:2:\"id\";i:12948;s:5:\"title\";s:29:\"Photography &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Home_s.png\";s:12:\"tmpl_created\";i:1582093442;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photography-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:119;s:16:\"popularity_index\";i:241;s:11:\"trend_index\";i:201;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:507;a:16:{s:4:\"tmpl\";i:870;s:2:\"id\";i:11231;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/Post_small1.png\";s:12:\"tmpl_created\";i:1564642380;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:145;s:11:\"trend_index\";i:71;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:508;a:16:{s:4:\"tmpl\";i:960;s:2:\"id\";i:12798;s:5:\"title\";s:25:\"Photography &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/About_s.png\";s:12:\"tmpl_created\";i:1582093446;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/photography-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:499;s:11:\"trend_index\";i:374;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:509;a:16:{s:4:\"tmpl\";i:520;s:2:\"id\";i:5711;s:5:\"title\";s:5:\"FAQ 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_2.png\";s:12:\"tmpl_created\";i:1520443571;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:121;s:16:\"popularity_index\";i:200;s:11:\"trend_index\";i:231;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:510;a:16:{s:4:\"tmpl\";i:961;s:2:\"id\";i:12868;s:5:\"title\";s:27:\"Photography &#8211; Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Contact_s.png\";s:12:\"tmpl_created\";i:1582093450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:121;s:16:\"popularity_index\";i:531;s:11:\"trend_index\";i:350;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:511;a:16:{s:4:\"tmpl\";i:523;s:2:\"id\";i:5737;s:5:\"title\";s:6:\"FAQ 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_4.png\";s:12:\"tmpl_created\";i:1520443576;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:155;s:11:\"trend_index\";i:112;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:512;a:16:{s:4:\"tmpl\";i:962;s:2:\"id\";i:13056;s:5:\"title\";s:28:\"Photography &#8211; Wildlife\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/02/Wildlife_s.png\";s:12:\"tmpl_created\";i:1582093454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photography-wildlife/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:579;s:11:\"trend_index\";i:656;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:513;a:16:{s:4:\"tmpl\";i:524;s:2:\"id\";i:5746;s:5:\"title\";s:6:\"FAQ 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_4.png\";s:12:\"tmpl_created\";i:1520443578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:123;s:16:\"popularity_index\";i:212;s:11:\"trend_index\";i:305;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:514;a:16:{s:4:\"tmpl\";i:963;s:2:\"id\";i:12922;s:5:\"title\";s:37:\"Photography &#8211; Glowing Jellyfish\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Jellyfish_S.png\";s:12:\"tmpl_created\";i:1582093457;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/photography-glowing-jellyfish/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:123;s:16:\"popularity_index\";i:628;s:11:\"trend_index\";i:532;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:515;a:16:{s:4:\"tmpl\";i:519;s:2:\"id\";i:5703;s:5:\"title\";s:6:\"FAQ 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_2.png\";s:12:\"tmpl_created\";i:1520443569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:124;s:16:\"popularity_index\";i:29;s:11:\"trend_index\";i:38;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:516;a:16:{s:4:\"tmpl\";i:964;s:2:\"id\";i:12875;s:5:\"title\";s:36:\"Photography &#8211; Fluttering Birds\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Birds_s.png\";s:12:\"tmpl_created\";i:1582093461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-fluttering-birds/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:124;s:16:\"popularity_index\";i:693;s:11:\"trend_index\";i:766;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:517;a:16:{s:4:\"tmpl\";i:521;s:2:\"id\";i:5719;s:5:\"title\";s:5:\"FAQ 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_3.png\";s:12:\"tmpl_created\";i:1520443573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:125;s:11:\"trend_index\";i:251;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:518;a:16:{s:4:\"tmpl\";i:965;s:2:\"id\";i:12962;s:5:\"title\";s:26:\"Photography &#8211; Nature\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Nature_s.png\";s:12:\"tmpl_created\";i:1582093465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/photography-nature/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:592;s:11:\"trend_index\";i:778;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:519;a:16:{s:4:\"tmpl\";i:522;s:2:\"id\";i:5729;s:5:\"title\";s:5:\"FAQ 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_3.png\";s:12:\"tmpl_created\";i:1520443575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:319;s:11:\"trend_index\";i:327;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:520;a:16:{s:4:\"tmpl\";i:966;s:2:\"id\";i:12833;s:5:\"title\";s:38:\"Photography &#8211; Blossoming Flowers\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Flowers_s.png\";s:12:\"tmpl_created\";i:1582093469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/photography-blossoming-flowers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:597;s:11:\"trend_index\";i:750;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:521;a:16:{s:4:\"tmpl\";i:525;s:2:\"id\";i:5755;s:5:\"title\";s:5:\"FAQ 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_5.png\";s:12:\"tmpl_created\";i:1520443580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:127;s:16:\"popularity_index\";i:112;s:11:\"trend_index\";i:180;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:522;a:16:{s:4:\"tmpl\";i:967;s:2:\"id\";i:12898;s:5:\"title\";s:36:\"Photography &#8211; Forest Mushrooms\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Mushrooms_s.png\";s:12:\"tmpl_created\";i:1582093473;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-forest-mushrooms/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:127;s:16:\"popularity_index\";i:667;s:11:\"trend_index\";i:649;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:523;a:16:{s:4:\"tmpl\";i:526;s:2:\"id\";i:5764;s:5:\"title\";s:5:\"FAQ 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_5.png\";s:12:\"tmpl_created\";i:1520443582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:128;s:16:\"popularity_index\";i:338;s:11:\"trend_index\";i:474;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:524;a:16:{s:4:\"tmpl\";i:968;s:2:\"id\";i:12994;s:5:\"title\";s:24:\"Photography &#8211; Pets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Pets_s.png\";s:12:\"tmpl_created\";i:1582093477;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/photography-pets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:128;s:16:\"popularity_index\";i:612;s:11:\"trend_index\";i:508;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:525;a:16:{s:4:\"tmpl\";i:517;s:2:\"id\";i:5684;s:5:\"title\";s:5:\"FAQ 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_1.png\";s:12:\"tmpl_created\";i:1520443565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:74;s:11:\"trend_index\";i:193;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:526;a:16:{s:4:\"tmpl\";i:969;s:2:\"id\";i:12805;s:5:\"title\";s:37:\"Photography &#8211; B&amp;W Portraits\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Black_s.png\";s:12:\"tmpl_created\";i:1582093481;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/photography-bw-portraits/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:695;s:11:\"trend_index\";i:735;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:527;a:16:{s:4:\"tmpl\";i:518;s:2:\"id\";i:5693;s:5:\"title\";s:5:\"FAQ 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_1.png\";s:12:\"tmpl_created\";i:1520443567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:224;s:11:\"trend_index\";i:515;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:528;a:16:{s:4:\"tmpl\";i:970;s:2:\"id\";i:13031;s:5:\"title\";s:33:\"Photography &#8211; Vivid Parrots\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Parrots_s.png\";s:12:\"tmpl_created\";i:1582093484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/photography-vivid-parrots/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:660;s:11:\"trend_index\";i:643;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:529;a:16:{s:4:\"tmpl\";i:548;s:2:\"id\";i:6053;s:5:\"title\";s:10:\"Features 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_5.png\";s:12:\"tmpl_created\";i:1520443645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:131;s:16:\"popularity_index\";i:179;s:11:\"trend_index\";i:463;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:530;a:16:{s:4:\"tmpl\";i:940;s:2:\"id\";i:12621;s:5:\"title\";s:26:\"Magazine &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/01/Home_s.png\";s:12:\"tmpl_created\";i:1579060604;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/magazine-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:131;s:16:\"popularity_index\";i:167;s:11:\"trend_index\";i:121;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:531;a:16:{s:4:\"tmpl\";i:542;s:2:\"id\";i:5991;s:5:\"title\";s:11:\"Features 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_4.png\";s:12:\"tmpl_created\";i:1520443632;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:135;s:11:\"trend_index\";i:265;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:532;a:16:{s:4:\"tmpl\";i:936;s:2:\"id\";i:12352;s:5:\"title\";s:24:\"Travel &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/12/Home_s.png\";s:12:\"tmpl_created\";i:1575960464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:291;s:11:\"trend_index\";i:194;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:533;a:16:{s:4:\"tmpl\";i:547;s:2:\"id\";i:6044;s:5:\"title\";s:11:\"Features 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_5.png\";s:12:\"tmpl_created\";i:1520443643;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:133;s:16:\"popularity_index\";i:70;s:11:\"trend_index\";i:163;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:534;a:16:{s:4:\"tmpl\";i:932;s:2:\"id\";i:12400;s:5:\"title\";s:20:\"Travel &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/12/About.png\";s:12:\"tmpl_created\";i:1575960441;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:133;s:16:\"popularity_index\";i:444;s:11:\"trend_index\";i:445;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:535;a:16:{s:4:\"tmpl\";i:566;s:2:\"id\";i:6212;s:5:\"title\";s:11:\"Features 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_7.png\";s:12:\"tmpl_created\";i:1520443684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:81;s:11:\"trend_index\";i:98;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:536;a:16:{s:4:\"tmpl\";i:938;s:2:\"id\";i:12479;s:5:\"title\";s:20:\"Travel &#8211; Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Tours_s.png\";s:12:\"tmpl_created\";i:1575960474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:539;s:11:\"trend_index\";i:726;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:537;a:16:{s:4:\"tmpl\";i:567;s:2:\"id\";i:6220;s:5:\"title\";s:10:\"Features 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_8.png\";s:12:\"tmpl_created\";i:1520443685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:135;s:16:\"popularity_index\";i:88;s:11:\"trend_index\";i:189;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:538;a:16:{s:4:\"tmpl\";i:937;s:2:\"id\";i:12466;s:5:\"title\";s:27:\"Travel &#8211; Testimonials\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/Testimonials.png\";s:12:\"tmpl_created\";i:1575960469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-testimonials/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:135;s:16:\"popularity_index\";i:527;s:11:\"trend_index\";i:481;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:539;a:16:{s:4:\"tmpl\";i:541;s:2:\"id\";i:5983;s:5:\"title\";s:10:\"Features 3\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_3.png\";s:12:\"tmpl_created\";i:1520443630;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:136;s:16:\"popularity_index\";i:231;s:11:\"trend_index\";i:351;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:540;a:16:{s:4:\"tmpl\";i:935;s:2:\"id\";i:12443;s:5:\"title\";s:22:\"Travel &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Gallery.png\";s:12:\"tmpl_created\";i:1575960459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/travel-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:136;s:16:\"popularity_index\";i:467;s:11:\"trend_index\";i:501;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:541;a:16:{s:4:\"tmpl\";i:540;s:2:\"id\";i:5974;s:5:\"title\";s:10:\"Features 4\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_3.png\";s:12:\"tmpl_created\";i:1520443629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:69;s:11:\"trend_index\";i:181;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:542;a:16:{s:4:\"tmpl\";i:934;s:2:\"id\";i:12431;s:5:\"title\";s:18:\"Travel &#8211; FAQ\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/FAQ.png\";s:12:\"tmpl_created\";i:1575960453;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-faq/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:501;s:11:\"trend_index\";i:387;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:543;a:16:{s:4:\"tmpl\";i:516;s:2:\"id\";i:5624;s:5:\"title\";s:10:\"Features 5\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_1.png\";s:12:\"tmpl_created\";i:1520443553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:138;s:16:\"popularity_index\";i:93;s:11:\"trend_index\";i:352;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:544;a:16:{s:4:\"tmpl\";i:933;s:2:\"id\";i:12421;s:5:\"title\";s:27:\"Travel &#8211; Contact Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/12/Contsct-Us.png\";s:12:\"tmpl_created\";i:1575960445;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-contact-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:138;s:16:\"popularity_index\";i:571;s:11:\"trend_index\";i:536;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:545;a:16:{s:4:\"tmpl\";i:515;s:2:\"id\";i:5615;s:5:\"title\";s:10:\"Features 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_5.png\";s:12:\"tmpl_created\";i:1520443551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:41;s:11:\"trend_index\";i:119;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:546;a:16:{s:4:\"tmpl\";i:892;s:2:\"id\";i:11763;s:5:\"title\";s:27:\"Portfolio &#8211; Home Page\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Homepage_small.png\";s:12:\"tmpl_created\";i:1569428959;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/portfolio-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:280;s:11:\"trend_index\";i:241;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:547;a:16:{s:4:\"tmpl\";i:539;s:2:\"id\";i:5963;s:5:\"title\";s:10:\"Features 7\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_2.png\";s:12:\"tmpl_created\";i:1520443626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:67;s:11:\"trend_index\";i:133;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:548;a:16:{s:4:\"tmpl\";i:891;s:2:\"id\";i:11781;s:5:\"title\";s:23:\"Portfolio &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/About_small.png\";s:12:\"tmpl_created\";i:1569428955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/portfolio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:349;s:11:\"trend_index\";i:290;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:549;a:16:{s:4:\"tmpl\";i:565;s:2:\"id\";i:6204;s:5:\"title\";s:10:\"Features 8\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_6.png\";s:12:\"tmpl_created\";i:1520443681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:141;s:16:\"popularity_index\";i:217;s:11:\"trend_index\";i:223;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:550;a:16:{s:4:\"tmpl\";i:890;s:2:\"id\";i:11793;s:5:\"title\";s:26:\"Portfolio &#8211; Projects\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Projects_small.png\";s:12:\"tmpl_created\";i:1569428951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/portfolio-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:141;s:16:\"popularity_index\";i:448;s:11:\"trend_index\";i:467;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:551;a:16:{s:4:\"tmpl\";i:564;s:2:\"id\";i:6196;s:5:\"title\";s:10:\"Features 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_6.png\";s:12:\"tmpl_created\";i:1520443680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:142;s:16:\"popularity_index\";i:106;s:11:\"trend_index\";i:113;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:552;a:16:{s:4:\"tmpl\";i:889;s:2:\"id\";i:11800;s:5:\"title\";s:25:\"Portfolio &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/09/Contact_small.png\";s:12:\"tmpl_created\";i:1569428946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/portfolio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:142;s:16:\"popularity_index\";i:494;s:11:\"trend_index\";i:449;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:553;a:16:{s:4:\"tmpl\";i:1033;s:2:\"id\";i:15033;s:5:\"title\";s:28:\"Flooring Company &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/08/404.png\";s:12:\"tmpl_created\";i:1597739459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/flooring-company-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:45:\"[\"404\",\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:655;s:11:\"trend_index\";i:671;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:554;a:16:{s:4:\"tmpl\";i:866;s:2:\"id\";i:11163;s:5:\"title\";s:32:\"Digital Agency &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/07/Home_small.png\";s:12:\"tmpl_created\";i:1564641877;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/digital-agency-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:57;s:11:\"trend_index\";i:32;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:555;a:16:{s:4:\"tmpl\";i:1032;s:2:\"id\";i:15042;s:5:\"title\";s:32:\"Flooring Company &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Blog.png\";s:12:\"tmpl_created\";i:1597739084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/flooring-company-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:144;s:16:\"popularity_index\";i:320;s:11:\"trend_index\";i:275;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:556;a:16:{s:4:\"tmpl\";i:1031;s:2:\"id\";i:15017;s:5:\"title\";s:31:\"Flooring Company &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Footer.png\";s:12:\"tmpl_created\";i:1597738933;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Footer\"]\";s:10:\"menu_order\";i:145;s:16:\"popularity_index\";i:323;s:11:\"trend_index\";i:192;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:557;a:16:{s:4:\"tmpl\";i:1030;s:2:\"id\";i:15007;s:5:\"title\";s:31:\"Flooring Company &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Header.png\";s:12:\"tmpl_created\";i:1597738896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Header\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:459;s:11:\"trend_index\";i:333;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:558;a:16:{s:4:\"tmpl\";i:916;s:2:\"id\";i:12143;s:5:\"title\";s:22:\"Law Firm &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/about.png\";s:12:\"tmpl_created\";i:1572847069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/law-firm-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:350;s:11:\"trend_index\";i:344;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:559;a:16:{s:4:\"tmpl\";i:1029;s:2:\"id\";i:15052;s:5:\"title\";s:36:\"Flooring Company &#8211; Single post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Single.png\";s:12:\"tmpl_created\";i:1597738858;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/flooring-company-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:147;s:16:\"popularity_index\";i:392;s:11:\"trend_index\";i:226;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:560;a:16:{s:4:\"tmpl\";i:920;s:2:\"id\";i:12091;s:5:\"title\";s:21:\"Law Firm &#8211; Team\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/team.png\";s:12:\"tmpl_created\";i:1572847113;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/law-firm-team/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:147;s:16:\"popularity_index\";i:318;s:11:\"trend_index\";i:314;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:561;a:16:{s:4:\"tmpl\";i:869;s:2:\"id\";i:11129;s:5:\"title\";s:28:\"Digital Agency &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/About_small.png\";s:12:\"tmpl_created\";i:1564641889;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:148;s:16:\"popularity_index\";i:182;s:11:\"trend_index\";i:166;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:562;a:16:{s:4:\"tmpl\";i:651;s:2:\"id\";i:7837;s:5:\"title\";s:9:\"footer 01\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.14.jpg\";s:12:\"tmpl_created\";i:1524582852;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:148;s:16:\"popularity_index\";i:495;s:11:\"trend_index\";i:539;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:563;a:16:{s:4:\"tmpl\";i:880;s:2:\"id\";i:11572;s:5:\"title\";s:19:\"Gym &#8211; Trainer\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Trainer_Small.png\";s:12:\"tmpl_created\";i:1567392934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:521;s:11:\"trend_index\";i:590;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:564;a:16:{s:4:\"tmpl\";i:647;s:2:\"id\";i:7937;s:5:\"title\";s:10:\"footer 010\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.5.jpg\";s:12:\"tmpl_created\";i:1524582665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-010/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:185;s:11:\"trend_index\";i:115;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:565;a:16:{s:4:\"tmpl\";i:646;s:2:\"id\";i:7950;s:5:\"title\";s:10:\"footer 011\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.4.jpg\";s:12:\"tmpl_created\";i:1524582631;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-011/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:150;s:16:\"popularity_index\";i:244;s:11:\"trend_index\";i:203;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:566;a:16:{s:4:\"tmpl\";i:645;s:2:\"id\";i:7959;s:5:\"title\";s:10:\"footer 012\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.3.jpg\";s:12:\"tmpl_created\";i:1524582605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-012/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:177;s:11:\"trend_index\";i:140;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:567;a:16:{s:4:\"tmpl\";i:917;s:2:\"id\";i:12133;s:5:\"title\";s:24:\"Law Firm &#8211; Careers\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/11/careers.png\";s:12:\"tmpl_created\";i:1572847078;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-careers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:583;s:11:\"trend_index\";i:640;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:568;a:16:{s:4:\"tmpl\";i:644;s:2:\"id\";i:7982;s:5:\"title\";s:10:\"footer 013\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.2.jpg\";s:12:\"tmpl_created\";i:1524582468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-013/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:209;s:11:\"trend_index\";i:212;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:569;a:16:{s:4:\"tmpl\";i:915;s:2:\"id\";i:12155;s:5:\"title\";s:26:\"Law Firm &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/home.png\";s:12:\"tmpl_created\";i:1572847054;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/law-firm-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:193;s:11:\"trend_index\";i:110;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:570;a:16:{s:4:\"tmpl\";i:643;s:2:\"id\";i:7997;s:5:\"title\";s:10:\"footer 014\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.1.jpg\";s:12:\"tmpl_created\";i:1524582343;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-014/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:153;s:16:\"popularity_index\";i:64;s:11:\"trend_index\";i:41;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:571;a:16:{s:4:\"tmpl\";i:921;s:2:\"id\";i:12080;s:5:\"title\";s:24:\"Law Firm &#8211; Partner\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/11/partner-1.png\";s:12:\"tmpl_created\";i:1572847120;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-partner/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:153;s:16:\"popularity_index\";i:556;s:11:\"trend_index\";i:471;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:572;a:16:{s:4:\"tmpl\";i:865;s:2:\"id\";i:11074;s:5:\"title\";s:31:\"Digital Agency &#8211; Services\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Services_small.png\";s:12:\"tmpl_created\";i:1564641872;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/digital-agency-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:163;s:11:\"trend_index\";i:170;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:573;a:16:{s:4:\"tmpl\";i:693;s:2:\"id\";i:9119;s:5:\"title\";s:10:\"footer 015\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/Footer_GetStarted_350.png\";s:12:\"tmpl_created\";i:1532428138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/demo/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:240;s:11:\"trend_index\";i:154;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:574;a:16:{s:4:\"tmpl\";i:879;s:2:\"id\";i:11506;s:5:\"title\";s:19:\"Gym &#8211; Classes\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Classes_Small.png\";s:12:\"tmpl_created\";i:1567392930;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:155;s:16:\"popularity_index\";i:514;s:11:\"trend_index\";i:554;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:575;a:16:{s:4:\"tmpl\";i:652;s:2:\"id\";i:7852;s:5:\"title\";s:9:\"footer 02\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.13.jpg\";s:12:\"tmpl_created\";i:1524582875;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:155;s:16:\"popularity_index\";i:199;s:11:\"trend_index\";i:96;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:576;a:16:{s:4:\"tmpl\";i:653;s:2:\"id\";i:7862;s:5:\"title\";s:9:\"footer 03\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.12.jpg\";s:12:\"tmpl_created\";i:1524582903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:156;s:16:\"popularity_index\";i:137;s:11:\"trend_index\";i:91;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:577;a:16:{s:4:\"tmpl\";i:654;s:2:\"id\";i:7871;s:5:\"title\";s:9:\"footer 04\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.11.jpg\";s:12:\"tmpl_created\";i:1524582927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:97;s:11:\"trend_index\";i:55;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:578;a:16:{s:4:\"tmpl\";i:922;s:2:\"id\";i:12044;s:5:\"title\";s:24:\"Law Firm &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/contsct_us.png\";s:12:\"tmpl_created\";i:1572847130;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:437;s:11:\"trend_index\";i:304;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:579;a:16:{s:4:\"tmpl\";i:655;s:2:\"id\";i:7884;s:5:\"title\";s:9:\"footer 05\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.10.jpg\";s:12:\"tmpl_created\";i:1524582944;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:158;s:16:\"popularity_index\";i:92;s:11:\"trend_index\";i:109;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:580;a:16:{s:4:\"tmpl\";i:918;s:2:\"id\";i:12124;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/11/services.png\";s:12:\"tmpl_created\";i:1572847096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/law-firm-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:158;s:16:\"popularity_index\";i:433;s:11:\"trend_index\";i:296;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:581;a:16:{s:4:\"tmpl\";i:864;s:2:\"id\";i:11056;s:5:\"title\";s:35:\"Digital Agency &#8211; Social Media\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/07/Social-Media_small.png\";s:12:\"tmpl_created\";i:1564641867;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/digital-agency-social-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:297;s:11:\"trend_index\";i:361;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:582;a:16:{s:4:\"tmpl\";i:656;s:2:\"id\";i:7892;s:5:\"title\";s:9:\"footer 06\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.9.jpg\";s:12:\"tmpl_created\";i:1524583015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:132;s:11:\"trend_index\";i:146;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:583;a:16:{s:4:\"tmpl\";i:878;s:2:\"id\";i:11536;s:5:\"title\";s:19:\"Gym &#8211; Fitness\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Fitness_Small.png\";s:12:\"tmpl_created\";i:1567392927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:160;s:16:\"popularity_index\";i:621;s:11:\"trend_index\";i:674;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:584;a:16:{s:4:\"tmpl\";i:650;s:2:\"id\";i:7904;s:5:\"title\";s:9:\"footer 07\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.8.jpg\";s:12:\"tmpl_created\";i:1524582814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:160;s:16:\"popularity_index\";i:203;s:11:\"trend_index\";i:186;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:585;a:16:{s:4:\"tmpl\";i:882;s:2:\"id\";i:11545;s:5:\"title\";s:21:\"Gym &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Home_Small.png\";s:12:\"tmpl_created\";i:1567392943;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/gym-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:161;s:16:\"popularity_index\";i:310;s:11:\"trend_index\";i:229;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:586;a:16:{s:4:\"tmpl\";i:649;s:2:\"id\";i:7917;s:5:\"title\";s:9:\"footer 08\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.7.jpg\";s:12:\"tmpl_created\";i:1524582788;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:161;s:16:\"popularity_index\";i:89;s:11:\"trend_index\";i:144;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:587;a:16:{s:4:\"tmpl\";i:648;s:2:\"id\";i:7927;s:5:\"title\";s:9:\"footer 09\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.6.jpg\";s:12:\"tmpl_created\";i:1524582691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:178;s:11:\"trend_index\";i:100;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:588;a:16:{s:4:\"tmpl\";i:919;s:2:\"id\";i:12116;s:5:\"title\";s:24:\"Law Firm &#8211; Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/family_law.png\";s:12:\"tmpl_created\";i:1572847105;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:489;s:11:\"trend_index\";i:339;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:589;a:16:{s:4:\"tmpl\";i:868;s:2:\"id\";i:11094;s:5:\"title\";s:30:\"Digital Agency &#8211; Clients\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/07/Clients_small.png\";s:12:\"tmpl_created\";i:1564641885;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/digital-agency-clients/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:424;s:11:\"trend_index\";i:424;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:590;a:16:{s:4:\"tmpl\";i:881;s:2:\"id\";i:11478;s:5:\"title\";s:17:\"Gym &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/About_Small.png\";s:12:\"tmpl_created\";i:1567392939;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/gym-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:164;s:16:\"popularity_index\";i:481;s:11:\"trend_index\";i:579;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:591;a:16:{s:4:\"tmpl\";i:877;s:2:\"id\";i:11563;s:5:\"title\";s:19:\"Gym &#8211; Pricing\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Pricing_Small.png\";s:12:\"tmpl_created\";i:1567392923;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:577;s:11:\"trend_index\";i:736;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:592;a:16:{s:4:\"tmpl\";i:867;s:2:\"id\";i:11034;s:5:\"title\";s:30:\"Digital Agency &#8211; Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/07/Contsct-Us_small.png\";s:12:\"tmpl_created\";i:1564641881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/contact-digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:168;s:16:\"popularity_index\";i:191;s:11:\"trend_index\";i:156;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:593;a:16:{s:4:\"tmpl\";i:642;s:2:\"id\";i:4676;s:5:\"title\";s:8:\"Footer 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_7.png\";s:12:\"tmpl_created\";i:1522014215;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer_7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:169;s:16:\"popularity_index\";i:237;s:11:\"trend_index\";i:346;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:594;a:16:{s:4:\"tmpl\";i:637;s:2:\"id\";i:7627;s:5:\"title\";s:8:\"Footer 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_1.png\";s:12:\"tmpl_created\";i:1521547332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:170;s:16:\"popularity_index\";i:100;s:11:\"trend_index\";i:83;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:595;a:16:{s:4:\"tmpl\";i:876;s:2:\"id\";i:11528;s:5:\"title\";s:19:\"Gym &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Contact_Small.png\";s:12:\"tmpl_created\";i:1567392917;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:505;s:11:\"trend_index\";i:624;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:596;a:16:{s:4:\"tmpl\";i:638;s:2:\"id\";i:7638;s:5:\"title\";s:8:\"Footer 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_2.png\";s:12:\"tmpl_created\";i:1521547502;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:124;s:11:\"trend_index\";i:147;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:597;a:16:{s:4:\"tmpl\";i:888;s:2:\"id\";i:11424;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/08/404_Small.png\";s:12:\"tmpl_created\";i:1567393309;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:13:\"[\"404\",\"Gym\"]\";s:10:\"menu_order\";i:172;s:16:\"popularity_index\";i:679;s:11:\"trend_index\";i:769;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:598;a:16:{s:4:\"tmpl\";i:887;s:2:\"id\";i:11435;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Archiv_Small.png\";s:12:\"tmpl_created\";i:1567393296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:173;s:16:\"popularity_index\";i:441;s:11:\"trend_index\";i:507;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:599;a:16:{s:4:\"tmpl\";i:886;s:2:\"id\";i:11445;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Post_Small.png\";s:12:\"tmpl_created\";i:1567393229;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:174;s:16:\"popularity_index\";i:452;s:11:\"trend_index\";i:479;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:600;a:16:{s:4:\"tmpl\";i:885;s:2:\"id\";i:11453;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Footer_Small.png\";s:12:\"tmpl_created\";i:1567393224;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:16:\"[\"Footer\",\"Gym\"]\";s:10:\"menu_order\";i:175;s:16:\"popularity_index\";i:270;s:11:\"trend_index\";i:331;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:601;a:16:{s:4:\"tmpl\";i:884;s:2:\"id\";i:11461;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-gym-and-fitness.png\";s:12:\"tmpl_created\";i:1567393219;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:16:\"[\"Gym\",\"Header\"]\";s:10:\"menu_order\";i:176;s:16:\"popularity_index\";i:201;s:11:\"trend_index\";i:135;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:602;a:16:{s:4:\"tmpl\";i:635;s:2:\"id\";i:7596;s:5:\"title\";s:8:\"Header 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.12.jpg\";s:12:\"tmpl_created\";i:1521546999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:177;s:16:\"popularity_index\";i:33;s:11:\"trend_index\";i:17;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:603;a:16:{s:4:\"tmpl\";i:663;s:2:\"id\";i:7801;s:5:\"title\";s:9:\"header 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.9.jpg\";s:12:\"tmpl_created\";i:1524583659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:178;s:16:\"popularity_index\";i:51;s:11:\"trend_index\";i:14;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:604;a:16:{s:4:\"tmpl\";i:658;s:2:\"id\";i:7812;s:5:\"title\";s:9:\"header 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.10.jpg\";s:12:\"tmpl_created\";i:1524583298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:179;s:16:\"popularity_index\";i:96;s:11:\"trend_index\";i:103;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:605;a:16:{s:4:\"tmpl\";i:657;s:2:\"id\";i:7825;s:5:\"title\";s:9:\"header 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.11.jpg\";s:12:\"tmpl_created\";i:1524583273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:180;s:16:\"popularity_index\";i:63;s:11:\"trend_index\";i:75;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:606;a:16:{s:4:\"tmpl\";i:694;s:2:\"id\";i:9127;s:5:\"title\";s:9:\"header 13\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2018/07/Header_get_started_1200V3.png\";s:12:\"tmpl_created\";i:1532428699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:181;s:16:\"popularity_index\";i:61;s:11:\"trend_index\";i:58;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:607;a:16:{s:4:\"tmpl\";i:636;s:2:\"id\";i:7615;s:5:\"title\";s:8:\"Header 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.1.jpg\";s:12:\"tmpl_created\";i:1521547237;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:182;s:16:\"popularity_index\";i:30;s:11:\"trend_index\";i:33;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:608;a:16:{s:4:\"tmpl\";i:665;s:2:\"id\";i:7713;s:5:\"title\";s:8:\"header 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.2.jpg\";s:12:\"tmpl_created\";i:1524584780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:183;s:16:\"popularity_index\";i:43;s:11:\"trend_index\";i:28;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:609;a:16:{s:4:\"tmpl\";i:659;s:2:\"id\";i:7724;s:5:\"title\";s:8:\"header 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.3.jpg\";s:12:\"tmpl_created\";i:1524583367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:184;s:16:\"popularity_index\";i:24;s:11:\"trend_index\";i:13;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:610;a:16:{s:4:\"tmpl\";i:660;s:2:\"id\";i:7734;s:5:\"title\";s:8:\"header 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.4.jpg\";s:12:\"tmpl_created\";i:1524583436;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:185;s:16:\"popularity_index\";i:36;s:11:\"trend_index\";i:18;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:611;a:16:{s:4:\"tmpl\";i:666;s:2:\"id\";i:7744;s:5:\"title\";s:8:\"Header 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.5.jpg\";s:12:\"tmpl_created\";i:1524584784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:186;s:16:\"popularity_index\";i:65;s:11:\"trend_index\";i:94;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:612;a:16:{s:4:\"tmpl\";i:664;s:2:\"id\";i:7754;s:5:\"title\";s:8:\"header 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.6.jpg\";s:12:\"tmpl_created\";i:1524583712;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:187;s:16:\"popularity_index\";i:111;s:11:\"trend_index\";i:143;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:613;a:16:{s:4:\"tmpl\";i:661;s:2:\"id\";i:7771;s:5:\"title\";s:8:\"header 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.7.jpg\";s:12:\"tmpl_created\";i:1524583540;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:188;s:16:\"popularity_index\";i:91;s:11:\"trend_index\";i:60;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:614;a:16:{s:4:\"tmpl\";i:662;s:2:\"id\";i:7787;s:5:\"title\";s:8:\"header 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.8.jpg\";s:12:\"tmpl_created\";i:1524583598;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:189;s:16:\"popularity_index\";i:102;s:11:\"trend_index\";i:78;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:615;a:16:{s:4:\"tmpl\";i:572;s:2:\"id\";i:6266;s:5:\"title\";s:6:\"Hero 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_4.png\";s:12:\"tmpl_created\";i:1520443695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:190;s:16:\"popularity_index\";i:52;s:11:\"trend_index\";i:35;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:616;a:16:{s:4:\"tmpl\";i:528;s:2:\"id\";i:5783;s:5:\"title\";s:7:\"Hero 10\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_2.png\";s:12:\"tmpl_created\";i:1520443586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:191;s:16:\"popularity_index\";i:365;s:11:\"trend_index\";i:567;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:617;a:16:{s:4:\"tmpl\";i:527;s:2:\"id\";i:5773;s:5:\"title\";s:7:\"Hero 11\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_1.png\";s:12:\"tmpl_created\";i:1520443584;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:192;s:16:\"popularity_index\";i:39;s:11:\"trend_index\";i:179;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:618;a:16:{s:4:\"tmpl\";i:479;s:2:\"id\";i:5238;s:5:\"title\";s:7:\"Hero 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4.png\";s:12:\"tmpl_created\";i:1520443468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:193;s:16:\"popularity_index\";i:611;s:11:\"trend_index\";i:555;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:619;a:16:{s:4:\"tmpl\";i:573;s:2:\"id\";i:6274;s:5:\"title\";s:6:\"Hero 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_5.png\";s:12:\"tmpl_created\";i:1520443698;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:194;s:16:\"popularity_index\";i:87;s:11:\"trend_index\";i:88;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:620;a:16:{s:4:\"tmpl\";i:569;s:2:\"id\";i:6239;s:5:\"title\";s:6:\"Hero 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_1.png\";s:12:\"tmpl_created\";i:1520443689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:195;s:16:\"popularity_index\";i:23;s:11:\"trend_index\";i:34;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:621;a:16:{s:4:\"tmpl\";i:571;s:2:\"id\";i:6258;s:5:\"title\";s:6:\"Hero 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_3.png\";s:12:\"tmpl_created\";i:1520443693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:196;s:16:\"popularity_index\";i:479;s:11:\"trend_index\";i:470;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:622;a:16:{s:4:\"tmpl\";i:570;s:2:\"id\";i:6249;s:5:\"title\";s:6:\"Hero 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_2.png\";s:12:\"tmpl_created\";i:1520443691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:197;s:16:\"popularity_index\";i:56;s:11:\"trend_index\";i:85;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:623;a:16:{s:4:\"tmpl\";i:568;s:2:\"id\";i:6230;s:5:\"title\";s:6:\"Hero 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_white_1.png\";s:12:\"tmpl_created\";i:1520443687;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:198;s:16:\"popularity_index\";i:406;s:11:\"trend_index\";i:542;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:624;a:16:{s:4:\"tmpl\";i:530;s:2:\"id\";i:5801;s:5:\"title\";s:6:\"Hero 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_4.png\";s:12:\"tmpl_created\";i:1520443589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:199;s:16:\"popularity_index\";i:15;s:11:\"trend_index\";i:37;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:625;a:16:{s:4:\"tmpl\";i:531;s:2:\"id\";i:5811;s:5:\"title\";s:6:\"Hero 8\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_5.png\";s:12:\"tmpl_created\";i:1520443591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:200;s:16:\"popularity_index\";i:105;s:11:\"trend_index\";i:86;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:626;a:16:{s:4:\"tmpl\";i:529;s:2:\"id\";i:5792;s:5:\"title\";s:6:\"Hero 9\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_3.png\";s:12:\"tmpl_created\";i:1520443588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:201;s:16:\"popularity_index\";i:225;s:11:\"trend_index\";i:244;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:627;a:16:{s:4:\"tmpl\";i:978;s:2:\"id\";i:13251;s:5:\"title\";s:27:\"Interior Design &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.png\";s:12:\"tmpl_created\";i:1586148737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/interior-design-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:202;s:16:\"popularity_index\";i:730;s:11:\"trend_index\";i:795;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:628;a:16:{s:4:\"tmpl\";i:979;s:2:\"id\";i:13244;s:5:\"title\";s:30:\"Interior Design &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.png\";s:12:\"tmpl_created\";i:1586148742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Business\",\"Footer\",\"Interior Design\"]\";s:10:\"menu_order\";i:203;s:16:\"popularity_index\";i:322;s:11:\"trend_index\";i:178;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:629;a:16:{s:4:\"tmpl\";i:980;s:2:\"id\";i:13236;s:5:\"title\";s:30:\"Interior Design &#8211; Header\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-interior-design.png\";s:12:\"tmpl_created\";i:1586148746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Business\",\"Header\",\"Interior Design\"]\";s:10:\"menu_order\";i:204;s:16:\"popularity_index\";i:146;s:11:\"trend_index\";i:64;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:630;a:16:{s:4:\"tmpl\";i:977;s:2:\"id\";i:13259;s:5:\"title\";s:36:\"Interior Design &#8211; News Archive\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Archiv-Blog.png\";s:12:\"tmpl_created\";i:1586148733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/interior-design-news-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:205;s:16:\"popularity_index\";i:436;s:11:\"trend_index\";i:132;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:631;a:16:{s:4:\"tmpl\";i:976;s:2:\"id\";i:13267;s:5:\"title\";s:35:\"Interior Design &#8211; Single News\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Post.png\";s:12:\"tmpl_created\";i:1586148728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/interior-design-single-news/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:206;s:16:\"popularity_index\";i:402;s:11:\"trend_index\";i:108;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:632;a:16:{s:4:\"tmpl\";i:975;s:2:\"id\";i:13274;s:5:\"title\";s:38:\"Interior Design &#8211; Single Project\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/04/Single-Project-.png\";s:12:\"tmpl_created\";i:1586148723;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/interior-design-single-project/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:207;s:16:\"popularity_index\";i:601;s:11:\"trend_index\";i:324;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:633;a:16:{s:4:\"tmpl\";i:1011;s:2:\"id\";i:14058;s:5:\"title\";s:36:\"Japanese restaurant &#8211; 404 page\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/06/404-Page.jpg\";s:12:\"tmpl_created\";i:1592290211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/japanese-restaurant-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:38:\"[\"404\",\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:208;s:16:\"popularity_index\";i:724;s:11:\"trend_index\";i:647;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:634;a:16:{s:4:\"tmpl\";i:1012;s:2:\"id\";i:14050;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1592290247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:41:\"[\"Food\",\"Footer\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:209;s:16:\"popularity_index\";i:317;s:11:\"trend_index\";i:238;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:635;a:16:{s:4:\"tmpl\";i:1013;s:2:\"id\";i:14042;s:5:\"title\";s:34:\"Japanese Restaurant &#8211; Header\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2020/06/japanese-restaurant-header.jpg\";s:12:\"tmpl_created\";i:1592290277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:41:\"[\"Food\",\"Header\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:210;s:16:\"popularity_index\";i:411;s:11:\"trend_index\";i:274;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:636;a:16:{s:4:\"tmpl\";i:914;s:2:\"id\";i:12164;s:5:\"title\";s:20:\"Law Firm &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/11/404.png\";s:12:\"tmpl_created\";i:1572846979;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/law-firm-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:211;s:16:\"popularity_index\";i:704;s:11:\"trend_index\";i:716;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:637;a:16:{s:4:\"tmpl\";i:913;s:2:\"id\";i:12170;s:5:\"title\";s:23:\"Law Firm &#8211; Archiv\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/archiv.png\";s:12:\"tmpl_created\";i:1572846967;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:212;s:16:\"popularity_index\";i:431;s:11:\"trend_index\";i:294;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:638;a:16:{s:4:\"tmpl\";i:912;s:2:\"id\";i:12179;s:5:\"title\";s:23:\"Law Firm &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/footer.png\";s:12:\"tmpl_created\";i:1572846958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:213;s:16:\"popularity_index\";i:388;s:11:\"trend_index\";i:240;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:639;a:16:{s:4:\"tmpl\";i:911;s:2:\"id\";i:12194;s:5:\"title\";s:23:\"Law Firm &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-law-firm.png\";s:12:\"tmpl_created\";i:1572846935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:214;s:16:\"popularity_index\";i:80;s:11:\"trend_index\";i:39;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:640;a:16:{s:4:\"tmpl\";i:910;s:2:\"id\";i:12203;s:5:\"title\";s:30:\"Law Firm &#8211; Search Archiv\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/11/search_result.png\";s:12:\"tmpl_created\";i:1572846925;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/law-firm-search-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:215;s:16:\"popularity_index\";i:493;s:11:\"trend_index\";i:433;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:641;a:16:{s:4:\"tmpl\";i:909;s:2:\"id\";i:12212;s:5:\"title\";s:28:\"Law Firm &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/single.png\";s:12:\"tmpl_created\";i:1572846914;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/law-firm-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:216;s:16:\"popularity_index\";i:326;s:11:\"trend_index\";i:214;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:642;a:16:{s:4:\"tmpl\";i:1022;s:2:\"id\";i:14772;s:5:\"title\";s:35:\"Luxury Real Estate &#8211; 404 page\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/07/404.png\";s:12:\"tmpl_created\";i:1595315728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/luxury-real-estate-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:217;s:16:\"popularity_index\";i:759;s:11:\"trend_index\";i:720;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:643;a:16:{s:4:\"tmpl\";i:1023;s:2:\"id\";i:14779;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Footer.png\";s:12:\"tmpl_created\";i:1595315743;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Footer\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:218;s:16:\"popularity_index\";i:536;s:11:\"trend_index\";i:505;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:644;a:16:{s:4:\"tmpl\";i:1024;s:2:\"id\";i:14790;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Header.png\";s:12:\"tmpl_created\";i:1595315760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Header\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:219;s:16:\"popularity_index\";i:101;s:11:\"trend_index\";i:157;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:645;a:16:{s:4:\"tmpl\";i:1026;s:2:\"id\";i:14809;s:5:\"title\";s:45:\"Luxury Real Estate &#8211; Properties Archive\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Properties.png\";s:12:\"tmpl_created\";i:1595315826;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/blocks/luxury-real-estate-properties-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:220;s:16:\"popularity_index\";i:414;s:11:\"trend_index\";i:420;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:646;a:16:{s:4:\"tmpl\";i:1027;s:2:\"id\";i:14816;s:5:\"title\";s:47:\"Luxury Real Estate &#8211; Property single post\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/07/Single-Property-.png\";s:12:\"tmpl_created\";i:1595315847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/blocks/luxury-real-estate-property-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:221;s:16:\"popularity_index\";i:541;s:11:\"trend_index\";i:665;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:647;a:16:{s:4:\"tmpl\";i:1025;s:2:\"id\";i:14799;s:5:\"title\";s:38:\"Luxury Real Estate &#8211; single post\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Post.png\";s:12:\"tmpl_created\";i:1595315792;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/luxury-real-estate-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:222;s:16:\"popularity_index\";i:369;s:11:\"trend_index\";i:441;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:648;a:16:{s:4:\"tmpl\";i:950;s:2:\"id\";i:12635;s:5:\"title\";s:20:\"Magazine &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/01/404_s.png\";s:12:\"tmpl_created\";i:1579060746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/magazine-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:25:\"[\"404\",\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:223;s:16:\"popularity_index\";i:645;s:11:\"trend_index\";i:734;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:649;a:16:{s:4:\"tmpl\";i:949;s:2:\"id\";i:12643;s:5:\"title\";s:24:\"Magazine &#8211; Archiv1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv1_s.png\";s:12:\"tmpl_created\";i:1579060737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:224;s:16:\"popularity_index\";i:346;s:11:\"trend_index\";i:272;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:650;a:16:{s:4:\"tmpl\";i:946;s:2:\"id\";i:12669;s:5:\"title\";s:23:\"Magazine &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Footer_s.png\";s:12:\"tmpl_created\";i:1579060715;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:28:\"[\"Blog\",\"Footer\",\"Magazine\"]\";s:10:\"menu_order\";i:225;s:16:\"popularity_index\";i:442;s:11:\"trend_index\";i:349;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:651;a:16:{s:4:\"tmpl\";i:945;s:2:\"id\";i:12678;s:5:\"title\";s:23:\"Magazine &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-magazine.png\";s:12:\"tmpl_created\";i:1579060701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:28:\"[\"Blog\",\"Header\",\"Magazine\"]\";s:10:\"menu_order\";i:226;s:16:\"popularity_index\";i:295;s:11:\"trend_index\";i:197;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:652;a:16:{s:4:\"tmpl\";i:947;s:2:\"id\";i:12661;s:5:\"title\";s:23:\"Magazine &#8211; Search\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Search_s.png\";s:12:\"tmpl_created\";i:1579060722;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-search/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:227;s:16:\"popularity_index\";i:396;s:11:\"trend_index\";i:509;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:653;a:16:{s:4:\"tmpl\";i:944;s:2:\"id\";i:12688;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 1\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post2_s.png\";s:12:\"tmpl_created\";i:1579060692;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:228;s:16:\"popularity_index\";i:342;s:11:\"trend_index\";i:175;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:654;a:16:{s:4:\"tmpl\";i:943;s:2:\"id\";i:12699;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 2\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post3_s.png\";s:12:\"tmpl_created\";i:1579060680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:229;s:16:\"popularity_index\";i:348;s:11:\"trend_index\";i:129;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:655;a:16:{s:4:\"tmpl\";i:942;s:2:\"id\";i:12707;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post1_s.png\";s:12:\"tmpl_created\";i:1579060669;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:230;s:16:\"popularity_index\";i:476;s:11:\"trend_index\";i:246;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:656;a:16:{s:4:\"tmpl\";i:941;s:2:\"id\";i:12716;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post4_s.png\";s:12:\"tmpl_created\";i:1579060659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/magazine-single-post-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:231;s:16:\"popularity_index\";i:513;s:11:\"trend_index\";i:489;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:657;a:16:{s:4:\"tmpl\";i:948;s:2:\"id\";i:12652;s:5:\"title\";s:17:\"Magazine- Archiv2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv2_s.png\";s:12:\"tmpl_created\";i:1579060730;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:232;s:16:\"popularity_index\";i:525;s:11:\"trend_index\";i:585;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:658;a:16:{s:4:\"tmpl\";i:990;s:2:\"id\";i:13361;s:5:\"title\";s:25:\"Online Course &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.jpg\";s:12:\"tmpl_created\";i:1587474710;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/online-course-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:35:\"[\"404\",\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:233;s:16:\"popularity_index\";i:682;s:11:\"trend_index\";i:498;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:659;a:16:{s:4:\"tmpl\";i:987;s:2:\"id\";i:13387;s:5:\"title\";s:32:\"Online Course &#8211; End Lesson\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-End-.jpg\";s:12:\"tmpl_created\";i:1587474682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/online-course-end-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:234;s:16:\"popularity_index\";i:653;s:11:\"trend_index\";i:408;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:660;a:16:{s:4:\"tmpl\";i:989;s:2:\"id\";i:13369;s:5:\"title\";s:28:\"Online Course &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.jpg\";s:12:\"tmpl_created\";i:1587474701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Footer\"]\";s:10:\"menu_order\";i:235;s:16:\"popularity_index\";i:389;s:11:\"trend_index\";i:308;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:661;a:16:{s:4:\"tmpl\";i:988;s:2:\"id\";i:13378;s:5:\"title\";s:28:\"Online Course &#8211; Header\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-education-online-courses.jpg\";s:12:\"tmpl_created\";i:1587474693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Header\"]\";s:10:\"menu_order\";i:236;s:16:\"popularity_index\";i:492;s:11:\"trend_index\";i:519;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:662;a:16:{s:4:\"tmpl\";i:986;s:2:\"id\";i:13395;s:5:\"title\";s:34:\"Online Course &#8211; Start Lesson\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-Start.jpg\";s:12:\"tmpl_created\";i:1587474673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/online-course-start-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:237;s:16:\"popularity_index\";i:672;s:11:\"trend_index\";i:578;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:663;a:16:{s:4:\"tmpl\";i:953;s:2:\"id\";i:13089;s:5:\"title\";s:23:\"Photography &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/02/404_s.png\";s:12:\"tmpl_created\";i:1582091623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/photography-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:33:\"[\"404\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:238;s:16:\"popularity_index\";i:702;s:11:\"trend_index\";i:706;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:664;a:16:{s:4:\"tmpl\";i:954;s:2:\"id\";i:13096;s:5:\"title\";s:32:\"Photography &#8211; Archiv Media\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Archiv_s.png\";s:12:\"tmpl_created\";i:1582091742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/photography-archiv-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:239;s:16:\"popularity_index\";i:631;s:11:\"trend_index\";i:405;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:665;a:16:{s:4:\"tmpl\";i:955;s:2:\"id\";i:13103;s:5:\"title\";s:26:\"Photography &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Footer_s.png\";s:12:\"tmpl_created\";i:1582091903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:36:\"[\"Footer\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:240;s:16:\"popularity_index\";i:422;s:11:\"trend_index\";i:230;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:666;a:16:{s:4:\"tmpl\";i:957;s:2:\"id\";i:13112;s:5:\"title\";s:26:\"Photography &#8211; Header\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-photography-portfolio.png\";s:12:\"tmpl_created\";i:1582092483;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:36:\"[\"Header\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:241;s:16:\"popularity_index\";i:325;s:11:\"trend_index\";i:205;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:667;a:16:{s:4:\"tmpl\";i:956;s:2:\"id\";i:13120;s:5:\"title\";s:31:\"Photography &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Post_s.png\";s:12:\"tmpl_created\";i:1582092351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/photography-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:242;s:16:\"popularity_index\";i:671;s:11:\"trend_index\";i:645;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:668;a:16:{s:4:\"tmpl\";i:901;s:2:\"id\";i:11807;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/09/404_small.png\";s:12:\"tmpl_created\";i:1569430070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:243;s:16:\"popularity_index\";i:480;s:11:\"trend_index\";i:497;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:669;a:16:{s:4:\"tmpl\";i:900;s:2:\"id\";i:11832;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Footer_small.png\";s:12:\"tmpl_created\";i:1569430019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Footer\",\"Portfolio\"]\";s:10:\"menu_order\";i:244;s:16:\"popularity_index\";i:246;s:11:\"trend_index\";i:102;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:670;a:16:{s:4:\"tmpl\";i:898;s:2:\"id\";i:11847;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Archiv_small.png\";s:12:\"tmpl_created\";i:1569430010;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:245;s:16:\"popularity_index\";i:336;s:11:\"trend_index\";i:455;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:671;a:16:{s:4:\"tmpl\";i:897;s:2:\"id\";i:11854;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/09/Post_small.png\";s:12:\"tmpl_created\";i:1569429983;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:246;s:16:\"popularity_index\";i:482;s:11:\"trend_index\";i:609;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:672;a:16:{s:4:\"tmpl\";i:904;s:2:\"id\";i:11890;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-design-portfolio.png\";s:12:\"tmpl_created\";i:1571907344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Header\",\"Portfolio\"]\";s:10:\"menu_order\";i:247;s:16:\"popularity_index\";i:306;s:11:\"trend_index\";i:364;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:673;a:16:{s:4:\"tmpl\";i:896;s:2:\"id\";i:11861;s:5:\"title\";s:27:\"Portfolio &#8211; Project 1\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project1_small.png\";s:12:\"tmpl_created\";i:1569429975;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:248;s:16:\"popularity_index\";i:643;s:11:\"trend_index\";i:764;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:674;a:16:{s:4:\"tmpl\";i:895;s:2:\"id\";i:11870;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569429964;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:249;s:16:\"popularity_index\";i:662;s:11:\"trend_index\";i:816;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:675;a:16:{s:4:\"tmpl\";i:903;s:2:\"id\";i:11897;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569494236;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/portfolio-project-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:250;s:16:\"popularity_index\";i:733;s:11:\"trend_index\";i:744;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:676;a:16:{s:4:\"tmpl\";i:894;s:2:\"id\";i:11877;s:5:\"title\";s:27:\"Portfolio &#8211; Project 3\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project3_small.png\";s:12:\"tmpl_created\";i:1569429954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:251;s:16:\"popularity_index\";i:692;s:11:\"trend_index\";i:0;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:677;a:16:{s:4:\"tmpl\";i:597;s:2:\"id\";i:5019;s:5:\"title\";s:11:\"Portfolio 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_1.png\";s:12:\"tmpl_created\";i:1520520580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:252;s:16:\"popularity_index\";i:170;s:11:\"trend_index\";i:236;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:678;a:16:{s:4:\"tmpl\";i:609;s:2:\"id\";i:5141;s:5:\"title\";s:12:\"Portfolio 10\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_10.png\";s:12:\"tmpl_created\";i:1520520601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:253;s:16:\"popularity_index\";i:416;s:11:\"trend_index\";i:478;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:679;a:16:{s:4:\"tmpl\";i:598;s:2:\"id\";i:5027;s:5:\"title\";s:12:\"Portfolio 11\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_2.png\";s:12:\"tmpl_created\";i:1520520581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:254;s:16:\"popularity_index\";i:304;s:11:\"trend_index\";i:421;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:680;a:16:{s:4:\"tmpl\";i:599;s:2:\"id\";i:5037;s:5:\"title\";s:12:\"Portfolio 12\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_3.png\";s:12:\"tmpl_created\";i:1520520583;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:255;s:16:\"popularity_index\";i:279;s:11:\"trend_index\";i:399;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:681;a:16:{s:4:\"tmpl\";i:600;s:2:\"id\";i:5057;s:5:\"title\";s:12:\"Portfolio 13\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_4.png\";s:12:\"tmpl_created\";i:1520520586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:256;s:16:\"popularity_index\";i:239;s:11:\"trend_index\";i:288;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:682;a:16:{s:4:\"tmpl\";i:601;s:2:\"id\";i:5071;s:5:\"title\";s:12:\"Portfolio 14\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_5.png\";s:12:\"tmpl_created\";i:1520520588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:257;s:16:\"popularity_index\";i:276;s:11:\"trend_index\";i:329;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:683;a:16:{s:4:\"tmpl\";i:603;s:2:\"id\";i:5090;s:5:\"title\";s:12:\"Portfolio 15\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_6.png\";s:12:\"tmpl_created\";i:1520520591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:258;s:16:\"popularity_index\";i:186;s:11:\"trend_index\";i:283;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:684;a:16:{s:4:\"tmpl\";i:604;s:2:\"id\";i:5098;s:5:\"title\";s:12:\"Portfolio 16\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_7.png\";s:12:\"tmpl_created\";i:1520520593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:259;s:16:\"popularity_index\";i:156;s:11:\"trend_index\";i:211;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:685;a:16:{s:4:\"tmpl\";i:606;s:2:\"id\";i:5115;s:5:\"title\";s:12:\"Portfolio 17\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_8.png\";s:12:\"tmpl_created\";i:1520520596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:260;s:16:\"popularity_index\";i:19;s:11:\"trend_index\";i:22;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:686;a:16:{s:4:\"tmpl\";i:608;s:2:\"id\";i:5133;s:5:\"title\";s:12:\"Portfolio 18\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_9.png\";s:12:\"tmpl_created\";i:1520520599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:261;s:16:\"popularity_index\";i:180;s:11:\"trend_index\";i:280;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:687;a:16:{s:4:\"tmpl\";i:610;s:2:\"id\";i:5149;s:5:\"title\";s:11:\"Portfolio 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_10.png\";s:12:\"tmpl_created\";i:1520520602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:262;s:16:\"popularity_index\";i:413;s:11:\"trend_index\";i:635;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:688;a:16:{s:4:\"tmpl\";i:468;s:2:\"id\";i:5045;s:5:\"title\";s:11:\"Portfolio 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_2.png\";s:12:\"tmpl_created\";i:1520443423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:263;s:16:\"popularity_index\";i:636;s:11:\"trend_index\";i:608;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:689;a:16:{s:4:\"tmpl\";i:602;s:2:\"id\";i:5082;s:5:\"title\";s:11:\"Portfolio 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_4.png\";s:12:\"tmpl_created\";i:1520520589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:264;s:16:\"popularity_index\";i:558;s:11:\"trend_index\";i:654;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:690;a:16:{s:4:\"tmpl\";i:605;s:2:\"id\";i:5107;s:5:\"title\";s:11:\"Portfolio 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_7.png\";s:12:\"tmpl_created\";i:1520520594;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:265;s:16:\"popularity_index\";i:380;s:11:\"trend_index\";i:347;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:691;a:16:{s:4:\"tmpl\";i:607;s:2:\"id\";i:5125;s:5:\"title\";s:11:\"Portfolio 6\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_8.png\";s:12:\"tmpl_created\";i:1520520597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:266;s:16:\"popularity_index\";i:236;s:11:\"trend_index\";i:386;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:692;a:16:{s:4:\"tmpl\";i:596;s:2:\"id\";i:5007;s:5:\"title\";s:11:\"Portfolio 7\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_1.png\";s:12:\"tmpl_created\";i:1520520578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:267;s:16:\"popularity_index\";i:44;s:11:\"trend_index\";i:183;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:693;a:16:{s:4:\"tmpl\";i:434;s:2:\"id\";i:4509;s:5:\"title\";s:9:\"Pricing 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_1.png\";s:12:\"tmpl_created\";i:1520443310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:268;s:16:\"popularity_index\";i:703;s:11:\"trend_index\";i:641;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:694;a:16:{s:4:\"tmpl\";i:439;s:2:\"id\";i:4553;s:5:\"title\";s:10:\"Pricing 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_4.png\";s:12:\"tmpl_created\";i:1520443319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:269;s:16:\"popularity_index\";i:511;s:11:\"trend_index\";i:506;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:695;a:16:{s:4:\"tmpl\";i:441;s:2:\"id\";i:4572;s:5:\"title\";s:10:\"Pricing 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_5.png\";s:12:\"tmpl_created\";i:1520443324;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:270;s:16:\"popularity_index\";i:308;s:11:\"trend_index\";i:248;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:696;a:16:{s:4:\"tmpl\";i:442;s:2:\"id\";i:4580;s:5:\"title\";s:10:\"Pricing 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_6.png\";s:12:\"tmpl_created\";i:1520443326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:271;s:16:\"popularity_index\";i:576;s:11:\"trend_index\";i:526;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:697;a:16:{s:4:\"tmpl\";i:444;s:2:\"id\";i:4597;s:5:\"title\";s:10:\"Pricing 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_7.png\";s:12:\"tmpl_created\";i:1520443330;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:272;s:16:\"popularity_index\";i:613;s:11:\"trend_index\";i:450;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:698;a:16:{s:4:\"tmpl\";i:446;s:2:\"id\";i:4613;s:5:\"title\";s:10:\"Pricing 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_8.png\";s:12:\"tmpl_created\";i:1520443334;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:273;s:16:\"popularity_index\";i:581;s:11:\"trend_index\";i:568;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:699;a:16:{s:4:\"tmpl\";i:436;s:2:\"id\";i:4529;s:5:\"title\";s:9:\"Pricing 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_2.png\";s:12:\"tmpl_created\";i:1520443314;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:274;s:16:\"popularity_index\";i:609;s:11:\"trend_index\";i:613;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:700;a:16:{s:4:\"tmpl\";i:438;s:2:\"id\";i:4545;s:5:\"title\";s:9:\"Pricing 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_3.png\";s:12:\"tmpl_created\";i:1520443317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:275;s:16:\"popularity_index\";i:707;s:11:\"trend_index\";i:825;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:701;a:16:{s:4:\"tmpl\";i:440;s:2:\"id\";i:4562;s:5:\"title\";s:9:\"Pricing 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_4.png\";s:12:\"tmpl_created\";i:1520443322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:276;s:16:\"popularity_index\";i:697;s:11:\"trend_index\";i:821;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:702;a:16:{s:4:\"tmpl\";i:443;s:2:\"id\";i:4589;s:5:\"title\";s:9:\"Pricing 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_6.png\";s:12:\"tmpl_created\";i:1520443327;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:277;s:16:\"popularity_index\";i:716;s:11:\"trend_index\";i:639;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:703;a:16:{s:4:\"tmpl\";i:445;s:2:\"id\";i:4605;s:5:\"title\";s:9:\"Pricing 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_7.png\";s:12:\"tmpl_created\";i:1520443332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:278;s:16:\"popularity_index\";i:738;s:11:\"trend_index\";i:773;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:704;a:16:{s:4:\"tmpl\";i:433;s:2:\"id\";i:4500;s:5:\"title\";s:9:\"Pricing 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_1.png\";s:12:\"tmpl_created\";i:1520443308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:279;s:16:\"popularity_index\";i:500;s:11:\"trend_index\";i:451;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:705;a:16:{s:4:\"tmpl\";i:435;s:2:\"id\";i:4521;s:5:\"title\";s:9:\"Pricing 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_2.png\";s:12:\"tmpl_created\";i:1520443312;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:280;s:16:\"popularity_index\";i:311;s:11:\"trend_index\";i:372;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:706;a:16:{s:4:\"tmpl\";i:437;s:2:\"id\";i:4537;s:5:\"title\";s:9:\"Pricing 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_3.png\";s:12:\"tmpl_created\";i:1520443315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:281;s:16:\"popularity_index\";i:589;s:11:\"trend_index\";i:841;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:707;a:16:{s:4:\"tmpl\";i:701;s:2:\"id\";i:9239;s:5:\"title\";s:17:\"product archive 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-1.png\";s:12:\"tmpl_created\";i:1532953482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:282;s:16:\"popularity_index\";i:60;s:11:\"trend_index\";i:25;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:708;a:16:{s:4:\"tmpl\";i:702;s:2:\"id\";i:9247;s:5:\"title\";s:17:\"product archive 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-2.png\";s:12:\"tmpl_created\";i:1532953793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:283;s:16:\"popularity_index\";i:71;s:11:\"trend_index\";i:30;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:709;a:16:{s:4:\"tmpl\";i:703;s:2:\"id\";i:9254;s:5:\"title\";s:17:\"product archive 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-3.png\";s:12:\"tmpl_created\";i:1532954032;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:284;s:16:\"popularity_index\";i:73;s:11:\"trend_index\";i:44;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:710;a:16:{s:4:\"tmpl\";i:1046;s:2:\"id\";i:15204;s:5:\"title\";s:24:\"Psychologist &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/09/404.jpg\";s:12:\"tmpl_created\";i:1600161419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/psychologist-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:285;s:16:\"popularity_index\";i:574;s:11:\"trend_index\";i:493;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:711;a:16:{s:4:\"tmpl\";i:1047;s:2:\"id\";i:15212;s:5:\"title\";s:28:\"Psychologist &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Blog.jpg\";s:12:\"tmpl_created\";i:1600162340;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/psychologist-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:286;s:16:\"popularity_index\";i:379;s:11:\"trend_index\";i:358;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:712;a:16:{s:4:\"tmpl\";i:1048;s:2:\"id\";i:15219;s:5:\"title\";s:27:\"Psychologist &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Footer.jpg\";s:12:\"tmpl_created\";i:1600163069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Footer\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:287;s:16:\"popularity_index\";i:599;s:11:\"trend_index\";i:500;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:713;a:16:{s:4:\"tmpl\";i:1049;s:2:\"id\";i:15230;s:5:\"title\";s:27:\"Psychologist &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Header.png\";s:12:\"tmpl_created\";i:1600163444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Header\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:288;s:16:\"popularity_index\";i:429;s:11:\"trend_index\";i:423;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:714;a:16:{s:4:\"tmpl\";i:1050;s:2:\"id\";i:15240;s:5:\"title\";s:34:\"Psychologist &#8211; single post 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Post.png\";s:12:\"tmpl_created\";i:1600164087;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:289;s:16:\"popularity_index\";i:562;s:11:\"trend_index\";i:570;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:715;a:16:{s:4:\"tmpl\";i:1051;s:2:\"id\";i:15251;s:5:\"title\";s:34:\"Psychologist &#8211; single post 2\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Service-Page.png\";s:12:\"tmpl_created\";i:1600165179;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:290;s:16:\"popularity_index\";i:507;s:11:\"trend_index\";i:368;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:716;a:16:{s:4:\"tmpl\";i:412;s:2:\"id\";i:4313;s:5:\"title\";s:11:\"Services 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_8.png\";s:12:\"tmpl_created\";i:1520443268;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:291;s:16:\"popularity_index\";i:115;s:11:\"trend_index\";i:53;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:717;a:16:{s:4:\"tmpl\";i:413;s:2:\"id\";i:4324;s:5:\"title\";s:11:\"Services 14\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_9.png\";s:12:\"tmpl_created\";i:1520443270;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:292;s:16:\"popularity_index\";i:277;s:11:\"trend_index\";i:138;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:718;a:16:{s:4:\"tmpl\";i:418;s:2:\"id\";i:4368;s:5:\"title\";s:11:\"Services 16\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_13.png\";s:12:\"tmpl_created\";i:1520443279;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:293;s:16:\"popularity_index\";i:62;s:11:\"trend_index\";i:59;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:719;a:16:{s:4:\"tmpl\";i:420;s:2:\"id\";i:4391;s:5:\"title\";s:11:\"Services 17\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_14.png\";s:12:\"tmpl_created\";i:1520443283;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:294;s:16:\"popularity_index\";i:153;s:11:\"trend_index\";i:120;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:720;a:16:{s:4:\"tmpl\";i:403;s:2:\"id\";i:4235;s:5:\"title\";s:11:\"Services 18\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_2.png\";s:12:\"tmpl_created\";i:1520443251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:295;s:16:\"popularity_index\";i:273;s:11:\"trend_index\";i:172;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:721;a:16:{s:4:\"tmpl\";i:417;s:2:\"id\";i:4357;s:5:\"title\";s:11:\"Services 20\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_12.png\";s:12:\"tmpl_created\";i:1520443277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:296;s:16:\"popularity_index\";i:45;s:11:\"trend_index\";i:45;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:722;a:16:{s:4:\"tmpl\";i:415;s:2:\"id\";i:4341;s:5:\"title\";s:11:\"Services 21\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_11.png\";s:12:\"tmpl_created\";i:1520443274;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:297;s:16:\"popularity_index\";i:142;s:11:\"trend_index\";i:114;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:723;a:16:{s:4:\"tmpl\";i:414;s:2:\"id\";i:4332;s:5:\"title\";s:11:\"Services 22\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_10.png\";s:12:\"tmpl_created\";i:1520443272;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:298;s:16:\"popularity_index\";i:138;s:11:\"trend_index\";i:149;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:724;a:16:{s:4:\"tmpl\";i:401;s:2:\"id\";i:4212;s:5:\"title\";s:11:\"Services 23\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_1.png\";s:12:\"tmpl_created\";i:1520443248;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:299;s:16:\"popularity_index\";i:136;s:11:\"trend_index\";i:302;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:725;a:16:{s:4:\"tmpl\";i:408;s:2:\"id\";i:4276;s:5:\"title\";s:11:\"Services 24\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_4.png\";s:12:\"tmpl_created\";i:1520443261;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:300;s:16:\"popularity_index\";i:353;s:11:\"trend_index\";i:514;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:726;a:16:{s:4:\"tmpl\";i:406;s:2:\"id\";i:4260;s:5:\"title\";s:11:\"Services 25\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_3.png\";s:12:\"tmpl_created\";i:1520443257;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:301;s:16:\"popularity_index\";i:184;s:11:\"trend_index\";i:209;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:727;a:16:{s:4:\"tmpl\";i:404;s:2:\"id\";i:4244;s:5:\"title\";s:11:\"Services 26\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_2.png\";s:12:\"tmpl_created\";i:1520443253;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:302;s:16:\"popularity_index\";i:544;s:11:\"trend_index\";i:596;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:728;a:16:{s:4:\"tmpl\";i:421;s:2:\"id\";i:4400;s:5:\"title\";s:11:\"Services 27\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_13.png\";s:12:\"tmpl_created\";i:1520443285;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:303;s:16:\"popularity_index\";i:286;s:11:\"trend_index\";i:438;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:729;a:16:{s:4:\"tmpl\";i:419;s:2:\"id\";i:4376;s:5:\"title\";s:11:\"Services 28\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_12.png\";s:12:\"tmpl_created\";i:1520443281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:304;s:16:\"popularity_index\";i:151;s:11:\"trend_index\";i:249;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:730;a:16:{s:4:\"tmpl\";i:416;s:2:\"id\";i:4349;s:5:\"title\";s:11:\"Services 29\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_11.png\";s:12:\"tmpl_created\";i:1520443275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:305;s:16:\"popularity_index\";i:330;s:11:\"trend_index\";i:483;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:731;a:16:{s:4:\"tmpl\";i:402;s:2:\"id\";i:4227;s:5:\"title\";s:11:\"Services 30\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_1.png\";s:12:\"tmpl_created\";i:1520443250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:306;s:16:\"popularity_index\";i:351;s:11:\"trend_index\";i:553;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:732;a:16:{s:4:\"tmpl\";i:560;s:2:\"id\";i:6162;s:5:\"title\";s:11:\"Services 31\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_1.png\";s:12:\"tmpl_created\";i:1520443668;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:307;s:16:\"popularity_index\";i:372;s:11:\"trend_index\";i:550;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:733;a:16:{s:4:\"tmpl\";i:411;s:2:\"id\";i:4302;s:5:\"title\";s:10:\"Services 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_7.png\";s:12:\"tmpl_created\";i:1520443266;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:308;s:16:\"popularity_index\";i:58;s:11:\"trend_index\";i:97;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:734;a:16:{s:4:\"tmpl\";i:410;s:2:\"id\";i:4293;s:5:\"title\";s:10:\"Services 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_6.png\";s:12:\"tmpl_created\";i:1520443265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:309;s:16:\"popularity_index\";i:288;s:11:\"trend_index\";i:269;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:735;a:16:{s:4:\"tmpl\";i:409;s:2:\"id\";i:4284;s:5:\"title\";s:10:\"Services 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_5.png\";s:12:\"tmpl_created\";i:1520443263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:310;s:16:\"popularity_index\";i:27;s:11:\"trend_index\";i:21;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:736;a:16:{s:4:\"tmpl\";i:407;s:2:\"id\";i:4268;s:5:\"title\";s:10:\"Services 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_4.png\";s:12:\"tmpl_created\";i:1520443259;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:311;s:16:\"popularity_index\";i:173;s:11:\"trend_index\";i:213;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:737;a:16:{s:4:\"tmpl\";i:405;s:2:\"id\";i:4252;s:5:\"title\";s:10:\"Services 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_3.png\";s:12:\"tmpl_created\";i:1520443255;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:312;s:16:\"popularity_index\";i:46;s:11:\"trend_index\";i:99;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:738;a:16:{s:4:\"tmpl\";i:677;s:2:\"id\";i:8676;s:5:\"title\";s:13:\"single page 1\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.6.jpg\";s:12:\"tmpl_created\";i:1527682423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:313;s:16:\"popularity_index\";i:285;s:11:\"trend_index\";i:145;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:739;a:16:{s:4:\"tmpl\";i:678;s:2:\"id\";i:8678;s:5:\"title\";s:13:\"single page 2\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.2.jpg\";s:12:\"tmpl_created\";i:1527682780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:314;s:16:\"popularity_index\";i:140;s:11:\"trend_index\";i:82;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:740;a:16:{s:4:\"tmpl\";i:679;s:2:\"id\";i:8679;s:5:\"title\";s:13:\"single page 3\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.3.jpg\";s:12:\"tmpl_created\";i:1527682847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:315;s:16:\"popularity_index\";i:122;s:11:\"trend_index\";i:23;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:741;a:16:{s:4:\"tmpl\";i:680;s:2:\"id\";i:8680;s:5:\"title\";s:13:\"single page 4\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.1.jpg\";s:12:\"tmpl_created\";i:1527682896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:316;s:16:\"popularity_index\";i:373;s:11:\"trend_index\";i:190;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:742;a:16:{s:4:\"tmpl\";i:681;s:2:\"id\";i:8681;s:5:\"title\";s:13:\"single page 5\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.5.jpg\";s:12:\"tmpl_created\";i:1527682969;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:317;s:16:\"popularity_index\";i:287;s:11:\"trend_index\";i:218;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:743;a:16:{s:4:\"tmpl\";i:682;s:2:\"id\";i:8682;s:5:\"title\";s:13:\"single page 6\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.4.jpg\";s:12:\"tmpl_created\";i:1527683026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:318;s:16:\"popularity_index\";i:412;s:11:\"trend_index\";i:227;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:744;a:16:{s:4:\"tmpl\";i:683;s:2:\"id\";i:8703;s:5:\"title\";s:13:\"single page 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.7.jpg\";s:12:\"tmpl_created\";i:1527683072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:319;s:16:\"popularity_index\";i:401;s:11:\"trend_index\";i:316;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:745;a:16:{s:4:\"tmpl\";i:640;s:2:\"id\";i:7650;s:5:\"title\";s:13:\"Single Post 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_1_v2.jpg\";s:12:\"tmpl_created\";i:1521557736;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:320;s:16:\"popularity_index\";i:119;s:11:\"trend_index\";i:266;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:746;a:16:{s:4:\"tmpl\";i:639;s:2:\"id\";i:7663;s:5:\"title\";s:13:\"Single Post 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_2_v2.jpg\";s:12:\"tmpl_created\";i:1521547761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:321;s:16:\"popularity_index\";i:50;s:11:\"trend_index\";i:139;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:747;a:16:{s:4:\"tmpl\";i:705;s:2:\"id\";i:9296;s:5:\"title\";s:13:\"Single Post 3\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3002.jpg\";s:12:\"tmpl_created\";i:1537440673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:322;s:16:\"popularity_index\";i:213;s:11:\"trend_index\";i:204;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:748;a:16:{s:4:\"tmpl\";i:704;s:2:\"id\";i:9301;s:5:\"title\";s:13:\"Single Post 4\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3003.jpg\";s:12:\"tmpl_created\";i:1537440661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:323;s:16:\"popularity_index\";i:248;s:11:\"trend_index\";i:336;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:749;a:16:{s:4:\"tmpl\";i:706;s:2:\"id\";i:9313;s:5:\"title\";s:13:\"Single Post 5\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3001.jpg\";s:12:\"tmpl_created\";i:1537440798;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:324;s:16:\"popularity_index\";i:197;s:11:\"trend_index\";i:177;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:750;a:16:{s:4:\"tmpl\";i:707;s:2:\"id\";i:9343;s:5:\"title\";s:13:\"Single Post 6\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3004.jpg\";s:12:\"tmpl_created\";i:1537443531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:325;s:16:\"popularity_index\";i:228;s:11:\"trend_index\";i:279;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:751;a:16:{s:4:\"tmpl\";i:708;s:2:\"id\";i:9349;s:5:\"title\";s:13:\"Single Post 7\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3005.jpg\";s:12:\"tmpl_created\";i:1537443903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:326;s:16:\"popularity_index\";i:158;s:11:\"trend_index\";i:253;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:752;a:16:{s:4:\"tmpl\";i:697;s:2:\"id\";i:9174;s:5:\"title\";s:17:\"single product 01\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product01_350.png\";s:12:\"tmpl_created\";i:1532950125;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:327;s:16:\"popularity_index\";i:31;s:11:\"trend_index\";i:6;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:753;a:16:{s:4:\"tmpl\";i:698;s:2:\"id\";i:9178;s:5:\"title\";s:17:\"single product 02\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product02_350new.png\";s:12:\"tmpl_created\";i:1532951997;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:328;s:16:\"popularity_index\";i:66;s:11:\"trend_index\";i:42;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:754;a:16:{s:4:\"tmpl\";i:699;s:2:\"id\";i:9180;s:5:\"title\";s:17:\"single product 03\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product03_350.png\";s:12:\"tmpl_created\";i:1532952302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:329;s:16:\"popularity_index\";i:108;s:11:\"trend_index\";i:66;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:755;a:16:{s:4:\"tmpl\";i:700;s:2:\"id\";i:9182;s:5:\"title\";s:17:\"single product 04\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product040_350.png\";s:12:\"tmpl_created\";i:1532952606;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:330;s:16:\"popularity_index\";i:123;s:11:\"trend_index\";i:81;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:756;a:16:{s:4:\"tmpl\";i:555;s:2:\"id\";i:6114;s:5:\"title\";s:7:\"Stats 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_6.png\";s:12:\"tmpl_created\";i:1520443659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:331;s:16:\"popularity_index\";i:434;s:11:\"trend_index\";i:692;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:757;a:16:{s:4:\"tmpl\";i:562;s:2:\"id\";i:6178;s:5:\"title\";s:8:\"Stats 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_2.png\";s:12:\"tmpl_created\";i:1520443676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:332;s:16:\"popularity_index\";i:435;s:11:\"trend_index\";i:755;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:758;a:16:{s:4:\"tmpl\";i:561;s:2:\"id\";i:6170;s:5:\"title\";s:8:\"Stats 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_2.png\";s:12:\"tmpl_created\";i:1520443670;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:333;s:16:\"popularity_index\";i:366;s:11:\"trend_index\";i:552;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:759;a:16:{s:4:\"tmpl\";i:563;s:2:\"id\";i:6186;s:5:\"title\";s:8:\"Stats 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_3.png\";s:12:\"tmpl_created\";i:1520443678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:334;s:16:\"popularity_index\";i:569;s:11:\"trend_index\";i:811;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:760;a:16:{s:4:\"tmpl\";i:550;s:2:\"id\";i:6071;s:5:\"title\";s:8:\"Stats 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_3.png\";s:12:\"tmpl_created\";i:1520443649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:335;s:16:\"popularity_index\";i:168;s:11:\"trend_index\";i:328;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:761;a:16:{s:4:\"tmpl\";i:554;s:2:\"id\";i:6106;s:5:\"title\";s:7:\"Stats 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_6.png\";s:12:\"tmpl_created\";i:1520443657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:336;s:16:\"popularity_index\";i:361;s:11:\"trend_index\";i:784;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:762;a:16:{s:4:\"tmpl\";i:551;s:2:\"id\";i:6079;s:5:\"title\";s:7:\"Stats 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_4.png\";s:12:\"tmpl_created\";i:1520443651;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:337;s:16:\"popularity_index\";i:284;s:11:\"trend_index\";i:385;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:763;a:16:{s:4:\"tmpl\";i:552;s:2:\"id\";i:6089;s:5:\"title\";s:7:\"Stats 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_5.png\";s:12:\"tmpl_created\";i:1520443653;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:338;s:16:\"popularity_index\";i:205;s:11:\"trend_index\";i:452;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:764;a:16:{s:4:\"tmpl\";i:549;s:2:\"id\";i:6063;s:5:\"title\";s:7:\"Stats 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_2.png\";s:12:\"tmpl_created\";i:1520443647;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:339;s:16:\"popularity_index\";i:181;s:11:\"trend_index\";i:419;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:765;a:16:{s:4:\"tmpl\";i:553;s:2:\"id\";i:6097;s:5:\"title\";s:7:\"Stats 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_2.png\";s:12:\"tmpl_created\";i:1520443655;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:340;s:16:\"popularity_index\";i:264;s:11:\"trend_index\";i:492;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:766;a:16:{s:4:\"tmpl\";i:538;s:2:\"id\";i:5956;s:5:\"title\";s:7:\"Stats 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_1.png\";s:12:\"tmpl_created\";i:1520443623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:341;s:16:\"popularity_index\";i:532;s:11:\"trend_index\";i:541;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:767;a:16:{s:4:\"tmpl\";i:537;s:2:\"id\";i:5947;s:5:\"title\";s:7:\"Stats 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_1.png\";s:12:\"tmpl_created\";i:1520443621;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:342;s:16:\"popularity_index\";i:368;s:11:\"trend_index\";i:531;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:768;a:16:{s:4:\"tmpl\";i:559;s:2:\"id\";i:6152;s:5:\"title\";s:7:\"Stats 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_1.png\";s:12:\"tmpl_created\";i:1520443666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:343;s:16:\"popularity_index\";i:272;s:11:\"trend_index\";i:557;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:769;a:16:{s:4:\"tmpl\";i:469;s:2:\"id\";i:5157;s:5:\"title\";s:11:\"Subscribe 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_1.png\";s:12:\"tmpl_created\";i:1520443448;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:344;s:16:\"popularity_index\";i:340;s:11:\"trend_index\";i:293;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:770;a:16:{s:4:\"tmpl\";i:472;s:2:\"id\";i:5181;s:5:\"title\";s:11:\"Subscribe 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_2.png\";s:12:\"tmpl_created\";i:1520443454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/subscribe-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:345;s:16:\"popularity_index\";i:451;s:11:\"trend_index\";i:340;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:771;a:16:{s:4:\"tmpl\";i:470;s:2:\"id\";i:5165;s:5:\"title\";s:11:\"Subscribe 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_1.png\";s:12:\"tmpl_created\";i:1520443450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:346;s:16:\"popularity_index\";i:520;s:11:\"trend_index\";i:620;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:772;a:16:{s:4:\"tmpl\";i:477;s:2:\"id\";i:5222;s:5:\"title\";s:11:\"Subscribe 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_3.png\";s:12:\"tmpl_created\";i:1520443464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:347;s:16:\"popularity_index\";i:397;s:11:\"trend_index\";i:427;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:773;a:16:{s:4:\"tmpl\";i:471;s:2:\"id\";i:5173;s:5:\"title\";s:11:\"Subscribe 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_2.png\";s:12:\"tmpl_created\";i:1520443452;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:348;s:16:\"popularity_index\";i:261;s:11:\"trend_index\";i:237;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:774;a:16:{s:4:\"tmpl\";i:465;s:2:\"id\";i:4801;s:5:\"title\";s:7:\"Team 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_8.png\";s:12:\"tmpl_created\";i:1520443369;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:349;s:16:\"popularity_index\";i:332;s:11:\"trend_index\";i:188;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:775;a:16:{s:4:\"tmpl\";i:462;s:2:\"id\";i:4770;s:5:\"title\";s:7:\"Team 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_6.png\";s:12:\"tmpl_created\";i:1520443364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/team-12-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:350;s:16:\"popularity_index\";i:432;s:11:\"trend_index\";i:488;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:776;a:16:{s:4:\"tmpl\";i:458;s:2:\"id\";i:4727;s:5:\"title\";s:7:\"Team 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_2.png\";s:12:\"tmpl_created\";i:1520443356;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:351;s:16:\"popularity_index\";i:375;s:11:\"trend_index\";i:345;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:777;a:16:{s:4:\"tmpl\";i:543;s:2:\"id\";i:5999;s:5:\"title\";s:7:\"Team 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_10.png\";s:12:\"tmpl_created\";i:1520443634;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:352;s:16:\"popularity_index\";i:110;s:11:\"trend_index\";i:318;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:778;a:16:{s:4:\"tmpl\";i:455;s:2:\"id\";i:4698;s:5:\"title\";s:7:\"Team 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_1.png\";s:12:\"tmpl_created\";i:1520443350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:353;s:16:\"popularity_index\";i:449;s:11:\"trend_index\";i:410;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:779;a:16:{s:4:\"tmpl\";i:463;s:2:\"id\";i:4781;s:5:\"title\";s:7:\"Team 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_7.png\";s:12:\"tmpl_created\";i:1520443365;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:354;s:16:\"popularity_index\";i:267;s:11:\"trend_index\";i:330;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:780;a:16:{s:4:\"tmpl\";i:558;s:2:\"id\";i:6144;s:5:\"title\";s:7:\"Team 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_11.png\";s:12:\"tmpl_created\";i:1520443664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:355;s:16:\"popularity_index\";i:166;s:11:\"trend_index\";i:365;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:781;a:16:{s:4:\"tmpl\";i:464;s:2:\"id\";i:4793;s:5:\"title\";s:7:\"Team 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_8.png\";s:12:\"tmpl_created\";i:1520443367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:356;s:16:\"popularity_index\";i:207;s:11:\"trend_index\";i:173;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:782;a:16:{s:4:\"tmpl\";i:466;s:2:\"id\";i:4809;s:5:\"title\";s:7:\"Team 19\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_9.png\";s:12:\"tmpl_created\";i:1520443371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:357;s:16:\"popularity_index\";i:300;s:11:\"trend_index\";i:465;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:783;a:16:{s:4:\"tmpl\";i:459;s:2:\"id\";i:4736;s:5:\"title\";s:7:\"Team 20\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_4.png\";s:12:\"tmpl_created\";i:1520443358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:358;s:16:\"popularity_index\";i:144;s:11:\"trend_index\";i:159;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:784;a:16:{s:4:\"tmpl\";i:467;s:2:\"id\";i:4818;s:5:\"title\";s:7:\"Team 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_9.png\";s:12:\"tmpl_created\";i:1520443373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:359;s:16:\"popularity_index\";i:515;s:11:\"trend_index\";i:606;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:785;a:16:{s:4:\"tmpl\";i:461;s:2:\"id\";i:4759;s:5:\"title\";s:7:\"Team 22\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_5.png\";s:12:\"tmpl_created\";i:1520443362;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:360;s:16:\"popularity_index\";i:299;s:11:\"trend_index\";i:376;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:786;a:16:{s:4:\"tmpl\";i:460;s:2:\"id\";i:4746;s:5:\"title\";s:7:\"Team 23\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_4.png\";s:12:\"tmpl_created\";i:1520443360;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:361;s:16:\"popularity_index\";i:282;s:11:\"trend_index\";i:378;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:787;a:16:{s:4:\"tmpl\";i:457;s:2:\"id\";i:4718;s:5:\"title\";s:6:\"Team 4\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_3.png\";s:12:\"tmpl_created\";i:1520443354;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:362;s:16:\"popularity_index\";i:192;s:11:\"trend_index\";i:359;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:788;a:16:{s:4:\"tmpl\";i:456;s:2:\"id\";i:4706;s:5:\"title\";s:6:\"Team 5\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_2.png\";s:12:\"tmpl_created\";i:1520443352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:363;s:16:\"popularity_index\";i:149;s:11:\"trend_index\";i:299;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:789;a:16:{s:4:\"tmpl\";i:544;s:2:\"id\";i:6008;s:5:\"title\";s:6:\"Team 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_10.png\";s:12:\"tmpl_created\";i:1520443636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:364;s:16:\"popularity_index\";i:75;s:11:\"trend_index\";i:277;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:790;a:16:{s:4:\"tmpl\";i:454;s:2:\"id\";i:4690;s:5:\"title\";s:6:\"Team 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_1.png\";s:12:\"tmpl_created\";i:1520443348;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:365;s:16:\"popularity_index\";i:243;s:11:\"trend_index\";i:402;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:791;a:16:{s:4:\"tmpl\";i:586;s:2:\"id\";i:4921;s:5:\"title\";s:14:\"Testimonial 10\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_5.png\";s:12:\"tmpl_created\";i:1520520562;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:366;s:16:\"popularity_index\";i:219;s:11:\"trend_index\";i:198;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:792;a:16:{s:4:\"tmpl\";i:582;s:2:\"id\";i:4889;s:5:\"title\";s:14:\"Testimonial 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-2.jpg\";s:12:\"tmpl_created\";i:1520520556;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:367;s:16:\"popularity_index\";i:557;s:11:\"trend_index\";i:522;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:793;a:16:{s:4:\"tmpl\";i:580;s:2:\"id\";i:4871;s:5:\"title\";s:14:\"Testimonial 12\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_3.png\";s:12:\"tmpl_created\";i:1520520552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:368;s:16:\"popularity_index\";i:262;s:11:\"trend_index\";i:391;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:794;a:16:{s:4:\"tmpl\";i:578;s:2:\"id\";i:4854;s:5:\"title\";s:14:\"Testimonial 13\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_2.png\";s:12:\"tmpl_created\";i:1520520549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:369;s:16:\"popularity_index\";i:637;s:11:\"trend_index\";i:741;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:795;a:16:{s:4:\"tmpl\";i:595;s:2:\"id\";i:4995;s:5:\"title\";s:14:\"Testimonial 14\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_12.png\";s:12:\"tmpl_created\";i:1520520577;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:370;s:16:\"popularity_index\";i:400;s:11:\"trend_index\";i:411;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:796;a:16:{s:4:\"tmpl\";i:593;s:2:\"id\";i:4979;s:5:\"title\";s:14:\"Testimonial 15\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_10.png\";s:12:\"tmpl_created\";i:1520520573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:371;s:16:\"popularity_index\";i:568;s:11:\"trend_index\";i:544;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:797;a:16:{s:4:\"tmpl\";i:576;s:2:\"id\";i:4835;s:5:\"title\";s:14:\"Testimonial 16\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_1.png\";s:12:\"tmpl_created\";i:1520520546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:372;s:16:\"popularity_index\";i:399;s:11:\"trend_index\";i:401;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:798;a:16:{s:4:\"tmpl\";i:594;s:2:\"id\";i:4987;s:5:\"title\";s:14:\"Testimonial 17\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_12-1.png\";s:12:\"tmpl_created\";i:1520520575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:373;s:16:\"popularity_index\";i:159;s:11:\"trend_index\";i:199;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:799;a:16:{s:4:\"tmpl\";i:577;s:2:\"id\";i:4843;s:5:\"title\";s:14:\"Testimonial 18\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_2.png\";s:12:\"tmpl_created\";i:1520520548;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:374;s:16:\"popularity_index\";i:457;s:11:\"trend_index\";i:780;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:800;a:16:{s:4:\"tmpl\";i:579;s:2:\"id\";i:4863;s:5:\"title\";s:14:\"Testimonial 19\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_3.png\";s:12:\"tmpl_created\";i:1520520551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:375;s:16:\"popularity_index\";i:245;s:11:\"trend_index\";i:599;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:801;a:16:{s:4:\"tmpl\";i:581;s:2:\"id\";i:4880;s:5:\"title\";s:14:\"Testimonial 20\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-1.jpg\";s:12:\"tmpl_created\";i:1520520554;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:376;s:16:\"popularity_index\";i:446;s:11:\"trend_index\";i:653;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:802;a:16:{s:4:\"tmpl\";i:583;s:2:\"id\";i:4897;s:5:\"title\";s:14:\"Testimonial 21\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_5.png\";s:12:\"tmpl_created\";i:1520520557;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:377;s:16:\"popularity_index\";i:78;s:11:\"trend_index\";i:289;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:803;a:16:{s:4:\"tmpl\";i:584;s:2:\"id\";i:4905;s:5:\"title\";s:14:\"Testimonial 22\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_6.png\";s:12:\"tmpl_created\";i:1520520559;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:378;s:16:\"popularity_index\";i:121;s:11:\"trend_index\";i:221;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:804;a:16:{s:4:\"tmpl\";i:585;s:2:\"id\";i:4913;s:5:\"title\";s:14:\"Testimonial 23\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_7.png\";s:12:\"tmpl_created\";i:1520520561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:379;s:16:\"popularity_index\";i:247;s:11:\"trend_index\";i:566;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:805;a:16:{s:4:\"tmpl\";i:575;s:2:\"id\";i:4826;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_1.png\";s:12:\"tmpl_created\";i:1520520544;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-24-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:380;s:16:\"popularity_index\";i:256;s:11:\"trend_index\";i:395;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:806;a:16:{s:4:\"tmpl\";i:587;s:2:\"id\";i:4929;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_8.png\";s:12:\"tmpl_created\";i:1520520564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:381;s:16:\"popularity_index\";i:49;s:11:\"trend_index\";i:206;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:807;a:16:{s:4:\"tmpl\";i:591;s:2:\"id\";i:4963;s:5:\"title\";s:14:\"Testimonial 25\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_10.png\";s:12:\"tmpl_created\";i:1520520570;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-25-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:382;s:16:\"popularity_index\";i:417;s:11:\"trend_index\";i:546;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:808;a:16:{s:4:\"tmpl\";i:592;s:2:\"id\";i:4971;s:5:\"title\";s:14:\"Testimonial 26\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_11.png\";s:12:\"tmpl_created\";i:1520520572;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:383;s:16:\"popularity_index\";i:649;s:11:\"trend_index\";i:718;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:809;a:16:{s:4:\"tmpl\";i:589;s:2:\"id\";i:4947;s:5:\"title\";s:14:\"Testimonial 27\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_9.png\";s:12:\"tmpl_created\";i:1520520567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:384;s:16:\"popularity_index\";i:221;s:11:\"trend_index\";i:496;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:810;a:16:{s:4:\"tmpl\";i:590;s:2:\"id\";i:4955;s:5:\"title\";s:14:\"Testimonial 29\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_9.png\";s:12:\"tmpl_created\";i:1520520569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:385;s:16:\"popularity_index\";i:378;s:11:\"trend_index\";i:695;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:811;a:16:{s:4:\"tmpl\";i:588;s:2:\"id\";i:4939;s:5:\"title\";s:13:\"Testimonial 9\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_8.png\";s:12:\"tmpl_created\";i:1520520565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/testimonial-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:386;s:16:\"popularity_index\";i:103;s:11:\"trend_index\";i:341;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:812;a:16:{s:4:\"tmpl\";i:928;s:2:\"id\";i:12509;s:5:\"title\";s:18:\"Travel &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/404.png\";s:12:\"tmpl_created\";i:1575960378;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/travel-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:387;s:16:\"popularity_index\";i:747;s:11:\"trend_index\";i:712;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:813;a:16:{s:4:\"tmpl\";i:929;s:2:\"id\";i:12516;s:5:\"title\";s:27:\"Travel &#8211; Archive Blog\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Archiv_s.png\";s:12:\"tmpl_created\";i:1575960387;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/travel-archive-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:388;s:16:\"popularity_index\";i:496;s:11:\"trend_index\";i:487;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:814;a:16:{s:4:\"tmpl\";i:927;s:2:\"id\";i:12500;s:5:\"title\";s:21:\"Travel &#8211; Header\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-travel-and-tours.png\";s:12:\"tmpl_created\";i:1575960371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:389;s:16:\"popularity_index\";i:443;s:11:\"trend_index\";i:434;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:815;a:16:{s:4:\"tmpl\";i:930;s:2:\"id\";i:12524;s:5:\"title\";s:26:\"Travel &#8211; Single Post\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Post_s.png\";s:12:\"tmpl_created\";i:1575960397;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:390;s:16:\"popularity_index\";i:591;s:11:\"trend_index\";i:663;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:816;a:16:{s:4:\"tmpl\";i:931;s:2:\"id\";i:12531;s:5:\"title\";s:31:\"Travel &#8211; Single Post Tour\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Tour_s.png\";s:12:\"tmpl_created\";i:1575960404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/travel-single-post-tour/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:391;s:16:\"popularity_index\";i:630;s:11:\"trend_index\";i:548;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:817;a:16:{s:4:\"tmpl\";i:926;s:2:\"id\";i:12492;s:5:\"title\";s:14:\"Travel -Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Footer_s.png\";s:12:\"tmpl_created\";i:1575960358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:392;s:16:\"popularity_index\";i:453;s:11:\"trend_index\";i:322;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:818;a:16:{s:4:\"tmpl\";i:1068;s:2:\"id\";i:15498;s:5:\"title\";s:23:\"Travel Blog &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/11/404.jpg\";s:12:\"tmpl_created\";i:1606215636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/travel-blog-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:23:\"[\"404\",\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:393;s:16:\"popularity_index\";i:749;s:11:\"trend_index\";i:759;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:819;a:16:{s:4:\"tmpl\";i:1069;s:2:\"id\";i:15508;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-1-350.jpg\";s:12:\"tmpl_created\";i:1606215649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:394;s:16:\"popularity_index\";i:659;s:11:\"trend_index\";i:468;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:820;a:16:{s:4:\"tmpl\";i:1070;s:2:\"id\";i:15518;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-2-350-Copy.jpg\";s:12:\"tmpl_created\";i:1606215663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:395;s:16:\"popularity_index\";i:688;s:11:\"trend_index\";i:431;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:821;a:16:{s:4:\"tmpl\";i:1071;s:2:\"id\";i:15528;s:5:\"title\";s:26:\"Travel Blog &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Footer.jpg\";s:12:\"tmpl_created\";i:1606215673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:26:\"[\"Blog\",\"Footer\",\"Travel\"]\";s:10:\"menu_order\";i:396;s:16:\"popularity_index\";i:656;s:11:\"trend_index\";i:377;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:822;a:16:{s:4:\"tmpl\";i:1067;s:2:\"id\";i:15536;s:5:\"title\";s:26:\"Travel Blog &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Header.jpg\";s:12:\"tmpl_created\";i:1606215625;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:26:\"[\"Blog\",\"Header\",\"Travel\"]\";s:10:\"menu_order\";i:397;s:16:\"popularity_index\";i:584;s:11:\"trend_index\";i:228;s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:823;a:16:{s:4:\"tmpl\";i:1072;s:2:\"id\";i:15545;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-1-350.jpg\";s:12:\"tmpl_created\";i:1606215684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:398;s:16:\"popularity_index\";i:669;s:11:\"trend_index\";i:482;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:824;a:16:{s:4:\"tmpl\";i:1066;s:2:\"id\";i:15556;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 2\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-2-350.jpg\";s:12:\"tmpl_created\";i:1606215613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:399;s:16:\"popularity_index\";i:652;s:11:\"trend_index\";i:454;s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}}}", "no");
INSERT INTO `wpky_options` VALUES("161", "elementor_remote_info_feed_data", "a:3:{i:0;a:5:{s:5:\"title\";s:82:\"Introducing Loop Builder: Design Every Aspect of your Post and Product Collections\";s:7:\"excerpt\";s:306:\"Elementor 3.8 includes some highly anticipated features, including the first phase of the Loop Builder, with additional functions and capabilities added in upcoming versions. With the Loop Builder, you gain more creative freedom to design your posts and listings, so you can design it any way you’d like.\";s:7:\"created\";i:1667397460;s:5:\"badge\";s:3:\"New\";s:3:\"url\";s:128:\"https://elementor.com/blog/introducing-the-loop-builder/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:1;a:5:{s:5:\"title\";s:47:\"The Complete Guide To Design Project Management\";s:7:\"excerpt\";s:347:\"Successful web creators understand that design and systems must work side by side for people to deliver high-quality work without burning out. In this guide, we will explore the practical steps you can take to shut down time-wasting activities and frustration. Say no to scope creep and build a no-fail framework that can pivot for the unexpected.\";s:7:\"created\";i:1655196509;s:5:\"badge\";s:0:\"\";s:3:\"url\";s:131:\"https://elementor.com/blog/design-project-management-guide/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:2;a:5:{s:5:\"title\";s:30:\"Elementor Websites of May 2022\";s:7:\"excerpt\";s:315:\"May’s marvelous showcase offers a taste of new design trends and reimagined retro themes that will activate your artistic mind. Hear the sound of music festivals, awaken the entrepreneurial spirit, rediscover the joy of childhood learning, glide through skateparks, and rejuvenate with a splash of the Aegean Sea.\";s:7:\"created\";i:1655101192;s:5:\"badge\";s:0:\"\";s:3:\"url\";s:117:\"https://elementor.com/blog/showcase-may-2022/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}}", "no");
INSERT INTO `wpky_options` VALUES("165", "ocean-extra-version", "1.6.2", "yes");
INSERT INTO `wpky_options` VALUES("167", "widget_ocean_about_me", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("168", "widget_ocean_contact_info", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("169", "widget_ocean_custom_links", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("170", "widget_ocean_custom_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("171", "widget_ocean_facebook", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("172", "widget_ocean_flickr", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("173", "widget_ocean_instagram", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("174", "widget_ocean_mailchimp", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("175", "widget_ocean_recent_posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("176", "widget_ocean_social", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("177", "widget_ocean_social_share", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("178", "widget_ocean_tags", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("179", "widget_ocean_twitter", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("180", "widget_ocean_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("181", "widget_ocean_custom_header_logo", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("182", "widget_ocean_custom_header_nav", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("184", "ocean_extra_installed_time", "1556908269", "yes");
INSERT INTO `wpky_options` VALUES("187", "2nd_notice", "second-time", "yes");
INSERT INTO `wpky_options` VALUES("200", "ocean-demo-import-version", "1.0.10", "yes");
INSERT INTO `wpky_options` VALUES("205", "ocean-sticky-header-version", "1.1.12", "yes");
INSERT INTO `wpky_options` VALUES("217", "ocean-woo-popup-version", "1.0.7", "yes");
INSERT INTO `wpky_options` VALUES("226", "ocean-cookie-notice-version", "1.0.5", "yes");
INSERT INTO `wpky_options` VALUES("227", "ocean-footer-callout-version", "1.0.14", "yes");
INSERT INTO `wpky_options` VALUES("228", "ocean-full-screen-version", "1.0.7", "yes");
INSERT INTO `wpky_options` VALUES("229", "ocean-hooks-version", "1.1.3", "yes");
INSERT INTO `wpky_options` VALUES("230", "ocean-instagram-version", "1.0.5", "yes");
INSERT INTO `wpky_options` VALUES("231", "ocean-popup-login-version", "1.0.6", "yes");
INSERT INTO `wpky_options` VALUES("232", "ocean-portfolio-version", "1.2.0", "yes");
INSERT INTO `wpky_options` VALUES("233", "ocean-pro-demos-version", "1.1.0", "yes");
INSERT INTO `wpky_options` VALUES("234", "ocean-white-label-version", "1.0.6", "yes");
INSERT INTO `wpky_options` VALUES("235", "wpforms_version", "1.7.2.2", "yes");
INSERT INTO `wpky_options` VALUES("236", "wpforms_activated", "a:1:{s:3:\"pro\";i:1556909132;}", "yes");
INSERT INTO `wpky_options` VALUES("239", "elementor_pro_version", "3.8.1", "yes");
INSERT INTO `wpky_options` VALUES("240", "widget_wpforms-widget", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("241", "widget_elementor-library", "a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:11:\"template_id\";s:4:\"1291\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("242", "_elementor_pro_installed_time", "1556909133", "yes");
INSERT INTO `wpky_options` VALUES("243", "_amn_wpforms_to_check", "1576867980", "yes");
INSERT INTO `wpky_options` VALUES("248", "oceanwp_bundle_key", "5dafaa61daec79d18128ef4d5b6844d5", "yes");
INSERT INTO `wpky_options` VALUES("249", "oceanwp_activated_licenses_by_bundle", "a:11:{i:0;s:33:\"oceanwp_cookie_notice_license_key\";i:1;s:34:\"oceanwp_footer_callout_license_key\";i:2;s:31:\"oceanwp_full_screen_license_key\";i:3;s:31:\"oceanwp_ocean_hooks_license_key\";i:4;s:29:\"oceanwp_instagram_license_key\";i:5;s:31:\"oceanwp_popup_login_license_key\";i:6;s:29:\"oceanwp_portfolio_license_key\";i:7;s:29:\"oceanwp_pro_demos_license_key\";i:8;s:33:\"oceanwp_sticky_header_license_key\";i:9;s:31:\"oceanwp_white_label_license_key\";i:10;s:29:\"oceanwp_woo_popup_license_key\";}", "yes");
INSERT INTO `wpky_options` VALUES("250", "oceanwp_bundle_status", "valid", "yes");
INSERT INTO `wpky_options` VALUES("251", "oceanwp_bundle_expires", "2020-04-29 23:59:59", "yes");
INSERT INTO `wpky_options` VALUES("252", "oceanwp_options", "a:1:{s:8:\"licenses\";a:12:{s:33:\"oceanwp_cookie_notice_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:37:\"oceanwp_elementor_widgets_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:34:\"oceanwp_footer_callout_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:31:\"oceanwp_full_screen_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:31:\"oceanwp_ocean_hooks_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:29:\"oceanwp_instagram_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:31:\"oceanwp_popup_login_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:29:\"oceanwp_portfolio_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:29:\"oceanwp_pro_demos_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:33:\"oceanwp_sticky_header_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:31:\"oceanwp_white_label_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:29:\"oceanwp_woo_popup_license_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";}}", "yes");
INSERT INTO `wpky_options` VALUES("253", "oceanwp_cookie_notice_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("254", "edd_license_details", "a:12:{s:21:\"oceanwp_cookie_notice\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:13:\"Cookie Notice\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"4b64a8e52c9d2d1e863b997f6e8a80d8\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:22:\"oceanwp_footer_callout\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:14:\"Footer Callout\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"e8846676040384b38b546b014f7911b6\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:19:\"oceanwp_full_screen\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:11:\"Full Screen\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"07d10c8996675cb566cd36b650cdebac\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:19:\"oceanwp_ocean_hooks\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:11:\"Ocean Hooks\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"8dd98b6a3a6d89f00da63e23569a698c\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:17:\"oceanwp_instagram\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:9:\"Instagram\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"093a07a8f57a21033ed0c3e7a4769b84\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:19:\"oceanwp_popup_login\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:11:\"Popup Login\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"e2c324957c66504151808f87f1071f12\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:17:\"oceanwp_portfolio\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:9:\"Portfolio\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"89cc8906a48588842ebcf3c1f07851f0\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:17:\"oceanwp_pro_demos\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:9:\"Pro Demos\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"59cb37083cf9579164300b9a419c104f\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:21:\"oceanwp_sticky_header\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:13:\"Sticky Header\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"bb490101706d8c51d51869585cd3a1f9\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:19:\"oceanwp_white_label\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:11:\"White Label\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"1cd7b631378fc14ba65840d3b8ff906c\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:17:\"oceanwp_woo_popup\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:9:\"Woo Popup\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"410bef9d59f5e74226a318f73922a63c\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}s:25:\"oceanwp_elementor_widgets\";O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:17:\"Elementor Widgets\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:4;s:7:\"expires\";s:19:\"2020-04-29 23:59:59\";s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"checksum\";s:32:\"e712a90cc7fd9724cb5ebbd530f58105\";s:10:\"payment_id\";i:431487;s:13:\"customer_name\";s:12:\"Justin Corsa\";s:14:\"customer_email\";s:15:\"sales@enter.net\";s:8:\"price_id\";s:1:\"3\";}}", "yes");
INSERT INTO `wpky_options` VALUES("255", "oceanwp_footer_callout_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("256", "oceanwp_full_screen_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("257", "oceanwp_ocean_hooks_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("258", "oceanwp_instagram_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("259", "oceanwp_popup_login_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("260", "oceanwp_portfolio_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("261", "oceanwp_pro_demos_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("262", "oceanwp_sticky_header_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("263", "oceanwp_white_label_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("264", "oceanwp_woo_popup_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("272", "ocean-elementor-widgets-version", "1.1.9", "yes");
INSERT INTO `wpky_options` VALUES("273", "oceanwp_elementor_widgets_license_active", "valid", "yes");
INSERT INTO `wpky_options` VALUES("286", "wordfence_version", "7.4.7", "yes");
INSERT INTO `wpky_options` VALUES("287", "wordfence_case", "1", "yes");
INSERT INTO `wpky_options` VALUES("288", "wordfence_installed", "1", "yes");
INSERT INTO `wpky_options` VALUES("289", "wordfenceActivated", "0", "yes");
INSERT INTO `wpky_options` VALUES("290", "wf_plugin_act_error", "", "yes");
INSERT INTO `wpky_options` VALUES("302", "duplicate_page_options", "a:4:{s:21:\"duplicate_post_status\";s:5:\"draft\";s:23:\"duplicate_post_redirect\";s:7:\"to_list\";s:21:\"duplicate_post_suffix\";s:0:\"\";s:21:\"duplicate_post_editor\";s:7:\"classic\";}", "yes");
INSERT INTO `wpky_options` VALUES("369", "wpforms_license", "a:5:{s:3:\"key\";s:32:\"35c8d7dc6803a7a23d1295db47ad34fc\";s:4:\"type\";s:5:\"elite\";s:10:\"is_expired\";b:0;s:11:\"is_disabled\";b:0;s:10:\"is_invalid\";b:0;}", "yes");
INSERT INTO `wpky_options` VALUES("372", "wpforms_license_updates", "1668187350", "yes");
INSERT INTO `wpky_options` VALUES("373", "wpforms_challenge", "a:11:{s:6:\"status\";s:7:\"skipped\";s:4:\"step\";i:0;s:7:\"user_id\";i:1;s:7:\"form_id\";i:0;s:10:\"embed_page\";i:0;s:16:\"started_date_gmt\";s:19:\"2019-05-07 13:33:06\";s:17:\"finished_date_gmt\";s:19:\"2019-05-07 13:33:06\";s:13:\"seconds_spent\";i:0;s:12:\"seconds_left\";i:300;s:13:\"feedback_sent\";b:0;s:19:\"feedback_contact_me\";b:0;}", "yes");
INSERT INTO `wpky_options` VALUES("378", "elementor_log", "a:42:{s:32:\"970f09600925d7f5cce286f9c7598cb3\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor Pro/Upgrades - _v_3_1_0_reviews Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:50:\"Elementor Pro/Upgrades - _v_3_1_0_reviews Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"acaf93fc2f267fa5dd4ca835257dbb30\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:61:\"Elementor Pro/Upgrades - _v_3_1_0_testimonial_carousel Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:61:\"Elementor Pro/Upgrades - _v_3_1_0_testimonial_carousel Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"58e4576aa32e1064cf24bdec9b77e756\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:63:\"Elementor Pro/Upgrades - _v_3_1_0_testimonial_carousel Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:63:\"Elementor Pro/Upgrades - _v_3_1_0_testimonial_carousel Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"cf078fd74b1b974f254f54d38cc063b3\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor Pro/Upgrades - _v_3_1_0_slides Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:47:\"Elementor Pro/Upgrades - _v_3_1_0_slides Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"189e7e255d901c3c70db3200d5540d93\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:49:\"Elementor Pro/Upgrades - _v_3_1_0_slides Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:49:\"Elementor Pro/Upgrades - _v_3_1_0_slides Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"2a6664cd5fd0ca4d4fd53abaee07d41d\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:54:\"Elementor Pro/Upgrades - _v_3_3_0_nav_menu_icon Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:54:\"Elementor Pro/Upgrades - _v_3_3_0_nav_menu_icon Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"4ed0d8352e4f4a14826f78e1e93f8023\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:56:\"Elementor Pro/Upgrades - _v_3_3_0_nav_menu_icon Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:56:\"Elementor Pro/Upgrades - _v_3_3_0_nav_menu_icon Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"1fbbb449eea34876cb0f1ac2a657ed8e\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:51\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:58:\"Elementor Pro/Upgrades - _v_3_3_0_recalc_usage_data Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:51\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:58:\"Elementor Pro/Upgrades - _v_3_3_0_recalc_usage_data Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"6cf8662a243c0ac1fbf1f840e480b275\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:60:\"Elementor Pro/Upgrades - _v_3_3_0_recalc_usage_data Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:60:\"Elementor Pro/Upgrades - _v_3_3_0_recalc_usage_data Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"65d4dfad9d2f81b4a56f5558bd28c3b7\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:51:\"Elementor Pro/Upgrades - _v_3_5_0_price_list Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:51:\"Elementor Pro/Upgrades - _v_3_5_0_price_list Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"1819c0dcbe76becb4b7e0ce94a8e6f15\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:53:\"Elementor Pro/Upgrades - _v_3_5_0_price_list Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:53:\"Elementor Pro/Upgrades - _v_3_5_0_price_list Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"81f55280f4757285fa038780d45d6e48\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-03-03 20:59:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.0.8\";s:2:\"to\";s:5:\"3.6.3\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 20:59:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.0.8\";s:2:\"to\";s:5:\"3.6.3\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"a3c4449f8b28555544bf9b27a4453a3c\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:4:\"7407\";s:7:\"\0*\0file\";s:112:\"https://test.ajdembrosky.com/wp-content/plugins/ocean-elementor-widgets/assets/js/blog-carousel.min.js?ver=5.9.1\";s:7:\"\0*\0line\";s:1:\"1\";s:7:\"\0*\0date\";s:19:\"2022-03-03 21:44:53\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:30:\"this.elements.carousel is null\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:10;s:14:\"\0*\0times_dates\";a:10:{i:0;s:19:\"2022-03-03 21:44:53\";i:1;s:19:\"2022-11-10 17:44:56\";i:2;s:19:\"2022-11-10 18:08:15\";i:3;s:19:\"2022-11-10 18:08:28\";i:4;s:19:\"2022-11-10 18:08:41\";i:5;s:19:\"2022-11-10 18:08:43\";i:6;s:19:\"2022-11-10 18:08:48\";i:7;s:19:\"2022-11-10 18:08:54\";i:8;s:19:\"2022-11-10 18:08:56\";i:9;s:19:\"2022-11-10 18:32:24\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1646343893\";s:7:\"message\";s:30:\"this.elements.carousel is null\";s:3:\"url\";s:112:\"https://test.ajdembrosky.com/wp-content/plugins/ocean-elementor-widgets/assets/js/blog-carousel.min.js?ver=5.9.1\";s:4:\"line\";s:1:\"1\";s:6:\"column\";s:4:\"7407\";}}s:32:\"1009e8f3e5dd5eb0323ac2b5ee7d6d9b\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"20179\";s:7:\"\0*\0file\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.5.6\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2022-03-03 21:45:16\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:54:\"An invalid argument supplied as multiple control value\";s:7:\"\0*\0meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:75:\"Element `oew-blog-carousel` got as `items` value. Expected array or object.\";}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2022-03-03 21:45:16\";i:1;s:19:\"2022-11-10 17:44:56\";}s:7:\"\0*\0args\";a:8:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1646343916\";s:7:\"message\";s:54:\"An invalid argument supplied as multiple control value\";s:3:\"url\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.5.6\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"20179\";s:12:\"customFields\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:75:\"Element `oew-blog-carousel` got as `items` value. Expected array or object.\";}s:4:\"meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:75:\"Element `oew-blog-carousel` got as `items` value. Expected array or object.\";}}}s:32:\"ee4bd4e9743687ad74fd0374689386fb\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"46556\";s:7:\"\0*\0file\";s:116:\"https://test.ajdembrosky.com/wp-content/plugins/elementor-pro/assets/js/preloaded-elements-handlers.min.js?ver=3.6.3\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2022-03-03 21:53:35\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:25:\"this.gallery is undefined\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-03-03 21:53:35\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1646344415\";s:7:\"message\";s:25:\"this.gallery is undefined\";s:3:\"url\";s:116:\"https://test.ajdembrosky.com/wp-content/plugins/elementor-pro/assets/js/preloaded-elements-handlers.min.js?ver=3.6.3\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"46556\";}}s:32:\"e895335f3eefcee7086d8f2f44e24012\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:10\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.6.3\";s:2:\"to\";s:5:\"3.8.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:10\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.6.3\";s:2:\"to\";s:5:\"3.8.1\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"3325d31609d91520be4d16b2a5df6a39\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:11\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:11\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"0e1615926b522e7535552f09d9768e02\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:11\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:48:\"Elementor Pro/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:11\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:48:\"Elementor Pro/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"35b1317bff2956f9e553f32cd15f3a88\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:11\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor Pro/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:11\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:50:\"Elementor Pro/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"e3a913ed1b3ae96198750600021ef3d5\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:11\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:87:\"Elementor Pro/Upgrades - _v_3_7_2_woocommerce_rename_related_to_related_products Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:11\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:87:\"Elementor Pro/Upgrades - _v_3_7_2_woocommerce_rename_related_to_related_products Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"c1d119f35d02379f927ec4a90ce0da63\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:11\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:89:\"Elementor Pro/Upgrades - _v_3_7_2_woocommerce_rename_related_to_related_products Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:11\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:89:\"Elementor Pro/Upgrades - _v_3_7_2_woocommerce_rename_related_to_related_products Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"afcfc0e1997350208511701997b343fa\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:12\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.6.3\";s:2:\"to\";s:5:\"3.8.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:12\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.6.3\";s:2:\"to\";s:5:\"3.8.1\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"614d776336c8b95d7d3328af7bdf0271\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:13\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.6.3\";s:2:\"to\";s:5:\"3.8.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:13\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:13:\"Elementor Pro\";s:4:\"from\";s:5:\"3.6.3\";s:2:\"to\";s:5:\"3.8.1\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"7f793118af25929a558d1a7025778182\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"9aeb2b9004a96520520e4a38e1de63ff\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"Elementor/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"Elementor/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"684569c3c6ae5f95024ee79e5f0c54f9\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:46:\"Elementor/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:46:\"Elementor/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"897b7612728ab82ead78626fe71ffb9b\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:70:\"Elementor/Upgrades - _v_3_2_0_migrate_breakpoints_to_new_system Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:70:\"Elementor/Upgrades - _v_3_2_0_migrate_breakpoints_to_new_system Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"4d4cc39184c32aa2e3b9f8e5e845e217\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:72:\"Elementor/Upgrades - _v_3_2_0_migrate_breakpoints_to_new_system Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:72:\"Elementor/Upgrades - _v_3_2_0_migrate_breakpoints_to_new_system Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"035065a51de20e0d5e31b7d78a8f4148\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:81:\"Elementor/Upgrades - _v_3_4_8_fix_font_awesome_default_value_from_1_to_yes Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:81:\"Elementor/Upgrades - _v_3_4_8_fix_font_awesome_default_value_from_1_to_yes Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"5107b7ee74dc47be11f3d97f8e33fa01\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:83:\"Elementor/Upgrades - _v_3_4_8_fix_font_awesome_default_value_from_1_to_yes Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:83:\"Elementor/Upgrades - _v_3_4_8_fix_font_awesome_default_value_from_1_to_yes Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"1660256414ef01c69ceea31d3af14029\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:64:\"Elementor/Upgrades - _v_3_5_0_remove_old_elementor_scheme Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:64:\"Elementor/Upgrades - _v_3_5_0_remove_old_elementor_scheme Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"3970b6a162ccfa8eccd43f875b762289\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:66:\"Elementor/Upgrades - _v_3_5_0_remove_old_elementor_scheme Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:66:\"Elementor/Upgrades - _v_3_5_0_remove_old_elementor_scheme Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"a948370732bcfae90721e19649ecd5da\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2022-11-10 17:24:23\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:5:\"3.5.6\";s:2:\"to\";s:5:\"3.8.0\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:24:23\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:9:\"Elementor\";s:4:\"from\";s:5:\"3.5.6\";s:2:\"to\";s:5:\"3.8.0\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"8cb1f4b40ebb85b2a47f9826be6ca953\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"51816\";s:7:\"\0*\0file\";s:225:\"https://test.ajdembrosky.com/wp-admin/load-scripts.php?c=0&loadchunk_0=underscore,jquery-core,jquery-migrate,backbone,jquery-ui-core,jquery-ui-mouse,wp-api-request,regenerator-runtime,wp-polyfill,wp-&loadchunk_1=hooks&ver=6.1\";s:7:\"\0*\0line\";s:1:\"4\";s:7:\"\0*\0date\";s:19:\"2022-11-10 17:33:19\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:14:\"a is undefined\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:4;s:14:\"\0*\0times_dates\";a:4:{i:0;s:19:\"2022-11-10 17:33:19\";i:1;s:19:\"2022-11-10 17:57:45\";i:2;s:19:\"2022-11-10 18:39:48\";i:3;s:19:\"2022-11-10 18:40:20\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1668101599\";s:7:\"message\";s:14:\"a is undefined\";s:3:\"url\";s:225:\"https://test.ajdembrosky.com/wp-admin/load-scripts.php?c=0&loadchunk_0=underscore,jquery-core,jquery-migrate,backbone,jquery-ui-core,jquery-ui-mouse,wp-api-request,regenerator-runtime,wp-polyfill,wp-&loadchunk_1=hooks&ver=6.1\";s:4:\"line\";s:1:\"4\";s:6:\"column\";s:5:\"51816\";}}s:32:\"98f522236c1094c4544131a9c5868540\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"14029\";s:7:\"\0*\0file\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.8.0\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2022-11-10 17:45:14\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:54:\"An invalid argument supplied as multiple control value\";s:7:\"\0*\0meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:66:\"Element `undefined` got as `icon` value. Expected array or object.\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:45:14\";}s:7:\"\0*\0args\";a:8:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1668102314\";s:7:\"message\";s:54:\"An invalid argument supplied as multiple control value\";s:3:\"url\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.8.0\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"14029\";s:12:\"customFields\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:66:\"Element `undefined` got as `icon` value. Expected array or object.\";}s:4:\"meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:66:\"Element `undefined` got as `icon` value. Expected array or object.\";}}}s:32:\"07267ffaebb4671ed05b12ac9f7e6f32\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"14029\";s:7:\"\0*\0file\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.8.0\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2022-11-10 17:55:49\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:54:\"An invalid argument supplied as multiple control value\";s:7:\"\0*\0meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:76:\"Element `oew-info-box` got as `button_icon` value. Expected array or object.\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 17:55:49\";}s:7:\"\0*\0args\";a:8:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1668102949\";s:7:\"message\";s:54:\"An invalid argument supplied as multiple control value\";s:3:\"url\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.8.0\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"14029\";s:12:\"customFields\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:76:\"Element `oew-info-box` got as `button_icon` value. Expected array or object.\";}s:4:\"meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:76:\"Element `oew-info-box` got as `button_icon` value. Expected array or object.\";}}}s:32:\"09af28f0e425b883b5b29507e7ed12da\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"14029\";s:7:\"\0*\0file\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.8.0\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2022-11-10 18:26:04\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:54:\"An invalid argument supplied as multiple control value\";s:7:\"\0*\0meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:69:\"Element `oew-info-box` got as `icon` value. Expected array or object.\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 18:26:04\";}s:7:\"\0*\0args\";a:8:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1668104764\";s:7:\"message\";s:54:\"An invalid argument supplied as multiple control value\";s:3:\"url\";s:99:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor-modules.min.js?ver=3.8.0\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"14029\";s:12:\"customFields\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:69:\"Element `oew-info-box` got as `icon` value. Expected array or object.\";}s:4:\"meta\";a:2:{s:8:\"category\";s:18:\"InvalidElementData\";s:3:\"tag\";s:69:\"Element `oew-info-box` got as `icon` value. Expected array or object.\";}}}s:32:\"2cc3fadf832176ee6086ee0cb2692535\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:115:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:7:\"\0*\0line\";i:171;s:7:\"\0*\0date\";s:19:\"2022-11-10 18:26:49\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:21:\"Undefined index: data\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 18:26:49\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:21:\"Undefined index: data\";s:4:\"file\";s:115:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:4:\"line\";i:171;s:5:\"trace\";b:1;}}s:32:\"19c849a10830a4712fe1e9b6c4aaf452\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:132:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php\";s:7:\"\0*\0line\";i:42;s:7:\"\0*\0date\";s:19:\"2022-11-10 18:28:06\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:19:\"Undefined index: id\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:5:{i:0;a:5:{s:4:\"file\";s:132:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php\";s:4:\"line\";i:42;s:8:\"function\";s:18:\"rest_error_handler\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}i:1;a:5:{s:4:\"file\";s:74:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/widgets.php\";s:4:\"line\";i:1257;s:8:\"function\";s:6:\"widget\";s:5:\"class\";s:57:\"ElementorPro\\Modules\\Library\\WP_Widgets\\Elementor_Library\";s:4:\"type\";s:2:\"->\";}i:2;a:3:{s:4:\"file\";s:123:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/rest-api/endpoints/class-wp-rest-widget-types-controller.php\";s:4:\"line\";i:550;s:8:\"function\";s:10:\"the_widget\";}i:3;a:5:{s:4:\"file\";s:123:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/rest-api/endpoints/class-wp-rest-widget-types-controller.php\";s:4:\"line\";i:520;s:8:\"function\";s:18:\"get_widget_preview\";s:5:\"class\";s:31:\"WP_REST_Widget_Types_Controller\";s:4:\"type\";s:2:\"->\";}i:4;a:5:{s:4:\"file\";s:96:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/rest-api/class-wp-rest-server.php\";s:4:\"line\";i:1171;s:8:\"function\";s:16:\"encode_form_data\";s:5:\"class\";s:31:\"WP_REST_Widget_Types_Controller\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 18:28:06\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:19:\"Undefined index: id\";s:4:\"file\";s:132:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php\";s:4:\"line\";i:42;s:5:\"trace\";b:1;}}s:32:\"1c35425c72480965925d629d3b84735c\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:132:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php\";s:7:\"\0*\0line\";i:42;s:7:\"\0*\0date\";s:19:\"2022-11-10 18:28:07\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:19:\"Undefined index: id\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:5:{i:0;a:5:{s:4:\"file\";s:132:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php\";s:4:\"line\";i:42;s:8:\"function\";s:18:\"rest_error_handler\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}i:1;a:5:{s:4:\"file\";s:74:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/widgets.php\";s:4:\"line\";i:1257;s:8:\"function\";s:6:\"widget\";s:5:\"class\";s:57:\"ElementorPro\\Modules\\Library\\WP_Widgets\\Elementor_Library\";s:4:\"type\";s:2:\"->\";}i:2;a:3:{s:4:\"file\";s:87:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/blocks/legacy-widget.php\";s:4:\"line\";i:51;s:8:\"function\";s:10:\"the_widget\";}i:3;a:3:{s:4:\"file\";s:86:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/class-wp-block-type.php\";s:4:\"line\";i:398;s:8:\"function\";s:31:\"render_block_core_legacy_widget\";}i:4;a:5:{s:4:\"file\";s:123:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes/rest-api/endpoints/class-wp-rest-widget-types-controller.php\";s:4:\"line\";i:646;s:8:\"function\";s:6:\"render\";s:5:\"class\";s:13:\"WP_Block_Type\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 18:28:07\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:19:\"Undefined index: id\";s:4:\"file\";s:132:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php\";s:4:\"line\";i:42;s:5:\"trace\";b:1;}}s:32:\"1f3f7f521382974dd61eff7a8148ee9e\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"32806\";s:7:\"\0*\0file\";s:93:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/frontend.min.js?ver=3.8.0\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2022-11-10 18:28:08\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:38:\"elementorFrontendConfig is not defined\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2022-11-10 18:28:08\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1668104888\";s:7:\"message\";s:38:\"elementorFrontendConfig is not defined\";s:3:\"url\";s:93:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/frontend.min.js?ver=3.8.0\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"32806\";}}s:32:\"e41c14a3adb4072b53aa1bbdcf0b1df4\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:7:\"1061528\";s:7:\"\0*\0file\";s:91:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.8.0\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2022-11-10 18:31:57\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:9:\"$ is null\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2022-11-10 18:31:57\";i:1;s:19:\"2022-11-10 18:35:34\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1668105117\";s:7:\"message\";s:9:\"$ is null\";s:3:\"url\";s:91:\"https://test.ajdembrosky.com/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.8.0\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:7:\"1061528\";}}}", "no");
INSERT INTO `wpky_options` VALUES("524", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("660", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:17:\"webteam@enter.net\";s:7:\"version\";s:5:\"5.9.5\";s:9:\"timestamp\";i:1668100947;}", "no");
INSERT INTO `wpky_options` VALUES("865", "elementor_fonts_manager_font_types", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("866", "elementor_fonts_manager_fonts", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("870", "elementor_pro_theme_builder_conditions", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("1108", "wordfence_syncAttackDataAttempts", "0", "no");
INSERT INTO `wpky_options` VALUES("1109", "wordfence_syncingAttackData", "0", "no");
INSERT INTO `wpky_options` VALUES("1110", "wordfence_lastSyncAttackData", "1577137788", "no");
INSERT INTO `wpky_options` VALUES("1324", "elementor_load_fa4_shim", "yes", "yes");
INSERT INTO `wpky_options` VALUES("1527", "elementor_custom_icon_sets_config", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("1693", "wpforms_version_upgraded_from", "1.7.8", "yes");
INSERT INTO `wpky_options` VALUES("1700", "_elementor_general_settings", "a:2:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"global_image_lightbox\";s:3:\"yes\";}", "yes");
INSERT INTO `wpky_options` VALUES("1701", "_elementor_settings_update_time", "1668102848", "yes");
INSERT INTO `wpky_options` VALUES("1702", "elementor_cpt_support", "a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:7:\"reviews\";}", "yes");
INSERT INTO `wpky_options` VALUES("1703", "elementor_disable_color_schemes", "yes", "yes");
INSERT INTO `wpky_options` VALUES("1704", "elementor_disable_typography_schemes", "yes", "yes");
INSERT INTO `wpky_options` VALUES("1705", "elementor_allow_tracking", "yes", "yes");
INSERT INTO `wpky_options` VALUES("1706", "elementor_default_generic_fonts", "Sans-serif", "yes");
INSERT INTO `wpky_options` VALUES("1707", "elementor_container_width", "", "yes");
INSERT INTO `wpky_options` VALUES("1708", "elementor_space_between_widgets", "", "yes");
INSERT INTO `wpky_options` VALUES("1709", "elementor_stretched_section_container", "", "yes");
INSERT INTO `wpky_options` VALUES("1710", "elementor_page_title_selector", "", "yes");
INSERT INTO `wpky_options` VALUES("1711", "elementor_viewport_lg", "", "yes");
INSERT INTO `wpky_options` VALUES("1713", "elementor_viewport_md", "", "yes");
INSERT INTO `wpky_options` VALUES("1714", "elementor_global_image_lightbox", "yes", "yes");
INSERT INTO `wpky_options` VALUES("1715", "elementor_pro_recaptcha_site_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1716", "elementor_pro_recaptcha_secret_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1717", "elementor_pro_recaptcha_v3_site_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1718", "elementor_pro_recaptcha_v3_secret_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1719", "elementor_pro_recaptcha_v3_threshold", "0.5", "yes");
INSERT INTO `wpky_options` VALUES("1720", "elementor_pro_facebook_app_id", "", "yes");
INSERT INTO `wpky_options` VALUES("1721", "elementor_pro_mailchimp_api_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1722", "elementor_validate_api_data", "", "yes");
INSERT INTO `wpky_options` VALUES("1723", "elementor_pro_drip_api_token", "", "yes");
INSERT INTO `wpky_options` VALUES("1724", "elementor_pro_activecampaign_api_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1725", "elementor_pro_activecampaign_api_url", "", "yes");
INSERT INTO `wpky_options` VALUES("1726", "elementor_pro_getresponse_api_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1727", "elementor_pro_convertkit_api_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1728", "elementor_pro_mailerlite_api_key", "", "yes");
INSERT INTO `wpky_options` VALUES("1729", "elementor_typekit-kit-id", "", "yes");
INSERT INTO `wpky_options` VALUES("1730", "elementor_font_awesome_pro_kit_id", "ad346e902a", "yes");
INSERT INTO `wpky_options` VALUES("1731", "elementor_css_print_method", "external", "yes");
INSERT INTO `wpky_options` VALUES("1732", "elementor_editor_break_lines", "", "yes");
INSERT INTO `wpky_options` VALUES("1733", "elementor_edit_buttons", "", "yes");
INSERT INTO `wpky_options` VALUES("1734", "elementor_allow_svg", "1", "yes");
INSERT INTO `wpky_options` VALUES("1984", "fs_active_plugins", "O:8:\"stdClass\":3:{s:7:\"plugins\";a:1:{s:29:\"ocean-extra/includes/freemius\";O:8:\"stdClass\":4:{s:7:\"version\";s:7:\"2.5.0.1\";s:4:\"type\";s:6:\"plugin\";s:9:\"timestamp\";i:1646341132;s:11:\"plugin_path\";s:27:\"ocean-extra/ocean-extra.php\";}}s:7:\"abspath\";s:51:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/\";s:6:\"newest\";O:8:\"stdClass\":5:{s:11:\"plugin_path\";s:27:\"ocean-extra/ocean-extra.php\";s:8:\"sdk_path\";s:29:\"ocean-extra/includes/freemius\";s:7:\"version\";s:7:\"2.5.0.1\";s:13:\"in_activation\";b:0;s:9:\"timestamp\";i:1668101132;}}", "yes");
INSERT INTO `wpky_options` VALUES("1985", "fs_debug_mode", "", "yes");
INSERT INTO `wpky_options` VALUES("1986", "fs_accounts", "a:21:{s:21:\"id_slug_type_path_map\";a:15:{i:3752;a:3:{s:4:\"slug\";s:7:\"oceanwp\";s:4:\"type\";s:5:\"theme\";s:4:\"path\";s:21:\"oceanwp/functions.php\";}i:3757;a:3:{s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";}i:3754;a:3:{s:4:\"slug\";s:20:\"ocean-footer-callout\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";}i:3766;a:3:{s:4:\"slug\";s:17:\"ocean-full-screen\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:27:\"ocean-extra/ocean-extra.php\";}i:3758;a:3:{s:4:\"slug\";s:11:\"ocean-hooks\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:27:\"ocean-hooks/ocean-hooks.php\";}i:3763;a:3:{s:4:\"slug\";s:15:\"ocean-instagram\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:27:\"ocean-extra/ocean-extra.php\";}i:3755;a:3:{s:4:\"slug\";s:19:\"ocean-sticky-header\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";}i:3760;a:3:{s:4:\"slug\";s:15:\"ocean-woo-popup\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:27:\"ocean-extra/ocean-extra.php\";}i:3756;a:3:{s:4:\"slug\";s:16:\"ocean-side-panel\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:37:\"ocean-side-panel/ocean-side-panel.php\";}i:3759;a:3:{s:4:\"slug\";s:19:\"ocean-sticky-footer\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:43:\"ocean-sticky-footer/ocean-sticky-footer.php\";}i:3765;a:3:{s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";}i:3764;a:3:{s:4:\"slug\";s:17:\"ocean-popup-login\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:39:\"ocean-popup-login/ocean-popup-login.php\";}i:3761;a:3:{s:4:\"slug\";s:15:\"ocean-portfolio\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:35:\"ocean-portfolio/ocean-portfolio.php\";}i:3797;a:3:{s:4:\"slug\";s:15:\"ocean-pro-demos\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:35:\"ocean-pro-demos/ocean-pro-demos.php\";}i:3762;a:3:{s:4:\"slug\";s:17:\"ocean-white-label\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:39:\"ocean-white-label/ocean-white-label.php\";}}s:10:\"theme_data\";a:1:{s:7:\"oceanwp\";a:24:{s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921326;s:7:\"version\";s:6:\"1.6.10\";}s:21:\"last_license_user_key\";s:32:\"07a04d507c763707d5a01c5ba8e18d0e\";s:20:\"last_license_user_id\";s:7:\"2091203\";s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:21:\"oceanwp/functions.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1588348802;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"3.1.4\";s:14:\"plugin_version\";s:5:\"3.3.6\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"was_plugin_loaded\";b:1;s:15:\"prev_is_premium\";b:0;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1668101070;s:20:\"activation_timestamp\";i:1588348813;s:14:\"sync_timestamp\";i:1668101070;s:22:\"install_sync_timestamp\";i:1668101070;s:15:\"is_whitelabeled\";b:0;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:5:\"1.8.2\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588349697;s:2:\"on\";b:1;}s:21:\"is_plugin_new_install\";b:0;}}s:13:\"file_slug_map\";a:13:{s:7:\"oceanwp\";s:7:\"oceanwp\";s:27:\"ocean-extra/ocean-extra.php\";s:15:\"ocean-woo-popup\";s:37:\"ocean-side-panel/ocean-side-panel.php\";s:16:\"ocean-side-panel\";s:43:\"ocean-sticky-footer/ocean-sticky-footer.php\";s:19:\"ocean-sticky-footer\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";s:19:\"ocean-cookie-notice\";s:39:\"ocean-popup-login/ocean-popup-login.php\";s:17:\"ocean-popup-login\";s:35:\"ocean-portfolio/ocean-portfolio.php\";s:15:\"ocean-portfolio\";s:35:\"ocean-pro-demos/ocean-pro-demos.php\";s:15:\"ocean-pro-demos\";s:39:\"ocean-white-label/ocean-white-label.php\";s:17:\"ocean-white-label\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";s:23:\"ocean-elementor-widgets\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";s:20:\"ocean-footer-callout\";s:27:\"ocean-hooks/ocean-hooks.php\";s:11:\"ocean-hooks\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";s:19:\"ocean-sticky-header\";}s:6:\"themes\";a:1:{s:7:\"oceanwp\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";N;s:5:\"title\";s:7:\"OceanWP\";s:4:\"slug\";s:7:\"oceanwp\";s:12:\"premium_slug\";s:15:\"oceanwp-premium\";s:4:\"type\";s:5:\"theme\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:7:\"oceanwp\";s:7:\"version\";s:5:\"3.3.6\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";s:4:\"3767\";s:17:\"bundle_public_key\";s:32:\"pk_c334eb1ae413deac41e30bf00b9dc\";s:10:\"public_key\";s:32:\"pk_043077b34f20f5e11334af3c12493\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3752\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:9:\"unique_id\";s:32:\"751cef9dccbca21225f7246632317a21\";s:11:\"plugin_data\";a:14:{s:23:\"ocean-elementor-widgets\";a:25:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.1.1\";s:14:\"plugin_version\";s:5:\"2.3.0\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:22:\"install_sync_timestamp\";i:1668101053;s:19:\"keepalive_timestamp\";i:1668101053;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:14:\"sync_timestamp\";i:1668101053;s:30:\"is_extensions_tracking_allowed\";b:0;s:15:\"is_whitelabeled\";b:1;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:5:\"1.1.9\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588360795;s:2:\"on\";b:1;}s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.3.0\";}}s:20:\"ocean-footer-callout\";a:25:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.0.1\";s:14:\"plugin_version\";s:5:\"2.0.4\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1668101054;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:22:\"install_sync_timestamp\";i:1668101054;s:14:\"sync_timestamp\";i:1668101054;s:30:\"is_extensions_tracking_allowed\";b:0;s:15:\"is_whitelabeled\";b:1;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:6:\"1.0.14\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588360795;s:2:\"on\";b:1;}s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.0.4\";}}s:17:\"ocean-full-screen\";a:22:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:27:\"ocean-extra/ocean-extra.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.0.4\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:6:\"1.5.14\";s:14:\"plugin_version\";s:5:\"1.6.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1588360796;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:122.5499999999999971578290569595992565155029296875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2020-04-29 23:59:59\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:6:\"1.5.14\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.0.4\";s:9:\"timestamp\";i:1566921424;s:2:\"on\";b:1;}s:14:\"sync_timestamp\";i:1588360796;s:22:\"install_sync_timestamp\";i:1588360796;}s:11:\"ocean-hooks\";a:25:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:27:\"ocean-hooks/ocean-hooks.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.0.0\";s:14:\"plugin_version\";s:5:\"2.0.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1668101054;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:22:\"install_sync_timestamp\";i:1668101054;s:30:\"is_extensions_tracking_allowed\";b:0;s:15:\"is_whitelabeled\";b:1;s:14:\"sync_timestamp\";i:1668101054;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:5:\"1.1.3\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588360795;s:2:\"on\";b:1;}s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.0.2\";}}s:15:\"ocean-instagram\";a:22:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:27:\"ocean-extra/ocean-extra.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.0.4\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:6:\"1.5.14\";s:14:\"plugin_version\";s:5:\"1.6.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1588360796;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:122.5499999999999971578290569595992565155029296875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2020-04-29 23:59:59\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:6:\"1.5.14\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.0.4\";s:9:\"timestamp\";i:1566921424;s:2:\"on\";b:1;}s:14:\"sync_timestamp\";i:1588360796;s:22:\"install_sync_timestamp\";i:1588360796;}s:19:\"ocean-sticky-header\";a:25:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.0.3\";s:14:\"plugin_version\";s:5:\"2.0.5\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1668101058;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:22:\"install_sync_timestamp\";i:1668101058;s:14:\"sync_timestamp\";i:1668101058;s:30:\"is_extensions_tracking_allowed\";b:0;s:15:\"is_whitelabeled\";b:1;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:6:\"1.1.12\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588360795;s:2:\"on\";b:1;}s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.0.5\";}}s:15:\"ocean-woo-popup\";a:22:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:27:\"ocean-extra/ocean-extra.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921327;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.0.4\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:6:\"1.5.14\";s:14:\"plugin_version\";s:5:\"1.6.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:11:\"67.43.12.93\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921327;s:7:\"version\";s:6:\"1.5.14\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1588360797;s:20:\"activation_timestamp\";i:1566921327;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:122.5499999999999971578290569595992565155029296875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2020-04-29 23:59:59\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:6:\"1.5.14\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.0.4\";s:9:\"timestamp\";i:1566921424;s:2:\"on\";b:1;}s:22:\"install_sync_timestamp\";i:1588360797;s:14:\"sync_timestamp\";i:1588360797;}s:16:\"ocean-side-panel\";a:24:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:37:\"ocean-side-panel/ocean-side-panel.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566921753;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.0.3\";s:14:\"plugin_version\";s:5:\"2.0.6\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566921753;s:7:\"version\";s:6:\"1.0.11\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:22:\"install_sync_timestamp\";i:1668101123;s:19:\"keepalive_timestamp\";i:1668101132;s:20:\"activation_timestamp\";i:1566921753;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.0.6\";}s:14:\"sync_timestamp\";i:1668101055;s:15:\"is_whitelabeled\";b:1;s:30:\"is_extensions_tracking_allowed\";b:0;}s:19:\"ocean-sticky-footer\";a:21:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:43:\"ocean-sticky-footer/ocean-sticky-footer.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566922190;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.0.4\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:5:\"1.0.9\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566922190;s:7:\"version\";s:5:\"1.0.9\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:22:\"install_sync_timestamp\";i:1588360887;s:19:\"keepalive_timestamp\";i:1588360887;s:20:\"activation_timestamp\";i:1566922190;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:122.5499999999999971578290569595992565155029296875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2020-04-29 23:59:59\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:16:\"uninstall_reason\";O:8:\"stdClass\":3:{s:2:\"id\";s:2:\"15\";s:4:\"info\";s:0:\"\";s:12:\"is_anonymous\";b:0;}}s:19:\"ocean-cookie-notice\";a:25:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566922371;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.0.3\";s:14:\"plugin_version\";s:5:\"2.0.4\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566922371;s:7:\"version\";s:5:\"1.0.4\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1668101053;s:20:\"activation_timestamp\";i:1566922371;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:22:\"install_sync_timestamp\";i:1668101053;s:30:\"is_extensions_tracking_allowed\";b:0;s:15:\"is_whitelabeled\";b:1;s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.0.4\";}s:14:\"sync_timestamp\";i:1668101053;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:5:\"1.0.5\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588360795;s:2:\"on\";b:1;}}s:17:\"ocean-popup-login\";a:21:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:39:\"ocean-popup-login/ocean-popup-login.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566922371;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.0.4\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:5:\"1.0.6\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566922371;s:7:\"version\";s:5:\"1.0.6\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1588360884;s:20:\"activation_timestamp\";i:1566922371;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:122.5499999999999971578290569595992565155029296875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2020-04-29 23:59:59\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:16:\"uninstall_reason\";O:8:\"stdClass\":3:{s:2:\"id\";s:2:\"15\";s:4:\"info\";s:0:\"\";s:12:\"is_anonymous\";b:0;}s:22:\"install_sync_timestamp\";i:1588360884;}s:15:\"ocean-portfolio\";a:25:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:35:\"ocean-portfolio/ocean-portfolio.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566922371;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:5:\"2.4.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"2.0.6\";s:14:\"plugin_version\";s:5:\"2.1.0\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566922371;s:7:\"version\";s:5:\"1.1.9\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1668101055;s:20:\"activation_timestamp\";i:1566922371;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:393.44999999999998863131622783839702606201171875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2023-04-29 16:09:40\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"2.1.0\";}s:22:\"install_sync_timestamp\";i:1668101055;s:14:\"sync_timestamp\";i:1668101055;s:30:\"is_extensions_tracking_allowed\";b:0;s:15:\"is_whitelabeled\";b:1;s:9:\"sync_cron\";O:8:\"stdClass\":5:{s:7:\"version\";s:5:\"1.2.0\";s:7:\"blog_id\";i:0;s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:9:\"timestamp\";i:1588360795;s:2:\"on\";b:1;}}s:15:\"ocean-pro-demos\";a:20:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:35:\"ocean-pro-demos/ocean-pro-demos.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566922371;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.0.4\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:5:\"1.1.0\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566922371;s:7:\"version\";s:5:\"1.1.0\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1588360886;s:20:\"activation_timestamp\";i:1566922371;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:122.5499999999999971578290569595992565155029296875;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2020-04-29 23:59:59\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:22:\"install_sync_timestamp\";i:1588360886;}s:17:\"ocean-white-label\";a:24:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:39:\"ocean-white-label/ocean-white-label.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1566922371;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:0;s:16:\"sdk_last_version\";s:7:\"2.3.2.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";s:5:\"1.0.5\";s:14:\"plugin_version\";s:5:\"1.0.6\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";b:1;s:4:\"host\";s:17:\"theme.entnet7.com\";s:9:\"server_ip\";s:14:\"216.164.194.10\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1566922371;s:7:\"version\";s:5:\"1.0.5\";}s:15:\"prev_is_premium\";b:1;s:14:\"has_trial_plan\";b:0;s:19:\"keepalive_timestamp\";i:1588360841;s:20:\"activation_timestamp\";i:1566922371;s:13:\"subscriptions\";a:1:{i:0;O:15:\"FS_Subscription\":20:{s:7:\"user_id\";s:7:\"2091203\";s:10:\"install_id\";N;s:7:\"plan_id\";s:4:\"6056\";s:10:\"license_id\";s:6:\"108206\";s:11:\"total_gross\";d:212.849999999999994315658113919198513031005859375;s:16:\"amount_per_cycle\";i:129;s:13:\"billing_cycle\";i:12;s:19:\"outstanding_balance\";i:0;s:15:\"failed_payments\";i:0;s:7:\"gateway\";s:4:\"test\";s:11:\"external_id\";s:18:\"sub_EyYCf5lsCscdwf\";s:10:\"trial_ends\";N;s:12:\"next_payment\";s:19:\"2021-04-29 16:08:53\";s:11:\"canceled_at\";N;s:6:\"vat_id\";N;s:12:\"country_code\";s:2:\"us\";s:2:\"id\";s:5:\"51355\";s:7:\"updated\";s:19:\"2020-04-29 16:08:53\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:30:\"is_extensions_tracking_allowed\";b:1;s:22:\"install_sync_timestamp\";i:1588360841;s:9:\"beta_data\";a:2:{s:7:\"is_beta\";b:0;s:7:\"version\";s:5:\"1.0.6\";}s:15:\"is_whitelabeled\";b:0;s:14:\"sync_timestamp\";i:1588349733;}}s:7:\"plugins\";a:14:{s:23:\"ocean-elementor-widgets\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:23:\"Ocean Elementor Widgets\";s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:12:\"premium_slug\";s:23:\"ocean-elementor-widgets\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";s:7:\"version\";s:5:\"2.3.0\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_25eeed8cddc1b8bede158756886e8\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3757\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:20:\"ocean-footer-callout\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:20:\"Ocean Footer Callout\";s:4:\"slug\";s:20:\"ocean-footer-callout\";s:12:\"premium_slug\";s:20:\"ocean-footer-callout\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";s:7:\"version\";s:5:\"2.0.4\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_c3ff094ed1cbaf287c6f833d3ba09\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3754\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:17:\"ocean-full-screen\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:11:\"Ocean Extra\";s:4:\"slug\";s:17:\"ocean-full-screen\";s:12:\"premium_slug\";s:17:\"ocean-full-screen\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:27:\"ocean-extra/ocean-extra.php\";s:7:\"version\";s:5:\"1.6.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_e0f5fb19e66d3b97f64adb891fae5\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3766\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:11:\"ocean-hooks\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:11:\"Ocean Hooks\";s:4:\"slug\";s:11:\"ocean-hooks\";s:12:\"premium_slug\";s:11:\"ocean-hooks\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:27:\"ocean-hooks/ocean-hooks.php\";s:7:\"version\";s:5:\"2.0.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_bf5672ee85c0032b2b4d7c0a3d244\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3758\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-instagram\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:11:\"Ocean Extra\";s:4:\"slug\";s:15:\"ocean-instagram\";s:12:\"premium_slug\";s:15:\"ocean-instagram\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:27:\"ocean-extra/ocean-extra.php\";s:7:\"version\";s:5:\"1.6.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_60babf307a20c89d435bcd61d54e8\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3763\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:19:\"ocean-sticky-header\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:19:\"Ocean Sticky Header\";s:4:\"slug\";s:19:\"ocean-sticky-header\";s:12:\"premium_slug\";s:19:\"ocean-sticky-header\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";s:7:\"version\";s:5:\"2.0.5\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_21f01f3d0a79bcd65042e3c332188\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3755\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-woo-popup\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:11:\"Ocean Extra\";s:4:\"slug\";s:15:\"ocean-woo-popup\";s:12:\"premium_slug\";s:15:\"ocean-woo-popup\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:27:\"ocean-extra/ocean-extra.php\";s:7:\"version\";s:5:\"1.6.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_9414dbc7719b150c20046f728e994\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3760\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:16:\"ocean-side-panel\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:16:\"Ocean Side Panel\";s:4:\"slug\";s:16:\"ocean-side-panel\";s:12:\"premium_slug\";s:16:\"ocean-side-panel\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:37:\"ocean-side-panel/ocean-side-panel.php\";s:7:\"version\";s:5:\"2.0.6\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_95ab9dabcffc015befcfaf19dd91e\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3756\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:19:\"ocean-sticky-footer\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:19:\"Ocean Sticky Footer\";s:4:\"slug\";s:19:\"ocean-sticky-footer\";s:12:\"premium_slug\";s:19:\"ocean-sticky-footer\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:43:\"ocean-sticky-footer/ocean-sticky-footer.php\";s:7:\"version\";s:5:\"1.0.9\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_5552f1b8d38d0f09df4b2990b57b2\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3759\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:19:\"ocean-cookie-notice\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:19:\"Ocean Cookie Notice\";s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:12:\"premium_slug\";s:19:\"ocean-cookie-notice\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";s:7:\"version\";s:5:\"2.0.4\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_2ebffcd411ce5f21e543822065b7d\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3765\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:17:\"ocean-popup-login\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:17:\"Ocean Popup Login\";s:4:\"slug\";s:17:\"ocean-popup-login\";s:12:\"premium_slug\";s:17:\"ocean-popup-login\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:39:\"ocean-popup-login/ocean-popup-login.php\";s:7:\"version\";s:5:\"1.0.6\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_e0499681c773af2bbac0016bb24ff\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3764\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-portfolio\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:15:\"Ocean Portfolio\";s:4:\"slug\";s:15:\"ocean-portfolio\";s:12:\"premium_slug\";s:15:\"ocean-portfolio\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:35:\"ocean-portfolio/ocean-portfolio.php\";s:7:\"version\";s:5:\"2.1.0\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_d0109c81ea2f48fdfa29c30d9d20b\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3761\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-pro-demos\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:15:\"Ocean Pro Demos\";s:4:\"slug\";s:15:\"ocean-pro-demos\";s:12:\"premium_slug\";s:15:\"ocean-pro-demos\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:35:\"ocean-pro-demos/ocean-pro-demos.php\";s:7:\"version\";s:5:\"1.1.0\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_a34c58ab5e7159d54e88175c1c03f\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3797\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:17:\"ocean-white-label\";O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:17:\"Ocean White Label\";s:4:\"slug\";s:17:\"ocean-white-label\";s:12:\"premium_slug\";s:17:\"ocean-white-label\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:39:\"ocean-white-label/ocean-white-label.php\";s:7:\"version\";s:5:\"1.0.6\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:1;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_c9bb8f8d46af4c19cc2b66105accb\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3762\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:5:\"plans\";a:14:{s:23:\"ocean-elementor-widgets\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1Nw==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3Ng==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowNTozMw==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowNToyMw==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:20:\"ocean-footer-callout\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1NA==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3OQ==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowNzoxMg==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowNzowNA==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:17:\"ocean-full-screen\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2Ng==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA2Nw==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowMDo0OQ==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMDoxNQ==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:11:\"ocean-hooks\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1OA==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:0:\"\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3NQ==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNzoyMDo1NA==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowNDo1Mg==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:15:\"ocean-instagram\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2Mw==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3MA==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowMjozMQ==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMjoyMg==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:19:\"ocean-sticky-header\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1NQ==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3OA==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowNjo0MA==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowNjoyOA==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:15:\"ocean-woo-popup\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2MA==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:0:\"\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3Mw==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNzoyNDowNQ==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMzo1MQ==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:16:\"ocean-side-panel\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1Ng==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:0:\"\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3Nw==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNzoyMTozMA==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowNTo1Ng==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:19:\"ocean-sticky-footer\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1OQ==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3NA==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowNDoyOQ==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowNDoxOA==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:19:\"ocean-cookie-notice\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2NQ==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA2OA==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowMTozMw==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMToxOA==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:17:\"ocean-popup-login\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2NA==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA2OQ==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowMjowNA==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMTo1NA==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:15:\"ocean-portfolio\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2MQ==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3Mg==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowMzoyOA==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMzoxNw==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:15:\"ocean-pro-demos\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc5Nw==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjExNQ==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0xNCAxMjo0MTowMw==\";s:7:\"created\";s:28:\"MjAxOS0wNS0xNCAxMjo0MDowOQ==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:17:\"ocean-white-label\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc2Mg==\";s:4:\"name\";s:4:\"cHJv\";s:5:\"title\";s:4:\"UHJv\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:0:\"\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";s:36:\"aHR0cHM6Ly9kb2NzLm9jZWFud3Aub3JnLw==\";s:13:\"support_forum\";N;s:13:\"support_email\";s:28:\"c3VwcG9ydEBvY2VhbndwLm9yZw==\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:4:\"MQ==\";s:2:\"id\";s:8:\"NjA3MQ==\";s:7:\"updated\";s:28:\"MjAxOS0wNS0wOCAxNTowMjo1Nw==\";s:7:\"created\";s:28:\"MjAxOS0wNS0wOCAxNTowMjo0OA==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}}s:14:\"active_plugins\";O:8:\"stdClass\":3:{s:9:\"timestamp\";i:1646845588;s:3:\"md5\";s:32:\"93f88f82cec542d8d0ec21191c510e87\";s:7:\"plugins\";a:16:{s:23:\"elementor/elementor.php\";a:5:{s:4:\"slug\";s:9:\"elementor\";s:7:\"version\";s:5:\"2.6.8\";s:5:\"title\";s:9:\"Elementor\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:31:\"elementor-pro/elementor-pro.php\";a:5:{s:4:\"slug\";s:13:\"elementor-pro\";s:7:\"version\";s:5:\"2.6.5\";s:5:\"title\";s:13:\"Elementor Pro\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";a:5:{s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:7:\"version\";s:5:\"1.1.9\";s:5:\"title\";s:23:\"Ocean Elementor Widgets\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:27:\"ocean-extra/ocean-extra.php\";a:5:{s:4:\"slug\";s:11:\"ocean-extra\";s:7:\"version\";s:6:\"1.5.14\";s:5:\"title\";s:11:\"Ocean Extra\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:45:\"ocean-footer-callout/ocean-footer-callout.php\";a:5:{s:4:\"slug\";s:20:\"ocean-footer-callout\";s:7:\"version\";s:6:\"1.0.14\";s:5:\"title\";s:20:\"Ocean Footer Callout\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:43:\"ocean-sticky-header/ocean-sticky-header.php\";a:5:{s:4:\"slug\";s:19:\"ocean-sticky-header\";s:7:\"version\";s:6:\"1.1.12\";s:5:\"title\";s:19:\"Ocean Sticky Header\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:19:\"wpforms/wpforms.php\";a:5:{s:4:\"slug\";s:7:\"wpforms\";s:7:\"version\";s:7:\"1.5.4.2\";s:5:\"title\";s:7:\"WPForms\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:37:\"ocean-side-panel/ocean-side-panel.php\";a:13:{s:4:\"Name\";s:16:\"Ocean Side Panel\";s:9:\"PluginURI\";s:47:\"https://oceanwp.org/extension/ocean-side-panel/\";s:7:\"Version\";s:6:\"1.0.11\";s:11:\"Description\";s:63:\"Add a responsive side panel with your preferred widgets inside.\";s:6:\"Author\";s:7:\"OceanWP\";s:9:\"AuthorURI\";s:20:\"https://oceanwp.org/\";s:10:\"TextDomain\";s:16:\"ocean-side-panel\";s:10:\"DomainPath\";s:11:\"/languages/\";s:7:\"Network\";b:0;s:5:\"Title\";s:16:\"Ocean Side Panel\";s:10:\"AuthorName\";s:7:\"OceanWP\";s:9:\"is_active\";b:1;s:4:\"slug\";s:16:\"ocean-side-panel\";}s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";a:5:{s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:7:\"version\";s:5:\"1.0.4\";s:5:\"title\";s:19:\"Ocean Cookie Notice\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}s:35:\"ocean-portfolio/ocean-portfolio.php\";a:15:{s:4:\"Name\";s:15:\"Ocean Portfolio\";s:9:\"PluginURI\";s:46:\"https://oceanwp.org/extension/ocean-portfolio/\";s:7:\"Version\";s:6:\"1.1.10\";s:11:\"Description\";s:75:\"A complete extension to display your portfolio and work in a beautiful way.\";s:6:\"Author\";s:7:\"OceanWP\";s:9:\"AuthorURI\";s:20:\"https://oceanwp.org/\";s:10:\"TextDomain\";s:15:\"ocean-portfolio\";s:10:\"DomainPath\";s:11:\"/languages/\";s:7:\"Network\";b:0;s:10:\"RequiresWP\";s:5:\"4.5.0\";s:11:\"RequiresPHP\";s:0:\"\";s:5:\"Title\";s:15:\"Ocean Portfolio\";s:10:\"AuthorName\";s:7:\"OceanWP\";s:9:\"is_active\";b:1;s:4:\"slug\";s:15:\"ocean-portfolio\";}s:25:\"duplicator/duplicator.php\";a:15:{s:4:\"Name\";s:10:\"Duplicator\";s:9:\"PluginURI\";s:49:\"https://snapcreek.com/duplicator/duplicator-free/\";s:7:\"Version\";s:6:\"1.3.30\";s:11:\"Description\";s:127:\"Migrate and backup a copy of your WordPress files and database. Duplicate and move a site from one location to another quickly.\";s:6:\"Author\";s:10:\"Snap Creek\";s:9:\"AuthorURI\";s:36:\"http://www.snapcreek.com/duplicator/\";s:10:\"TextDomain\";s:10:\"duplicator\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:10:\"RequiresWP\";s:0:\"\";s:11:\"RequiresPHP\";s:0:\"\";s:5:\"Title\";s:10:\"Duplicator\";s:10:\"AuthorName\";s:10:\"Snap Creek\";s:9:\"is_active\";b:1;s:4:\"slug\";s:10:\"duplicator\";}s:23:\"loginizer/loginizer.php\";a:15:{s:4:\"Name\";s:9:\"Loginizer\";s:9:\"PluginURI\";s:46:\"http://wordpress.org/extend/plugins/loginizer/\";s:7:\"Version\";s:5:\"1.4.3\";s:11:\"Description\";s:212:\"Loginizer is a WordPress plugin which helps you fight against bruteforce attack by blocking login for the IP after it reaches maximum retries allowed. You can blacklist or whitelist IPs for login using Loginizer.\";s:6:\"Author\";s:11:\"Raj Kothari\";s:9:\"AuthorURI\";s:24:\"http://www.loginizer.com\";s:10:\"TextDomain\";s:9:\"loginizer\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:10:\"RequiresWP\";s:0:\"\";s:11:\"RequiresPHP\";s:0:\"\";s:5:\"Title\";s:9:\"Loginizer\";s:10:\"AuthorName\";s:11:\"Raj Kothari\";s:9:\"is_active\";b:1;s:4:\"slug\";s:9:\"loginizer\";}s:27:\"ocean-hooks/ocean-hooks.php\";a:15:{s:4:\"Name\";s:11:\"Ocean Hooks\";s:9:\"PluginURI\";s:42:\"https://oceanwp.org/extension/ocean-hooks/\";s:7:\"Version\";s:5:\"1.1.3\";s:11:\"Description\";s:86:\"Add your custom content throughout various areas of OceanWP without using child theme.\";s:6:\"Author\";s:7:\"OceanWP\";s:9:\"AuthorURI\";s:20:\"https://oceanwp.org/\";s:10:\"TextDomain\";s:11:\"ocean-hooks\";s:10:\"DomainPath\";s:11:\"/languages/\";s:7:\"Network\";b:0;s:10:\"RequiresWP\";s:5:\"4.0.0\";s:11:\"RequiresPHP\";s:0:\"\";s:5:\"Title\";s:11:\"Ocean Hooks\";s:10:\"AuthorName\";s:7:\"OceanWP\";s:9:\"is_active\";b:1;s:4:\"slug\";s:11:\"ocean-hooks\";}s:33:\"classic-editor/classic-editor.php\";a:15:{s:4:\"Name\";s:14:\"Classic Editor\";s:9:\"PluginURI\";s:45:\"https://wordpress.org/plugins/classic-editor/\";s:7:\"Version\";s:3:\"1.5\";s:11:\"Description\";s:154:\"Enables the WordPress classic editor and the old-style Edit Post screen with TinyMCE, Meta Boxes, etc. Supports the older plugins that extend this screen.\";s:6:\"Author\";s:22:\"WordPress Contributors\";s:9:\"AuthorURI\";s:44:\"https://github.com/WordPress/classic-editor/\";s:10:\"TextDomain\";s:14:\"classic-editor\";s:10:\"DomainPath\";s:10:\"/languages\";s:7:\"Network\";b:0;s:10:\"RequiresWP\";s:0:\"\";s:11:\"RequiresPHP\";s:0:\"\";s:5:\"Title\";s:14:\"Classic Editor\";s:10:\"AuthorName\";s:22:\"WordPress Contributors\";s:9:\"is_active\";b:1;s:4:\"slug\";s:14:\"classic-editor\";}s:32:\"duplicate-page/duplicatepage.php\";a:15:{s:4:\"Name\";s:14:\"Duplicate Page\";s:9:\"PluginURI\";s:45:\"https://wordpress.org/plugins/duplicate-page/\";s:7:\"Version\";s:3:\"4.2\";s:11:\"Description\";s:59:\"Duplicate Posts, Pages and Custom Posts using single click.\";s:6:\"Author\";s:12:\"mndpsingh287\";s:9:\"AuthorURI\";s:44:\"https://profiles.wordpress.org/mndpsingh287/\";s:10:\"TextDomain\";s:14:\"duplicate-page\";s:10:\"DomainPath\";s:0:\"\";s:7:\"Network\";b:0;s:10:\"RequiresWP\";s:0:\"\";s:11:\"RequiresPHP\";s:0:\"\";s:5:\"Title\";s:14:\"Duplicate Page\";s:10:\"AuthorName\";s:12:\"mndpsingh287\";s:9:\"is_active\";b:1;s:4:\"slug\";s:14:\"duplicate-page\";}s:57:\"global-elementor-buttons/tmx_global_elementor_buttons.php\";a:5:{s:4:\"slug\";s:24:\"global-elementor-buttons\";s:7:\"version\";s:5:\"1.1.0\";s:5:\"title\";s:24:\"Global Elementor Buttons\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}}}s:11:\"all_plugins\";O:8:\"stdClass\":3:{s:9:\"timestamp\";i:1646377995;s:3:\"md5\";s:32:\"b2ae26143913fde6e3ef4d94dbd3b4bb\";s:7:\"plugins\";a:19:{s:33:\"classic-editor/classic-editor.php\";a:6:{s:4:\"slug\";s:14:\"classic-editor\";s:7:\"version\";s:3:\"1.5\";s:5:\"title\";s:14:\"Classic Editor\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"1.6.2\";}s:32:\"duplicate-page/duplicatepage.php\";a:6:{s:4:\"slug\";s:14:\"duplicate-page\";s:7:\"version\";s:3:\"3.9\";s:5:\"title\";s:14:\"Duplicate Page\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"4.4.8\";}s:25:\"duplicator/duplicator.php\";a:6:{s:4:\"slug\";s:10:\"duplicator\";s:7:\"version\";s:6:\"1.3.18\";s:5:\"title\";s:10:\"Duplicator\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"1.4.4\";}s:23:\"elementor/elementor.php\";a:6:{s:4:\"slug\";s:9:\"elementor\";s:7:\"version\";s:5:\"2.6.8\";s:5:\"title\";s:9:\"Elementor\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"3.5.6\";}s:31:\"elementor-pro/elementor-pro.php\";a:6:{s:4:\"slug\";s:13:\"elementor-pro\";s:7:\"version\";s:5:\"2.6.5\";s:5:\"title\";s:13:\"Elementor Pro\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"3.6.3\";}s:23:\"loginizer/loginizer.php\";a:6:{s:4:\"slug\";s:9:\"loginizer\";s:7:\"version\";s:5:\"1.4.2\";s:5:\"title\";s:9:\"Loginizer\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"1.7.0\";}s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";a:6:{s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:7:\"version\";s:5:\"1.1.9\";s:5:\"title\";s:23:\"Ocean Elementor Widgets\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.1.1\";}s:27:\"ocean-extra/ocean-extra.php\";a:6:{s:4:\"slug\";s:11:\"ocean-extra\";s:7:\"version\";s:6:\"1.5.14\";s:5:\"title\";s:11:\"Ocean Extra\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"1.9.4\";}s:45:\"ocean-footer-callout/ocean-footer-callout.php\";a:6:{s:4:\"slug\";s:20:\"ocean-footer-callout\";s:7:\"version\";s:6:\"1.0.14\";s:5:\"title\";s:20:\"Ocean Footer Callout\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.0.1\";}s:27:\"ocean-hooks/ocean-hooks.php\";a:6:{s:4:\"slug\";s:11:\"ocean-hooks\";s:7:\"version\";s:5:\"1.1.3\";s:5:\"title\";s:11:\"Ocean Hooks\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.0.0\";}s:43:\"ocean-sticky-header/ocean-sticky-header.php\";a:6:{s:4:\"slug\";s:19:\"ocean-sticky-header\";s:7:\"version\";s:6:\"1.1.12\";s:5:\"title\";s:19:\"Ocean Sticky Header\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.0.3\";}s:23:\"wordfence/wordfence.php\";a:6:{s:4:\"slug\";s:9:\"wordfence\";s:7:\"version\";s:5:\"7.4.0\";s:5:\"title\";s:18:\"Wordfence Security\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"7.5.8\";}s:19:\"wpforms/wpforms.php\";a:6:{s:4:\"slug\";s:7:\"wpforms\";s:7:\"version\";s:7:\"1.5.4.2\";s:5:\"title\";s:7:\"WPForms\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:7:\"1.7.2.2\";}s:23:\"wp-rocket/wp-rocket.php\";a:6:{s:4:\"slug\";s:9:\"wp-rocket\";s:7:\"version\";s:5:\"3.3.5\";s:5:\"title\";s:9:\"WP Rocket\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"3.5.4\";}s:37:\"ocean-side-panel/ocean-side-panel.php\";a:6:{s:4:\"slug\";s:16:\"ocean-side-panel\";s:7:\"version\";s:6:\"1.0.11\";s:5:\"title\";s:16:\"Ocean Side Panel\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.0.3\";}s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";a:6:{s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:7:\"version\";s:5:\"1.0.4\";s:5:\"title\";s:19:\"Ocean Cookie Notice\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.0.3\";}s:35:\"ocean-portfolio/ocean-portfolio.php\";a:6:{s:4:\"slug\";s:15:\"ocean-portfolio\";s:7:\"version\";s:5:\"1.1.9\";s:5:\"title\";s:15:\"Ocean Portfolio\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:5:\"2.0.6\";}s:30:\"seo-by-rank-math/rank-math.php\";a:6:{s:4:\"slug\";s:16:\"seo-by-rank-math\";s:7:\"version\";s:8:\"1.0.35.2\";s:5:\"title\";s:13:\"Rank Math SEO\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"Version\";s:6:\"1.0.83\";}s:57:\"global-elementor-buttons/tmx_global_elementor_buttons.php\";a:5:{s:4:\"slug\";s:24:\"global-elementor-buttons\";s:7:\"version\";s:5:\"1.1.0\";s:5:\"title\";s:24:\"Global Elementor Buttons\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;}}}s:10:\"all_themes\";O:8:\"stdClass\":3:{s:9:\"timestamp\";i:1646845588;s:3:\"md5\";s:32:\"e4499c8f8496319416624ce7caa20e86\";s:6:\"themes\";a:2:{s:7:\"oceanwp\";a:5:{s:4:\"slug\";s:7:\"oceanwp\";s:7:\"version\";s:5:\"3.1.3\";s:5:\"title\";s:7:\"OceanWP\";s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;}s:26:\"oceanwp-child-theme-master\";a:5:{s:4:\"slug\";s:26:\"oceanwp-child-theme-master\";s:7:\"version\";s:3:\"1.0\";s:5:\"title\";s:33:\"OceanWP Child - Sophisticated One\";s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;}}}s:5:\"sites\";a:14:{s:17:\"ocean-full-screen\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3766\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"1.6.2\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.0.33\";s:7:\"plan_id\";s:4:\"6067\";s:10:\"license_id\";s:6:\"108245\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_440564e1563d0c6116d28b59e0276\";s:10:\"secret_key\";s:32:\"sk_zS1a)Hzgv<[O8jQm]7nG7_N;)d*kw\";s:2:\"id\";s:7:\"2982590\";s:7:\"updated\";s:19:\"2020-05-01 19:19:56\";s:7:\"created\";s:19:\"2019-08-27 15:55:35\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-instagram\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3763\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"1.6.2\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.0.33\";s:7:\"plan_id\";s:4:\"6070\";s:10:\"license_id\";s:6:\"108259\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_e82ee6c00a5692d77de880694344e\";s:10:\"secret_key\";s:32:\"sk_?=3RZ+uBi@:tyDHQ(qm{NvMhyZ4Tm\";s:2:\"id\";s:7:\"2982593\";s:7:\"updated\";s:19:\"2020-05-01 19:19:57\";s:7:\"created\";s:19:\"2019-08-27 15:55:41\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-woo-popup\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3760\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"1.6.2\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.0.33\";s:7:\"plan_id\";s:4:\"6073\";s:10:\"license_id\";s:6:\"108283\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_912bec22d0f95e12fc0a1b825686b\";s:10:\"secret_key\";s:32:\"sk_II4P2;uojTDb]QoeJH^.g%[~>0NBB\";s:2:\"id\";s:7:\"2982595\";s:7:\"updated\";s:19:\"2020-05-01 19:19:57\";s:7:\"created\";s:19:\"2019-08-27 15:55:47\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:19:\"ocean-sticky-footer\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3759\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"1.0.9\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.3.17\";s:7:\"plan_id\";s:4:\"6074\";s:10:\"license_id\";N;s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:1;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_a48ad8f987eb02815c6b80f2e7d47\";s:10:\"secret_key\";s:32:\"sk_R~#e^:j5JlNik{*i;%X2!?3{f%Syy\";s:2:\"id\";s:7:\"2982667\";s:7:\"updated\";s:19:\"2020-05-01 19:20:41\";s:7:\"created\";s:19:\"2019-08-27 16:09:53\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:17:\"ocean-popup-login\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3764\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"1.6.2\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.0.33\";s:7:\"plan_id\";s:4:\"6069\";s:10:\"license_id\";s:6:\"108267\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_734fb5a135494330ca26954d5874f\";s:10:\"secret_key\";s:32:\"sk_$O{$=tn&A$c5XCy<T(cu.)lZ1<0n.\";s:2:\"id\";s:7:\"2982688\";s:7:\"updated\";s:19:\"2020-05-01 19:20:40\";s:7:\"created\";s:19:\"2019-08-27 16:12:55\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-pro-demos\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3797\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"1.1.0\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.0.33\";s:7:\"plan_id\";s:4:\"6115\";s:10:\"license_id\";s:6:\"108337\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_c71a1c7a5b1b8b9584312bfbbeb5c\";s:10:\"secret_key\";s:32:\"sk_1ZcNA75r%zq?)07AucAsg]Zx%0r-[\";s:2:\"id\";s:7:\"2982690\";s:7:\"updated\";s:19:\"2020-05-01 19:20:41\";s:7:\"created\";s:19:\"2019-08-27 16:13:01\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:17:\"ocean-white-label\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:8:\"11961296\";s:9:\"plugin_id\";s:4:\"3762\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://c97238x1.entnet8.com\";s:7:\"version\";s:5:\"1.0.6\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";s:5:\"UTF-8\";s:16:\"platform_version\";s:5:\"5.4.1\";s:11:\"sdk_version\";s:7:\"2.3.2.1\";s:28:\"programming_language_version\";s:6:\"7.0.33\";s:7:\"plan_id\";s:4:\"6071\";s:10:\"license_id\";s:6:\"108281\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";N;s:10:\"public_key\";s:32:\"pk_3f8e5d1f092254b801b9e5d5a33e5\";s:10:\"secret_key\";s:32:\"sk_#3o2OHG0vSTduikx2{6G5)*(qji#w\";s:2:\"id\";s:7:\"2982691\";s:7:\"updated\";s:19:\"2020-05-01 19:19:35\";s:7:\"created\";s:19:\"2019-08-27 16:13:03\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:19:\"ocean-cookie-notice\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3765\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.0.4\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6068\";s:10:\"license_id\";s:6:\"108239\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_b413f9a1542fcb72573635b018025\";s:10:\"secret_key\";s:32:\"sk_kbfB-t7LLGPDqsC{z{EJ1~q[tU*JY\";s:2:\"id\";s:8:\"10533651\";s:7:\"updated\";s:19:\"2022-11-10 17:24:13\";s:7:\"created\";s:19:\"2022-10-20 12:45:15\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:23:\"ocean-elementor-widgets\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3757\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.3.0\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6076\";s:10:\"license_id\";s:6:\"108235\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_cec23d83fdfbd9aa2bd7fda3022a4\";s:10:\"secret_key\";s:32:\"sk_2~1RpJXrp[%l;@QYXSn(?@s-IKt.f\";s:2:\"id\";s:8:\"10533654\";s:7:\"updated\";s:19:\"2022-11-10 17:24:14\";s:7:\"created\";s:19:\"2022-10-20 12:45:17\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:20:\"ocean-footer-callout\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3754\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.0.4\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6079\";s:10:\"license_id\";s:6:\"108243\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_dbe4d232baf518c0456e7416323fa\";s:10:\"secret_key\";s:32:\"sk_UWJh)o<n3A:(jWqK>WlhQ3e)&~E}u\";s:2:\"id\";s:8:\"10661793\";s:7:\"updated\";s:19:\"2022-11-10 17:24:14\";s:7:\"created\";s:19:\"2022-11-10 17:22:55\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:11:\"ocean-hooks\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3758\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.0.2\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6075\";s:10:\"license_id\";s:6:\"108247\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_93c1a308f3daeb1a269372ab83b65\";s:10:\"secret_key\";s:32:\"sk_ytI;gIVI#V{p&Lhn7Gp1[hBJpGhxh\";s:2:\"id\";s:8:\"10661794\";s:7:\"updated\";s:19:\"2022-11-10 17:24:15\";s:7:\"created\";s:19:\"2022-11-10 17:22:57\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:15:\"ocean-portfolio\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3761\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.1.0\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6072\";s:10:\"license_id\";s:6:\"108273\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_62e8ed7a299e5d2b370c703636dd8\";s:10:\"secret_key\";s:32:\"sk_kjbE6U{CT~l{!7Tg><t)9X?v]eK^r\";s:2:\"id\";s:8:\"10661795\";s:7:\"updated\";s:19:\"2022-11-10 17:24:15\";s:7:\"created\";s:19:\"2022-11-10 17:22:59\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:16:\"ocean-side-panel\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3756\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.0.6\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6077\";s:10:\"license_id\";s:6:\"108290\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:0;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_ca064577dff4939f87791611d19f6\";s:10:\"secret_key\";s:32:\"sk_HYVDjfsiYNHs7&[2SiGbV_5~UYnSZ\";s:2:\"id\";s:8:\"10661796\";s:7:\"updated\";s:19:\"2022-11-10 17:25:24\";s:7:\"created\";s:19:\"2022-11-10 17:23:01\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:19:\"ocean-sticky-header\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3755\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"2.0.5\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6078\";s:10:\"license_id\";s:6:\"108277\";s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:1;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_fe3a9a612d985f03e86b35724211b\";s:10:\"secret_key\";s:32:\"sk_mO(jI?kNn@l}1$7*~P}4Vo#;bR2*Z\";s:2:\"id\";s:8:\"10533655\";s:7:\"updated\";s:19:\"2022-11-10 17:24:16\";s:7:\"created\";s:19:\"2022-10-20 12:45:19\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:5:\"users\";a:1:{i:2091203;O:7:\"FS_User\":13:{s:5:\"email\";s:15:\"sales@enter.net\";s:5:\"first\";s:6:\"Justin\";s:4:\"last\";s:5:\"Corsa\";s:11:\"is_verified\";b:1;s:11:\"customer_id\";N;s:5:\"gross\";d:122.5499999999999971578290569595992565155029296875;s:10:\"public_key\";s:32:\"pk_ff84fa39cf03bdbe39ffd3485312c\";s:10:\"secret_key\";s:32:\"sk_>xOJqD>s$l?XJT6wT+b)c!8<%_B-m\";s:2:\"id\";s:7:\"2091203\";s:7:\"updated\";s:19:\"2019-08-19 13:06:10\";s:7:\"created\";s:19:\"2019-08-19 13:06:09\";s:22:\"\0FS_Entity\0_is_updated\";b:0;s:7:\"is_beta\";b:0;}}s:23:\"user_id_license_ids_map\";a:15:{i:3757;a:1:{i:2091203;a:1:{i:0;i:108235;}}i:3754;a:1:{i:2091203;a:2:{i:0;i:771495;i:1;i:108243;}}i:3766;a:1:{i:2091203;a:1:{i:0;i:108245;}}i:3758;a:1:{i:2091203;a:1:{i:0;i:108247;}}i:3763;a:1:{i:2091203;a:1:{i:0;i:108259;}}i:3755;a:1:{i:2091203;a:1:{i:0;i:108277;}}i:3760;a:1:{i:2091203;a:1:{i:0;i:108283;}}i:3756;a:1:{i:2091203;a:2:{i:0;i:766237;i:1;i:108290;}}i:3759;a:1:{i:2091203;a:1:{i:0;i:108278;}}i:3765;a:1:{i:2091203;a:1:{i:0;i:108239;}}i:3764;a:1:{i:2091203;a:1:{i:0;i:108267;}}i:3761;a:1:{i:2091203;a:1:{i:0;i:108273;}}i:3797;a:1:{i:2091203;a:1:{i:0;i:108337;}}i:3762;a:1:{i:2091203;a:1:{i:0;i:108281;}}i:3752;a:1:{i:2091203;a:0:{}}}s:12:\"all_licenses\";a:15:{i:3757;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3757\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6076\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5343\";s:5:\"quota\";N;s:9:\"activated\";i:947;s:15:\"activated_local\";i:152;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108235\";s:7:\"updated\";s:19:\"2022-11-10 16:16:56\";s:7:\"created\";s:19:\"2019-08-19 13:28:25\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3754;a:2:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3754\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6079\";s:16:\"parent_plan_name\";N;s:17:\"parent_plan_title\";N;s:17:\"parent_license_id\";N;s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5287\";s:5:\"quota\";i:1;s:9:\"activated\";i:0;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-09-02 21:00:22\";s:10:\"secret_key\";s:32:\"sk_a02PKt*vj5m?nwz&FOA?;_GvLEES9\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"771495\";s:7:\"updated\";s:19:\"2022-09-01 22:03:41\";s:7:\"created\";s:19:\"2021-09-01 21:00:24\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:1;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3754\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6079\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5345\";s:5:\"quota\";N;s:9:\"activated\";i:814;s:15:\"activated_local\";i:145;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108243\";s:7:\"updated\";s:19:\"2022-11-10 17:22:55\";s:7:\"created\";s:19:\"2019-08-19 13:31:46\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3766;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3766\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6067\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5347\";s:5:\"quota\";N;s:9:\"activated\";i:5;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2020-04-29 23:59:59\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108245\";s:7:\"updated\";s:19:\"2019-08-27 15:55:35\";s:7:\"created\";s:19:\"2019-08-19 13:33:17\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3758;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3758\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6075\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5349\";s:5:\"quota\";N;s:9:\"activated\";i:908;s:15:\"activated_local\";i:144;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108247\";s:7:\"updated\";s:19:\"2022-11-10 17:22:57\";s:7:\"created\";s:19:\"2019-08-19 13:34:26\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3763;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3763\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6070\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5351\";s:5:\"quota\";N;s:9:\"activated\";i:5;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2020-04-29 23:59:59\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108259\";s:7:\"updated\";s:19:\"2019-08-27 15:55:41\";s:7:\"created\";s:19:\"2019-08-19 13:37:00\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3755;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3755\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6078\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5361\";s:5:\"quota\";N;s:9:\"activated\";i:909;s:15:\"activated_local\";i:148;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108277\";s:7:\"updated\";s:19:\"2022-11-10 16:17:05\";s:7:\"created\";s:19:\"2019-08-19 13:41:24\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3760;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3760\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6073\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5365\";s:5:\"quota\";N;s:9:\"activated\";i:37;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2020-04-29 23:59:59\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108283\";s:7:\"updated\";s:19:\"2019-11-26 17:41:52\";s:7:\"created\";s:19:\"2019-08-19 13:44:57\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3756;a:2:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3756\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6077\";s:16:\"parent_plan_name\";N;s:17:\"parent_plan_title\";N;s:17:\"parent_license_id\";N;s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5285\";s:5:\"quota\";i:1;s:9:\"activated\";i:0;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2022-08-22 10:00:00\";s:10:\"secret_key\";s:32:\"sk_gdJ.r%f5fZ@aikBUiIt4U9vi:OC#t\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:0;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"766237\";s:7:\"updated\";s:19:\"2022-03-31 15:05:26\";s:7:\"created\";s:19:\"2021-08-21 05:26:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:1;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3756\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6077\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5357\";s:5:\"quota\";N;s:9:\"activated\";i:47;s:15:\"activated_local\";i:7;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108290\";s:7:\"updated\";s:19:\"2022-11-10 17:23:01\";s:7:\"created\";s:19:\"2019-08-19 13:55:42\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3759;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3759\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6074\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5359\";s:5:\"quota\";N;s:9:\"activated\";i:2;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2020-04-29 23:59:59\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108278\";s:7:\"updated\";s:19:\"2019-08-27 16:09:53\";s:7:\"created\";s:19:\"2019-08-19 13:42:07\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3765;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3765\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6068\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5341\";s:5:\"quota\";N;s:9:\"activated\";i:810;s:15:\"activated_local\";i:147;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108239\";s:7:\"updated\";s:19:\"2022-11-10 16:16:53\";s:7:\"created\";s:19:\"2019-08-19 13:30:24\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3764;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3764\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6069\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5353\";s:5:\"quota\";N;s:9:\"activated\";i:4;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2020-04-29 23:59:59\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108267\";s:7:\"updated\";s:19:\"2019-08-27 16:12:55\";s:7:\"created\";s:19:\"2019-08-19 13:38:34\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3761;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3761\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6072\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5355\";s:5:\"quota\";N;s:9:\"activated\";i:910;s:15:\"activated_local\";i:143;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:1;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108273\";s:7:\"updated\";s:19:\"2022-11-10 17:22:59\";s:7:\"created\";s:19:\"2019-08-19 13:40:17\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3797;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3797\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6115\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5382\";s:5:\"quota\";N;s:9:\"activated\";i:9;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2020-04-29 23:59:59\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108337\";s:7:\"updated\";s:19:\"2019-11-06 16:12:26\";s:7:\"created\";s:19:\"2019-08-19 14:32:38\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3762;a:1:{i:0;O:17:\"FS_Plugin_License\":21:{s:9:\"plugin_id\";s:4:\"3762\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6071\";s:16:\"parent_plan_name\";s:3:\"pro\";s:17:\"parent_plan_title\";s:3:\"Pro\";s:17:\"parent_license_id\";s:6:\"108206\";s:8:\"products\";N;s:10:\"pricing_id\";s:4:\"5363\";s:5:\"quota\";N;s:9:\"activated\";i:84;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2021-04-30 16:08:53\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:15:\"is_whitelabeled\";b:0;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:2:\"id\";s:6:\"108281\";s:7:\"updated\";s:19:\"2020-04-29 16:08:53\";s:7:\"created\";s:19:\"2019-08-19 13:44:01\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}i:3752;a:0:{}}s:13:\"admin_notices\";a:16:{s:23:\"ocean-elementor-widgets\";a:0:{}s:20:\"ocean-footer-callout\";a:0:{}s:17:\"ocean-full-screen\";a:0:{}s:11:\"ocean-hooks\";a:0:{}s:15:\"ocean-instagram\";a:0:{}s:19:\"ocean-sticky-header\";a:0:{}s:15:\"ocean-woo-popup\";a:0:{}s:13:\"oceanwp:theme\";a:0:{}s:16:\"ocean-side-panel\";a:0:{}s:19:\"ocean-sticky-footer\";a:0:{}s:19:\"ocean-cookie-notice\";a:0:{}s:17:\"ocean-popup-login\";a:0:{}s:15:\"ocean-portfolio\";a:0:{}s:15:\"ocean-pro-demos\";a:0:{}s:17:\"ocean-white-label\";a:0:{}s:31:\"global_clone_resolution_notices\";a:0:{}}s:7:\"updates\";a:14:{i:3757;N;i:3754;N;i:3766;N;i:3758;N;i:3763;N;i:3755;N;i:3760;N;i:3752;N;i:3756;N;i:3759;N;i:3765;N;i:3761;N;i:3797;N;i:3762;N;}s:11:\"theme_plans\";a:1:{s:7:\"oceanwp\";a:1:{i:0;O:14:\"FS_Plugin_Plan\":21:{s:9:\"plugin_id\";s:8:\"Mzc1Mg==\";s:4:\"name\";s:8:\"ZnJlZQ==\";s:5:\"title\";s:8:\"RnJlZQ==\";s:11:\"description\";N;s:17:\"is_free_localhost\";s:4:\"MQ==\";s:17:\"is_block_features\";s:4:\"MQ==\";s:12:\"license_type\";s:4:\"MA==\";s:16:\"is_https_support\";s:0:\"\";s:12:\"trial_period\";N;s:23:\"is_require_subscription\";s:0:\"\";s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";s:0:\"\";s:11:\"is_featured\";s:0:\"\";s:2:\"id\";s:8:\"NjA0MA==\";s:7:\"updated\";N;s:7:\"created\";s:28:\"MjAxOS0wNS0wNiAxMTowODoyNw==\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}}s:11:\"theme_sites\";a:1:{s:7:\"oceanwp\";O:7:\"FS_Site\":26:{s:7:\"site_id\";s:9:\"151855849\";s:9:\"plugin_id\";s:4:\"3752\";s:7:\"user_id\";s:7:\"2091203\";s:5:\"title\";s:12:\"Company Name\";s:3:\"url\";s:28:\"https://test.ajdembrosky.com\";s:7:\"version\";s:5:\"3.3.6\";s:8:\"language\";s:5:\"en-US\";s:7:\"charset\";N;s:16:\"platform_version\";s:3:\"6.1\";s:11:\"sdk_version\";s:7:\"2.5.0.1\";s:28:\"programming_language_version\";s:6:\"7.4.32\";s:7:\"plan_id\";s:4:\"6040\";s:10:\"license_id\";N;s:13:\"trial_plan_id\";N;s:10:\"trial_ends\";N;s:10:\"is_premium\";b:0;s:15:\"is_disconnected\";b:0;s:9:\"is_active\";b:1;s:14:\"is_uninstalled\";b:0;s:7:\"is_beta\";b:0;s:10:\"public_key\";s:32:\"pk_a5e39e485e3bd71708f72db3b0403\";s:10:\"secret_key\";s:32:\"sk_MtTauO#aOu^pnDt.<Zw!J.{;D8c}a\";s:2:\"id\";s:8:\"10533656\";s:7:\"updated\";s:19:\"2022-11-10 17:24:25\";s:7:\"created\";s:19:\"2022-10-20 12:45:21\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}s:6:\"addons\";a:1:{i:3752;a:22:{i:0;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:20:\"Ocean Footer Callout\";s:4:\"slug\";s:20:\"ocean-footer-callout\";s:12:\"premium_slug\";s:20:\"ocean-footer-callout\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:7;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3754\";s:11:\"description\";s:280:\"<ul>\n<li>Display/hide the callout on any page/post</li>\n<li>Edit the content and button url on any page/post</li>\n<li>Display the page content on the callout</li>\n<li>Enable/disable the callout button</li>\n<li>Add your own padding top/bottom</li>\n<li>Add your own color</li> </ul>\";s:17:\"short_description\";s:65:\"Add some important information about your company in your footer.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/card_banner.png\";s:15:\"selling_point_0\";s:41:\"Display/hide the callout on any page/post\";s:15:\"selling_point_1\";s:48:\"Edit the content and button url on any page/post\";s:15:\"selling_point_2\";s:39:\"Display the page content on the callout\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/screenshots/2.png\";}s:2:\"id\";s:3:\"821\";s:7:\"updated\";s:19:\"2019-08-04 06:53:40\";s:7:\"created\";s:19:\"2019-05-16 04:54:10\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_c3ff094ed1cbaf287c6f833d3ba09\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3754\";s:7:\"updated\";s:19:\"2022-11-10 17:22:55\";s:7:\"created\";s:19:\"2019-05-06 13:24:01\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:1;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:19:\"Ocean Sticky Header\";s:4:\"slug\";s:19:\"ocean-sticky-header\";s:12:\"premium_slug\";s:19:\"ocean-sticky-header\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:8;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3755\";s:11:\"description\";s:512:\"<ul>\n<li>Stick manually, perfect for the Custom Header style</li>\n<li>Fixed the top bar</li>\n<li>Add sticky mobile</li>\n<li>Choose between two sticky styles: Shrink or Fixed</li>\n<li>Choose between two sticky effects</li>\n<li>Enter the height of the header during scroll for the shrink style</li>\n<li>Add logo when scrolling</li>\n<li>Enter the height of the logo during scroll for the shrink style</li>\n<li>Choose the header opacity during scroll</li>\n<li>Choose the background and color during scroll</li> </ul>\";s:17:\"short_description\";s:63:\"Attach an eye-catching header at the top of your website pages.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/card_banner.png\";s:15:\"selling_point_0\";s:51:\"Stick manually, perfect for the Custom Header style\";s:15:\"selling_point_1\";s:17:\"Fixed the top bar\";s:15:\"selling_point_2\";s:17:\"Add sticky mobile\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/screenshots/2.png\";}s:2:\"id\";s:3:\"829\";s:7:\"updated\";s:19:\"2019-08-04 07:27:06\";s:7:\"created\";s:19:\"2019-05-16 05:01:04\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_21f01f3d0a79bcd65042e3c332188\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3755\";s:7:\"updated\";s:19:\"2022-11-10 17:23:03\";s:7:\"created\";s:19:\"2019-05-06 13:27:16\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:2;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:16:\"Ocean Side Panel\";s:4:\"slug\";s:16:\"ocean-side-panel\";s:12:\"premium_slug\";s:16:\"ocean-side-panel\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:12;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3756\";s:11:\"description\";s:443:\"<ul>\n<li>Add your widgets into the Side Panel sidebar</li>\n<li>Choose your icon for the opening button</li>\n<li>Add text for the opening button</li>\n<li>Add a custom width for the panel</li>\n<li>Display the panel to the left or right</li>\n<li>Displace or not the panel</li>\n<li>Add an overlay when the panel is opened</li>\n<li>Show/Hide the close button of the panel</li>\n<li>Change the close button text</li>\n<li>Add your own color</li> </ul>\";s:17:\"short_description\";s:63:\"Add a responsive side panel with your preferred widgets inside.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/card_banner.png\";s:15:\"selling_point_0\";s:44:\"Add your widgets into the Side Panel sidebar\";s:15:\"selling_point_1\";s:39:\"Choose your icon for the opening button\";s:15:\"selling_point_2\";s:31:\"Add text for the opening button\";s:11:\"screenshots\";O:8:\"stdClass\":1:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/screenshots/0.png\";}s:2:\"id\";s:3:\"827\";s:7:\"updated\";s:19:\"2019-08-04 07:22:03\";s:7:\"created\";s:19:\"2019-05-16 05:00:01\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_95ab9dabcffc015befcfaf19dd91e\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3756\";s:7:\"updated\";s:19:\"2022-11-10 17:23:01\";s:7:\"created\";s:19:\"2019-05-06 13:30:08\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:3;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:23:\"Ocean Elementor Widgets\";s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:12:\"premium_slug\";s:23:\"ocean-elementor-widgets\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:31;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3757\";s:11:\"description\";s:1290:\"<ul>\n<li>Accordions widget</li>\n<li>Advanced Custom Field widget, thanks to Bruno Tritsch for the help</li>\n<li>Advanced Heading widget</li>\n<li>Animated Heading widget</li>\n<li>Banner widget</li>\n<li>Brands widget</li>\n<li>Business Hours widget</li>\n<li>Button Effects widget</li>\n<li>Buttons widget</li>\n<li>Call To Action widget</li>\n<li>Circle Progress widget</li>\n<li>Countdown widget</li>\n<li>Divider widget, to add a text or an icon in the divider</li>\n<li>Flip Box widget</li>\n<li>Google Maps widget</li>\n<li>Hotspots widget</li>\n<li>Image Comparison widget</li>\n<li>Image Gallery widget</li>\n<li>Info Box widget</li>\n<li>Instagram Feed widget</li>\n<li>Link Effects widget</li>\n<li>Login widget</li>\n<li>Lost Password widget</li>\n<li>Register widget</li>\n<li>Modal widget</li>\n<li>Navbar widget</li>\n<li>Off Canvas widget</li>\n<li>Price List widget</li>\n<li>Recipe widget</li>\n<li>Scroll Up widget</li>\n<li>Switch widget</li>\n<li>Table widget</li>\n<li>Tabs widget</li>\n<li>Team Members widget</li>\n<li>Timeline widget</li>\n<li>Contact Form 7 widget</li>\n<li>Gravity Forms widget</li>\n<li>WPForms widget</li>\n<li>Caldera Forms widget</li>\n<li>Ninja Forms widget</li>\n<li>WooCommerce Products widget</li>\n<li>WooCommerce Categories widget</li>\n<li>WooCommerce Slider widget</li> </ul>\";s:17:\"short_description\";s:75:\"Add many new powerful widgets to the popular free page builder - Elementor.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/card_banner.png\";s:15:\"selling_point_0\";s:23:\"Image Comparison widget\";s:15:\"selling_point_1\";s:21:\"Instagram Feed widget\";s:15:\"selling_point_2\";s:12:\"Table widget\";s:11:\"screenshots\";O:8:\"stdClass\":4:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/2.png\";s:12:\"screenshot_3\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/3.png\";}s:2:\"id\";s:3:\"820\";s:7:\"updated\";s:19:\"2019-08-04 06:51:31\";s:7:\"created\";s:19:\"2019-05-16 04:53:49\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_25eeed8cddc1b8bede158756886e8\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3757\";s:7:\"updated\";s:19:\"2022-11-10 17:22:53\";s:7:\"created\";s:19:\"2019-05-06 13:36:11\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:4;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:11:\"Ocean Hooks\";s:4:\"slug\";s:11:\"ocean-hooks\";s:12:\"premium_slug\";s:11:\"ocean-hooks\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:6;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3758\";s:11:\"description\";s:278:\"<ul>\n<li>Add different content for the same hook location</li>\n<li>Add shortcode</li>\n<li>Add PHP code</li>\n<li>Add content only for logged in/out users</li>\n<li>Display your code on the page/post/taxonomy you want</li>\n<li>Display your code on the user role you want</li> </ul>\";s:17:\"short_description\";s:60:\"Add your custom content throughout various areas of OceanWP.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/card_banner.png\";s:15:\"selling_point_0\";s:48:\"Add different content for the same hook location\";s:15:\"selling_point_1\";s:13:\"Add shortcode\";s:15:\"selling_point_2\";s:12:\"Add PHP code\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/screenshots/2.png\";}s:2:\"id\";s:3:\"823\";s:7:\"updated\";s:19:\"2019-08-04 07:02:53\";s:7:\"created\";s:19:\"2019-05-16 04:54:56\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_bf5672ee85c0032b2b4d7c0a3d244\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3758\";s:7:\"updated\";s:19:\"2022-11-10 17:22:57\";s:7:\"created\";s:19:\"2019-05-06 13:39:32\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:5;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:19:\"Ocean Sticky Footer\";s:4:\"slug\";s:19:\"ocean-sticky-footer\";s:12:\"premium_slug\";s:19:\"ocean-sticky-footer\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:8;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3759\";s:11:\"description\";s:163:\"<ul>\n<li>Add menu in the footer bar</li>\n<li>Add text in the footer bar</li>\n<li>Choose your own colors</li>\n<li>Hide Menu and/or text on mobile screens</li> </ul>\";s:17:\"short_description\";s:69:\"A simple extension to attach your footer to the bottom of the screen.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/card_banner.png\";s:15:\"selling_point_0\";s:26:\"Add menu in the footer bar\";s:15:\"selling_point_1\";s:26:\"Add text in the footer bar\";s:15:\"selling_point_2\";s:22:\"Choose your own colors\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/screenshots/2.png\";}s:2:\"id\";s:3:\"828\";s:7:\"updated\";s:19:\"2019-08-04 07:25:54\";s:7:\"created\";s:19:\"2019-05-16 05:00:32\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_5552f1b8d38d0f09df4b2990b57b2\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3759\";s:7:\"updated\";s:19:\"2022-11-10 16:16:34\";s:7:\"created\";s:19:\"2019-05-06 13:41:42\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:6;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:15:\"Ocean Woo Popup\";s:4:\"slug\";s:15:\"ocean-woo-popup\";s:12:\"premium_slug\";s:15:\"ocean-woo-popup\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:8;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3760\";s:11:\"description\";s:333:\"<ul>\n<li>Select an Elementor template (or a page if you use another page builder) to replace the content of the popup</li>\n<li>Control width, height, padding and the border radius</li>\n<li>Show/hide and reorganize the elements of the popup</li>\n<li>Replace all the texts from the customizer</li>\n<li>Choose your own colors</li> </ul>\";s:17:\"short_description\";s:79:\"A simple extension to display a popup when you click on the Add To Cart button.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/card_banner.png\";s:15:\"selling_point_0\";s:108:\"Select an Elementor template (or a page if you use another page builder) to replace the content of the popup\";s:15:\"selling_point_1\";s:52:\"Control width, height, padding and the border radius\";s:15:\"selling_point_2\";s:50:\"Show/hide and reorganize the elements of the popup\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/screenshots/2.png\";}s:2:\"id\";s:3:\"831\";s:7:\"updated\";s:19:\"2019-08-04 07:39:37\";s:7:\"created\";s:19:\"2019-05-16 05:02:03\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_9414dbc7719b150c20046f728e994\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3760\";s:7:\"updated\";s:19:\"2022-11-10 16:18:48\";s:7:\"created\";s:19:\"2019-05-06 13:53:08\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:7;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:15:\"Ocean Portfolio\";s:4:\"slug\";s:15:\"ocean-portfolio\";s:12:\"premium_slug\";s:15:\"ocean-portfolio\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:14;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3761\";s:11:\"description\";s:473:\"<ul>\n<li>Display your portfolio anywhere you want via a page template or a shortcode</li>\n<li>Show/hide the filter bar</li>\n<li>Control the filter bar positioning, styling and typography</li>\n<li>Control the portfolio items styling like the margin, padding, color, overlay color,\ntypography, etc...</li>\n<li>Add your own images width and height</li>\n<li>Display items by author, categories or tags, sort by order and exclude categories</li>\n<li>And a lot more...</li> </ul>\";s:17:\"short_description\";s:75:\"A complete extension to display your portfolio and work in a beautiful way.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/card_banner.png\";s:15:\"selling_point_0\";s:75:\"Display your portfolio anywhere you want via a page template or a shortcode\";s:15:\"selling_point_1\";s:24:\"Show/hide the filter bar\";s:15:\"selling_point_2\";s:58:\"Control the filter bar positioning, styling and typography\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/screenshots/2.png\";}s:2:\"id\";s:3:\"826\";s:7:\"updated\";s:19:\"2019-08-04 07:20:12\";s:7:\"created\";s:19:\"2019-05-16 04:56:11\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_d0109c81ea2f48fdfa29c30d9d20b\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3761\";s:7:\"updated\";s:19:\"2022-11-10 17:22:59\";s:7:\"created\";s:19:\"2019-05-06 13:55:52\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:8;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:17:\"Ocean White Label\";s:4:\"slug\";s:17:\"ocean-white-label\";s:12:\"premium_slug\";s:17:\"ocean-white-label\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:3;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3762\";s:11:\"description\";s:302:\"<ul>\n<li>Add your own branding name in the admin pages</li>\n<li>Add your own theme name</li>\n<li>Add your own theme author</li>\n<li>Add your own theme author url</li>\n<li>Add your own theme description</li>\n<li>Add your own theme screenshot</li>\n<li>Remove the White Label box in Theme Panel</li> </ul>\";s:17:\"short_description\";s:69:\"Impress clients by replacing the OceanWP name by your own brand name.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/card_banner.png\";s:15:\"selling_point_0\";s:45:\"Add your own branding name in the admin pages\";s:15:\"selling_point_1\";s:68:\"Add your own theme name, author, author url, description, screenshot\";s:15:\"selling_point_2\";s:41:\"Remove the White Label box in Theme Panel\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/screenshots/2.png\";}s:2:\"id\";s:3:\"830\";s:7:\"updated\";s:19:\"2019-08-04 07:36:38\";s:7:\"created\";s:19:\"2019-05-16 05:01:36\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_c9bb8f8d46af4c19cc2b66105accb\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3762\";s:7:\"updated\";s:19:\"2022-11-10 16:18:14\";s:7:\"created\";s:19:\"2019-05-06 13:57:59\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:9;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:15:\"Ocean Instagram\";s:4:\"slug\";s:15:\"ocean-instagram\";s:12:\"premium_slug\";s:15:\"ocean-instagram\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:2;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3763\";s:11:\"description\";s:224:\"<ul>\n<li>Display your Instagram photos</li>\n<li>Choose the column number</li>\n<li>Show/hide the likes &amp; comments</li>\n<li>Show/hide the captions</li>\n<li>Display your username, follow, posts, biograhpy, etc...</li> </ul>\";s:17:\"short_description\";s:70:\"Fetch and customize your Instagram feed to display in a beautiful way.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/card_banner.png\";s:15:\"selling_point_0\";s:29:\"Display your Instagram photos\";s:15:\"selling_point_1\";s:24:\"Choose the column number\";s:15:\"selling_point_2\";s:34:\"Show/hide the likes &amp; comments\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/screenshots/2.png\";}s:2:\"id\";s:3:\"824\";s:7:\"updated\";s:19:\"2019-08-04 07:11:09\";s:7:\"created\";s:19:\"2019-05-16 04:55:16\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_60babf307a20c89d435bcd61d54e8\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3763\";s:7:\"updated\";s:19:\"2022-11-10 16:21:07\";s:7:\"created\";s:19:\"2019-05-06 14:00:21\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:10;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:17:\"Ocean Popup Login\";s:4:\"slug\";s:17:\"ocean-popup-login\";s:12:\"premium_slug\";s:17:\"ocean-popup-login\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:13;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3764\";s:11:\"description\";s:185:\"<ul>\n<li>Add the login/register link where you want</li>\n<li>Style the form</li>\n<li>Add a background image in the form</li>\n<li>Change the title and description for the form</li> </ul>\";s:17:\"short_description\";s:59:\"A plugin to add a popup login/register form where you want.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/card_banner.png\";s:15:\"selling_point_0\";s:42:\"Add the login/register link where you want\";s:15:\"selling_point_1\";s:14:\"Style the form\";s:15:\"selling_point_2\";s:34:\"Add a background image in the form\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/screenshots/2.png\";}s:2:\"id\";s:3:\"825\";s:7:\"updated\";s:19:\"2019-08-04 07:12:58\";s:7:\"created\";s:19:\"2019-05-16 04:55:50\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_e0499681c773af2bbac0016bb24ff\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3764\";s:7:\"updated\";s:19:\"2022-11-10 16:12:44\";s:7:\"created\";s:19:\"2019-05-06 14:02:12\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:11;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:19:\"Ocean Cookie Notice\";s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:12:\"premium_slug\";s:19:\"ocean-cookie-notice\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:7;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3765\";s:11:\"description\";s:368:\"<ul>\n<li>Add scripts that will be loaded only after the user consent</li>\n<li>Choose to reload the page after the cookie accept</li>\n<li>Two notice styles</li>\n<li>Add your own content</li>\n<li>Add your own button text</li>\n<li>Choose between a button or a close icon to close the notice</li>\n<li>Many styling settings to customize every parts of the notice</li> </ul>\";s:17:\"short_description\";s:91:\"\nInform users that you are using cookies to comply with the EU cookie law GDPR regulations.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/card_banner.png\";s:15:\"selling_point_0\";s:59:\"Add scripts that will be loaded only after the user consent\";s:15:\"selling_point_1\";s:49:\"Choose to reload the page after the cookie accept\";s:15:\"selling_point_2\";s:17:\"Two notice styles\";s:11:\"screenshots\";O:8:\"stdClass\":4:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/2.png\";s:12:\"screenshot_3\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/3.png\";}s:2:\"id\";s:3:\"817\";s:7:\"updated\";s:19:\"2019-08-04 06:36:09\";s:7:\"created\";s:19:\"2019-05-15 10:13:47\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_2ebffcd411ce5f21e543822065b7d\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3765\";s:7:\"updated\";s:19:\"2022-11-10 17:22:51\";s:7:\"created\";s:19:\"2019-05-06 14:04:05\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:12;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:17:\"Ocean Full Screen\";s:4:\"slug\";s:17:\"ocean-full-screen\";s:12:\"premium_slug\";s:17:\"ocean-full-screen\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:7;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3766\";s:11:\"description\";s:241:\"<ul>\n<li>Very easy to use</li>\n<li>Add your own scrolling speed</li>\n<li>Add a side navigation</li>\n<li>Change the navigation color</li>\n<li>Add tooltips to the navigation</li>\n<li>Disable the scrolling effect at the size you want</li> </ul>\";s:17:\"short_description\";s:63:\"A simple and easy way to create a fullscreen scrolling website.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/card_banner.png\";s:15:\"selling_point_0\";s:16:\"Very easy to use\";s:15:\"selling_point_1\";s:28:\"Add your own scrolling speed\";s:15:\"selling_point_2\";s:21:\"Add a side navigation\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/screenshots/2.png\";}s:2:\"id\";s:3:\"822\";s:7:\"updated\";s:19:\"2019-08-04 06:57:28\";s:7:\"created\";s:19:\"2019-05-16 04:54:33\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_e0f5fb19e66d3b97f64adb891fae5\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3766\";s:7:\"updated\";s:19:\"2022-11-10 16:21:05\";s:7:\"created\";s:19:\"2019-05-06 14:06:43\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:13;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:15:\"Ocean Pro Demos\";s:4:\"slug\";s:15:\"ocean-pro-demos\";s:12:\"premium_slug\";s:15:\"ocean-pro-demos\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:17;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3797\";s:11:\"description\";N;s:17:\"short_description\";N;s:10:\"banner_url\";N;s:15:\"card_banner_url\";N;s:15:\"selling_point_0\";N;s:15:\"selling_point_1\";N;s:15:\"selling_point_2\";N;s:11:\"screenshots\";N;s:2:\"id\";s:4:\"2584\";s:7:\"updated\";N;s:7:\"created\";s:19:\"2022-01-07 00:18:17\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_a34c58ab5e7159d54e88175c1c03f\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3797\";s:7:\"updated\";s:19:\"2022-11-10 16:14:49\";s:7:\"created\";s:19:\"2019-05-14 12:39:32\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:14;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:11:\"Ocean Extra\";s:4:\"slug\";s:11:\"ocean-extra\";s:12:\"premium_slug\";s:19:\"ocean-extra-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3806\";s:11:\"description\";s:759:\"<ul>\n<li style=\"color: #333;font-weight: 600\">Meta Boxes</li>\n<li>Change the layout per page/post</li>\n<li>Select the sidebar per page/post</li>\n<li>Enable/Disable the margins top/bottom</li>\n<li>Enable/Disable the title</li>\n<li>Add a custom title</li>\n<li>Add a subheading for your title</li>\n<li>Select the style of your title</li>\n<li>Unique options for the different post format</li>\n<li>Add gallery image for the gallery post format</li>\n<li>And much more...</li>\n<li style=\"color: #333;font-weight: 600;margin-top: 20px\">Theme Panel</li>\n<li>Enable/Disable the Customizer panels</li>\n<li>Activate the licenses of the OceanWP extensions</li>\n<li>Enable/Disable all the theme scripts &amp; styles</li>\n<li>Import/Export the customizer settings</li> </ul>\";s:17:\"short_description\";N;s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/card_banner.png\";s:15:\"selling_point_0\";s:31:\"Change the layout per page/post\";s:15:\"selling_point_1\";s:32:\"Select the sidebar per page/post\";s:15:\"selling_point_2\";s:45:\"Add gallery image for the gallery post format\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/screenshots/2.png\";}s:2:\"id\";s:3:\"832\";s:7:\"updated\";s:19:\"2019-08-04 07:50:27\";s:7:\"created\";s:19:\"2019-05-16 08:37:18\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_dc69e18411e45b6f22272ac4586b1\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3806\";s:7:\"updated\";s:19:\"2019-05-16 07:48:04\";s:7:\"created\";s:19:\"2019-05-16 07:48:04\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:15;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:20:\"Ocean Social Sharing\";s:4:\"slug\";s:20:\"ocean-social-sharing\";s:12:\"premium_slug\";s:28:\"ocean-social-sharing-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3807\";s:11:\"description\";s:336:\"<ul>\n<li>Add social networks: Twitter, Facebook, LinkedIn, Google+, Pinterest, Viber, VK, Reddit, Tumblr and Viadeo.</li>\n<li>Alter the social sharing buttons.</li>\n<li>Choose between three styles.</li>\n<li>Add the social names.</li>\n<li>Choose the heading position.</li>\n<li>Add or edit the social sharing via a child theme.</li> </ul>\";s:17:\"short_description\";s:58:\"A simple plugin to add social share buttons to your posts.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/card_banner.png\";s:15:\"selling_point_0\";s:106:\"Add social networks: Twitter, Facebook, LinkedIn, Google+, Pinterest, Viber, VK, Reddit, Tumblr and Viadeo\";s:15:\"selling_point_1\";s:32:\"Alter the social sharing buttons\";s:15:\"selling_point_2\";s:27:\"Choose between three styles\";s:11:\"screenshots\";O:8:\"stdClass\":4:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/2.png\";s:12:\"screenshot_3\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/3.png\";}s:2:\"id\";s:3:\"838\";s:7:\"updated\";s:19:\"2019-08-04 08:00:26\";s:7:\"created\";s:19:\"2019-05-16 08:44:21\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_0aa6121ff893b29efa9a58d6c0ad5\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3807\";s:7:\"updated\";s:19:\"2022-11-10 17:09:34\";s:7:\"created\";s:19:\"2019-05-16 07:53:38\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:16;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:21:\"Ocean Product Sharing\";s:4:\"slug\";s:21:\"ocean-product-sharing\";s:12:\"premium_slug\";s:29:\"ocean-product-sharing-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3809\";s:11:\"description\";s:177:\"<ul>\n<li>Add social twitter, facebook, pinterest and email sharing</li>\n<li>Alter the social sharing buttons</li>\n<li>Add or edit the social sharing via a child theme</li> </ul>\";s:17:\"short_description\";s:121:\"A simple plugin to add social share buttons to your product page, compatible with WooCommerce and Easy Digital Downloads.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/card_banner.png\";s:15:\"selling_point_0\";s:57:\"Add social twitter, facebook, pinterest and email sharing\";s:15:\"selling_point_1\";s:32:\"Alter the social sharing buttons\";s:15:\"selling_point_2\";s:48:\"Add or edit the social sharing via a child theme\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/screenshots/2.png\";}s:2:\"id\";s:3:\"837\";s:7:\"updated\";s:19:\"2019-08-04 07:55:00\";s:7:\"created\";s:19:\"2019-05-16 08:43:10\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_e8cc3b7980be98f86dc7286572cc0\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3809\";s:7:\"updated\";s:19:\"2022-11-10 16:59:24\";s:7:\"created\";s:19:\"2019-05-16 08:00:39\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:17;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:20:\"Ocean Custom Sidebar\";s:4:\"slug\";s:20:\"ocean-custom-sidebar\";s:12:\"premium_slug\";s:28:\"ocean-custom-sidebar-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3810\";s:11:\"description\";s:58:\"<ul>\n<li>Create an unlimited number of sidebars</li> </ul>\";s:17:\"short_description\";s:136:\"Generates an unlimited number of sidebars and place them anywhere you wish. Go to Theme Panel > Sidebars to create your custom sidebars.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/card_banner.png\";s:15:\"selling_point_0\";s:38:\"Create an unlimited number of sidebars\";s:15:\"selling_point_1\";N;s:15:\"selling_point_2\";N;s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/screenshots/2.png\";}s:2:\"id\";s:3:\"833\";s:7:\"updated\";s:19:\"2019-08-04 07:47:46\";s:7:\"created\";s:19:\"2019-05-16 08:38:20\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_e1fc615375e847fd4d955c62b2a34\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3810\";s:7:\"updated\";s:19:\"2022-11-10 16:59:05\";s:7:\"created\";s:19:\"2019-05-16 08:04:08\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:18;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:17:\"Ocean Demo Import\";s:4:\"slug\";s:17:\"ocean-demo-import\";s:12:\"premium_slug\";s:27:\"activity-log-mainwp-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3811\";s:11:\"description\";s:55:\"<ul>\n<li>Import the sample data in one click</li> </ul>\";s:17:\"short_description\";s:80:\"Import the OceanWP demo content, widgets and customizer settings with one click.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/card_banner.png\";s:15:\"selling_point_0\";s:35:\"Import the sample data in one click\";s:15:\"selling_point_1\";N;s:15:\"selling_point_2\";N;s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/screenshots/2.png\";}s:2:\"id\";s:3:\"834\";s:7:\"updated\";s:19:\"2019-08-04 07:48:57\";s:7:\"created\";s:19:\"2019-05-16 08:39:11\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_28285e0f391b4955f4460589da147\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3811\";s:7:\"updated\";s:19:\"2022-11-10 12:18:51\";s:7:\"created\";s:19:\"2019-05-16 08:06:15\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:19;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:18:\"Ocean Posts Slider\";s:4:\"slug\";s:18:\"ocean-posts-slider\";s:12:\"premium_slug\";s:26:\"ocean-posts-slider-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3813\";s:11:\"description\";s:373:\"<ul>\n<li>Choose your slider style</li>\n<li>Enter the number of posts to display</li>\n<li>Select the size of the images</li>\n<li>Change the read more text</li>\n<li>Enter a margin to add a space between the slider and your content</li>\n<li>Enter the transition speed of the slides</li>\n<li>Exclude categories of posts</li>\n<li>Choose the order and oder by of posts</li> </ul>\";s:17:\"short_description\";s:71:\"Display your latest posts in a beautiful slider with different options.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/card_banner.png\";s:15:\"selling_point_0\";s:24:\"Choose your slider style\";s:15:\"selling_point_1\";s:36:\"Enter the number of posts to display\";s:15:\"selling_point_2\";s:29:\"Select the size of the images\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/screenshots/2.png\";}s:2:\"id\";s:3:\"836\";s:7:\"updated\";s:19:\"2019-08-04 07:53:25\";s:7:\"created\";s:19:\"2019-05-16 08:42:09\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_eae1ef26c136dd8af5ef7a6cf7557\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3813\";s:7:\"updated\";s:19:\"2022-11-10 17:05:54\";s:7:\"created\";s:19:\"2019-05-16 08:08:26\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:20;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:18:\"Ocean Modal Window\";s:4:\"slug\";s:18:\"ocean-modal-window\";s:12:\"premium_slug\";s:26:\"ocean-modal-window-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3814\";s:11:\"description\";s:203:\"<ul>\n<li>Create as many modals as you want</li>\n<li>Choose your custom width</li>\n<li>Insert the content you want (shortcodes allowed)</li>\n<li>Choose your own colors</li>\n<li>Fully responsive</li> </ul>\";s:17:\"short_description\";s:80:\"Insert any content in a modals and place the opening button anywhere to open it.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/card_banner.png\";s:15:\"selling_point_0\";s:33:\"Create as many modals as you want\";s:15:\"selling_point_1\";s:24:\"Choose your custom width\";s:15:\"selling_point_2\";s:48:\"Insert the content you want (shortcodes allowed)\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/screenshots/2.png\";}s:2:\"id\";s:3:\"835\";s:7:\"updated\";s:19:\"2019-08-04 07:51:54\";s:7:\"created\";s:19:\"2019-05-16 08:40:03\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_7e254472063a1abd3b7e342930210\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3814\";s:7:\"updated\";s:19:\"2022-11-10 16:54:42\";s:7:\"created\";s:19:\"2019-05-16 08:10:28\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}i:21;O:9:\"FS_Plugin\":23:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:5:\"title\";s:20:\"Ocean Stick Anything\";s:4:\"slug\";s:20:\"ocean-stick-anything\";s:12:\"premium_slug\";s:28:\"ocean-stick-anything-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";N;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";i:0;s:4:\"file\";N;s:7:\"version\";N;s:11:\"auto_update\";N;s:4:\"info\";O:14:\"FS_Plugin_Info\":13:{s:9:\"plugin_id\";s:4:\"3815\";s:11:\"description\";s:190:\"<ul>\n<li>Stick one or several elements</li>\n<li>Add an offset to add a spacing between the top of the page and your sticky element</li>\n<li>Destroy the sticky on the size you want</li>\n</ul>\";s:17:\"short_description\";s:43:\"A simple plugin to stick anything you want.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/card_banner.png\";s:15:\"selling_point_0\";s:29:\"Stick one or several elements\";s:15:\"selling_point_1\";s:82:\"Add an offset to add a spacing between the top of the page and your sticky element\";s:15:\"selling_point_2\";s:39:\"Destroy the sticky on the size you want\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/screenshots/2.png\";}s:2:\"id\";s:3:\"839\";s:7:\"updated\";s:19:\"2019-08-04 08:03:54\";s:7:\"created\";s:19:\"2019-05-16 08:45:08\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:10:\"public_key\";s:32:\"pk_f9a790f52e74ee60eb2812ba763dd\";s:10:\"secret_key\";N;s:2:\"id\";s:4:\"3815\";s:7:\"updated\";s:19:\"2022-11-10 16:59:50\";s:7:\"created\";s:19:\"2019-05-16 08:12:51\";s:22:\"\0FS_Entity\0_is_updated\";b:0;}}}s:14:\"account_addons\";a:1:{i:3752;a:14:{i:0;s:4:\"3754\";i:1;s:4:\"3755\";i:2;s:4:\"3756\";i:3;s:4:\"3757\";i:4;s:4:\"3758\";i:5;s:4:\"3759\";i:6;s:4:\"3760\";i:7;s:4:\"3761\";i:8;s:4:\"3762\";i:9;s:4:\"3763\";i:10;s:4:\"3764\";i:11;s:4:\"3765\";i:12;s:4:\"3766\";i:13;s:4:\"3797\";}}}", "yes");
INSERT INTO `wpky_options` VALUES("1987", "fs_gdpr", "a:3:{s:2:\"u1\";a:2:{s:8:\"required\";b:0;s:18:\"show_opt_in_notice\";b:0;}s:2:\"u4\";a:1:{s:18:\"show_opt_in_notice\";b:0;}s:2:\"u5\";a:1:{s:18:\"show_opt_in_notice\";b:0;}}", "yes");
INSERT INTO `wpky_options` VALUES("1998", "fs_api_cache", "a:9:{s:60:\"get:/v1/installs/10533656/addons.json?enriched=true&count=50\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:7:\"plugins\";a:22:{i:0;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629141\";s:4:\"slug\";s:20:\"ocean-footer-callout\";s:5:\"title\";s:20:\"Ocean Footer Callout\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/icons/a5696beb8fd43d782e206a2a2f05077b.png\";s:15:\"default_plan_id\";s:4:\"6079\";s:5:\"plans\";i:6079;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:7;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_c3ff094ed1cbaf287c6f833d3ba09\";s:2:\"id\";s:4:\"3754\";s:7:\"created\";s:19:\"2019-05-06 13:24:01\";s:7:\"updated\";s:19:\"2022-11-10 17:22:55\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3754\";s:3:\"url\";s:51:\"https://oceanwp.org/extension/ocean-footer-callout/\";s:11:\"description\";s:280:\"<ul>\n<li>Display/hide the callout on any page/post</li>\n<li>Edit the content and button url on any page/post</li>\n<li>Display the page content on the callout</li>\n<li>Enable/disable the callout button</li>\n<li>Add your own padding top/bottom</li>\n<li>Add your own color</li> </ul>\";s:17:\"short_description\";s:65:\"Add some important information about your company in your footer.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/card_banner.png\";s:15:\"selling_point_0\";s:41:\"Display/hide the callout on any page/post\";s:15:\"selling_point_1\";s:48:\"Edit the content and button url on any page/post\";s:15:\"selling_point_2\";s:39:\"Display the page content on the callout\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3754/screenshots/2.png\";}s:2:\"id\";s:3:\"821\";s:7:\"created\";s:19:\"2019-05-16 04:54:10\";s:7:\"updated\";s:19:\"2019-08-04 06:53:40\";}s:12:\"premium_slug\";s:20:\"ocean-footer-callout\";}i:1;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629149\";s:4:\"slug\";s:19:\"ocean-sticky-header\";s:5:\"title\";s:19:\"Ocean Sticky Header\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/icons/6a314ecc1f217c32b29095a54a6f87aa.png\";s:15:\"default_plan_id\";s:4:\"6078\";s:5:\"plans\";i:6078;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:8;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_21f01f3d0a79bcd65042e3c332188\";s:2:\"id\";s:4:\"3755\";s:7:\"created\";s:19:\"2019-05-06 13:27:16\";s:7:\"updated\";s:19:\"2022-11-10 17:23:03\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3755\";s:3:\"url\";s:50:\"https://oceanwp.org/extension/ocean-sticky-header/\";s:11:\"description\";s:512:\"<ul>\n<li>Stick manually, perfect for the Custom Header style</li>\n<li>Fixed the top bar</li>\n<li>Add sticky mobile</li>\n<li>Choose between two sticky styles: Shrink or Fixed</li>\n<li>Choose between two sticky effects</li>\n<li>Enter the height of the header during scroll for the shrink style</li>\n<li>Add logo when scrolling</li>\n<li>Enter the height of the logo during scroll for the shrink style</li>\n<li>Choose the header opacity during scroll</li>\n<li>Choose the background and color during scroll</li> </ul>\";s:17:\"short_description\";s:63:\"Attach an eye-catching header at the top of your website pages.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/card_banner.png\";s:15:\"selling_point_0\";s:51:\"Stick manually, perfect for the Custom Header style\";s:15:\"selling_point_1\";s:17:\"Fixed the top bar\";s:15:\"selling_point_2\";s:17:\"Add sticky mobile\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3755/screenshots/2.png\";}s:2:\"id\";s:3:\"829\";s:7:\"created\";s:19:\"2019-05-16 05:01:04\";s:7:\"updated\";s:19:\"2019-08-04 07:27:06\";}s:12:\"premium_slug\";s:19:\"ocean-sticky-header\";}i:2;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629165\";s:4:\"slug\";s:16:\"ocean-side-panel\";s:5:\"title\";s:16:\"Ocean Side Panel\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/icons/9dc7eb12f454d0c73ccfaa3ab28ab5ec.png\";s:15:\"default_plan_id\";s:4:\"6077\";s:5:\"plans\";i:6077;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:12;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_95ab9dabcffc015befcfaf19dd91e\";s:2:\"id\";s:4:\"3756\";s:7:\"created\";s:19:\"2019-05-06 13:30:08\";s:7:\"updated\";s:19:\"2022-11-10 17:23:01\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3756\";s:3:\"url\";s:47:\"https://oceanwp.org/extension/ocean-side-panel/\";s:11:\"description\";s:443:\"<ul>\n<li>Add your widgets into the Side Panel sidebar</li>\n<li>Choose your icon for the opening button</li>\n<li>Add text for the opening button</li>\n<li>Add a custom width for the panel</li>\n<li>Display the panel to the left or right</li>\n<li>Displace or not the panel</li>\n<li>Add an overlay when the panel is opened</li>\n<li>Show/Hide the close button of the panel</li>\n<li>Change the close button text</li>\n<li>Add your own color</li> </ul>\";s:17:\"short_description\";s:63:\"Add a responsive side panel with your preferred widgets inside.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/card_banner.png\";s:15:\"selling_point_0\";s:44:\"Add your widgets into the Side Panel sidebar\";s:15:\"selling_point_1\";s:39:\"Choose your icon for the opening button\";s:15:\"selling_point_2\";s:31:\"Add text for the opening button\";s:11:\"screenshots\";O:8:\"stdClass\":1:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3756/screenshots/0.png\";}s:2:\"id\";s:3:\"827\";s:7:\"created\";s:19:\"2019-05-16 05:00:01\";s:7:\"updated\";s:19:\"2019-08-04 07:22:03\";}s:12:\"premium_slug\";s:16:\"ocean-side-panel\";}i:3;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629243\";s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:5:\"title\";s:23:\"Ocean Elementor Widgets\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/icons/3a35cafc55823c57623a43e19533ed88.png\";s:15:\"default_plan_id\";s:4:\"6076\";s:5:\"plans\";i:6076;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:0;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:31;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_25eeed8cddc1b8bede158756886e8\";s:2:\"id\";s:4:\"3757\";s:7:\"created\";s:19:\"2019-05-06 13:36:11\";s:7:\"updated\";s:19:\"2022-11-10 17:22:53\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3757\";s:3:\"url\";s:54:\"https://oceanwp.org/extension/ocean-elementor-widgets/\";s:11:\"description\";s:1290:\"<ul>\n<li>Accordions widget</li>\n<li>Advanced Custom Field widget, thanks to Bruno Tritsch for the help</li>\n<li>Advanced Heading widget</li>\n<li>Animated Heading widget</li>\n<li>Banner widget</li>\n<li>Brands widget</li>\n<li>Business Hours widget</li>\n<li>Button Effects widget</li>\n<li>Buttons widget</li>\n<li>Call To Action widget</li>\n<li>Circle Progress widget</li>\n<li>Countdown widget</li>\n<li>Divider widget, to add a text or an icon in the divider</li>\n<li>Flip Box widget</li>\n<li>Google Maps widget</li>\n<li>Hotspots widget</li>\n<li>Image Comparison widget</li>\n<li>Image Gallery widget</li>\n<li>Info Box widget</li>\n<li>Instagram Feed widget</li>\n<li>Link Effects widget</li>\n<li>Login widget</li>\n<li>Lost Password widget</li>\n<li>Register widget</li>\n<li>Modal widget</li>\n<li>Navbar widget</li>\n<li>Off Canvas widget</li>\n<li>Price List widget</li>\n<li>Recipe widget</li>\n<li>Scroll Up widget</li>\n<li>Switch widget</li>\n<li>Table widget</li>\n<li>Tabs widget</li>\n<li>Team Members widget</li>\n<li>Timeline widget</li>\n<li>Contact Form 7 widget</li>\n<li>Gravity Forms widget</li>\n<li>WPForms widget</li>\n<li>Caldera Forms widget</li>\n<li>Ninja Forms widget</li>\n<li>WooCommerce Products widget</li>\n<li>WooCommerce Categories widget</li>\n<li>WooCommerce Slider widget</li> </ul>\";s:17:\"short_description\";s:75:\"Add many new powerful widgets to the popular free page builder - Elementor.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/card_banner.png\";s:15:\"selling_point_0\";s:23:\"Image Comparison widget\";s:15:\"selling_point_1\";s:21:\"Instagram Feed widget\";s:15:\"selling_point_2\";s:12:\"Table widget\";s:11:\"screenshots\";O:8:\"stdClass\":4:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/2.png\";s:12:\"screenshot_3\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3757/screenshots/3.png\";}s:2:\"id\";s:3:\"820\";s:7:\"created\";s:19:\"2019-05-16 04:53:49\";s:7:\"updated\";s:19:\"2019-08-04 06:51:31\";}s:12:\"premium_slug\";s:23:\"ocean-elementor-widgets\";}i:4;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629263\";s:4:\"slug\";s:11:\"ocean-hooks\";s:5:\"title\";s:11:\"Ocean Hooks\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/icons/0c46548808059fe3dd90843b858b0ce1.png\";s:15:\"default_plan_id\";s:4:\"6075\";s:5:\"plans\";i:6075;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:6;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_bf5672ee85c0032b2b4d7c0a3d244\";s:2:\"id\";s:4:\"3758\";s:7:\"created\";s:19:\"2019-05-06 13:39:32\";s:7:\"updated\";s:19:\"2022-11-10 17:22:57\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3758\";s:3:\"url\";s:42:\"https://oceanwp.org/extension/ocean-hooks/\";s:11:\"description\";s:278:\"<ul>\n<li>Add different content for the same hook location</li>\n<li>Add shortcode</li>\n<li>Add PHP code</li>\n<li>Add content only for logged in/out users</li>\n<li>Display your code on the page/post/taxonomy you want</li>\n<li>Display your code on the user role you want</li> </ul>\";s:17:\"short_description\";s:60:\"Add your custom content throughout various areas of OceanWP.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/card_banner.png\";s:15:\"selling_point_0\";s:48:\"Add different content for the same hook location\";s:15:\"selling_point_1\";s:13:\"Add shortcode\";s:15:\"selling_point_2\";s:12:\"Add PHP code\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3758/screenshots/2.png\";}s:2:\"id\";s:3:\"823\";s:7:\"created\";s:19:\"2019-05-16 04:54:56\";s:7:\"updated\";s:19:\"2019-08-04 07:02:53\";}s:12:\"premium_slug\";s:11:\"ocean-hooks\";}i:5;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629271\";s:4:\"slug\";s:19:\"ocean-sticky-footer\";s:5:\"title\";s:19:\"Ocean Sticky Footer\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/icons/85936481cdfbeb7be9793d54dd3899ed.png\";s:15:\"default_plan_id\";s:4:\"6074\";s:5:\"plans\";i:6074;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:8;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_5552f1b8d38d0f09df4b2990b57b2\";s:2:\"id\";s:4:\"3759\";s:7:\"created\";s:19:\"2019-05-06 13:41:42\";s:7:\"updated\";s:19:\"2022-11-10 16:16:34\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3759\";s:3:\"url\";s:50:\"https://oceanwp.org/extension/ocean-sticky-footer/\";s:11:\"description\";s:163:\"<ul>\n<li>Add menu in the footer bar</li>\n<li>Add text in the footer bar</li>\n<li>Choose your own colors</li>\n<li>Hide Menu and/or text on mobile screens</li> </ul>\";s:17:\"short_description\";s:69:\"A simple extension to attach your footer to the bottom of the screen.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/card_banner.png\";s:15:\"selling_point_0\";s:26:\"Add menu in the footer bar\";s:15:\"selling_point_1\";s:26:\"Add text in the footer bar\";s:15:\"selling_point_2\";s:22:\"Choose your own colors\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3759/screenshots/2.png\";}s:2:\"id\";s:3:\"828\";s:7:\"created\";s:19:\"2019-05-16 05:00:32\";s:7:\"updated\";s:19:\"2019-08-04 07:25:54\";}s:12:\"premium_slug\";s:19:\"ocean-sticky-footer\";}i:6;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629304\";s:4:\"slug\";s:15:\"ocean-woo-popup\";s:5:\"title\";s:15:\"Ocean Woo Popup\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/icons/6ae8eec013e8b69ec8d15f0befadddb3.png\";s:15:\"default_plan_id\";s:4:\"6073\";s:5:\"plans\";i:6073;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:8;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_9414dbc7719b150c20046f728e994\";s:2:\"id\";s:4:\"3760\";s:7:\"created\";s:19:\"2019-05-06 13:53:08\";s:7:\"updated\";s:19:\"2022-11-10 16:18:48\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3760\";s:3:\"url\";s:46:\"https://oceanwp.org/extension/ocean-woo-popup/\";s:11:\"description\";s:333:\"<ul>\n<li>Select an Elementor template (or a page if you use another page builder) to replace the content of the popup</li>\n<li>Control width, height, padding and the border radius</li>\n<li>Show/hide and reorganize the elements of the popup</li>\n<li>Replace all the texts from the customizer</li>\n<li>Choose your own colors</li> </ul>\";s:17:\"short_description\";s:79:\"A simple extension to display a popup when you click on the Add To Cart button.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/card_banner.png\";s:15:\"selling_point_0\";s:108:\"Select an Elementor template (or a page if you use another page builder) to replace the content of the popup\";s:15:\"selling_point_1\";s:52:\"Control width, height, padding and the border radius\";s:15:\"selling_point_2\";s:50:\"Show/hide and reorganize the elements of the popup\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3760/screenshots/2.png\";}s:2:\"id\";s:3:\"831\";s:7:\"created\";s:19:\"2019-05-16 05:02:03\";s:7:\"updated\";s:19:\"2019-08-04 07:39:37\";}s:12:\"premium_slug\";s:15:\"ocean-woo-popup\";}i:7;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629316\";s:4:\"slug\";s:15:\"ocean-portfolio\";s:5:\"title\";s:15:\"Ocean Portfolio\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/icons/7b93b62e942919fd9bff13e162b5085f.png\";s:15:\"default_plan_id\";s:4:\"6072\";s:5:\"plans\";i:6072;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:14;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_d0109c81ea2f48fdfa29c30d9d20b\";s:2:\"id\";s:4:\"3761\";s:7:\"created\";s:19:\"2019-05-06 13:55:52\";s:7:\"updated\";s:19:\"2022-11-10 17:22:59\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3761\";s:3:\"url\";s:46:\"https://oceanwp.org/extension/ocean-portfolio/\";s:11:\"description\";s:473:\"<ul>\n<li>Display your portfolio anywhere you want via a page template or a shortcode</li>\n<li>Show/hide the filter bar</li>\n<li>Control the filter bar positioning, styling and typography</li>\n<li>Control the portfolio items styling like the margin, padding, color, overlay color,\ntypography, etc...</li>\n<li>Add your own images width and height</li>\n<li>Display items by author, categories or tags, sort by order and exclude categories</li>\n<li>And a lot more...</li> </ul>\";s:17:\"short_description\";s:75:\"A complete extension to display your portfolio and work in a beautiful way.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/card_banner.png\";s:15:\"selling_point_0\";s:75:\"Display your portfolio anywhere you want via a page template or a shortcode\";s:15:\"selling_point_1\";s:24:\"Show/hide the filter bar\";s:15:\"selling_point_2\";s:58:\"Control the filter bar positioning, styling and typography\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3761/screenshots/2.png\";}s:2:\"id\";s:3:\"826\";s:7:\"created\";s:19:\"2019-05-16 04:56:11\";s:7:\"updated\";s:19:\"2019-08-04 07:20:12\";}s:12:\"premium_slug\";s:15:\"ocean-portfolio\";}i:8;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629325\";s:4:\"slug\";s:17:\"ocean-white-label\";s:5:\"title\";s:17:\"Ocean White Label\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/icons/8d792190e8acca4e390b323ea1c4a365.png\";s:15:\"default_plan_id\";s:4:\"6071\";s:5:\"plans\";i:6071;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:3;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_c9bb8f8d46af4c19cc2b66105accb\";s:2:\"id\";s:4:\"3762\";s:7:\"created\";s:19:\"2019-05-06 13:57:59\";s:7:\"updated\";s:19:\"2022-11-10 16:18:14\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3762\";s:3:\"url\";s:48:\"https://oceanwp.org/extension/ocean-white-label/\";s:11:\"description\";s:302:\"<ul>\n<li>Add your own branding name in the admin pages</li>\n<li>Add your own theme name</li>\n<li>Add your own theme author</li>\n<li>Add your own theme author url</li>\n<li>Add your own theme description</li>\n<li>Add your own theme screenshot</li>\n<li>Remove the White Label box in Theme Panel</li> </ul>\";s:17:\"short_description\";s:69:\"Impress clients by replacing the OceanWP name by your own brand name.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/card_banner.png\";s:15:\"selling_point_0\";s:45:\"Add your own branding name in the admin pages\";s:15:\"selling_point_1\";s:68:\"Add your own theme name, author, author url, description, screenshot\";s:15:\"selling_point_2\";s:41:\"Remove the White Label box in Theme Panel\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3762/screenshots/2.png\";}s:2:\"id\";s:3:\"830\";s:7:\"created\";s:19:\"2019-05-16 05:01:36\";s:7:\"updated\";s:19:\"2019-08-04 07:36:38\";}s:12:\"premium_slug\";s:17:\"ocean-white-label\";}i:9;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629330\";s:4:\"slug\";s:15:\"ocean-instagram\";s:5:\"title\";s:15:\"Ocean Instagram\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/icons/e3e778390e70f922d1f8142b04dee9c9.png\";s:15:\"default_plan_id\";s:4:\"6070\";s:5:\"plans\";i:6070;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:2;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_60babf307a20c89d435bcd61d54e8\";s:2:\"id\";s:4:\"3763\";s:7:\"created\";s:19:\"2019-05-06 14:00:21\";s:7:\"updated\";s:19:\"2022-11-10 16:21:07\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3763\";s:3:\"url\";s:46:\"https://oceanwp.org/extension/ocean-instagram/\";s:11:\"description\";s:224:\"<ul>\n<li>Display your Instagram photos</li>\n<li>Choose the column number</li>\n<li>Show/hide the likes &amp; comments</li>\n<li>Show/hide the captions</li>\n<li>Display your username, follow, posts, biograhpy, etc...</li> </ul>\";s:17:\"short_description\";s:70:\"Fetch and customize your Instagram feed to display in a beautiful way.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/card_banner.png\";s:15:\"selling_point_0\";s:29:\"Display your Instagram photos\";s:15:\"selling_point_1\";s:24:\"Choose the column number\";s:15:\"selling_point_2\";s:34:\"Show/hide the likes &amp; comments\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3763/screenshots/2.png\";}s:2:\"id\";s:3:\"824\";s:7:\"created\";s:19:\"2019-05-16 04:55:16\";s:7:\"updated\";s:19:\"2019-08-04 07:11:09\";}s:12:\"premium_slug\";s:15:\"ocean-instagram\";}i:10;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629332\";s:4:\"slug\";s:17:\"ocean-popup-login\";s:5:\"title\";s:17:\"Ocean Popup Login\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/icons/7f847c2192d56151e3f6296e4a4254ea.png\";s:15:\"default_plan_id\";s:4:\"6069\";s:5:\"plans\";i:6069;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:13;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_e0499681c773af2bbac0016bb24ff\";s:2:\"id\";s:4:\"3764\";s:7:\"created\";s:19:\"2019-05-06 14:02:12\";s:7:\"updated\";s:19:\"2022-11-10 16:12:44\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3764\";s:3:\"url\";s:48:\"https://oceanwp.org/extension/ocean-popup-login/\";s:11:\"description\";s:185:\"<ul>\n<li>Add the login/register link where you want</li>\n<li>Style the form</li>\n<li>Add a background image in the form</li>\n<li>Change the title and description for the form</li> </ul>\";s:17:\"short_description\";s:59:\"A plugin to add a popup login/register form where you want.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/card_banner.png\";s:15:\"selling_point_0\";s:42:\"Add the login/register link where you want\";s:15:\"selling_point_1\";s:14:\"Style the form\";s:15:\"selling_point_2\";s:34:\"Add a background image in the form\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3764/screenshots/2.png\";}s:2:\"id\";s:3:\"825\";s:7:\"created\";s:19:\"2019-05-16 04:55:50\";s:7:\"updated\";s:19:\"2019-08-04 07:12:58\";}s:12:\"premium_slug\";s:17:\"ocean-popup-login\";}i:11;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629338\";s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:5:\"title\";s:19:\"Ocean Cookie Notice\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/icons/e0fc0fea29b7206c010e0299a87a6bb5.png\";s:15:\"default_plan_id\";s:4:\"6068\";s:5:\"plans\";i:6068;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:7;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_2ebffcd411ce5f21e543822065b7d\";s:2:\"id\";s:4:\"3765\";s:7:\"created\";s:19:\"2019-05-06 14:04:05\";s:7:\"updated\";s:19:\"2022-11-10 17:22:51\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3765\";s:3:\"url\";s:50:\"https://oceanwp.org/extension/ocean-cookie-notice/\";s:11:\"description\";s:368:\"<ul>\n<li>Add scripts that will be loaded only after the user consent</li>\n<li>Choose to reload the page after the cookie accept</li>\n<li>Two notice styles</li>\n<li>Add your own content</li>\n<li>Add your own button text</li>\n<li>Choose between a button or a close icon to close the notice</li>\n<li>Many styling settings to customize every parts of the notice</li> </ul>\";s:17:\"short_description\";s:91:\"\nInform users that you are using cookies to comply with the EU cookie law GDPR regulations.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/card_banner.png\";s:15:\"selling_point_0\";s:59:\"Add scripts that will be loaded only after the user consent\";s:15:\"selling_point_1\";s:49:\"Choose to reload the page after the cookie accept\";s:15:\"selling_point_2\";s:17:\"Two notice styles\";s:11:\"screenshots\";O:8:\"stdClass\":4:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/2.png\";s:12:\"screenshot_3\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3765/screenshots/3.png\";}s:2:\"id\";s:3:\"817\";s:7:\"created\";s:19:\"2019-05-15 10:13:47\";s:7:\"updated\";s:19:\"2019-08-04 06:36:09\";}s:12:\"premium_slug\";s:19:\"ocean-cookie-notice\";}i:12;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2629341\";s:4:\"slug\";s:17:\"ocean-full-screen\";s:5:\"title\";s:17:\"Ocean Full Screen\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/icons/095504fe5c624e441d0c47ac01651c6c.png\";s:15:\"default_plan_id\";s:4:\"6067\";s:5:\"plans\";i:6067;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:7;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_e0f5fb19e66d3b97f64adb891fae5\";s:2:\"id\";s:4:\"3766\";s:7:\"created\";s:19:\"2019-05-06 14:06:43\";s:7:\"updated\";s:19:\"2022-11-10 16:21:05\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3766\";s:3:\"url\";s:48:\"https://oceanwp.org/extension/ocean-full-screen/\";s:11:\"description\";s:241:\"<ul>\n<li>Very easy to use</li>\n<li>Add your own scrolling speed</li>\n<li>Add a side navigation</li>\n<li>Change the navigation color</li>\n<li>Add tooltips to the navigation</li>\n<li>Disable the scrolling effect at the size you want</li> </ul>\";s:17:\"short_description\";s:63:\"A simple and easy way to create a fullscreen scrolling website.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/card_banner.png\";s:15:\"selling_point_0\";s:16:\"Very easy to use\";s:15:\"selling_point_1\";s:28:\"Add your own scrolling speed\";s:15:\"selling_point_2\";s:21:\"Add a side navigation\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3766/screenshots/2.png\";}s:2:\"id\";s:3:\"822\";s:7:\"created\";s:19:\"2019-05-16 04:54:33\";s:7:\"updated\";s:19:\"2019-08-04 06:57:28\";}s:12:\"premium_slug\";s:17:\"ocean-full-screen\";}i:13;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"6233\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2650006\";s:4:\"slug\";s:15:\"ocean-pro-demos\";s:5:\"title\";s:15:\"Ocean Pro Demos\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3797/icons/9d030891e8edae87e70c38d79e77f877.png\";s:15:\"default_plan_id\";s:4:\"6115\";s:5:\"plans\";i:6115;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:0;s:18:\"is_pricing_visible\";b:1;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:17;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_a34c58ab5e7159d54e88175c1c03f\";s:2:\"id\";s:4:\"3797\";s:7:\"created\";s:19:\"2019-05-14 12:39:32\";s:7:\"updated\";s:19:\"2022-11-10 16:14:49\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3797\";s:3:\"url\";N;s:11:\"description\";N;s:17:\"short_description\";N;s:10:\"banner_url\";N;s:15:\"card_banner_url\";N;s:15:\"selling_point_0\";N;s:15:\"selling_point_1\";N;s:15:\"selling_point_2\";N;s:11:\"screenshots\";N;s:2:\"id\";s:4:\"2584\";s:7:\"created\";s:19:\"2022-01-07 00:18:17\";s:7:\"updated\";N;}s:12:\"premium_slug\";s:15:\"ocean-pro-demos\";}i:14;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655231\";s:4:\"slug\";s:11:\"ocean-extra\";s:5:\"title\";s:11:\"Ocean Extra\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/icons/a8a66d9af9373c572cd362013c38fdef.png\";s:15:\"default_plan_id\";s:4:\"6131\";s:5:\"plans\";i:6131;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_dc69e18411e45b6f22272ac4586b1\";s:2:\"id\";s:4:\"3806\";s:7:\"created\";s:19:\"2019-05-16 07:48:04\";s:7:\"updated\";s:19:\"2019-05-16 07:48:04\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3806\";s:3:\"url\";N;s:11:\"description\";s:759:\"<ul>\n<li style=\"color: #333;font-weight: 600\">Meta Boxes</li>\n<li>Change the layout per page/post</li>\n<li>Select the sidebar per page/post</li>\n<li>Enable/Disable the margins top/bottom</li>\n<li>Enable/Disable the title</li>\n<li>Add a custom title</li>\n<li>Add a subheading for your title</li>\n<li>Select the style of your title</li>\n<li>Unique options for the different post format</li>\n<li>Add gallery image for the gallery post format</li>\n<li>And much more...</li>\n<li style=\"color: #333;font-weight: 600;margin-top: 20px\">Theme Panel</li>\n<li>Enable/Disable the Customizer panels</li>\n<li>Activate the licenses of the OceanWP extensions</li>\n<li>Enable/Disable all the theme scripts &amp; styles</li>\n<li>Import/Export the customizer settings</li> </ul>\";s:17:\"short_description\";N;s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/card_banner.png\";s:15:\"selling_point_0\";s:31:\"Change the layout per page/post\";s:15:\"selling_point_1\";s:32:\"Select the sidebar per page/post\";s:15:\"selling_point_2\";s:45:\"Add gallery image for the gallery post format\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3806/screenshots/2.png\";}s:2:\"id\";s:3:\"832\";s:7:\"created\";s:19:\"2019-05-16 08:37:18\";s:7:\"updated\";s:19:\"2019-08-04 07:50:27\";}s:12:\"premium_slug\";s:19:\"ocean-extra-premium\";}i:15;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655252\";s:4:\"slug\";s:20:\"ocean-social-sharing\";s:5:\"title\";s:20:\"Ocean Social Sharing\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/icons/472046596ff2243e1bab433a07d35533.png\";s:15:\"default_plan_id\";s:4:\"6132\";s:5:\"plans\";i:6132;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_0aa6121ff893b29efa9a58d6c0ad5\";s:2:\"id\";s:4:\"3807\";s:7:\"created\";s:19:\"2019-05-16 07:53:38\";s:7:\"updated\";s:19:\"2022-11-10 17:09:34\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3807\";s:3:\"url\";N;s:11:\"description\";s:336:\"<ul>\n<li>Add social networks: Twitter, Facebook, LinkedIn, Google+, Pinterest, Viber, VK, Reddit, Tumblr and Viadeo.</li>\n<li>Alter the social sharing buttons.</li>\n<li>Choose between three styles.</li>\n<li>Add the social names.</li>\n<li>Choose the heading position.</li>\n<li>Add or edit the social sharing via a child theme.</li> </ul>\";s:17:\"short_description\";s:58:\"A simple plugin to add social share buttons to your posts.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/card_banner.png\";s:15:\"selling_point_0\";s:106:\"Add social networks: Twitter, Facebook, LinkedIn, Google+, Pinterest, Viber, VK, Reddit, Tumblr and Viadeo\";s:15:\"selling_point_1\";s:32:\"Alter the social sharing buttons\";s:15:\"selling_point_2\";s:27:\"Choose between three styles\";s:11:\"screenshots\";O:8:\"stdClass\":4:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/2.png\";s:12:\"screenshot_3\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3807/screenshots/3.png\";}s:2:\"id\";s:3:\"838\";s:7:\"created\";s:19:\"2019-05-16 08:44:21\";s:7:\"updated\";s:19:\"2019-08-04 08:00:26\";}s:12:\"premium_slug\";s:28:\"ocean-social-sharing-premium\";}i:16;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655271\";s:4:\"slug\";s:21:\"ocean-product-sharing\";s:5:\"title\";s:21:\"Ocean Product Sharing\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/icons/be28eef8c31337b3f73addbcce9dfde4.png\";s:15:\"default_plan_id\";s:4:\"6135\";s:5:\"plans\";i:6135;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_e8cc3b7980be98f86dc7286572cc0\";s:2:\"id\";s:4:\"3809\";s:7:\"created\";s:19:\"2019-05-16 08:00:39\";s:7:\"updated\";s:19:\"2022-11-10 16:59:24\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3809\";s:3:\"url\";N;s:11:\"description\";s:177:\"<ul>\n<li>Add social twitter, facebook, pinterest and email sharing</li>\n<li>Alter the social sharing buttons</li>\n<li>Add or edit the social sharing via a child theme</li> </ul>\";s:17:\"short_description\";s:121:\"A simple plugin to add social share buttons to your product page, compatible with WooCommerce and Easy Digital Downloads.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/card_banner.png\";s:15:\"selling_point_0\";s:57:\"Add social twitter, facebook, pinterest and email sharing\";s:15:\"selling_point_1\";s:32:\"Alter the social sharing buttons\";s:15:\"selling_point_2\";s:48:\"Add or edit the social sharing via a child theme\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3809/screenshots/2.png\";}s:2:\"id\";s:3:\"837\";s:7:\"created\";s:19:\"2019-05-16 08:43:10\";s:7:\"updated\";s:19:\"2019-08-04 07:55:00\";}s:12:\"premium_slug\";s:29:\"ocean-product-sharing-premium\";}i:17;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655279\";s:4:\"slug\";s:20:\"ocean-custom-sidebar\";s:5:\"title\";s:20:\"Ocean Custom Sidebar\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/icons/06fd0e67684e995d78b72746831434ac.png\";s:15:\"default_plan_id\";s:4:\"6136\";s:5:\"plans\";i:6136;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_e1fc615375e847fd4d955c62b2a34\";s:2:\"id\";s:4:\"3810\";s:7:\"created\";s:19:\"2019-05-16 08:04:08\";s:7:\"updated\";s:19:\"2022-11-10 16:59:05\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3810\";s:3:\"url\";N;s:11:\"description\";s:58:\"<ul>\n<li>Create an unlimited number of sidebars</li> </ul>\";s:17:\"short_description\";s:136:\"Generates an unlimited number of sidebars and place them anywhere you wish. Go to Theme Panel > Sidebars to create your custom sidebars.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/card_banner.png\";s:15:\"selling_point_0\";s:38:\"Create an unlimited number of sidebars\";s:15:\"selling_point_1\";N;s:15:\"selling_point_2\";N;s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3810/screenshots/2.png\";}s:2:\"id\";s:3:\"833\";s:7:\"created\";s:19:\"2019-05-16 08:38:20\";s:7:\"updated\";s:19:\"2019-08-04 07:47:46\";}s:12:\"premium_slug\";s:28:\"ocean-custom-sidebar-premium\";}i:18;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655283\";s:4:\"slug\";s:17:\"ocean-demo-import\";s:5:\"title\";s:17:\"Ocean Demo Import\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/icons/bac62de0483069acf490a59267f15f99.png\";s:15:\"default_plan_id\";s:4:\"6137\";s:5:\"plans\";i:6137;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_28285e0f391b4955f4460589da147\";s:2:\"id\";s:4:\"3811\";s:7:\"created\";s:19:\"2019-05-16 08:06:15\";s:7:\"updated\";s:19:\"2022-11-10 12:18:51\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3811\";s:3:\"url\";N;s:11:\"description\";s:55:\"<ul>\n<li>Import the sample data in one click</li> </ul>\";s:17:\"short_description\";s:80:\"Import the OceanWP demo content, widgets and customizer settings with one click.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/card_banner.png\";s:15:\"selling_point_0\";s:35:\"Import the sample data in one click\";s:15:\"selling_point_1\";N;s:15:\"selling_point_2\";N;s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3811/screenshots/2.png\";}s:2:\"id\";s:3:\"834\";s:7:\"created\";s:19:\"2019-05-16 08:39:11\";s:7:\"updated\";s:19:\"2019-08-04 07:48:57\";}s:12:\"premium_slug\";s:27:\"activity-log-mainwp-premium\";}i:19;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655290\";s:4:\"slug\";s:18:\"ocean-posts-slider\";s:5:\"title\";s:18:\"Ocean Posts Slider\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/icons/9672cd2dd221c216014c9ad6f73e8d64.png\";s:15:\"default_plan_id\";s:4:\"6139\";s:5:\"plans\";i:6139;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_eae1ef26c136dd8af5ef7a6cf7557\";s:2:\"id\";s:4:\"3813\";s:7:\"created\";s:19:\"2019-05-16 08:08:26\";s:7:\"updated\";s:19:\"2022-11-10 17:05:54\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3813\";s:3:\"url\";N;s:11:\"description\";s:373:\"<ul>\n<li>Choose your slider style</li>\n<li>Enter the number of posts to display</li>\n<li>Select the size of the images</li>\n<li>Change the read more text</li>\n<li>Enter a margin to add a space between the slider and your content</li>\n<li>Enter the transition speed of the slides</li>\n<li>Exclude categories of posts</li>\n<li>Choose the order and oder by of posts</li> </ul>\";s:17:\"short_description\";s:71:\"Display your latest posts in a beautiful slider with different options.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/card_banner.png\";s:15:\"selling_point_0\";s:24:\"Choose your slider style\";s:15:\"selling_point_1\";s:36:\"Enter the number of posts to display\";s:15:\"selling_point_2\";s:29:\"Select the size of the images\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3813/screenshots/2.png\";}s:2:\"id\";s:3:\"836\";s:7:\"created\";s:19:\"2019-05-16 08:42:09\";s:7:\"updated\";s:19:\"2019-08-04 07:53:25\";}s:12:\"premium_slug\";s:26:\"ocean-posts-slider-premium\";}i:20;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655295\";s:4:\"slug\";s:18:\"ocean-modal-window\";s:5:\"title\";s:18:\"Ocean Modal Window\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/icons/6f292d54bf178d4f0e6ea68523fcc206.png\";s:15:\"default_plan_id\";s:4:\"6140\";s:5:\"plans\";i:6140;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_7e254472063a1abd3b7e342930210\";s:2:\"id\";s:4:\"3814\";s:7:\"created\";s:19:\"2019-05-16 08:10:28\";s:7:\"updated\";s:19:\"2022-11-10 16:54:42\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3814\";s:3:\"url\";N;s:11:\"description\";s:203:\"<ul>\n<li>Create as many modals as you want</li>\n<li>Choose your custom width</li>\n<li>Insert the content you want (shortcodes allowed)</li>\n<li>Choose your own colors</li>\n<li>Fully responsive</li> </ul>\";s:17:\"short_description\";s:80:\"Insert any content in a modals and place the opening button anywhere to open it.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/card_banner.png\";s:15:\"selling_point_0\";s:33:\"Create as many modals as you want\";s:15:\"selling_point_1\";s:24:\"Choose your custom width\";s:15:\"selling_point_2\";s:48:\"Insert the content you want (shortcodes allowed)\";s:11:\"screenshots\";O:8:\"stdClass\":3:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/screenshots/0.png\";s:12:\"screenshot_1\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/screenshots/1.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3814/screenshots/2.png\";}s:2:\"id\";s:3:\"835\";s:7:\"created\";s:19:\"2019-05-16 08:40:03\";s:7:\"updated\";s:19:\"2019-08-04 07:51:54\";}s:12:\"premium_slug\";s:26:\"ocean-modal-window-premium\";}i:21;O:8:\"stdClass\":34:{s:16:\"parent_plugin_id\";s:4:\"3752\";s:12:\"developer_id\";s:4:\"4545\";s:8:\"store_id\";s:4:\"1561\";s:10:\"install_id\";s:7:\"2655298\";s:4:\"slug\";s:20:\"ocean-stick-anything\";s:5:\"title\";s:20:\"Ocean Stick Anything\";s:11:\"environment\";i:0;s:4:\"icon\";s:93:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/icons/57da39476e63889a0289c2e64206c970.png\";s:15:\"default_plan_id\";s:4:\"6141\";s:5:\"plans\";i:6141;s:8:\"features\";N;s:17:\"money_back_period\";N;s:13:\"refund_policy\";N;s:24:\"annual_renewals_discount\";N;s:22:\"renewals_discount_type\";s:10:\"percentage\";s:11:\"is_released\";b:1;s:15:\"is_sdk_required\";b:1;s:18:\"is_pricing_visible\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:6:\"is_off\";b:0;s:24:\"is_only_for_new_installs\";b:0;s:14:\"installs_limit\";N;s:19:\"free_releases_count\";i:0;s:22:\"premium_releases_count\";i:0;s:17:\"accepted_payments\";i:0;s:7:\"plan_id\";s:1:\"0\";s:4:\"type\";s:6:\"plugin\";s:9:\"is_static\";b:0;s:10:\"public_key\";s:32:\"pk_f9a790f52e74ee60eb2812ba763dd\";s:2:\"id\";s:4:\"3815\";s:7:\"created\";s:19:\"2019-05-16 08:12:51\";s:7:\"updated\";s:19:\"2022-11-10 16:59:50\";s:4:\"info\";O:8:\"stdClass\":13:{s:9:\"plugin_id\";s:4:\"3815\";s:3:\"url\";N;s:11:\"description\";s:190:\"<ul>\n<li>Stick one or several elements</li>\n<li>Add an offset to add a spacing between the top of the page and your sticky element</li>\n<li>Destroy the sticky on the size you want</li>\n</ul>\";s:17:\"short_description\";s:43:\"A simple plugin to stick anything you want.\";s:10:\"banner_url\";s:61:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/banner.png\";s:15:\"card_banner_url\";s:66:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/card_banner.png\";s:15:\"selling_point_0\";s:29:\"Stick one or several elements\";s:15:\"selling_point_1\";s:82:\"Add an offset to add a spacing between the top of the page and your sticky element\";s:15:\"selling_point_2\";s:39:\"Destroy the sticky on the size you want\";s:11:\"screenshots\";O:8:\"stdClass\":2:{s:12:\"screenshot_0\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/screenshots/0.png\";s:12:\"screenshot_2\";s:68:\"//s3-us-west-2.amazonaws.com/freemius/plugins/3815/screenshots/2.png\";}s:2:\"id\";s:3:\"839\";s:7:\"created\";s:19:\"2019-05-16 08:45:08\";s:7:\"updated\";s:19:\"2019-08-04 08:03:54\";}s:12:\"premium_slug\";s:28:\"ocean-stick-anything-premium\";}}}s:7:\"created\";i:1668101124;s:9:\"timestamp\";i:1668187524;}s:64:\"get:/v1/users/2091203/licenses.json?type=active&is_enriched=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:8:\"licenses\";a:16:{i:0;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3754\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6079\";s:10:\"pricing_id\";s:4:\"5287\";s:5:\"quota\";i:1;s:9:\"activated\";i:0;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-09-02 21:00:22\";s:10:\"secret_key\";s:32:\"sk_a02PKt*vj5m?nwz&FOA?;_GvLEES9\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:0;s:2:\"id\";s:6:\"771495\";s:7:\"created\";s:19:\"2021-09-01 21:00:24\";s:7:\"updated\";s:19:\"2022-09-01 22:03:41\";s:11:\"plugin_type\";s:6:\"plugin\";}i:1;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3797\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6115\";s:10:\"pricing_id\";s:4:\"5382\";s:5:\"quota\";N;s:9:\"activated\";i:49;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108337\";s:7:\"created\";s:19:\"2019-08-19 14:32:38\";s:7:\"updated\";s:19:\"2022-11-04 14:19:49\";s:11:\"plugin_type\";s:6:\"plugin\";}i:2;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3756\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6077\";s:10:\"pricing_id\";s:4:\"5357\";s:5:\"quota\";N;s:9:\"activated\";i:47;s:15:\"activated_local\";i:7;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108290\";s:7:\"created\";s:19:\"2019-08-19 13:55:42\";s:7:\"updated\";s:19:\"2022-11-10 17:23:01\";s:11:\"plugin_type\";s:6:\"plugin\";}i:3;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3760\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6073\";s:10:\"pricing_id\";s:4:\"5365\";s:5:\"quota\";N;s:9:\"activated\";i:100;s:15:\"activated_local\";i:1;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108283\";s:7:\"created\";s:19:\"2019-08-19 13:44:57\";s:7:\"updated\";s:19:\"2022-10-26 19:42:51\";s:11:\"plugin_type\";s:6:\"plugin\";}i:4;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3762\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6071\";s:10:\"pricing_id\";s:4:\"5363\";s:5:\"quota\";N;s:9:\"activated\";i:118;s:15:\"activated_local\";i:1;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108281\";s:7:\"created\";s:19:\"2019-08-19 13:44:01\";s:7:\"updated\";s:19:\"2022-10-26 19:43:46\";s:11:\"plugin_type\";s:6:\"plugin\";}i:5;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3759\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6074\";s:10:\"pricing_id\";s:4:\"5359\";s:5:\"quota\";N;s:9:\"activated\";i:7;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108278\";s:7:\"created\";s:19:\"2019-08-19 13:42:07\";s:7:\"updated\";s:19:\"2022-06-29 14:46:46\";s:11:\"plugin_type\";s:6:\"plugin\";}i:6;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3755\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6078\";s:10:\"pricing_id\";s:4:\"5361\";s:5:\"quota\";N;s:9:\"activated\";i:909;s:15:\"activated_local\";i:148;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108277\";s:7:\"created\";s:19:\"2019-08-19 13:41:24\";s:7:\"updated\";s:19:\"2022-11-10 16:17:05\";s:11:\"plugin_type\";s:6:\"plugin\";}i:7;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3761\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6072\";s:10:\"pricing_id\";s:4:\"5355\";s:5:\"quota\";N;s:9:\"activated\";i:910;s:15:\"activated_local\";i:143;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108273\";s:7:\"created\";s:19:\"2019-08-19 13:40:17\";s:7:\"updated\";s:19:\"2022-11-10 17:22:59\";s:11:\"plugin_type\";s:6:\"plugin\";}i:8;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3764\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6069\";s:10:\"pricing_id\";s:4:\"5353\";s:5:\"quota\";N;s:9:\"activated\";i:63;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108267\";s:7:\"created\";s:19:\"2019-08-19 13:38:34\";s:7:\"updated\";s:19:\"2022-09-14 15:37:38\";s:11:\"plugin_type\";s:6:\"plugin\";}i:9;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3763\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6070\";s:10:\"pricing_id\";s:4:\"5351\";s:5:\"quota\";N;s:9:\"activated\";i:96;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108259\";s:7:\"created\";s:19:\"2019-08-19 13:37:00\";s:7:\"updated\";s:19:\"2022-05-11 13:39:54\";s:11:\"plugin_type\";s:6:\"plugin\";}i:10;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3758\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6075\";s:10:\"pricing_id\";s:4:\"5349\";s:5:\"quota\";N;s:9:\"activated\";i:908;s:15:\"activated_local\";i:144;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108247\";s:7:\"created\";s:19:\"2019-08-19 13:34:26\";s:7:\"updated\";s:19:\"2022-11-10 17:22:57\";s:11:\"plugin_type\";s:6:\"plugin\";}i:11;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3766\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6067\";s:10:\"pricing_id\";s:4:\"5347\";s:5:\"quota\";N;s:9:\"activated\";i:124;s:15:\"activated_local\";i:2;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108245\";s:7:\"created\";s:19:\"2019-08-19 13:33:17\";s:7:\"updated\";s:19:\"2022-10-26 19:42:22\";s:11:\"plugin_type\";s:6:\"plugin\";}i:12;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3754\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6079\";s:10:\"pricing_id\";s:4:\"5345\";s:5:\"quota\";N;s:9:\"activated\";i:814;s:15:\"activated_local\";i:145;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108243\";s:7:\"created\";s:19:\"2019-08-19 13:31:46\";s:7:\"updated\";s:19:\"2022-11-10 17:22:55\";s:11:\"plugin_type\";s:6:\"plugin\";}i:13;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3765\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6068\";s:10:\"pricing_id\";s:4:\"5341\";s:5:\"quota\";N;s:9:\"activated\";i:810;s:15:\"activated_local\";i:147;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108239\";s:7:\"created\";s:19:\"2019-08-19 13:30:24\";s:7:\"updated\";s:19:\"2022-11-10 16:16:53\";s:11:\"plugin_type\";s:6:\"plugin\";}i:14;O:8:\"stdClass\":19:{s:9:\"plugin_id\";s:4:\"3757\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6076\";s:10:\"pricing_id\";s:4:\"5343\";s:5:\"quota\";N;s:9:\"activated\";i:947;s:15:\"activated_local\";i:152;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108235\";s:7:\"created\";s:19:\"2019-08-19 13:28:25\";s:7:\"updated\";s:19:\"2022-11-10 16:16:56\";s:11:\"plugin_type\";s:6:\"plugin\";}i:15;O:8:\"stdClass\":20:{s:9:\"plugin_id\";s:4:\"3767\";s:7:\"user_id\";s:7:\"2091203\";s:7:\"plan_id\";s:4:\"6056\";s:10:\"pricing_id\";s:4:\"5269\";s:5:\"quota\";N;s:9:\"activated\";i:0;s:15:\"activated_local\";i:0;s:10:\"expiration\";s:19:\"2023-04-30 16:09:40\";s:10:\"secret_key\";s:32:\"5dafaa61daec79d18128ef4d5b6844d5\";s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:12:\"is_cancelled\";b:0;s:15:\"is_whitelabeled\";b:1;s:11:\"environment\";i:0;s:6:\"source\";i:2;s:2:\"id\";s:6:\"108206\";s:7:\"created\";s:19:\"2019-04-29 15:08:51\";s:7:\"updated\";s:19:\"2022-04-29 16:09:40\";s:11:\"plugin_type\";s:6:\"bundle\";s:8:\"products\";a:16:{i:0;i:3754;i:1;i:3755;i:2;i:3756;i:3;i:3757;i:4;i:3758;i:5;i:3759;i:6;i:3760;i:7;i:3761;i:8;i:3762;i:9;i:3764;i:10;i:3765;i:11;i:3766;i:12;i:3797;i:13;i:3752;i:14;i:3763;i:15;i:9081;}}}}s:7:\"created\";i:1668101124;s:9:\"timestamp\";i:1668187524;}s:53:\"get:/v1/plugins/3752/addons/pricing.json?type=visible\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:6:\"addons\";a:22:{i:0;O:8:\"stdClass\":2:{s:2:\"id\";i:3806;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3806\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6131\";s:7:\"created\";s:19:\"2019-05-16 07:48:04\";s:7:\"updated\";N;}}}i:1;O:8:\"stdClass\":2:{s:2:\"id\";i:3807;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3807\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6132\";s:7:\"created\";s:19:\"2019-05-16 07:53:38\";s:7:\"updated\";N;}}}i:2;O:8:\"stdClass\":2:{s:2:\"id\";i:3809;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3809\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6135\";s:7:\"created\";s:19:\"2019-05-16 08:00:39\";s:7:\"updated\";N;}}}i:3;O:8:\"stdClass\":2:{s:2:\"id\";i:3810;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3810\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6136\";s:7:\"created\";s:19:\"2019-05-16 08:04:08\";s:7:\"updated\";N;}}}i:4;O:8:\"stdClass\":2:{s:2:\"id\";i:3811;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3811\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6137\";s:7:\"created\";s:19:\"2019-05-16 08:06:15\";s:7:\"updated\";N;}}}i:5;O:8:\"stdClass\":2:{s:2:\"id\";i:3813;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3813\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6139\";s:7:\"created\";s:19:\"2019-05-16 08:08:26\";s:7:\"updated\";N;}}}i:6;O:8:\"stdClass\":2:{s:2:\"id\";i:3814;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3814\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6140\";s:7:\"created\";s:19:\"2019-05-16 08:10:28\";s:7:\"updated\";N;}}}i:7;O:8:\"stdClass\":2:{s:2:\"id\";i:3815;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":22:{s:9:\"plugin_id\";s:4:\"3815\";s:4:\"name\";s:4:\"free\";s:5:\"title\";s:4:\"Free\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:1;s:25:\"is_block_features_monthly\";b:1;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";N;s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:0;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6141\";s:7:\"created\";s:19:\"2019-05-16 08:12:51\";s:7:\"updated\";N;}}}i:8;O:8:\"stdClass\":2:{s:2:\"id\";i:3754;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3754\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6079\";s:7:\"created\";s:19:\"2019-05-08 15:07:04\";s:7:\"updated\";s:19:\"2019-05-08 15:07:12\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6079\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5287\";s:7:\"created\";s:19:\"2019-05-08 15:07:09\";s:7:\"updated\";s:19:\"2019-05-08 17:20:35\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6079\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5344\";s:7:\"created\";s:19:\"2019-05-14 11:42:36\";s:7:\"updated\";s:19:\"2019-05-14 11:42:46\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6079\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5369\";s:7:\"created\";s:19:\"2019-05-14 11:57:31\";s:7:\"updated\";s:19:\"2019-05-14 11:57:34\";s:8:\"currency\";s:3:\"usd\";}}}}}i:9;O:8:\"stdClass\":2:{s:2:\"id\";i:3755;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3755\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6078\";s:7:\"created\";s:19:\"2019-05-08 15:06:28\";s:7:\"updated\";s:19:\"2019-05-08 15:06:40\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6078\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5286\";s:7:\"created\";s:19:\"2019-05-08 15:06:36\";s:7:\"updated\";s:19:\"2019-05-08 17:21:47\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6078\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5360\";s:7:\"created\";s:19:\"2019-05-14 11:45:54\";s:7:\"updated\";s:19:\"2019-05-14 11:46:08\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6078\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5377\";s:7:\"created\";s:19:\"2019-05-14 11:59:31\";s:7:\"updated\";s:19:\"2019-05-14 11:59:33\";s:8:\"currency\";s:3:\"usd\";}}}}}i:10;O:8:\"stdClass\":2:{s:2:\"id\";i:3756;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3756\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:0;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6077\";s:7:\"created\";s:19:\"2019-05-08 15:05:56\";s:7:\"updated\";s:19:\"2019-05-08 17:21:30\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6077\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5285\";s:7:\"created\";s:19:\"2019-05-08 15:06:02\";s:7:\"updated\";s:19:\"2019-05-08 17:21:31\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6077\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5356\";s:7:\"created\";s:19:\"2019-05-14 11:45:07\";s:7:\"updated\";s:19:\"2019-05-14 11:45:17\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6077\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5375\";s:7:\"created\";s:19:\"2019-05-14 11:59:03\";s:7:\"updated\";s:19:\"2019-05-14 11:59:05\";s:8:\"currency\";s:3:\"usd\";}}}}}i:11;O:8:\"stdClass\":2:{s:2:\"id\";i:3757;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3757\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6076\";s:7:\"created\";s:19:\"2019-05-08 15:05:23\";s:7:\"updated\";s:19:\"2019-05-08 15:05:33\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6076\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5284\";s:7:\"created\";s:19:\"2019-05-08 15:05:29\";s:7:\"updated\";s:19:\"2019-05-08 17:20:26\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6076\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5342\";s:7:\"created\";s:19:\"2019-05-14 11:42:05\";s:7:\"updated\";s:19:\"2019-05-14 11:42:18\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6076\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5368\";s:7:\"created\";s:19:\"2019-05-14 11:57:15\";s:7:\"updated\";s:19:\"2019-05-14 11:57:17\";s:8:\"currency\";s:3:\"usd\";}}}}}i:12;O:8:\"stdClass\":2:{s:2:\"id\";i:3758;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3758\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:0;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6075\";s:7:\"created\";s:19:\"2019-05-08 15:04:52\";s:7:\"updated\";s:19:\"2019-05-08 17:20:54\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6075\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5283\";s:7:\"created\";s:19:\"2019-05-08 15:04:57\";s:7:\"updated\";s:19:\"2019-05-08 17:20:55\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6075\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5348\";s:7:\"created\";s:19:\"2019-05-14 11:43:25\";s:7:\"updated\";s:19:\"2019-05-14 11:43:35\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6075\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5371\";s:7:\"created\";s:19:\"2019-05-14 11:57:59\";s:7:\"updated\";s:19:\"2019-05-14 11:58:02\";s:8:\"currency\";s:3:\"usd\";}}}}}i:13;O:8:\"stdClass\":2:{s:2:\"id\";i:3759;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3759\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6074\";s:7:\"created\";s:19:\"2019-05-08 15:04:18\";s:7:\"updated\";s:19:\"2019-05-08 15:04:29\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6074\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5282\";s:7:\"created\";s:19:\"2019-05-08 15:04:26\";s:7:\"updated\";s:19:\"2019-05-08 17:21:38\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6074\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5358\";s:7:\"created\";s:19:\"2019-05-14 11:45:31\";s:7:\"updated\";s:19:\"2019-05-14 11:45:39\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6074\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5376\";s:7:\"created\";s:19:\"2019-05-14 11:59:17\";s:7:\"updated\";s:19:\"2019-05-14 11:59:19\";s:8:\"currency\";s:3:\"usd\";}}}}}i:14;O:8:\"stdClass\":2:{s:2:\"id\";i:3760;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3760\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:0;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6073\";s:7:\"created\";s:19:\"2019-05-08 15:03:51\";s:7:\"updated\";s:19:\"2019-05-08 17:24:05\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6073\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5281\";s:7:\"created\";s:19:\"2019-05-08 15:03:58\";s:7:\"updated\";s:19:\"2019-05-08 17:24:05\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6073\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5364\";s:7:\"created\";s:19:\"2019-05-14 11:46:44\";s:7:\"updated\";s:19:\"2019-05-14 11:46:56\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6073\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5379\";s:7:\"created\";s:19:\"2019-05-14 11:59:59\";s:7:\"updated\";s:19:\"2019-05-14 12:00:01\";s:8:\"currency\";s:3:\"usd\";}}}}}i:15;O:8:\"stdClass\":2:{s:2:\"id\";i:3761;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3761\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6072\";s:7:\"created\";s:19:\"2019-05-08 15:03:17\";s:7:\"updated\";s:19:\"2019-05-08 15:03:28\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6072\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5280\";s:7:\"created\";s:19:\"2019-05-08 15:03:24\";s:7:\"updated\";s:19:\"2019-05-08 17:21:22\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6072\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5354\";s:7:\"created\";s:19:\"2019-05-14 11:44:40\";s:7:\"updated\";s:19:\"2019-05-14 11:44:43\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6072\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5374\";s:7:\"created\";s:19:\"2019-05-14 11:58:49\";s:7:\"updated\";s:19:\"2019-05-14 11:58:52\";s:8:\"currency\";s:3:\"usd\";}}}}}i:16;O:8:\"stdClass\":2:{s:2:\"id\";i:3762;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3762\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6071\";s:7:\"created\";s:19:\"2019-05-08 15:02:48\";s:7:\"updated\";s:19:\"2019-05-08 15:02:57\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6071\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5290\";s:7:\"created\";s:19:\"2019-05-08 17:23:57\";s:7:\"updated\";N;s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6071\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5362\";s:7:\"created\";s:19:\"2019-05-14 11:46:20\";s:7:\"updated\";s:19:\"2019-05-14 11:46:28\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6071\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5378\";s:7:\"created\";s:19:\"2019-05-14 11:59:44\";s:7:\"updated\";s:19:\"2019-05-14 11:59:47\";s:8:\"currency\";s:3:\"usd\";}}}}}i:17;O:8:\"stdClass\":2:{s:2:\"id\";i:3763;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3763\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6070\";s:7:\"created\";s:19:\"2019-05-08 15:02:22\";s:7:\"updated\";s:19:\"2019-05-08 15:02:31\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6070\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5279\";s:7:\"created\";s:19:\"2019-05-08 15:02:27\";s:7:\"updated\";s:19:\"2019-05-08 17:21:05\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6070\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5350\";s:7:\"created\";s:19:\"2019-05-14 11:43:49\";s:7:\"updated\";s:19:\"2019-05-14 11:44:00\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6070\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5372\";s:7:\"created\";s:19:\"2019-05-14 11:58:21\";s:7:\"updated\";s:19:\"2019-05-14 11:58:23\";s:8:\"currency\";s:3:\"usd\";}}}}}i:18;O:8:\"stdClass\":2:{s:2:\"id\";i:3764;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3764\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6069\";s:7:\"created\";s:19:\"2019-05-08 15:01:54\";s:7:\"updated\";s:19:\"2019-05-08 15:02:04\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6069\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5278\";s:7:\"created\";s:19:\"2019-05-08 15:02:00\";s:7:\"updated\";s:19:\"2019-05-08 17:21:14\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6069\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5352\";s:7:\"created\";s:19:\"2019-05-14 11:44:16\";s:7:\"updated\";s:19:\"2019-05-14 11:44:27\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6069\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5373\";s:7:\"created\";s:19:\"2019-05-14 11:58:34\";s:7:\"updated\";s:19:\"2019-05-14 11:58:36\";s:8:\"currency\";s:3:\"usd\";}}}}}i:19;O:8:\"stdClass\":2:{s:2:\"id\";i:3765;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3765\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6068\";s:7:\"created\";s:19:\"2019-05-08 15:01:18\";s:7:\"updated\";s:19:\"2019-05-08 15:01:33\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6068\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5277\";s:7:\"created\";s:19:\"2019-05-08 15:01:26\";s:7:\"updated\";s:19:\"2019-05-08 17:20:13\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6068\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5340\";s:7:\"created\";s:19:\"2019-05-14 11:40:25\";s:7:\"updated\";s:19:\"2019-05-14 11:40:44\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6068\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5367\";s:7:\"created\";s:19:\"2019-05-14 11:56:59\";s:7:\"updated\";s:19:\"2019-05-14 11:57:03\";s:8:\"currency\";s:3:\"usd\";}}}}}i:20;O:8:\"stdClass\":2:{s:2:\"id\";i:3766;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3766\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";s:25:\"https://docs.oceanwp.org/\";s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6067\";s:7:\"created\";s:19:\"2019-05-08 15:00:15\";s:7:\"updated\";s:19:\"2019-05-08 15:00:49\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6067\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5276\";s:7:\"created\";s:19:\"2019-05-08 15:00:25\";s:7:\"updated\";s:19:\"2019-05-08 17:20:45\";s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6067\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5346\";s:7:\"created\";s:19:\"2019-05-14 11:43:02\";s:7:\"updated\";s:19:\"2019-05-14 11:43:07\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6067\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5370\";s:7:\"created\";s:19:\"2019-05-14 11:57:46\";s:7:\"updated\";s:19:\"2019-05-14 11:57:49\";s:8:\"currency\";s:3:\"usd\";}}}}}i:21;O:8:\"stdClass\":2:{s:2:\"id\";i:3797;s:5:\"plans\";a:1:{i:0;O:8:\"stdClass\":23:{s:9:\"plugin_id\";s:4:\"3797\";s:4:\"name\";s:3:\"pro\";s:5:\"title\";s:3:\"Pro\";s:11:\"description\";N;s:17:\"is_free_localhost\";b:1;s:17:\"is_block_features\";b:0;s:25:\"is_block_features_monthly\";b:0;s:12:\"license_type\";i:0;s:16:\"is_https_support\";b:0;s:12:\"trial_period\";N;s:23:\"is_require_subscription\";b:0;s:10:\"support_kb\";N;s:13:\"support_forum\";N;s:13:\"support_email\";s:19:\"support@oceanwp.org\";s:13:\"support_phone\";N;s:13:\"support_skype\";N;s:18:\"is_success_manager\";b:0;s:11:\"is_featured\";b:1;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"6115\";s:7:\"created\";s:19:\"2019-05-14 12:40:09\";s:7:\"updated\";s:19:\"2019-05-14 12:41:03\";s:7:\"pricing\";a:3:{i:0;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6115\";s:8:\"licenses\";i:1;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:29.989999999999998436805981327779591083526611328125;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5380\";s:7:\"created\";s:19:\"2019-05-14 12:40:20\";s:7:\"updated\";N;s:8:\"currency\";s:3:\"usd\";}i:1;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6115\";s:8:\"licenses\";i:3;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:69.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5381\";s:7:\"created\";s:19:\"2019-05-14 12:40:21\";s:7:\"updated\";s:19:\"2019-05-14 12:40:35\";s:8:\"currency\";s:3:\"usd\";}i:2;O:8:\"stdClass\":10:{s:7:\"plan_id\";s:4:\"6115\";s:8:\"licenses\";i:25;s:13:\"monthly_price\";N;s:12:\"annual_price\";d:119.9899999999999948840923025272786617279052734375;s:14:\"lifetime_price\";N;s:9:\"is_hidden\";b:0;s:2:\"id\";s:4:\"5383\";s:7:\"created\";s:19:\"2019-05-14 12:40:30\";s:7:\"updated\";s:19:\"2019-05-14 12:40:46\";s:8:\"currency\";s:3:\"usd\";}}}}}}}s:7:\"created\";i:1668101124;s:9:\"timestamp\";i:1668187524;}s:90:\"get:/v1/installs/10533651/updates/latest.json?is_premium=true&newer_than=2.0.4&readme=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:5:\"error\";O:8:\"stdClass\":3:{s:7:\"message\";s:40:\"There\'s no newer release of the product.\";s:4:\"code\";s:23:\"newer_version_not_found\";s:4:\"http\";i:404;}}s:7:\"created\";i:1668101151;s:9:\"timestamp\";i:1668102951;}s:90:\"get:/v1/installs/10533654/updates/latest.json?is_premium=true&newer_than=2.3.0&readme=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:5:\"error\";O:8:\"stdClass\":3:{s:7:\"message\";s:40:\"There\'s no newer release of the product.\";s:4:\"code\";s:23:\"newer_version_not_found\";s:4:\"http\";i:404;}}s:7:\"created\";i:1668101151;s:9:\"timestamp\";i:1668102951;}s:90:\"get:/v1/installs/10661793/updates/latest.json?is_premium=true&newer_than=2.0.4&readme=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:5:\"error\";O:8:\"stdClass\":3:{s:7:\"message\";s:40:\"There\'s no newer release of the product.\";s:4:\"code\";s:23:\"newer_version_not_found\";s:4:\"http\";i:404;}}s:7:\"created\";i:1668101151;s:9:\"timestamp\";i:1668102951;}s:90:\"get:/v1/installs/10661794/updates/latest.json?is_premium=true&newer_than=2.0.2&readme=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:5:\"error\";O:8:\"stdClass\":3:{s:7:\"message\";s:40:\"There\'s no newer release of the product.\";s:4:\"code\";s:23:\"newer_version_not_found\";s:4:\"http\";i:404;}}s:7:\"created\";i:1668101151;s:9:\"timestamp\";i:1668102951;}s:90:\"get:/v1/installs/10661795/updates/latest.json?is_premium=true&newer_than=2.1.0&readme=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:5:\"error\";O:8:\"stdClass\":3:{s:7:\"message\";s:40:\"There\'s no newer release of the product.\";s:4:\"code\";s:23:\"newer_version_not_found\";s:4:\"http\";i:404;}}s:7:\"created\";i:1668101151;s:9:\"timestamp\";i:1668102951;}s:90:\"get:/v1/installs/10533655/updates/latest.json?is_premium=true&newer_than=2.0.5&readme=true\";O:8:\"stdClass\":3:{s:6:\"result\";O:8:\"stdClass\":1:{s:5:\"error\";O:8:\"stdClass\":3:{s:7:\"message\";s:40:\"There\'s no newer release of the product.\";s:4:\"code\";s:23:\"newer_version_not_found\";s:4:\"http\";i:404;}}s:7:\"created\";i:1668101151;s:9:\"timestamp\";i:1668102951;}}", "no");
INSERT INTO `wpky_options` VALUES("2007", "ocean-sticky-footer-version", "1.0.9", "yes");
INSERT INTO `wpky_options` VALUES("2014", "ocean-side-panel-version", "1.1.0", "yes");
INSERT INTO `wpky_options` VALUES("2051", "ocean_extra_dismiss_rating_notice", "1", "yes");
INSERT INTO `wpky_options` VALUES("2373", "theme_mods_oceanwp-child-theme-master", "a:115:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:9:\"main_menu\";i:2;}s:18:\"custom_css_post_id\";i:90;s:15:\"body_typography\";a:4:{s:11:\"font-family\";s:7:\"PT Sans\";s:9:\"font-size\";s:4:\"16px\";s:14:\"letter-spacing\";s:3:\"0.5\";s:5:\"color\";s:7:\"#444444\";}s:19:\"headings_typography\";a:5:{s:11:\"font-family\";s:16:\"Playfair Display\";s:11:\"font-weight\";s:3:\"400\";s:11:\"line-height\";s:3:\"1.2\";s:14:\"letter-spacing\";s:1:\"1\";s:5:\"color\";s:7:\"#111111\";}s:19:\"ocean_primary_color\";s:7:\"#111111\";s:25:\"ocean_hover_primary_color\";s:7:\"#444444\";s:17:\"ocean_links_color\";s:7:\"#333333\";s:23:\"ocean_links_color_hover\";s:7:\"#000000\";s:18:\"ocn_btn_background\";s:7:\"#111111\";s:24:\"ocn_btn_hover_background\";s:7:\"#555555\";s:13:\"ocean_top_bar\";b:1;s:18:\"ocean_header_style\";s:6:\"center\";s:33:\"ocean_center_header_menu_position\";s:8:\"centered\";s:31:\"ocean_center_header_transparent\";b:1;s:29:\"ocean_center_header_left_menu\";s:1:\"3\";s:17:\"ocean_retina_logo\";s:82:\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-white.png\";s:23:\"ocean_menu_search_style\";s:8:\"disabled\";s:21:\"osh_has_sticky_topbar\";b:1;s:21:\"osh_has_sticky_mobile\";b:1;s:25:\"osh_sticky_header_opacity\";s:1:\"1\";s:8:\"osh_logo\";s:76:\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png\";s:15:\"osh_logo_retina\";s:76:\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png\";s:24:\"ocean_header_top_padding\";s:2:\"10\";s:27:\"ocean_header_bottom_padding\";s:2:\"10\";s:21:\"ocean_logo_max_height\";s:3:\"100\";s:24:\"osh_shrink_header_height\";s:3:\"100\";s:22:\"osh_header_top_padding\";s:2:\"10\";s:24:\"osh_header_right_padding\";s:0:\"\";s:25:\"osh_header_bottom_padding\";s:2:\"10\";s:29:\"osh_shrink_header_logo_height\";s:3:\"100\";s:19:\"ocean_header_height\";s:3:\"100\";s:15:\"menu_typography\";a:4:{s:11:\"font-family\";s:7:\"PT Sans\";s:11:\"font-weight\";s:3:\"600\";s:14:\"text-transform\";s:9:\"uppercase\";s:9:\"font-size\";s:4:\"15px\";}s:30:\"ocean_has_header_border_bottom\";b:0;s:21:\"ocean_menu_link_color\";s:7:\"#ffffff\";s:27:\"ocean_menu_link_color_hover\";s:7:\"#dddddd\";s:28:\"ocean_menu_link_color_active\";s:0:\"\";s:15:\"osh_links_color\";s:7:\"#111111\";s:21:\"osh_links_hover_color\";s:7:\"#666666\";s:23:\"osp_side_panel_displace\";b:0;s:22:\"osp_side_panel_overlay\";b:1;s:17:\"osp_side_panel_bg\";s:7:\"#ffffff\";s:19:\"osp_close_button_bg\";s:7:\"#f3f3f3\";s:14:\"osp_text_color\";s:7:\"#444444\";s:15:\"osp_links_color\";s:7:\"#444444\";s:21:\"osp_links_hover_color\";s:7:\"#85cc74\";s:26:\"ocean_header_right_padding\";s:1:\"0\";s:29:\"ocean_mobile_menu_breakpoints\";s:6:\"custom\";s:35:\"ocean_mobile_menu_custom_breakpoint\";s:4:\"1105\";s:38:\"ocean_mobile_menu_display_opening_text\";b:0;s:26:\"osp_side_panel_breakpoints\";s:5:\"never\";s:32:\"osp_side_panel_custom_breakpoint\";s:0:\"\";s:12:\"osp_template\";s:3:\"128\";s:18:\"osp_headings_color\";s:7:\"#111111\";s:17:\"osp_right_padding\";s:2:\"20\";s:16:\"osp_left_padding\";s:2:\"20\";s:25:\"osp_close_button_hover_bg\";s:7:\"#333333\";s:23:\"ocean_footer_background\";s:7:\"#f3f3f3\";s:18:\"ocean_footer_color\";s:7:\"#444444\";s:20:\"ocean_footer_borders\";s:7:\"#ffffff\";s:29:\"ocean_footer_link_color_hover\";s:7:\"#666666\";s:29:\"ocean_footer_widgets_template\";s:3:\"232\";s:24:\"ocean_footer_top_padding\";s:1:\"0\";s:27:\"ocean_footer_bottom_padding\";s:1:\"0\";s:23:\"ocean_footer_link_color\";s:7:\"#444444\";s:19:\"ocean_footer_bottom\";b:0;s:21:\"ocean_scroll_top_size\";s:2:\"50\";s:18:\"ofc_callout_button\";b:0;s:14:\"ofc_callout_bg\";s:7:\"#ffffff\";s:18:\"ofc_callout_border\";s:7:\"#ffffff\";s:17:\"ofc_callout_color\";s:7:\"#444444\";s:20:\"ofc_callout_template\";s:3:\"517\";s:23:\"ofc_callout_top_padding\";s:1:\"0\";s:26:\"ofc_callout_bottom_padding\";s:1:\"0\";s:25:\"ocean_custom_nav_template\";s:1:\"0\";s:30:\"ocean_dropdown_menu_background\";s:7:\"#f3f3f3\";s:30:\"ocean_dropdown_menu_top_border\";s:19:\"rgba(243,243,243,0)\";s:22:\"ocean_scroll_top_arrow\";s:18:\"fa fa-level-up-alt\";s:26:\"ocean_scroll_top_icon_size\";s:2:\"16\";s:30:\"ocean_scroll_top_border_radius\";s:1:\"0\";s:19:\"ocean_scroll_top_bg\";s:7:\"#000000\";s:25:\"ocean_scroll_top_bg_hover\";s:7:\"#666666\";s:23:\"ocean_page_header_style\";s:16:\"background-image\";s:46:\"ocean_page_header_bg_title_breadcrumb_position\";s:6:\"center\";s:35:\"ocean_page_header_bg_image_position\";s:13:\"center center\";s:17:\"ocean_breadcrumbs\";b:0;s:27:\"ocean_breadcrumb_show_title\";b:1;s:29:\"ocean_page_header_top_padding\";s:3:\"150\";s:32:\"ocean_page_header_bottom_padding\";s:2:\"50\";s:36:\"ocean_page_header_tablet_top_padding\";s:3:\"200\";s:39:\"ocean_page_header_tablet_bottom_padding\";s:2:\"50\";s:28:\"page_title_tablet_typography\";a:1:{s:9:\"font-size\";s:4:\"60px\";}s:21:\"page_title_typography\";a:1:{s:9:\"font-size\";s:4:\"60px\";}s:28:\"page_title_mobile_typography\";a:1:{s:9:\"font-size\";s:4:\"40px\";}s:26:\"ocean_page_header_bg_image\";s:77:\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1040250650.jpg\";s:24:\"ocean_mobile_menu_search\";b:0;s:28:\"ocean_logo_max_height_tablet\";s:2:\"80\";s:28:\"ocean_logo_max_height_mobile\";s:2:\"40\";s:11:\"custom_logo\";i:930;s:24:\"ocean_top_bar_visibility\";s:11:\"hide-mobile\";s:19:\"ocean_top_bar_style\";s:5:\"three\";s:25:\"ocean_top_bar_top_padding\";s:1:\"5\";s:28:\"ocean_top_bar_bottom_padding\";s:1:\"5\";s:16:\"ocean_top_bar_bg\";s:7:\"#ededed\";s:21:\"ocean_top_bar_content\";s:406:\"<i class=\"fa fa-map-marker\"></i> Location\n\n<i class=\"fa fa-phone\"></i> \n<span class=\"d-only\">xxx.xxx.xxxx</span>\n<a href=\"tel:xxx-xxx-xxxx\" class=\"m-only\">Call Us</a>\n\n<i class=\"fa fa-envelope\"></i> <a href=\"mailto:webteam@enter.net\">Email Us</a>\n\n<a href=\"#\" target=\"_blank\" class=\"d-only\"><i class=\"fa fa-facebook-f\"></i></a>\n<a href=\"#\" target=\"_blank\" class=\"d-only\"><i class=\"fa fa-instagram\"></i></a>\";s:24:\"ocean_blog_single_layout\";s:13:\"right-sidebar\";s:35:\"ocean_blog_single_page_header_title\";s:4:\"blog\";s:31:\"ocean_blog_single_content_width\";s:3:\"700\";s:38:\"ocean_blog_single_elements_positioning\";a:9:{i:0;s:14:\"featured_image\";i:1;s:5:\"title\";i:2;s:4:\"meta\";i:3;s:7:\"content\";i:4;s:12:\"social_share\";i:5;s:4:\"tags\";i:6;s:9:\"next_prev\";i:7;s:13:\"related_posts\";i:8;s:15:\"single_comments\";}s:15:\"ocean_custom_js\";s:46:\"function goBack() {\n  window.history.back();\n}\";s:21:\"ocean_theme_button_bg\";s:7:\"#333333\";s:27:\"ocean_theme_button_hover_bg\";s:7:\"#000000\";s:32:\"osp_side_panel_open_btn_position\";s:6:\"manual\";s:24:\"ocean_blog_image_overlay\";b:0;s:16:\"ocean_blog_style\";s:15:\"thumbnail-entry\";}", "yes");
INSERT INTO `wpky_options` VALUES("2509", "admin_email_lifespan", "1683652958", "yes");
INSERT INTO `wpky_options` VALUES("2510", "db_upgraded", "", "yes");
INSERT INTO `wpky_options` VALUES("2513", "rank_math_search_console_data", "a:2:{s:10:\"authorized\";b:0;s:8:\"profiles\";a:0:{}}", "yes");
INSERT INTO `wpky_options` VALUES("2514", "rank_math_known_post_types", "a:6:{s:4:\"post\";s:4:\"post\";s:4:\"page\";s:4:\"page\";s:10:\"attachment\";s:10:\"attachment\";s:17:\"elementor_library\";s:17:\"elementor_library\";s:15:\"oceanwp_library\";s:15:\"oceanwp_library\";s:15:\"ocean_portfolio\";s:15:\"ocean_portfolio\";}", "yes");
INSERT INTO `wpky_options` VALUES("2515", "rank_math_modules", "a:7:{i:0;s:12:\"link-counter\";i:1;s:14:\"search-console\";i:2;s:12:\"seo-analysis\";i:3;s:7:\"sitemap\";i:4;s:12:\"rich-snippet\";i:5;s:11:\"woocommerce\";i:6;s:3:\"acf\";}", "yes");
INSERT INTO `wpky_options` VALUES("2516", "rank-math-options-general", "a:41:{s:19:\"strip_category_base\";s:3:\"off\";s:24:\"attachment_redirect_urls\";s:2:\"on\";s:27:\"attachment_redirect_default\";s:28:\"https://c97021x1.entnet8.com\";s:19:\"url_strip_stopwords\";s:3:\"off\";s:23:\"nofollow_external_links\";s:3:\"off\";s:20:\"nofollow_image_links\";s:3:\"off\";s:25:\"new_window_external_links\";s:2:\"on\";s:11:\"add_img_alt\";s:3:\"off\";s:14:\"img_alt_format\";s:20:\"%title% %count(alt)%\";s:13:\"add_img_title\";s:3:\"off\";s:16:\"img_title_format\";s:22:\"%title% %count(title)%\";s:11:\"breadcrumbs\";s:3:\"off\";s:21:\"breadcrumbs_separator\";s:1:\"-\";s:16:\"breadcrumbs_home\";s:2:\"on\";s:22:\"breadcrumbs_home_label\";s:4:\"Home\";s:26:\"breadcrumbs_archive_format\";s:15:\"Archives for %s\";s:25:\"breadcrumbs_search_format\";s:14:\"Results for %s\";s:21:\"breadcrumbs_404_label\";s:25:\"404 Error: page not found\";s:31:\"breadcrumbs_ancestor_categories\";s:3:\"off\";s:21:\"breadcrumbs_blog_page\";s:3:\"off\";s:16:\"404_monitor_mode\";s:6:\"simple\";s:17:\"404_monitor_limit\";i:100;s:35:\"404_monitor_ignore_query_parameters\";s:2:\"on\";s:24:\"redirections_header_code\";s:3:\"301\";s:18:\"redirections_debug\";s:3:\"off\";s:15:\"console_profile\";s:0:\"\";s:23:\"console_caching_control\";s:2:\"90\";s:27:\"link_builder_links_per_page\";s:1:\"7\";s:29:\"link_builder_links_per_target\";s:1:\"1\";s:22:\"wc_remove_product_base\";s:3:\"off\";s:23:\"wc_remove_category_base\";s:3:\"off\";s:31:\"wc_remove_category_parent_slugs\";s:3:\"off\";s:18:\"rss_before_content\";s:0:\"\";s:17:\"rss_after_content\";s:0:\"\";s:14:\"usage_tracking\";s:3:\"off\";s:19:\"wc_remove_generator\";s:2:\"on\";s:24:\"remove_shop_snippet_data\";s:2:\"on\";s:18:\"frontend_seo_score\";s:3:\"off\";s:29:\"frontend_seo_score_post_types\";a:1:{i:0;s:4:\"post\";}s:27:\"frontend_seo_score_position\";s:3:\"top\";s:18:\"enable_auto_update\";s:3:\"off\";}", "yes");
INSERT INTO `wpky_options` VALUES("2517", "rank-math-options-titles", "a:130:{s:24:\"noindex_empty_taxonomies\";s:2:\"on\";s:15:\"title_separator\";s:1:\"-\";s:17:\"capitalize_titles\";s:3:\"off\";s:17:\"twitter_card_type\";s:19:\"summary_large_image\";s:19:\"knowledgegraph_type\";s:6:\"person\";s:19:\"knowledgegraph_name\";s:14:\"New Base Theme\";s:19:\"local_business_type\";s:12:\"Organization\";s:20:\"local_address_format\";s:43:\"{address} {locality}, {region} {postalcode}\";s:13:\"opening_hours\";a:7:{i:0;a:2:{s:3:\"day\";s:6:\"Monday\";s:4:\"time\";s:11:\"09:00-17:00\";}i:1;a:2:{s:3:\"day\";s:7:\"Tuesday\";s:4:\"time\";s:11:\"09:00-17:00\";}i:2;a:2:{s:3:\"day\";s:9:\"Wednesday\";s:4:\"time\";s:11:\"09:00-17:00\";}i:3;a:2:{s:3:\"day\";s:8:\"Thursday\";s:4:\"time\";s:11:\"09:00-17:00\";}i:4;a:2:{s:3:\"day\";s:6:\"Friday\";s:4:\"time\";s:11:\"09:00-17:00\";}i:5;a:2:{s:3:\"day\";s:8:\"Saturday\";s:4:\"time\";s:11:\"09:00-17:00\";}i:6;a:2:{s:3:\"day\";s:6:\"Sunday\";s:4:\"time\";s:11:\"09:00-17:00\";}}s:20:\"opening_hours_format\";s:3:\"off\";s:14:\"homepage_title\";s:34:\"%sitename% %page% %sep% %sitedesc%\";s:20:\"homepage_description\";s:0:\"\";s:22:\"homepage_custom_robots\";s:3:\"off\";s:23:\"disable_author_archives\";s:3:\"off\";s:15:\"url_author_base\";s:6:\"author\";s:20:\"author_custom_robots\";s:2:\"on\";s:13:\"author_robots\";a:1:{i:0;s:7:\"noindex\";}s:20:\"author_archive_title\";s:30:\"%name% %sep% %sitename% %page%\";s:19:\"author_add_meta_box\";s:2:\"on\";s:21:\"disable_date_archives\";s:3:\"off\";s:18:\"date_archive_title\";s:30:\"%date% %page% %sep% %sitename%\";s:12:\"search_title\";s:38:\"%search_query% %page% %sep% %sitename%\";s:9:\"404_title\";s:31:\"Page Not Found %sep% %sitename%\";s:19:\"date_archive_robots\";a:1:{i:0;s:7:\"noindex\";}s:14:\"noindex_search\";s:2:\"on\";s:24:\"noindex_archive_subpages\";s:3:\"off\";s:26:\"noindex_password_protected\";s:3:\"off\";s:13:\"pt_post_title\";s:24:\"%title% %sep% %sitename%\";s:19:\"pt_post_description\";s:9:\"%excerpt%\";s:14:\"pt_post_robots\";a:0:{}s:21:\"pt_post_custom_robots\";s:3:\"off\";s:28:\"pt_post_default_rich_snippet\";s:7:\"article\";s:28:\"pt_post_default_article_type\";s:11:\"BlogPosting\";s:28:\"pt_post_default_snippet_name\";s:7:\"%title%\";s:28:\"pt_post_default_snippet_desc\";s:9:\"%excerpt%\";s:17:\"pt_post_ls_use_fk\";s:6:\"titles\";s:20:\"pt_post_add_meta_box\";s:2:\"on\";s:20:\"pt_post_bulk_editing\";s:7:\"editing\";s:24:\"pt_post_link_suggestions\";s:2:\"on\";s:24:\"pt_post_primary_taxonomy\";s:8:\"category\";s:13:\"pt_page_title\";s:24:\"%title% %sep% %sitename%\";s:19:\"pt_page_description\";s:9:\"%excerpt%\";s:14:\"pt_page_robots\";a:0:{}s:21:\"pt_page_custom_robots\";s:3:\"off\";s:28:\"pt_page_default_rich_snippet\";s:7:\"article\";s:28:\"pt_page_default_article_type\";s:7:\"Article\";s:28:\"pt_page_default_snippet_name\";s:7:\"%title%\";s:28:\"pt_page_default_snippet_desc\";s:9:\"%excerpt%\";s:17:\"pt_page_ls_use_fk\";s:6:\"titles\";s:20:\"pt_page_add_meta_box\";s:2:\"on\";s:20:\"pt_page_bulk_editing\";s:7:\"editing\";s:24:\"pt_page_link_suggestions\";s:2:\"on\";s:19:\"pt_attachment_title\";s:24:\"%title% %sep% %sitename%\";s:25:\"pt_attachment_description\";s:9:\"%excerpt%\";s:20:\"pt_attachment_robots\";a:1:{i:0;s:7:\"noindex\";}s:27:\"pt_attachment_custom_robots\";s:2:\"on\";s:34:\"pt_attachment_default_rich_snippet\";s:3:\"off\";s:34:\"pt_attachment_default_article_type\";s:7:\"Article\";s:34:\"pt_attachment_default_snippet_name\";s:7:\"%title%\";s:34:\"pt_attachment_default_snippet_desc\";s:9:\"%excerpt%\";s:26:\"pt_attachment_add_meta_box\";s:3:\"off\";s:26:\"pt_elementor_library_title\";s:24:\"%title% %sep% %sitename%\";s:32:\"pt_elementor_library_description\";s:9:\"%excerpt%\";s:27:\"pt_elementor_library_robots\";a:0:{}s:34:\"pt_elementor_library_custom_robots\";s:3:\"off\";s:41:\"pt_elementor_library_default_rich_snippet\";s:3:\"off\";s:41:\"pt_elementor_library_default_article_type\";s:7:\"Article\";s:41:\"pt_elementor_library_default_snippet_name\";s:7:\"%title%\";s:41:\"pt_elementor_library_default_snippet_desc\";s:9:\"%excerpt%\";s:30:\"pt_elementor_library_ls_use_fk\";s:6:\"titles\";s:33:\"pt_elementor_library_add_meta_box\";s:2:\"on\";s:33:\"pt_elementor_library_bulk_editing\";s:7:\"editing\";s:37:\"pt_elementor_library_link_suggestions\";s:2:\"on\";s:24:\"pt_oceanwp_library_title\";s:24:\"%title% %sep% %sitename%\";s:30:\"pt_oceanwp_library_description\";s:9:\"%excerpt%\";s:25:\"pt_oceanwp_library_robots\";a:0:{}s:32:\"pt_oceanwp_library_custom_robots\";s:3:\"off\";s:39:\"pt_oceanwp_library_default_rich_snippet\";s:3:\"off\";s:39:\"pt_oceanwp_library_default_article_type\";s:7:\"Article\";s:39:\"pt_oceanwp_library_default_snippet_name\";s:7:\"%title%\";s:39:\"pt_oceanwp_library_default_snippet_desc\";s:9:\"%excerpt%\";s:28:\"pt_oceanwp_library_ls_use_fk\";s:6:\"titles\";s:31:\"pt_oceanwp_library_add_meta_box\";s:2:\"on\";s:31:\"pt_oceanwp_library_bulk_editing\";s:7:\"editing\";s:35:\"pt_oceanwp_library_link_suggestions\";s:2:\"on\";s:24:\"pt_ocean_portfolio_title\";s:24:\"%title% %sep% %sitename%\";s:30:\"pt_ocean_portfolio_description\";s:9:\"%excerpt%\";s:25:\"pt_ocean_portfolio_robots\";a:0:{}s:32:\"pt_ocean_portfolio_custom_robots\";s:3:\"off\";s:39:\"pt_ocean_portfolio_default_rich_snippet\";s:3:\"off\";s:39:\"pt_ocean_portfolio_default_article_type\";s:7:\"Article\";s:39:\"pt_ocean_portfolio_default_snippet_name\";s:7:\"%title%\";s:39:\"pt_ocean_portfolio_default_snippet_desc\";s:9:\"%excerpt%\";s:28:\"pt_ocean_portfolio_ls_use_fk\";s:6:\"titles\";s:31:\"pt_ocean_portfolio_add_meta_box\";s:2:\"on\";s:31:\"pt_ocean_portfolio_bulk_editing\";s:7:\"editing\";s:35:\"pt_ocean_portfolio_link_suggestions\";s:2:\"on\";s:16:\"pt_product_title\";s:24:\"%title% %sep% %sitename%\";s:22:\"pt_product_description\";s:9:\"%excerpt%\";s:17:\"pt_product_robots\";a:0:{}s:24:\"pt_product_custom_robots\";s:3:\"off\";s:31:\"pt_product_default_rich_snippet\";s:7:\"product\";s:31:\"pt_product_default_article_type\";s:7:\"Article\";s:31:\"pt_product_default_snippet_name\";s:7:\"%title%\";s:31:\"pt_product_default_snippet_desc\";s:9:\"%excerpt%\";s:20:\"pt_product_ls_use_fk\";s:6:\"titles\";s:23:\"pt_product_add_meta_box\";s:2:\"on\";s:23:\"pt_product_bulk_editing\";s:7:\"editing\";s:27:\"pt_product_link_suggestions\";s:2:\"on\";s:27:\"pt_product_primary_taxonomy\";s:11:\"product_cat\";s:18:\"tax_category_title\";s:23:\"%term% %sep% %sitename%\";s:19:\"tax_category_robots\";a:0:{}s:25:\"tax_category_add_meta_box\";s:2:\"on\";s:26:\"tax_category_custom_robots\";s:3:\"off\";s:18:\"tax_post_tag_title\";s:23:\"%term% %sep% %sitename%\";s:19:\"tax_post_tag_robots\";a:1:{i:0;s:7:\"noindex\";}s:25:\"tax_post_tag_add_meta_box\";s:3:\"off\";s:26:\"tax_post_tag_custom_robots\";s:2:\"on\";s:21:\"tax_post_format_title\";s:23:\"%term% %sep% %sitename%\";s:22:\"tax_post_format_robots\";a:1:{i:0;s:7:\"noindex\";}s:28:\"tax_post_format_add_meta_box\";s:3:\"off\";s:29:\"tax_post_format_custom_robots\";s:2:\"on\";s:34:\"tax_ocean_portfolio_category_title\";s:23:\"%term% %sep% %sitename%\";s:35:\"tax_ocean_portfolio_category_robots\";a:0:{}s:41:\"tax_ocean_portfolio_category_add_meta_box\";s:3:\"off\";s:42:\"tax_ocean_portfolio_category_custom_robots\";s:3:\"off\";s:29:\"tax_ocean_portfolio_tag_title\";s:23:\"%term% %sep% %sitename%\";s:30:\"tax_ocean_portfolio_tag_robots\";a:0:{}s:36:\"tax_ocean_portfolio_tag_add_meta_box\";s:3:\"off\";s:37:\"tax_ocean_portfolio_tag_custom_robots\";s:3:\"off\";}", "yes");
INSERT INTO `wpky_options` VALUES("2518", "rank-math-options-sitemap", "a:17:{s:14:\"items_per_page\";i:200;s:14:\"include_images\";s:2:\"on\";s:22:\"include_featured_image\";s:3:\"off\";s:19:\"ping_search_engines\";s:2:\"on\";s:13:\"exclude_roles\";a:2:{s:11:\"contributor\";s:11:\"Contributor\";s:10:\"subscriber\";s:10:\"Subscriber\";}s:15:\"pt_post_sitemap\";s:2:\"on\";s:15:\"pt_page_sitemap\";s:2:\"on\";s:21:\"pt_attachment_sitemap\";s:3:\"off\";s:28:\"pt_elementor_library_sitemap\";s:2:\"on\";s:26:\"pt_oceanwp_library_sitemap\";s:2:\"on\";s:26:\"pt_ocean_portfolio_sitemap\";s:2:\"on\";s:18:\"pt_product_sitemap\";s:2:\"on\";s:20:\"tax_category_sitemap\";s:2:\"on\";s:20:\"tax_post_tag_sitemap\";s:3:\"off\";s:23:\"tax_post_format_sitemap\";s:3:\"off\";s:36:\"tax_ocean_portfolio_category_sitemap\";s:3:\"off\";s:31:\"tax_ocean_portfolio_tag_sitemap\";s:3:\"off\";}", "yes");
INSERT INTO `wpky_options` VALUES("2521", "rank_math_version", "1.0.42.3", "yes");
INSERT INTO `wpky_options` VALUES("2522", "rank_math_db_version", "1", "yes");
INSERT INTO `wpky_options` VALUES("2523", "rank_math_install_date", "1574110128", "yes");
INSERT INTO `wpky_options` VALUES("2524", "rank_math_flush_rewrite", "1", "yes");
INSERT INTO `wpky_options` VALUES("2580", "elementor_connect_site_key", "036ced948dbfe9bc1464cc16d9c70d7f", "yes");
INSERT INTO `wpky_options` VALUES("2638", "WPLANG", "", "yes");
INSERT INTO `wpky_options` VALUES("2639", "new_admin_email", "webteam@enter.net", "yes");
INSERT INTO `wpky_options` VALUES("2644", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wpky_options` VALUES("2650", "_elementor_scheme_last_updated", "1588362236", "yes");
INSERT INTO `wpky_options` VALUES("2689", "ocean_portfolio_category_children", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("2694", "elementor_pro_tracker_notice", "1", "yes");
INSERT INTO `wpky_options` VALUES("2695", "elementor_tracker_notice", "1", "yes");
INSERT INTO `wpky_options` VALUES("3087", "duplicator_settings", "a:17:{s:7:\"version\";s:5:\"1.5.0\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:16:\"uninstall_tables\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"legacy\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:7;}", "yes");
INSERT INTO `wpky_options` VALUES("3088", "duplicator_version_plugin", "1.5.0", "yes");
INSERT INTO `wpky_options` VALUES("3089", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2022-11-10 19:38:57\";s:7:\"Version\";s:5:\"1.5.0\";s:9:\"VersionWP\";s:3:\"6.1\";s:9:\"VersionDB\";s:7:\"10.3.37\";s:10:\"VersionPHP\";s:6:\"7.4.32\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:25:\"nov2022_sophisticated_one\";s:4:\"Hash\";s:35:\"d373ef729fcd4c651458_20221110193857\";s:8:\"NameHash\";s:61:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:71:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:50:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:2264;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:10553;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2022-11-10 19:38:57\";s:7:\"Version\";s:5:\"1.5.0\";s:9:\"VersionWP\";s:3:\"6.1\";s:9:\"VersionDB\";s:7:\"10.3.37\";s:10:\"VersionPHP\";s:6:\"7.4.32\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:25:\"nov2022_sophisticated_one\";s:4:\"Hash\";s:35:\"d373ef729fcd4c651458_20221110193857\";s:8:\"NameHash\";s:61:\"nov2022_sophisticated_one_d373ef729fcd4c651458_20221110193857\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:64:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":14:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:59:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-admin\";i:1;s:62:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-includes\";i:2;s:71:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:50:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com\";i:1;s:50:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com\";i:2;s:61:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content\";i:3;s:69:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/uploads\";i:4;s:69:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/plugins\";i:5;s:72:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/mu-plugins\";i:6;s:68:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:67:\"/home2/c20665x1/home/c20665x1/test.ajdembrosky.com/wp-snapshots/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:143;}", "yes");
INSERT INTO `wpky_options` VALUES("3090", "duplicator_exe_safe_mode", "", "yes");
INSERT INTO `wpky_options` VALUES("3132", "elementor_tracker_last_send", "1668100948", "yes");
INSERT INTO `wpky_options` VALUES("3229", "owp_wizard", "un-setup", "yes");
INSERT INTO `wpky_options` VALUES("3232", "_fs_transient_timeout_fsm_edd_37394", "1588348844", "no");
INSERT INTO `wpky_options` VALUES("3233", "_fs_transient_fsm_edd_37394", "c6530ada90e1ff520bdab1d49c07b32a", "no");
INSERT INTO `wpky_options` VALUES("3253", "_fs_transient_timeout_fs_should_migrate_9f6e895ca7af6a3ed66eb406d5cf17b2", "1746028802", "no");
INSERT INTO `wpky_options` VALUES("3254", "_fs_transient_fs_should_migrate_9f6e895ca7af6a3ed66eb406d5cf17b2", "no", "no");
INSERT INTO `wpky_options` VALUES("3265", "elementor_active_kit", "988", "yes");
INSERT INTO `wpky_options` VALUES("3301", "wpforms_version_lite", "1.6.0.1", "yes");
INSERT INTO `wpky_options` VALUES("3302", "action_scheduler_hybrid_store_demarkation", "989", "yes");
INSERT INTO `wpky_options` VALUES("3303", "schema-ActionScheduler_StoreSchema", "6.0.1668101050", "yes");
INSERT INTO `wpky_options` VALUES("3304", "schema-ActionScheduler_LoggerSchema", "3.0.1668101050", "yes");
INSERT INTO `wpky_options` VALUES("3307", "action_scheduler_lock_async-request-runner", "1668109597", "yes");
INSERT INTO `wpky_options` VALUES("3316", "wpforms_notifications", "a:4:{s:6:\"update\";i:1668101016;s:4:\"feed\";a:2:{i:0;a:6:{s:5:\"title\";s:42:\"Design Awesome Forms with the Layout Field\";s:7:\"content\";s:280:\"Build your own form layout... no code required! The Layout field lets you position fields in columns to make form completion easier and faster. Increase conversions and sales as you take full control of your forms’ appearance. Give the Layout field a try - available to you now!\";s:4:\"type\";a:6:{i:0;s:6:\"agency\";i:1;s:5:\"basic\";i:2;s:5:\"elite\";i:3;s:4:\"plus\";i:4;s:3:\"pro\";i:5;s:8:\"ultimate\";}s:2:\"id\";i:181;s:4:\"btns\";a:2:{s:4:\"main\";a:2:{s:3:\"url\";s:184:\"https://wpforms.com/introducing-wpforms-1-7-7-the-new-layout-field-is-here/?utm_source=WordPress&utm_campaign=plugin&utm_medium=Plugin Notification&utm_content=WPForms 1.7.7 Learn More\";s:4:\"text\";s:10:\"Learn More\";}s:3:\"alt\";a:2:{s:3:\"url\";s:174:\"https://wpforms.com/docs/how-to-use-the-layout-field-in-wpforms/?utm_source=WordPress&utm_campaign=plugin&utm_medium=Plugin Notification&utm_content=WPForms 1.7.7 Get Started\";s:4:\"text\";s:11:\"Get Started\";}}s:5:\"start\";s:19:\"2022-10-21 00:00:00\";}i:1;a:6:{s:5:\"title\";s:47:\"Supercharged Payment Forms with PayPal Commerce\";s:7:\"content\";s:291:\"With the new PayPal Commerce addon, your visitors can quickly pay using PayPal or credit card without ever leaving your site! Plus, we added full support for both one-time and recurring payments, advanced conditional logic, and more! Instantly available to you as a Pro/Elite license holder.\";s:4:\"type\";a:3:{i:0;s:5:\"elite\";i:1;s:3:\"pro\";i:2;s:8:\"ultimate\";}s:2:\"id\";i:177;s:4:\"btns\";a:2:{s:4:\"main\";a:2:{s:3:\"url\";s:179:\"https://wpforms.com/introducing-new-paypal-commerce-addon-for-wpforms/?utm_source=WordPress&utm_campaign=plugin&utm_medium=Plugin Notification&utm_content=PayPal Commerce ProElite\";s:4:\"text\";s:10:\"Learn More\";}s:3:\"alt\";a:2:{s:3:\"url\";s:156:\"https://wpforms.com/docs/paypal-commerce-addon/?utm_source=WordPress&utm_campaign=plugin&utm_medium=Plugin Notification&utm_content=PayPal Commerce ProElite\";s:4:\"text\";s:11:\"Get Started\";}}s:5:\"start\";s:20:\"2022-08-11 17:12:12 \";}}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:4:{i:0;s:3:\"134\";i:1;s:3:\"115\";i:2;s:3:\"109\";i:3;s:2:\"90\";}}", "yes");
INSERT INTO `wpky_options` VALUES("3359", "acf_version", "5.9.1", "yes");
INSERT INTO `wpky_options` VALUES("3467", "rocket_cache_dir_size_check", "1", "yes");
INSERT INTO `wpky_options` VALUES("3697", "disallowed_keys", "", "no");
INSERT INTO `wpky_options` VALUES("3698", "comment_previously_approved", "1", "yes");
INSERT INTO `wpky_options` VALUES("3699", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wpky_options` VALUES("3700", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wpky_options` VALUES("3705", "duplicator_lite_inst_hash_notice", "1", "yes");
INSERT INTO `wpky_options` VALUES("3706", "duplicator_new_storage_position", "1", "yes");
INSERT INTO `wpky_options` VALUES("3710", "elementor_install_history", "a:6:{s:5:\"3.0.8\";i:1646341191;s:6:\"3.0.12\";i:1604437962;s:6:\"3.0.14\";i:1608309734;s:5:\"3.5.6\";i:1646341192;s:5:\"3.6.3\";i:1668101051;s:5:\"3.8.0\";i:1668101063;}", "yes");
INSERT INTO `wpky_options` VALUES("3882", "wpforms_crypto_secret_key", "zkqZlxlFavLkaHfPvVdqxFPxL7FwdlNMaLfG2P4YND0=", "yes");
INSERT INTO `wpky_options` VALUES("4051", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wpky_options` VALUES("4052", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wpky_options` VALUES("4053", "auto_update_core_major", "unset", "yes");
INSERT INTO `wpky_options` VALUES("4065", "wpforms_email_summaries_fetch_info_blocks_last_run", "1668100937", "yes");
INSERT INTO `wpky_options` VALUES("4130", "wpforms_send_usage_last_run", "1668100937", "yes");
INSERT INTO `wpky_options` VALUES("4174", "elementor_pro_license_key", "ep-n0R8g8tfTj8Sjjhelezq16190988545C1qQIjssr6Q", "yes");
INSERT INTO `wpky_options` VALUES("4175", "_elementor_pro_license_data_fallback", "a:2:{s:7:\"timeout\";i:1668187359;s:5:\"value\";s:216:\"{\"expires\":\"2023-04-22 13:35:51\",\"subscription_id\":10361681,\"success\":true,\"license\":\"valid\",\"subscriptions\":\"enable\",\"features\":[\"experts\",\"teams\",\"editor_comments\",\"kit_access_level_20\",\"template_access_level_20\"]}\";}", "no");
INSERT INTO `wpky_options` VALUES("4176", "_elementor_pro_license_data", "a:2:{s:7:\"timeout\";i:1668144159;s:5:\"value\";s:216:\"{\"expires\":\"2023-04-22 13:35:51\",\"subscription_id\":10361681,\"success\":true,\"license\":\"valid\",\"subscriptions\":\"enable\",\"features\":[\"experts\",\"teams\",\"editor_comments\",\"kit_access_level_20\",\"template_access_level_20\"]}\";}", "no");
INSERT INTO `wpky_options` VALUES("4180", "fs_clone_management", "a:1:{s:16:\"clone_resolution\";a:6:{s:30:\"clone_identification_timestamp\";i:1646341132;s:44:\"temporary_duplicate_mode_selection_timestamp\";N;s:42:\"temporary_duplicate_notice_shown_timestamp\";N;s:18:\"request_handler_id\";s:30:\"5683996150.81264500 1668100966\";s:25:\"request_handler_timestamp\";N;s:29:\"request_handler_retries_count\";N;}}", "yes");
INSERT INTO `wpky_options` VALUES("4195", "widget_block", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wpky_options` VALUES("4196", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("4205", "https_detection_errors", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("4208", "_elementor_pro_api_requests_lock", "a:2:{s:11:\"get_version\";i:1668102697;s:16:\"get_license_data\";i:1668100959;}", "yes");
INSERT INTO `wpky_options` VALUES("4210", "wpforms_admin_notices", "a:1:{s:14:\"review_request\";a:2:{s:4:\"time\";i:1556909133;s:9:\"dismissed\";b:0;}}", "yes");
INSERT INTO `wpky_options` VALUES("4211", "wpforms_builder_opened_date", "0", "no");
INSERT INTO `wpky_options` VALUES("4218", "elementor_submissions_db_version", "5", "yes");
INSERT INTO `wpky_options` VALUES("4517", "elementor_library_category_children", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("4550", "_transient_wpforms_htaccess_file", "a:3:{s:4:\"size\";i:737;s:5:\"mtime\";i:1668100937;s:5:\"ctime\";i:1668100937;}", "yes");
INSERT INTO `wpky_options` VALUES("4565", "_transient_timeout_elementor_rollback_versions_3.5.6", "1668705749", "no");
INSERT INTO `wpky_options` VALUES("4566", "_transient_elementor_rollback_versions_3.5.6", "a:30:{i:0;s:5:\"3.5.5\";i:1;s:5:\"3.5.4\";i:2;s:5:\"3.5.3\";i:3;s:5:\"3.5.2\";i:4;s:5:\"3.5.1\";i:5;s:5:\"3.5.0\";i:6;s:5:\"3.4.8\";i:7;s:5:\"3.4.7\";i:8;s:5:\"3.4.6\";i:9;s:5:\"3.4.5\";i:10;s:5:\"3.4.4\";i:11;s:5:\"3.4.3\";i:12;s:5:\"3.4.2\";i:13;s:5:\"3.4.1\";i:14;s:5:\"3.4.0\";i:15;s:5:\"3.3.1\";i:16;s:5:\"3.3.0\";i:17;s:5:\"3.2.5\";i:18;s:5:\"3.2.4\";i:19;s:5:\"3.2.3\";i:20;s:5:\"3.2.2\";i:21;s:5:\"3.2.1\";i:22;s:5:\"3.2.0\";i:23;s:5:\"3.1.4\";i:24;s:5:\"3.1.3\";i:25;s:5:\"3.1.2\";i:26;s:5:\"3.1.1\";i:27;s:5:\"3.1.0\";i:28;s:5:\"3.0.9\";i:29;s:7:\"3.0.8.1\";}", "no");
INSERT INTO `wpky_options` VALUES("4567", "_site_transient_timeout_browser_1e9de2eba640e8eea9851c1434c75886", "1668705760", "no");
INSERT INTO `wpky_options` VALUES("4568", "_site_transient_browser_1e9de2eba640e8eea9851c1434c75886", "a:10:{s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:5:\"106.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:32:\"https://www.mozilla.org/firefox/\";s:7:\"img_src\";s:44:\"http://s.w.org/images/browsers/firefox.png?1\";s:11:\"img_src_ssl\";s:45:\"https://s.w.org/images/browsers/firefox.png?1\";s:15:\"current_version\";s:2:\"56\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wpky_options` VALUES("4569", "_site_transient_timeout_php_check_e9a080274371e157ce748ced527522b3", "1668705760", "no");
INSERT INTO `wpky_options` VALUES("4570", "_site_transient_php_check_e9a080274371e157ce748ced527522b3", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wpky_options` VALUES("4571", "_transient_timeout_wpforms_dash_widget_pro_entries_by_date_7", "1668124800", "no");
INSERT INTO `wpky_options` VALUES("4572", "_transient_wpforms_dash_widget_pro_entries_by_date_7", "a:0:{}", "no");
INSERT INTO `wpky_options` VALUES("4573", "_transient_timeout_elementor_remote_info_api_data_3.5.6", "1668144161", "no");
INSERT INTO `wpky_options` VALUES("4574", "_transient_elementor_remote_info_api_data_3.5.6", "a:4:{s:9:\"timestamp\";s:10:\"1668098679\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:64:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:5;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:6;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:16;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:19;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:21;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:22;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:23;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:24;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:25;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:26;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:27;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:28;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:29;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:30;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:31;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:32;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:33;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:34;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:35;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:36;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:37;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:38;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:39;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:40;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:41;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:42;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:43;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:44;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:45;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:46;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:47;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:48;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:49;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:50;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:51;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:52;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:53;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:54;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:55;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:56;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:57;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:58;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:59;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:60;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:61;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:62;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:63;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");
INSERT INTO `wpky_options` VALUES("4575", "_transient_timeout_wpforms_dash_widget_pro_entries_by_form_7", "1668124801", "no");
INSERT INTO `wpky_options` VALUES("4576", "_transient_wpforms_dash_widget_pro_entries_by_form_7", "a:1:{i:0;a:4:{s:7:\"form_id\";i:827;s:5:\"count\";i:0;s:5:\"title\";s:17:\"Contact Page Form\";s:8:\"edit_url\";s:90:\"https://test.ajdembrosky.com/wp-admin/admin.php?page=wpforms-entries&view=list&form_id=827\";}}", "no");
INSERT INTO `wpky_options` VALUES("4577", "_transient_timeout_feed_c8dc84948ab55424f034a4ced348e013", "1668144162", "no");
INSERT INTO `wpky_options` VALUES("4578", "_transient_feed_c8dc84948ab55424f034a4ced348e013", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:3:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"OceanWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"https://oceanwp.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"Free Multi-Purpose WordPress Theme\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 08:39:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wordpress.org/?v=6.0.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"https://oceanwp.org/wp-content/uploads/2016/10/cropped-favicon-150x150.png\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"OceanWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"https://oceanwp.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:79:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"OceanWP Catamaran Update: New Elementor Sections, Widgets &amp; More!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 06 Nov 2022 21:01:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Introducing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:6:\"Update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=638062\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1168:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/oceanwp-catamaran-update-release-featured.png\" width=\"1280\" height=\"700\" title=\"OceanWP Catamaran Update: New Elementor Sections, Widgets &#038; More!\" alt=\"OceanWP Catamaran Update: New Elementor Sections, Widgets &#038; More!\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">You don&#8217;t need to be a captain to know catamarans are not only good-looking, but also very safe and stable vessels. And that&#8217;s exactly what we here at OceanWP are...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:29964:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/oceanwp-catamaran-update-release-featured.png\" width=\"1280\" height=\"700\" title=\"OceanWP Catamaran Update: New Elementor Sections, Widgets &#038; More!\" alt=\"OceanWP Catamaran Update: New Elementor Sections, Widgets &#038; More!\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-medium-font-size\">You don&#8217;t need to be a captain to know catamarans are not only good-looking, but also very safe and stable vessels. And that&#8217;s exactly what we here at OceanWP are striving for: for you to feel safe while sailing through the WordPress waters <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>After the<a href=\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\"> OceanWP Panel Makeover and the Starboard update</a>, came the <a href=\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\" data-type=\"post\" data-id=\"636900\">OceanWP High Tide update</a> where we introduced the Elementor Sections Library.</p>\n\n\n\n<p>If you&#8217;re new to OceanWP, the Elementor Sections Library is a feature that comes with the <a href=\"https://oceanwp.org/core-extensions-bundle/\" data-type=\"page\" data-id=\"36995\">Core Extensions Bundle</a> and is tied to the Ocean Pro Demos plugin. Elementor Sections Library enables you to build your own pages as you go, section by section. </p>\n\n\n\n<p><strong>The OceanWP Catamaran update release brings 50+ brand new section designs</strong> to the already available 60 templates library.</p>\n\n\n\n<p>Besides new templates, our users have often asked about magazine layouts. Well, even though we did not release any new magazine <a href=\"https://oceanwp.org/demos/\">full WordPress website templates </a>yet, we&#8217;re providing you with the tools to do just that &#8211; in an easy and quite fancy way.</p>\n\n\n\n<p>The <strong>OceanWP Catamaran Update has been scheduled for release on November 9th 2022</strong>, and in this article we&#8217;ll cover the highlights.</p>\n\n\n\n<h2>Table of Content:</h2>\n\n\n\n<ul><li><a href=\"#oceanwp-336\">OceanWP 3.3.6</a></li><li><a href=\"#ocean-extra-206\">Ocean Extra 2.0.6</a><ul><li>Select font format for locally hosted Google fonts.</li></ul></li><li><a href=\"#ocean-elementor-widgets-230\">Ocean Elementor Widgets 2.3.0</a><ul><li>Make Column Clickable</li><li>New Magazine Widgets</li></ul></li><li><a href=\"#ocean-elementor-library-catamaran\">New Elementor Sections Library templates</a></li><li><a href=\"#ocean-portfolio-210\">Ocean Portfolio 2.1.0</a></li><li><a href=\"#ocean-hooks-202\">Ocean Hooks 2.0.2</a></li><li><a href=\"#other-ocean-plugin-updates\">Other Ocean Plugin updates</a></li><li><a href=\"#update-preparations\">How to prepare a WordPress website for update</a></li></ul>\n\n\n\n<h2 id=\"oceanwp-336\">OceanWP Update Release 3.3.6</h2>\n\n\n\n<p>When it comes to the OceanWP theme itself, the OceanWP Catamaran update release brings some smaller improvements, but we have also addressed some issues.</p>\n\n\n\n<h3>New OceanWP Theme Filters</h3>\n\n\n\n<p>The improvements mentioned come in a form of <strong>filters</strong> (mostly), <strong>that allow you to override the existing settings</strong> for the following:</p>\n\n\n\n<ol><li><strong>Comment date</strong> (change the comment date format on single blog posts): <a href=\"https://docs.oceanwp.org/article/839-comment-date-format\" target=\"_blank\" rel=\"noreferrer noopener\">ocean_comment_date_format</a></li><li><strong>Published date</strong> for single blog posts header style (except for default): <a href=\"https://docs.oceanwp.org/article/838-get-post-date-format\" target=\"_blank\" rel=\"noreferrer noopener\">ocean_get_post_date_format</a></li><li><strong>Modified date</strong> for single blog posts header style (except for default): <a href=\"https://docs.oceanwp.org/article/837-get-post-modified-date\" target=\"_blank\" rel=\"noreferrer noopener\">ocean_get_post_modified_date_format</a></li></ol>\n\n\n\n<p>One additional filter, that will probably interest developers the most, is the filter to change the infinite scroll icon output: oceanwp_infinite_scroll_output</p>\n\n\n\n<p>For a trained eye, it&#8217;s not hard to guess. We&#8217;re talking about PHP filters.</p>\n\n\n\n<p>Remember, if you&#8217;re not savvy with PHP, it&#8217;s better to consult with experts. Also, always add PHP codes to the functions.php file of the child theme. If you don&#8217;t have a child theme installed, you can <a href=\"https://docs.oceanwp.org/article/90-sample-child-theme\" target=\"_blank\" rel=\"noreferrer noopener\">install the official OceanWP child theme with a single click</a>.</p>\n\n\n\n<h3>New OceanWP Customizer Settings &amp; Tweaks</h3>\n\n\n\n<p>Additional changes also involve introducing <strong>new Customizer settings</strong>, which should reduce the need for custom CSS:</p>\n\n\n\n<ul><li>Full Screen Header Style: <strong>Option to choose the size of the menu icon</strong>, and</li><li>WooCommerce: <strong>Store Notice styling and typography</strong>.</li></ul>\n\n\n\n<p>Besides these new settings, there&#8217;s also <strong>one little tweak &#8211; for improved user experience</strong>. Namely, the existing <strong>option to disable SVG icons has been moved</strong> from <s>Customize &gt; General Options &gt; Theme Icons</s> to <strong>Customize &gt; General Options &gt; Performance</strong>.</p>\n\n\n\n<p>This tweak will have no bearing on your existing settings.</p>\n\n\n\n<h3>OceanWP Catamaran Update Addresses Various WooCommerce Issues</h3>\n\n\n\n<p>The <strong>OceanWP update release addresses two main WooCommerce-related problems</strong> as reported by our users (and we&#8217;re using this opportunity to thank them):</p>\n\n\n\n<ul><li><strong>Multistep Checkout</strong>: problems with next and previous steps, as well the page not scrolling back to the top;</li><li><strong>Product images not being cropped</strong>, especially when the Woo Variation Swatches plugin is in use.</li></ul>\n\n\n\n<p>The update also includes multiple smaller fixes, like Customizer live preview colors, Germanized for WooCommerce plugin compatibility and other.</p>\n\n\n\n<p>But, we know you&#8217;re here for the main stuff, so let&#8217;s get to it!</p>\n\n\n\n<h2 id=\"ocean-extra-206\">Ocean Extra 2.0.6</h2>\n\n\n\n<p>You have embraced our new option to host Google fonts locally with 1-click which not only helps make your website GDPR-friendly, but also increases performance. Not a secret, we are in love in this feature as well!</p>\n\n\n\n<p>The new update brings you an <strong>improvement in a form of option to choose the font format for the locally stored Google fonts</strong>. Basically, from now on you can choose between:</p>\n\n\n\n<ul><li>TIFF,</li><li>WOFF, and</li><li>WOFF2 formats.</li></ul>\n\n\n\n<p>The <strong>default font format type remains the same</strong> as it was before this new option was introduced &#8211; TIFF.</p>\n\n\n\n<p>What you need to do now, and only if you want to make use of the new typography feature, is to navigate to <strong>Customize &gt; Typography &gt; General</strong>, and select the desired format type from the dropdown menu.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image.png\" alt=\"new oceanwp catamaran ocean extra update brings users the option to choose the font format for Google fonts that are being hosted locally\" class=\"wp-image-638083\" width=\"335\" height=\"479\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image.png 446w, //oceanwp.org/wp-content/uploads/2022/11/image-209x300.png 209w\" sizes=\"(max-width: 335px) 100vw, 335px\" /></figure></div>\n\n\n<p>To learn more about how quick and easy it is to <a href=\"https://docs.oceanwp.org/article/808-host-google-fonts-locally\" target=\"_blank\" rel=\"noreferrer noopener\">host Google fonts locally with OceanWP</a> or to <a href=\"https://docs.oceanwp.org/article/835-host-elementor-google-fonts-locally-with-oceanwp\" target=\"_blank\" rel=\"noreferrer noopener\">host Elementor Google fonts locally with OceanWP</a>, make sure to visit the linked documents. Or, better yet &#8211;<a href=\"https://wordpress.org/themes/oceanwp/\" target=\"_blank\" rel=\"noreferrer noopener\"> install OceanWP on your website for free</a> and test live! No premium features or font upload required.</p>\n\n\n\n<h2 id=\"ocean-elementor-widgets-230\">Ocean Elementor Widgets 2.3.0</h2>\n\n\n\n<h3>Elementor Magazine Widgets</h3>\n\n\n\n<p>As we mentioned in the beginning of this article, the OceanWP Catamaran update release brings <strong>special new Elementor widgets that enable you to create a magazine or newspaper layout</strong> before you can say publish!</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image-1.png\" alt=\"new Elementor magazine widgets by OceanWP\" class=\"wp-image-638085\" width=\"305\" height=\"719\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image-1.png 406w, //oceanwp.org/wp-content/uploads/2022/11/image-1-127x300.png 127w\" sizes=\"(max-width: 305px) 100vw, 305px\" /></figure></div>\n\n\n<p>The list of the new Elementor widgets includes:</p>\n\n\n\n<ul><li>Magazine Hero,</li><li>Magazine Hero Grid,</li><li>Magazine Grid Simple,</li><li>Magazine Grid, and</li><li>Magazine List.</li></ul>\n\n\n\n<p>The magazine widgets will allow all <strong>OceanWP and Elementor users to enrich their content and landing pages</strong> thanks to seamless and predefined styling options, without (extra) stress, effort or even custom CSS.</p>\n\n\n\n<p>Essentially, in just a few clicks you can achieve something like this:</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/magazine-layout-2.png\" alt=\"new oceanwp magazine widgets for elementor in action\" class=\"wp-image-638087\" width=\"750\" height=\"316\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/magazine-layout-2.png 1000w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout-2-300x126.png 300w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout-2-768x323.png 768w\" sizes=\"(max-width: 750px) 100vw, 750px\" /></figure></div>\n\n\n<p>Or like this:</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/magazine-layout-3.png\" alt=\"new oceanwp magazine widgets for elementor in action\" class=\"wp-image-638088\" width=\"750\" height=\"549\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/magazine-layout-3.png 1000w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout-3-300x220.png 300w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout-3-768x562.png 768w\" sizes=\"(max-width: 750px) 100vw, 750px\" /></figure></div>\n\n\n<p>Or, you can create a powerful combo of all of them to maximize the impact:</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/magazine-layout-808x1024.png\" alt=\"new oceanwp magazine widgets for elementor in action\" class=\"wp-image-638086\" width=\"606\" height=\"768\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/magazine-layout-808x1024.png 808w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout-237x300.png 237w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout-768x973.png 768w, //oceanwp.org/wp-content/uploads/2022/11/magazine-layout.png 1000w\" sizes=\"(max-width: 606px) 100vw, 606px\" /></figure></div>\n\n\n<p>If you love the new addition, make sure to update Ocean Elementor Widgets to its latest 2.3.0 version (once available, and once you&#8217;ve tested) or <a href=\"https://oceanwp.org/core-extensions-bundle/\" data-type=\"page\" data-id=\"36995\">upgrade with the Ocean Core Extensions Bundle</a> to get access to these and many more cool WordPress features.</p>\n\n\n\n<h3>Make Elementor Column Clickable</h3>\n\n\n\n<p>Now, this is a feature we&#8217;re really excited about and can&#8217;t wait to hear your feedback.</p>\n\n\n\n<p>With even <strong>more designer freedom</strong>, now you can really set your creativity loose and <strong>turn absolutely every Elementor column into a banner</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><img width=\"391\" height=\"907\" src=\"https://oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_195754807.png\" alt=\"\" class=\"wp-image-638089\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_195754807.png 391w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_195754807-129x300.png 129w\" sizes=\"(max-width: 391px) 100vw, 391px\" /></figure></div>\n\n\n<p>How does this new feature work?</p>\n\n\n\n<p>Rather easy!</p>\n\n\n\n<p>Fill out an Elementor column with all the content you want (example: heading, counter and an icon with a great column background would make an awesome Call to Action) and then:</p>\n\n\n\n<ol><li><strong>Edit Column</strong> (Column settings, not content),</li><li>Check the bottom of the <strong>Layout tab</strong>,</li><li><strong>Add a link</strong> (internal or external),</li><li>Choose whether the link should open in a new browser tab (optional),</li><li>Done!</li></ol>\n\n\n\n<p>It&#8217;s important to emphasize that the <strong>make Elementor column clickable feature is enabled automatically only if a link is placed in the required field</strong>. Otherwise, and by default, this feature is disabled.</p>\n\n\n\n<p>Most importantly, the new option significantly reduces the need for numerous banner and call to action widgets which you can never get just perfect, and we know this is something you care about as a designer.</p>\n\n\n\n<p>Now, go ahead, create some stunning content and make sure to <a href=\"https://oceanwp.org/website-showcase/\" data-type=\"page\" data-id=\"623557\">apply your website for our showcase</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<h2 id=\"ocean-elementor-library-catamaran\">New Addition to the OceanWP Elementor Sections Library</h2>\n\n\n\n<p>You&#8217;re talented and creative!</p>\n\n\n\n<p>But sometimes even the most gifted and skillful designers need a little hand or inspiration <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> That&#8217;s why we&#8217;re happy to announce that<strong> we are releasing 56 new sections for the Ocean Elementor Sections Library</strong>.</p>\n\n\n\n<p><strong>The Ocean Elementor Library now counts 106 section templates in total</strong>. Personal plan license owners will have access to 25 of those templates, while the Business and Agency license owners will enjoy full access.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-1024x192.png\" alt=\"\" class=\"wp-image-636943\" width=\"768\" height=\"144\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-1024x192.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-300x56.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-768x144.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792.png 1097w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>To make use of the Ocean Elementor Sections Library, <strong>you need to have Ocean Pro Demos plugin installed on your website and an active Ocean Core Extensions Bundle license</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_202713827-1024x681.png\" alt=\"how to sync oceanwp elementor sections library to get access to the new templates\" class=\"wp-image-638090\" width=\"768\" height=\"511\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_202713827-1024x681.png 1024w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_202713827-300x200.png 300w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_202713827-768x511.png 768w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_202713827.png 1200w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>If you&#8217;re already using this feature, all you need to do on Wednesday (November 9th 2022) is to <strong>sync your library so that you get access to the latest design templates</strong>:</p>\n\n\n\n<ol><li>Open Elementor editor,</li><li>Click the blue O icon to load the Ocean Elementor Library,</li><li>Click the sync button in the upper right corner,</li><li>Done!</li></ol>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_203722821-1024x680.png\" alt=\"oceanwp elementor sections library new design showcase\" class=\"wp-image-638091\" width=\"768\" height=\"510\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_203722821-1024x680.png 1024w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_203722821-300x199.png 300w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_203722821-768x510.png 768w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_203722821.png 1202w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>You don&#8217;t need to update the Ocean Pro Demos plugin to get access to the new addition of the Elementor section templates.</p>\n\n\n\n<p>Remember, the OceanWP knowledge base is always here to have your back, and you can always <a href=\"https://docs.oceanwp.org/article/834-elementor-library-oceanwp-panel\" target=\"_blank\" rel=\"noreferrer noopener\">revisit the Elementor Library help document</a>.</p>\n\n\n\n<p>Enjoy exploring and experimenting with your new designs.</p>\n\n\n\n<p>And, while we&#8217;re mentioning designs, perhaps you can use them to enhance your portfolio using the Ocean Portfolio plugin?</p>\n\n\n\n<h2 id=\"ocean-portfolio-210\">Ocean Portfolio 2.1.0</h2>\n\n\n\n<p>For all of you creators out there who are in a serious line of business and with even more serious portfolio to showcase, the new OceanWP Catamaran update and Ocean Portfolio 2.1.0 bring <strong>a brand new filter type for your items</strong>.</p>\n\n\n\n<p>The existing filter bar is awesome, but you&#8217;ll love <strong>the filter button</strong>!</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image-2.png\" alt=\"\" class=\"wp-image-638092\" width=\"275\" height=\"718\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image-2.png 367w, //oceanwp.org/wp-content/uploads/2022/11/image-2-115x300.png 115w\" sizes=\"(max-width: 275px) 100vw, 275px\" /></figure></div>\n\n\n<p>The new Ocean Portfolio filter type allows more control and &#8211; of course &#8211; search options.</p>\n\n\n\n<p>The main difference between the standard Filter Bar and the new Filter Button is:</p>\n\n\n\n<ul><li>Filter Button allows to search through all available portfolio items even if pagination is in use.</li><li>the Filter Bar allows the search (sorting) of items that are available on the current page because it&#8217;s an AJAX filter.</li></ul>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image_2022-11-08_082709719-1024x389.png\" alt=\"screenshot of the new ocean portfolio filter button feature\" class=\"wp-image-638110\" width=\"768\" height=\"292\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image_2022-11-08_082709719-1024x389.png 1024w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-08_082709719-300x114.png 300w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-08_082709719-768x292.png 768w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-08_082709719-1536x583.png 1536w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-08_082709719.png 1557w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>Naturally, options to style the filter buttons are also available, so fire away!</p>\n\n\n\n<h2 id=\"ocean-hooks-202\">Ocean Hooks 2.0.2</h2>\n\n\n\n<p>You heard about the elf on a shelf, but did you hear&#8230; no, we got nothing for this.</p>\n\n\n\n<p>But we do have a brand new feature for you!</p>\n\n\n\n<p>With the latest Ocean Hooks version you can now add custom PHP codes &#8211; taaaaaaaaaa daaa.</p>\n\n\n\n<p>Once you update the plugin or install the new version for the first time, when you visit My Library (OceanWP &gt; My Library), you&#8217;ll notice a new dropdown selection next to the library name.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_211256786-1024x652.png\" alt=\"\" class=\"wp-image-638094\" width=\"768\" height=\"489\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_211256786-1024x652.png 1024w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_211256786-300x191.png 300w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_211256786-768x489.png 768w, //oceanwp.org/wp-content/uploads/2022/11/image_2022-11-07_211256786.png 1047w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>You can choose between:</p>\n\n\n\n<ul><li>Default, and</li><li>PHP Code.</li></ul>\n\n\n\n<p>This selection determines the type of a template you want to create.</p>\n\n\n\n<p><strong>The Default template type serves to create custom templates</strong> (for Header, Footer, sections, etc) using Gutenberg, Elementor, Visual Composer or any other page builder.</p>\n\n\n\n<figure class=\"wp-block-embed aligncenter is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"&#x1f3a3; Ocean Hooks: Display Templates Where You Want and How You Want\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/fm_HO3Rc0N8?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<p>The PHP Code template type serves to create, well, PHP codes, which can then be applied to your website either plain or using the vast amount of hooks added to the Ocean Hooks plugin, as well as the conditional logic and more.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/11/image-3.png\" alt=\"an example of new Ocean Hooks functionality to add custom PHP codes\" class=\"wp-image-638108\" width=\"618\" height=\"389\" srcset=\"//oceanwp.org/wp-content/uploads/2022/11/image-3.png 824w, //oceanwp.org/wp-content/uploads/2022/11/image-3-300x189.png 300w, //oceanwp.org/wp-content/uploads/2022/11/image-3-768x483.png 768w\" sizes=\"(max-width: 618px) 100vw, 618px\" /></figure></div>\n\n\n<p>This also means that, if you&#8217;re already running Ocean Hooks on your website, you won&#8217;t need to install additional plugins to add PHP snippets.</p>\n\n\n\n<p>Happy coding!</p>\n\n\n\n<h2 id=\"other-ocean-plugin-updates\">Other Ocean Plugin Updates</h2>\n\n\n\n<p>The OceanWP Catamaran update release also covers updates of the following plugins:</p>\n\n\n\n<ul><li>Ocean Modal Window,</li><li>Ocean Popup Login,</li><li>Ocean Gutenberg Blocks, and</li><li>Ocean Pro Demos.</li></ul>\n\n\n\n<p>Now that you know what to expect with the new update, let&#8217;s go over a few website update preparation tips (these never get old), as well as some other news.</p>\n\n\n\n<h2 id=\"update-preparations\">OceanWP Update: How to Prepare Your Website</h2>\n\n\n\n<p>Although we don&#8217;t consider this update release as major, as always, we recommend the same update procedure and precaution measures.</p>\n\n\n\n<p><strong>The correct update order is:</strong></p>\n\n\n\n<ol><li><strong>Update OceanWP</strong>&nbsp;via Appearance &gt; Themes, then</li><li><strong>Update all Ocean plugin</strong>s via Plugins &gt; Installed Plugins.</li></ol>\n\n\n\n<p><strong>Before you update, make sure you have taken necessary precaution measures.</strong></p>\n\n\n\n<h3>Test the Update Before Updating Your Live Site</h3>\n\n\n\n<p>The&nbsp;<strong>best practice is to test new changes on localhost, test or staging environments.</strong></p>\n\n\n\n<p>If you&nbsp;<strong>don’t have the option to test the updates anywhere, do not update immediately</strong>. Wait for a couple of days or even a week, until we’ve gathered feedback and made sure it’s safe for you to update.</p>\n\n\n\n<p>Remember, even if everything is fine, something can always go wrong during updates &#8211; like your website losing connection to WordPress and interrupting the update process. After all, the bad thing about software is – it’s software.</p>\n\n\n\n<p><strong>Make sure to backup your websites properly</strong>. Do not rely on hosting backups alone. Instead,&nbsp;<strong><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\" target=\"_blank\" rel=\"noreferrer noopener\">take manual backups as well</a></strong>&nbsp;and store data in a safe place. If you’re using the&nbsp;<a href=\"https://oceanwp.org/blog/how-to-reset-wordpress-website-fix-mistakes/\">WordPress Reset plugin (not to be confused with WordPress Database Reset), you can also create website snapshots</a>.</p>\n\n\n\n<p><strong>Important: remember to purge cache thoroughly</strong>&nbsp;after the update, multiple times if necessary. The same goes for the CDN (cloud) cache.</p>\n\n\n\n<h3>Updating a Live Website</h3>\n\n\n\n<p><strong>Website update preparation To-Do list</strong>:</p>\n\n\n\n<ol><li>Before updating the theme,&nbsp;<strong><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\" target=\"_blank\" rel=\"noreferrer noopener\">create a backup of your website</a></strong>.</li><li>Place your website in the<strong>&nbsp;Maintenance mode</strong>.</li><li><strong>Update OceanWP theme</strong>&nbsp;to its latest version via&nbsp;<strong>Appearance &gt; Themes</strong>.</li><li><strong>Update all Ocean plugins</strong> to their latest versions via <strong>Plugins &gt; Installed Plugins</strong>.</li><li><strong>Clear browser, website or CDN (cloud) cache</strong>.</li><li><strong>Inspect</strong> your website.</li><li>If everything is in order, <strong>deactivate the Maintenance mode</strong>.</li><li><strong>Enjoy </strong>all new OceanWP updates and features!</li></ol>\n\n\n\n<p>In case you need to roll back, you can <a href=\"https://docs.oceanwp.org/article/797-oceanwp-rollback-versions\" target=\"_blank\" rel=\"noreferrer noopener\">download older versions of the OceanWP theme</a>, as well as the <a href=\"https://docs.oceanwp.org/article/800-ocean-extra-rollback-versions\" target=\"_blank\" rel=\"noreferrer noopener\">older versions of the Ocean Extra plugin</a>.</p>\n\n\n\n<p>New to OceanWP?<a href=\"https://wordpress.org/themes/oceanwp/\" target=\"_blank\" rel=\"noreferrer noopener\"> Download the latest version directly from WordPress entirely for free</a>.</p>\n\n\n\n<h2 id=\"oceanwp-next\">What&#8217;s Next for OceanWP?</h2>\n\n\n\n<p>Our features kitchen is open 24/7, though now we&#8217;re getting into the festive season.</p>\n\n\n\n<p>Remember the brand new plugin we mentioned in August? Let&#8217;s just say &#8211; things are getting hot, hot, hot!</p>\n\n\n\n<p>If you&#8217;re wondering about Black Friday and Cyber Monday, yes, we&#8217;ll have that too, so buckle up!</p>\n\n\n\n<p>Aside from that, we plan new video tutorials, more items to the Elementor Library, articles for designers and everybody else interested in enhancing their WordPress website building skills and more!</p>\n\n\n\n<p>We really want to know your opinion and we&#8217;ll here to listen to all your ideas and suggestions. Think there&#8217;s a feature, document, demo or a video OceanWP users would really need? Let us know about it by <a href=\"https://oceanwp.org/feature-requests/\" data-type=\"page\" data-id=\"611644\">filling out the OceanWP feature request form</a>.</p>\n\n\n\n<p>And remember, if you&#8217;re an <a href=\"https://oceanwp.org/oceanwp-partner-program/\" data-type=\"page\" data-id=\"631293\">Agency Bundle license owner, you can also influence our plans and collaborate with us more closely</a>.</p>\n\n\n\n<h2>LOS; INR. (Long or Short, I Never Read):</h2>\n\n\n\n<p>We are&nbsp;<strong>releasing updates</strong>.</p>\n\n\n\n<p><strong>Take website backups, including manual backup, before updating OceanWP and Ocean plugins</strong> (or any other theme / plugin combination).</p>\n\n\n\n<p>The&nbsp;<strong>best practice is to test all updates on test, localhost or staging environments</strong>. If you don’t have the opportunity to test the updates, do not update immediately. Wait with the updates a couple of days until we’ve gathered feedback.</p>\n\n\n\n<p>In case of any problems or issues, inform us about possible bugs or submit tickets.</p>\n\n\n\n<p>Now, let&#8217;s talk about features you&#8217;d like to see in OceanWP <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:76:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WordPress Halloween 2022: Best Deals &amp; News for OceanWP Users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 10 Oct 2022 17:31:59 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:10:\"Promotions\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=637611\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1198:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/10/oceanwp-halloween-featured-image.jpg\" width=\"1200\" height=\"800\" title=\"WordPress Halloween 2022: Best Deals &#038; News for OceanWP Users\" alt=\"WordPress Halloween 2022: Best Deals &#038; News for OceanWP Users\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">The only thing that should really scare you this Halloween is the opportunity you might miss 😉 In this year&#8217;s &#8220;spooky&#8221; presentation, we&#8217;ve gathered all Halloween deals offered by OceanWP...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:20093:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/10/oceanwp-halloween-featured-image.jpg\" width=\"1200\" height=\"800\" title=\"WordPress Halloween 2022: Best Deals &#038; News for OceanWP Users\" alt=\"WordPress Halloween 2022: Best Deals &#038; News for OceanWP Users\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-medium-font-size\">The only thing that should really scare you this Halloween is the opportunity you might miss <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>In this year&#8217;s &#8220;spooky&#8221; presentation, we&#8217;ve gathered all Halloween deals offered by OceanWP partners. <strong>Upgrade hosting or get the tools you need to enhance your WordPress website to the max.</strong> Some promotions will really give you the chills &#8211; that&#8217;s how good they are!</p>\n\n\n\n<p>We&#8217;ll start with &#8211; of course &#8211; yours truly, the Ocean Core Extensions Bundle (wink wink).</p>\n\n\n\n<h2>1 Ocean Core Extensions Bundle &#8211; No Tricks. Only Treats! Halloween Sale Bash</h2>\n\n\n\n<p>Get the Ocean Core Extensions Bundle during the No Tricks. Only Treats! Halloween Sale Bash and <strong>save 50% on ALL plans</strong>! Yep, you read that right! It&#8217;s 50% on ALL plans.</p>\n\n\n\n<p>The <strong>OceanWP Halloween promo is open to all users</strong>, both old and new, and covers all plans, both annual and lifetime.</p>\n\n\n\n<p>Scared of WordPress or websites? Don&#8217;t be!</p>\n\n\n\n<p>Let&#8217;s get you started with some treats, and the OceanWP expert support team will have your back through all the &#8220;frightful&#8221; phases. The upgrade gives you access to 200+ premium full website templates (<a href=\"https://oceanwp.org/royalty-free-images-and-icons-with-oceanwp/\" data-type=\"page\" data-id=\"631749\">royalty-free images included</a>), Elementor Sections Library (check out our last <a href=\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\" data-type=\"post\" data-id=\"636900\">Ocean High Tide update release</a>), Webinars &amp; Workshops (we had a Hollywood celebrity in our <a href=\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/\" data-type=\"post\" data-id=\"637160\">September 2022 Web Design Fest</a>) and, like you&#8217;re already used to with OceanWP, an endless list of <strong>more</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://oceanwp.org/core-extensions-bundle/\"><img width=\"800\" height=\"240\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/oceanwp-halloween-banner-final.jpg\" alt=\"OceanWP Halloween 2022 sales banner\" class=\"wp-image-637616\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/oceanwp-halloween-banner-final.jpg 800w, //oceanwp.org/wp-content/uploads/2022/10/oceanwp-halloween-banner-final-300x90.jpg 300w, //oceanwp.org/wp-content/uploads/2022/10/oceanwp-halloween-banner-final-768x230.jpg 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" /></a></figure></div>\n\n\n<p><strong>Sale Start Date</strong>: October 16th 2022.</p>\n\n\n\n<p><strong>Sale End Date:</strong> October 31st 2022 (midnight between October 31st and November 1st, GMT).</p>\n\n\n\n<p><a href=\"https://oceanwp.org/core-extensions-bundle/\">All discounts calculated automatically at the checkout page</a>. For all other purchase stops, use the promo code: <strong>Halloween2022</strong></p>\n\n\n\n<p>In case you&#8217;d like to renew or upgrade your current license using this promotion, you can do that too! If you have any questions about specific details of your renewal / upgrade, <a href=\"https://oceanwp.org/support/\">make sure to send us a ticket.</a></p>\n\n\n\n<h2>2 JetFormBuilder by Crocoblock &#8211; Halloween 30% OFF Special</h2>\n\n\n\n<p>This Halloween, you can<strong> </strong>grab a 30% off deal on JetFormBuilder Pro Add-ons, including payment gateways, marketing and automation integrations, CRM and Sales integrations.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://jetformbuilder.com/?ref=175\" target=\"_blank\" rel=\"noopener\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/10/1200х628-Halloween-2022-JetFormBuilder-1-Lana-Miro.jpg\" alt=\"JetFormBuilder Halloween sale banner\" class=\"wp-image-637667\" width=\"800\" height=\"419\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/1200х628-Halloween-2022-JetFormBuilder-1-Lana-Miro.jpg 800w, //oceanwp.org/wp-content/uploads/2022/10/1200х628-Halloween-2022-JetFormBuilder-1-Lana-Miro-300x157.jpg 300w, //oceanwp.org/wp-content/uploads/2022/10/1200х628-Halloween-2022-JetFormBuilder-1-Lana-Miro-768x402.jpg 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" /></a></figure></div>\n\n\n<p><strong>Sale Start Date</strong>: October 31st 2022.</p>\n\n\n\n<p><strong>Sale End Date:</strong> November 4th 2022.</p>\n\n\n\n<p><strong>Promo Code:</strong> JFBHALLOWEEN22 (<a href=\"https://jetformbuilder.com/?ref=175\" target=\"_blank\" rel=\"noopener\">promo code must be applied manually on the JetForm Builder checkout page</a>).</p>\n\n\n\n<h2>3 Weglot &#8211; Halloween 20% off for 12 months!</h2>\n\n\n\n<p><a href=\"https://weglot.com/?fp_ref=oceanwp\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">Weglot</a> is a WordPress translation plugin that allows you to create a multilingual website in minutes, thanks to its automated translation feature. Every one of your team members can use this plugin without any previous knowledge, that&#8217;s how simplified the entire process is. Did we also mention it&#8217;s used by major brands like IBM, Tupperware and HBO?</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://weglot.com/?fp_ref=oceanwp\" target=\"_blank\" rel=\"noopener\"><img width=\"800\" height=\"350\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/Weglot-WP-Banner.png\" alt=\"weglot wordpress plugin halloween banner\" class=\"wp-image-637814\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/Weglot-WP-Banner.png 800w, //oceanwp.org/wp-content/uploads/2022/10/Weglot-WP-Banner-300x131.png 300w, //oceanwp.org/wp-content/uploads/2022/10/Weglot-WP-Banner-768x336.png 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" /></a></figure></div>\n\n\n<p><strong>Sale Start Date</strong>: October 20th 2022.</p>\n\n\n\n<p><strong>Sale End Date:</strong> October 31st 2022.</p>\n\n\n\n<p><strong>Promo Code:</strong> <strong>OCEANGLOT</strong>&nbsp;</p>\n\n\n\n<h2>4 Freepik &#8211; Halloween 30% off on the annual plan!</h2>\n\n\n\n<p><a href=\"https://www.freepik.com/pricing\" target=\"_blank\" rel=\"noreferrer noopener\">Freepik</a> is the leader in visual resources and creative solutions, and this Halloween get your goosebumps ready for their promo.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://www.freepik.com/pricing\" target=\"_blank\" rel=\"noopener\"><img width=\"461\" height=\"563\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/image-35.png\" alt=\"Freepik halloween promo banner\" class=\"wp-image-637853\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/image-35.png 461w, //oceanwp.org/wp-content/uploads/2022/10/image-35-246x300.png 246w\" sizes=\"(max-width: 461px) 100vw, 461px\" /></a></figure></div>\n\n\n<p><strong>Sale Start Date</strong>: October 26th 2022.</p>\n\n\n\n<p><strong>Sale End Date:</strong> November 1st 2022.</p>\n\n\n\n<p><strong>Promo Code:</strong> <a href=\"https://www.freepik.com/pricing\" target=\"_blank\" rel=\"noreferrer noopener\">Applied at the Freepik checkout page</a>.</p>\n\n\n\n<p>On a side note, and in case you didn&#8217;t know, <a href=\"https://oceanwp.org/royalty-free-images-and-icons-with-oceanwp/\" data-type=\"page\" data-id=\"631749\">Freepik and OceanWP have also partnered up to bring you the ultimate template experience</a>.</p>\n\n\n\n<h2>Additional WordPress Plugins / Services to Use with OceanWP</h2>\n\n\n\n<p>The following partners currently do not offer any Halloween deals, but that doesn&#8217;t make their offers any less interesting. On the contrary.</p>\n\n\n\n<p>We bring you the latest news and features from the OceanWP WordPress partners&#8217; world.</p>\n\n\n\n<h3>1 Visual Composer</h3>\n\n\n\n<p>A key driver of growth for ambitious web agencies in 2023 won&#8217;t be selling brand new services, adopting new technology, or securing new lines of financing.</p>\n\n\n\n<p>The true differentiator will be improving the customer experience.</p>\n\n\n\n<p>But, how do you do that?</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://visualcomposer.com/webinars/client-collaboration/\" target=\"_blank\" rel=\"noopener\"><img width=\"800\" height=\"800\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1.jpg\" alt=\"visual composer webinar banner\" class=\"wp-image-637817\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1.jpg 800w, //oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1-300x300.jpg 300w, //oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1-150x150.jpg 150w, //oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1-768x768.jpg 768w, //oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1-600x600.jpg 600w, //oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1-128x128.jpg 128w, //oceanwp.org/wp-content/uploads/2022/10/atarim-visual-composer-webinar-newsletter-1080x1080-1-256x256.jpg 256w\" sizes=\"(max-width: 800px) 100vw, 800px\" /></a></figure></div>\n\n\n<p>By investing in optimizing your collaboration with clients and<strong>&nbsp;removing</strong>&nbsp;<strong>bottlenecks in the 3 most important phases</strong>&nbsp;of each website project:</p>\n\n\n\n<ul><li>Content delivery,</li><li>Design approval,</li><li>Providing support.</li></ul>\n\n\n\n<p><a href=\"https://visualcomposer.com/webinars/client-collaboration/\" target=\"_blank\" rel=\"noreferrer noopener\">Join Visual Composer at their first-ever co-hosted webinar</a> in November this year, with their special guest, Vito Peleg of&nbsp;<a href=\"https://atarim.io/\" target=\"_blank\" rel=\"noreferrer noopener\">Atarim</a>, the tool that lets you collaborate on any website within seconds.</p>\n\n\n\n<h3>2 Kinsta</h3>\n\n\n\n<p>When it comes to holiday deals or coupons, <a href=\"https://kinsta.com/?kaid=RIQOJFZECGUH\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">Kinsta</a> takes a different approach. Instead of providing short term deals, they prefer adding long-term value for their customers. </p>\n\n\n\n<p>Some features they rolled in past years for no extra cost are<strong> Cloudflare enterprise level integration</strong> ($200/mo value), <strong>Kinsta Application Performance Monitoring tool for identifying and fixing code level issues</strong>, fastest&nbsp; latest generation <strong>C2-type servers powered by Google Cloud</strong> and it’s premium-tier global network. The available global data centers you can choose from is 35 and counting.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><img width=\"600\" height=\"301\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/600x300-optimized-dark.jpeg\" alt=\"Kinta managed wordpress hosting banner\" class=\"wp-image-637822\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/600x300-optimized-dark.jpeg 600w, //oceanwp.org/wp-content/uploads/2022/10/600x300-optimized-dark-300x151.jpeg 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></figure></div>\n\n\n<p>This year they rolled out <strong>a neat new feature for all users (free of charge)</strong>; the <a href=\"https://kinsta.com/feature-updates/site-preview-tool/?kaid=RIQOJFZECGUH\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">site preview tool.</a> The edge caching solution will be released to all customers soon further speeding up client websites!</p>\n\n\n\n<p>Kinsta offers a 30-day money-back guarantee and an <a href=\"https://kinsta.com/plans/?plan=visits-business1&amp;interval=year&amp;kaid=RIQOJFZECGUH\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">all-time two months’ hosting discount on annual WordPress hosting plans</a>.</p>\n\n\n\n<p>Besides the new feature, new services come too! Kinsta’s rolling out <a href=\"https://kinsta.com/application-hosting/\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">application hosting and database hosting</a> soon!</p>\n\n\n\n<p>Take advantage of Kinsta&#8217;s free migration service and get started today!</p>\n\n\n\n<h3>3 WPML</h3>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://wpml.org/\" target=\"_blank\" rel=\"noopener\"><img width=\"600\" height=\"283\" src=\"https://oceanwp.org/wp-content/uploads/2021/09/wpml-logo-tag-line.png\" alt=\"WPML logo\" class=\"wp-image-619676\" srcset=\"//oceanwp.org/wp-content/uploads/2021/09/wpml-logo-tag-line.png 600w, //oceanwp.org/wp-content/uploads/2021/09/wpml-logo-tag-line-300x142.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></a></figure></div>\n\n\n<p>WPML has recently introduced a free, standalone version of their&nbsp;<a href=\"https://wpml.org/documentation/related-projects/woocommerce-multilingual/\" target=\"_blank\" rel=\"noreferrer noopener\">WooCommerce Multilingual &amp; Multicurrency</a>&nbsp;module. </p>\n\n\n\n<p>This plugin allows you to easily add complete&nbsp;<a href=\"https://wpml.org/documentation/related-projects/woocommerce-multilingual/multi-currency-support-woocommerce/\" target=\"_blank\" rel=\"noreferrer noopener\">multicurrency features</a>&nbsp;to your WooCommerce site. You can set up and display products in multiple currencies, add currency switchers to your sites, set up exchange rates, and more. And if you want to have your whole store in multiple languages, you can just add WPML to it.</p>\n\n\n\n<p>This would unlock additional features such as translating all products, translating categories and attributes, automatic translation, and more.</p>\n\n\n\n<figure class=\"wp-block-embed aligncenter is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"WooCommerce Multilingual &amp; Multicurrency\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/NxkzEywVZSA?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<h3>4 iThemes</h3>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://stellarwp.pxf.io/c/3689112/708559/9639\" target=\"_blank\" rel=\"noopener\"><img width=\"750\" height=\"252\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/ithemes-logo-white.png\" alt=\"iThemes logo banner\" class=\"wp-image-637847\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/ithemes-logo-white.png 750w, //oceanwp.org/wp-content/uploads/2022/10/ithemes-logo-white-300x101.png 300w\" sizes=\"(max-width: 750px) 100vw, 750px\" /></a></figure></div>\n\n\n<p>The one stop shop for WordPress security. As the threat of online/web hacking grows and becomes more common, <a href=\"https://stellarwp.pxf.io/c/3689112/708564/9639\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">iThemes Security</a> locks down and protects your site from hackers and keeps you safe from online threats.</p>\n\n\n\n<p>With features like &#8220;Brute force detection&#8221; to protect against password guessing, malware scanning and &#8220;away mode&#8221; to set times periods of access restriction and prevent admin access and many more, your site couldn&#8217;t be in better hands.</p>\n\n\n\n<h3>5 BackupBuddy</h3>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://stellarwp.pxf.io/c/3689112/708562/9639\" target=\"_blank\" rel=\"noopener\"><img width=\"600\" height=\"300\" src=\"https://oceanwp.org/wp-content/uploads/2022/10/backupbuddy.png\" alt=\"BackupBuddy logo banner\" class=\"wp-image-637848\" srcset=\"//oceanwp.org/wp-content/uploads/2022/10/backupbuddy.png 600w, //oceanwp.org/wp-content/uploads/2022/10/backupbuddy-300x150.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></a></figure></div>\n\n\n<p>WordPress doesn&#8217;t include built-in backups. <a href=\"https://stellarwp.pxf.io/c/3689112/708562/9639\" target=\"_blank\" rel=\"noreferrer noopener sponsored\">BackupBuddy</a> was built in 2010 to meet the need for a solid WordPress backup solution.</p>\n\n\n\n<p>Other WordPress security issues include hacks, malware, user error, deleted files and running bad commands. All of these things can completely wipe out your WordPress site forever. Having a current backup of your WordPress website is critical for protecting your website. BackupBuddy is here to help.</p>\n\n\n\n<h3>6 HubSpot</h3>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://www.hubspot.com/products/wordpress\" target=\"_blank\" rel=\"noopener\"><img width=\"672\" height=\"261\" src=\"https://oceanwp.org/wp-content/uploads/2021/10/hubspotlogo-web-color.png\" alt=\"HubSpot logo\" class=\"wp-image-621233\" srcset=\"//oceanwp.org/wp-content/uploads/2021/10/hubspotlogo-web-color.png 672w, //oceanwp.org/wp-content/uploads/2021/10/hubspotlogo-web-color-300x117.png 300w\" sizes=\"(max-width: 672px) 100vw, 672px\" /></a></figure></div>\n\n\n<p><strong><a href=\"https://www.hubspot.com/products/wordpress\" target=\"_blank\" rel=\"noreferrer noopener\">HubSpot is a leading CRM platform</a></strong> that brings a ton of value with its all-in-one WordPress plugin. Over 200k+ users trust HubSpot’s WordPress plugin for adding live chat, forms, CRM, email marketing, and reporting to their WordPress sites.</p>\n\n\n\n<h3>7 Toolset</h3>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><a href=\"https://toolset.com/\" target=\"_blank\" rel=\"noopener\"><img width=\"600\" height=\"200\" src=\"https://oceanwp.org/wp-content/uploads/2021/05/Toolset-logo-png.png\" alt=\"\" class=\"wp-image-613165\" srcset=\"//oceanwp.org/wp-content/uploads/2021/05/Toolset-logo-png.png 600w, //oceanwp.org/wp-content/uploads/2021/05/Toolset-logo-png-300x100.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></a></figure></div>\n\n\n<p><a href=\"https://toolset.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Toolset</a> makes it easier and quicker for you to build a professional website without complex coding. Whether you are a WordPress beginner or expert you can quickly add advanced features including custom post types, custom search, Maps and front-end forms.</p>\n\n\n\n<h2>Halloween 2022 Deals Summary</h2>\n\n\n\n<p>The WordPress community knows it all too well &#8211; <strong>Halloween</strong> may be introduction to the upcoming Black Friday / Cyber Monday deals, but that doesn&#8217;t necessarily need to be the case. Like we did last year, we&#8217;ll make sure to update you with BFCM deals as well.</p>\n\n\n\n<p>In the meantime,<a href=\"https://oceanwp.org/core-extensions-bundle/\"> you know we offer 50% off on all plans</a> (which is almost never the case), so what is there to say except to grab the deal and face WordPress without fear and with our help <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>In case of any changes and updates from our partners, we&#8217;ll update the content accordingly.</p>\n\n\n\n<p>The OceanWP Team wishes you lots of treats for this Halloween.</p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"Hollywood Comes to OceanWP – the 2022 Web Design Fest\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 25 Aug 2022 20:23:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Announcement\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=637160\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1118:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/web-design-fest.png\" width=\"1200\" height=\"700\" title=\"Hollywood Comes to OceanWP &#8211; the 2022 Web Design Fest\" alt=\"Hollywood Comes to OceanWP &#8211; the 2022 Web Design Fest\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">Calling all geeks, nerds, designers, website owners and everybody else. If you&#8217;re into WordPress, we know you&#8217;ll love the OceanWP 2022 Web Design Fest! It&#8217;s time for another OceanWP annual...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11631:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/web-design-fest.png\" width=\"1200\" height=\"700\" title=\"Hollywood Comes to OceanWP &#8211; the 2022 Web Design Fest\" alt=\"Hollywood Comes to OceanWP &#8211; the 2022 Web Design Fest\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-medium-font-size\">Calling all geeks, nerds, designers, website owners and everybody else. If you&#8217;re into WordPress, we know you&#8217;ll love the OceanWP 2022 Web Design Fest!</p>\n\n\n\n<p>It&#8217;s time for another OceanWP annual Web Design Fest. Except, this time, we&#8217;re making it bigger &#8211; from speakers all the way down to freebies and prizes.</p>\n\n\n\n<p>It&#8217;s probably unnecessary, but let&#8217;s take a step back and discuss <strong>the importance of web design</strong> briefly.</p>\n\n\n\n<p>What is web design?</p>\n\n\n\n<p>Most people think &#8220;well, it&#8217;s just a website, how hard can it be?&#8221;. But, we know all you web designers, website owners and developers are sometimes struggling because you know the truth. Web design is not just throwing a few things on the page and call it a day. <strong>Web design impacts how your audience, visitors, customers and everybody else perceives your brand.</strong></p>\n\n\n\n<p><strong>Web design is all about the first impressions</strong>. And it&#8217;s that first impression that will determine whether or not someone will stay on your page to learn more and eventually close the deal or simply move on.</p>\n\n\n\n<p>Here at OceanWP we&#8217;re focused on providing you with the best possible WordPress tools that will help you build an astonishing and complete website, even for free, whether you&#8217;re a beginner or professional. However, we also know you need more. So this is us, helping you<strong> broaden your perspectives, enhancing your skills, learning new things about branding, graphic and web design and applying on your projects</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1.png\" alt=\"OceanWP Web Design Summit banner\" class=\"wp-image-637138\" width=\"750\" height=\"750\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1.png 1000w, //oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1-300x300.png 300w, //oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1-150x150.png 150w, //oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1-768x768.png 768w, //oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1-600x600.png 600w, //oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1-128x128.png 128w, //oceanwp.org/wp-content/uploads/2022/08/artboard_3_copy-1-256x256.png 256w\" sizes=\"(max-width: 750px) 100vw, 750px\" /></figure></div>\n\n\n<h2>Welcome to the OceanWP 2022 Web Design Fest</h2>\n\n\n\n<p>On September 7th 2022, 9AM &#8211; 4:30PM EDT / 2PM &#8211; 9:30PM BST we&#8217;ll hold the OceanWP annual Web Design Fest. This is an online event and will be held via Zoom. A small hint, you don&#8217;t need to have the Zoom client installed on your PC and can join using a browser.</p>\n\n\n\n<p>We&#8217;ll start the event by lectures from our prominent speakers.</p>\n\n\n\n<p><strong>Vaibhav Singh</strong> (PhD) will give a lecture on <strong>Modern Web Typography</strong>. Vaibhav is a leading typographic researcher and has designed fonts for many well-known companies, including <strong><a href=\"https://www.adobe.com\" target=\"_blank\" rel=\"noreferrer noopener\">Adobe</a></strong> and <strong><a href=\"https://www.google.com\" target=\"_blank\" rel=\"noreferrer noopener\">Google</a></strong>. In his lecture, Vaibhav will share insights and typographic inspirations from some of his recent projects, and introduce the processes involved in designing fonts for modern web design.</p>\n\n\n\n<p><strong>Amanda Duffin </strong>will give a lecture on<strong> Branding 101</strong>. Amanda is an educator and a branding expert. Amanda will teach you how to understand unique sales proposals and create a unique design language around them. In her lecture, Amanda will share ideas everyone can use to create a more coherent visual identity.</p>\n\n\n\n<p>Our<strong> keynote speaker is one of Hollywood&#8217;s giants</strong>, and you are all familiar with his timeless work. <strong>Dan Perri</strong> will give a lecture on <strong>Creative Process</strong>. Dan is a world-renowned designer and will share stories on the creative process behind the most iconic movie title designs, including <a href=\"https://www.imdb.com/title/tt0076759/\" target=\"_blank\" rel=\"noreferrer noopener\">Star Wars</a>, <a href=\"https://www.imdb.com/title/tt0081398\" target=\"_blank\" rel=\"noreferrer noopener\">Raging Bull</a> and more.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img src=\"https://www.artofthetitle.com/assets/sm/upload/z3/w9/2u/33/danperri_c.jpg?k=d3dd8c6991\" alt=\"preview of Dan Perri\'s movie title designs for the OceanWP 2022 Web Design Fest\"/></figure>\n\n\n\n<p>Following lectures, we&#8217;ll hold 3 OceanWP workshops.</p>\n\n\n\n<p><strong>Workshop #1</strong>: How to make use of OceanWP WordPress template demos to launch a website.</p>\n\n\n\n<p><strong>Workshop #2</strong>: Implementing a design from Adobe XD or Figma.</p>\n\n\n\n<p><strong>Workshop #3</strong>: Advanced OceanWP Customizer settings, new features, free third-party tools to help enhance your web design experience.</p>\n\n\n\n<p>All workshops will be held and lead by Matthew Turner, Lead Content Creator at OceanWP and your host of the OceanWP 2022 Web Design Fest.</p>\n\n\n\n<h2>How to Get a Ticket for the OceanWP 2022 Web Design Fest</h2>\n\n\n\n<p>Tickets for the <a href=\"https://www.eventbrite.com/e/web-design-fest-by-oceanwp-tickets-392092237437\" target=\"_blank\" rel=\"noreferrer noopener\">OceanWP 2022 Web Design Fest</a> are available online for purchase.</p>\n\n\n\n<p>If you <strong>own an OceanWP Bundle license</strong>, you can <strong>apply for a free ticket</strong>! All you need to do is<a href=\"https://oceanwp.org/support/\"> get in touch with us</a> and we&#8217;ll take it from there.</p>\n\n\n\n<p>If you don&#8217;t have a <a href=\"https://oceanwp.org/core-extensions-bundle/\">Bundle license</a>, here&#8217;s your chance! <strong>We&#8217;ll give away 30 free tickets to people who comment</strong> on this post and are interested in learning about web design and OceanWP.</p>\n\n\n\n<p>How do tickets work? When you buy or receive a ticket, you will receive a confirmation to your mailbox. On the day of the event, you will also receive another email with a token that will allow you to join the OceanWP 2022 Web Design Fest online event.</p>\n\n\n\n<h2>OceanWP 2022 Web Design Fest Freebies and Prizes</h2>\n\n\n\n<p>What kind of an event would it be without some prizes or freebies? <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> Our event partners have made sure to maximize your experience.</p>\n\n\n\n<p>The main prize will be <a href=\"https://www.mastersdesignlab.com/programs\" target=\"_blank\" rel=\"noopener\">one free 9-week graphic design program tuition worth $650</a>, thanks to our main sponsor and partner <a href=\"https://www.mastersdesignlab.com\" target=\"_blank\" rel=\"noreferrer noopener\">Masters Design Lab</a>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/master-design-lab.png\" alt=\"Masters Design Lab logo, main OceanWP 2022 Web Design Fest sponsor\" class=\"wp-image-637170\" width=\"501\" height=\"501\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/master-design-lab.png 1001w, //oceanwp.org/wp-content/uploads/2022/08/master-design-lab-300x300.png 300w, //oceanwp.org/wp-content/uploads/2022/08/master-design-lab-150x150.png 150w, //oceanwp.org/wp-content/uploads/2022/08/master-design-lab-768x768.png 768w, //oceanwp.org/wp-content/uploads/2022/08/master-design-lab-600x600.png 600w, //oceanwp.org/wp-content/uploads/2022/08/master-design-lab-128x128.png 128w, //oceanwp.org/wp-content/uploads/2022/08/master-design-lab-256x256.png 256w\" sizes=\"(max-width: 501px) 100vw, 501px\" /></figure></div>\n\n\n<p>Other prizes include (but are not limited to):</p>\n\n\n\n<ul><li><a href=\"https://oceanwp.org/core-extensions-bundle/\">3 free annual Personal plan OceanWP Bundle licenses</a>,</li><li><a href=\"https://oceanwp.org/core-extensions-bundle/\">3 free annual Business plan OceanWP Bundle licenses</a>,</li><li><a href=\"https://crocoblock.com\" target=\"_blank\" rel=\"noreferrer noopener\">free Crocoblock licenses</a>,</li><li><a href=\"https://visualcomposer.com\" target=\"_blank\" rel=\"noreferrer noopener\">free Visual Composer licenses</a>,</li><li>exclusive Freepik discounts,</li><li><a href=\"https://www.udemy.com/course/oceanwp-ecommerce-course/\" target=\"_blank\" rel=\"noreferrer noopener\">free access to the full OceanWP eCommerce course on Udemy</a>,</li><li><a href=\"https://www.mastersdesignlab.com\" target=\"_blank\" rel=\"noreferrer noopener\">exclusive discounts for Masters Design Lab graphic design programs</a>,</li><li>and more!</li></ul>\n\n\n\n<p>We&#8217;d also like to use this opportunity and thank all OceanWP 2022 Web Design Fest partners who are helping with making this event bigger and richer.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/event-partners.png\" alt=\"OceanWP Web Design Fest partners\" class=\"wp-image-637141\" width=\"750\" height=\"225\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/event-partners.png 1000w, //oceanwp.org/wp-content/uploads/2022/08/event-partners-300x90.png 300w, //oceanwp.org/wp-content/uploads/2022/08/event-partners-768x230.png 768w\" sizes=\"(max-width: 750px) 100vw, 750px\" /></figure></div>\n\n\n<p>Here&#8217;s a big shout out to <a href=\"http://mastersdesignlab.com\" target=\"_blank\" rel=\"noreferrer noopener\">Masters Design Lab</a>, <a href=\"https://crocoblock.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Crocoblock</a>, <a href=\"https://visualcomposer.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Visual Composer</a>, <a href=\"https://weglot.com\" target=\"_blank\" rel=\"noreferrer noopener\">Weglot</a>, <a href=\"https://www.hubspot.com/products/crm\" target=\"_blank\" rel=\"noreferrer noopener\">HubSpot</a>, <a href=\"https://www.cloudways.com/en/\" target=\"_blank\" rel=\"noreferrer noopener\">Cloudways</a>, <a href=\"https://toolset.com\" target=\"_blank\" rel=\"noreferrer noopener\">Toolset</a> and <a href=\"https://wpml.org\" target=\"_blank\" rel=\"noreferrer noopener\">WPML</a>.</p>\n\n\n\n<p>And let&#8217;s not forget! <strong>We&#8217;re giving away 30 free tickets for the OceanWP 2022 Web Design Fest</strong> to everyone who don&#8217;t have an OceanWP Bundle license, but are interested in the event and <strong>comment on this post</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://oceanwp.org/blog/oceanwp-2022-web-design-fest/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:79:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"OceanWP High Tide Update: Ocean Elementor Sections Library is Here!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 02 Aug 2022 06:56:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Introducing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:6:\"Update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=636900\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1136:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/oceanwp-high-tide-update.jpg\" width=\"1200\" height=\"700\" title=\"OceanWP High Tide Update: Ocean Elementor Sections Library is Here!\" alt=\"OceanWP High Tide Update: Ocean Elementor Sections Library is Here!\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">High tide. Surfers love it. Boat captains love it. Fishermen love it. But if you love WordPress, and we know you do, you&#8217;ll love the benefits the OceanWP update High...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:30540:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/oceanwp-high-tide-update.jpg\" width=\"1200\" height=\"700\" title=\"OceanWP High Tide Update: Ocean Elementor Sections Library is Here!\" alt=\"OceanWP High Tide Update: Ocean Elementor Sections Library is Here!\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-medium-font-size\">High tide. Surfers love it. Boat captains love it. Fishermen love it. But if you love WordPress, and we know you do, you&#8217;ll love the benefits the OceanWP update High Tide is bringing to you!</p>\n\n\n\n<p>We know you fancied the<a href=\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\"> OceanWP Panel Makeover and the Starboard update</a>. But our work is never done and the summer is not over yet <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> </p>\n\n\n\n<p>The <strong>High Tide OceanWP update release brings you powerful improvements and an exciting new feature</strong>. For example, the <strong>improved Google Fonts local hosting</strong> we introduced to you in the <a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\">OceanWP Breeze Spring Update releas</a>e. Battling GDPR regulations can be tedious, and we&#8217;ll do our best to help you as much as possible by providing you with the right means.</p>\n\n\n\n<p>But <strong>the novelty we believe you&#8217;ll be interested the most is the Ocean Elementor Sections Library</strong> feature, which is tied to t<a href=\"https://oceanwp.org/core-extensions-bundle/\">he Ocean Core Extensions Bundle and the Ocean Pro Demos plugin</a>.</p>\n\n\n\n<p>The OceanWP High Tide Update has been published on August 9th 2022, and in this article we&#8217;ll cover the highlights.</p>\n\n\n\n<h2>Table of Content:</h2>\n\n\n\n<ul><li>OceanWP 3.3.4:<ul><li><a href=\"#elementor-fonts-locally\" data-type=\"internal\" data-id=\"#elementor-fonts-locally\">NEW: Load Elementor Google fonts from site</a>.</li><li><a href=\"#improved-google-fonts-locally\" data-type=\"internal\" data-id=\"#improved-google-fonts-locally\">Improved: Load Google fonts any time!</a></li><li><a href=\"#oceanwp-panel-admin-settings\" data-type=\"internal\" data-id=\"#oceanwp-panel-admin-settings\">NEW: Admin Settings Panel Section</a>.</li></ul></li><li>Ocean Extra 2.0.3<ul><li><a href=\"#oceanwp-news-notifications\" data-type=\"internal\" data-id=\"#oceanwp-news-notifications\">OceanWP News</a></li></ul></li><li>Ocean Pro Demos 1.4.0<ul><li><a href=\"#ocean-elementor-library\" data-type=\"internal\" data-id=\"#ocean-elementor-library\">Ocean Elementor Sections Library</a></li></ul></li></ul>\n\n\n\n<h2>OceanWP Update Release 3.3.4</h2>\n\n\n\n<h3 id=\"elementor-fonts-locally\">Load Elementor Google Fonts from Site</h3>\n\n\n\n<p>GDPR should not stop you from using one of your favorite page builders.</p>\n\n\n\n<p>As you know, when enabling Elementor to rely on theme typography settings instead of its own, as long as all typography values in Elementor are set to default, <strong>you won&#8217;t be experiencing any problems with Google fonts but only if you&#8217;re using the OceanWP theme option to load Google fonts locally (from site)</strong>.</p>\n\n\n\n<p>The same sentence as above but in plain English:</p>\n\n\n\n<ol><li>Set all desired font families via Customize &gt; Typography in OceanWP;</li><li>Enable Google Fonts from Site via Customize &gt; Typography &gt; General;</li><li>Make sure Elementor is set to inherit theme&#8217;s typography settings via Elementor &gt; Settings;</li><li>When editing in Elementor, make sure the font family is always set to &#8220;Default&#8221;;</li><li>No problemo.</li></ol>\n\n\n\n<p>But, <strong>Elementor&#8217;s default settings include running Elementor fonts instead of  the theme&#8217;s</strong>, therefore many users are unfamiliar with this option. In addition to it, any time you&#8217;d like to make changes and select a different font family instead of the ones you assigned in the Customizer, you&#8217;d encounter a problem &#8211; <strong>Elementor would load fonts off the Google site</strong>.</p>\n\n\n\n<p><strong>This has become an issue for everyone who take GDPR seriously</strong>, especially since <a href=\"https://wordpress.org/plugins/elementor/\" target=\"_blank\" rel=\"noreferrer noopener\">the free version of Elementor</a> (which we use in our website demo templates) does not allow you to use local fonts.</p>\n\n\n\n<p>OceanWP to the rescue!</p>\n\n\n\n<p>This<strong> new OceanWP feature allows you to load Google fonts in Elementor from you site with a single click</strong> &#8211; no pro features required, no font upload required, no mess, only joy.</p>\n\n\n\n<p>All you need to do is make sure to <strong>set Elementor to rely on theme font settings</strong>, via your WP dashboard, Elementor &gt; Settings, then check the option to Disable Default Fonts (and colors if you wish).</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_110217748.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_110217748-1024x443.png\" alt=\"how to make Elementor WordPress plugin use WordPress theme fonts\" class=\"wp-image-636904\" width=\"768\" height=\"332\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_110217748-1024x443.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_110217748-300x130.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_110217748-768x332.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_110217748.png 1271w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>After that, <strong>navigate to Customize &gt; Typography &gt; General</strong>, and check the option to load <strong>Elementor Google fonts from site</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_112705469.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_112705469.png\" alt=\"OceanWP update allows using Google fonts locally with Elementor\" class=\"wp-image-636910\" width=\"245\" height=\"366\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_112705469.png 326w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_112705469-200x300.png 200w\" sizes=\"(max-width: 245px) 100vw, 245px\" /></a></figure></div>\n\n\n<p>You can also bookmark our help document, which<a href=\"https://docs.oceanwp.org/article/835-host-elementor-google-fonts-locally-with-oceanwp\" target=\"_blank\" rel=\"noreferrer noopener\"> explains how do host Elementor Google fonts locally with OceanWP</a>.</p>\n\n\n\n<p>You&#8217;ve successfully eliminated all obstacles that stand between you and the perfect design <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p><strong>Important:</strong> This feature requires the free Ocean Extra plugin to be installed and active.</p>\n\n\n\n<h3 id=\"improved-google-fonts-locally\">Improved Google Fonts Front-End Rendering</h3>\n\n\n\n<p>Whether you use plugins or child themes to load fonts from site (aka custom font upload), or the <a href=\"https://docs.oceanwp.org/article/808-host-google-fonts-locally\" target=\"_blank\" rel=\"noreferrer noopener\">new OceanWP feature that allows you to load Google fonts locally with a single click</a> &#8211; browsers will not display &#8220;custom&#8221; fonts that are considered as insecure file types. Instead, your content will be rendered using the browser&#8217;s default font, which is usually Arial or Times New Roman.</p>\n\n\n\n<p>Why is this happening and what does it mean?</p>\n\n\n\n<p>This means that your <strong>WordPress website installation is using the http:// URL which is considered as unsafe</strong> (see WP Dashboard, Settings &gt; General), or that the <strong>SSL certificate is not correctly applied</strong>, or is unable to cover everything coming from your site (fonts, images, etc).</p>\n\n\n\n<p>Because of this, some OceanWP users were unable to use the OceanWP Google Fonts from Site option aka the chosen font did not render on website&#8217;s front-end. But, the OceanWP development team has made sure no one is left behind <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>If you&#8217;re facing issues with the incorrect installation URL or SSL, <strong>after the 3.3.4 OceanWP update nothing will stand between you and local Google fonts</strong>.</p>\n\n\n\n<p>All you need to do, and in case of any problems, is navigate to the<strong> OceanWP Panel > Admin Settings</strong>, and <strong>Regenerate Local Google CSS</strong> files by running the Clear Data option.</p>\n\n\n\n<p><strong>Important:</strong> This feature requires the free Ocean Extra plugin to be installed and active.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"alignleft size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_114606764.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_114606764-1024x625.png\" alt=\"OceanWP update allows everyone to load Google fonts from site, even if the SSL certificate is not correctly applied\" class=\"wp-image-636911\" width=\"768\" height=\"469\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_114606764-1024x625.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_114606764-300x183.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_114606764-768x469.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_114606764.png 1247w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p></p>\n\n\n\n<p></p>\n\n\n\n<p></p>\n\n\n\n<p></p>\n\n\n\n<p></p>\n\n\n\n<p></p>\n\n\n\n<h2 id=\"oceanwp-panel-admin-settings\">OceanWP Panel: Admin Settings Section</h2>\n\n\n\n<p>The High Tide OceanWP update brings one brand new section to the OceanWP Panel &#8211; Admin Settings.</p>\n\n\n\n<p>The <strong>Admin Settings section contains the most important features visible or available only to website admins</strong>. You&#8217;ve already seen the feature to Regenerate Local Google CSS files. But allow us to introduce you to two more features at this time.</p>\n\n\n\n<p>For more information on the <a href=\"https://docs.oceanwp.org/article/833-admin-settings-oceanwp-panel\" target=\"_blank\" rel=\"noreferrer noopener\">Admin Settings section of the OceanWP Panel</a>, please make sure to visit our document.</p>\n\n\n\n<h3>Disable Edit Links on Blog Archive Pages</h3>\n\n\n\n<p>The option to access any post&#8217;s WordPress edit page (and save you a couple of clicks) was introduced with the <a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" data-type=\"post\" data-id=\"631456\">OceanWP Breeze update</a>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-1024x651.png\" alt=\"access post WordPress edit page directly from the archive pages\" class=\"wp-image-631466\" width=\"768\" height=\"488\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-1024x651.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-300x191.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-768x488.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118.png 1181w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>No matter how helpful, some website admins and owners prefer the old-school way. Instead of hiding these options with CSS, you can now disable this feature directly from the Admin Settings OceanWP Panel.</p>\n\n\n\n<p><strong>Important:</strong> This feature requires the free Ocean Extra plugin to be installed and active.</p>\n\n\n\n<h3>Disable Ocean News Notifications</h3>\n\n\n\n<p>What&#8217;s this you may ask? Well, it&#8217;s our brand new <strong>feature that will allow you to stay up to speed with the most relevant OceanWP news</strong>, including news about updates, promotions, webinars, courses and more.</p>\n\n\n\n<p>In fact, we&#8217;d prefer dedicate an independent heading to this feature.</p>\n\n\n\n<h2 id=\"oceanwp-news-notifications\">High Tide OceanWP Update and Ocean News Feature</h2>\n\n\n\n<p>The Ocean News feature will become available to everyone who updates OceanWP to the new 3.3.4 version and Ocean Extra to 2.0.3 version.</p>\n\n\n\n<p>WordPress feed is awesome. But, as expected, it&#8217;s often overseen. </p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_122552951.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_122552951.png\" alt=\"screenshot of the WordPress dashboard news feed\" class=\"wp-image-636913\" width=\"759\" height=\"449\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_122552951.png 1012w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_122552951-300x178.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_122552951-768x455.png 768w\" sizes=\"(max-width: 759px) 100vw, 759px\" /></a><figcaption>WordPress Dashboard News Feed (Home)</figcaption></figure></div>\n\n\n<p>In spite of regular newsletters and blog posts, <strong>most of our users have asked for a way to be up to speed tad differently</strong>, because emails are easily missed or forgotten about.</p>\n\n\n\n<p>The <strong>OceanWP News feature will ensure you&#8217;re in the loop with all relevant info from the OceanWP world</strong>, which includes blog posts, updates, webinars, promotions, tutorials and more.</p>\n\n\n\n<p>Of course, <strong>you can count on us to reach you with the most important news only</strong> as your privacy and trust matters to us.</p>\n\n\n\n<p>Whenever a new info becomes available, the new OceanWP option in the admin bar will let you know about the number of fresh notifications.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124446646.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124446646-1024x291.png\" alt=\"High Tide OceanWP Update release brings a new feature that allows OceanWP users to be up to date with the most important news from the OceanWP theme world\" class=\"wp-image-636914\" width=\"768\" height=\"218\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124446646-1024x291.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124446646-300x85.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124446646-768x218.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124446646.png 1444w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>Once you select the Notifications option, you will be greeted with the recent news.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124628083.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124628083-1024x189.png\" alt=\"screenshot of the brand new OceanWP News feature in WordPress dashboard\" class=\"wp-image-636915\" width=\"768\" height=\"142\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124628083-1024x189.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124628083-300x55.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124628083-768x142.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_124628083.png 1258w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>If you dismiss a news (click the &#8220;X&#8221; button), one and the same news will not appear again for you.</p>\n\n\n\n<p>If you prefer to leave all these just in case, you can simply navigate to any other page of your WordPress dashboard or the OceanWP Panel. In this way, all notifications will still be available for you to revisit when using the OceanWP admin bar Notifications option.</p>\n\n\n\n<p>And now, let us present to you the gem of the High Tide OceanWP Update release &#8211; the Ocean Elementor Sections Library.</p>\n\n\n\n<h2 id=\"ocean-elementor-library\">Ocean Elementor Sections Library is here!</h2>\n\n\n\n<p>You love <a href=\"https://oceanwp.org/demos/\">OceanWP full WordPress website demo templates</a>. Especially since we&#8217;ve revamped and modernized them, but also made sure to <a href=\"https://oceanwp.org/royalty-free-images-and-icons-with-oceanwp/\" data-type=\"page\" data-id=\"631749\">include royalty-free images and icons which you can use on your website following the OceanWP cooperation with Freepik and Flaticon</a>.</p>\n\n\n\n<p>If you&#8217;re considering on importing one of our full website templates, <a href=\"https://oceanwp.org/demo-category/freepik-images-included/\">we highly recommend to choose from the Freepik Images Included category</a> (we will remove the category once we&#8217;ve modernized all demos).</p>\n\n\n\n<p>But, sometimes the pages that come with templates are not enough or you&#8217;d just like to build your own pages from scratch. However, even the greatest professionals need little inspiration or a &#8220;push&#8221;. And that&#8217;s why we&#8217;d like to present you with the new Elementor Sections Library.</p>\n\n\n\n<p><strong>The Elementor Sections Library is available to all Ocean Core Extensions Bundle license owners</strong>. While the Personal plan license owners will have access to the limited amount of section templates, the <strong>Business and Agency plan license owners will enjoy FULL ACCESS</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/core-extensions-bundle/\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo.png\" alt=\"OceanWP Summer Jam promotion banner\" class=\"wp-image-636941\" width=\"600\" height=\"600\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo.png 800w, //oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo-300x300.png 300w, //oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo-150x150.png 150w, //oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo-768x768.png 768w, //oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo-600x600.png 600w, //oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo-128x128.png 128w, //oceanwp.org/wp-content/uploads/2022/08/oceanwp-summer-jam-promo-256x256.png 256w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></a></figure></div>\n\n\n<p>If you&#8217;re considering an upgrade, <a href=\"https://oceanwp.org/core-extensions-bundle/\">remember we have an awesome up to 50% OFF promo which will be active until August 13th</a>. Now, if getting access to all the latest features at a highly discounted price isn&#8217;t tempting, we don&#8217;t know what is <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> </p>\n\n\n\n<p>Also, did we mention all sections come with royalty-free images and icons? You only need to worry about design, the rest is on us.</p>\n\n\n\n<h3>How does Ocean Elementor Sections Library work?</h3>\n\n\n\n<p>To make use of the new Ocean Elementor Sections Library, you need to update:</p>\n\n\n\n<ul><li>OceanWP to its latest 3.3.4 version,</li><li>Ocean Extra to 2.0.3 version, and</li><li>Ocean Pro Demos to 1.4.0 version.</li></ul>\n\n\n\n<p>Once done, edit any of your existing pages or simply create a new page.</p>\n\n\n\n<p>When the Elementor editor loads, you will see a brand new option available.</p>\n\n\n\n<p></p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-1024x192.png\" alt=\"\" class=\"wp-image-636943\" width=\"768\" height=\"144\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-1024x192.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-300x56.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792-768x144.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-02_082830792.png 1097w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>Click on that cute &#8220;O&#8221; icon and explore the options available.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_143554376.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_143554376-1024x671.png\" alt=\"preview of the brand new OceanWP prebuilt Elementor sections library\" class=\"wp-image-636921\" width=\"768\" height=\"503\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_143554376-1024x671.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_143554376-300x197.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_143554376-768x503.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_143554376.png 1198w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>The initial release brings a total of 60 various Elementor sections from different categories, like the Footer, About, Hero and more.</p>\n\n\n\n<p>If you hover over the thumbnail of a section, you will have the option to insert, preview or both.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image-1024x488.png\" alt=\"preview on how to import new OceanWP Elementor sections\" class=\"wp-image-636923\" width=\"768\" height=\"366\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image-1024x488.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image-300x143.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image-768x366.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image.png 1193w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>You also have the option to filter through different section categories.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image-1.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image-1-1024x548.png\" alt=\"\" class=\"wp-image-636925\" width=\"768\" height=\"411\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image-1-1024x548.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image-1-300x161.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image-1-768x411.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image-1.png 1198w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>If you need to save time and focus only on specific categories, you can disable the categories you don&#8217;t need via your WP Dashboard, OceanWP &gt; OceanWP Panel &gt; Elementor Library.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_151111376.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_151111376-1024x742.png\" alt=\"\" class=\"wp-image-636926\" width=\"768\" height=\"557\" srcset=\"//oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_151111376-1024x742.png 1024w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_151111376-300x217.png 300w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_151111376-768x557.png 768w, //oceanwp.org/wp-content/uploads/2022/08/image_2022-08-01_151111376.png 1229w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>At the same time, you also have the option to entirely disable the Ocean Elementor Sections Library from loading or you can simply disable Ocean Pro Demos plugin. The choice is yours and we&#8217;re happy as long as we have loads of options to share with you.</p>\n\n\n\n<p>Remember, the OceanWP knowledge base is always there to have your back, and you can always <a href=\"https://docs.oceanwp.org/article/834-elementor-library-oceanwp-panel\" target=\"_blank\" rel=\"noreferrer noopener\">revisit the Elementor Library help document</a>.</p>\n\n\n\n<h2 id=\"update-preparations\">OceanWP Update: How to Prepare Your Website</h2>\n\n\n\n<p>Although this isn&#8217;t a major update, as always, we recommend the same update procedure and precaution measures.</p>\n\n\n\n<p><strong>The correct update order is:</strong></p>\n\n\n\n<ol><li><strong>Update OceanWP</strong>&nbsp;via Appearance &gt; Themes, then</li><li><strong>Update all Ocean plugin</strong>s via Plugins &gt; Installed Plugins.</li></ol>\n\n\n\n<p><strong>Before you update, make sure you have taken necessary precaution measures.</strong></p>\n\n\n\n<h3>Test the Update Before Updating Your Live Site</h3>\n\n\n\n<p>The&nbsp;<strong>best practice is to test new changes on localhost, test or staging environments.</strong></p>\n\n\n\n<p>If you&nbsp;<strong>don’t have the option to test the updates anywhere, do not update immediately</strong>. Wait for a couple of days or even a week, until we’ve gathered feedback and made sure it’s safe for you to update.</p>\n\n\n\n<p>Remember, even if everything is fine, something can always go wrong during updates. After all, the bad thing about software is – it’s software.</p>\n\n\n\n<p><strong>Make sure to backup your websites properly</strong>. Do not rely on hosting backups alone,&nbsp;<strong><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\" target=\"_blank\" rel=\"noreferrer noopener\">take manual backups as well</a></strong>&nbsp;and store data in a safe place. If you’re using the&nbsp;<a href=\"https://oceanwp.org/blog/how-to-reset-wordpress-website-fix-mistakes/\">WordPress Reset plugin (not to be confused with WordPress Database Reset), you can also create website snapshots</a>.</p>\n\n\n\n<p><strong>Important: remember to purge cache thoroughly</strong>&nbsp;after the update, multiple times if necessary. The same goes for the CDN (cloud) cache.</p>\n\n\n\n<h3>Updating a Live Website</h3>\n\n\n\n<p><strong>Website update preparation To-Do list</strong>:</p>\n\n\n\n<ol><li>Before updating the theme,&nbsp;<strong><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\" target=\"_blank\" rel=\"noreferrer noopener\">create a backup of your website</a></strong>.</li><li>Place your website in the<strong>&nbsp;Maintenance mode</strong>.</li><li><strong>Update OceanWP theme</strong>&nbsp;to its latest version via&nbsp;<strong>Appearance &gt; Themes</strong>.</li><li><strong>Update all Ocean plugins</strong> to their latest versions via Plugins &gt; Installed Plugins.</li><li><strong>Clear browser, website or CDN (cloud) cache</strong>.</li><li><strong>Inspect</strong> your website.</li><li>If everything is in order, <strong>deactivate the Maintenance mode</strong>.</li><li><strong>Enjoy </strong>all new OceanWP updates and features!</li></ol>\n\n\n\n<p>In case you need to roll back, you can <a href=\"https://docs.oceanwp.org/article/797-oceanwp-rollback-versions\" target=\"_blank\" rel=\"noreferrer noopener\">download older versions of the OceanWP theme</a>, as well as the <a href=\"https://docs.oceanwp.org/article/800-ocean-extra-rollback-versions\" target=\"_blank\" rel=\"noreferrer noopener\">older versions of the Ocean Extra plugin</a>.</p>\n\n\n\n<p>New to OceanWP?<a href=\"https://wordpress.org/themes/oceanwp/\" target=\"_blank\" rel=\"noreferrer noopener\"> Download the latest version directly from WordPress entirely for free</a>.</p>\n\n\n\n<h2 id=\"oceanwp-next\">What&#8217;s Next for OceanWP?</h2>\n\n\n\n<p>Our features kitchen is open 24/7.</p>\n\n\n\n<p>We&#8217;re working on a brand new plugin (hush, hush, it&#8217;s still a secret), website improvements, a completely awesome September event we&#8217;ll announce soon, brand new sections, revamped demos, and not to forget all those fine details that mean a lot, especially when it comes to accessibility.</p>\n\n\n\n<p>We really want to know your opinion and we&#8217;ll here to listen to all your ideas and suggestions. Think there&#8217;s a feature, document, demo or a video OceanWP users would really need? Let us know about it by <a href=\"https://oceanwp.org/feature-requests/\" data-type=\"page\" data-id=\"611644\">filling out the OceanWP feature request form</a>.</p>\n\n\n\n<p>And remember, if you&#8217;re an <a href=\"https://oceanwp.org/oceanwp-partner-program/\" data-type=\"page\" data-id=\"631293\">Agency Bundle license owner, you can also influence our plans and collaborate with us more closely</a>.</p>\n\n\n\n<h2>LOS; INR. (Long or Short, I Never Read):</h2>\n\n\n\n<p>We are&nbsp;<strong>releasing updates</strong>.</p>\n\n\n\n<p><strong>Take website backups, including manual backup, before updating OceanWP and Ocean plugins</strong>.</p>\n\n\n\n<p>The&nbsp;<strong>best practice is to test all updates on test, localhost or staging environments</strong>. If you don’t have the opportunity to test the updates, do not update immediately. Wait with the updates a couple of days until we’ve gathered feedback.</p>\n\n\n\n<p>In case of any problems or issues, inform us about possible bugs or submit tickets.</p>\n\n\n\n<p>Now, let&#8217;s talk about features you&#8217;d like to see in OceanWP <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"14\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:79:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"OceanWP Starboard Update: Our Theme Panel Received a Makeover!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 May 2022 07:35:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"Introducing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=633617\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1086:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/New-Project-6.png\" width=\"1200\" height=\"700\" title=\"OceanWP Starboard Update: Our Theme Panel Received a Makeover!\" alt=\"OceanWP Starboard Update: Our Theme Panel Received a Makeover!\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">Since the Ocean Breeze update, which marked the Spring here at OceanWP, we have been extremely busy working on new improvements for you. Really no use keeping it a secret...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:53534:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/New-Project-6.png\" width=\"1200\" height=\"700\" title=\"OceanWP Starboard Update: Our Theme Panel Received a Makeover!\" alt=\"OceanWP Starboard Update: Our Theme Panel Received a Makeover!\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-medium-font-size\">Since the <a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" data-type=\"post\" data-id=\"631456\">Ocean Breeze update</a>, which marked the Spring here at OceanWP, we have been extremely busy working on new improvements for you. Really no use keeping it a secret &#8211; our theme panel has received a makeover!</p>\n\n\n\n<p>The <strong>upcoming OceanWP update brings you the new OceanWP Panel, previously known as the Theme Panel</strong> that we here at OceanWP call <strong>Ocean Starboard</strong>. We promise right away, the changes are not just cosmetic or phonetic. The <strong>primary goal was to make the OceanWP Panel more organized, user-friendly</strong> and, you&#8217;ve guessed &#8211; add<strong> more useful options!</strong> </p>\n\n\n\n<p>We&#8217;re really excited to show you everything we&#8217;ve done and hope you&#8217;ll be excited for this release just as much as we are. So, let&#8217;s go through all the changes together, shall we?</p>\n\n\n\n<p>Before we begin, we made this Table of Content for you so that you can come back to this article in the future and use it as a starting point or guide for the brand new OceanWP Panel.</p>\n\n\n\n<p>Disclaimer: screenshots used in this article were based on the development versions of the OceanWP theme and Ocean plugins, so things may appear just a sprinkle different on your end.</p>\n\n\n\n<h2 id=\"table-context\">Table of Content:</h2>\n\n\n\n<ul><li>OceanWP Panel changes:<ul><li><a href=\"#panel-position\">Position (new)</a>,</li><li><a href=\"#panel-notifications\">Notifications Indicator (new)</a>,</li><li>Legacy Settings.</li></ul></li><li><a href=\"#panel-home-section\">Home Section (new)</a>:<ul><li><a href=\"#home-theme-status\">Theme Status (new)</a>,</li><li><a href=\"#home-quick-settings\">Quick Settings</a>,</li><li><a href=\"#home-download\">Download (new)</a>,<ul><li><a href=\"#home-child-theme\">OceanWP Child Theme download (new)</a>;</li></ul></li><li><a href=\"#home-love-corner\">The Love Corner (new)</a>,</li></ul></li><li>Customizer Section (new):<ul><li><a href=\"#customizer-search\">Customizer Search</a>,</li><li><a href=\"#customizer-reset\">Customizer Reset (new)</a>,</li><li><a href=\"#customizer-import-export\">Customizer Styling Import and Export</a>, </li><li><a href=\"#customizer-controls\">Customizer Controls (expanded)</a>,</li></ul></li><li><a href=\"#install-demos\">Install Demos</a></li><li><a href=\"#ocean-images\">Ocean Images</a></li><li><a href=\"#integration-section\">Integration Section</a>:<ul><li><a href=\"#integration-svg-support\">SVG Support (new)</a>,</li></ul></li><li><a href=\"#useful-plugins-section\">Useful Plugins Section</a> (new)</li><li><a href=\"#changelog-section\">Changelog Section (new)</a></li><li><a href=\"#extra-settings\">Extra Settings (new)</a></li><li><a href=\"#system-info-section\">System Info (new)</a></li><li><a href=\"#help-section\">Help Section (new)</a></li><li><a href=\"#theme-panel-plugins\">Theme Panel &amp; Ocean plugins</a></li><li><a href=\"#update-preparations\" data-type=\"internal\" data-id=\"#update-preparations\">How to prepare your website for updates</a></li><li><a href=\"#oceanwp-next\">What&#8217;s next for OceanWP?</a></li></ul>\n\n\n\n<h2>Theme Panel Becomes OceanWP Panel</h2>\n\n\n\n<p>Yes, yes, we know what you&#8217;re thinking.</p>\n\n\n\n<p>Not a glamorous change <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f600.png\" alt=\"😀\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> Besides the name change, which was done in order to make all settings more user-friendly, there&#8217;s really a lot more to it.</p>\n\n\n\n<p>Stay with us, as we&#8217;re about to give you a tour through all sections.</p>\n\n\n\n<h3 id=\"panel-position\">OceanWP Panel Position</h3>\n\n\n\n<p>OceanWP veteran users remember it was sometimes difficult to chase the panel down in the WordPress dashboard. With the latest OceanWP and Ocean Extra update, the OceanWP Panel will be positioned at the top of the WP dashboard, so you won&#8217;t miss it, ever again.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"panel-notifications\">OceanWP Panel Notifications Indicator</h3>\n\n\n\n<p>Stay in the loop with our eye-catching notification indicator.</p>\n\n\n\n<p>Whenever an update is available or required to get access to new features, you will see a clear indicator &#8220;that there&#8217;s something going on&#8221;.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_103652281.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_103652281-1024x537.png\" alt=\"preview of the new OceanWP Panel notifications indicator\" class=\"wp-image-633631\" width=\"768\" height=\"403\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_103652281-1024x537.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_103652281-300x157.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_103652281-768x403.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_103652281.png 1448w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>Example, a theme update is available or you need to update a plugin to unlock new features. In a similar manner, you will need to update Ocean Elementor Widgets to unlock the new features we&#8217;ll talk about below.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3>OceanWP Panel Legacy Settings</h3>\n\n\n\n<p>Some settings that come with Ocean Extra (My Library, for example) and additional Ocean plugins, such as the Ocean Custom Sidebar, Ocean Stick Anything, etc, will still be displayed as before &#8211; under the OceanWP Panel.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_105556888.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_105556888.png\" alt=\"preview of the OceanWP Theme Panel legacy settings\" class=\"wp-image-633634\" width=\"302\" height=\"319\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_105556888.png 403w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_105556888-284x300.png 284w\" sizes=\"(max-width: 302px) 100vw, 302px\" /></a></figure></div>\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h2>New OceanWP Panel</h2>\n\n\n\n<p>And now to the best part. We present to you <strong>the new and very much improved OceanWP Panel</strong>.</p>\n\n\n\n<p>In this part we&#8217;ll go over all OceanWP Panel sections with you and explain all the options, changes and benefits.</p>\n\n\n\n<h3 id=\"panel-home-section\">OceanWP Panel: Home Section</h3>\n\n\n\n<p>Welcome and make yourself feel at home <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>The first section in the new OceanWP Panel is the Home section. We&#8217;ll start this tour with the very first, but also a new feature &#8211; the Theme Status.</p>\n\n\n\n<h4 id=\"home-theme-status\">Home Section: Theme Status</h4>\n\n\n\n<p>The Theme Status option is a<strong> brand new OceanWP update feature</strong>. </p>\n\n\n\n<p>Theme Status will inform all OceanWP users if there is a theme update available. It&#8217;s also one of the options that triggers our awesome notifications indicator we mentioned earlier.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111427046.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111427046.png\" alt=\"preview of the new OceanWP update feature called the Theme Status which displays whether a new OceanWP update is available\" class=\"wp-image-633641\" width=\"689\" height=\"162\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111427046.png 919w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111427046-300x71.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111427046-768x181.png 768w\" sizes=\"(max-width: 689px) 100vw, 689px\" /></a></figure></div>\n\n\n<p>You&#8217;ll also be able to check all feedback for the new release before updating. Of course, we&#8217;re referring to our already familiar document <a href=\"https://docs.oceanwp.org/article/776-known-bugs-issues#oceanwp\" target=\"_blank\" rel=\"noreferrer noopener\">Known Bugs &amp; Issues</a>. </p>\n\n\n\n<p>In this doc, we log all problems/issues users have encountered after updating to a specific theme or plugin version, and which we acknowledge to be a bug or a problem. Remember, <a href=\"https://oceanwp.org/support/\" data-type=\"page\" data-id=\"1236\">if you encounter a problem you believe might be a bug and not a specific user case, let us know about it</a> so we can throw ourselves at it immediately. Now, back to our features.</p>\n\n\n\n<p>In addition to the cute notification, you will also be able to<strong> update the theme directly from the OceanWP Panel, by simply clicking the &#8220;update now&#8221; link</strong>.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h4 id=\"home-quick-settings\">Home Section: Quick Settings</h4>\n\n\n\n<p>The Quick Settings option is something we already had, but perhaps you never used it <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>This section represents a <strong>quick access menu</strong>.<strong> Each menu item is a shortcut that leads to a specific Customizer panel or section</strong>, which saves you a bit of time (or clicks).</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111917925.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111917925.png\" alt=\"\" class=\"wp-image-633652\" width=\"728\" height=\"529\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111917925.png 970w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111917925-300x218.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_111917925-768x558.png 768w\" sizes=\"(max-width: 728px) 100vw, 728px\" /></a></figure></div>\n\n\n<p>Example, if you need to change the logo, just click on the Logo shortcut and it will open the Customizer with the Logo settings directly.</p>\n\n\n\n<p>The traditional way of accessing these settings is to open the Customizer, then Header settings, then the Logo section. To summarize, for this particular action you&#8217;re saving 2 additional steps.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h4 id=\"home-download\">Home Section: Download</h4>\n\n\n\n<p><strong>The Download section is a completely new feature</strong> that comes with the latest OceanWP update. </p>\n\n\n\n<p>The first part of the Download section is &#8211; yours truly &#8211; the Ocean Extra plugin. The Ocean Extra plugin is 100% free but also required to unlock multiple features, as well as the functionality of the new OceanWP Panel. Basically, this has not changed <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>On a quick side not, if you don&#8217;t plan to use the features mentioned, or additional Ocean plugins, be it free or pro, you are not required to use Ocean Extra plugin on your site. But we strongly recommend it because you&#8217;ll be missing out.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_122244139.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_122244139.png\" alt=\"\" class=\"wp-image-633665\" width=\"767\" height=\"385\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_122244139.png 1023w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_122244139-300x150.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_122244139-768x385.png 768w\" sizes=\"(max-width: 767px) 100vw, 767px\" /></a></figure></div>\n\n\n<p id=\"home-child-theme\">The second option is the <strong>OceanWP Child Theme download</strong>.</p>\n\n\n\n<p>As you already know, <strong>OceanWP has a fully functional and a ready-to-import and use child theme</strong>. When it comes to OceanWP, you <strong>don&#8217;t need to use third-party plugins to create a child theme</strong>.</p>\n\n\n\n<p>In fact, we advise you against it because some plugins tend to &#8220;lock&#8221; scripts and only call scripts that existed in a specific theme at the time of the creation of the child theme. This can cause issues with later updates, because your child theme may be reading old or non-existent scripts.</p>\n\n\n\n<p>However, downloading and importing a child theme can be a tedious task, especially for beginners. So, we&#8217;ve come up with a feature that allows you to <strong>install the OceanWP child theme with just 1-click, directly from the OceanWP Panel</strong>! And you can immediately see just how easy it is by inspecting the video below.</p>\n\n\n\n<figure class=\"wp-block-embed aligncenter is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"&#x1f525;&#x1f525;&#x1f525; Premiere Preview: The Secret is OUT! OceanWP Theme Panel Receives a MAKEOVER &#x1f929;\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/twUc0rHnBo0?start=127&#038;feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<p>The file you will be installing through this button is <a href=\"https://github.com/oceanwp/oceanwp-child-theme\" target=\"_blank\" rel=\"noreferrer noopener\">the same file that is publicly available on our GitHub account</a>. Likewise, when we make updates to the GitHub file, we&#8217;ll also replace the download file.</p>\n\n\n\n<p>If you&#8217;re a developer and wish to make changes to the child theme before installing it, for example, change the theme&#8217;s screenshot, you will need to:</p>\n\n\n\n<ul><li>download the OceanWP child theme file the traditional way,</li><li>use a software editing tool, like <a href=\"https://code.visualstudio.com\" target=\"_blank\" rel=\"noreferrer noopener\">Visual Studio Code</a>, then</li><li>upload the changed file in a ZIP file format to your website.</li></ul>\n\n\n\n<p>If you&#8217;re interested in installing the OceanWP child theme the &#8220;traditional&#8221; way, you can check our <a href=\"https://docs.oceanwp.org/article/90-sample-child-theme\" target=\"_blank\" rel=\"noreferrer noopener\">documentation on how to install a child theme</a> or you can check our <a href=\"https://www.youtube.com/watch?v=U4VIh1kVB90\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube video on how to download and install the OceanWP child theme</a>.</p>\n\n\n\n<p>The one thing this process does not do is &#8220;migrate&#8221; your previous Customizer settings (if any), so this is something you&#8217;ll need to do manually <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> Luckily, we also made sure to make this process as easy as it can be. Check out this <a href=\"https://youtu.be/U4VIh1kVB90?t=170\" target=\"_blank\" rel=\"noreferrer noopener\">video part on how to import website styling  (Customizer settings) to your child theme</a>.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h4 id=\"home-love-corner\">Home Section: The Love Corner</h4>\n\n\n\n<p>The name says it all &#8211; it&#8217;s a place to share and receive love <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>In this area you have the option to:</p>\n\n\n\n<ul><li>share the rating and your experience with the OceanWP theme you love as much as we do,</li><li><a href=\"https://oceanwp.org/newsletter-subscription/\" data-type=\"page\" data-id=\"633584\">subscribe to our newsletter and be the first to know about updates, promotions and other news</a>,</li><li><a href=\"https://oceanwp.org/feature-requests/\" data-type=\"page\" data-id=\"611644\">request a feature you&#8217;d like to see in the OceanWP theme or any of the Ocean Extensions</a>,</li><li><a href=\"https://oceanwp.org/website-showcase/\" data-type=\"page\" data-id=\"623557\">share your website to be featured in our blog posts</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></li></ul>\n\n\n\n<p>And while we&#8217;re at it, if you have an outstanding website based on OceanWP &#8211; don&#8217;t keep it a secret and <a href=\"https://oceanwp.org/website-showcase/\" data-type=\"page\" data-id=\"623557\">apply now for the OceanWP website showcase</a>! We&#8217;d love to see what you did and share with the rest of the OceanWP family.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3>OceanWP Panel: Customizer Section</h3>\n\n\n\n<p><strong>The Customizer section is a brand new feature</strong> &#8211; or better yet &#8211; a brand new section, that comes with the latest OceanWP update.</p>\n\n\n\n<p>This <strong>section contains grouped features and options that are directly related to the WordPress Customizer</strong> (Appearance &gt; Customize).</p>\n\n\n\n<h4 id=\"customizer-search\">Customizer Section: Customizer Search</h4>\n\n\n\n<p>Customizer Search is an option we introduced at the and of 2021. Seems so far away, doesn&#8217;t it.</p>\n\n\n\n<p>We understand that <strong>browsing through the Customizer can sometimes be confusing or time-consuming</strong>. Even if you&#8217;re familiar with the OceanWP theme, you can sometimes forget where specific settings are located, especially if you don&#8217;t use them often.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_125832278.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_125832278-1024x255.png\" alt=\"preview of the OceanWP Panel Customizer Search control options\" class=\"wp-image-633667\" width=\"768\" height=\"191\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_125832278-1024x255.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_125832278-300x75.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_125832278-768x191.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_125832278.png 1193w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>That&#8217;s where the Customizer Search comes to the rescue.</p>\n\n\n\n<p>Activate the feature and it will become available in the Customizer. <strong>Use the search option to find all settings with ease and navigate directly to them</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862-1024x528.png\" alt=\"preview of the OceanWP Customizer Search option in action\" class=\"wp-image-633668\" width=\"768\" height=\"396\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862-1024x528.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862-300x155.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862-768x396.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862-1536x793.png 1536w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_130255862.png 1880w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p><strong>The Customizer Search option is disabled by default</strong>. </p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h4 id=\"customizer-reset\">Customizer Section: Customizer Reset</h4>\n\n\n\n<p>And, here it is folks!</p>\n\n\n\n<p>Something you&#8217;ve been asking for &#8211; <strong>a handy feature all website developers will love as you do not have to use third-party plugins anymore</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_131617506.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_131617506.png\" alt=\"preview of the new OceanWP update feature, the Customizer Reset option.\" class=\"wp-image-633669\" width=\"620\" height=\"199\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_131617506.png 826w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_131617506-300x96.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_131617506-768x246.png 768w\" sizes=\"(max-width: 620px) 100vw, 620px\" /></a></figure></div>\n\n\n<p>The<strong> Customizer Reset option allows you to reset all Customizer settings to default theme settings</strong>. It&#8217;s extremely useful if you wish to switch to a different <a href=\"https://oceanwp.org/demos/\" data-type=\"page\" data-id=\"1403\">Ocean WordPress template demo</a> or you just don&#8217;t wish to find all the settings that came with a demo to correct them, and instead you&#8217;d like to make own changes from the scratch.</p>\n\n\n\n<p>What do you need to do? <strong>Just click on the Reset Customizer Settings button, confirm your action</strong> (as we don&#8217;t want any accidental clicks) <strong>and that&#8217;s it!</strong></p>\n\n\n\n<p>That being said, do not click for experiment purposes unless you&#8217;ve exported all your settings which you can import again.</p>\n\n\n\n<p>Which brings us to the next option &#8211; Customizer (Website Styling) Settings Import and Export</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h4 id=\"customizer-import-export\">Customizer Section: Customizer Styling Import and Export</h4>\n\n\n\n<p>If you&#8217;re a veteran OceanWP user, this is a feature you&#8217;re already familiar with. Except, this time, we placed it under the same roof with other Customizer options. We also made sure to add user and beginner-friendly descriptions.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_132020598.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_132020598.png\" alt=\"\" class=\"wp-image-633670\" width=\"761\" height=\"479\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_132020598.png 1014w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_132020598-300x189.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_132020598-768x484.png 768w\" sizes=\"(max-width: 761px) 100vw, 761px\" /></a></figure></div>\n\n\n<p>As there are no changes to the functionality or use of this feature, except for the location and the brand new styling, <a href=\"https://youtu.be/U4VIh1kVB90?t=170\" target=\"_blank\" rel=\"noreferrer noopener\">check out this video part to see how the export and import of Customizer styling functions</a>.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h4 id=\"customizer-controls\">Customizer Section: Customizer Controls</h4>\n\n\n\n<p>Again, OceanWP long-time users are familiar with the Customizer Controls option. </p>\n\n\n\n<p>The <strong>Customizer Controls feature allows you to disable specific Customizer panels from loading</strong>. Its purpose is for the Customizer to load faster or not to load options you do not frequently need to use, therefore keep the Customizer organized and save time while editing.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142107067.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142107067.png\" alt=\"preview of the OceanWP panel Customizer controls option that allows you to disable specific customizer panel options from loading\" class=\"wp-image-633672\" width=\"764\" height=\"547\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142107067.png 1018w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142107067-300x215.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142107067-768x550.png 768w\" sizes=\"(max-width: 764px) 100vw, 764px\" /></a></figure></div>\n\n\n<p>However, <strong>the new OceanWP update expands this feature</strong>.</p>\n\n\n\n<p>Previously, <strong>OceanWP users had the opportunity only to disable default sections that were a part of the OceanWP theme</strong>, such us Top Bar, Typography, General, Header and several other panels.</p>\n\n\n\n<p>From now on, <strong>you can disable all panels generated by free and/or pro Ocean extensions</strong>. Example: Sticky Header, Sticky Footer, Modal Window, and more <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142543800.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142543800.png\" alt=\"preview of the additional Customizer control options for free and pro Ocean extensions, that come with the new OceanWP theme update\" class=\"wp-image-633673\" width=\"758\" height=\"614\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142543800.png 1010w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142543800-300x243.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_142543800-768x623.png 768w\" sizes=\"(max-width: 758px) 100vw, 758px\" /></a></figure></div>\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"install-demos\">OceanWP Panel: Install Demos</h3>\n\n\n\n<p>One of your favorite features about OceanWP,<a href=\"https://oceanwp.org/demos/\"> full website WordPress templates</a>, has received a slight makeover and 2 (two) brand new functionalities.</p>\n\n\n\n<p>The old option, Install Demos (located under the OceanWP (Theme) Panel) now serves as a direct shortcut to the dedicated Install Demos section of the new OceanWP Panel. Naturally, this section can also be accessed directly through the OceanWP Panel.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_143241266.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_143241266-1024x755.png\" alt=\"preview of the OceanWP Panel Install Demos option makeover\" class=\"wp-image-633674\" width=\"768\" height=\"566\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_143241266-1024x755.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_143241266-300x221.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_143241266-768x566.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_143241266.png 1231w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>For all new OceanWP users, or those of you who rely on documentation, <strong>we added docs and links to video tutorials directly into this section</strong>. Whenever in doubt, you&#8217;ll have all the help you need at click&#8217;s reach <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p><strong>New Install Demos features include:</strong></p>\n\n\n\n<ul><li><strong>the Import Button</strong>, for user-friendliness (the import process will still function as before: if you click the demo image), and</li><li><strong>the option to disable/enable Install Demos</strong> whenever you do not use them.</li></ul>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144336250.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144336250-1024x325.png\" alt=\"preview of the new OceanWP update Install Demos feature to disable install demos functionality if not needed\n\" class=\"wp-image-633675\" width=\"768\" height=\"244\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144336250-1024x325.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144336250-300x95.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144336250-768x244.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144336250.png 1225w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"ocean-images\">OceanWP Panel: Ocean Images</h3>\n\n\n\n<p>As announced in the <a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" data-type=\"post\" data-id=\"631456\">Ocean Breeze updates release</a>, <strong>owners of the Business and Agency Core Extensions Bundle plans have the opportunity to enjoy the new features: direct image import from Freepik and icons import from Flaticon</strong>.</p>\n\n\n\n<p>In this section you&#8217;re allowed to enable all options per need and start working with royalty-free images on your website.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_153530016-1024x491.png\" alt=\"preview of the Ocean Images image and icons import feature and related settings\" class=\"wp-image-633683\" width=\"768\" height=\"368\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_153530016-1024x491.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_153530016-300x144.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_153530016-768x369.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_153530016.png 1215w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>Want to enjoy the Ocean Images feature? <a href=\"https://oceanwp.org/core-extensions-bundle/\" data-type=\"page\" data-id=\"36995\">Upgrade or purchase the Business or Agency Ocean Core Extensions Bundle</a> plan.</p>\n\n\n\n<p>Check out our<a href=\"https://oceanwp.org/royalty-free-images-and-icons-with-oceanwp/\" data-type=\"page\" data-id=\"631749\"> Royalty-free Images and Icons with OceanWP</a> page to find about the benefits, as well as how to use this feature.</p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"integration-section\">OceanWP Panel: Integration</h3>\n\n\n\n<p><strong>The Integration section</strong> is absolutely not a new feature, but it <strong>now comes as a standalone section</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144637059.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144637059-1024x617.png\" alt=\"\" class=\"wp-image-633676\" width=\"768\" height=\"463\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144637059-1024x617.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144637059-300x181.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144637059-768x463.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_144637059.png 1241w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>Standard integration options include:</p>\n\n\n\n<ul><li>Google maps API (to use with Ocean Elementor Widgets: Google Map widget),</li><li>Google reCAPTCHA (to use with Ocean Elementor Widgets: Register widget), and</li><li>MailChimp API (to use with MailChimp widget from Ocean Extra or Newsletter Widget from Ocean Elementor Widget).</li></ul>\n\n\n\n<p id=\"integration-svg-support\"><strong>Brand NEW integration option includes</strong>:</p>\n\n\n\n<ul><li><strong>SVG file support.</strong></li></ul>\n\n\n\n<p>By default, <strong>you&#8217;re not allowed to upload SVG file types to your WordPress Media Library</strong>. Our new option will allow you to do just that, and <strong>upload SVG logos, icons and more</strong>.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_145613003.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_145613003-1024x235.png\" alt=\"preview of the new OceanWP update feature that allows SVG support for the WordPress Media Library\" class=\"wp-image-633679\" width=\"768\" height=\"176\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_145613003-1024x235.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_145613003-300x69.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_145613003-768x176.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_145613003.png 1026w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n<p>We made sure that <strong>all files you upload are completely sanitized</strong>. Even if you upload a file with malicious code, intentionally or by mistake, it will be entirely safe to use once it&#8217;s uploaded to your site.</p>\n\n\n\n<p>And the special <strong>benefit of the SVG support feature is &#8211; you don&#8217;t have to use any third-party plugins for this anymore</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p><strong>The SVG file support feature is disabled by default.</strong></p>\n\n\n\n<p class=\"has-text-align-center has-text-color has-small-font-size\" style=\"color:#1f4189\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"useful-plugins-section\">OceanWP Panel: Useful Plugins</h3>\n\n\n\n<p>The <strong>Useful Plugins sections</strong> is completely new. It <strong>contains options to install plugins we usually recommend or even use in our full website template demos</strong>, along with the description of the plugins&#8217; functionalities.</p>\n\n\n\n<p>Please note that these do not contain any affiliate or other marketing links &#8211; only WordPress repository links.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154625695-1024x598.png\" alt=\"preview of the OceanWP Panel useful plugins section for recommended plugins\" class=\"wp-image-633684\" width=\"768\" height=\"449\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154625695-1024x598.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154625695-300x175.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154625695-768x448.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154625695.png 1223w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>Aside from recommended plugins, you will <strong>also find a list of all Ocean free extensions that are available in the WordPress repository</strong>. Again, followed by information that describe our products best and with the option to install them from the WordPress repository directly through the new OceanWP panel.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154748476.png\" alt=\"preview of the OceanWP Panel useful plugins section for OceanWP free plugins\" class=\"wp-image-633685\" width=\"764\" height=\"689\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154748476.png 1018w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154748476-300x271.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_154748476-768x693.png 768w\" sizes=\"(max-width: 764px) 100vw, 764px\" /></figure></div>\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"changelog-section\">OceanWP Panel: Changelog</h3>\n\n\n\n<p><strong>Seasoned WordPress users already know</strong> that, unlike with plugin updates, the <strong>theme&#8217;s changelog is not available for direct preview even though it&#8217;s present in the theme files</strong>.</p>\n\n\n\n<p>To allow our users to keep track of all the changes done, we&#8217;ve kept our <a href=\"https://docs.oceanwp.org/article/653-oceanwp-theme-changelog\" target=\"_blank\" rel=\"noreferrer noopener\">OceanWP Theme Changelog document</a>.  We&#8217;ll continue to update this document even after the new OceanWP Panel changes in case of users who don&#8217;t use Ocean Extra.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_155104019-1024x672.png\" alt=\"preview of the new OceanWP Panel feature that allows users to check the theme update changelog\" class=\"wp-image-633686\" width=\"768\" height=\"504\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_155104019-1024x672.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_155104019-300x197.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_155104019-768x504.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_155104019.png 1235w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p>What more is there to say about this feature? <strong>The changelog is now available to you directly in the new OceanWP Panel</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"extra-settings\">OceanWP Panel: Extra Settings</h3>\n\n\n\n<p><strong>Extra Settings is a brand new feature or better yet &#8211; a pack of new features</strong>.</p>\n\n\n\n<p>From now on, all OceanWP users will be able to enable or disable all features that come with the Ocean Extra plugin and in any given moment.</p>\n\n\n\n<p>The Extra Settings option includes, but is not limited to:</p>\n\n\n\n<ul><li>disable/enable My Library (don&#8217;t want to create custom templates, shortcodes or other things to use across the theme? No problem),</li><li>disable/enable Metabox Settings (individual page, post, product or template settings),</li><li>disable/enable OceanWP WordPress widgets, entirely or individually, and more.</li></ul>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"system-info-section\">OceanWP Panel: System Info</h3>\n\n\n\n<p>The <strong>System Info is a brand new feature that will help us help you in case of any problems</strong>.</p>\n\n\n\n<p>The best part about it is that you don&#8217;t have to rely on third-party plugins or consult your hosting providers to retrieve this information.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_160742080-1024x777.png\" alt=\"preview of the new OceanWP Panel System Info feature\" class=\"wp-image-633687\" width=\"768\" height=\"583\" srcset=\"//oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_160742080-1024x777.png 1024w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_160742080-300x228.png 300w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_160742080-768x583.png 768w, //oceanwp.org/wp-content/uploads/2022/05/image_2022-05-04_160742080.png 1225w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n<p><strong>With one click on the &#8220;Get System Report&#8221; button, you can generate the system info to copy/paste it for us </strong>on the WordPress forum, tickets or our <a href=\"https://www.facebook.com/groups/oceanwptheme/\" target=\"_blank\" rel=\"noreferrer noopener\">OceanWP Facebook Community</a> to review.</p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h3 id=\"help-section\">OceanWP Panel: Help</h3>\n\n\n\n<p>The Help section serves as a <strong>shortcut to all OceanWP users in a need of a assistance</strong>.</p>\n\n\n\n<p>From the Help section, you can directly <strong>visit the OceanWP documentation</strong>, check out OceanWP YouTube video tutorials, or seek help, advice or guidance from us on the <a href=\"https://wordpress.org/support/theme/oceanwp/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress forum</a>, <a href=\"https://www.facebook.com/groups/oceanwptheme/\" target=\"_blank\" rel=\"noreferrer noopener\">Facebook Community Support group</a> or <a href=\"https://oceanwp.org/support/\" data-type=\"page\" data-id=\"1236\">submit a ticket if you&#8217;re a client</a>.</p>\n\n\n\n<p>If you&#8217;re new to WordPress or posting on the WordPress forum, please be advised that under the <a href=\"https://wordpress.org/support/guidelines/\" target=\"_blank\" rel=\"noreferrer noopener\">WordPress forum rules and guidelines</a> we are allowed to provide you with support for the OceanWP theme and free plugins only. For all other questions, come and join our Community or submit a ticket whenever you feel the need.</p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h2 id=\"theme-panel-plugins\">OceanWP Panel Changes and Ocean Pro Extensions</h2>\n\n\n\n<p>The new OceanWP update brings also additional features to some of the Ocean Pro Extensions, like the Ocean Elementor Widgets or Ocean White Label.</p>\n\n\n\n<p>Ocean Elementor Widgets users will, from now on, have the option to disable any widget they don&#8217;t need or don&#8217;t want to use, so it won&#8217;t be loading in the Elementor Panel.</p>\n\n\n\n<p>Ocean White Label users will receive a bit more whitelabeling options, all in accordance with the new OceanWP Panel changes and the option to impress clients even more.</p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h2>Ocean Plugins and OceanWP Panel Update</h2>\n\n\n\n<p>Our new update affects numerous free and pro Ocean extensions, similar to the <a href=\"https://oceanwp.org/blog/oceanwp-3-this-summer-is-all-about-vanilla-js/\" data-type=\"post\" data-id=\"616261\">update procedure when we released OceanWP 3 with Vanilla</a>.</p>\n\n\n\n<p>This means that you will need to update all plugins in order to start making use of all the latest features.</p>\n\n\n\n<p>The complete list of Ocean extensions affected by the OceanWP Panel makeover update:</p>\n\n\n\n<ol><li><strong>Ocean Extra</strong>, version 2.0.0,</li><li><strong>Ocean White Label</strong>, version 2.0.0 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Woo Popup</strong>, version 2.0.2 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Sticky Header</strong>, version 2.0.4 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Sticky Footer</strong>, version 2.0.3 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Cookie Notice</strong>, version 2.0.4 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Side Panel</strong>, version 2.0.4 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Footer Callout</strong>, version 2.0.2 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Portfolio</strong>, version 2.0.7 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Popup Login</strong>, version 2.1.1 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Gutenberg Blocks</strong>, version 1.1.1 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Pro Demos</strong>, version 1.3.1 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Elementor Widgets</strong>, version 2.2.1 (pro plugin and a part of the Ocean Core Extensions Bundle),</li><li><strong>Ocean Social Sharing</strong>, version 2.0.2 (free WordPress plugin),</li><li><strong>Ocean Product Sharing</strong>, version 2.0.3 (free WordPress plugin),</li><li><strong>Ocean Custom Sidebar</strong>, version 1.0.9 (free WordPress plugin),</li><li><strong>Ocean Modal Window</strong>, version 2.0.5 (free WordPress plugin).</li></ol>\n\n\n\n<p>In order to enjoy all new features, and for the OceanWP Panel changes to function correctly, you will need to update the OceanWP theme and ALL Ocean extensions.</p>\n\n\n\n<p>Now that you know what plugins you&#8217;ll need to update, let&#8217;s go over some things you need to know before you start updating.</p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h2 id=\"update-preparations\">OceanWP Update: How to Prepare Your Website</h2>\n\n\n\n<p>We all love updates and new features, but just can&#8217;t become fond of update preparations <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>This is a major update, and although we keep recommending the same procedure over and over no matter how big or small an update is, we&#8217;ll do it again (just in case).</p>\n\n\n\n<p><strong>The correct update order is:</strong></p>\n\n\n\n<ol><li><strong>Update OceanWP</strong>&nbsp;via Appearance &gt; Themes, then</li><li><strong>Update all Ocean plugin</strong>s via Plugins &gt; Installed Plugins.</li></ol>\n\n\n\n<p><strong>Before you update, make sure you have taken necessary precaution measures.</strong></p>\n\n\n\n<h3>Test the Update Before Updating Your Live Site</h3>\n\n\n\n<p>The&nbsp;<strong>best practice is to test new changes on localhost, test or staging environments.</strong></p>\n\n\n\n<p>If you&nbsp;<strong>don’t have the option to test the updates anywhere, do not update immediately</strong>. Wait for a couple of days or even a week, until we’ve gathered feedback and made sure it’s safe for you to update.</p>\n\n\n\n<p>Remember, even if everything is fine, something can always go wrong during updates. After all, the bad thing about software is – it’s software.</p>\n\n\n\n<p><strong>Make sure to backup your websites properly</strong>. Do not rely on hosting backups alone,&nbsp;<strong><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\" target=\"_blank\" rel=\"noreferrer noopener\">take manual backups as well</a></strong>&nbsp;and store data in a safe place. If you’re using the&nbsp;<a href=\"https://oceanwp.org/blog/how-to-reset-wordpress-website-fix-mistakes/\">WordPress Reset plugin (not to be confused with WordPress Database Reset), you can also create website snapshots</a>.</p>\n\n\n\n<p><strong>Important: remember to purge cache thoroughly</strong>&nbsp;after the update, multiple times if necessary. The same goes for the CDN (cloud) cache.</p>\n\n\n\n<h3>Updating a Live Website</h3>\n\n\n\n<p><strong>Website update preparation To-Do list</strong>:</p>\n\n\n\n<ol><li>Before updating the theme,&nbsp;<strong><a href=\"https://www.wpbeginner.com/plugins/7-best-wordpress-backup-plugins-compared-pros-and-cons/\" target=\"_blank\" rel=\"noreferrer noopener\">create a backup of your website</a></strong>.</li><li>Place your website in the<strong>&nbsp;Maintenance mode</strong>.</li><li><strong>Update OceanWP theme</strong>&nbsp;to its latest version via&nbsp;<strong>Appearance &gt; Themes</strong>.</li><li><strong>Update all Ocean plugins</strong> to their latest versions via Plugins &gt; Installed Plugins.</li><li><strong>Clear browser, website or CDN (cloud) cache</strong>.</li><li><strong>Inspect</strong> your website.</li><li>If everything is in order, <strong>deactivate the Maintenance mode</strong>.</li><li><strong>Enjoy </strong>all new OceanWP updates and features!</li></ol>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"#table-context\">#Back to the Table of Content</a></p>\n\n\n\n<h2 id=\"oceanwp-next\">What&#8217;s Next for OceanWP?</h2>\n\n\n\n<p>Believe it or not, <strong>we already have other delicacies cooking in the OceanWP kitchen of features</strong>.</p>\n\n\n\n<p>While we can&#8217;t reveal everything, one of the things we&#8217;ll also be working on is improving OceanWP theme and Ocean plugins descriptions, settings (we might move some) to make them user (and beginner) friendly at the max. We&#8217;ll also make sure to do our regular round of accessibility improvements.</p>\n\n\n\n<p>Regardless of our plans, we want to know what you think and we&#8217;ll here to listen to all your ideas and suggestions. Think there&#8217;s a feature, document, demo or a video OceanWP users would really need? Let us know about it by <a href=\"https://oceanwp.org/feature-requests/\" data-type=\"page\" data-id=\"611644\">filling out the OceanWP feature request form</a>.</p>\n\n\n\n<p>And remember, if you&#8217;re an <a href=\"https://oceanwp.org/oceanwp-partner-program/\" data-type=\"page\" data-id=\"631293\">Agency Bundle license owner, you can also influence our plans and collaborate with us more closely</a>.</p>\n\n\n\n<h2>LOS; INR. (Long or Short, I Never Read):</h2>\n\n\n\n<p>We are&nbsp;<strong>releasing major updates</strong>.</p>\n\n\n\n<p><strong>Take website backups, including manual backup, before updating OceanWP and Ocean plugins</strong>.</p>\n\n\n\n<p>The&nbsp;<strong>best practice is to test all updates on test, localhost or staging environments</strong>. If you don’t have the opportunity to test the updates, do not update immediately. Wait with the updates a couple of days until we’ve gathered feedback.</p>\n\n\n\n<p>In case of any problems or issues, inform us about possible bugs or submit tickets.</p>\n\n\n\n<p>But, in case you got till the end of the article, please, let us know what you think. We&#8217;d love to know how you fancy the new OceanWP Panel and all other changes that come with it <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>PS don&#8217;t forget to check out the full premiere preview video of the Ocean Starboard and OceanWP Theme Panel Makeover and see some of the features live</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"&#x1f525;&#x1f525;&#x1f525; Premiere Preview: The Secret is OUT! OceanWP Theme Panel Receives a MAKEOVER &#x1f929;\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/twUc0rHnBo0?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<p> </p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://oceanwp.org/blog/oceanwp-theme-panel-makeover/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:79:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"Ocean Breeze for Spring 2022: What’s New in OceanWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 01 Apr 2022 09:54:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Introducing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:6:\"Update\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=631456\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1146:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/New-Project-2.png\" width=\"1200\" height=\"700\" title=\"Ocean Breeze for Spring 2022: What&#8217;s New in OceanWP\" alt=\"Ocean Breeze for Spring 2022: What&#8217;s New in OceanWP\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">You need it. Most importantly, you deserve it. The new OceanWP update brings fresh features to enrich your content even without page builders. Enjoy refurbished Ocean Website Templates, royalty-free images,...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:38448:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/New-Project-2.png\" width=\"1200\" height=\"700\" title=\"Ocean Breeze for Spring 2022: What&#8217;s New in OceanWP\" alt=\"Ocean Breeze for Spring 2022: What&#8217;s New in OceanWP\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-text-color has-medium-font-size\" style=\"color:#212121\">You need it. Most importantly, you deserve it. The new OceanWP update brings fresh features to enrich your content even without page builders. Enjoy refurbished Ocean Website Templates, royalty-free images, blocks, widgets, etc.</p>\n\n\n\n<p>For some of you, it&#8217;s already April 1st. But, we can assure you &#8211; it&#8217;s not a joke. Brand new OceanWP updates are already available, and we&#8217;re bringing you &#8211; you&#8217;ve guessed that right &#8211; MORE features!</p>\n\n\n\n<p>We&#8217;re calling this stack of updates the <strong>Ocean Breeze</strong>, <strong>as new options will hit your websites with the freshness you deserve</strong>.</p>\n\n\n\n<p>Without further ado, we&#8217;re presenting you the crisp and novel changes you can start applying to your website immediately.</p>\n\n\n\n<h2>Goodbye GDPR, Hello Ocean Breeze</h2>\n\n\n\n<p>Building and maintaining a business and a website is difficult as is, even without all the regulations website owners need to follow. For example, the most dreaded GDPR regulations.</p>\n\n\n\n<p>Google has the largest free font library available and it&#8217;s widely used. So, what&#8217;s wrong with that?</p>\n\n\n\n<p>Apparently, the <strong>traditional way of using Google fonts on your website, through embedding, allows Google to collect data on your website visitors</strong>. As you can imagine, this method can be characterized as a breach of GDPR.</p>\n\n\n\n<p><strong>The only way to circumvent this potentially legal-threat is to host Google fonts locally on your website</strong>. Whether it&#8217;s through a child theme or using third-party plugins, this process can be a drag.</p>\n\n\n\n<p>Therefore we&#8217;ve come up with a better solution for all OceanWP users! <strong>New OceanWP update brings you the option to host Google fonts on your website with a single click!</strong></p>\n\n\n\n<p>And the best part is &#8211; <strong>no font upload required!</strong></p>\n\n\n\n<h3>How does hosting Google fonts locally function with OceanWP?</h3>\n\n\n\n<p>First, in order to make sure you&#8217;re able to use the new feature, you need to <strong><a href=\"https://wordpress.org/themes/oceanwp\" target=\"_blank\" rel=\"noreferrer noopener\">update your OceanWP theme to 3.2.0+ version</a></strong> via <strong>Appearance &gt; Themes</strong>, in your WordPress dashboard. Important, if your WordPress is running on a server using PHP 7.2 version or below, <a href=\"https://docs.oceanwp.org/article/776-known-bugs-issues\" target=\"_blank\" rel=\"noreferrer noopener\">please upgrade to PHP 7.4+ or follow these guidelines</a>.</p>\n\n\n\n<p>For more server environment recommendations, <a href=\"https://wordpress.org/about/requirements/\" target=\"_blank\" rel=\"noreferrer noopener\">check out the WordPress system requirements</a>.</p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#3d0075\"><strong>TIP:</strong> If you&#8217;re new to WordPress or OcenaWP, check out <a href=\"https://youtu.be/_2NDmIjmNEM\" target=\"_blank\" rel=\"noreferrer noopener\">our video tutorial on how to install the OceanWP theme to your WordPress website</a>.</p>\n\n\n\n<p>After the update, <strong>navigate to Customize &gt; Typography &gt; General</strong>, and check the option &#8220;<strong>Google fonts from site</strong>&#8220;, then publish changes.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full\"><img width=\"545\" height=\"477\" src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_214611.png\" alt=\"OceanWP update: how to host Google fonts locally with OceanWP\" class=\"wp-image-631459\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_214611.png 545w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_214611-300x263.png 300w\" sizes=\"(max-width: 545px) 100vw, 545px\" /></figure></div>\n\n\n\n<p>The <strong>new option will download all fonts you currently have set up or choose in the future through the OceanWP Customizer into a subfolder on your website</strong>. And this is it, folks &#8211; that&#8217;s all you need to do. <strong>All OceanWP fonts will load from your website</strong>.</p>\n\n\n\n<p>This is the example of one of our WordPress templates we&#8217;re currently redoing (more about that later), where the <a href=\"https://fonts.google.com/specimen/ABeeZee\" target=\"_blank\" rel=\"noreferrer noopener\">Google font ABeeZee</a> has been set through the OceanWP Customizer.</p>\n\n\n\n<div class=\"wp-container-3 wp-block-columns\">\n<div class=\"wp-container-1 wp-block-column\">\n<figure class=\"wp-block-image size-full\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221459.png\"><img width=\"609\" height=\"424\" src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221459.png\" alt=\"OceanWP update: preview of how Google fonts are loaded on a website in browser inspector\" class=\"wp-image-631460\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221459.png 609w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221459-300x209.png 300w\" sizes=\"(max-width: 609px) 100vw, 609px\" /></a><figcaption>Before applying new OceanWP Host Google fonts from site feature</figcaption></figure>\n</div>\n\n\n\n<div class=\"wp-container-2 wp-block-column\">\n<figure class=\"wp-block-image size-full\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221704.png\"><img width=\"664\" height=\"406\" src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221704.png\" alt=\"\" class=\"wp-image-631461\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221704.png 664w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_221704-300x183.png 300w\" sizes=\"(max-width: 664px) 100vw, 664px\" /></a><figcaption>After applying new OceanWP Host Google fonts from site feature</figcaption></figure>\n\n\n\n<p></p>\n</div>\n</div>\n\n\n\n<p>Unfortunately, the <strong>new OceanWP update regarding Google fonts will only be applied to the OceanWP theme, Ocean plugins, as well as plugins that inherit theme&#8217;s font settings</strong>. If third-party plugins embed their fonts, there&#8217;s nothing we can do about it. Unless, that particular plugin has the option to inherit theme fonts and settings.</p>\n\n\n\n<p>Hint: <a href=\"https://wordpress.org/plugins/elementor/\" target=\"_blank\" rel=\"noreferrer noopener\">Your favorite page builder, <strong>Elementor</strong></a><strong>, has the option to disable Elementor fonts and instead have Elementor inherit theme fonts and styling</strong>.</p>\n\n\n\n<h2>OceanWP Update Brings More Options to Website Admins &#8211; Hooray!</h2>\n\n\n\n<h3>Access blog post directly from the archives page</h3>\n\n\n\n<p>Your time is valuable. Save a click!</p>\n\n\n\n<p>Now you can <strong>access blog posts and edit them in WordPress directly through the archive pages</strong>, using the EDIT link. The link is available only to admin users.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img width=\"1024\" height=\"651\" src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-1024x651.png\" alt=\"OceanWP update: preview of the new admin feature on how to access blog post edit page directly through archive pages\" class=\"wp-image-631466\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-1024x651.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-300x191.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118-768x488.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223118.png 1181w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n\n\n\n<h2>Delete unwanted comments directly from the post&#8217;s comments section</h2>\n\n\n\n<p>For those of you who don&#8217;t have comment preapproval option enabled, this feature will definitely come in handy.</p>\n\n\n\n<p><strong>New OceanWP update allows you to delete any comment directly from the post&#8217;s comments section</strong>. The Delete option is available only to website admins.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img width=\"1025\" height=\"256\" src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223646.png\" alt=\"OceanWP update: preview on how to use a new feature to delete comments directly from the comments section\" class=\"wp-image-631468\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223646.png 1025w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223646-300x75.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_223646-768x192.png 768w\" sizes=\"(max-width: 1025px) 100vw, 1025px\" /></figure>\n\n\n\n<p>However,<strong> the comment you removed is not gone forever yet</strong>. Find all comments you deleted in the Comment&#8217;s Trash section within your WP dashboard. From there, you will have the option to either restore the comment or remove permanently.</p>\n\n\n\n<h2>OceanWP Update Brings Less Page Builders Dependency and Brand New Post Title Styles</h2>\n\n\n\n<p>Page builders are awesome! And we love them!</p>\n\n\n\n<p>But <strong>designing a custom blog post title template merely because of the introductory header can be excruciating, especially for beginners</strong>. Often, the ability to use such options require some pro features as well. </p>\n\n\n\n<p>Ocean Breeze to the rescue! Meet the OceanWP 6 (six) <strong>new Post Title Styles</strong>.</p>\n\n\n\n<h3>Bedazzle your blog posts with Ocean Breeze</h3>\n\n\n\n<p>We present you the <strong>Intro, Cover, Card, Card Invert, Screen and Screen Invert Post Title Styles</strong>.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719-1024x528.png\" alt=\"OceanWP Update: preview of the new Intro Blog Post Title Style\" class=\"wp-image-631474\" width=\"768\" height=\"396\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719-1024x528.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719-300x155.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719-768x396.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719-1536x793.png 1536w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232719.png 1880w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Intro Post Title Style</figcaption></figure></div>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757-1024x528.png\" alt=\"OceanWP Update: preview of the new Cover Blog Post Title Style\" class=\"wp-image-631475\" width=\"768\" height=\"396\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757-1024x528.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757-300x155.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757-768x396.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757-1536x793.png 1536w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232757.png 1880w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Cover Post Title Style</figcaption></figure></div>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852-1024x528.png\" alt=\"OceanWP Update: preview of the new Card Blog Post Title Style\" class=\"wp-image-631476\" width=\"768\" height=\"396\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852-1024x528.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852-300x155.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852-768x396.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852-1536x793.png 1536w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_232852.png 1880w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Card Post Title Style</figcaption></figure></div>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006-1024x528.png\" alt=\"OceanWP Update: preview of the new Screen Blog Post Title Style\" class=\"wp-image-631478\" width=\"768\" height=\"396\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006-1024x528.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006-300x155.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006-768x396.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006-1536x793.png 1536w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_233006.png 1880w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Screen Post Title Style</figcaption></figure></div>\n\n\n\n<h3>Additional Post Title Features</h3>\n\n\n\n<p>Additional <strong>new OceanWP Post Title Stylef features include 2 (two) Meta Styles to choose from: Stylish and Minimal</strong>.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234346.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234346-1024x197.png\" alt=\"OceanWP Update: preview of the new stylish meta style for new Post Title Styles\" class=\"wp-image-631482\" width=\"768\" height=\"148\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234346-1024x197.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234346-300x58.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234346-768x148.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234346.png 1527w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Stylish Meta for the new OceanWP Post Title Style</figcaption></figure></div>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234759.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234759-1024x203.png\" alt=\"OceanWP Update: preview of the new minimal meta style for new Post Title Styles\" class=\"wp-image-631483\" width=\"768\" height=\"152\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234759-1024x203.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234759-300x60.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234759-768x152.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_234759.png 1526w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Minimal Meta for the new OceanWP Post Title Style</figcaption></figure></div>\n\n\n\n<p>The <strong>Ocean Post Title metas also include the options to choose the separator: None, Classic, Stylish and Modern</strong>.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235300.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235300-1024x207.png\" alt=\"OceanWP Update: preview of the new meta separator style for new Post Title Styles\" class=\"wp-image-631484\" width=\"768\" height=\"155\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235300-1024x207.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235300-300x61.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235300-768x155.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235300.png 1529w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>The Stylish Meta Separator Style</figcaption></figure></div>\n\n\n\n<p>And just like you&#8217;re used to with OceanWP, the <strong>new update also brings you the options to choose which meta elements you&#8217;re going to display, as well as the order of those elements</strong>.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452-1024x244.png\" alt=\"OceanWP Update: preview of the new meta elements structure and visibility options\" class=\"wp-image-631485\" width=\"768\" height=\"183\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452-1024x244.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452-300x72.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452-768x183.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452-1536x366.png 1536w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235452.png 1865w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a><figcaption>Choose the order of new Post Title Styles meta elements and their visibility</figcaption></figure></div>\n\n\n\n<p><strong>Independent typography features are available via Customize &gt; Typography</strong>. The following options allow you to set the fonts and colors:</p>\n\n\n\n<ul><li>Blog Post Title Heading,</li><li>Blog Post Title Meta,</li><li>Blog Post Title Author, and</li><li>Blog Post Title Author Bio.</li></ul>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730-1024x410.png\" alt=\"OceanWP Update: preview of the new typography settings for new Post Title Styles\" class=\"wp-image-631487\" width=\"768\" height=\"308\" srcset=\"//oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730-1024x410.png 1024w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730-300x120.png 300w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730-768x307.png 768w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730-1536x614.png 1536w, //oceanwp.org/wp-content/uploads/2022/03/image_2022-03-31_235730.png 1865w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Update OceanWP theme to a 3.2.0+ version and start enjoying the new features Ocean Breeze update brings you. Happy blogging!</p>\n\n\n\n<h2>The Brilliant Stuff: OceanWP and Freepik Cooperation</h2>\n\n\n\n<h3>Goodbye Image Placeholders and Legal Questions, Welcome Ocean Website Templates with Royalty-free Images</h3>\n\n\n\n<p class=\"has-medium-font-size\"><strong>It is our greatest pleasure to announce that</strong>, from now on, <strong>all new Ocean Website Templates will come with images and icons included &#8211; royalty-free and without any attribution requirements, thanks to the OceanWP and Freepik cooperation</strong>!</p>\n\n\n\n<p>Images are important.</p>\n\n\n\n<p>And we understand how much it sucks when instead of images you get image placeholders instead. Sadly, this has been our usual practice until now. You can <a href=\"https://docs.oceanwp.org/article/791-website-demo-templates-image-disclaimer\" target=\"_blank\" rel=\"noreferrer noopener\">read all about it in our Images Disclaimer</a> about the How and the Why.</p>\n\n\n\n<p>That&#8217;s the reason <strong>we&#8217;ve been working relentlessly on finding the perfect solution for all OceanWP users and clients. And we finally did it!</strong></p>\n\n\n\n<p>But wait a minute. <strong>Why is this such a huge deal?</strong> Everyone else already delivers images with their content.</p>\n\n\n\n<p>We have been hearing that a lot. And yes, <strong>it would have been really easy for us to implement images and push the legal responsibility down to you, then hide behind a fine print</strong>. For us, <strong>it was simply not an option when it comes to our users</strong>.</p>\n\n\n\n<p>Instead, <strong>we wanted the real deal &#8211; real royalty-free images</strong>. <strong>No attribution, no fine print, no legal question,</strong> as <strong>we here at OceanWP are financing your rights to use the images and icons that will now make <a href=\"https://oceanwp.org/demos\" data-type=\"URL\" data-id=\"https://oceanwp.org/demos\">Ocean Website Templates</a> even more amazing</strong>, thanks to Freepik and Flaticon.</p>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-container-5 wp-block-gallery-4 wp-block-gallery aligncenter has-nested-images columns-default\">\n<figure class=\"wp-block-image size-medium\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/04/1841784.png\"><img width=\"300\" height=\"300\" data-id=\"631493\"  src=\"https://oceanwp.org/wp-content/uploads/2022/04/1841784-300x300.png\" alt=\"\" class=\"wp-image-631493\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/1841784-300x300.png 300w, //oceanwp.org/wp-content/uploads/2022/04/1841784-150x150.png 150w, //oceanwp.org/wp-content/uploads/2022/04/1841784-128x128.png 128w, //oceanwp.org/wp-content/uploads/2022/04/1841784-256x256.png 256w, //oceanwp.org/wp-content/uploads/2022/04/1841784.png 512w\" sizes=\"(max-width: 300px) 100vw, 300px\" /></a></figure>\n\n\n\n<figure class=\"wp-block-image size-medium\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/04/1841783.png\"><img width=\"300\" height=\"300\" data-id=\"631494\"  src=\"https://oceanwp.org/wp-content/uploads/2022/04/1841783-300x300.png\" alt=\"\" class=\"wp-image-631494\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/1841783-300x300.png 300w, //oceanwp.org/wp-content/uploads/2022/04/1841783-150x150.png 150w, //oceanwp.org/wp-content/uploads/2022/04/1841783-128x128.png 128w, //oceanwp.org/wp-content/uploads/2022/04/1841783-256x256.png 256w, //oceanwp.org/wp-content/uploads/2022/04/1841783.png 512w\" sizes=\"(max-width: 300px) 100vw, 300px\" /></a></figure>\n</figure>\n\n\n\n<p>How cool is that?</p>\n\n\n\n<h3>Refurbishing existing Ocean Website Templates</h3>\n\n\n\n<p>As we already mentioned, <strong>we are in a process of redesigning and refurbishing <a href=\"https://oceanwp.org/demos\" data-type=\"URL\" data-id=\"https://oceanwp.org/demos\">ALL existing Ocean Website Templates</a></strong>.</p>\n\n\n\n<p>This also means <strong>we are replacing existing images and icons</strong>, with those <strong>you will be able to keep and use if you choose to do so</strong>. High five!</p>\n\n\n\n<p>However, <strong>to avoid potential problems with SVG support, all icons</strong> in Ocean template demos <strong>will be replaced with PNG files instead</strong>.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812-1024x487.png\" alt=\"OceanWP Update: preview of the modernized Ocean WordPress website templates and new images feature\" class=\"wp-image-631499\" width=\"768\" height=\"365\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812-1024x487.png 1024w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812-300x143.png 300w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812-768x365.png 768w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812-1536x731.png 1536w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_004812.png 1845w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n\n<p><strong>Find the list of currently available and renewed Ocean Website Templates using the &#8220;Freepik Images Included&#8221; filter</strong>.</p>\n\n\n\n<p>Once we redo all website templates, we will remove the filter to avoid confusion.</p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#3d0075\"><strong>TIP:</strong> If you&#8217;re new to OceanWP and have not tried out our WordPress website templates yet, see how simple it is to <a href=\"https://youtu.be/8beTQrXkknQ\" target=\"_blank\" rel=\"noreferrer noopener\">import a fully operational template demo on your own</a> or <a href=\"https://youtu.be/rvW_HOYutT0\" target=\"_blank\" rel=\"noreferrer noopener\">get everything installed by Cloudways for you</a>.</p>\n\n\n\n<h3>Heads Up</h3>\n\n\n\n<p><strong>OceanWP users who have used our demo import in the past</strong> but for whom, for whatever reason,<strong> images</strong> DID NOT import directly to their website&#8217;s Media Library and instead were <strong>loading externally from the website demo in question may experience &#8220;image disappearance&#8221;</strong>.</p>\n\n\n\n<p>Please note, <strong>we do not have the power to alter your content</strong>. The thing is simple &#8211; <strong>we are removing old images completely</strong>.</p>\n\n\n\n<p><strong>When we permanently delete an image, the external links used by images on your website will no longer function</strong>, thus the images will &#8220;disappear&#8221;.</p>\n\n\n\n<p>We do apologize up front to everyone who will experience this, but:</p>\n\n\n\n<ol><li>We cannot prevent this, sadly.</li><li>Luckily, it&#8217;s for a much better cause because <strong>now you&#8217;ll be 100% sure it is safe to use images and icons that come with our templates</strong>.</li></ol>\n\n\n\n<p>And just when you think things can&#8217;t get any better and you can&#8217;t get more &#8211; with OceanWP there&#8217;s always MORE.</p>\n\n\n\n<h2>New Ocean Popup Login Security Features</h2>\n\n\n\n<h3>Enforce strong passwords usage upon user registration</h3>\n\n\n\n<p><strong>New OceanWP updates and <a href=\"https://docs.oceanwp.org/article/678-ocean-popup-login-changelog\" target=\"_blank\" rel=\"noreferrer noopener\">Ocean Popup Login version</a> enable you to enforce strong passwords usage</strong> upon user registration.</p>\n\n\n\n<p>Choose the options whether your users will need to combine their <strong>passwords with capital letters, special characters and/or numbers.</strong> The decision is only yours, and the new feature is disabled by default.</p>\n\n\n\n<p>You can also choose the option for <strong>users to use only passwords that are between 8 (eight) and 50 (fifty) characters long</strong>. Too little or too many required characters can also be potentially harmful just as equal.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103749.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103749.png\" alt=\"Ocean Popup Login plugin: preview of the new security features\" class=\"wp-image-631521\" width=\"227\" height=\"527\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103749.png 303w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103749-129x300.png 129w\" sizes=\"(max-width: 227px) 100vw, 227px\" /></a></figure></div>\n\n\n\n<h3>Limit Potentially Harmful Activity</h3>\n\n\n\n<p><strong>Limit activities such as entering an incorrect password multiple times or requesting the password reset link multiple times within the timeframe you assign</strong>. </p>\n\n\n\n<p>Such actions are usually related to bot scripts, and <strong>the new features will protect your website from potential harm.</strong> Disabled by default.</p>\n\n\n\n<p>If enabled, the new security feature will automatically be applied to login form, as well as the the default login pages: /wp-admin and /wp-login.php</p>\n\n\n\n<p>If triggered, the <strong>user / device that &#8220;hit the nerve&#8221; will be temporarily blocked from using these options</strong>: enter a password / request a password reset link.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103906.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103906.png\" alt=\"Ocean Popup Login plugin: preview of the new security features for limiting potentially harmful user activity\" class=\"wp-image-631522\" width=\"230\" height=\"410\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103906.png 307w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_103906-169x300.png 169w\" sizes=\"(max-width: 230px) 100vw, 230px\" /></a></figure></div>\n\n\n\n<p><strong>Update your Ocean Popup Login plugin to the latest 2.1.0 version or <a href=\"https://oceanwp.org/core-extensions-bundle/\">upgrade with the Ocean Core Extensions Bundle and apply new security features to your website</a></strong>.</p>\n\n\n\n<h2>New Ocean Gutenberg Blocks</h2>\n\n\n\n<p><a href=\"https://docs.oceanwp.org/article/794-ocean-gutenberg-blocks-changelog\" target=\"_blank\" rel=\"noreferrer noopener\">The Ocean Gutenberg Blocks plugin</a> just got richer with 8 (eight) blocks:</p>\n\n\n\n<ul><li>Star Rating,</li><li>Recipe,</li><li>Modal Window,</li><li>Icon List,</li><li>Section,</li><li>Team,</li><li>Buttons, and</li><li>Circle Progress.</li></ul>\n\n\n\n<p><strong>Update your Ocean Gutenberg Blocks plugin to the latest 1.1.0 version or </strong><a href=\"https://oceanwp.org/core-extensions-bundle/\"><strong>upgrade with the Ocean Core Extensions Bundle and start building with all new blocks</strong>.</a></p>\n\n\n\n<h2>New Ocean Elementor Widgets</h2>\n\n\n\n<p><a href=\"https://docs.oceanwp.org/article/679-ocean-elementor-widgets-changelog\" target=\"_blank\" rel=\"noreferrer noopener\">The Ocean Elementor Widgets plugin</a> has added 5 (five) cool widgets to its already vast list of available tools:</p>\n\n\n\n<ul><li>Twitter Embed,</li><li>Twitter Timeline,</li><li>Click to Tweet,</li><li>Formidable Forms support, and</li><li>Fluent Forms support.</li></ul>\n\n\n\n<p><strong>Update your Ocean Elementor Widgets plugin to the latest 2.2.0 version or </strong><a href=\"https://oceanwp.org/core-extensions-bundle/\"><strong>upgrade with the Ocean Core Extensions Bundle and empower your Elementor page builder with these awesome widgets</strong>.</a></p>\n\n\n\n<h2>The Cherry on Top &#8211; Direct Image and Icons Import</h2>\n\n\n\n<p><strong>Owners of the Ocean Core Extensions Bundle Business and Agency plans</strong> will be exploring brand new features with the <a href=\"https://docs.oceanwp.org/article/670-ocean-pro-demos-changelog\" target=\"_blank\" rel=\"noreferrer noopener\">Ocean Pro Demos plugin</a>:</p>\n\n\n\n<ul><li>Direct Freepik image import, and</li><li>Direct Flaticon icons import.</li></ul>\n\n\n\n<p><strong>With no download limits</strong>, here at OceanWP we wanted to make sure <strong>your business flourishes as you spend less time searching for images and worry less about attribution and royalty.</strong></p>\n\n\n\n<h3>How does the new Ocean Images Import work?</h3>\n\n\n\n<p>First, <strong>you need to update your Ocean Pro Demos plugin to the latest 1.3.0 version and upgrade to the Business or Agency plan with the Ocean Core Extensions Bundle</strong>.</p>\n\n\n\n<p>After that, <strong>navigate to Theme Panel &gt; Ocean Images</strong>, in your WordPress dashboard.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_095958-1024x672.png\" alt=\"OceanWP Update: preview of the new Direct Image Import to a WordPress website feature\" class=\"wp-image-631517\" width=\"768\" height=\"504\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_095958-1024x672.png 1024w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_095958-300x197.png 300w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_095958-768x504.png 768w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_095958.png 1106w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n\n<p>This will redirect you to the Integrations panel, where you can enable the Images module. <strong>The module is supported by the Ocean Core Extensions Bundle Business and Agency plans only.</strong></p>\n\n\n\n<p><strong>Enable the module you want and save changes</strong>. For the showcase purposes, we will enable the Freepik module and set the image download width to 1380px.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_100533.png\" alt=\"OceanWP Update: preview of the new Direct Image Import and how to apply image settings\" class=\"wp-image-631518\" width=\"646\" height=\"546\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_100533.png 861w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_100533-300x254.png 300w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_100533-768x649.png 768w\" sizes=\"(max-width: 646px) 100vw, 646px\" /></figure></div>\n\n\n\n<p>Once done, a <strong>new option &#8220;Browse Ocean Images&#8221; will appear under your Media</strong> option in the WordPress dashboard.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_101431-1024x415.png\" alt=\"OceanWP Update: preview of the new Direct Image Import and how the image import functions\" class=\"wp-image-631519\" width=\"768\" height=\"311\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_101431-1024x415.png 1024w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_101431-300x122.png 300w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_101431-768x312.png 768w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_101431-1536x623.png 1536w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_101431.png 1548w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n\n<p><strong>Type in your search query, click on the image you want and find the image in your Media Library</strong>. That&#8217;s it!</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_102804-1024x419.png\" alt=\"OceanWP Update: preview of the new Direct Image Import and where to locate imported image files\" class=\"wp-image-631520\" width=\"768\" height=\"314\" srcset=\"//oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_102804-1024x419.png 1024w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_102804-300x123.png 300w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_102804-768x314.png 768w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_102804-1536x629.png 1536w, //oceanwp.org/wp-content/uploads/2022/04/image_2022-04-01_102804.png 1539w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></figure></div>\n\n\n\n<p><strong>You&#8217;re now equipped to design fabulous pages</strong>, just the way you always wanted.</p>\n\n\n\n<p>You can also disable the module whenever you don&#8217;t have the need to import images, so it won&#8217;t be running in the background. Images that you have already imported in the Media Library will remain unless you manually delete them.</p>\n\n\n\n<h2>OceanWP Update &#8211; Wrapping It Up</h2>\n\n\n\n<p><strong>The Ocean Breeze updates stack brings many new and really, really awesome features</strong>: single blog post Post Title Styles with multiple options you can choose from and settings to apply; Hosting Google fonts locally with a single click and without font files upload; Royalty-free images and renewed Ocean WordPress website templates; Ocean Popup Login security features; New blocks and widgets for Ocean Gutenberg Blocks and Ocean Elementor Widgets; and, the feature we&#8217;re most proud of &#8211; Direct Image and Icon Import for all Business and Agency Ocean Core Extensions Bundle plan owners.</p>\n\n\n\n<p><strong>We only want the best for all of you.</strong></p>\n\n\n\n<p>If you believe some things need additional attention or you require support when it comes to all the latest features, don&#8217;t forget to <a href=\"https://oceanwp.org/support/\" data-type=\"page\">open a support ticket</a> or <a href=\"https://oceanwp.org/pre-purchase-question/\" data-type=\"page\" data-id=\"182\">send us a prepurchase question</a>, and <a href=\"https://www.facebook.com/groups/oceanwptheme\" target=\"_blank\" rel=\"noreferrer noopener\">join our Facebook Community Support group</a> so we can hang out together. We&#8217;re here for you.</p>\n\n\n\n<p><strong>We hope you will enjoy exploring and applying all new OceanWP goodies!</strong> Let us know what you think in the comments section <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>As you know, <strong>when it comes to OceanWP &#8211; there&#8217;s always more!</strong> So stay tuned for more updates. If you there&#8217;s a feature you&#8217;d like to see in OceanWP, <a href=\"https://oceanwp.org/feature-requests/\" data-type=\"page\" data-id=\"611644\">you can always send your suggestions</a>.</p>\n\n\n\n<p class=\"has-medium-font-size\"><strong>Happy website building!</strong></p>\n\n\n\n<p>PS <a href=\"https://oceanwp.org/core-extensions-bundle/\">Don&#8217;t forget to check out our Spring 2022 promo and get up to 50% OFF on the Ocean Core Extensions Bundle</a>.</p>\n\n\n\n<p>PPS If you&#8217;re still not sure about using WordPress or OceanWP, see<a href=\"https://oceanwp.org/install-wordpress-in-10-minutes/\" data-type=\"page\" data-id=\"629635\"> how easy is to install WordPress with the OceanWP theme, Ocean plugins and your Ocean Website Template of choice. It only takes 10 minutes or 10 steps, whichever measurements you prefe</a>r.</p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://oceanwp.org/blog/ocean-breeze-spring-2022-whats-new-in-oceanwp/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:76:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"How to Translate Your OceanWP and WooCommerce Store (the Quick Way)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 19 Jan 2022 12:00:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Tutorial\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=624466\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1191:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/12/how-to-translate-oceanwp-woocommerce-store.png\" width=\"1200\" height=\"700\" title=\"How to Translate Your OceanWP and WooCommerce Store (the Quick Way)\" alt=\"How to Translate Your OceanWP and WooCommerce Store (the Quick Way)\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">Translating a website used to be time-consuming and expensive. But with a multilingual-ready theme like OceanWP and WPML’s new Translate Everything mode, you can automatically translate your entire store in...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Allison Rivers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10268:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/12/how-to-translate-oceanwp-woocommerce-store.png\" width=\"1200\" height=\"700\" title=\"How to Translate Your OceanWP and WooCommerce Store (the Quick Way)\" alt=\"How to Translate Your OceanWP and WooCommerce Store (the Quick Way)\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p>Translating a website used to be time-consuming and expensive. But with a multilingual-ready theme like OceanWP and WPML’s new <strong>Translate Everything</strong> mode, you can automatically translate your entire store in a fraction of the time, even on the tightest budget.</p>\n\n\n\n<p>See how it all works in this tutorial video:</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"How to translate your OceanWP website with WPML (The quick and easy way)\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/GxyPFzK634Q?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<h2>Why You Should Translate Your WooCommerce Store</h2>\n\n\n\n<p>Thanks to continuous improvements in automatic translation, translating your online store can be one of the easiest ways to grow your business.</p>\n\n\n\n<h3>Reach New Customers</h3>\n\n\n\n<p>We all know ranking highly in search results draws in more customers. When you translate your site, you make it possible to <a href=\"https://wpml.org/documentation/support/multilingual-seo/\" target=\"_blank\" rel=\"noopener\">rank well in search results for multiple languages</a>. Without changing any of your products, conducting costly research, or increasing your ad spend, you can reach a whole new market.</p>\n\n\n\n<h3>Increase Sales</h3>\n\n\n\n<p>Once a potential customer lands on your site and finds the products they’re looking for, it’s important to make it easy to complete their purchase. Having a fully-translated checkout process reduces the chance of cart abandonment. More completed sales = more money in your bottom line.</p>\n\n\n\n<h3>Improve Trust</h3>\n\n\n\n<p>When customers find a company they can trust, they come back again and again. Providing services and products in a person’s native language demonstrates an interest and willingness to engage with them. Continuing to provide after-purchase support in the form of translated documentation can be the difference between a one-time purchaser and a lifelong customer and advocate.</p>\n\n\n\n<h2>The Best Tools for Translating Your Online Store Easily and Affordably</h2>\n\n\n\n<p>To get your online store up and running as soon as possible, be sure to use tools that allow you to build and translate your store quickly and easily. When you build a WooCommerce store using WPML and OceanWP, you can rest assured that everything will work as it should. This is thanks to WPML and OceanWP’s commitment to ongoing compatibility.</p>\n\n\n\n<h3>OceanWP &#8211; A Theme That’s Multilingual-Ready</h3>\n\n\n\n<p>If you want to translate your site, it’s important to use a multilingual-ready theme like OceanWP. Multilingual-ready means you can translate every part of the theme, from <a href=\"https://wpml.org/documentation/theme-compatibility/build-multilingual-wordpress-sites-using-oceanwp-theme-and-wpml/\" target=\"_blank\" rel=\"noopener\">pages, menus, and widgets</a>, to the <a href=\"https://wpml.org/documentation/theme-compatibility/build-multilingual-wordpress-sites-using-oceanwp-theme-and-wpml/oceanwp-extensions-compatibility-wpml/\" target=\"_blank\" rel=\"noopener\">many extensions you can use to customize your WooCommerce store</a>.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/12/1.translated-store-1024x576.png\" alt=\"translate woocommerce store\" class=\"wp-image-624468\" width=\"768\" height=\"432\" srcset=\"//oceanwp.org/wp-content/uploads/2021/12/1.translated-store-1024x576.png 1024w, //oceanwp.org/wp-content/uploads/2021/12/1.translated-store-300x169.png 300w, //oceanwp.org/wp-content/uploads/2021/12/1.translated-store-768x432.png 768w, //oceanwp.org/wp-content/uploads/2021/12/1.translated-store-1536x864.png 1536w, //oceanwp.org/wp-content/uploads/2021/12/1.translated-store.png 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" /><figcaption><em>A translated online store built with OceanWP</em></figcaption></figure></div>\n\n\n\n<h3>WPML &#8211; Translate Your Whole Site Automatically</h3>\n\n\n\n<p><a href=\"https://wpml.org/\" target=\"_blank\" rel=\"noopener\">WPML</a> is the most popular WordPress plugin for multilingual sites, and for good reason! The new <strong>Translate Everything</strong> mode, introduced in their latest release, allows you to:</p>\n\n\n\n<ul><li>Automatically translate your entire site in minutes;</li><li>Review the automatic translations yourself or hire a reviewer to make sure they sound natural and accurate;</li><li>Effortlessly keep your site’s translations up to date (they update automatically any time you edit your default content);</li><li>Choose from Google Translate, Microsoft Azure, or DeepL to power automatic translation;</li><li>Translate content created with page builders like Elementor.</li></ul>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/12/2.translating-site-automatically-1024x576.png\" alt=\"translate woocommerce store\" class=\"wp-image-624469\" width=\"768\" height=\"432\" srcset=\"//oceanwp.org/wp-content/uploads/2021/12/2.translating-site-automatically-1024x576.png 1024w, //oceanwp.org/wp-content/uploads/2021/12/2.translating-site-automatically-300x169.png 300w, //oceanwp.org/wp-content/uploads/2021/12/2.translating-site-automatically-768x432.png 768w, //oceanwp.org/wp-content/uploads/2021/12/2.translating-site-automatically-1536x864.png 1536w, //oceanwp.org/wp-content/uploads/2021/12/2.translating-site-automatically.png 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" /><figcaption><em>Sit back and relax as WPML automatically translates your site</em></figcaption></figure></div>\n\n\n\n<p>Although automatic translation isn’t completely free, WPML gets great discounts from automatic translation providers due to the high volume they translate every month. They then pass along those discounts directly to you. This means automatic translation is super affordable for even the most budget-conscious.</p>\n\n\n\n<p>Plus, with WPML, your translations are saved to your own database, not another plugin’s cloud. You own your translations yourself.</p>\n\n\n\n<h3>WooCommerce Multilingual &#8211; Translate Your Products and Add Multi-Currency Support</h3>\n\n\n\n<p>WooCommerce Multilingual is a free add-on plugin that comes with the purchase of a WPML Multilingual CMS or Agency account.</p>\n\n\n\n<p>It allows you to translate:</p>\n\n\n\n<ul><li>Products</li><li>Product attributes</li><li>Product variations</li><li>Cart and checkout pages</li></ul>\n\n\n\n<p>&#8230;and more.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/12/3.translation-options-for-products-1024x575.png\" alt=\"translate woocommerce site\" class=\"wp-image-624470\" width=\"768\" height=\"431\" srcset=\"//oceanwp.org/wp-content/uploads/2021/12/3.translation-options-for-products-1024x575.png 1024w, //oceanwp.org/wp-content/uploads/2021/12/3.translation-options-for-products-300x169.png 300w, //oceanwp.org/wp-content/uploads/2021/12/3.translation-options-for-products-768x432.png 768w, //oceanwp.org/wp-content/uploads/2021/12/3.translation-options-for-products-1536x863.png 1536w, //oceanwp.org/wp-content/uploads/2021/12/3.translation-options-for-products.png 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" /><figcaption><em>Deciding how to translate products in WCML’s setup wizard</em></figcaption></figure></div>\n\n\n\n<p>It also includes robust <a href=\"https://wpml.org/documentation/related-projects/woocommerce-multilingual/multi-currency-support-woocommerce/\" target=\"_blank\" rel=\"noopener\">multi-currency features</a> so you can display different currencies based on language or location. Plus, you can set exchange rates, custom shipping rates, and configure different payment gateways per currency.</p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/12/4.multi-currency-settings-1024x576.png\" alt=\"translate woocommerce store\" class=\"wp-image-624471\" width=\"768\" height=\"432\" srcset=\"//oceanwp.org/wp-content/uploads/2021/12/4.multi-currency-settings-1024x576.png 1024w, //oceanwp.org/wp-content/uploads/2021/12/4.multi-currency-settings-300x169.png 300w, //oceanwp.org/wp-content/uploads/2021/12/4.multi-currency-settings-768x432.png 768w, //oceanwp.org/wp-content/uploads/2021/12/4.multi-currency-settings-1536x864.png 1536w, //oceanwp.org/wp-content/uploads/2021/12/4.multi-currency-settings.png 1920w\" sizes=\"(max-width: 768px) 100vw, 768px\" /><figcaption><em>Setting different currencies per language</em></figcaption></figure></div>\n\n\n\n<h2>Get Started with WPML</h2>\n\n\n\n<p>Start translating your WooCommerce store today with WPML and WooCommerce Multilingual. A <a href=\"https://wpml.org/purchase/\" target=\"_blank\" rel=\"noopener\">WPML Multilingual CMS or Agency account</a> includes everything you need to translate your entire site automatically and get your multilingual business up and running!</p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://oceanwp.org/blog/how-to-translate-oceanwp-woocommerce-store/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"8\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:78:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"How to Create a Dynamic Appointment Website with OceanWP &amp; Crocoblock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 12 Jan 2022 07:42:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Tutorial\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=623861\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1242:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/dynamic-appointment-website-oceanwp-crocoblock-1.jpg\" width=\"1200\" height=\"700\" title=\"How to Create a Dynamic Appointment Website with OceanWP &#038; Crocoblock\" alt=\"How to Create a Dynamic Appointment Website with OceanWP &#038; Crocoblock\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">Are you looking to build a dynamic appointment booking website? For those who think it’s hard to deploy, there’s good news – it’s not. Nowadays, you don’t need developers, coders,...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:2:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:96:\"https://oceanwp.org/wp-content/uploads/2021/11/8-appointment-booking-plugin-setup-–-step-3.m4v\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:78:\"https://oceanwp.org/wp-content/uploads/2021/11/15-frontend-form-submission.m4v\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Lana Miro\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:26789:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/dynamic-appointment-website-oceanwp-crocoblock-1.jpg\" width=\"1200\" height=\"700\" title=\"How to Create a Dynamic Appointment Website with OceanWP &#038; Crocoblock\" alt=\"How to Create a Dynamic Appointment Website with OceanWP &#038; Crocoblock\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p>Are you looking to build a dynamic appointment booking website? For those who think it’s hard to deploy, there’s good news – it’s not. Nowadays, you don’t need developers, coders, and designers. You just need the right tools.</p>\n\n\n\n<p>In this article, you’ll find out what makes a good appointment website. We’ll take you through the whole site creation routine and hand out the tools we’ve used. In the end, you will figure out how to create a booking system using just OceanWP and several <a href=\"https://crocoblock.com/?ref=3457\" target=\"_blank\" rel=\"noreferrer noopener\">Crocoblock</a> plugins.</p>\n\n\n\n<h2>What Makes OceanWP &amp; Crocoblock Great Together</h2>\n\n\n\n<ul><li><strong>Visual site-building</strong>. Since Gutenberg is a visual block editor, website developers can save time switching back and forth between the admin panel and the front-end. It’ll suffice to create a page structure in the editor and ensure the front-end version looks the same.&nbsp;&nbsp;</li><li><strong>Fewer external plugins</strong>. Forget about separate plugins for custom post types, forms, booking management, custom fields, etc. To get the appointment functionality up and running, you’ll need two Crocoblock plugins only.&nbsp;</li><li><strong>No middlemen</strong>. It means that developers do not have to rely on designers. You can take a demo template by OceanWP, rework its layout as you like, and add Crocoblock dynamic functionality to it.</li></ul>\n\n\n\n<h2>Appointment Website 101</h2>\n\n\n\n<h3><strong>What is an appointment booking website?</strong></h3>\n\n\n\n<p>Appointment websites are service-providing platforms where it’s possible to book a particular time slot. Often, these websites offer pay-per-hour services.&nbsp;</p>\n\n\n\n<h3><strong>What do appointment websites look like?</strong></h3>\n\n\n\n<p>They can be one-page business card websites, where it is possible to book a particular service from a single provider. On the flip side, appointment websites can house multiple providers. In that case, the website has dedicated Provider and Service single pages and catalogs.</p>\n\n\n\n<h3><strong>Is it difficult to create an appointment website?</strong></h3>\n\n\n\n<p>Not anymore. These days, you can build a dynamic website from scratch using the right tools – a page builder you prefer, a theme provider, some dynamic content plugin, and the appointment booking core.</p>\n\n\n\n<h3><strong>What are the main appointment website elements?</strong></h3>\n\n\n\n<p>These would be a theme, custom post types, an appointment booking engine, booking forms, Provider pages, Service pages, catalog pages, and listings.</p>\n\n\n\n<h3><strong>Can I add multiple providers to the same website?</strong></h3>\n\n\n\n<p>Why not? Several professionals can provide one service. Make sure to assign a provider to the service to avoid confusion at the stage of filling the booking form.</p>\n\n\n\n<h2>Appointment Website: Basic Preparations</h2>\n\n\n\n<p>We decided to omit the early-stage preps like getting a domain name and choosing a hosting provider. Instead, we’ll focus on the essence. For those who want to delve into detail, there’s a super informative video by Ferdy Korpershoek.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"Make An Appointment Booking Website Using JetAppointment\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/JFwmE9T5Fmo?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<h2>Get Crocoblock plugins</h2>\n\n\n\n<p>Crocoblock introduced its <a href=\"https://crocoblock.com/blog/crocoblock-launches-custom-subscription-plans/?ref=3457\" target=\"_blank\" rel=\"noopener\">updated pricing</a> six months ago. What makes it cool? It’s the <strong>Custom subscription</strong> plan. Now, to create a workable appointment website, you won’t have to spend much. Go to the <a href=\"https://crocoblock.com/pricing/?ref=3457\" target=\"_blank\" rel=\"noopener\">Crocoblock pricing</a> page, unfold the <strong>JetPlugins </strong>tab, and add the necessary plugins to the cart.</p>\n\n\n\n<p>You’ll need <a href=\"https://crocoblock.com/plugins/jetengine-gutenberg/?ref=3457\" target=\"_blank\" rel=\"noopener\"><strong>JetEngine</strong></a><strong> </strong>– a dynamic content plugin that allows creating Custom Post Types – and <a href=\"https://crocoblock.com/plugins/jetappointment/?ref=3457\" target=\"_blank\" rel=\"noopener\"><strong>JetAppointment</strong></a><strong> </strong>– a service booking WordPress plugin.</p>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/1-Crocoblock-shopping-cart.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/1-Crocoblock-shopping-cart-1024x472.png\" alt=\"screenshot of jetengine and jetappointment plugins in the shopping cart, necessary for appointment website\" class=\"wp-image-623868\" width=\"768\" height=\"354\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/1-Crocoblock-shopping-cart-1024x472.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/1-Crocoblock-shopping-cart-300x138.png 300w, //oceanwp.org/wp-content/uploads/2021/11/1-Crocoblock-shopping-cart-768x354.png 768w, //oceanwp.org/wp-content/uploads/2021/11/1-Crocoblock-shopping-cart.png 1172w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Such a custom package will cost you $45/year for one website and $93/year for unlimited websites. Plus, you’ll be getting plugin updates and quality support for one whole year. Upload these plugins to the WordPress dashboard and get them ready for further work.</p>\n\n\n\n<h3>Install the OceanWP theme and choose a website template</h3>\n\n\n\n<p>There are two ways to install the core theme – the traditional one and the Crocoblock way.</p>\n\n\n\n<h4>Installing the OceanWP theme the traditional way</h4>\n\n\n\n<p>Go to <strong><em>Appearance &gt; Themes</em></strong> in the WordPress admin panel and press “<strong>Add New</strong>.” You can use the search bar to locate the theme. Once found, install OceanWP and activate it.</p>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/2-OceanWP-theme-in-the-popular-themes.png\" alt=\"Screenshot of installing the OceanWP theme for the appointment website\" class=\"wp-image-623867\" width=\"729\" height=\"381\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/2-OceanWP-theme-in-the-popular-themes.png 972w, //oceanwp.org/wp-content/uploads/2021/11/2-OceanWP-theme-in-the-popular-themes-300x157.png 300w, //oceanwp.org/wp-content/uploads/2021/11/2-OceanWP-theme-in-the-popular-themes-768x401.png 768w\" sizes=\"(max-width: 729px) 100vw, 729px\" /></figure>\n\n\n\n<h4>Installing the OceanWP theme the Crocoblock way</h4>\n\n\n\n<p>Use the Crocoblock <a href=\"https://crocoblock.com/blog/magic-of-website-building-install-crocoblock-with-wizard/?ref=3457\" target=\"_blank\" rel=\"noreferrer noopener\">Installation Wizard</a>. It can be downloaded from the Crocoblock account and then used to install OceanWP.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"How to install Crocoblock |  Installation Wizard\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/Eok2CflNQI8?start=49&#038;feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<p>To choose a demo template, go to <strong><em>Theme Panel &gt; Install Demos</em></strong> and pick the one you need. We’ll use the <a href=\"https://gym.oceanwp.org/\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>Gym </strong>demo template</a> today. Remember that a demo cannot work as intended if some of the <a href=\"https://oceanwp.org/extension/category/premium/\">premium extensions</a> are missing. You may want to get them first.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/3-gym-demo-template-installation.png\"><img width=\"596\" height=\"658\" src=\"https://oceanwp.org/wp-content/uploads/2021/11/3-gym-demo-template-installation.png\" alt=\"OceanWP core and premium extensions in a Gym demo\" class=\"wp-image-623866\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/3-gym-demo-template-installation.png 596w, //oceanwp.org/wp-content/uploads/2021/11/3-gym-demo-template-installation-272x300.png 272w\" sizes=\"(max-width: 596px) 100vw, 596px\" /></a></figure>\n\n\n\n<p>As soon as the demo template installation is completed, you are ready to build a dynamic appointment website.</p>\n\n\n\n<h2>Building a Custom Appointment Website</h2>\n\n\n\n<p>Inside every appointment and event scheduling website, there are custom post types for <strong>Providers </strong>and <strong>Services</strong>, automated appointment booking core, calendar integration, and a booking form. These are essential elements, but you are at liberty to extend the list however you like.</p>\n\n\n\n<p>Now, let’s put JetEngine and JetAppointment plugins to good use.</p>\n\n\n\n<h3>Custom Post Types creation</h3>\n\n\n\n<p>Why do you need to create a CPT? They will help you organize the website posts – services to services, providers to providers. Afterward, these posts can be easily interrelated to let the website users book a particular service from those who provide it.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<p class=\"responsive-video-wrap clr\"><iframe title=\"How to use Gutenberg editor for Custom Post Types\" width=\"1200\" height=\"675\" src=\"https://www.youtube.com/embed/Ytyc4XXlEYc?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture\" allowfullscreen></iframe></p>\n</div></figure>\n\n\n\n<p>Follow the <strong><em>JetEngine &gt; Post Types &gt; Add New</em></strong> pathway in the WordPress admin panel to create a CPT. Remember that you need two post types – one for Providers and one for Services. Since we are building a Gym website, the post types will be named <strong>Trainers </strong>and <strong>Workouts </strong>accordingly.&nbsp;</p>\n\n\n\n<p>Add the necessary meta fields to both post types. For the <strong>Trainers CPT</strong>, these could be:</p>\n\n\n\n<ul><li>photo;</li><li>short bio;</li><li>work experience;</li><li>achievements;</li><li>gallery;</li><li>contacts.</li></ul>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/4-trainers-CPT-meta-fields.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/4-trainers-CPT-meta-fields.png\" alt=\"meta fields added to the trainers custom post type for the appointment website\" class=\"wp-image-623865\" width=\"687\" height=\"569\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/4-trainers-CPT-meta-fields.png 916w, //oceanwp.org/wp-content/uploads/2021/11/4-trainers-CPT-meta-fields-300x249.png 300w, //oceanwp.org/wp-content/uploads/2021/11/4-trainers-CPT-meta-fields-768x636.png 768w\" sizes=\"(max-width: 687px) 100vw, 687px\" /></a></figure>\n\n\n\n<p>For the <strong>Workouts CPT</strong>, the meta fields can be as follows:</p>\n\n\n\n<ul><li>gallery;</li><li>description;</li><li>maximum capacity;</li><li>equipment;</li><li>health benefits.</li></ul>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/5-workouts-CPT-meta-fields.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/5-workouts-CPT-meta-fields.png\" alt=\"meta fields added to the workouts custom post type for an appointment website\" class=\"wp-image-623864\" width=\"684\" height=\"524\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/5-workouts-CPT-meta-fields.png 912w, //oceanwp.org/wp-content/uploads/2021/11/5-workouts-CPT-meta-fields-300x230.png 300w, //oceanwp.org/wp-content/uploads/2021/11/5-workouts-CPT-meta-fields-768x588.png 768w\" sizes=\"(max-width: 684px) 100vw, 684px\" /></a></figure>\n\n\n\n<p class=\"has-background\" style=\"background-color:#f9f9f9\"><strong>Quick tip</strong>: JetEngine has got a useful <a href=\"https://crocoblock.com/blog/jetengine-glossary-feature-explained/?ref=3457\" target=\"_blank\" rel=\"noopener\"><strong>Glossary feature</strong></a>. It allows you to create a set of meta fields and use them as options for Custom Post Types. </p>\n\n\n\n<p>Next, add as many posts to the newly-created Post Types as necessary. To do so, mouse over the CPT name in the WordPress admin panel and then press “<strong>Add New</strong>.”</p>\n\n\n\n<p>Once done, you may proceed to configure the JetAppointment plugin.</p>\n\n\n\n<h3>JetAppointment setup</h3>\n\n\n\n<p>It is not that difficult to set the appointment booking plugin by Crocoblock. All you have to do is run the Setup Wizard and complete four installation steps.</p>\n\n\n\n<p>Go to <strong><em>Appointments &gt; Set Up</em></strong> in the admin panel. You’ll be taken to the <strong>JetPlugins Settings</strong> page, namely to the JetAppointment’s <strong>Set Up</strong> tab. Click on the similarly named button to run the Wizard.</p>\n\n\n\n<ul><li><strong>Step 1</strong>. You need to pick the Services and Providers post types in the corresponding drop-down selects. Don’t forget to enable the <strong>Add providers</strong> toggle; otherwise, the field won’t appear. Click “<strong>Next</strong>.”</li></ul>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/6-appointment-setup-step-1.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/6-appointment-setup-step-1-1024x542.png\" alt=\"screenshot of appointment booking plugin setup – step 1\" class=\"wp-image-623863\" width=\"768\" height=\"407\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/6-appointment-setup-step-1-1024x542.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/6-appointment-setup-step-1-300x159.png 300w, //oceanwp.org/wp-content/uploads/2021/11/6-appointment-setup-step-1-768x406.png 768w, //oceanwp.org/wp-content/uploads/2021/11/6-appointment-setup-step-1.png 1040w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<ul><li><strong>Step 2</strong>. Here, you can see the required database table columns. Continue the installation if you don’t feel like adding more columns. We’ll add Phone and Comments.</li></ul>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/7-appointment-setup-step-2.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/7-appointment-setup-step-2-1024x818.png\" alt=\"screenshot of appointment booking plugin setup – step 2\" class=\"wp-image-623876\" width=\"768\" height=\"614\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/7-appointment-setup-step-2-1024x818.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/7-appointment-setup-step-2-300x240.png 300w, //oceanwp.org/wp-content/uploads/2021/11/7-appointment-setup-step-2-768x613.png 768w, //oceanwp.org/wp-content/uploads/2021/11/7-appointment-setup-step-2.png 1032w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<ul><li><strong>Step 3</strong>. This step is dedicated to configuring the service and provider-specific details like duration, buffer time, days off, working hours, etc. For a detailed step overview, please check out this <a href=\"https://youtu.be/ykMb0LFcMIo?t=53\" target=\"_blank\" rel=\"noreferrer noopener\">video tutorial</a>.</li></ul>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://oceanwp.org/wp-content/uploads/2021/11/8-appointment-booking-plugin-setup-–-step-3.m4v\"></video></figure>\n\n\n\n<ul><li><strong>Step 4</strong>. Lastly, you can integrate <strong>WooCommerce </strong>and create two appointment booking forms. The available options include “JetEngine Forms” and “JetFormBuilder.” The first is intended for Elementor, and the second is for Gutenberg.</li></ul>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/9-appointment-setup-step-4.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/9-appointment-setup-step-4-1024x637.png\" alt=\"screenshot of an appointment booking plugin setup – step 4\" class=\"wp-image-623875\" width=\"768\" height=\"478\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/9-appointment-setup-step-4-1024x637.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/9-appointment-setup-step-4-300x187.png 300w, //oceanwp.org/wp-content/uploads/2021/11/9-appointment-setup-step-4-768x477.png 768w, //oceanwp.org/wp-content/uploads/2021/11/9-appointment-setup-step-4.png 1031w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Press the <strong>“Finish”</strong> button to finalize the setup.</p>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/10-appointment-setup-completed.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/10-appointment-setup-completed.png\" alt=\"screenshot of the appointment setup final screen\" class=\"wp-image-623874\" width=\"758\" height=\"560\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/10-appointment-setup-completed.png 1010w, //oceanwp.org/wp-content/uploads/2021/11/10-appointment-setup-completed-300x222.png 300w, //oceanwp.org/wp-content/uploads/2021/11/10-appointment-setup-completed-768x567.png 768w\" sizes=\"(max-width: 758px) 100vw, 758px\" /></a></figure>\n\n\n\n<p>Before you edit the appointment booking forms, you need to interrelate the Providers and Services posts. Open a Provider’s post and find the <strong>Related Services </strong>tab in the left sidebar. Type three characters into that text area and pick the necessary service once the system suggests it.</p>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/11-add-workouts-to-trainer.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/11-add-workouts-to-trainer-1024x683.png\" alt=\"apply services to the provider post\" class=\"wp-image-623873\" width=\"768\" height=\"512\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/11-add-workouts-to-trainer-1024x683.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/11-add-workouts-to-trainer-300x200.png 300w, //oceanwp.org/wp-content/uploads/2021/11/11-add-workouts-to-trainer-768x512.png 768w, //oceanwp.org/wp-content/uploads/2021/11/11-add-workouts-to-trainer.png 1226w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Repeat the procedure as many times as there are dedicated Provider posts. Once done, you are ready to play around with the forms.</p>\n\n\n\n<h2>JetFormBuilder and form addition to pages</h2>\n\n\n\n<p>What’s excellent about Crocoblock products is that some are actually free. Take <a href=\"https://crocoblock.com/plugins/jetformbuilder/\" target=\"_blank\" rel=\"noopener\">JetFormBuilder</a>. It’s a WordPress form-building plugin allowing site developers to build dynamic forms in the Gutenberg page editor. You can download the plugin, activate it, and use it right away.</p>\n\n\n\n<p>Go to <strong><em>JetFormBuilder &gt; Forms</em></strong>. The two generated forms will be there. We’ll have to edit them since we added two columns to the DB table during the appointment setup. Now, we need to add the necessary meta fields to the form and post-submit actions.</p>\n\n\n\n<p>Click to edit the <strong>Static Page Booking Form</strong> and add the missing meta fields by drag-n-dropping the corresponding Gutenberg blocks. We’ll need two – a <strong>Text Field </strong>and a <strong>Textarea Field </strong>– to add the Phone and Comment fields.</p>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/12-form-editing-in-gutenberg.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/12-form-editing-in-gutenberg-1024x729.png\" alt=\"adding text field blocks to the appointment booking form\" class=\"wp-image-623872\" width=\"768\" height=\"547\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/12-form-editing-in-gutenberg-1024x729.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/12-form-editing-in-gutenberg-300x213.png 300w, //oceanwp.org/wp-content/uploads/2021/11/12-form-editing-in-gutenberg-768x546.png 768w, //oceanwp.org/wp-content/uploads/2021/11/12-form-editing-in-gutenberg.png 1130w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Next, you need to input these fields into the Post Submit Actions. To do so, press the <strong>JetForm </strong>tab, scroll down to the <strong>Post Submit Actions </strong>section, and click on the pencil icon below the action name. You’ll see a Post Submit Action editing window, where you are supposed to select the form fields where they belong.</p>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/13-post-submit-action-setup.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/13-post-submit-action-setup-1024x721.png\" alt=\"setting up the Insert Appointment post-submit action\" class=\"wp-image-623871\" width=\"768\" height=\"541\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/13-post-submit-action-setup-1024x721.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/13-post-submit-action-setup-300x211.png 300w, //oceanwp.org/wp-content/uploads/2021/11/13-post-submit-action-setup-768x541.png 768w, //oceanwp.org/wp-content/uploads/2021/11/13-post-submit-action-setup.png 1130w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Besides that, you can set up WooCommerce integration here, provided that you’ve enabled it at Step 4. Once done, click the “<strong>Update</strong>” button.</p>\n\n\n\n<p class=\"has-background\" style=\"background-color:#f9f9f9\"><strong>Quick tip</strong>. Feel free to add several <a href=\"https://jetformbuilder.com/features/post-submit-action-controls-overview/\" target=\"_blank\" rel=\"noreferrer noopener\">Post Submit Actions</a> at once but ensure that their conditions do not contradict one another. In that case, the form submission will fail.</p>\n\n\n\n<p>Once you finish customizing the Static Page Booking Form, update it and add it to the website page. We’ve created a dedicated <strong>All Workouts</strong> page, which shows a dynamic <a href=\"https://crocoblock.com/knowledge-base/articles/jetengine-how-to-create-a-listing-template-in-gutenberg/\" target=\"_blank\" rel=\"noreferrer noopener\">JetEngine Listing</a>. A booking form will look lovely under the grid.</p>\n\n\n\n<p>Open the page where you wish to place the form, find the <strong>JetForm </strong>block in the left sidebar, drag and drop it to the desired area, and then pick the form you’ve just edited in the <strong>Choose Form</strong> drop-down on the right sidebar.</p>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page-1024x535.png\" alt=\"adding the appointment booking form to the Gutenberg page\" class=\"wp-image-623870\" width=\"768\" height=\"401\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page-1024x535.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page-300x157.png 300w, //oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page-768x402.png 768w, //oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page-1536x803.png 1536w, //oceanwp.org/wp-content/uploads/2021/11/14-jetform-addition-to-the-page.png 1572w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>Update the page and see how it looks on the front end.</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://oceanwp.org/wp-content/uploads/2021/11/15-frontend-form-submission.m4v\"></video></figure>\n\n\n\n<p>Now, the most attentive readers are like, “How come the form is styled-up?”. That’s because we’ve thrown another plugin into the mix. Keep reading to find out which. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f642.png\" alt=\"🙂\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<p>Go back to the WordPress dashboard and open the <strong><em>Appointments &gt; Appointments</em></strong> pathway. There you have it – all appointments are sitting tight. You can view, edit, delete them, filter, and change their status here.</p>\n\n\n\n<figure class=\"wp-block-image size-large is-resized\"><a href=\"https://oceanwp.org/wp-content/uploads/2021/11/16-gym-appointments.png\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/16-gym-appointments-1024x522.png\" alt=\"all gym appointments in the list view\" class=\"wp-image-623869\" width=\"768\" height=\"392\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/16-gym-appointments-1024x522.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/16-gym-appointments-300x153.png 300w, //oceanwp.org/wp-content/uploads/2021/11/16-gym-appointments-768x392.png 768w, //oceanwp.org/wp-content/uploads/2021/11/16-gym-appointments.png 1380w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure>\n\n\n\n<p>As you can see, the appointment booking functionality is up and running. However, there are more things you can do to make the appointment scheduling website even more dynamic.</p>\n\n\n\n<p></p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"https://oceanwp.org/blog/how-to-create-a-dynamic-appointment-website-with-oceanwp-crocoblock/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"8\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:76:\"\n		\n		\n					\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"Black Friday / Cyber Monday 2021: Best Deals for OceanWP Users\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 Nov 2021 15:38:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:9:\"WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:10:\"Promotions\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=623882\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1169:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-cyber-monday-deals.jpg\" width=\"1200\" height=\"700\" title=\"Black Friday / Cyber Monday 2021: Best Deals for OceanWP Users\" alt=\"Black Friday / Cyber Monday 2021: Best Deals for OceanWP Users\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">Black Friday and Cyber Monday Special Deals Await You! In this short but very sweet presentation, we&#8217;ve gathered all Black Friday and Cyber Monday deals offered by OceanWP partners. Upgrade...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10985:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-cyber-monday-deals.jpg\" width=\"1200\" height=\"700\" title=\"Black Friday / Cyber Monday 2021: Best Deals for OceanWP Users\" alt=\"Black Friday / Cyber Monday 2021: Best Deals for OceanWP Users\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p class=\"has-medium-font-size\">Black Friday and Cyber Monday Special Deals Await You!</p>\n\n\n\n<p>In this short but very sweet presentation, we&#8217;ve gathered all Black Friday and Cyber Monday deals offered by OceanWP partners. <strong>Upgrade hosting or get the tools you need to enhance your WordPress website to the max.</strong></p>\n\n\n\n<p>We&#8217;ll start with &#8211; of course &#8211; yours truly, the Ocean Core Extensions Bundle (wink wink).</p>\n\n\n\n<h2>1 Ocean Core Extensions Bundle &#8211; The Ultimate Black Friday / Cyber Monday Sale Bash</h2>\n\n\n\n<p>Get the Ocean Core Extensions Bundle during the <strong><a href=\"https://oceanwp.org/core-extensions-bundle/\">Black Friday / Cyber Monday Ultimate Sale Bash and save up to 55%!</a></strong></p>\n\n\n\n<p><strong>Taste the power of freedom with almost endless possibilities</strong>. Enhance your website with with 20+ extensions, including the latest Ocean Gutenberg Blocks plugin, and get access to ALL <a href=\"https://oceanwp.org/demos/\">WordPress website templates (demos)</a>. If you were considering a lifetime plan, don&#8217;t miss this limited offer <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f609.png\" alt=\"😉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full is-resized\"><a href=\"https://oceanwp.org/core-extensions-bundle/\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021.png\" alt=\"OceanWP Black Friday Cyber Monday promo banner\" class=\"wp-image-624049\" width=\"525\" height=\"525\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021.png 700w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-300x300.png 300w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-150x150.png 150w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-128x128.png 128w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-256x256.png 256w\" sizes=\"(max-width: 525px) 100vw, 525px\" /></a></figure></div>\n\n\n\n<p><strong>Sale Start Date</strong>: November 18th 2021.</p>\n\n\n\n<p><strong>Sale End Date:</strong> December 3rd 2021.</p>\n\n\n\n<p><a href=\"https://oceanwp.org/core-extensions-bundle/\">All discounts calculated automatically at the checkout page</a>. For all other purchase stops, use the promo code: <strong>BFCM2021</strong></p>\n\n\n\n<p>In case you&#8217;d like to renew or upgrade your current license using this promotion, you can do that too! If you have any questions about specific details of your renewal / upgrade, make sure to send us a ticket.</p>\n\n\n\n<h2>2 Cloudways Offers 40% OFF On All Hosting Plans</h2>\n\n\n\n<p><a href=\"https://www.cloudways.com/en/\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>Cloudways</strong></a> is the leading cloud-based hosting platform popular for its scalability, user-friendliness, and impeccable customer support. It offers the users to pick their preferred platform from DigitalOcean, Linode, VULTR, Google Cloud Platform, and AWS.</p>\n\n\n\n<p>Providing the best hosting solutions, this Black Friday, <strong>Cloudways offers AMAZING discounts and deals for its customers</strong> to begin their digital journey. Get started with a <strong><a href=\"https://platform.cloudways.com/signup?coupon=BFCM2021\" target=\"_blank\" rel=\"noreferrer noopener\">FLAT 40% DISCOUNT for four months straight</a>!</strong></p>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://platform.cloudways.com/signup?coupon=BFCM2021\" target=\"_blank\" rel=\"noopener\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/cloudways-black-friday-cyber-monday-2021-1024x341.jpg\" alt=\"Cloudways Black Friday Cyber Monday promo banner\" class=\"wp-image-624207\" width=\"768\" height=\"256\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/cloudways-black-friday-cyber-monday-2021-1024x341.jpg 1024w, //oceanwp.org/wp-content/uploads/2021/11/cloudways-black-friday-cyber-monday-2021-300x100.jpg 300w, //oceanwp.org/wp-content/uploads/2021/11/cloudways-black-friday-cyber-monday-2021-768x256.jpg 768w, //oceanwp.org/wp-content/uploads/2021/11/cloudways-black-friday-cyber-monday-2021.jpg 1500w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n\n<p><strong>Sale Start Date</strong>: November 23rd 2021.</p>\n\n\n\n<p><strong>Sale End Date:</strong> December 1st 2021.</p>\n\n\n\n<p><strong>Promo Code:</strong> BFCM2021 or get the <strong><a href=\"https://platform.cloudways.com/signup?coupon=BFCM2021\" target=\"_blank\" rel=\"noreferrer noopener\">40% OFF for 4 Months on all hosting plans immediately</a></strong>.</p>\n\n\n\n<p>All new users can take advantage of the discount.</p>\n\n\n\n<h2>3 Crocoblock &#8211; Black Friday &amp; Cyber Monday &#8211; Get up to 40% OFF</h2>\n\n\n\n<p>This Black Friday, you can<strong> <a href=\"https://crocoblock.com/?ref=3457\" target=\"_blank\" rel=\"noreferrer noopener\">grab up to 40% discounts on Crocoblock products</a></strong>.</p>\n\n\n\n<p>Yearly or Lifetime subscriptions will give you access to 20 JetPlugins, 12 dynamic templates, 50 interactive popups, and 47 design templates. Furthermore, you get updates and support.</p>\n\n\n\n<p>Crocoblock is known as a top-rated Elementor addons provider, but it also has WordPress plugins for Gutenberg. So, you get everything you need for dynamic website building.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/300x600-Crocoblock-Black-Friday-2021.jpg\" alt=\"Crocoblock Black Friday Cyber Monday promo banner\" class=\"wp-image-624196\"/></figure>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-large is-resized\"><a href=\"https://crocoblock.com/?ref=3457\" target=\"_blank\" rel=\"noopener\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/Crocoblock-Black-Friday-2021-Banner-1-1024x536.png\" alt=\"Crocoblock Black Friday Cyber Monday promo banner\" class=\"wp-image-624216\" width=\"768\" height=\"402\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/Crocoblock-Black-Friday-2021-Banner-1-1024x536.png 1024w, //oceanwp.org/wp-content/uploads/2021/11/Crocoblock-Black-Friday-2021-Banner-1-300x157.png 300w, //oceanwp.org/wp-content/uploads/2021/11/Crocoblock-Black-Friday-2021-Banner-1-768x402.png 768w, //oceanwp.org/wp-content/uploads/2021/11/Crocoblock-Black-Friday-2021-Banner-1.png 1200w\" sizes=\"(max-width: 768px) 100vw, 768px\" /></a></figure></div>\n\n\n\n<p><strong>Sale Start Date</strong>: November 24th 2021.</p>\n\n\n\n<p><strong>Sale End Date:</strong> December 1st 2021.</p>\n\n\n\n<p><strong>Promo Code:</strong> BFCrocoblock2021 (<a href=\"https://crocoblock.com/?ref=3457\" target=\"_blank\" rel=\"noreferrer noopener\">promo code must be applied manually on the Crocoblock checkout page</a>).</p>\n\n\n\n<h2>Additional WordPress Plugins / Services to Use with OceanWP</h2>\n\n\n\n<p>The following partners currently do not offer any Black Friday / Cyber Monday deals, but that doesn&#8217;t make their offers any less interesting. On the contrary.</p>\n\n\n\n<h3>1 HubSpot</h3>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full\"><a href=\"https://www.hubspot.com/products/wordpress\" target=\"_blank\" rel=\"noopener\"><img width=\"672\" height=\"261\" src=\"https://oceanwp.org/wp-content/uploads/2021/10/hubspotlogo-web-color.png\" alt=\"HubSpot logo\" class=\"wp-image-621233\" srcset=\"//oceanwp.org/wp-content/uploads/2021/10/hubspotlogo-web-color.png 672w, //oceanwp.org/wp-content/uploads/2021/10/hubspotlogo-web-color-300x117.png 300w\" sizes=\"(max-width: 672px) 100vw, 672px\" /></a></figure></div>\n\n\n\n<p><strong><a href=\"https://www.hubspot.com/products/wordpress\" target=\"_blank\" rel=\"noreferrer noopener\">HubSpot is a leading CRM platform</a></strong> that brings a ton of value with its all-in-one WordPress plugin. Over 200k+ users trust HubSpot’s WordPress plugin for adding live chat, forms, CRM, email marketing, and reporting to their WordPress sites.</p>\n\n\n\n<h3>2 WPML</h3>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full\"><a href=\"https://wpml.org/\" target=\"_blank\" rel=\"noopener\"><img width=\"600\" height=\"283\" src=\"https://oceanwp.org/wp-content/uploads/2021/09/wpml-logo-tag-line.png\" alt=\"WPML logo\" class=\"wp-image-619676\" srcset=\"//oceanwp.org/wp-content/uploads/2021/09/wpml-logo-tag-line.png 600w, //oceanwp.org/wp-content/uploads/2021/09/wpml-logo-tag-line-300x142.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></a></figure></div>\n\n\n\n<p><strong><a href=\"https://wpml.org/\" target=\"_blank\" rel=\"noreferrer noopener\">WPML is the world’s most popular multilingual plugin</a></strong>, helping more than 700k websites translate their content. It is integrated with the most popular translation services, themes and plugins, including WooCommerce.</p>\n\n\n\n<h3>3 Toolset</h3>\n\n\n\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-full\"><a href=\"https://toolset.com/\" target=\"_blank\" rel=\"noopener\"><img width=\"600\" height=\"200\" src=\"https://oceanwp.org/wp-content/uploads/2021/05/Toolset-logo-png.png\" alt=\"\" class=\"wp-image-613165\" srcset=\"//oceanwp.org/wp-content/uploads/2021/05/Toolset-logo-png.png 600w, //oceanwp.org/wp-content/uploads/2021/05/Toolset-logo-png-300x100.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" /></a></figure></div>\n\n\n\n<p><a href=\"https://toolset.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Toolset</a> makes it easier and quicker for you to build a professional website without complex coding. Whether you are a WordPress beginner or expert you can quickly add advanced features including custom post types, custom search, Maps and front-end forms.</p>\n\n\n\n<h2>Black Friday &amp; Cyber Monday Deals Summary</h2>\n\n\n\n<p>The WordPress community knows it all too well &#8211; <strong>Black Friday </strong>/ Cyber Monday are one of a kind deals you just don&#8217;t want to miss.</p>\n\n\n\n<p>In case of any changes and updates from our partners, we&#8217;ll update the content accordingly.</p>\n\n\n\n<p>The OceanWP Team wishes you Happy Holidays (and Happy Shopping).</p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://oceanwp.org/blog/black-friday-cyber-monday-special-deals-2021/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:5:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Clear Vision is Key\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://oceanwp.org/blog/clear-vision-is-key/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://oceanwp.org/blog/clear-vision-is-key/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 22 Nov 2021 07:02:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Announcement\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://oceanwp.org/?p=624047\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:989:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/clear-vision-is-key/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/oceanwp-clear-vision-is-key.jpg\" width=\"1200\" height=\"697\" title=\"Clear Vision is Key\" alt=\"Clear Vision is Key\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">When I was asked to help manage OceanWP, I found a fantastic team of talented people who needed direction. OceanWP was a big ship, but the former captain was lost,...<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/clear-vision-is-key/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Lior Zelering\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4173:\"<p style=\"display: block; padding: 0 0 24px; margin: 0 !important;\"><a href=\"https://oceanwp.org/blog/clear-vision-is-key/\" target=\"_blank\"><img src=\"https://oceanwp.org/wp-content/uploads/2021/11/oceanwp-clear-vision-is-key.jpg\" width=\"1200\" height=\"697\" title=\"Clear Vision is Key\" alt=\"Clear Vision is Key\" style=\"width: 100%!important;\"></a></p><p style=\"padding: 0 26px !important; margin: 0 !important;\">\n<p>When I was asked to help manage OceanWP, I found a fantastic team of talented people who needed direction. OceanWP was a big ship, but the former captain was lost, and the one that replaced him did not perform.</p>\n\n\n\n<p>Sometimes managing a product is just about pointing the ship in a direction. I was happy to see almost all of the team, and I saw this eye to eye, the ones who did not, well, had to go.</p>\n\n\n\n<p>With the help of Amit, Marko and the team that grew, we started to turn the ship around. We added more support people, cleaned the code, went vanilla JS and much more. At some point, the founder of OceanWP wanted to return; we were happy to get him back (he did not volunteer and got paid). While his contribution to development and management was minimal, we did advise him on our plans and got his support on EVERYTHING we planned.</p>\n\n\n\n<p>As the ship was turning around, we also added more QA and support people and added many new features and demos, fixed bugs, re-branded, did an excellent webinar on branding, and much more.</p>\n\n\n\n<p>OceanWP now has a comprehensive roadmap with a lot of new features and ideas; we are working on a lot of unique projects, designs, demos, webinars, and tutorials. We are not just a “theme” but an organization dedicated to our users, and as such, we value your support and listen to your ideas and critique. Our backers are giving us 100% support and are with us for the long run.</p>\n\n\n\n<p>I am proud to say OceanWP is performing at a very high level, but we always more for our users. We are currently hiring more developers and designers, and we are working on enhancing the theme. If you are a user and happy with our product, that’s great, but we are just starting. If you tried us two years ago and were not satisfied, please give us another try.</p>\n\n\n\n<p><a href=\"https://www.facebook.com/groups/oceanwptheme\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>We have a brand new OceanWP Facebook community! Join the developers, support team, OceanWP users and share your love and questions.</strong></a></p>\n\n\n\n<p>As a community of open code developers and users, it is essential we respect each other and each other’s work. We are here to do good. Any company starting their way by slandering their former teammates is starting on the wrong foot and karma they say is a bitch.<br>Stay tuned for some more news from us and happy Black Friday!</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><a href=\"https://oceanwp.org/core-extensions-bundle/\"><img width=\"700\" height=\"700\" src=\"https://oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021.png\" alt=\"\" class=\"wp-image-624049\" srcset=\"//oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021.png 700w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-300x300.png 300w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-150x150.png 150w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-128x128.png 128w, //oceanwp.org/wp-content/uploads/2021/11/oceanwp-black-friday-2021-256x256.png 256w\" sizes=\"(max-width: 700px) 100vw, 700px\" /></a></figure>\n\n\n\n<p class=\"has-medium-font-size\"><a href=\"https://oceanwp.org/core-extensions-bundle/\">The Ultimate Black Friday/Cyber Monday Sale Bash is ON! Save up to 55% on Ocean Core Extensions Bundle</a></p>\n<p style=\"margin: 0!important;padding: 26px 0 0!important;\"><a href=\"https://oceanwp.org/blog/clear-vision-is-key/\" target=\"_blank\" style=\"display: inline-block; padding: 10px 30px; color: #ffffff; background-color: #13aff0; border-radius: 30px; font-size: 13px; font-weight: bold; line-height: 1.4; text-transform: uppercase; text-align: center; text-decoration: none; letter-spacing: 1px;\">Read More</a></p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://oceanwp.org/blog/clear-vision-is-key/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:25:\"https://oceanwp.org/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:14:{s:4:\"date\";s:29:\"Thu, 10 Nov 2022 17:22:42 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:15:\"x-ua-compatible\";s:7:\"IE=edge\";s:4:\"link\";s:56:\"<https://oceanwp.org/wp-json/>; rel=\"https://api.w.org/\"\";s:4:\"vary\";s:33:\"X-Forwarded-Proto,Accept-Encoding\";s:13:\"last-modified\";s:29:\"Thu, 10 Nov 2022 07:29:08 GMT\";s:13:\"cache-control\";s:12:\"max-age=3600\";s:7:\"expires\";s:29:\"Thu, 10 Nov 2022 18:22:41 GMT\";s:15:\"cf-cache-status\";s:7:\"DYNAMIC\";s:9:\"report-to\";s:243:\"{\"endpoints\":[{\"url\":\"https:\\/\\/a.nel.cloudflare.com\\/report\\/v3?s=NVo6L1rV7tf7bvD%2FgxAt07mJs7vP3f2BbOCPMq71LrHVKmbZeWj3rzRSuT2NXFRXisr%2FIP1iAbePWkMa6XnMYtyD4xOXZA1RQTbyZLku7WyT%2BF0AHKB1Fp4qVyIA7g%3D%3D\"}],\"group\":\"cf-nel\",\"max_age\":604800}\";s:3:\"nel\";s:60:\"{\"success_fraction\":0,\"report_to\":\"cf-nel\",\"max_age\":604800}\";s:6:\"server\";s:10:\"cloudflare\";s:6:\"cf-ray\";s:20:\"768078c40bd42c74-ORD\";s:7:\"alt-svc\";s:43:\"h3=\":443\"; ma=86400, h3-29=\":443\"; ma=86400\";}}s:5:\"build\";s:14:\"20221110171319\";}", "no");
INSERT INTO `wpky_options` VALUES("4579", "_transient_timeout_feed_mod_c8dc84948ab55424f034a4ced348e013", "1668144162", "no");
INSERT INTO `wpky_options` VALUES("4580", "_transient_feed_mod_c8dc84948ab55424f034a4ced348e013", "1668100962", "no");
INSERT INTO `wpky_options` VALUES("4581", "_transient_timeout_owp_feed_data_4160b56c6811147b535098f09e780ee9", "1668144162", "no");
INSERT INTO `wpky_options` VALUES("4582", "_transient_owp_feed_data_4160b56c6811147b535098f09e780ee9", "<ul><li><a class=\'rsswidget\' href=\'https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/?utm_source=wp-news-widget&utm_medium=wp-dash&utm_campaign=news-feed\' target=\'_blank\'>OceanWP Catamaran Update: New Elementor Sections, Widgets &amp; More!</a><div class=\"rssSummary\">You don’t need to be a captain to know catamarans are not only good-looking, but also very safe and stable vessels. And that’s exactly what we here at OceanWP are...Read&hellip;</div></li><li><a class=\'rsswidget\' href=\'https://oceanwp.org/blog/wordpress-halloween-2022-best-deals-oceanwp-users/?utm_source=wp-news-widget&utm_medium=wp-dash&utm_campaign=news-feed\' target=\'_blank\'>WordPress Halloween 2022: Best Deals &amp; News for OceanWP Users</a><div class=\"rssSummary\">The only thing that should really scare you this Halloween is the opportunity you might miss 😉 In this year’s “spooky” presentation, we’ve gathered all Halloween deals offered by OceanWP...Read&hellip;</div></li><li><a class=\'rsswidget\' href=\'https://oceanwp.org/blog/oceanwp-2022-web-design-fest/?utm_source=wp-news-widget&utm_medium=wp-dash&utm_campaign=news-feed\' target=\'_blank\'>Hollywood Comes to OceanWP – the 2022 Web Design Fest</a><div class=\"rssSummary\">Calling all geeks, nerds, designers, website owners and everybody else. If you’re into WordPress, we know you’ll love the OceanWP 2022 Web Design Fest! It’s time for another OceanWP annual...Read&hellip;</div></li><li><a class=\'rsswidget\' href=\'https://oceanwp.org/blog/oceanwp-update-elementor-sections-libarary/?utm_source=wp-news-widget&utm_medium=wp-dash&utm_campaign=news-feed\' target=\'_blank\'>OceanWP High Tide Update: Ocean Elementor Sections Library is Here!</a><div class=\"rssSummary\">High tide. Surfers love it. Boat captains love it. Fishermen love it. But if you love WordPress, and we know you do, you’ll love the benefits the OceanWP update High...Read&hellip;</div></li></ul>", "no");
INSERT INTO `wpky_options` VALUES("4583", "_wpforms_transient_timeout_addons_urls", "1668187365", "no");
INSERT INTO `wpky_options` VALUES("4584", "_wpforms_transient_addons_urls", "a:31:{s:22:\"wpforms-activecampaign\";s:191:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-activecampaign/wpforms-activecampaign-1.5.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=8hpgkPwGTwlOnTdApQN6c498pdo%3D\";s:21:\"wpforms-authorize-net\";s:191:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-authorize-net/wpforms-authorize-net-1.4.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=ap%2F81NYNK1f2Sest2IjFrkxNG0E%3D\";s:14:\"wpforms-aweber\";s:175:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-aweber/wpforms-aweber-1.3.1.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=cdccDrTBnZ0aeRcehF3GvVb45wo%3D\";s:24:\"wpforms-campaign-monitor\";s:195:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-campaign-monitor/wpforms-campaign-monitor-1.2.2.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=taZRjXulVdzNN2PRcXENL6xgZvg%3D\";s:28:\"wpforms-conversational-forms\";s:207:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-conversational-forms/wpforms-conversational-forms-1.8.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=qO%2F%2BsqrKlxolKe7egXvClJgOxn0%3D\";s:15:\"wpforms-captcha\";s:179:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-captcha/wpforms-captcha-1.6.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=AmLrNOuJnzasvvrFfajeb0OAa%2Bo%3D\";s:12:\"wpforms-drip\";s:171:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-drip/wpforms-drip-1.6.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=JXzG6y0o1EjyDDFlJGP7tWWJRtU%3D\";s:24:\"wpforms-form-abandonment\";s:197:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-form-abandonment/wpforms-form-abandonment-1.7.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=A78jl%2BtTpnRVRZTBMkqNb1Eakd8%3D\";s:19:\"wpforms-form-locker\";s:187:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-form-locker/wpforms-form-locker-2.2.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=OGjsBrbbokOWeNHpicgO5ypO%2F8w%3D\";s:18:\"wpforms-form-pages\";s:185:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-form-pages/wpforms-form-pages-1.5.1.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=ZeiUfhsuB3FKHSpwQ1EOl%2BNysgE%3D\";s:19:\"wpforms-geolocation\";s:189:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-geolocation/wpforms-geolocation-2.3.1.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=21o%2FU03uK%2BqDUkr9HGkX7DcRN7g%3D\";s:19:\"wpforms-getresponse\";s:185:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-getresponse/wpforms-getresponse-1.5.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=JjsPp3OD5pOSgcfchog2hhkzCJo%3D\";s:21:\"wpforms-google-sheets\";s:189:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-google-sheets/wpforms-google-sheets-1.0.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=13eTqVapUgShFDNY58H14GobriE%3D\";s:15:\"wpforms-hubspot\";s:181:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-hubspot/wpforms-hubspot-1.0.1.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=cAl%2BkO%2BCr9vtiaUgED1MYPn8rwQ%3D\";s:17:\"wpforms-mailchimp\";s:185:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-mailchimp/wpforms-mailchimp-2.2.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=T5tfgtm51%2FoN9bvKvyJi5R%2FnoDk%3D\";s:18:\"wpforms-mailerlite\";s:183:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-mailerlite/wpforms-mailerlite-1.0.1.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=6iPrq1A1vvL0qBJHOCTGBHnR4ts%3D\";s:21:\"wpforms-offline-forms\";s:189:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-offline-forms/wpforms-offline-forms-1.2.3.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=KfqV9ojV985r4KNGNiNQHrm5XdU%3D\";s:23:\"wpforms-paypal-commerce\";s:195:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-paypal-commerce/wpforms-paypal-commerce-1.1.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=D7Dfc%2BT1yPmS3p8SouQpPej8Ii8%3D\";s:23:\"wpforms-paypal-standard\";s:193:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-paypal-standard/wpforms-paypal-standard-1.6.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=RTwLRiUfa1LfauCiqwO1pb5BYdo%3D\";s:24:\"wpforms-post-submissions\";s:195:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-post-submissions/wpforms-post-submissions-1.4.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=xTVFrs3QXYQIZySyC7maAlzARiQ%3D\";s:18:\"wpforms-salesforce\";s:183:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-salesforce/wpforms-salesforce-1.2.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=dHwJ1CtBCGP9BBlilt00ywQ2cLU%3D\";s:19:\"wpforms-save-resume\";s:185:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-save-resume/wpforms-save-resume-1.3.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=opgz1Lmhw6SjfvjhmsizPo7sSZs%3D\";s:18:\"wpforms-sendinblue\";s:183:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-sendinblue/wpforms-sendinblue-1.2.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=NX906kuS2w9VnVq94z4WvxneU0o%3D\";s:18:\"wpforms-signatures\";s:183:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-signatures/wpforms-signatures-1.6.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=dqEbrvdT5tjX6mVpUTh3Xje7VmA%3D\";s:14:\"wpforms-square\";s:175:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-square/wpforms-square-1.3.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=Zag3jFps3HBZf9Go492Bnc0VUuY%3D\";s:14:\"wpforms-stripe\";s:177:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-stripe/wpforms-stripe-2.8.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=b7qzWKvwBG0g7gpgmB%2BEc5c632w%3D\";s:21:\"wpforms-surveys-polls\";s:192:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-surveys-polls/wpforms-surveys-polls-1.10.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=1ZH0Ii9zyyzt9ehvCoBIVrE%2BQjs%3D\";s:20:\"wpforms-user-journey\";s:189:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-user-journey/wpforms-user-journey-1.0.6.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=zpXmXJr6ZZndQdI3eYt%2BkHclIv0%3D\";s:25:\"wpforms-user-registration\";s:197:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-user-registration/wpforms-user-registration-2.1.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=OWP4G8Z3cdbT39MoPdi8b1IrjDs%3D\";s:16:\"wpforms-webhooks\";s:181:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-webhooks/wpforms-webhooks-1.2.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=W%2FMIY8rW6YAuVjkUTOFXOKbD5ik%3D\";s:14:\"wpforms-zapier\";s:179:\"https://wpforms-plugin.s3.amazonaws.com/wpforms-zapier/wpforms-zapier-1.4.0.zip?AWSAccessKeyId=AKIASBN2TIA5QYG6HTPP&Expires=1668144165&Signature=DH2fSaefzckFdJ3nzOFycHRT%2B%2FM%3D\";}", "no");
INSERT INTO `wpky_options` VALUES("4588", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1668144166", "no");
INSERT INTO `wpky_options` VALUES("4589", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:112:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 20:58:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.2-alpha-54785\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:30:{i:0;a:6:{s:4:\"data\";s:70:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Introducing Twenty Twenty-Three\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2022/11/introducing-twenty-twenty-three/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 15:42:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:3:\"tt3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:19:\"twenty twenty-three\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13892\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:376:\"This post was written in collaboration with Lauren Stein (@laurlittle) and Anne McCarthy @annezazu). Twenty Twenty-Three is here, alongside WordPress 6.1! The new default theme offers a clean, blank canvas bundled with a collection of style variations. Style variations are predefined design options that give you the opportunity to alter the appearance of your site [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:72:\"https://wordpress.org/news/files/2022/11/Introducing-TT3_V4_captions.mp4\";s:6:\"length\";s:8:\"90767180\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Beatriz Fialho\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2438:\"\n<figure class=\"wp-block-video\"><video controls poster=\"https://wordpress.org/news/files/2022/11/introducing_tt3_featured_image.png\" src=\"https://wordpress.org/news/files/2022/11/Introducing-TT3_V4_captions.mp4\"></video></figure>\n\n\n\n<p><em>This post was written in collaboration with Lauren Stein (<a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a>) and Anne McCarthy <a href=\'https://profiles.wordpress.org/annezazu/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>annezazu</a>)</em>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Twenty Twenty-Three is here, alongside WordPress 6.1! The new default theme offers a clean, blank canvas bundled with a collection of style variations.</p>\n\n\n\n<p>Style variations are predefined design options that give you the opportunity to alter the appearance of your site without having to change your theme. This means that you can keep your template structure but change the visual details of your site with ease.</p>\n\n\n\n<p>For a truly diverse collection, Twenty Twenty-Three’s featured style variations were submitted by members of the WordPress community, resulting in 38 submissions from 19 people in 8 different countries. From those submissions, a curated collection of ten was chosen and bundled with the new theme.</p>\n\n\n\n<p>This approach to style variations ushers in the next generation of block themes, able to harness the potential of the platform’s latest design capabilities and tools directly in the Site Editor. Since style variations don’t require any code experience, you’re encouraged to tweak and/or create your own.</p>\n\n\n\n<p><strong>Thank you to everyone who contributed. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f389.png\" alt=\"🎉\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></strong></p>\n\n\n\n<p>Useful links:<br><a href=\"https://wordpress.org/themes/twentytwentythree/\">Download Twenty Twenty-Three</a><br><a href=\"https://wordpress.org/support/article/twenty-twenty-three/\">Twenty Twenty-Three Documentation</a><br><a href=\"https://make.wordpress.org/design/2022/08/10/twenty-twenty-three-default-theme-project-kickoff/\">Twenty Twenty-Three Project Kick Off</a><br><a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">Twenty Twenty-Three Selected Style Variations</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13892\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"WordPress 6.1 “Misha”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wordpress.org/news/2022/11/misha/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Nov 2022 18:38:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13798\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:206:\"Say hello to “Misha,” the WordPress 6.1 release, inspired by Mikhail “Misha” Alperin acclaimed jazz ensemblist and composer. At least 800 contributors made this release possible. Download 6.1 today.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:83022:\"\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=1024%2C683&#038;ssl=1\" alt=\"\" class=\"wp-image-13872\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=2048%2C1365&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h1>Welcome to “Misha”</h1>\n\n\n\n<p>Say hello to WordPress 6.1, “Misha,” inspired by the life and work of Soviet-Norwegian jazz pianist <a href=\"https://en.wikipedia.org/wiki/Mikhail_Alperin\">Mikhail “Misha” Alperin</a>. Misha introduced the work of jazz ensembles in the USSR and globally. He is also celebrated as a founding member of the <a href=\"https://en.wikipedia.org/wiki/Moscow_Art_Trio\">Moscow Art Trio</a>.<br><br>“Misha” further refines the site-building experience. Inside WordPress 6.1 you’ll interact with enhancements that continue to make site creation more intuitive while pushing your creative boundaries further than ever. Don’t forget to enjoy some of Misha’s <a href=\"https://www.youtube.com/channel/UCuh5oEm_jJ_jTcv8DmbLi2Q\">jazz piano</a> as you take in all WordPress 6.1 has to offer.</p>\n\n\n\n<p><span style=\"font-weight: 400\">The third major release of 2022 is here. </span><a href=\"https://wordpress.org/wordpress-6.1.zip\"><span style=\"font-weight: 400\">Download it now</span></a><span style=\"font-weight: 400\">! As of the time of this release, WordPress powers </span><a href=\"https://w3techs.com/technologies/overview/content_management\">43%</a><span style=\"font-weight: 400\"> of websites worldwide.</span></p>\n\n\n\n<p><span style=\"font-weight: 400\">Site owners and administrators should upgrade today to take full advantage of the many stability, performance, and usability enhancements. Furthermore, WordPress content creators will enjoy a suite of new features geared toward improving the writing and designing experiences.</span></p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>This release includes features that many in the WordPress Community have been most excited about since the start of this project. Additional enhancements and improvements to the editor give site owners more control and easier customization while offering a more cohesive experience to users. A lot of writing-focused improvements are included in the release, because if you’re giving voices to the voiceless you’ve got to focus on folks writing the copy. </p>\n\n\n\n<p>Some of my favorite enhancements are the refined ability to select partial paragraphs in a block; settings to keep list view open by default; and the keyboard shortcut to add internal links expanded to all blocks.</p>\n<cite>Josepha Haden Chomphosy, Executive Director</cite></blockquote>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.1.zip\">Download WordPress 6.1</a></div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>What’s Inside</h2>\n\n\n\n<h3>Twenty Twenty-Three:<br>A fresh default theme with 10 distinct style variations</h3>\n\n\n\n<p>After introducing foundational elements for block themes and style variations in releases 5.9 and 6.0, WordPress site builders welcome a new default theme, Twenty Twenty-Three, that is powered by <a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">10 different styles</a> and tagged as&nbsp; “<a href=\"https://make.wordpress.org/themes/handbook/review/accessibility/\">Accessibility Ready</a>.” These intentionally unique styles ensure users can apply a different look and feel to their site with a single click—all within a single theme.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=1024%2C601&#038;ssl=1\" alt=\"\" class=\"wp-image-13843\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=1024%2C601&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=300%2C176&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=768%2C451&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=1536%2C901&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=2048%2C1201&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h3>New templates for an improved creator experience</h3>\n\n\n\n<p>New and more refined templates now give site builders more control over the creation of their sites. In this suite of new templates, find a custom template for posts &amp; pages in the Site Editor. Create and edit template parts like headers and footers more quickly with a new search-and-replace tool and easily view your new site.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=1024%2C601&#038;ssl=1\" alt=\"\" class=\"wp-image-13818\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=1024%2C601&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=300%2C176&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=768%2C451&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=1536%2C901&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=2048%2C1201&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h3>Design tools for more consistency and control</h3>\n\n\n\n<p>Thoughtful upgrades to the controls for design elements and blocks make laying out and building your new site a more consistent, complete, and intuitive experience.</p>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-2 is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"601\" data-id=\"13819\"  src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=1024%2C601&#038;ssl=1\" alt=\"\" class=\"wp-image-13819\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=1024%2C601&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=300%2C176&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=768%2C451&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=1536%2C901&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=2048%2C1201&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n</figure>\n\n\n\n<h3>Manage menus with ease</h3>\n\n\n\n<p>New fallback options in the navigation block mean you can edit the menu that’s open; no searching needed. Plus, the controls for choosing and working on menus have their own place in the block settings. The mobile menu system also gets an upgrade with new features, including different icon options, to make the menu yours.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=1024%2C601&#038;ssl=1\" alt=\"\" class=\"wp-image-13844\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=1024%2C601&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=300%2C176&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=768%2C451&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=1536%2C901&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=2048%2C1201&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h3>Cleaner layouts and document settings visualization</h3>\n\n\n\n<p>View and manage post and page settings with a better-organized display improving the use of features like template picker and scheduler.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=1024%2C601&#038;ssl=1\" alt=\"\" class=\"wp-image-13838\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=1024%2C601&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=300%2C176&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=768%2C451&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=1536%2C901&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=2048%2C1201&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h3>One-click lock setting for all inner blocks</h3>\n\n\n\n<p>When locking blocks, a new toggle lets you apply your lock settings to all the blocks in a containing block like the group, cover, and column blocks.</p>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-4 is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"601\" data-id=\"13824\"  src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=1024%2C601&#038;ssl=1\" alt=\"\" class=\"wp-image-13824\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=1024%2C601&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=300%2C176&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=768%2C451&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=1536%2C901&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=2048%2C1201&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n</figure>\n\n\n\n<h3>Improved block placeholders</h3>\n\n\n\n<p>Various blocks have improved placeholders that reflect customization options to help you design your site and its content. For example, the Image block placeholder displays custom borders and duotone filters even before selecting an image.</p>\n\n\n\n<h3>Compose richer lists and quotes with inner blocks</h3>\n\n\n\n<p>The List and Quote blocks now support inner blocks, allowing for more flexible and rich compositions like adding headings inside your Quote blocks.</p>\n\n\n\n<h3>More responsive text with fluid typography</h3>\n\n\n\n<p>For developers working with block themes and/or <code>theme.json</code>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/#fluid-typography-support\">fluid typography</a> lets you define font sizes that adapt for easy reading in any screen size.</p>\n\n\n\n<h3>Add starter patterns to any post type</h3>\n\n\n\n<p>In WordPress 6.0, site builders could add suggested patterns so that when creating a new page, you did not have to start blank. In 6.1, site builders can continue to opt-in to this feature for not only pages but for any post type. </p>\n\n\n\n<h3>Find block themes faster</h3>\n\n\n\n<p>The Themes Directory has a filter for block themes, and a pattern preview gives a better sense of what the theme might look like while exploring different themes and patterns.</p>\n\n\n\n<h3>Keep your Site Editor settings for later</h3>\n\n\n\n<p>Site Editor settings are now <a href=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/\">persistent for each user</a>. This means your settings will now be consistent across browsers and devices.</p>\n\n\n\n<h3>A streamlined style system</h3>\n\n\n\n<p>The CSS rules for margin, padding, typography, colors, and borders within the <a href=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/\">styles engine</a> are now all in one place, reducing time spent on layout-specific tasks and helps to generate semantic class names.</p>\n\n\n\n<h3>Updated interface options and features</h3>\n\n\n\n<p>Updates include <a href=\"https://make.wordpress.org/core/2022/10/10/styling-elements-in-block-themes/\">styling elements</a> like buttons, citations, and links globally; controlling hover, active, and focus states for links using theme.json (not available to control in the interface yet); and customizing outline support for blocks and elements, among other features.</p>\n\n\n\n<h3>Continued evolution of layout options</h3>\n\n\n\n<p>The default content dimensions provided by themes can now be overridden in the Styles Sidebar, giving site builders better control over full-width content. Developers have <a href=\"https://make.wordpress.org/core/2022/10/10/updated-editor-layout-support-in-6-1-after-refactor/\">fine-grained control over these controls</a>.</p>\n\n\n\n<h3>Block Template parts in classic themes</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\">Block template parts can now be defined in classic themes</a> by adding the appropriate HTML files `parts` directory at the root of the theme.</p>\n\n\n\n<h3>Expanded support for Query Loop blocks</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/10/extending-the-query-loop-block/\">New filters</a> let Query Block variations support custom queries for more powerful variations and advanced hierarchical post types filtering options.</p>\n\n\n\n<h3>Filters for all your styles</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/\">Leverage filters</a> in the Styles sidebar to control settings at all four levels of your site—core, theme, user, or block, from less to more specific.</p>\n\n\n\n<h3>Spacing presets for faster, consistent design</h3>\n\n\n\n<p>Save time and avoid hard-coding values into a theme with <a href=\"https://make.wordpress.org/core/2022/10/07/introduction-of-presets-across-padding-margin-and-block-gap/\">preset margin and padding values for multiple blocks.</a></p>\n\n\n\n<h3>Content-only editing support for container blocks</h3>\n\n\n\n<p>Thanks to content-only editing settings, layouts can be locked within container blocks. In a content-only block, its children are invisible to the List View and entirely uneditable. So you control the layout while your writers can focus on the content. Combine it with block-locking options for even more advanced control over your blocks.</p>\n\n\n\n<h3>Other notes of interest</h3>\n\n\n\n<ul>\n<li>6.1 includes a new time-to-read feature showing content authors the approximate time-to-read values for pages, posts, and custom post types.</li>\n\n\n\n<li>The site tagline is empty by default in new sites but can be modified in General Settings.</li>\n\n\n\n<li>A new modal design offers a background blur effect, making it easier to focus on the task at hand.</li>\n</ul>\n\n\n\n<h2>Enhancing WordPress 6.1 Accessibility</h2>\n\n\n\n<p>Accessibility is an integral part of the WordPress mission of fostering an inclusive community and supporting users of all types around the world. With this in mind, WordPress 6.1 includes nearly 60 updates specifically focused on enhancing the accessibility of the platform. <a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">Read these updates</a> to learn more about the continual initiatives aimed at improving accessibility.</p>\n\n\n\n<h2>Improved Performance in WordPress 6.1</h2>\n\n\n\n<p>WordPress 6.1 resolves more than 25 tickets dedicated to enhancing performance with improvements for every type of site. A full breakdown can be found in the <a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">Performance Field Guide</a>.</p>\n\n\n\n<h2>Learn More About WordPress 6.1</h2>\n\n\n\n<p>See WordPress 6.1 in action! Watch a <a href=\"https://www.youtube.com/watch?v=1w9oywSa6Hw\">brief overview video</a> highlighting some of the major features debuting in WordPress 6.1.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/1w9oywSa6Hw?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<p><br></p>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/\">learn.wordpress.org</a> for brief how-to videos and lots more on new features in WordPress. Or join a live <a href=\"https://learn.wordpress.org/social-learning/\">interactive online </a>workshop on a specific WordPress topic.</p>\n\n\n\n<p>Developers can explore the <a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">WordPress 6.1 Field Guide</a>, complete with detailed developer notes to help you build with and extend WordPress. Read the <a href=\"https://wordpress.org/support/wordpress-version/version-6-1\">WordPress</a><a href=\"https://wordpress.org/support/wordpress-version/version-6-1/\"> 6.1 Release Notes</a> for more information on the included enhancements and issues fixed, installation information, developer notes and resources, release contributors, and the list of file changes in this release.</p>\n\n\n\n<h2>The WordPress 6.1 Release Squad</h2>\n\n\n\n<p><span style=\"font-weight: 400\">The group listed below tirelessly supported the release, from conception to ship date, and beyond:</span></p>\n\n\n\n<p><span style=\"font-weight: 400\">Release Lead: </span><a href=\"https://profiles.wordpress.org/matt/\"><span style=\"font-weight: 400\">Matt Mullenweg</span></a><span style=\"font-weight: 400\">&nbsp;</span><br><span style=\"font-weight: 400\">Release Coordinators: </span><a href=\"https://profiles.wordpress.org/priethor/\"><span style=\"font-weight: 400\">Héctor Prieto</span></a><span style=\"font-weight: 400\"> and </span><a href=\"https://profiles.wordpress.org/desrosj/\"><span style=\"font-weight: 400\">Jonathan Desrosiers</span></a><span style=\"font-weight: 400\">&nbsp;</span><br><span style=\"font-weight: 400\">Core Tech Co-Leads: </span><a href=\"https://profiles.wordpress.org/mikeschroder/\"><span style=\"font-weight: 400\">Mike Schroder</span></a><span style=\"font-weight: 400\">, </span><a href=\"https://profiles.wordpress.org/davidbaumwald/\"><span style=\"font-weight: 400\">David Baumwald</span></a><span style=\"font-weight: 400\">, and </span><a href=\"https://profiles.wordpress.org/jeffpaul/\"><span style=\"font-weight: 400\">Jeff Paul</span></a><br><span style=\"font-weight: 400\">Editor Tech Co-Leads: </span><a href=\"https://profiles.wordpress.org/czapla/\"><span style=\"font-weight: 400\">Michal Czaplinski</span></a><span style=\"font-weight: 400\">, </span><a href=\"https://profiles.wordpress.org/bernhard-reiter/\"><span style=\"font-weight: 400\">Bernie Reiter</span></a><span style=\"font-weight: 400\">, and </span><a href=\"https://profiles.wordpress.org/cbravobernal/\"><span style=\"font-weight: 400\">Carlos Bravo</span></a><br><span style=\"font-weight: 400\">Core Triage Co-Leads: </span><a href=\"https://profiles.wordpress.org/audrasjb/\"><span style=\"font-weight: 400\">JB Audras</span></a><span style=\"font-weight: 400\"> and </span><a href=\"https://profiles.wordpress.org/chaion07/\"><span style=\"font-weight: 400\">Ahmed Chaion</span></a><br><span style=\"font-weight: 400\">Editor Triage Co-Leads: </span><a href=\"https://profiles.wordpress.org/ndiego/\"><span style=\"font-weight: 400\">Nick Diego</span></a> <span style=\"font-weight: 400\">and </span><a href=\"https://profiles.wordpress.org/annezazu/\"><span style=\"font-weight: 400\">Anne McCarthy</span></a><br><span style=\"font-weight: 400\">Documentation Co-Leads: </span><a href=\"https://profiles.wordpress.org/bph/\"><span style=\"font-weight: 400\">Birgit Pauli-Haack</span></a><span style=\"font-weight: 400\">, </span><a href=\"https://profiles.wordpress.org/milana_cap/\"><span style=\"font-weight: 400\">Milana Cap</span></a><span style=\"font-weight: 400\">, and </span><a href=\"https://profiles.wordpress.org/femkreations/\"><span style=\"font-weight: 400\">Femy Praseeth</span></a><br><span style=\"font-weight: 400\">Marketing &amp; Communications Co-Leads:</span> <a href=\"https://profiles.wordpress.org/jpantani/\"><span style=\"font-weight: 400\">Jonathan Pantani</span></a> <span style=\"font-weight: 400\">and </span><a href=\"https://profiles.wordpress.org/dansoschin/\"><span style=\"font-weight: 400\">Dan Soschin</span></a><br><span style=\"font-weight: 400\">Test Lead: </span><a href=\"https://profiles.wordpress.org/ironprogrammer/\"><span style=\"font-weight: 400\">Brian Alexander</span></a><br><span style=\"font-weight: 400\">Design Lead: </span><a href=\"https://profiles.wordpress.org/richtabor/\"><span style=\"font-weight: 400\">Rich Tabor</span></a><br><span style=\"font-weight: 400\">Default Theme Co-Leads: </span><a href=\"https://profiles.wordpress.org/beafialho/\"><span style=\"font-weight: 400\">Beatriz Fialho</span></a><span style=\"font-weight: 400\"> &amp; </span><a href=\"https://profiles.wordpress.org/mikachan/\"><span style=\"font-weight: 400\">Sarah Norris</span></a></p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Thank you to all the contributors who dedicated time and energy to bring the best WordPress experience to everyone.</p>\n<cite>Josepha Haden Chomphosy</cite></blockquote>\n\n\n\n<p></p>\n\n\n\n<pre class=\"wp-block-code\"><code class=\"\"><p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a> · <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/hurayraiit/\">Abu Hurayra</a> · <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a> · <a href=\"https://profiles.wordpress.org/adampickering/\">Adam Pickering</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/admwgn/\">Adam Wiltgen</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zielinski</a> · <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a> · <a href=\"https://profiles.wordpress.org/oztaser/\">Adil &#214;ztaşer</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/aezazshekh/\">Aezaz Shekh</a> · <a href=\"https://profiles.wordpress.org/afrid1719/\">afrid1719</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/engahmeds3ed/\">Ahmed Saeed</a> · <a href=\"https://profiles.wordpress.org/seakashdiu/\">Akash Mia</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/kamig478/\">Akram ul haq</a> · <a href=\"https://profiles.wordpress.org/akshitsethi/\">Akshit Sethi</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alamgircsebd/\">alamgircsebd</a> · <a href=\"https://profiles.wordpress.org/alanp57/\">AlanP57</a> · <a href=\"https://profiles.wordpress.org/alansyue/\">alansyue</a> · <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juh&#233; Lluveras</a> · <a href=\"https://profiles.wordpress.org/alberuni-azad/\">Alberuni Azad.</a> · <a href=\"https://profiles.wordpress.org/elpanda13gmailcom/\">Alejandro J. Sanchez P.</a> · <a href=\"https://profiles.wordpress.org/zutigrm/\">Aleksej</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/viper007bond/\">Alex Mills</a> · <a href=\"https://profiles.wordpress.org/acoulombe/\">Alexis Coulombe</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">alexstine</a> · <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a> · <a href=\"https://profiles.wordpress.org/allisonplus/\">allisonplus</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro G&#243;mez</a> · <a href=\"https://profiles.wordpress.org/amirkamizi/\">amirkamizi</a> · <a href=\"https://profiles.wordpress.org/amjadr360/\">Amjad Ali</a> · <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/deksar/\">Andreas</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/_smartik_/\">Andrei Surdu</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/eatingrules/\">Andrew Wilder</a> · <a href=\"https://profiles.wordpress.org/andrewnz/\">AndrewNZ</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/andrija/\">Andrija Naglic</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/andykeith/\">Andy Keith</a> · <a href=\"https://profiles.wordpress.org/aniketpatel/\">Aniket Patel</a> · <a href=\"https://profiles.wordpress.org/anitanenova/\">anitanenova</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/annabansaghi/\">Anna Bansaghi</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/alaca/\">Ante Laca</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/apedog/\">apedog</a> · <a href=\"https://profiles.wordpress.org/apokalyptik/\">apokalyptik</a> · <a href=\"https://profiles.wordpress.org/arrasel403/\">AR Rasel</a> · <a href=\"https://profiles.wordpress.org/arcangelini/\">arcangelini</a> · <a href=\"https://profiles.wordpress.org/archon810/\">archon810</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/yellyc/\">Ariel Chinn</a> · <a href=\"https://profiles.wordpress.org/xylocone/\">Arjun Singh</a> · <a href=\"https://profiles.wordpress.org/armondal/\">Arnab Mondal</a> · <a href=\"https://profiles.wordpress.org/passoniate/\">Arslan Kalwar</a> · <a href=\"https://profiles.wordpress.org/arturgrabo/\">Artur Grabowski</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/aspexi/\">Aspexi</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/filosofo/\">Austin Matzko</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/baned/\">BaneD</a> · <a href=\"https://profiles.wordpress.org/barneydavey/\">barneydavey</a> · <a href=\"https://profiles.wordpress.org/bbobnis/\">Bartosz Bobnis</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/bengreeley/\">Ben Greeley</a> · <a href=\"https://profiles.wordpress.org/utz119/\">Benachi</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benoitchantre/\">Benoit Chantre</a> · <a href=\"https://profiles.wordpress.org/bernhard reiter/\">Bernhard Reiter</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/mxbclang/\">Bethany Chobanian Lang</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/boblindner/\">Bob</a> · <a href=\"https://profiles.wordpress.org/bobbingwide/\">bobbingwide</a> · <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/cantuaria/\">Bruno Cantuaria</a> · <a href=\"https://profiles.wordpress.org/ribaricplusplus/\">Bruno Ribaric</a> · <a href=\"https://profiles.wordpress.org/burgiuk/\">burgiuk</a> · <a href=\"https://profiles.wordpress.org/burhandodhy/\">Burhan Nasir</a> · <a href=\"https://profiles.wordpress.org/bwbama/\">bwbama</a> · <a href=\"https://profiles.wordpress.org/cadlec/\">cadlec</a> · <a href=\"https://profiles.wordpress.org/cagsmith/\">cagsmith</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia Prim</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cavalierlife/\">cavalierlife</a> · <a href=\"https://profiles.wordpress.org/cdbessig/\">cdbessig</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/nhuja/\">Chandra M</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/chrisbudd1/\">Chris Budd</a> · <a href=\"https://profiles.wordpress.org/chrishardie/\">Chris Hardie</a> · <a href=\"https://profiles.wordpress.org/czarate/\">Chris Zarate</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/chrisguitarguy/\">chrisguitarguy</a> · <a href=\"https://profiles.wordpress.org/cwbudde/\">Christian-W. Budde</a> · <a href=\"https://profiles.wordpress.org/christinavoudouris/\">Christina Voudouris</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/cfinke/\">Christopher Finke</a> · <a href=\"https://profiles.wordpress.org/ryno267/\">Chuck Reynolds</a> · <a href=\"https://profiles.wordpress.org/chynnabenton/\">chynnabenton</a> · <a href=\"https://profiles.wordpress.org/ckanderson22/\">ckanderson22</a> · <a href=\"https://profiles.wordpress.org/design_dolphin/\">CodePoet</a> · <a href=\"https://profiles.wordpress.org/codewhy/\">codewhy</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/colonelphantom/\">colonelphantom</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">Cory Birdsong</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">craigfrancis</a> · <a href=\"https://profiles.wordpress.org/crazycoders/\">crazycoders</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/cu121/\">Cupid Chakma</a> · <a href=\"https://profiles.wordpress.org/curdin/\">Curdin Krummenacher</a> · <a href=\"https://profiles.wordpress.org/cyrillbolliger/\">cyrillbolliger</a> · <a href=\"https://profiles.wordpress.org/dxd5001/\">Daijiro Miyazawa</a> · <a href=\"https://profiles.wordpress.org/dainemawer/\">dainemawer</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/daledupreez/\">Dale du Preez</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/damonganto/\">damonganto</a> · <a href=\"https://profiles.wordpress.org/danfarrow/\">Dan Farrow</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/danieliser/\">Daniel Iser</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/schutzsmith/\">Daniel Schutzsmith</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/dariak/\">Daria</a> · <a href=\"https://profiles.wordpress.org/dkotter/\">Darin Kotter</a> · <a href=\"https://profiles.wordpress.org/darkog/\">Darko G.</a> · <a href=\"https://profiles.wordpress.org/darkskipper/\">darkskipper</a> · <a href=\"https://profiles.wordpress.org/uofaberdeendarren/\">Darren Coutts</a> · <a href=\"https://profiles.wordpress.org/htdat/\">Dat Hoang</a> · <a href=\"https://profiles.wordpress.org/datainterlock/\">datainterlock</a> · <a href=\"https://profiles.wordpress.org/dhilditch/\">Dave Hilditch</a> · <a href=\"https://profiles.wordpress.org/dave1010/\">dave1010</a> · <a href=\"https://profiles.wordpress.org/davidanderson/\">David Anderson</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dcowgill/\">David C</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/desmith/\">David E. Smith</a> · <a href=\"https://profiles.wordpress.org/dg12345/\">David Goring</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/daviedr/\">David Rozando</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/daxelrod/\">daxelrod</a> · <a href=\"https://profiles.wordpress.org/daymobrew/\">daymobrew</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/denis-de-bernardy/\">Denis de Bernardy</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/denishua/\">denishua</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">derekblank</a> · <a href=\"https://profiles.wordpress.org/pcfreak30/\">Derrick Hammer</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhl/\">dhl</a> · <a href=\"https://profiles.wordpress.org/dianeco/\">Diane Co</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dingdang/\">dingdang</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/dipakparmar443/\">Dipak Parmar</a> · <a href=\"https://profiles.wordpress.org/divyeshgodhani/\">divyeshgodhani</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donmhico/\">donmhico</a> · <a href=\"https://profiles.wordpress.org/dougwollison/\">Doug Wollison</a> · <a href=\"https://profiles.wordpress.org/dougal/\">Dougal Campbell</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/drivingralle/\">Drivingralle</a> · <a href=\"https://profiles.wordpress.org/drzraf/\">drzraf</a> · <a href=\"https://profiles.wordpress.org/dwainm/\">Dwain Maralack</a> · <a href=\"https://profiles.wordpress.org/kucrut/\">Dzikri Aziz</a> · <a href=\"https://profiles.wordpress.org/dovyp/\">Dōvy Paukstys</a> · <a href=\"https://profiles.wordpress.org/eclev91/\">eclev91</a> · <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a> · <a href=\"https://profiles.wordpress.org/eedee/\">eedee</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham S.</a> · <a href=\"https://profiles.wordpress.org/eliezerspp/\">Eliezer Pe&#241;a</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/ethitter/\">Erick Hitter</a> · <a href=\"https://profiles.wordpress.org/codekraft/\">Erik</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">estelaris</a> · <a href=\"https://profiles.wordpress.org/eugenemanuilov/\">Eugene.Manuilov</a> · <a href=\"https://profiles.wordpress.org/madpixels/\">eugene.manuilov</a> · <a href=\"https://profiles.wordpress.org/eherman24/\">Evan Herman</a> · <a href=\"https://profiles.wordpress.org/aaemnnosttv/\">Evan Mattson</a> · <a href=\"https://profiles.wordpress.org/circlecube/\">Evan Mullins</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/faison/\">Faison</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/fellyph/\">Fellyph Cintra</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/florianbrinkmann/\">Florian Brinkmann</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco</a> · <a href=\"https://profiles.wordpress.org/fuadragib/\">Fuad Ragib</a> · <a href=\"https://profiles.wordpress.org/furi3r/\">furi3r</a> · <a href=\"https://profiles.wordpress.org/gabri3lmarques/\">gabri3lmarques</a> · <a href=\"https://profiles.wordpress.org/gdetassigny/\">Gabriel de Tassigny</a> · <a href=\"https://profiles.wordpress.org/gabertronic/\">Gabriel Rose</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/garymatthews919/\">garymatthews919</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">gigitux</a> · <a href=\"https://profiles.wordpress.org/giox069/\">giox069</a> · <a href=\"https://profiles.wordpress.org/giuseppemazzapica/\">giuseppemazzapica</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/goldenapples/\">goldenapples</a> · <a href=\"https://profiles.wordpress.org/greglone/\">Gr&#233;gory Viguier</a> · <a href=\"https://profiles.wordpress.org/graham73may/\">graham73may</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a> · <a href=\"https://profiles.wordpress.org/greg24/\">greg24</a> · <a href=\"https://profiles.wordpress.org/gregorlove/\">gRegor Morrill</a> · <a href=\"https://profiles.wordpress.org/gunterer/\">gunterer</a> · <a href=\"https://profiles.wordpress.org/bordoni/\">Gustavo Bordoni</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/h2ham/\">h2ham (Hiromu Hasegawa)</a> · <a href=\"https://profiles.wordpress.org/hakanca/\">hakanca</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hansjovisyoast/\">Hans-Christiaan Braun</a> · <a href=\"https://profiles.wordpress.org/thakkarhardik/\">Hardik Thakkar</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshvaishnav/\">harshvaishnav</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/azhiyadev/\">Hauwa Abashiya</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/iamarinoh/\">Henrique Iamarino</a> · <a href=\"https://profiles.wordpress.org/henrywright/\">Henry Wright</a> · <a href=\"https://profiles.wordpress.org/here/\">here</a> · <a href=\"https://profiles.wordpress.org/herregroen/\">Herre Groen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hiren1094/\">hiren sanja</a> · <a href=\"https://profiles.wordpress.org/hiyascout/\">hiyascout</a> · <a href=\"https://profiles.wordpress.org/howdy_mcgee/\">Howdy_McGee</a> · <a href=\"https://profiles.wordpress.org/hugodevos/\">hugodevos</a> · <a href=\"https://profiles.wordpress.org/huubl/\">huubl</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">hztyfoon</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/iansvo/\">iansvo</a> · <a href=\"https://profiles.wordpress.org/icaspar/\">iCaspar</a> · <a href=\"https://profiles.wordpress.org/igmoweb/\">Ignacio Cruz Moreno</a> · <a href=\"https://profiles.wordpress.org/igorsch/\">Igor</a> · <a href=\"https://profiles.wordpress.org/igrigorik/\">igrigorik</a> · <a href=\"https://profiles.wordpress.org/ilovecats7/\">ilovecats7</a> · <a href=\"https://profiles.wordpress.org/ilunabar/\">ilunabar</a> · <a href=\"https://profiles.wordpress.org/imadarshakshat/\">imadarshakshat</a> · <a href=\"https://profiles.wordpress.org/ipajen/\">ipajen</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/irecinius/\">irecinius</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/iulia-cazan/\">Iulia Cazan</a> · <a href=\"https://profiles.wordpress.org/ivanjeronimo/\">ivanjeronimo</a> · <a href=\"https://profiles.wordpress.org/iviweb/\">iviweb</a> · <a href=\"https://profiles.wordpress.org/jdgrimes/\">J.D. Grimes</a> · <a href=\"https://profiles.wordpress.org/primetimejas/\">Jacob Schweitzer</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/jamesckemp/\">James Kemp</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/jamieburchell/\">jamieburchell</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a> · <a href=\"https://profiles.wordpress.org/jarretc/\">Jarret</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/trapsta/\">Jasper Kinoti</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/grandeljay/\">Jay Trees</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jeawhanlee/\">jeawhanlee</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeff Paul</a> · <a href=\"https://profiles.wordpress.org/juberstine/\">Jeff Uberstine</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/jeroenreumkens/\">JeroenReumkens</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhart35/\">jhart35</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jnz31/\">jnz31</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joelhardi/\">joelhardi</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnregan3/\">John Regan</a> · <a href=\"https://profiles.wordpress.org/johnmark8080/\">johnmark8080</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/jonsurrell/\">Jon Surrell</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/jonmackintosh/\">jonmackintosh</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jonny-s/\">jonny-s</a> · <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a> · <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josvelasco/\">Jos Velasco</a> · <a href=\"https://profiles.wordpress.org/joegrainger/\">Joseph Grainger</a> · <a href=\"https://profiles.wordpress.org/jostnes/\">Josepha Dambul</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a> · <a href=\"https://profiles.wordpress.org/jhabdas/\">Josh Habdas</a> · <a href=\"https://profiles.wordpress.org/joshuaabenazer/\">Joshua Abenazer</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jrbeilke/\">jrbeilke</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a> · <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a> · <a href=\"https://profiles.wordpress.org/juliemoynat/\">Julie Moynat</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/just0nequestion/\">just0nequestion</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/justinsainton/\">Justin Sainton</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/welenofsky/\">Justin Welenofsky</a> · <a href=\"https://profiles.wordpress.org/jyolsna/\">jyolsna</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/akabarikalpesh/\">Kalpesh Akabari</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karinclimber/\">Kari Anderson</a> · <a href=\"https://profiles.wordpress.org/karlgroves/\">karlgroves</a> · <a href=\"https://profiles.wordpress.org/karlijnbk/\">Karlijn Bok</a> · <a href=\"https://profiles.wordpress.org/kasparsd/\">Kaspars</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn Presner</a> · <a href=\"https://profiles.wordpress.org/kbrownkd/\">kbrownkd</a> · <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a> · <a href=\"https://profiles.wordpress.org/kevinb/\">Kevin Behrens</a> · <a href=\"https://profiles.wordpress.org/khag7/\">Kevin Hagerty</a> · <a href=\"https://profiles.wordpress.org/khoipro/\">Khoi Pro</a> · <a href=\"https://profiles.wordpress.org/khokansardar/\">Khokan Sardar</a> · <a href=\"https://profiles.wordpress.org/killua99/\">killua99</a> · <a href=\"https://profiles.wordpress.org/kishanjasani/\">Kishan Jasani</a> · <a href=\"https://profiles.wordpress.org/kitchin/\">kitchin</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/kkmuffme/\">kkmuffme</a> · <a href=\"https://profiles.wordpress.org/blackawxs/\">klewis</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/vdwijngaert/\">Koen Van den Wijngaert</a> · <a href=\"https://profiles.wordpress.org/konradyoast/\">Konrad.K</a> · <a href=\"https://profiles.wordpress.org/kovshenin/\">Konstantin Kovshenin</a> · <a href=\"https://profiles.wordpress.org/kanlukasz/\">Kris Kelvin</a> · <a href=\"https://profiles.wordpress.org/krishaweb/\">KrishaWeb</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kmadhak/\">Kunal Madhak</a> · <a href=\"https://profiles.wordpress.org/kurtpayne/\">Kurt Payne</a> · <a href=\"https://profiles.wordpress.org/kwillmorth/\">kwillmorth</a> · <a href=\"https://profiles.wordpress.org/kbjohnson90/\">Kyle B. Johnson</a> · <a href=\"https://profiles.wordpress.org/devnel/\">Kyle Nel</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/laurent22777/\">laurent22777</a> · <a href=\"https://profiles.wordpress.org/lazam786/\">lazam786</a> · <a href=\"https://profiles.wordpress.org/leewillis77/\">Lee Willis</a> · <a href=\"https://profiles.wordpress.org/leemon/\">leemon</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leogermani/\">leogermani</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/linsoftware/\">Linnea Huxford</a> · <a href=\"https://profiles.wordpress.org/lonnylot/\">lonnylot</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/lovor/\">Lovro Hrust</a> · <a href=\"https://profiles.wordpress.org/lucasbustamante/\">Lucas Bustamante</a> · <a href=\"https://profiles.wordpress.org/lucilastancato/\">lucilastancato</a> · <a href=\"https://profiles.wordpress.org/luigipulcini/\">luigipulcini</a> · <a href=\"https://profiles.wordpress.org/zaguiini/\">Luis Felipe Zaguini</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/infolu/\">Luiz Ara&#250;jo</a> · <a href=\"https://profiles.wordpress.org/mitweka/\">Lukas Niebler</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/msnewas/\">M S Newaz</a> · <a href=\"https://profiles.wordpress.org/maartenj/\">Maarten</a> · <a href=\"https://profiles.wordpress.org/mashikag/\">Maciej</a> · <a href=\"https://profiles.wordpress.org/maciejmackowiak/\">maciejmackowiak</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/maahrokh/\">Mahrokh</a> · <a href=\"https://profiles.wordpress.org/maksimkuzmin/\">maksimkuzmin</a> · <a href=\"https://profiles.wordpress.org/malthert/\">malthert</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manishsongirkar36/\">Manish Songirkar</a> · <a href=\"https://profiles.wordpress.org/manzoorwanijk/\">Manzoor Wani</a> · <a href=\"https://profiles.wordpress.org/manzurahammed/\">Manzur Ahammed</a> · <a href=\"https://profiles.wordpress.org/marcyoast/\">Marc</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/nuryko/\">Marianna</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markbiek/\">Mark Biek</a> · <a href=\"https://profiles.wordpress.org/markhowellsmead/\">Mark Howells-Mead</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markparnell/\">Mark Parnell</a> · <a href=\"https://profiles.wordpress.org/markoheijnen/\">Marko Heijnen</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/hinjiriyo/\">Martin Stehle</a> · <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/mashukushibiki/\">Mashu</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">masteradhoc</a> · <a href=\"https://profiles.wordpress.org/msurdi/\">Mat&#237;as Emanuel Surdi</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">matiasbenedetto</a> · <a href=\"https://profiles.wordpress.org/mattchowning/\">Matt Chowning</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mattwondra/\">Matt Wondra</a> · <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a> · <a href=\"https://profiles.wordpress.org/mattheweppelsheimer/\">Matthew Eppelsheimer</a> · <a href=\"https://profiles.wordpress.org/matthiaspabst/\">Matthias Pabst</a> · <a href=\"https://profiles.wordpress.org/matthiasreinholz/\">Matthias Reinholz</a> · <a href=\"https://profiles.wordpress.org/mattyrob/\">mattyrob</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maximej/\">Maxime J.</a> · <a href=\"https://profiles.wordpress.org/maximemeganck/\">Maxime Meganck</a> · <a href=\"https://profiles.wordpress.org/mayankmajeji/\">Mayank Majeji</a> · <a href=\"https://profiles.wordpress.org/maythamalsudany/\">maythamalsudany</a> · <a href=\"https://profiles.wordpress.org/mayuge/\">Mayuge</a> · <a href=\"https://profiles.wordpress.org/mcliwanow/\">mcliwanow</a> · <a href=\"https://profiles.wordpress.org/rakibwordpress/\">Md Rakib Hossain</a> · <a href=\"https://profiles.wordpress.org/russel07/\">Md. Russel Hussain</a> · <a href=\"https://profiles.wordpress.org/mdrago/\">mdrago</a> · <a href=\"https://profiles.wordpress.org/mehedi890/\">Mehedi Foysal</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/mehulkaklotar/\">Mehul Kaklotar</a> · <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/meloniq/\">meloniq</a> · <a href=\"https://profiles.wordpress.org/merkys/\">Merkys Maliukevičius</a> · <a href=\"https://profiles.wordpress.org/meysamnorouzi/\">meysam norouzi</a> · <a href=\"https://profiles.wordpress.org/mfgmicha/\">Micha Krapp</a> · <a href=\"https://profiles.wordpress.org/michaelbourne/\">Michael Bourne</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mihaidumitrascu/\">Mihai Dumitrascu</a> · <a href=\"https://profiles.wordpress.org/mihai2u/\">Mike Crantea</a> · <a href=\"https://profiles.wordpress.org/mdgl/\">Mike Glendinning</a> · <a href=\"https://profiles.wordpress.org/mikehansenme/\">Mike Hansen</a> · <a href=\"https://profiles.wordpress.org/mikejolley/\">Mike Jolley (a11n)</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikemanzo/\">mikemanzo</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/milindmore22/\">Milind More</a> · <a href=\"https://profiles.wordpress.org/mimitips/\">mimi</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/mlajo/\">Mladen</a> · <a href=\"https://profiles.wordpress.org/batmoo/\">Mohammad Jangda</a> · <a href=\"https://profiles.wordpress.org/mjkhajeh/\">MohammadJafar Khajeh</a> · <a href=\"https://profiles.wordpress.org/mohitdadhich10/\">Mohit Dadhich</a> · <a href=\"https://profiles.wordpress.org/boemedia/\">Monique Dubbelman</a> · <a href=\"https://profiles.wordpress.org/mt8biz/\">moto hachi</a> · <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a> · <a href=\"https://profiles.wordpress.org/mrobit/\">mrobit</a> · <a href=\"https://profiles.wordpress.org/msolution/\">msolution</a> · <a href=\"https://profiles.wordpress.org/mtias/\">mtias</a> · <a href=\"https://profiles.wordpress.org/wparslan/\">Muhammad Arslan</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/mmaumio/\">Muntasir Mahmud</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/mvraghavan/\">mvraghavan</a> · <a href=\"https://profiles.wordpress.org/mweichert/\">mweichert</a> · <a href=\"https://profiles.wordpress.org/n8finch/\">n8finch</a> · <a href=\"https://profiles.wordpress.org/tushar284/\">Nahid Hasan</a> · <a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\">Nalini Thakor</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/nareshbheda/\">Naresh Bheda</a> · <a href=\"https://profiles.wordpress.org/nateallen/\">Nate Allen</a> · <a href=\"https://profiles.wordpress.org/nhadsall/\">Nathan</a> · <a href=\"https://profiles.wordpress.org/nathanatmoz/\">Nathan Johnson</a> · <a href=\"https://profiles.wordpress.org/navigatrum/\">navigatrum</a> · <a href=\"https://profiles.wordpress.org/neffff/\">neffff</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a> · <a href=\"https://profiles.wordpress.org/nico23/\">Nico</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/nikkigagency/\">nikkigagency</a> · <a href=\"https://profiles.wordpress.org/im_niloy/\">Niloy</a> · <a href=\"https://profiles.wordpress.org/ninos-ego/\">Ninos</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/nlpro/\">nlpro</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/noplanman/\">noplanman</a> · <a href=\"https://profiles.wordpress.org/nouarah/\">nouarah</a> · <a href=\"https://profiles.wordpress.org/numidwasnotavailable/\">NumidWasNotAvailable</a> · <a href=\"https://profiles.wordpress.org/nunomorgadinho/\">Nuno Morgadinho</a> · <a href=\"https://profiles.wordpress.org/zikubd/\">Nurul Umbhiya</a> · <a href=\"https://profiles.wordpress.org/nvartolomei/\">nvartolomei</a> · <a href=\"https://profiles.wordpress.org/obayedmamur/\">Obayed Mamur</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/oliverstapelfeldt/\">Oliver Stapelfeldt</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/oneearth27/\">oneearth27</a> · <a href=\"https://profiles.wordpress.org/onnimonni/\">Onni Hakala</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/ovidiul/\">ovidiul</a> · <a href=\"https://profiles.wordpress.org/p_enrique/\">p_enrique</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/poliuk/\">Pablo Postigo</a> · <a href=\"https://profiles.wordpress.org/pablohoney/\">PabloHoney</a> · <a href=\"https://profiles.wordpress.org/palmiak/\">palmiak</a> · <a href=\"https://profiles.wordpress.org/pls78/\">Paolo L. Scala</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/xparham/\">Parham Ghaffarian</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/patrickgroot/\">Patrick Groot</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/figureone/\">Paul Ryan</a> · <a href=\"https://profiles.wordpress.org/paulohcruz/\">Paulo Cruz</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pavelschoffer/\">pavelschoffer</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walbø Johnsgård</a> · <a href=\"https://profiles.wordpress.org/johnstonphilip/\">Phil Johnston</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/strategio/\">Pierre Sylvestre</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/mordauk/\">Pippin Williamson</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/praful2111/\">Praful Patel</a> · <a href=\"https://profiles.wordpress.org/pratiweb/\">Pratiksha</a> · <a href=\"https://profiles.wordpress.org/nikeo/\">presscustomizr</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/presstoke/\">presstoke</a> · <a href=\"https://profiles.wordpress.org/priyomukul/\">Priyo Mukul</a> · <a href=\"https://profiles.wordpress.org/prokium/\">prokium</a> · <a href=\"https://profiles.wordpress.org/itsjonq/\">Q</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/larrach/\">Rachel Peter</a> · <a href=\"https://profiles.wordpress.org/raduiason/\">raduiason</a> · <a href=\"https://profiles.wordpress.org/rafiahmedd/\">Rafi Ahmed</a> · <a href=\"https://profiles.wordpress.org/tan007/\">Rahi Prajapati</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajeshraval786/\">Rajesh Raval</a> · <a href=\"https://profiles.wordpress.org/ralucastn/\">ralucastn</a> · <a href=\"https://profiles.wordpress.org/superpoincare/\">Ramanan</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/rcorrales/\">Ramon Corrales</a> · <a href=\"https://profiles.wordpress.org/ramon-fincken/\">ramon fincken</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/randhirexpresstech/\">Randhir Kumar Jha</a> · <a href=\"https://profiles.wordpress.org/ravipatel/\">Ravikumar Patel</a> · <a href=\"https://profiles.wordpress.org/rcanepa/\">rcanepa</a> · <a href=\"https://profiles.wordpress.org/rebasaurus/\">rebasaurus</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/tabrisrp/\">Remy Perona</a> · <a href=\"https://profiles.wordpress.org/renathoc/\">Renatho (a11n)</a> · <a href=\"https://profiles.wordpress.org/renegeuze/\">renegeuze</a> · <a href=\"https://profiles.wordpress.org/laboiteare/\">Reuhno</a> · <a href=\"https://profiles.wordpress.org/rflw/\">rflw</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rinatkhaziev/\">Rinat</a> · <a href=\"https://profiles.wordpress.org/rinkychowdhury9/\">Rinky Chowdhury</a> · <a href=\"https://profiles.wordpress.org/rishishah/\">Rishi Shah</a> · <a href=\"https://profiles.wordpress.org/rkaiser0324/\">rkaiser0324</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/miqrogroove/\">Robert Chapin</a> · <a href=\"https://profiles.wordpress.org/robertghetau/\">robertght</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/robmiller/\">robmiller</a> · <a href=\"https://profiles.wordpress.org/rodrigosevero/\">rodrigosevero</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/rolfsiebers/\">Rolf Siebers</a> · <a href=\"https://profiles.wordpress.org/rollybueno/\">rollybueno</a> · <a href=\"https://profiles.wordpress.org/rherault/\">Romain Herault</a> · <a href=\"https://profiles.wordpress.org/romulodl/\">romulodl</a> · <a href=\"https://profiles.wordpress.org/ross_ritchey/\">ross_ritchey</a> · <a href=\"https://profiles.wordpress.org/lev0/\">Roy</a> · <a href=\"https://profiles.wordpress.org/geekstreetwp/\">Russell Aaron</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/ryanmurphy/\">Ryan Murphy</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">S&#246;ren Wrede</a> · <a href=\"https://profiles.wordpress.org/sabbirmc/\">Sabbir Ahmed</a> · <a href=\"https://profiles.wordpress.org/sajjad67/\">Sajjad Hossain Sagor</a> · <a href=\"https://profiles.wordpress.org/saggre/\">Sakri Koskimies</a> · <a href=\"https://profiles.wordpress.org/samikeijonen/\">Sami Keijonen</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/sandipmondal/\">Sandip Mondal - a11n</a> · <a href=\"https://profiles.wordpress.org/sandrasanzdev/\">Sandra Sanz</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">santosguillamot</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarahricker/\">sarahricker</a> · <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a> · <a href=\"https://profiles.wordpress.org/isaumya/\">Saumya Majumder</a> · <a href=\"https://profiles.wordpress.org/xconsau/\">Saurabh Sharma</a> · <a href=\"https://profiles.wordpress.org/scofennellgmailcom/\">Scott Fennell</a> · <a href=\"https://profiles.wordpress.org/sc0ttkclark/\">Scott Kingsley Clark</a> · <a href=\"https://profiles.wordpress.org/gmagicscott/\">Scott Lesovic</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/sean212/\">Sean Fisher</a> · <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a> · <a href=\"https://profiles.wordpress.org/monolithon/\">seieric</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/seedsca/\">Sergio Scabuzzo</a> · <a href=\"https://profiles.wordpress.org/seriouslysenpai/\">seriouslysenpai</a> · <a href=\"https://profiles.wordpress.org/sethta/\">Seth Alling</a> · <a href=\"https://profiles.wordpress.org/shanjidah/\">shangidah afroz</a> · <a href=\"https://profiles.wordpress.org/enchiridion/\">Shannon Little</a> · <a href=\"https://profiles.wordpress.org/sharjeelkhanvmi/\">Sharjeel Khan</a> · <a href=\"https://profiles.wordpress.org/shoaibkarimali/\">Shoaib Ali</a> · <a href=\"https://profiles.wordpress.org/shraboni/\">Shraboni</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/shuvo586/\">shuvo586</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth ravikumar</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/siobhyb/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirzooro/\">sirzooro</a> · <a href=\"https://profiles.wordpress.org/slaffik/\">Slava Abakumov</a> · <a href=\"https://profiles.wordpress.org/slobodanmanic/\">Slobodan Manic</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/sobatkras/\">sobatkras</a> · <a href=\"https://profiles.wordpress.org/khromov/\">Stanislav Khromov</a> · <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a> · <a href=\"https://profiles.wordpress.org/ste_95/\">Stefano</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/camwynsp/\">Stephen Page</a> · <a href=\"https://profiles.wordpress.org/sterlo/\">Sterling Hamilton</a> · <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a> · <a href=\"https://profiles.wordpress.org/steveo2000/\">steveo2000</a> · <a href=\"https://profiles.wordpress.org/studiolxv/\">studiolxv</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/5um17/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/csesumonpro/\">Sumon Sarker</a> · <a href=\"https://profiles.wordpress.org/sunil25393/\">SunilPrajapati</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/system909/\">system909</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/devtanbir/\">Tanbir Ahmod</a> · <a href=\"https://profiles.wordpress.org/tanvirul/\">Tanvirul Haque</a> · <a href=\"https://profiles.wordpress.org/taskotr/\">Taras Dashkevych</a> · <a href=\"https://profiles.wordpress.org/targz/\">targz</a> · <a href=\"https://profiles.wordpress.org/tlovett1/\">Taylor Lovett</a> · <a href=\"https://profiles.wordpress.org/tazotodua/\">tazotodua</a> · <a href=\"https://profiles.wordpress.org/tbember/\">tbember</a> · <a href=\"https://profiles.wordpress.org/tykoted/\">Teddy Patriarca</a> · <a href=\"https://profiles.wordpress.org/tellyworth/\">Tellyworth</a> · <a href=\"https://profiles.wordpress.org/edent/\">Terence Eden</a> · <a href=\"https://profiles.wordpress.org/tharsheblows/\">tharsheblows</a> · <a href=\"https://profiles.wordpress.org/iamjaydip/\">thejaydip</a> · <a href=\"https://profiles.wordpress.org/tweetythierry/\">Thierry Muller</a> · <a href=\"https://profiles.wordpress.org/thijso/\">Thijs</a> · <a href=\"https://profiles.wordpress.org/griffinjt/\">Thomas Griffin</a> · <a href=\"https://profiles.wordpress.org/hyperbrand/\">Thorsten Schraut</a> · <a href=\"https://profiles.wordpress.org/threadi/\">threadi</a> · <a href=\"https://profiles.wordpress.org/baxbridge/\">Tiffany Bridge</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Kr&#252;ss</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmooredev/\">Titus Moore</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tomjdv/\">Tom de Visser</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/tj692/\">Tom Janssen</a> · <a href=\"https://profiles.wordpress.org/tommusrhodus/\">Tom Rhodes</a> · <a href=\"https://profiles.wordpress.org/tomasztunik/\">Tomasz Tunik</a> · <a href=\"https://profiles.wordpress.org/tomepajk/\">tomepajk</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/tonylocalword/\">tony.localword</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/transl8or/\">transl8or</a> · <a href=\"https://profiles.wordpress.org/wpsmith/\">Travis Smith</a> · <a href=\"https://profiles.wordpress.org/tremidkhar/\">Tremi Dkhar</a> · <a href=\"https://profiles.wordpress.org/trevorpfromsandee/\">TrevorPolischuk</a> · <a href=\"https://profiles.wordpress.org/nathannoom/\">Trinadin</a> · <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a> · <a href=\"https://profiles.wordpress.org/turtlepod/\">turtlepod</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a> · <a href=\"https://profiles.wordpress.org/utsavmadaan823/\">utsavmadaan823</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/evildon/\">varma</a> · <a href=\"https://profiles.wordpress.org/vasartam/\">vasartam</a> · <a href=\"https://profiles.wordpress.org/vdankbaar/\">vdankbaar</a> · <a href=\"https://profiles.wordpress.org/velochicdunord/\">Velochicdunord</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/vikasprogrammer/\">vikasprogrammer</a> · <a href=\"https://profiles.wordpress.org/virgar/\">Virginie Garnier</a> · <a href=\"https://profiles.wordpress.org/vishalkakadiya/\">Vishal Kakadiya</a> · <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a> · <a href=\"https://profiles.wordpress.org/elten/\">wang</a> · <a href=\"https://profiles.wordpress.org/webbeetle/\">webbeetle</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/whissi/\">Whissi</a> · <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a> · <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a> · <a href=\"https://profiles.wordpress.org/withinboredom/\">withinboredom</a> · <a href=\"https://profiles.wordpress.org/woji29911/\">woji29911</a> · <a href=\"https://profiles.wordpress.org/yahil/\">Yahil Madakiya</a> · <a href=\"https://profiles.wordpress.org/yannielsen/\">Yan Knudtskov</a> · <a href=\"https://profiles.wordpress.org/collet/\">Yann</a> · <a href=\"https://profiles.wordpress.org/yoavf/\">Yoav Farhi</a> · <a href=\"https://profiles.wordpress.org/byohann6/\">Yohann Billard</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/omaeyusuke/\">yuu</a> · <a href=\"https://profiles.wordpress.org/zaerl/\">zaerl</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/ziposc/\">ziposc</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a> · <a href=\"https://profiles.wordpress.org/shenyanzhi/\">沈唁</a></p><br></code></pre>\n\n\n\n<p>WordPress 6.1 would not have been possible without the contributions of more than 800 people in over 60 countries. Their asynchronous coordination to deliver hundreds of enhancements and fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p>By release day, 71 locales had translated 90-percent or more of WordPress 6.1 into their language. Community translators continue after a release ensuring more translations are on their way. Thank you to everyone who helps to make WordPress available in over 200 languages.</p>\n\n\n\n<p>Many thanks to all of the community volunteers who contribute to the <a href=\"https://wordpress.org/support/\">support forums</a> by answering questions from WordPress users around the world.</p>\n\n\n\n<p>If contributing to WordPress appeals to you, it’s easy to learn more and get involved. Discover the different teams that come together to <a href=\"https://make.wordpress.org/\">Make WordPress</a> and explore the product roadmap on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>.</p>\n\n\n\n<h2>The WordPress Mission &amp; You</h2>\n\n\n\n<p>WordPress is software designed for everyone, emphasizing accessibility, performance, security, and ease of use. The project believes great software should work with minimum setup, so you can focus on sharing your story, product, or services freely. The basic WordPress software is simple and predictable so you can easily get started. It also offers powerful features for growth and success.</p>\n\n\n\n<p>WordPress believes in democratizing publishing and <a href=\"https://opensource.org/osd-annotated\">the freedoms that come with open source</a>. Supporting this idea is a large community of people collaborating on and contributing to this project. The WordPress community is welcoming and inclusive. Our contributors’ passion drives the success of WordPress which, in turn, helps you reach your goals.</p>\n\n\n\n<p><a href=\"https://wordpress.org/about/\">Learn more about WordPress</a> and how you can join our community to help shape the future of the world’s most popular website platform.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>Haiku Fun for 6.1</h2>\n\n\n\n<p>Another release,<br>Mark it down as completed.<br>Breathe, relax, and cheers!</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em>This announcement was updated on Tue Nov 8 at 9:00 p.m. UTC to clarify some features in 6.1.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13798\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:44:\"People of WordPress: Raghavendra Satish Peri\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2022/10/people-of-wordpress-raghavendra-satish-peri/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Oct 2022 19:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13705\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:138:\"The latest People of WordPress story features Raghavendra Satish Peri, a digital entrepreneur in web accessibility and digital marketing. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15167:\"\n<p><strong>This month, in the run up to WordPress Accessibility Day, we feature Raghavendra Satish Peri, a blogger turned digital entrepreneur based in India, who specializes</strong> <strong>in web accessibility and digital marketing</strong>.</p>\n\n\n\n<p><strong>The People of WordPress series shares inspiring stories of how people&#8217;s lives can change for the better through WordPress and its global network of contributors.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-featured-img.jpg?resize=1014%2C627&#038;ssl=1\" alt=\"Raghavendra speaking at a Blogger event, 2015.\" class=\"wp-image-13701\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-featured-img.jpg?w=1014&amp;ssl=1 1014w, https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-featured-img.jpg?resize=300%2C186&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-featured-img.jpg?resize=768%2C475&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\">Raghavendra speaking at a blogger event, 2015</figcaption></figure>\n\n\n\n<h2>Expressing myself through WordPress</h2>\n\n\n\n<p>Raghavendra Satish Peri says WordPress is more than a way to succeed online. It&#8217;s a community that has always answered his questions and helped him learn, and has enabled his voice to be heard across the world.</p>\n\n\n\n<p>These are motivating benefits for Raghavendra, who has a vision impairment that introduces challenges to many of the things he wants to do. The WordPress community has helped him make some of his dreams come true. After chatting with others at WordPress events, about his wish to go trekking and running, he found he was later contacted by people in the community went with him to do just that.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"534\" height=\"748\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-3.jpg?resize=534%2C748&#038;ssl=1\" alt=\"Raghavendra training for a marathon in 2013.\" class=\"wp-image-13702\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-3.jpg?w=534&amp;ssl=1 534w, https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-3.jpg?resize=214%2C300&amp;ssl=1 214w\" sizes=\"(max-width: 534px) 100vw, 534px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\">Raghavendra training for a marathon in 2013</figcaption></figure>\n\n\n\n<p>He also found WordPress events a way to raise the importance of accessibility issues, share tips, and connect local communities so they can collaborate on items both within and outside WordPress.</p>\n\n\n\n<h2>Life growing up with an enabling family</h2>\n\n\n\n<p>A key asset for Raghavendra has been the support of his family as he coped with his progressive blindness. His sister took charge of teaching him important social and life skills, so he could navigate his country&#8217;s rigorous education system.</p>\n\n\n\n<p>Those were the early days of technology everywhere, and nobody much was thinking about using it in education and day-to-day life.</p>\n\n\n\n<p>When Raghavendra got his first computer, in 2004, it was a revelation. His sister taught him to use the internet efficiently, and he taught himself a few basics of programming. Soon he was spending 10 to 12 hours a day exploring the online world and learning about the web.</p>\n\n\n\n<h2>Discovering WordPress and blogging</h2>\n\n\n\n<p>In 2006, he learned basic web design and began to sell website templates. His growing interest in search engines and content led him to WordPress. As the years progressed, his eyesight deteriorated. He had to relearn his skills and acquire new ones to compensate. When he could no longer see the computer screen, he learnt to use screen readers.&nbsp;</p>\n\n\n\n<p>At that point there was a gap: he had the same business skills, but he couldn&#8217;t apply them as effectively until he got comfortable with using screen readers.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"800\" height=\"534\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/4.jpg?resize=800%2C534&#038;ssl=1\" alt=\"Raghavendra speaking at an event in Bangalore, India in 2014. Photo Credit: Two Feet To Fly - fLaShBuLbZz Photography\" class=\"wp-image-13790\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/10/4.jpg?w=800&amp;ssl=1 800w, https://i0.wp.com/wordpress.org/news/files/2022/10/4.jpg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/10/4.jpg?resize=768%2C513&amp;ssl=1 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\">Raghavendra speaking at an event in Bengalaru, India in 2014</figcaption></figure>\n\n\n\n<p>To help achieve that, Raghavendra moved to Bengalaru, where he got a full education in screen-reader technology and took a job as a consultant in digital accessibility.</p>\n\n\n\n<p>He recalls learning from that time that, in his words: “Some things are important, but one needs to let them go so that more important things can take the new space.”</p>\n\n\n\n<p>During his stay in Bengaluru, he stumbled on the idea of blogging and audiobooks. On his 23rd birthday, he had two firsts: registering a domain and publishing a blog post. At first he wrote about things happening in his daily life, which initially got low responses. But when he started attending blogging and tech meetups, he received encouragement from fellow bloggers who complimented him on his writing style. </p>\n\n\n\n<p>Using WordPress to publish his story, Raghavendra found a love for writing and this made him want to learn and understand WordPress much better.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<h2>“Writing freed my mind and soul from the pain and sorrow; it takes a person into a Zen state where one can understand their soul once they see their own thoughts on paper.”</h2>\n<cite>Raghavendra Satish Peri</cite></blockquote>\n\n\n\n<p>There were still some ongoing challenges arising from his difficulties with seeing. For example, Raghavendra found coding was made more complicated. But he took it slowly, and he improved steadily.&nbsp;</p>\n\n\n\n<p>He started as many WordPressers do, installing themes and plugins, and making minor changes to the code. Ultimately, he moved all of his sites to WordPress, and as he learned more about WordPress, he could help his friends and family more with their projects.</p>\n\n\n\n<p>After just a few years, Raghavendra had the skills and the confidence to build just about anything in WordPress, progressing from simple to complex websites.</p>\n\n\n\n<p>Today Raghavendra is a successful entrepreneur. He sees his life as full of promise. WordPress still helps him grow every day, professionally and personally.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>“There is always hope for tomorrow! Do not look for the light at the end of the tunnel, embrace the darkness, listen to the quietness, and feel the airflow. You will know that light is ahead even before you see it.&#8221;&nbsp;</p>\n<cite>Raghavendra Satish Peri</cite></blockquote>\n\n\n\n<h2>Contribute to accessibility and WordPress</h2>\n\n\n\n<p>Another thing Raghavendra has in common with many WordPressers is his enthusiasm and involvement in the community. As he has learnt more about the software, he felt he needed to be involved with improving accessibility too. He started to help organize local meetups and conferences and encourages others to give time and skills to contribute too.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"704\" height=\"500\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-5.jpg?resize=704%2C500&#038;ssl=1\" alt=\"2016, Raghavendra on stage speaking at WordCamp Mumbai\" class=\"wp-image-13699\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-5.jpg?w=704&amp;ssl=1 704w, https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-5.jpg?resize=300%2C213&amp;ssl=1 300w\" sizes=\"(max-width: 704px) 100vw, 704px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\">2016, Raghavendra speaking at WordCamp Mumbai</figcaption></figure>\n\n\n\n<p>He follows software development closely, especially where WordPress meets accessibility.</p>\n\n\n\n<p>In 2020, on learning about a global WordPress Accessibility event, he applied and became a speaker. His topic was <a href=\"https://youtu.be/bvgLjWCRfrQ\">Gutenberg Accessibility, A Screen Reader User&#8217;s Perspective</a>. His interest continued as a result of this event, and he wanted to be part of growing its audience and impact, initially through joining its dedicated channel on Slack. Eventually, he joined the organizing team for future events.</p>\n\n\n\n<p>Helping run WordPress events brought together all of Raghavendra&#8217;s existing skills. It taught him a lot about what it takes to make an event truly inclusive, from captions and sign language to media players and more.&nbsp;</p>\n\n\n\n<p>As his involvement has grown, Raghavendra has found it has become easier to source and use resources that make events and presentations more accessible. But knows there&#8217;s always more that can be learnt in this area, and encourages others to use understanding from events like the Accessibility Days in their conferences.</p>\n\n\n\n<p>Join the global WordPress Accessibility Day 2022 online on November 2-3, 2022.&nbsp;It&#8217;s <a href=\"https://wpaccessibility.day/\">free to register</a>!</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><a href=\"https://wpaccessibility.day/\" target=\"_blank\" rel=\"noreferrer noopener\"><img decoding=\"async\" loading=\"lazy\" width=\"568\" height=\"173\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/wp-accessibility-day-22.png?resize=568%2C173&#038;ssl=1\" alt=\"WordPress Accessibility Day 2022 logo in purple and turquoise\" class=\"wp-image-13783\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/10/wp-accessibility-day-22.png?w=568&amp;ssl=1 568w, https://i0.wp.com/wordpress.org/news/files/2022/10/wp-accessibility-day-22.png?resize=300%2C91&amp;ssl=1 300w\" sizes=\"(max-width: 568px) 100vw, 568px\" data-recalc-dims=\"1\" /></a></figure>\n\n\n\n<h2><br>Sharing learning on accessibility can be a motivator </h2>\n\n\n\n<p>In 2021, Raghavendra underwent his most challenging event to date, when he had a kidney transplant. To motivate himself, he started a website that focuses on accessibility and inclusive design. This prompted him to start an accessibility community to help fill the gaps in accessibility knowledge. Today, it is one of India’s largest online accessibility communities, educating developers and designers and training people with disabilities to build a career in accessibility testing.</p>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-6.jpg?resize=680%2C790&#038;ssl=1\" alt=\"Portrait photo of Raghavendra post his organ transplant, 2021.\" class=\"wp-image-13698\" width=\"680\" height=\"790\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-6.jpg?w=774&amp;ssl=1 774w, https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-6.jpg?resize=258%2C300&amp;ssl=1 258w, https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-6.jpg?resize=768%2C893&amp;ssl=1 768w\" sizes=\"(max-width: 680px) 100vw, 680px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\">Raghavendra after his organ transplant in 2021</figcaption></figure>\n\n\n\n<p>Raghavendra is also a keen user of the WordPress Gutenberg editor and builds all his websites using it. Though content creation and editing can still pose him difficulties, he finds the front end of the Gutenberg blocks very accessible. He believes in participating in the software to make it a better experience for all.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;I decided to live my life to the fullest and make my mark on the world. This thought keeps me motivated.&#8221;</p>\n<cite>Raghavendra Satish Peri</cite></blockquote>\n\n\n\n<p>After a successful transplant, he lives a disciplined life with a few restrictions. He continues to enjoy working in-depth in disability, accessibility, and inclusion spaces. Raghavendra hopes others will join with him and the thousands of other people who collaborate to make a difference.</p>\n\n\n\n<h2>Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community. Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<p>Thank you to Raghavendra Satish Peri (<a href=\'https://profiles.wordpress.org/tarkham/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>tarkham</a>) for sharing his experiences for this latest edition.</p>\n\n\n\n<h2>Contributors</h2>\n\n\n\n<p>Thanks to Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>) and Surendra Thakor (<a href=\'https://profiles.wordpress.org/sthakor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sthakor</a>) for interviews and writing this feature, to Mary Baum (<a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>), and Larissa Murillo (<a href=\'https://profiles.wordpress.org/lmurillom/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lmurillom</a>) for reviews.</p>\n\n\n\n<p>The <em>People of WordPress</em> series thanks Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13705\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WP Briefing: Episode 42: Something Spooky This Way Comes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wordpress.org/news/2022/10/episode-42-something-spooky-this-way-comes/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Oct 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13666\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:136:\"Tis the season for spooky fun. Hear Josepha Haden Chomphosy read a Halloween-themed WordPress Mad Lib on the episode of the WP Briefing.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/10/WP-Briefing-042.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13139:\"\n<p>In the forty-second episode of the WordPress Briefing podcast, Josepha Haden Chomphosy reads a WordPress Halloween story completed by contributor-submitted Mad Libs. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Music: Spooky edit by <a href=\"https://goodnightnobody.space/\" data-type=\"URL\" data-id=\"https://goodnightnobody.space/\">Timothy Volpert</a><br>Mad Lib Contributors: <a href=\"https://profiles.wordpress.org/juanlucha/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/juanlucha/\">Juan Lucha</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/robinwpdeveloper/\">robinwpdeveloper</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/aetherunbound/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/aetherunbound/\">Madison Swain-Bowden</a>, <a href=\"https://profiles.wordpress.org/kgagne/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/kgagne/\">Ken Gagne</a>, <a href=\"https://profiles.wordpress.org/juliarosia/\">Julia Golomb</a>, <a href=\"https://profiles.wordpress.org/kawserz/\">kawserz</a>, <a href=\"https://profiles.wordpress.org/sereedmedia/\">Sé Reed</a>, <a href=\"https://profiles.wordpress.org/faguni22/\">Mumtahina Faguni</a>, <a href=\"https://www.linkedin.com/in/cleamahoney/\" data-type=\"URL\" data-id=\"https://www.linkedin.com/in/cleamahoney/\">Clea Mahoney</a></p>\n\n\n\n<h2>Download Mad Libs:</h2>\n\n\n\n<div class=\"wp-block-file\"><a id=\"wp-block-file--media-bbc1dbb2-b633-4e46-b53b-4440a449cac4\" href=\"https://wordpress.org/news/files/2022/10/WP-Briefing-Halloween-Mad-Libs.pdf\">WP-Briefing-Halloween-Mad-Libs</a><a href=\"https://wordpress.org/news/files/2022/10/WP-Briefing-Halloween-Mad-Libs.pdf\" class=\"wp-block-file__button wp-element-button\" download aria-describedby=\"wp-block-file--media-bbc1dbb2-b633-4e46-b53b-4440a449cac4\">Download</a></div>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/6-1/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/6-1/\">Important Note: WordPress 6.1 is released tomorrow!</a><br><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/core/2022/10/20/multisite-registration-and-activation-pages-have-new-html-and-css/\" target=\"_blank\">Multisite registration and activation pages have new HTML and CSS</a><br><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/mobile/2022/10/18/call-for-testing-wordpress-for-android-21-0/\" target=\"_blank\">Call for Testing: WordPress for Android 21.0</a><br><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/docs/2022/10/19/new-design-for-helphub-in-wordpress-org/\" target=\"_blank\">New design for HelpHub in WordPress.org</a><br><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/meta/2022/10/21/wordpress-org-redesign-update/\" target=\"_blank\">WordPress.org Redesign Update</a><br><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/test/2022/10/15/fse-program-guiding-the-gutenberg-gallery-summary/\" target=\"_blank\">FSE Program Guiding the Gutenberg Gallery Summary</a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13666\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Howdy, Halloween nerds! And welcome to the WordPress Briefing, a podcast where I&#8217;m normally very serious, but today is Halloween! And gosh, do I love a chance to celebrate. So today, the most serious thing I have is this WordPress themed Halloween Madlib for you. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:43]&nbsp;</strong></p>\n\n\n\n<p>I was so excited to learn that WordCamp would be on Halloween this year, and now it&#8217;s finally here. After a full day of workshops and mingling, I am exhausted. But I&#8217;ve got just enough time to return to the hotel and prepare for the after party. It&#8217;s a themed costume event organized by the Docs team, and I cannot wait.</p>\n\n\n\n<p>Walking into my room, I give a big yawn and realize just how tired I am. The bed is looking extra comfortable right now. Surely a little nap wouldn&#8217;t hurt, right? As soon as my head hits the pillow, I&#8217;m out like a light, but almost immediately, my eyes snap back open, a flash of lightning lights up the room, and I hear rain pouring down outside.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:23]&nbsp;</strong></p>\n\n\n\n<p>After another flash, the lights in the room start to flicker. That&#8217;s strange, I think to myself, but I have an after party to get to. There must have been a power surge because when I look back at the clock, it&#8217;s reset and flashing 12:00 am. I check my phone, but it&#8217;s dead too. I&#8217;m not quite sure how long I&#8217;ve been sleeping, so I don&#8217;t know if I have enough time to change into my full Ninja Turtles costume.</p>\n\n\n\n<p>I just put the mask on and head down to the lobby to meet my WordPress friends. When the elevator dings open in the lobby, it&#8217;s completely empty. No concierge, no hotel staff, and no WordPress friends. That&#8217;s weird. The lights also seem dimmer. And, are those urgent Trac tickets on the lobby lounge chairs?</p>\n\n\n\n<p>I&#8217;m wondering where everybody is, but I keep walking toward the convention hall. A shadow suddenly moves in the corner of my eye, and I spin around but only see my own face reflecting in a hallway mirror. Hmm, that&#8217;s odd. I notice that the cute Ninja Turtle mask looks a little less cute somehow. The eyes are angry red, and the teeth are now sharp-looking fangs.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:33]&nbsp;</strong></p>\n\n\n\n<p>Before I can take off the mask for a closer look, I see another shadow move in the corner of the mirror. When I turn around this time, I see the faint outline of a person. It looks familiar. Could that be Matt Mullenweg? Darn it. They disappear into the convention hall before I can even call out, ‘howdy!’ And so I break into a jog to follow after them.</p>\n\n\n\n<p>Walking into the hall, I can hear the musical stylings of WordPress Jazzer Duke Ellington playing on a gramophone. I bob my head to the music, super relieved to see the room full of WordPressers dressed up and dancing. I head over to some of the folks from my Make team to chat, but oddly, they won&#8217;t stop dancing. They&#8217;re smiling and dancing and cheering each other on.</p>\n\n\n\n<p>Some of them are even doing the electric slide. It&#8217;s actually kind of impressive, but it&#8217;s still a little strange that no one will stop dancing to talk to me. Actually, now that I think about it, none of the party goers seem to be noticing me at all. Wondering what&#8217;s going on, I start backing up toward the door.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:32]&nbsp;</strong></p>\n\n\n\n<p>I jump a little as it slams behind me with the loud sound of an old door creaking and the heavy click of a lock.</p>\n\n\n\n<p>That&#8217;s when I noticed the shadowy familiar figure again. This time they&#8217;re standing by an open door on the other side of the hall. They seem to be watching me. They lift a white gloved hand and motion for me to follow before disappearing through the door again.</p>\n\n\n\n<p>I run after the mysterious figure weaving between groups of dancing WordCamp goers. Could they be under a spell, I wonder while running past. I exit the convention space and enter a small hallway that seems to twist and turn. It feels a lot longer than I remember. I continue running through it and suddenly find myself back in the Contributor Day conference room.</p>\n\n\n\n<p>The shadow person is nowhere to be found, and as I walk around the contributor tables, I quickly notice that the exit back to the hotel has also disappeared. Okay, so this is getting really weird. My first thought is to get my Make team involved, but since they won&#8217;t stop dancing, I know I need to devise a different plan.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:34]&nbsp;</strong></p>\n\n\n\n<p>That&#8217;s when I noticed the big glass box at the center of the room. I am almost certain it wasn&#8217;t there during Contributor Day. I approach the box cautiously. Inside I see a shiny silver goblet of gently fizzing WordPress blue liquid, possibly blueberry flavored if I had to guess. Attached to the goblet stem is a ribbon with a note in EB Garamond that reads: Merge Me.</p>\n\n\n\n<p>At first, I chuckle at the poor attempt at a GitHub joke until I spot another note scrolled on the glass in black marker. It says,&nbsp;</p>\n\n\n\n<p><em>Bubble, bubble, toil, and trouble;</em><br><em>Find your escape route on the double;&nbsp;</em><br><em>Bring back the community and one thing more;&nbsp;</em><br><em>Merge the elixir with your core.&nbsp;</em></p>\n\n\n\n<p>As I&#8217;m trying to decode the odd poem’s meaning, a flash of lightning lurches across the room, and a clap of thunder follows behind.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:24]&nbsp;</strong></p>\n\n\n\n<p>I shield my eyes before looking up to find that I am no longer alone. It&#8217;s the shadowy figure again, except in the light of this room, I can finally see that it&#8217;s not anyone familiar. It is a lumpy-looking being, and it&#8217;s wearing a witch costume. The costume-clad figure looks very unsteady on its feet like it might fall over.</p>\n\n\n\n<p>And just as I&#8217;m about to ask if they&#8217;re all right, the person suddenly topples over into a heap of robes and broomsticks. I can see spots of yellow fur and a few pairs of fuzzy ears. Aha! There was a wisdom of Wapuus under that witchy costume.&nbsp;</p>\n\n\n\n<p>They blink cutely at me for a moment and then quickly scurry into a surprisingly organized line. I watch, totally confused, as the line of Wapuus starts moving methodically back toward the convention hall. They take three steps, and then they turn to the side, take another three steps, and then turn to the other side.</p>\n\n\n\n<p>The last Wapuu in the line turns to look at me and motions with its tiny paw to follow. That&#8217;s when the words on the glass box finally click. I have to bring the community back. All the dancing WordPressers need to return to the contributor tables to break the spell. The Wapuus have started a conga line to help lead the way.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:35]&nbsp;</strong></p>\n\n\n\n<p>So, off I go. Following the tiny conga line through the twisting hallway and into the convention hall. As I&#8217;m dancing behind the Wapuus, I&#8217;m happy to see all my fellow WordCamp attendees falling into step behind me. My steadily growing conga line is weaving its way through the hall, picking up WordPressers, wearing mouse costumes, and Frankensteins and penguin costumes, and that&#8217;s when the Wapuus changed their course, leading us back through the twisting hallway and into the Contributor Day conference room.</p>\n\n\n\n<p>With the first part of the riddle solved, I&#8217;m glad to see that everyone has finally stopped dancing. Some folks are happy to sit down and get off their feet. Others are wondering how they ended up back in the contributor room. My Make team waves at me from across the room. I noticed there&#8217;s still no exit, but the glass box has disappeared. With the goblet free, there&#8217;s just one thing left for me to do.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:27]&nbsp;</strong></p>\n\n\n\n<p>I rush toward it, dodging Wapuus and a pile of kicked-off shoes. Except that the closer I think I&#8217;m getting to the goblet, the further away it feels. I run faster, weaving through people and tables, and just when I feel close enough to reach out for the goblet, I trip over a live-streaming cable, and I wake up in my hotel room.</p>\n\n\n\n<p>Sitting up quickly, I realize it was all just a very strange dream. Outside, the sun is setting in a clear sky with no storm in sight. I try to shake it off. I change into my Ninja Turtles costume, ready to do my best Monster Mash at the after party with all of my WordPress friends. As I walk out of the hotel room, I pause for a quick costume check in the mirror.</p>\n\n\n\n<p>Before heading downstairs, I take a quick glance at the digital clock on the nightstand to see the time. Huh, that&#8217;s odd. Next to the digital clock sits a fuzzy plush Wapuu wearing a witch costume. That wasn&#8217;t there before, was it? And if I didn&#8217;t know any better, I almost think I see it wink.&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13666\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress 6.1 Release Candidate 3 (RC3) Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Oct 2022 20:29:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13670\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:427:\"WordPress 6.1 Release Candidate 3 is now available for testing! You can \ndownload and help test RC3 in three ways. 6.1 is planned for general release on November 01, 2022.\n\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Release Candidate 3 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6657:\"\n<p>Release Candidate 3 (RC3) is now available for testing! The general release is just one week away with WordPress 6.1 scheduled for release on Tuesday, November 1, 2022. </p>\n\n\n\n<p>This RC3 release is the final opportunity for you to test and help to ensure the resilience of the 6.1 release by performing a final round of reviews and checks. Since the WordPress ecosystem is vast and composed of thousands of plugins and themes the entire project benefits from the time you take to assist.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.1 RC3 in three ways:</p>\n\n\n\n<p><strong>Option 1: </strong>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.1-RC3.zip\">RC3 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.1-RC3</code></p>\n\n\n\n<p>Additional information on the <a href=\"https://make.wordpress.org/core/6-1/\">6.1 release cycle is available here</a>.</p>\n\n\n\n<p>Check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-1/\">6.1-related developer notes</a> in the coming weeks detailing all upcoming changes.</p>\n\n\n\n<h2><strong>What’s in WordPress 6.1 RC3?</strong></h2>\n\n\n\n<p>Since Release Candidate 2, approximately 60 items have been addressed. </p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.1\">GitHub tickets</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=10%2F18%2F2022..10%2F25%2F2022&amp;resolution=fixed&amp;milestone=6.1&amp;col=id&amp;col=summary&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac tickets</a> </li>\n</ul>\n\n\n\n<p>WordPress 6.1 is the third major release for 2022, following 5.9 and 6.0, released in January and May of this year, respectively.</p>\n\n\n\n<p>To learn more about the highlights for both end-users and developers, you’re invited to read more about them in the <a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-1-rc1-now-available/\">RC1 announcement post</a> and review the <a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">WordPress 6.1 Field Guide</a>.</p>\n\n\n\n<h2><strong>Plugin and theme developers</strong></h2>\n\n\n\n<p>All plugin and theme developers should test their respective extensions against WordPress 6.1 RC3 and update the “<em>Tested up to”</em> version in their readme file to 6.1. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>, so these items can be investigated further prior to the final release date of November 1st.</p>\n\n\n\n<h2><strong>Translate WordPress</strong></h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<p><strong>Keep WordPress bug-free – help with testing</strong></p>\n\n\n\n<p>Testing for issues is critical for stabilizing a release throughout its development. Testing is also a great way to contribute. <a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">This detailed guide</a> is an excellent start if you have never tested a beta release.</p>\n\n\n\n<p>Testing helps ensure that this and future releases of WordPress are as stable and issue-free as possible. Anyone can take part in testing – regardless of prior experience.</p>\n\n\n\n<p>Want to know more about testing releases like this one? Read about the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join a <a href=\"https://wordpress.slack.com/messages/core-test/\">core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. This is also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>To review features in the Gutenberg releases since WordPress 6.0 (the most recent major release of WordPress), access the <em>What’s New In Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>, <a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, <a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>, <a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>, <a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>, <a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>, <a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>, <a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>, <a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>, and <a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>RC3, A Penultimate Haiku</h2>\n\n\n\n<p><em>The time ticks forward<br>Release nears ever closer<br>Download and review</em></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Props to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a>, <a href=\"https://wordpress.org/support/users/spacedmonkey/\">Jonny Harris</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13670\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress 6.1 Release Candidate 2 (RC2) Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-2-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 18 Oct 2022 19:31:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13646\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:332:\"WordPress 6.1 Release Candidate 2 is now available for download and testing.\n\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Release Candidate 2 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:7012:\"\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>The second release candidate (RC2) for WordPress 6.1 is now available!</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>“Release Candidate” means that this version of WordPress is ready for release and it is a key milestone in the 6.1 release cycle! Before the official release date, the community sets aside time to perform final reviews and help test. Since the WordPress ecosystem includes thousands of plugins and themes, it is important that everyone checks to see if anything has been missed along the way. That means the project would <em>greatly benefit from</em> your assistance.</p>\n\n\n\n<p>WordPress 6.1 is planned for official release on November 1st, 2022, two weeks from today.&nbsp;</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.1 RC2 in three ways:</p>\n\n\n\n<p><strong>Option 1: </strong>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.1-RC2.zip\">RC2 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.1-RC2</code></p>\n\n\n\n<p>Additional information on the <a href=\"https://make.wordpress.org/core/6-1/\">6.1 release cycle is available here</a>.</p>\n\n\n\n<p>Check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-1/\">6.1-related developer notes</a> in the coming weeks detailing all upcoming changes.</p>\n\n\n\n<h2><strong>What’s in WordPress 6.1 RC2?</strong></h2>\n\n\n\n<p>Since Release Candidate 1, approximately 65 items have been addressed, bringing the total count to more than 2,000 updates since WordPress 6.0 in May of 2022.&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.1\">GitHub tickets</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=10%2F11%2F2022..10%2F18%2F2022&amp;resolution=fixed&amp;milestone=6.1&amp;col=id&amp;col=summary&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac tickets</a>&nbsp;</li>\n</ul>\n\n\n\n<p>WordPress 6.1 is the third major release for 2022, following 5.9 and 6.0, released in January and May of this year, respectively.</p>\n\n\n\n<p>To learn more about the highlights for both end-users and developers, you’re invited to read more about them in the <a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-1-rc1-now-available/\">RC1 announcement post</a> and review the <a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">WordPress 6.1 Field Guide</a>.</p>\n\n\n\n<h2><strong>Plugin and theme developers</strong></h2>\n\n\n\n<p>All plugin and theme developers should test their respective extensions against WordPress 6.1 RC2 and update the “<em>Tested up to”</em> version in their readme file to 6.1. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>, so these items can be investigated further prior to the final release date of November 1st.</p>\n\n\n\n<h2><strong>Translate WordPress</strong></h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<p><strong>Keep WordPress bug-free – help with testing</strong></p>\n\n\n\n<p>Testing for issues is critical for stabilizing a release throughout its development. Testing is also a great way to contribute. <a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">This detailed guide</a> is an excellent start if you have never tested a beta release.</p>\n\n\n\n<p>Testing helps ensure that this and future releases of WordPress are as stable and issue-free as possible. Anyone can take part in testing – regardless of prior experience.</p>\n\n\n\n<p>Want to know more about testing releases like this one? Read about the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join a <a href=\"https://wordpress.slack.com/messages/core-test/\">core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. This is also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>To review features in the Gutenberg releases since WordPress 6.0 (the most recent major release of WordPress), access the <em>What’s New In Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>, <a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, <a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>, <a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>, <a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>, <a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>, <a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>, <a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>, <a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>, and <a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2><strong>Haiku Fun for RC2</strong></h2>\n\n\n\n<p><em>Two weeks from the launch </em><br><em>Constant improvements we make </em><br><em>Great outcomes await </em></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em>Update Oct 25 12:45 UTC: This post has been updated to remove the reference to Gutenberg versions 14.3 and 14.2 being included in the 6.1 release. They will be included in a future release.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13646\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"WordPress 6.0.3 Security Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2022/10/wordpress-6-0-3-security-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 17 Oct 2022 22:55:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13618\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:358:\"WordPress 6.0.3 is now available! This release features several security fixes. Because this is a security release, it is recommended that you update your sites immediately. All versions since WordPress 3.7 have also been updated. WordPress 6.0.3 is a short-cycle release. The next major release will be version 6.1 planned for November 1, 2022. If [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Jb Audras\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6151:\"\n<p><strong>WordPress 6.0.3</strong> is now available!</p>\n\n\n\n<p>This release features several security fixes. Because this is a <strong>security release</strong>, it is recommended that you update your sites immediately. All versions since WordPress 3.7 have also been updated.</p>\n\n\n\n<p>WordPress 6.0.3 is a short-cycle release. The next major release will be <a href=\"https://make.wordpress.org/core/6-1/\">version 6.1</a> planned for November 1, 2022.</p>\n\n\n\n<p>If you have sites that support automatic background updates, the update process will begin automatically.</p>\n\n\n\n<p>You can <a href=\"https://wordpress.org/wordpress-6.0.3.zip\">download WordPress 6.0.3 from WordPress.org</a>, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”.</p>\n\n\n\n<p>For more information on this release, please <a href=\"https://wordpress.org/support/wordpress-version/version-6-0-3\">visit the HelpHub site</a>.</p>\n\n\n\n<h2>Security updates included in this release</h2>\n\n\n\n<p>The security team would like to thank the following people for responsibly reporting vulnerabilities, and allowing them to be fixed in this release.</p>\n\n\n\n<ul>\n<li>Stored XSS via wp-mail.php (post by email) &#8211; Toshitsugu Yoneyama of Mitsui Bussan Secure Directions, Inc. via JPCERT</li>\n\n\n\n<li>Open redirect in `wp_nonce_ays` &#8211; <a href=\"https://hackerone.com/devrayn\">devrayn</a></li>\n\n\n\n<li>Sender&#8217;s email address is exposed in wp-mail.php &#8211; Toshitsugu Yoneyama of Mitsui Bussan Secure Directions, Inc. via JPCERT</li>\n\n\n\n<li>Media Library &#8211; Reflected XSS via SQLi &#8211; Ben Bidner from the WordPress security team and Marc Montpas from Automattic independently discovered this issue</li>\n\n\n\n<li>CSRF in wp-trackback.php &#8211; Simon Scannell</li>\n\n\n\n<li>Stored XSS via the Customizer &#8211; Alex Concha from the WordPress security team</li>\n\n\n\n<li>Revert shared user instances introduced in <a href=\"https://core.trac.wordpress.org/changeset/50790\">50790</a> &#8211; Alex Concha and Ben Bidner from the WordPress security team</li>\n\n\n\n<li>Stored XSS in WordPress Core via Comment Editing &#8211; Third-party security audit and Alex Concha from the WordPress security team</li>\n\n\n\n<li>Data exposure via the REST Terms/Tags Endpoint &#8211; Than Taintor</li>\n\n\n\n<li>Content from multipart emails leaked &#8211; <a href=\"https://profiles.wordpress.org/kraftner\">Thomas Kräftner</a></li>\n\n\n\n<li>SQL Injection due to improper sanitization in `WP_Date_Query` &#8211; <a href=\"https://www.gold-network.ch\">Michael Mazzolini</a></li>\n\n\n\n<li>RSS Widget: Stored XSS issue &#8211; Third-party security audit</li>\n\n\n\n<li>Stored XSS in the search block &#8211; Alex Concha of the WP Security team</li>\n\n\n\n<li>Feature Image Block: XSS issue &#8211; Third-party security audit</li>\n\n\n\n<li>RSS Block: Stored XSS issue &#8211; Third-party security audit</li>\n\n\n\n<li>Fix widget block XSS &#8211; Third-party security audit</li>\n</ul>\n\n\n\n<h2>Thank you to these WordPress contributors</h2>\n\n\n\n<p>This release was led by <a href=\"https://profiles.wordpress.org/xknown\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/audrasjb\">Jb Audras</a>, and <a href=\"https://profiles.wordpress.org/SergeyBiryukov\">Sergey Biryukov</a> at mission control. Thanks to <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a>, <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> and <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> for their help on package updates.</p>\n\n\n\n<p>WordPress 6.0.3 would not have been possible without the contributions of the following people. Their asynchronous coordination to deliver several fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p class=\"is-style-default\"><a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ehtis/\">ehtis</a>, <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a>, <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a>, <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a>, <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a>, <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a><a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a>, <a href=\"https://profiles.wordpress.org/tykoted/\">Teddy Patriarca</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, and <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a>.</p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Thanks to <a href=\'https://profiles.wordpress.org/peterwilsoncc/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>peterwilsoncc</a> for proofreading.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13618\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WP Briefing: Episode 41: WordPress 6.1 Sneak Peek with Special Guest Nick Diego\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://wordpress.org/news/2022/10/episode-41-wordpress-6-1-sneak-peek-with-special-guest-nick-diego/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 17 Oct 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13578\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:112:\"Tune into episode 41 of the WordPress Briefing Podcast for a sneak peek into the upcoming WordPress 6.1 release.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/10/WP-Briefing-041.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:24900:\"\n<p>In the forty-first episode of the WordPress Briefing, peek into the upcoming WordPress 6.1 release with our host, Josepha Haden Chomphosy, and the release&#8217;s Editor Triage Lead, Nick Diego. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2>Guests</h2>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/ndiego/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></p>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/mobile/2022/10/04/call-for-testing-wordpress-for-android-20-9/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/mobile/2022/10/04/call-for-testing-wordpress-for-android-20-9/\">Call for Testing for WordPress for Android 20.9</a><br><a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-2-now-available/\" data-type=\"URL\" data-id=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-2-now-available/\">RC2 WordPress 6.1</a> <br><a href=\"https://make.wordpress.org/core/2022/10/10/multisite-improvements-in-wordpress-6-1/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2022/10/10/multisite-improvements-in-wordpress-6-1/\">Multisite Improvements</a><br><a href=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/\">Block Style Generation Tool</a><br><a href=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/\">Editor Preferences Changes</a><br><a href=\"https://make.wordpress.org/core/2022/09/14/6-1-product-walk-through-recap/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2022/09/14/6-1-product-walk-through-recap/\">WordPress 6.1 Walkthrough </a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13578\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone. And welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:40]&nbsp;</strong></p>\n\n\n\n<p>And today I have with me Nick Diego. Welcome, Nick, to the WordPress Briefing.</p>\n\n\n\n<p><strong>[Nick Diego 00:00:44]&nbsp;</strong></p>\n\n\n\n<p>Thank you so much for having me.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:46]&nbsp;</strong></p>\n\n\n\n<p>Yeah. Before we get started, why don&#8217;t you tell me a bit about yourself, just kind of your history with WordPress and then what it is that you&#8217;ve been doing with the WordPress 6.1 release squad.</p>\n\n\n\n<p><strong>[Nick Diego 00:00:56]</strong></p>\n\n\n\n<p>Yeah, so I&#8217;m actually kind of new to working with WordPress full-time. Up until about June of last year, I was in the hospitality industry for a career of 10 years. But I always loved doing WordPress on the side. And after the long pandemic, I figured it was time to kind of pursue my passion and work with WordPress full-time.</p>\n\n\n\n<p>And that ultimately led to my current role as a developer advocate at WPEngine, where I focus primarily on WordPress and contribution to Core itself. And then I guess it was maybe March or April this year when <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, who I&#8217;ve worked with a ton, she asked me if I&#8217;d be interested in helping out on 6.0 as an Editor Triage Lead which was an awesome experience.</p>\n\n\n\n<p>And now I&#8217;m back for 6.1.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:37]&nbsp;</strong></p>\n\n\n\n<p>That&#8217;s excellent. I always like to hear about people who are coming to do repeat tours of duty.</p>\n\n\n\n<p><strong>[Nick Diego 00:01:43]</strong></p>\n\n\n\n<p>Yes, exactly.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:44]&nbsp;</strong></p>\n\n\n\n<p>I probably shouldn&#8217;t refer to working on WordPress releases as a tour of duty. However, I find that releases are so large and complex, and there are so many people in there now that working on them takes an entirely different skill set now than it used to take when WordPress was like 1% of the web.</p>\n\n\n\n<p>And so I think it&#8217;s a really big task, and I think it&#8217;s great when people were, like, that was either so good that I would do it again, or I would like a second go because I could do it better. Whichever way brings people to it. So, yeah.</p>\n\n\n\n<p><strong>[Nick Diego 00:02:18]&nbsp;</strong></p>\n\n\n\n<p>No, I was just gonna say that&#8217;s a great point because the Editor Triage Lead, which is the role that I currently have, was a brand new role for 6.0. The project kind of got so big that it kind of made sense to have a triage lead focused specifically on Gutenberg. Gutenberg&#8217;s such a big part of WordPress now.</p>\n\n\n\n<p>And so that&#8217;s where that role kind of came from, and now we&#8217;ve carried it over to 6.1. As the project grows, we need more people to come in and help make sure the release is as smooth as it can be.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:42]</strong></p>\n\n\n\n<p>Yes. Because of that promise of backward compatibility and all the things.</p>\n\n\n\n<p><strong>[Nick Diego 00:02:47]</strong></p>\n\n\n\n<p>Exactly.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:48]&nbsp;</strong></p>\n\n\n\n<p>Cool. So, by the time this releases, if I recall correctly, we will have passed RC2, or RC2 is coming the next day or something like that. We&#8217;re right around the Release Candidate two. So you have been doing this for quite some time on this particular release. So far, what is the feature that you&#8217;re most excited about that&#8217;s going out in the 6.1 release?</p>\n\n\n\n<p><strong>[Nick Diego 00:03:09]&nbsp;</strong></p>\n\n\n\n<p>So, this is going to sound really boring, but it&#8217;s actually incredibly exciting. So, the most exciting quote-unquote feature that I&#8217;m excited about is the improved consistency and standardization of block controls that are coming in 6.1. So things like typography and color and borders and dimensions.</p>\n\n\n\n<p>These are things and tools that we&#8217;ve had in a lot of core blocks, but it hasn&#8217;t been consistent throughout. And a ton of work has been done in 6.1 to establish that consistency. We&#8217;re not a hundred percent there, but typography, I think we&#8217;re at like 85% of all core blocks now support all the typography controls, and with each release as we head to 6.2, we&#8217;ll improve on that.</p>\n\n\n\n<p>But it&#8217;s really great for theme builders, theme designers, and users to be able to control the look and feel blocks consistently throughout the editor.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:58]&nbsp;</strong></p>\n\n\n\n<p>I was gonna immediately answer you earlier with like, there are no boring answers, there are no boring improvements. And as you were explaining why it is that you kind of thought it might be considered boring, I think it&#8217;s fair to say that anytime that you&#8217;re increasing the consistency and you&#8217;re increasing the confidence between what you saw on the back end and what you actually shipped on the front end– anytime you&#8217;re doing that, I think that that is exciting in the prove the negative way.&nbsp;</p>\n\n\n\n<p>If you think about the negative excitement that occurs when you have published something, and it looks one way in the back end, and then it looks totally different on the front end, and the panic you feel when you have to fix. Not having that is a really big step up, I think. And so anything that provides more consistency for people who are using WordPress, people who are building with WordPress, I always find exciting. But also, like, I&#8217;m an office person, and so I would find office things exciting, right?</p>\n\n\n\n<p><strong>[Nick Diego 00:04:53]&nbsp;</strong></p>\n\n\n\n<p>It creates a more delightful experience. I do a lot of work on the Training team, doing educational things, and we teach people how to change typography and change color. Once they learn how to do it in one block, if they can take that same skill set and apply it to any other block, it&#8217;s that light bulb moment. They understand they know how to manipulate and use WordPress to its fullest. So adding that consistency really helps to level up users.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:15]&nbsp;</strong></p>\n\n\n\n<p>Yeah, I&#8217;m gonna take us off track a little bit and just ask a general question here. Like, I remember the first time that I was working with what was a site, I guess, qualified for a site at the time. And I remember the first time that I discovered that I could change the look and feel with HTML and CSS, and I did that.</p>\n\n\n\n<p>Also was like, well, I accept my fate. Whatever happens, if I kill everything I&#8217;ve ever written, that is just how it&#8217;ll be. Like the sheer terror of all of that is so different now. Do you recall that first moment where you&#8217;re like, Oh, I do have some power over this? I have some control over this, and whether you also found it scary.</p>\n\n\n\n<p><strong>[Nick Diego 00:05:52]</strong></p>\n\n\n\n<p>So I came to WordPress kinda as a hobby and website development kind of as a hobby. So I was kind of always in that tinkering phase, or I wasn&#8217;t building something for anyone else. I was in a safe place to destroy whatever I was working on with my tinkering. So I never really quite had that fear, but I can definitely see it from the perspective of building something for somebody else.</p>\n\n\n\n<p>But you&#8217;re right, the editor and the controls that we have, and you know, now make it a lot easier to kind of manipulate and exert your creative desires in WordPress than it was before with CSS.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:23]&nbsp;</strong></p>\n\n\n\n<p>I love the phrase ‘I was safe to destroy things, ’ and if I can figure out a way to make it a tagline for something, I will.</p>\n\n\n\n<p><strong>[Nick Diego 00:06:30]&nbsp;</strong></p>\n\n\n\n<p>Exactly.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:31]&nbsp;</strong></p>\n\n\n\n<p>Alright. So during your second time around here on the release squad with 6.1, what have been the bright spots of that experience, and have there been any unexpected challenges of being on the release squad?</p>\n\n\n\n<p><strong>[Nick Diego 00:06:44]</strong></p>\n\n\n\n<p>Again, I come to WordPress from, you know, from a different career. It&#8217;s kind of a passion of mine to be working with WordPress. So I kinda have a unique experience than maybe some others. And when I approach WordPress, there&#8217;s always that tendency to say, ‘why doesn&#8217;t it do this?’ Or ‘why don&#8217;t they do this?’ And I&#8217;ve always been the person…, well, it&#8217;s open source. We, we, we can, we can</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:05]&nbsp;</strong></p>\n\n\n\n<p>…can do it</p>\n\n\n\n<p><strong>[Nick Diego 00:07:05]&nbsp;</strong></p>\n\n\n\n<p>…we can do it. And so that&#8217;s kind of how I approach things. Now, of course, you know, I have the privilege of time to do that. Not everybody does, but one of the unexpected bright spots about working in a release squad is understanding how it all works.&nbsp;</p>\n\n\n\n<p>How does WordPress actually get built? What is the process that it goes through? It was just eye-opening to me, and I really got a shout-out, Anne, for inviting me to be on 6.0. It brought me in. I learned so much about it, and now I&#8217;m just excited to keep working on these releases.</p>\n\n\n\n<p>But a release is hard. You know, it&#8217;s a… WordPress is huge. There are a lot of moving parts, there are a lot of things going on. Right now, we&#8217;re trying to get everything ready for the first release candidate. So being on the release squad is not an easy job. But it&#8217;s exciting, it&#8217;s fun, and you really feel like you&#8217;re part of that ‘we’ really helping to build WordPress.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:53]&nbsp;</strong></p>\n\n\n\n<p>One of the things that I hope that people have learned from any time that they spent working with me is that like we understand here in the WordPress open source project, and I believe that all open source projects must understand this, but like every change that you make, if there are things that are dependent on it, which is gonna be true for most of us, we&#8217;ll have intended consequences and also unexpected consequences, and unintended, unexpected consequences.&nbsp;</p>\n\n\n\n<p>And so I&#8217;ve always felt like the thing that really makes the biggest difference about how we do open source in WordPress is that, for the most part, we have a concept of where the most likely changes are going to happen across our entire ecosystem.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:40]&nbsp;</strong></p>\n\n\n\n<p>We have a better understanding, at least compared to when I got here, a better understanding of how interconnected it all is. And so you&#8217;ve got this change here, and it looks small, but it&#8217;s gonna have this positive or negative impact as you kind of work your way out from it. And so I think that that is an interesting thing, and certainly, you get a really clear concept of it in the release squad, I think.</p>\n\n\n\n<p><strong>[Nick Diego 00:09:02]</strong></p>\n\n\n\n<p>Oh, absolutely. If you were to build something like the block editor without caring at all about backward compatibility, you&#8217;d be done by now, right? I mean, so much of what we do is concerning ourselves with making sure that everybody who&#8217;s on a classic theme or hybrid theme or whatever it might be that they continue to use WordPress in a safe and stable way.</p>\n\n\n\n<p>This is part of being such a large content management system.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:09:24]&nbsp;</strong></p>\n\n\n\n<p>So you already told us the feature that you&#8217;re most excited about, and so now I&#8217;m gonna ask you about what feature or what bug fix has the most notable improvements that are coming to 6.1. This is a little different as in, like, there&#8217;s the thing you&#8217;re excited about, which is an office thing, but like a thing that is maybe not new but has the biggest delta, the biggest change to anyone&#8217;s experience of it.</p>\n\n\n\n<p><strong>[Nick Diego 00:09:51]&nbsp;</strong></p>\n\n\n\n<p>Yeah, so obviously, in 5.9, we introduced full site editing, and 6.0 was a natural progression from that with more and more features. Now it&#8217;s safe to say that there&#8217;s only a small fraction of websites that are using the whole full site editing of or block themes, all that kind of stuff. One of the hangups about that was managing templates inside of the site editor.</p>\n\n\n\n<p>You could add the files to your theme, which would then show up in the site editor. But there wasn&#8217;t a direct way to add more complicated templates within the site editor itself. That is changing in 6.1. So now you actually have the functionality to install something like 2023, which is the new core theme, and build out all these very complicated templates within the UI of the site editor that you could not have done before.</p>\n\n\n\n<p><strong>[Nick Diego 00:10:38]</strong>&nbsp;</p>\n\n\n\n<p>I personally think that the biggest benefit of full site editing is really to empower no-code or low-code users. And the ability to add these templates directly in the UI really levels them up. Because now, you can do all that complicated stuff that you normally would need to be adding to theme files and jumping into the code. You can do that within the site editor now, which I think is fantastic.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:10:59]&nbsp;</strong></p>\n\n\n\n<p>That&#8217;s great. And just a general caveat, anytime that we talk about anything that&#8217;s very developer-y or very no code-y, I think it&#8217;s always worth mentioning, yes, a lot of what we&#8217;re trying to do with the block editor is to just kind of give some power back to folks who cannot find the time to become a developer or don&#8217;t have the inclination. They don&#8217;t want to do that.&nbsp;</p>\n\n\n\n<p>But that does not mean that no code is ever involved in WordPress. It&#8217;s still a software. You can still do very complicated things with it. And if you are a developer, you should not think to yourself, ‘oh now that it&#8217;s being available to low code/no code users, that means you don&#8217;t want me.’</p>\n\n\n\n<p>Like, that&#8217;s not at all what&#8217;s happening. You can do very complicated things still.&nbsp;</p>\n\n\n\n<p><strong>[Nick Diego 00:11:42]&nbsp;</strong></p>\n\n\n\n<p>A hundred percent. A hundred percent. Absolutely.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:45]&nbsp;</strong></p>\n\n\n\n<p>Alright, so that brings us to our final question here because we like to stay as true to the name as possible here on the WP Briefing. If someone were wanting to get involved with the next release, so WP 6.2, how would they do that?</p>\n\n\n\n<p><strong>[Nick Diego 00:12:01]</strong></p>\n\n\n\n<p>So, talk to Anne, and she&#8217;ll get you set up. No, I&#8217;m just kidding. So at the, after each release, there&#8217;s a posting that goes out that lists all the different release teams, and you can just put your name out there and ask to be, you know, for consideration to be part of the team.</p>\n\n\n\n<p>However, I will say that the best thing you can do right now is help with 6.1. You don&#8217;t necessarily need to be a release lead to do that testing, helping with bug fixes. Reach out to me. Reach out to other release leads, and we&#8217;ll get you involved and engaged with the release. That will give you a really good framework to start working and become a release lead for 6.2.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:12:37]&nbsp;</strong></p>\n\n\n\n<p>Yeah. I think we talked maybe two or three episodes ago, or it could be more than that, I&#8217;ll never know, about the release squad, like the group that&#8217;s doing that. In the event you think to yourself, ‘there&#8217;s no way in a million years that I&#8217;m gonna just show up tomorrow and be part of the release squad,’ I heard what they said in the first question/answer moment– that&#8217;s fine, too.&nbsp;</p>\n\n\n\n<p>As Nick mentioned, you can always get involved with testing, you can get involved with triage. Those are areas where any feedback at all is valuable because we can get better information about what worked and didn&#8217;t, what was expected versus what happened. And that type of information is where all of our co-creators of the WordPress software–really, we rely on what you all are pointing out to us.&nbsp;</p>\n\n\n\n<p>If you&#8217;re not shining spotlights on the most painful parts of your experience, sometimes we don&#8217;t necessarily know that that&#8217;s a pain point for anyone.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:13:34]</strong>&nbsp;</p>\n\n\n\n<p>And so yeah, that&#8217;s a great place to start. If you are more of a writer, technical or prose, there are different spaces you can go to, like keep our docs up to date or make sure that people know that changes are coming at all in WordPress because that&#8217;s a thing. If you are a backend developer, we have a million things you can do because that&#8217;s just all day, every day, for WordPress.</p>\n\n\n\n<p>It&#8217;s just all the deep backend work. And so yeah.</p>\n\n\n\n<p><strong>[Nick Diego 00:13:58]&nbsp;</strong></p>\n\n\n\n<p>I did want to mention that, you know, being on the release team does not necessarily mean that you&#8217;re incredibly technical. We have a documentation lead, we have a design lead, you know, a communication lead. So there&#8217;s a lot of different roles in the team that, you know, across all disciplines.</p>\n\n\n\n<p>So don&#8217;t think if you&#8217;re not a hardcore developer, that precludes you from being on the team.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:14:19]&nbsp;</strong></p>\n\n\n\n<p>Yeah, and if you&#8217;re really good with common sense and working fully remotely, you can be the release coordinator. I can tell you because I did that for 5.0. It was a big job. It was our, it was the first time we had a release squad as opposed to just like the release lead.</p>\n\n\n\n<p>Because there was just so much that was going into that and so much riding on it. And like you said in some other answer that you gave like if you were to just be like, we&#8217;re shutting everything down and rewriting this in six months, and I hope you can come with us on it. Like a lot of open source projects do it that way.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:14:51]</strong>&nbsp;</p>\n\n\n\n<p>And that is a choice, and we made the opposite choice. And so we&#8217;re bringing all of our co-conspirators with us, all of our co-creators of WordPress. That&#8217;s the hope all the time. Making sure that they have enough information, that they feel safe to destroy things, enough information, and skills about how to get out of it, that they always feel some high confidence in what they&#8217;re trying to do versus what they actually did do.</p>\n\n\n\n<p>So, yeah, excellent. Nick, do you have any final thoughts for our listeners?</p>\n\n\n\n<p><strong>[Nick Diego 00:15:20]&nbsp;</strong></p>\n\n\n\n<p>Nope. I just hope everybody goes out and downloads 6.1 and enjoys it as much as I am.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:15:25]&nbsp;</strong></p>\n\n\n\n<p>Yeah, go check it out.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:15:28]&nbsp;</strong></p>\n\n\n\n<p>That brings us now to our small list of big things. And actually, it is a pretty big list today, but still pretty big things too. So first up, we have a call for testing that is out, and it is for our Android users.</p>\n\n\n\n<p>There is a call for testing for WordPress for Android 20.9, and I feel like we don&#8217;t get a lot of calls for testing for Android devices. And so if you have been feeling left out or just like we don&#8217;t always have that kind of mobile testing available, this is the opportunity for you.&nbsp;</p>\n\n\n\n<p>The next thing is that tomorrow, we have RC2, release candidate two for WordPress 6.1.</p>\n\n\n\n<p>That&#8217;s coming out on October 18th. There will be a link in the show notes, but that means if you write a plugin or a theme or have anything that kind of extends the core of WordPress, now is the time to start testing anything that might be a bug or represent a breaking change and make sure that you file those bugs so that we can get things as settled and excellent as possible.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:16:40]&nbsp;</strong></p>\n\n\n\n<p>And speaking of Word points, uh, WordPress 6.1, not Word point, WordPress 6.1. I actually have three changes that I think are going to represent some pretty big changes for folks. I will have links to all of these in the show notes. If you don&#8217;t know where the show notes are, it&#8217;s on wordpress.org/news/podcast.</p>\n\n\n\n<p>So the three things that I think are gonna be big, worthwhile things. The first one is multisite improvements, and the second one will be the style engine that&#8217;s block styles generation tool, which will ship in Core and I think is really important for y&#8217;all to take a look at. And then also there are some changes coming to the block editor preferences.<br><br>Like I said, links to all of those are going to be in the show notes, and so they should be pretty easy for you to find. But also, if you want to just get a general look at everything that&#8217;s coming in 6.1, we did a walkthrough that I will link to in the show notes as well, and you can get a full understanding of what is going to be coming early in November.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:17:45]&nbsp;</strong></p>\n\n\n\n<p>And that, my friends, is your small list –big list– of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13578\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"The Month in WordPress – September 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wordpress.org/news/2022/10/the-month-in-wordpress-september-2022/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Oct 2022 10:07:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13596\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:179:\"September was an exciting month with the return of many in-person WordCamps, WordPress Translation Day, and preparations for WordPress 6.1. Let\'s catch up on all things WordPress.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:61:\"https://wordpress.org/news/files/2022/10/tt3_variations-1.mp4\";s:6:\"length\";s:6:\"996018\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15456:\"\n<p>September was an exciting month with the return of many in-person WordCamps, WordPress Translation Day, and preparations for WordPress 6.1. Contributors across teams continue to work hard to ensure that the last major release of the year is the best it can be for everyone. Let&#8217;s catch up on all things WordPress.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<h2>Countdown to WordPress 6.1: Coming November 1, 2022</h2>\n\n\n\n<p><strong>WordPress 6.1 is scheduled for release on November 1, 2022</strong>—less than three weeks away. Following the beta releases in September, the <a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-1-rc1-now-available/\">first release candidate (RC1) is now ready for download and testing</a>.</p>\n\n\n\n<p>Members of the release squad hosted a casual walk-through of some of the expected WordPress 6.1 features last month. ​​<a href=\"https://make.wordpress.org/core/2022/09/14/6-1-product-walk-through-recap/\">The recording and transcript are available in this post</a>.</p>\n\n\n\n<p>This next major release focuses on increased control for a more intuitive site and content creation experience, and will be bundled with a new default block theme, <strong>Twenty Twenty-Three (TT3)</strong>. This theme comes with <a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">10 style variations designed by community members</a> that you can easily switch between to customize the look and feel of your site.</p>\n\n\n\n<p>Other exciting updates include <a href=\"https://make.wordpress.org/core/2022/09/26/core-editor-improvement-catalyst-for-creativity/\">enhanced consistency of design tools across blocks</a>, a <a href=\"https://make.wordpress.org/core/2022/08/25/core-editor-improvement-refining-the-template-creation-experience/\">refined</a> and <a href=\"https://make.wordpress.org/core/2022/07/21/core-editor-improvement-deeper-customization-with-more-template-options/\">expanded template creation experience</a>, improved Quote and List blocks, and support for <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/#fluid-typography-support\">fluid typography</a>.</p>\n\n\n\n<figure class=\"wp-block-video\"><video controls src=\"https://wordpress.org/news/files/2022/10/tt3_variations-1.mp4\"></video><figcaption class=\"wp-element-caption\"><em>Selected style variations for the Twenty Twenty-Three theme.</em></figcaption></figure>\n\n\n\n<p><strong>Want to know what else is new in WordPress 6.1?</strong> Check out these resources for more details:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/09/24/roadmap-to-6-1-core-companion/\">Roadmap to 6.1: Core Companion</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">WordPress 6.1 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">​​WordPress 6.1 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">Performance Field Guide for WordPress 6.1</a></li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Take part in this release by <a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">helping to test key features</a> or <a href=\"https://make.wordpress.org/polyglots/2022/10/11/wordpress-6-1-ready-to-be-translated/\">translating WordPress 6.1</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Gutenberg versions 14.1, 14.2, and 14.3 are out</h2>\n\n\n\n<p>Three new versions of Gutenberg have been released since last month’s edition of The Month in WordPress:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\"><strong>Gutenberg 14.1</strong></a> shipped on September 15, 2022. It adds typography and spacing support for many blocks, continuing efforts to consolidate design tools in blocks. It also includes improvements to the Navigation block and the content-locking experience. This is the last version of Gutenberg that will merge into WordPress 6.1, which will include updates from Gutenberg 13.1 to 14.1.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/09/30/whats-new-in-gutenberg-14-2-28-september/\"><strong>Gutenberg 14.2</strong></a> comes with writing flow improvements, a more polished Calendar block, and autocompletion for links. It was released on September 28, 2022.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/13/whats-new-in-gutenberg-14-3-12-october/\"><strong>Gutenberg 14.3</strong></a> is available for download as of October 12, 2022. This version makes it easier to navigate text blocks with <code>alt + arrow</code> keyboard combinations, and brings an improved drag-and-drop functionality for images, among other updates.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay on top of the latest enhancements.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>WordPress Translation Day</h2>\n\n\n\n<p>On September 28, 2022, the Polyglots community celebrated <a href=\"https://wptranslationday.org/\"><strong>WordPress Translation Day</strong></a> (WPTD) with some global events throughout the week, including an <a href=\"https://wordpress.tv/2022/09/27/jesus-amieiro-alex-kirk-translate-wordpress-org-feedback-tool-walk-through/\">overview of the GlotPress feedback tool</a>. In addition, there were 13 local events in 11 different languages and across four continents.</p>\n\n\n\n<p>The Training Team joined the celebration by hosting a day-long event to help new contributors translate materials on learn.wordpress.org.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/polyglots/2022/10/04/2022-wordpress-translation-day-recap/\">Check out this recap</a> for more highlights from the event.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Team updates: Dropping security updates for WP 3.7 – 4.0, a new developer-focused course, and more</h2>\n\n\n\n<ul>\n<li>The WordPress Security Team will no longer provide <a href=\"https://wordpress.org/news/2022/09/dropping-security-updates-for-wordpress-versions-3-7-through-4-0/\">security updates for WordPress versions 3.7 through 4.0</a> as of December 2022.</li>\n\n\n\n<li>The first developer-focused course, <a href=\"https://learn.wordpress.org/course/using-the-wordpress-data-layer/\">Using the WordPress Data Layer</a>, is live on Learn WordPress.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/community/2022/09/29/meetup-reactivation-update/\">Global Meetup Reactivation project</a> gathered 39 supporters worldwide so far. As a result of their efforts, 117 meetup groups have reactivated or plan to reactivate in 2022!&nbsp;</li>\n\n\n\n<li>Learn more about <code>do_action</code>’s charity hackathons and how to host one in <a href=\"https://make.wordpress.org/community/2022/09/22/meetup-organizer-newsletter-september-2022/\">the latest edition of the Meetup Organizer Newsletter</a>.</li>\n\n\n\n<li>Would you like to help create content for the <a href=\"https://learn.wordpress.org/\">Learn WordPress</a> platform? The Training Team shared a post on <a href=\"https://make.wordpress.org/training/2022/09/30/become-an-online-workshop-facilitator-or-tutorial-presenter-today/\">how to become an online workshop facilitator or tutorial presenter</a>.</li>\n\n\n\n<li>The WebP proposal was pulled from the upcoming WordPress 6.1 release in response to <a href=\"https://make.wordpress.org/core/2022/09/11/webp-in-core-for-6-1/\">this post and subsequent discussions</a>. Users can still get this feature using the <a href=\"https://wordpress.org/plugins/performance-lab/\">Performance Lab plugin</a>.</li>\n\n\n\n<li>WordPress co-founder Matt Mullenweg suggested <a href=\"https://make.wordpress.org/core/2022/09/11/canonical-plugins-revisited/\">revisiting canonical plugins</a> and adopting a plugin-first approach when developing new features for core.</li>\n\n\n\n<li>The Plugin Team <a href=\"https://make.wordpress.org/plugins/2022/09/13/heroku-free-tier-being-retired/\">reminds plugin authors using Heroku&#8217;s free services to update their services</a> after the company announced the removal of their free plans.</li>\n\n\n\n<li>The Openverse Team <a href=\"https://make.wordpress.org/openverse/2022/09/13/community-meeting-recap-13-september-2022/\">removed the ‘beta’ status</a> from audio support. Also, the index <a href=\"https://make.wordpress.org/openverse/2022/09/05/openverse-biweekly-update-september-5th/\">now includes iNaturalist</a>, making it easy to discover CC-licensed images of flora, fauna, and nature contributed by this community of scientists and naturalists.</li>\n\n\n\n<li>The Hosting and Documentation Teams are collaborating on the creation of a new <a href=\"https://make.wordpress.org/hosting/2022/09/07/wordpress-advanced-administration-handbook/\">WordPress Advanced Administration Handbook</a>.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Want to create diverse and inclusive events that make the WordPress community stronger, but not sure where to get started? <a href=\"https://make.wordpress.org/community/tag/wpdiversity/\">Join WPDiversity to learn more about upcoming workshops</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2022/09/27/15-oct-survey-deadline/\"><strong>Last call to complete the Meetup Annual Survey</strong></a>! Help strengthen this global WordPress program by sharing your feedback by October 15, 2022.</li>\n\n\n\n<li>The Core Team is seeking <a href=\"https://make.wordpress.org/core/2022/10/10/seeking-proposals-for-interop-2023/\">proposals for Interop 2023</a>. Interop is an effort to improve interoperability across the three major web browser engines (Chromium, WebKit, and Gecko). You can submit yours until October 15, 2022.</li>\n\n\n\n<li>Don&#8217;t miss this call for testing on <a href=\"https://make.wordpress.org/themes/2022/09/12/testing-and-feedback-for-using-block-based-template-parts-in-classic-themes/\">using block-based template parts in classic themes</a>.</li>\n\n\n\n<li>The Community Team is gathering feedback on <a href=\"https://make.wordpress.org/community/2022/09/30/help-improve-the-make-community-contributor-day-onboarding/\">onboarding experiences at Contributor Days</a>.</li>\n\n\n\n<li>Version 20.9 of WordPress for <a href=\"https://make.wordpress.org/mobile/2022/10/04/call-for-testing-wordpress-for-android-20-9/\">Android</a> and <a href=\"https://make.wordpress.org/mobile/2022/10/04/call-for-testing-wordpress-for-ios-20-9/\">iOS</a> is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://wordpress.org/news/2022/10/episode-40-all-things-testing-with-special-guests-anne-mccarthy-and-brian-alexander/\">Tune in to the latest episode of WP Briefing</a> to hear guests Anne McCarthy and Brian Alexander discuss their work on the Testing Team and how you can get involved.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Event updates &amp; WordCamps</h2>\n\n\n\n<ul>\n<li>The last batch of <a href=\"https://asia.wordcamp.org/2023/\">WordCamp Asia 2023</a> tickets will be released on October 19, 2022. The organizing team is also <a href=\"https://asia.wordcamp.org/2023/call-for-contributors-stories/\">calling for contributors’ stories</a>.</li>\n\n\n\n<li><a href=\"https://us.wordcamp.org/2022/\">WordCamp US (WCUS) 2022</a> was successfully held last month in San Diego, California. Following two days of presentations, workshops, and a <a href=\"https://make.wordpress.org/project/2022/09/19/wcus-2022-qa/\">Q&amp;A session with Matt Mullenweg</a>, more than 300 attendees participated in the <a href=\"https://make.wordpress.org/updates/2022/09/18/wordcamp-us-contributor-day-2022-recap/\">Contributor Day</a>. National Harbor, Maryland, will host <a href=\"https://us.wordcamp.org/2022/announcing-wordcamp-us-2023/\">next year’s WordCamp US</a> and a Community Summit on August 23-25, 2023.</li>\n\n\n\n<li>In addition to WCUS, four in-person WordCamps took place in September in <a href=\"https://jinja.wordcamp.org/2022/\">Jinja (Uganda)</a>, <a href=\"https://kathmandu.wordcamp.org/2022/\">Kathmandu (Nepal)</a>, <a href=\"https://netherlands.wordcamp.org/2022/\">The Netherlands</a>, and <a href=\"https://pontevedra.wordcamp.org/2022/\">Pontevedra (Spain)</a>. And more WordPress events are on the schedule for the rest of October:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://valencia.wordcamp.org/2022/\">WordCamp Valencia</a>, Spain on October 21-22, 2022</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1e8-1f1ff.png\" alt=\"🇨🇿\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://brno.wordcamp.org/2022/\">WordCamp Brno</a>, Czech Republic on October 22, 2022</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1eb-1f1f7.png\" alt=\"🇫🇷\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://lyon.wordcamp.org/2022/\">WordCamp Lyon</a>, France on October 28, 2022</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Curious about attending a WordCamp event? Listen to <a href=\"https://wordpress.org/news/2022/09/episode-39-contributor-stories-live-from-wordcamp-us/\">contributor stories from WordCamp US 2022</a> on why they use WordPress and go to WordCamps.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story that we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this edition of The Month in WordPress: </em><a href=\'https://profiles.wordpress.org/chaion07/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chaion07</a>, <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>, <a href=\'https://profiles.wordpress.org/robinwpdeveloper/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>robinwpdeveloper</a>, <a href=\'https://profiles.wordpress.org/santanainniss/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>santanainniss</a>, <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13596\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress 6.1 Release Candidate 1 (RC1) Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-1-rc1-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Oct 2022 20:53:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13579\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:320:\"The first release candidate (RC1) for WordPress 6.1 is now available! This is an important milestone in the 6.1 release cycle. “Release Candidate” means that this version of WordPress is ready for release! Before the official release date, time is set aside for the community to perform final reviews and help test. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:9468:\"\n<p>The first release candidate (RC1) for WordPress 6.1 is now available!</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>This is an important milestone in the 6.1 release cycle. “Release Candidate” means that this version of WordPress is ready for release! Before the official release date, time is set aside for the community to perform final reviews and help test. Since the WordPress ecosystem includes thousands of plugins and themes, it is important that everyone checks to see if anything was missed along the way. That means the project would <em>love</em> your help.</p>\n\n\n\n<p>WordPress 6.1 is planned for official release on November 1st, 2022, three weeks from today.&nbsp;</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test RC1 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.1 RC1 in three ways:</p>\n\n\n\n<p><strong>Option 1: </strong>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.1-RC1.zip\">RC1 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.1-RC1</code></p>\n\n\n\n<p>Additional information on the <a href=\"https://make.wordpress.org/core/6-1/\">6.1 release cycle is available here</a>.</p>\n\n\n\n<p>Check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-1/\">6.1-related developer notes</a> in the coming weeks detailing all upcoming changes.</p>\n\n\n\n<h2>What’s in WordPress 6.1 RC1?</h2>\n\n\n\n<p>Since Beta 3, approximately 100 items have been addressed, bringing the total count to more than 2,000 updates since WordPress 6.0 in May of 2022.&nbsp;</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.1\">GitHub tickets</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=10%2F04%2F2022..10%2F11%2F2022&amp;resolution=fixed&amp;milestone=6.1&amp;col=id&amp;col=summary&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac tickets</a>&nbsp;</li>\n</ul>\n\n\n\n<p>WordPress 6.1 is the third major release for 2022, following 5.9 and 6.0, released in January and May of this year, respectively.</p>\n\n\n\n<h3><strong>WordPress 6.1 highlights for end-users</strong></h3>\n\n\n\n<ul>\n<li>Default theme powered by 10 unique style variations (<a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">learn more</a>)</li>\n\n\n\n<li>More design tools in more blocks (<a href=\"https://github.com/WordPress/gutenberg/issues/43241\">learn more</a>)</li>\n\n\n\n<li>Expanded and refined <a href=\"https://make.wordpress.org/core/2022/08/25/core-editor-improvement-refining-the-template-creation-experience/\">template experience</a> and <a href=\"https://make.wordpress.org/core/2022/07/21/core-editor-improvement-deeper-customization-with-more-template-options/\">template options</a></li>\n\n\n\n<li>More intuitive document settings experience</li>\n\n\n\n<li>Improved quote and list blocks with inner block support</li>\n\n\n\n<li>More robust placeholders for various blocks</li>\n\n\n\n<li>New modal interfaces and preferences improvements</li>\n\n\n\n<li>Automatic navigation block selection with fallbacks and easier menu management</li>\n\n\n\n<li>Apply locking settings to all inner blocks in one click</li>\n\n\n\n<li>Improvements to the block theme discovery experience</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">Accessibility updates</a>, with more than 60 resolved tickets</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">Performance updates</a>, with more than 25 resolved tickets</li>\n</ul>\n\n\n\n<h3><strong>WordPress 6.1 highlights for developers</strong></h3>\n\n\n\n<ul>\n<li>Opt into appearance tools to make any theme more powerful</li>\n\n\n\n<li>New iteration on the style system</li>\n\n\n\n<li>Add starter patterns to any post type (<a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/#post-type-patterns\">learn more</a>)</li>\n\n\n\n<li>Evolution of layout options including a new constrained option and the ability to disable layout options</li>\n\n\n\n<li>Content lock patterns for more curation options</li>\n\n\n\n<li>Expanded support for query loop blocks</li>\n\n\n\n<li>Allow the use of block-based template parts in classic themes (<a href=\"https://make.wordpress.org/themes/2022/09/12/testing-and-feedback-for-using-block-based-template-parts-in-classic-themes/\">give feedback</a>)</li>\n\n\n\n<li>Filter <code>theme.json</code> data (<a href=\"https://developer.wordpress.org/block-editor/reference-guides/filters/global-styles-filters/\">learn more</a>)</li>\n\n\n\n<li>Fluid typography allows for more responsiveness (<a href=\"https://make.wordpress.org/themes/2022/08/15/testing-and-feedback-for-the-fluid-typography-feature/\">give feedback</a>)</li>\n\n\n\n<li>Ability to style elements inside blocks like buttons, headings, or captions in <code>theme.json</code></li>\n</ul>\n\n\n\n<p><em>Please note that all features listed in this post are subject to change before the final release</em>.</p>\n\n\n\n<h2>Plugin and theme developers</h2>\n\n\n\n<p>All plugin and theme developers should test their respective extensions against WordPress 6.1 RC1 and update the “<em>Tested up to”</em> version in their readme file to 6.1. If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>, so these items can be investigated further prior to the final release date of November 1st.</p>\n\n\n\n<h2>Translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 6.1 release cycle.</p>\n\n\n\n<h2>Keep WordPress bug-free – help with testing</h2>\n\n\n\n<p>Testing for issues is critical for stabilizing a release throughout its development. Testing is also a great way to contribute. <a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">This detailed guide</a> is an excellent start if you have never tested a beta release.</p>\n\n\n\n<p>Testing helps ensure that this and future releases of WordPress are as stable and issue-free as possible. Anyone can take part in testing – regardless of prior experience.</p>\n\n\n\n<p>Want to know more about testing releases like this one? Read about the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join a <a href=\"https://wordpress.slack.com/messages/core-test/\">core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. This is also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>To review features in the Gutenberg releases since WordPress 6.0 (the most recent major release of WordPress), access the <em>What’s New In Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>, <a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, <a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>, <a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>, <a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>, <a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>, <a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>, <a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>, <a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>, and <a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>Haiku Fun for RC1</h2>\n\n\n\n<p>Languages abound<br>Test today, releases soon<br>Freedom to publish</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Thank you to the following contributors for collaborating on this post:&nbsp;<a href=\"https://profiles.wordpress.org/webcommsat/\">@webcommsat</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13579\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"WordPress 6.1 Beta 3 Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2022/10/wordpress-6-1-beta-3-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 04 Oct 2022 17:55:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13555\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"WordPress 6.1 Beta 3 is now available for download and testing.\n \nLearn how you can help test WordPress!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5709:\"\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><strong><em>WordPress 6.1 Beta 3 is now available for download and testing.</em></strong></p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Beta 3 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.1 Beta 3 in three ways:</p>\n\n\n\n<p><strong>Option 1: </strong>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.1-beta3.zip\">Beta 3 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.1-beta3</code></p>\n\n\n\n<p>The current target for the final release is November 1, 2022, which is about four weeks away.&nbsp;</p>\n\n\n\n<p>Additional information on the <a href=\"https://make.wordpress.org/core/6-1/\">6.1 release cycle is available</a>.</p>\n\n\n\n<p>Check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-1/\">6.1-related developer notes</a> in the coming weeks detailing all upcoming changes.</p>\n\n\n\n<h2><strong>Keep WordPress bug-free – help with testing</strong></h2>\n\n\n\n<p>Testing for issues is critical for stabilizing a release throughout its development. Testing is also a great way to contribute. This detailed guide is an excellent start if you have never tested a beta release before.</p>\n\n\n\n<p>Testing helps ensure that this and future releases of WordPress are as stable and issue-free as possible. Anyone can take part in testing – especially great WordPress community members like you.</p>\n\n\n\n<p>Want to know more about testing releases like this one? Read about the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join a <a href=\"https://wordpress.slack.com/messages/core-test/\">core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. This is also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>To review features in the Gutenberg releases since WordPress 6.0 (the most recent major release of WordPress), access the <em>What’s New In Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>, <a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, <a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>, <a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>, <a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>, <a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>, <a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>, <a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>, <a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>, and <a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>.</p>\n\n\n\n<p>This release contains more than 350 enhancements and 350 bug fixes for the editor, including more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.1&amp;group=component&amp;max=500&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">300 tickets for WordPress 6.1 core</a>. More fixes are on the way in the remainder of the 6.1 release cycle.</p>\n\n\n\n<h2><strong>Some highlights</strong></h2>\n\n\n\n<p><em>Want to know what’s new in version 6.1? </em><a href=\"https://wordpress.org/news/2022/09/wordpress-6-1-beta-1-now-available/\"><em>Read the initial Beta 1 announcement</em></a><em> for some details, or check out the </em><a href=\"https://make.wordpress.org/core/2022/09/14/6-1-product-walk-through-recap/\"><em>product walk-through recording</em></a><em>.</em></p>\n\n\n\n<h2><strong>What’s new in Beta 3</strong></h2>\n\n\n\n<p>Nearly 100 issues have been resolved since Beta 2 was released last week. </p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.1\">Github tickets</a></li>\n\n\n\n<li><a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=09%2F27%2F2022..10%2F04%2F2022&amp;resolution=fixed&amp;milestone=6.1&amp;col=id&amp;col=summary&amp;col=status&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac tickets</a> (may include some overlap with Github)</li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>A Beta 3 haiku for thee</h2>\n\n\n\n<p>Beta time done soon<br>Gather up your WordPress sites<br>RC then we ship</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13555\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WP Briefing: Episode 40: All Things Testing with Special Guests Anne McCarthy and Brian Alexander\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:119:\"https://wordpress.org/news/2022/10/episode-40-all-things-testing-with-special-guests-anne-mccarthy-and-brian-alexander/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 03 Oct 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13551\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:171:\"On this week\'s episode of the WP Briefing, Josepha is joined by special guests Anne McCarthy and Brian Alexander to discuss all thing testing within the WordPress project!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:51:\"https://wordpress.org/news/files/2022/09/WPB040.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:36698:\"\n<p>In the fortieth episode of the WordPress Briefing, Josepha Haden Chomphosy sits down with special guests Anne McCarthy and Brian Alexander to discuss the Testing Team and how to get started with testing in the WordPress project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2>Guests</h2>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/annezazu/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a><br><a href=\"https://profiles.wordpress.org/ironprogrammer/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a></p>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">WordPress 6.1 Testing</a><br><a href=\"https://make.wordpress.org/test/handbook/test-reports/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/test/handbook/test-reports/\">Testing Reports w/ Template</a><br><a href=\"https://make.wordpress.org/test/category/week-in-test/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/test/category/week-in-test/\">Week in Test Series</a><br><a href=\"https://make.wordpress.org/core/handbook/testing/reporting-bugs/\">Reporting Bugs Handbook Page</a><br><a href=\"https://make.wordpress.org/test/handbook/full-site-editing-outreach-experiment/\">Fullsite Editing Outreach Program</a><br><a href=\"https://wordpress.slack.com/archives/C015GUFFC00\">FSE Outreach Experiment Slack Channel</a><br><a href=\"http://make.worpress.org/test\">make.wordpress.org/test</a><br><a href=\"https://wordpress.org/news\">WordPress.org/news</a><br><a href=\"http://learn.wordpress.org\">Learn.wordpress.org</a><br><a href=\"https://www.eventbrite.com/e/wordpress-wpdiversity-speaker-workshop-for-women-voices-in-latin-america-tickets-361213468207\">#WPDiversity Speaker Workshop for Women Voices in Latin America</a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13551\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello everyone. And welcome to the WordPress Briefing, the podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I&#8217;m your host, Josepha Haden Chomphosy.</p>\n\n\n\n<p>Here we go.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:42]&nbsp;</strong></p>\n\n\n\n<p>So I have with us today on the WordPress Briefing a couple of special guests. I have <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a>, as well as <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>. I&#8217;m gonna ask you both to tell us a little bit about yourselves, if you can tell us what you do with the WordPress project, maybe how long you&#8217;ve been with WordPress, and if there are any particular teams that you contribute to, that would be great.&nbsp;</p>\n\n\n\n<p>Brian, why don&#8217;t you get us started?</p>\n\n\n\n<p><strong>[Brian Alexander 00:01:02]&nbsp;</strong></p>\n\n\n\n<p>Hi, I&#8217;m Brian. I work on the WordPress project as a full-time contributor, sponsored by Automattic. And I am one of the Test Team reps, so I help promote testing across the project. And that&#8217;s not just in Core, but it could be for Themes, Performance, feature plugins, what have you. So try to make that stuff move forward and wrangle as many people as we can to get on board and help.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:32]&nbsp;</strong></p>\n\n\n\n<p>Excellent. All right, and Anne, what about you?</p>\n\n\n\n<p><strong>[Anne McCarthy 00:01:36]&nbsp;</strong></p>\n\n\n\n<p>I spearhead the Full Site Editing outreach program. I am a sponsor contributor for Automattic as well, and so I contribute across a couple of different teams depending upon what the outreach program needs as well as various release squads I have been a part of. So for 6.1 coming up, I&#8217;m one of the co-Core Editor triage leads.&nbsp;</p>\n\n\n\n<p>Brian is also on the squad as the co-Test lead, which is very exciting. So it&#8217;s been fun to work with him and be on the podcast. And I&#8217;ve been around the WordPress project since about 2011. But this is, the last couple of years, the first time I&#8217;ve been able to be sponsored by Automattic and be a part of giving back to the community that&#8217;s given me so much.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:13]&nbsp;</strong></p>\n\n\n\n<p>Amazing. All right. For folks who&#8217;ve been listening to the WP Briefing for a while, you know that I&#8217;ve been saying for like a full year that I think that testing is one of the best onboarding opportunities we have. And then also I really like to bring in our co-creators of WordPress through that testing program. Because we don&#8217;t know whether we&#8217;re right or not unless people tell us that we&#8217;re right or not. And we would like to hear so much from the users who, you know, use it and don&#8217;t necessarily have an opportunity, that privilege to kind of build on it or build the CMS itself.</p>\n\n\n\n<p>So I just have a few questions since I&#8217;ve got a couple of our strong testing wranglers here. The first thing I have is what are you doing? Or, do you have any advice for getting people outside of our active contributor base and the community to participate in testing?</p>\n\n\n\n<p><strong>[Anne McCarthy 00:03:03]</strong>&nbsp;</p>\n\n\n\n<p>I can kick this off. Just thinking about the Full Site Editing outreach program model. So just for context, there are various calls for testing in different formats. So everything from really procedural where you&#8217;re following exact steps to follow, to very open-ended calls for testing, as well as we recently did usability testing.</p>\n\n\n\n<p>And one of the things that come to mind immediately just for getting different contributors is to have very specific, fun, engaging, relevant tests that can draw people in. So if you have a call for testing that really speaks to someone, they might be more willing to participate. As well as just different formats.</p>\n\n\n\n<p>So someone may not want to, you know, follow 30 steps, but they might want to follow something more open-ended. They might want to answer a survey rather than opening a GitHub link. And so I think a lot of facilitation with the outreach program has served us really well to bring in different folks as well as explicitly reaching out.</p>\n\n\n\n<p>So I&#8217;ve done a number of talks in different WordPress related spaces and non-WordPress spaces to try to tell people about what we&#8217;re up to and really go meet them where they are. Because I think that&#8217;s ultimately, especially with Covid and the pandemic, there was a really unique opportunity to do that and to join the random online meetup that was happening and talk about the program and talk about ways that people could get involved and feel heard.&nbsp;</p>\n\n\n\n<p><strong>[Anne McCarthy 00:04:12]</strong>&nbsp;</p>\n\n\n\n<p>And the last thing I&#8217;ll mention is translations. The program that&#8217;s culture testing that I write is written in English, but I&#8217;m very fortunate to have people who translate those. And so that&#8217;s a huge way that I cannot contribute but that other people have. And so I really want to highlight that and call that out because it&#8217;s been hugely impactful to have these calls for testing in a way that people can more readily access.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:32]&nbsp;</strong></p>\n\n\n\n<p>Yeah, absolutely.</p>\n\n\n\n<p><strong>[Brian Alexander 00:04:35]&nbsp;</strong></p>\n\n\n\n<p>Yeah, I was going to add in, in addition to the calls for testing that are, as Anne said, structured such to isolate so that someone can just kind of go through a list of steps to do rather than just being exposed to Trac or GitHub and have kind of snow blindness with, with everything that&#8217;s happening.</p>\n\n\n\n<p>We also have a Week in Test series of posts that goes out about every week. And what we try to do with that series is to curate a list of posts that might be a good starting point. So we try to find one that, in each type of testing example, is something that would, a more novice contributor might be able to start with. Things for more intermediate and then also advanced ones that, for testers who may need to have a development environment and the ability to make some pretty deep or type of customizations to their WordPress project in order to test a patch or reproduce a particular issue that might be happening.</p>\n\n\n\n<p>So that&#8217;s a good springboard for someone to come in where there&#8217;s just a small thing that they can kind of look at and then dive into the larger process.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:46]&nbsp;</strong></p>\n\n\n\n<p>Absolutely. That&#8217;s very smart. It&#8217;s hard to figure out how to get started in WordPress at all, let alone as a contributing by testing things sort of area. That feels new to WordPress even though the team has been around for a long time. And so I think that&#8217;s excellent.&nbsp;</p>\n\n\n\n<p>Brian, you mentioned in your note about who you are and what you&#8217;re doing that you&#8217;re helping with testing not only in the test section in the Test Team but then also across the project. So, I have a follow-up question for you. What can developers do to create better tests for their software?</p>\n\n\n\n<p><strong>[Brian Alexander 00:06:18]</strong>&nbsp;</p>\n\n\n\n<p>There are sections within the Core handbook that kind of go into detail about the types of tests that should accompany individual contributions. A lot of those require kind of an extra step, and some developers maybe don&#8217;t have as much experience there. So hopefully, the Core handbook can provide a little bit of that guidance.</p>\n\n\n\n<p>We also have a lot of contributors who are interested in things such as unit testing, E2E testing, which is end-to-end testing, and testing in JavaScript or in PHP. So there&#8217;s a wide variety of the types of tests that you can actually contribute to. And I would say maybe about 50% of the tickets that I&#8217;ve triaged, personally, the contributor who brought in the patch was unable to or was not familiar with providing unit tests. So that is a very good opportunity for someone to come in who maybe is not as well versed in the depth of what the patch was involved with. But by contributing a user test, they get an opportunity to look very focused at a particular piece of code, what was modified, and then create unit tests based on that.</p>\n\n\n\n<p><strong>[Brian Alexander 00:07:40]</strong>&nbsp;</p>\n\n\n\n<p>And then once that unit test has been submitted and starting to be reviewed, other reviewers, Core contributors, or Core committers, I would say, they&#8217;ll start looking at that and if there are additional details that should be there, expanding the tests or little modifications. Then that also is feedback to that test contributor so that the next time they come in, they&#8217;re more prepared for it. They&#8217;re learning more about Core, and eventually, maybe they&#8217;ll also become a Core contributor.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:07]</strong>&nbsp;</p>\n\n\n\n<p>Excellent. We will include links to these handbook pages and documentation in the show notes if you&#8217;re listening to the podcast on your favorite podcasting platform, Pocketcasts, or it&#8217;s somewhere else. I don&#8217;t know where people listen to podcasts, but if you&#8217;re listening to it somewhere that&#8217;s not on the website, you can come to get that on wordpress.org/news.</p>\n\n\n\n<p>Okay, the next question that I have, and I think this is for both of you, Brian, it sounds like you partially answered it, but I bet there are more answers from Anne as well. What advice do you have for those submitting bug reports?</p>\n\n\n\n<p><strong>[Anne McCarthy 00:08:38]</strong>&nbsp;</p>\n\n\n\n<p>I&#8217;ll chime in to start, and then Brian, I&#8217;d love to hear your unique take because I also think you do an excellent job whenever I&#8217;ve engaged with you in various places of providing really good replication steps. And so I love that, and I wanna offer things specific to WordPress itself and something that I&#8217;ve noticed that&#8217;s more cultural rather than necessarily like steps to follow.</p>\n\n\n\n<p>And one of the things I&#8217;ve noticed that I think has started to come up partially with Covid is people, you know, you start talking at WordCamps or at a meetup, and a bug comes up, and you find someone who knows where to put it, and that kind of connection is has been frayed in the last couple years.</p>\n\n\n\n<p>And so one of the things I feel like I&#8217;ve been saying to a lot of different people at this unique point in time is that it doesn&#8217;t need to be perfect. Don&#8217;t let perfect be the enemy of good. And so if it means you just need to drop it in a Slack channel and you just are like, I don&#8217;t know where to put this, that&#8217;s huge.</p>\n\n\n\n<p>We need to hear from people across the project. And I just really encourage anyone, even if you don&#8217;t have the complete information or you&#8217;re not a hundred percent sure you&#8217;re afraid it&#8217;s been reported 10 times before, like, please still report it because we need those reports and also if 10 people reported it and it&#8217;s still not fixed, that also means we need to iterate.</p>\n\n\n\n<p><strong>[Anne McCarthy 00:09:40]&nbsp;</strong></p>\n\n\n\n<p>And so that&#8217;s one of the things, especially with the Full Site Editing outreach program, I feel people will message me saying, hey, I&#8217;m sure you&#8217;ve heard this a bunch, but… And sometimes I&#8217;ve never heard it at all. And I shudder to think of all the people who have not reached out or have not posted in GitHub or Trac or wherever.</p>\n\n\n\n<p>So yeah, share, and write blog posts. I think that another great way that people can give feedback is if you don&#8217;t know how to get into the depths of WordPress, writing a post and talking about it and sharing it on social media is also a great way to get attention. I read a lot of those. But as much as possible, getting to, if you can, if you&#8217;re comfortable, getting to the source where we&#8217;re able to see it in Github or Trac goes a really long way.</p>\n\n\n\n<p>And share as much as you can. And don&#8217;t worry if you can&#8217;t spend hours writing the perfect bug report, we still wanna hear from you.</p>\n\n\n\n<p><strong>[Brian Alexander 00:10:21]&nbsp;</strong></p>\n\n\n\n<p>Yeah. Building off of what Anne said, just the fact that you&#8217;re speaking out and raising an issue is a huge step for many, many people. And once, once you&#8217;ve actually done that, as Anne said, it doesn&#8217;t need to be perfect. There are a lot of other people who are going to be looking at these bugs, trying to figure out the replication steps used.</p>\n\n\n\n<p>So even if you can&#8217;t provide all this detail up front, someone will help. On the back end, they&#8217;ll help kind of fill in those gaps. If you do have the time to actually get deep into providing a very detailed bug report, then there are some key aspects of the bug report that make it very helpful for contributors, not only testers, who should be able to reproduce the issue to validate and make sure that this isn&#8217;t something that&#8217;s unique, unique to a plugin, to a custom theme or snippet that you dropped into your functions PHP.&nbsp;</p>\n\n\n\n<p>But, also for the actual Core contributors, who then need to be able to understand what is happening so that they can fix the right thing. And some of those items are the information about your testing environment.</p>\n\n\n\n<p><strong>[Brian Alexander 00:11:34]&nbsp;</strong></p>\n\n\n\n<p>So that could be your browser, your server, the type, whether it&#8217;s Apache, Nginx, et cetera, the operating system you&#8217;re running, what version of PHP you&#8217;re running, the version of WordPress, very critical, and…&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:49]</strong>&nbsp;</p>\n\n\n\n<p>Super important.</p>\n\n\n\n<p><strong>[Brian Alexander 00:11:51]&nbsp;</strong></p>\n\n\n\n<p>Any themes and plugins that you&#8217;re using. And that kind of information helps set the stage, and then other people will be able to set up their environment similarly if they&#8217;re going to try to test it.</p>\n\n\n\n<p>After you have provided the environmental information, the steps required to reproduce the issue should be as detailed as possible. You may not have realized that clicking this caused such and such to happen, so just try to remember, or maybe even walk through if it&#8217;s something you can repeat multiple times, walk through a couple of times and write down everything that you&#8217;re doing.</p>\n\n\n\n<p><strong>[Brian Alexander 00:12:30]&nbsp;</strong></p>\n\n\n\n<p>So that you&#8217;re sure, hey, this is the way that I can reproduce this bug. And then those steps will be very helpful for other contributors when they&#8217;re reviewing it. And then it&#8217;s also very helpful if you have video, screenshots, debug logs, any of those other kinds of resources that you could refer to because not all bugs are easy to explain.</p>\n\n\n\n<p>And we tend to… Trac and GitHub issues for the Gutenberg project, everybody&#8217;s writing in English. And maybe your main language is not English, and it might be a little bit challenging to do that. So providing a video, it&#8217;s worth a thousand words in any language. So, if you can provide those types of assets, that&#8217;s also very important.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:13:22]&nbsp;</strong></p>\n\n\n\n<p>Yeah, and I&#8217;ll share a little bit of a you&#8217;re-not-alone-in-it sort of anecdotes from the first few bugs that I ever filed for WordPress. I sort of had this feeling that if I were to file a bug, everyone would know that I wasn&#8217;t a developer. And like everyone knows, I&#8217;m not a developer, but a little bit I was like, they&#8217;ll know now. And so if that&#8217;s where you are also,&nbsp; Anne said it, and Brian said it as well, like, we can&#8217;t fix things that we don&#8217;t realize are broken. And just because you&#8217;ve run into it 15 times, which obviously should never happen, you should run into it once, and then we know, but it happens.</p>\n\n\n\n<p>If you run into it 15 times, probably other people have as well. And if it&#8217;s still not fixed, it might be because no one has thought to themselves I should tell someone that&#8217;s broken. And so if that&#8217;s your primary hurdle, folks out there in our listening space, I was once there too. And honestly, knowing that it&#8217;s a problem is as valuable as knowing the solution to it most of the time.&nbsp;</p>\n\n\n\n<p><strong>[Brian Alexander 00:14:23]</strong>&nbsp;</p>\n\n\n\n<p>Yeah, and those are, I wanted to add, there is a lot to that to remember. That&#8217;s a lot to remember in terms of what you should be submitting, what, or I should say, what would be ideal in what you&#8217;re submitting. But luckily, in the test handbook, there&#8217;s a test report section, and it includes a description, it goes everything from, it starts with why we do bug reports to examples of the types of testing, whether it be for bugs or enhancements, which also need testing, and it has templates in there that you can copy and paste directly into Trac. And that&#8217;s very helpful.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:15:03]</strong></p>\n\n\n\n<p>Yeah,, we will have links to those in the show notes as well. Since we&#8217;re right there at that moment, what do you think we could do as WordPress to make reporting problems easier?</p>\n\n\n\n<p><strong>[Brian Alexander 00:15:15]</strong>&nbsp;</p>\n\n\n\n<p>I know that this has been something that&#8217;s come up during our weekly meetings, discussions on the Core test channel, as well as in contributor day test table discussions. And the test documentation that&#8217;s on the website is a little bit fragmented. I believe that the current test handbook was originally written for a type of flow analysis and feedback testing that is not the norm today. So it&#8217;s a little bit confusing. The terminology is a little dated, and the most recent updates that have been provided on there relate solely to Gutenberg, which is very important that that also be represented, but, in order to find information about testing and Trac or PHP unit tests, you have to go over to the core handbook.</p>\n\n\n\n<p>So we could definitely make things improved by consolidating, bringing everything into one area so that if you are interested in testing, you&#8217;ll have everything in one place and not be split between that and not have outdated methodologies that are asking you to submit videos that nobody&#8217;s going to really look at because we&#8217;re not doing the flow tests anymore. So I think that that would be a benefit to future testers.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:16:41]</strong>&nbsp;</p>\n\n\n\n<p>Anne, any thoughts?</p>\n\n\n\n<p><strong>[Anne McCarthy 00:16:43]</strong></p>\n\n\n\n<p>Yeah. I&#8217;ll also add that I think there are like two things we can do. One is, there&#8217;s so much happening in the WordPress project in such a cool way that I think the more we can write targeted tests and talk to people about, like, hey, here&#8217;s this new thing coming. This is a high-impact area to test. It&#8217;s under active iteration. You&#8217;re gonna get a lot of engagement. People are really thinking about this and pulling people into that where you kind of get the momentum of getting the feedback in right when someone needs it.&nbsp;</p>\n\n\n\n<p>I think we could do that a bit more to make reporting problems easier because it&#8217;s kind of like you&#8217;re in the thick of it with a lot of people rather than maybe exploring an area where someone hasn&#8217;t looked at it in a minute.</p>\n\n\n\n<p>So that’s the thing that comes to mind is just the more we can take the time. I think this release cycle has been really good with that, where there&#8217;s been a call for testing for fluid typography. There&#8217;s also been one for using block template parts and classic themes. And there&#8217;s a ton of stuff that&#8217;s been happening where we can kind of make these both developer and more end user testing experiences easier and better.</p>\n\n\n\n<p>And Brian has done a great job continuing the tradition of, you know, helping test this latest release cycle. And he&#8217;s taken those posts and done an amazing job of helping, having specific testing as well. Tied to this, I think just this has always been a thing but better, easier testing environments for developers and for quickly setting up more WordPress sites to test things for end users.</p>\n\n\n\n<p><strong>[Brian Alexander 00:17:56]</strong></p>\n\n\n\n<p>Yeah. Another thing that we have been discussing in Slack in the Core and Core Test channels is the possibility of pre-populating the Trac tickets. With a template based on what it is that you&#8217;re reporting. So similar to copying a template for a test report out of the handbook. Instead, you would hit a button to say the type of bug you are submitting, and then it would pre-populate that, and then you could fill in the gaps for that. This already happens over in Gutenberg. There, there are templates, and I find that that is very helpful. And so being able to do that in Trac would be useful.&nbsp;</p>\n\n\n\n<p>And then for reporting problems on the user side, I thought that it would be interesting to have like you have for any other modern app, a button that says Report Bug in WordPress that could capture some intelligence data for your installation, the page that you&#8217;re on and have a simple text box where you could provide a little description and then submit that.</p>\n\n\n\n<p><strong>[Brian Alexander 00:19:08]&nbsp;</strong></p>\n\n\n\n<p>Now, these wouldn&#8217;t be the types of things that would just go straight into Trac, most likely. However, it would be an opportunity to allow end users to just send something in, and start having it looked at, rather than looking and saying, okay, I found a bug in WordPress. Now, what do I do?&nbsp; And then not reporting.&nbsp;</p>\n\n\n\n<p>So that would be the worst case is that the bug just doesn&#8217;t get reported. So that would be information that is already harvested if you go to your site health screen and your WordPress installation. A lot of that information that would be useful is there. In this type of bug report, we would want to anonymize and strip a lot of that information out.</p>\n\n\n\n<p>There&#8217;s a lot of private stuff you don&#8217;t wanna share, but there is that data there that&#8217;s available that could potentially help in doing a bug report.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:19:57]</strong></p>\n\n\n\n<p>Brilliant. All right. Question for everyone in the room: what opportunities are there currently to help with testing? Anne, I know, and you already mentioned a few, we can just bombard everybody with links to the tests if we want. But yeah, what opportunities are currently out there?</p>\n\n\n\n<p><strong>[Anne McCarthy 00:20:13]</strong></p>\n\n\n\n<p>Yeah, I&#8217;ll mention the Full Site Editing outreach program. I&#8217;m very biased, but we&#8217;re always looking for new folks. We just crossed, I think, 600 people, which was unbelievable. So even if you&#8217;re not necessarily always able to help join the calls for testing, you can always pop into the FSE outreach experiment channel, which we&#8217;ll also add a link to.</p>\n\n\n\n<p>And that&#8217;s just a great way when you have time to join because I flag stuff all the time, whether it&#8217;s about the outreach program or just in general across the project. Brian does really good weekly round-up testing posts as well. So make.wordpress.org/test is also a great place to get started.</p>\n\n\n\n<p>And then right now, I think when this comes out, will be a great time to be helping test WordPress 6.1. So check out that post. I kind of wanna just shove everyone in that direction currently cause I think that&#8217;s the most high-impact thing to get involved with and one of the great ways to give back to the next version of WordPress to make it really delightful and easy to use.</p>\n\n\n\n<p>Yeah, I&#8217;m just gonna leave it there, even though there are so many ways you can help.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:21:11]</strong></p>\n\n\n\n<p>WordPress 6.1 coming out on November 1st if you haven&#8217;t yet heard about it. Brian, what else have you got out there?</p>\n\n\n\n<p><strong>[Brian Alexander 00:21:16]</strong>&nbsp;</p>\n\n\n\n<p>In terms of the online stuff, Anne covered that pretty well. I would say if you have a local WordCamp, sign up for their contributor day or if there are any local WordPress meetups. When Covid ended up hitting and lockdowns were rolled out, a lot of this stuff started to really slow down. So I think now is a good time to maybe introduce the idea for, hey, let&#8217;s have a local meetup, and for a couple of hours, we&#8217;ll just do some testing, and look at some stuff in WordPress.&nbsp;</p>\n\n\n\n<p>So it might be a good way of getting people re-engaged. It&#8217;s a little bit lighter weight if you&#8217;re doing testing versus trying to actually provide a patch to fix an issue. So, might be a good way of bringing in some new faces and re-engaging people who we lost over the lockdown.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:22:09]</strong>&nbsp;</p>\n\n\n\n<p>Yeah, and if you all have never done a testing party for WordPress before, and it sounds like it&#8217;s maybe a really boring thing, it&#8217;s actually not, she said with strong authority and opinions. But also, I have never had a more successful learning experience with the WordPress CMS than when I was trying to figure it out with other people.</p>\n\n\n\n<p>They see things that you don&#8217;t see, they know things you don&#8217;t know, and it really covers a lot of the bases for unknown unknowns when you&#8217;re trying to learn something. And then also you have all these people that like, we’re really in it with you, and everyone&#8217;s really pulling for each other, and it&#8217;s actually a bit more fun than it sounds like when you&#8217;re just like, a testing party. It turns into just like jointly solving a puzzle together, which I think sounds like a lot of fun.</p>\n\n\n\n<p>It&#8217;s like a party, but for technology, I would feel this way. I am a mad extrovert, and we all know it, but. Now you two know it as well.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:23:08]&nbsp;</strong></p>\n\n\n\n<p>I have a final, just like a fun question for you both, and if you have an answer, great. And if you don&#8217;t have an answer, I would be surprised.</p>\n\n\n\n<p>So here we go. Last question of the day. If five more volunteers suddenly appeared to help on the Test Team, what would they do? Just, I waved a magic wand. I guess that&#8217;s what made it fun. I don&#8217;t know why. I was like, fun question and then I&#8217;m, like, assigned tasks that, Yeah, I waved a magic wand. That&#8217;s what made it fun.</p>\n\n\n\n<p><strong>[Brian Alexander 00:23:38]&nbsp;</strong></p>\n\n\n\n<p>Yeah, I would say I would probably point them to FSE outreach program posts because…</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:23:45]</strong>&nbsp;</p>\n\n\n\n<p>Woot woot.&nbsp;</p>\n\n\n\n<p><strong>[Brian Alexander 00:23:47]</strong></p>\n\n\n\n<p>…the outreach program does a great job of outlining steps. You&#8217;re isolating testing in one particular area. It&#8217;s got a lot of tests. There&#8217;s examples of the types of feedback that you&#8217;re looking for, et cetera.</p>\n\n\n\n<p>That&#8217;s a really good introduction to it, and most FSE testing does not require a local dev environment. Which is probably the biggest hurdle for a new tester coming in. If you do have developers with more experience, then they could start–and they wanted to look into Trac tickets or GitHub issues– then it does take a little bit of setup and you may spend the next few hours configuring your development environment.</p>\n\n\n\n<p>So instead, I would recommend that you start with something like FSE outreach program posts.</p>\n\n\n\n<p><strong>[Anne McCarthy 00:24:37]</strong></p>\n\n\n\n<p>I did not pay Brian to say that.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:24:42]&nbsp;</strong></p>\n\n\n\n<p>We&#8217;re just all partial to it here. That&#8217;s all.</p>\n\n\n\n<p><strong>[Anne McCarthy 00:24:45]&nbsp;</strong></p>\n\n\n\n<p>No, we really are. Yeah, no, this is, I love this question, and I actually find it really fun cause I think about it a lot. And we&#8217;ve talked about some of this stuff too, and it&#8217;s something that when I think about five more people suddenly appearing, makes me giddy.</p>\n\n\n\n<p>Because we have folks, who have helped with like, I think I&#8217;ve mentioned like translations and group testing and even responding to questions that come from the channel and like, I just wish if we had five folks full time dedicated to that, I could see way more hallway hangouts where we casually talk about stuff and actually go on a call and talk live.</p>\n\n\n\n<p>I could see folks, someone dedicated to helping translations and translating even more places. We have an Italian contributor who does it regularly, and a couple of Japanese contributors every once in awhile we get Spanish translation. But I&#8217;d love to see more translations to bring more people in, more facilitating group testing, more types of testing, helping me be more creative because sometimes I get a creative wall.</p>\n\n\n\n<p>But more than anything, if I really think long term about the project and thinking about this outreach program model, which I don&#8217;t think I fully appreciated how new it was, Josepha, when you introduced the idea, I think it would be so neat to bring in more folks to actually create new outreach programs.</p>\n\n\n\n<p><strong>[Anne McCarthy 00:25:52]&nbsp;</strong></p>\n\n\n\n<p>So maybe there&#8217;s an outreach program for theme authors or block theme authors, or maybe there&#8217;s an outreach program around collaborative editing. Like what does this look like, and how can we expand this to bring more people in? And I think a lot of that will prove the resiliency and lessons we&#8217;ve learned from Covid in the WordPress community.&nbsp;</p>\n\n\n\n<p>We can&#8217;t necessarily always rely on the meetup groups, so how can we meet people where they are? And I think there&#8217;s something really interesting and almost serendipitous that the outreach program started literally, I think it was like May 2020, like a couple of months into the pandemic.</p>\n\n\n\n<p>And I, like, I want to see it in a position of strength where we both have the in-person community alongside this outreach program model that can intertwine work. And I&#8217;d love to see the model expand to different types. And right now, maybe part of that is we use the outreach program model, the full site editing outreach program group itself, to experiment more and to keep that level of experimentation.</p>\n\n\n\n<p>That&#8217;s something I feel really strongly about is continuing to find what works and what doesn&#8217;t. And so if we had five more people, I could just, I&#8217;d probably go wild and have all sorts of cool, cool things and spinoffs, but I&#8217;m more introverted than Josepha, so there&#8217;s limitations to this.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:26:56]</strong>&nbsp;</p>\n\n\n\n<p>Well, you heard it here first. If you&#8217;re one of my 6,000 listeners. I only need five of one of you. Five of the ones of you to come and make Anne&#8217;s whole life an exciting joy for the next 12 months. So, I only need five of you and I know that you&#8217;re out there. There are 2000 or something, 6,000. I have no idea.</p>\n\n\n\n<p>I&#8217;ve got more than 1000 of you listening, and I know that you wanna come and help Anne cuz she&#8217;s a delight. I know you wanna come help Brian cuz he&#8217;s a delight. Both of you. This was such a fun conversation. Thank you for joining me today.</p>\n\n\n\n<p><strong>[Brian Alexander 00:27:29]</strong>&nbsp;</p>\n\n\n\n<p>Thank you, Josepha. Thank you, Anne.</p>\n\n\n\n<p><strong>[Anne McCarthy 00:27:31]</strong>&nbsp;</p>\n\n\n\n<p>Yeah. Thank you.</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:27:33]</p>\n\n\n\n<p>And there it is a bit of a deep dive on the Test Team and how to get started on it. Like I mentioned, we&#8217;ll have a ton of links in the show notes over on wordpress.org/news. And I wanna remind folks that if you have questions or thoughts that you&#8217;d like to hear from me about, you can always email us at WPbriefing@wordpress.org.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:27:58]&nbsp;</strong></p>\n\n\n\n<p>That brings us now to our small list of big things. First and foremost, we are counting down the days to the WordPress 6.1 release. We are within a month of the target release date. So if you have not tested the latest version with your plugins or themes, now is the time.&nbsp;</p>\n\n\n\n<p>Secondly, we are seeing translated tutorials being submitted on learn.wordpress.org. I&#8217;m delighted to see that happening, and I encourage any polyglots out there who feel called to consider translating one into your language and help other people feel empowered to use WordPress.&nbsp;</p>\n\n\n\n<p>And then the third thing is that the WordPress Speaker Workshop for Women Voices in India just concluded, so to celebrate, we&#8217;ve opened registrations for the WordPress Speaker Workshop for Women Voices in Latin America. Unlike the last one, this event takes place in person on October 29th. And so I&#8217;ll include a link to registrations for that in the show notes as well.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thanks for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosey, and I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13551\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"WordPress 6.1 Beta 2 Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2022/09/wordpress-6-1-beta-2-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 27 Sep 2022 18:12:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13533\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:306:\"WordPress 6.1 Beta 2 is now available for download and testing.\n\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Beta 2 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5875:\"\n<p><em><strong>WordPress 6.1 Beta 2 is now available for download and testing.</strong></em></p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Beta 2 on a test server and site.&nbsp;</p>\n\n\n\n<p>You can test WordPress 6.1 Beta 2 in three ways:</p>\n\n\n\n<p><strong>Option 1: </strong>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.1-beta2.zip\">Beta 2 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.1-beta2</code></p>\n\n\n\n<p>The current target for the final release is November 1, 2022, which is about five weeks away.&nbsp;</p>\n\n\n\n<p>Additional information on the <a href=\"https://make.wordpress.org/core/6-1/\">6.1 release cycle is available</a>.</p>\n\n\n\n<p>Check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-1/\">6.1-related developer notes</a> in the coming weeks detailing all upcoming changes.</p>\n\n\n\n<h2><strong>Keep WordPress bug-free – help with testing</strong></h2>\n\n\n\n<p>Testing for issues is critical for stabilizing a release throughout its development. Testing is also a great way to contribute. This detailed guide is an excellent start if you have never tested a beta release before.</p>\n\n\n\n<p>Testing helps ensure that this and future releases of WordPress are as stable and issue-free as possible. Anyone can take part in testing – especially great WordPress community members like you.</p>\n\n\n\n<p>Want to know more about testing releases like this one? Read about the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join a <a href=\"https://wordpress.slack.com/messages/core-test/\">core-test channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable&nbsp;writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. This is also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>To review features in the Gutenberg releases since WordPress 6.0 (the most recent major release of WordPress), access the <em>What’s New In Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>, <a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, <a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>, <a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>, <a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>, <a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>, <a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>, <a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>, <a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>, and <a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>.</p>\n\n\n\n<p>This release contains more than 350 enhancements and 350 bug fixes for the editor, including more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.1&amp;group=component&amp;max=500&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">300 tickets for WordPress 6.1 core</a>. More fixes are on the way in the remainder of the 6.1 release cycle.</p>\n\n\n\n<h2><strong>Some highlights</strong></h2>\n\n\n\n<p>Want to know what’s new in version 6.1? <a href=\"https://wordpress.org/news/2022/09/wordpress-6-1-beta-1-now-available/\">Read the initial Beta 1 announcement</a> for some details, or check out the <a href=\"https://make.wordpress.org/core/2022/09/14/6-1-product-walk-through-recap/\">product walk-through recording</a>.</p>\n\n\n\n<h2><strong>What’s new in Beta 2</strong></h2>\n\n\n\n<p>Here are some updates since last week&#8217;s Beta 1 release:</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.1\">24 issues addressed in GitHub</a></li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>A haiku for Beta 2</h2>\n\n\n\n<p>WordPress six-point-one,<br>Please help test Beta 2 now.<br>Best release ever.<br></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Thank you to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/dansoschin/\">@dansoschin</a>, <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">@robinwpdeveloper</a>, <a href=\"https://profiles.wordpress.org/webcommsat/\">@webcommsat</a>, <a href=\'https://profiles.wordpress.org/jeffpaul/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jeffpaul</a>, and <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13533\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"WordPress 6.1 Beta 1 Now Available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2022/09/wordpress-6-1-beta-1-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 21 Sep 2022 17:09:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13495\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:306:\"WordPress 6.1 Beta 1 is now available for download and testing.\n\nThis version of the WordPress software is under development. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Beta 1 on a test server and site.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8473:\"\n<p>WordPress 6.1 Beta 1 is now available for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development</strong>. Please do not install, run, or test this version of WordPress on production or mission-critical websites. Instead, it is recommended that you test Beta 1 on a test server and site.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>You can test WordPress 6.1 Beta 1 in three ways:</p>\n\n\n\n<p><strong>Option 1: </strong>Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</p>\n\n\n\n<p><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.1-beta1.zip\">Beta 1 version (zip)</a>.</p>\n\n\n\n<p><strong>Option 3:</strong> Use the following WP-CLI command:</p>\n\n\n\n<p><code>wp core update --version=6.1-beta1</code></p>\n\n\n\n<p>The current target for the final release is November 1, 2022, which is about six weeks away.&nbsp;</p>\n\n\n\n<p>Additional information on the <a href=\"https://make.wordpress.org/core/6-1/\">6.1 release cycle is available</a>.</p>\n\n\n\n<p>Check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-1/\">6.1-related developer notes</a> in the coming weeks detailing all upcoming changes.</p>\n\n\n\n<h2><strong>Keep WordPress bug-free – help with testing</strong></h2>\n\n\n\n<p>Testing for issues is critical for stabilizing a release throughout its development. Testing is also a great way to contribute. If you have never tested a beta release before, <a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">this detailed guide</a> is a great start.</p>\n\n\n\n<p>Testing helps make sure that this and future releases of WordPress are as stable and issue-free as possible. Anyone can do it – especially great WordPress community members like you.</p>\n\n\n\n<p>Want to know more about testing releases like this one? Read about the <a href=\"https://make.wordpress.org/test/\">testing initiatives</a> that happen in Make Core. You can also join a <a href=\"https://wordpress.slack.com/messages/core-test/\">publicly-accessible channel</a> on the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack workspace</a>.</p>\n\n\n\n<p>If you think you have run into an issue, please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. This is also where you can find a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</p>\n\n\n\n<p>To review features in the Gutenberg releases since WordPress 6.0 (the most recent major release of WordPress), access the <em>What’s New In Gutenberg</em> posts for <a href=\"https://make.wordpress.org/core/2022/09/16/whats-new-in-gutenberg-14-1-15-september/\">14.1</a>, <a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\">14.0</a>, <a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\">13.9</a>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\">13.8</a>, <a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\">13.7</a>, <a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\">13.6</a>, <a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\">13.5</a>, <a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\">13.4</a>, <a href=\"https://make.wordpress.org/core/2022/05/26/whats-new-in-gutenberg-13-3-0-may-25/\">13.3</a>, <a href=\"https://make.wordpress.org/core/2022/05/12/whats-new-in-gutenberg-13-2-may-11/\">13.2</a>, and <a href=\"https://make.wordpress.org/core/2022/04/28/whats-new-in-gutenberg-13-1-27-april/\">13.1</a>.</p>\n\n\n\n<p>This release contains more than 350 enhancements and 350 bug fixes for the editor, including more than <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;milestone=6.1&amp;group=component&amp;max=500&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=priority&amp;col=component&amp;col=version&amp;order=priority\">250 tickets for the WordPress 6.1 core</a>.</p>\n\n\n\n<h2><strong>Some highlights</strong></h2>\n\n\n\n<p><em>Want to know what’s new in WordPress version 6.1? Read on for some highlights.</em></p>\n\n\n\n<h3>Features for end-users</h3>\n\n\n\n<ul>\n<li>Default theme powered by 10 unique style variations (<a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\" target=\"_blank\">learn more</a>)</li>\n\n\n\n<li>More design tools in more blocks (<a rel=\"noreferrer noopener\" href=\"https://github.com/WordPress/gutenberg/issues/43241\" target=\"_blank\">learn more</a>)</li>\n\n\n\n<li>Expanded and refined&nbsp;<a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/core/2022/08/25/core-editor-improvement-refining-the-template-creation-experience/\" target=\"_blank\">template experience</a>&nbsp;and&nbsp;<a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/core/2022/07/21/core-editor-improvement-deeper-customization-with-more-template-options/\" target=\"_blank\">template options</a></li>\n\n\n\n<li>More intuitive document settings experience</li>\n\n\n\n<li>Header and footer patterns for all themes</li>\n\n\n\n<li>Improved quote and list blocks with inner block support</li>\n\n\n\n<li>More robust placeholders for various blocks</li>\n\n\n\n<li>New modal interfaces and preferences improvements</li>\n\n\n\n<li>Automatic navigation block selection with fallbacks and easier menu management</li>\n\n\n\n<li>Apply locking settings to all inner blocks in one click</li>\n\n\n\n<li>Improvements to the block theme discovery experience</li>\n\n\n\n<li>Accessibility updates, with more than 60 resolved tickets</li>\n\n\n\n<li>Performance updates, with more than 25 resolved tickets</li>\n</ul>\n\n\n\n<h3>For developers</h3>\n\n\n\n<ul>\n<li>Opt into appearance tools to make any theme more powerful</li>\n\n\n\n<li>New iteration on the style system</li>\n\n\n\n<li>Add starter patterns to any post type (<a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/#post-type-patterns\" target=\"_blank\">learn more</a>)</li>\n\n\n\n<li>Evolution of layout options including a new&nbsp;<code>constrained</code>&nbsp;option and the ability to disable layout options</li>\n\n\n\n<li>Content lock patterns for more curation options</li>\n\n\n\n<li>Expanded support for query loop blocks</li>\n\n\n\n<li>Allow the use of block-based template parts in classic themes (<a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/themes/2022/09/12/testing-and-feedback-for-using-block-based-template-parts-in-classic-themes/\" target=\"_blank\">give feedback</a>)</li>\n\n\n\n<li>Filter <code>theme.json</code> data (<a rel=\"noreferrer noopener\" href=\"https://developer.wordpress.org/block-editor/reference-guides/filters/global-styles-filters/\" target=\"_blank\">learn more</a>)</li>\n\n\n\n<li>Fluid typography allows for more responsiveness (<a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/themes/2022/08/15/testing-and-feedback-for-the-fluid-typography-feature/\" target=\"_blank\">give feedback</a>)</li>\n\n\n\n<li>Ability to style elements inside blocks like buttons, headings, or captions in <code>theme.json</code></li>\n</ul>\n\n\n\n<p><em>Please note that all features listed in this post are subject to change before the final releas</em>e.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>A Haiku for you</h2>\n\n\n\n<p>Twenty Twenty-Three<br>10 style variations<br>The new default theme</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Thank you to the following contributors for collaborating on this post: <a href=\"https://profiles.wordpress.org/dansoschin/\">@dansoschin</a>,  <a href=\"https://profiles.wordpress.org/annezazu/\">@annezazu</a>, <a href=\"https://profiles.wordpress.org/cbringmann/\">@cbringmann</a>, <a href=\"https://profiles.wordpress.org/davidb/\">@davidbaumwald</a>, <a href=\"https://profiles.wordpress.org/priethor/\">@priethor</a>, and <a href=\"https://profiles.wordpress.org/jeffpaul/\">@jeffpaul</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13495\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WP Briefing: Episode 39: Contributor Stories Live from WordCamp US!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://wordpress.org/news/2022/09/episode-39-contributor-stories-live-from-wordcamp-us/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 19 Sep 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13481\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"Live from WordCamp US 2022, listen to contributor stories about why they WordPress. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/09/WP-Briefing-039.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:13436:\"\n<p>In the thirty-ninth episode of the WordPress Briefing, hear contributors at WordCamp US share stories about their why for using WordPress and attending WordCamps. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a> and <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloé Bringmann</a><br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2>Guests</h2>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/topher1kenobe/\">Topher DeRosia</a><br><a href=\"https://profiles.wordpress.org/jenblogs4u/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/jenblogs4u/\">Jen Miller</a><br><a href=\"https://wordpress.org/support/users/courane01/\" data-type=\"URL\" data-id=\"https://wordpress.org/support/users/courane01/\">Courtney Robertson</a><br><a href=\"https://profiles.wordpress.org/kdrewien/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/kdrewien/\">Kathy Drewien</a><br><a href=\"https://profiles.wordpress.org/alexstine/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a><br><a href=\"https://profiles.wordpress.org/courtneypk/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/courtneypk/\">Courtney&nbsp;Patubo&nbsp;Kranzke</a><br><a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br><a href=\"https://www.linkedin.com/in/ri%C4%8Dardas-kudirka-3815a976/?originalSubdomain=lt\">Ricardas Kudirka</a></p>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/polyglots/2022/09/06/announcement-wordpress-translation-day-2022/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/polyglots/2022/09/06/announcement-wordpress-translation-day-2022/\">WordPress Translation Day September 28, 2022</a><br><a href=\"https://woosesh.com/\" data-type=\"URL\" data-id=\"https://woosesh.com/\">WooSesh October 11-13, 2022</a><br><a href=\"https://2022.allthingsopen.org/\" data-type=\"URL\" data-id=\"https://2022.allthingsopen.org/\">All Things Open October 30-November 2, 2022</a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13481\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello, everyone! And welcome to the WordPress Briefing, the podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy.&nbsp;</p>\n\n\n\n<p>Here we go!</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:41]&nbsp;</strong></p>\n\n\n\n<p>For folks who are new to WordPress in the past couple of years, you may have heard people talk about WordPress events with a sort of passion that really is hard to describe. For me, I know our events are the dark matter of what makes this global, fully distributed, multifaceted project come together so well in the end.</p>\n\n\n\n<p>But I also know that WordPressers have so many different reasons for coming together. So we took a little wander through WordCamp US to get their take on why they use WordPress and also why they go to WordCamps.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:13]&nbsp;</strong></p>\n\n\n\n<p>So WordCamp US is back in person for the first time since 2019. What are you most excited about?</p>\n\n\n\n<p><strong>[Topher 00:01:19]&nbsp;</strong></p>\n\n\n\n<p>I am Topher.</p>\n\n\n\n<p>Seeing everyone, the interpersonal relationships, the communication, the expressions on people&#8217;s faces that you don&#8217;t get via email or Slack or whatever. Just being near people again and enjoying each other&#8217;s company.</p>\n\n\n\n<p><strong>[Jen Miller 00:01:35]&nbsp;</strong></p>\n\n\n\n<p>My name is Jen Miller.</p>\n\n\n\n<p>I was most excited to see my friends. It&#8217;s been a long time to try to maintain connections via social media and, you know, texting and phone calls. But being here and being a part of the WordPress community has made everything great.</p>\n\n\n\n<p><strong>[Courtney Robertson 00:01:54]&nbsp;</strong></p>\n\n\n\n<p>Courtney Robertson.</p>\n\n\n\n<p>Contributor day, of course, that&#8217;s how I got really connected to the WordPress community. And I am hoping we have a great turnout.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:02]&nbsp;</strong></p>\n\n\n\n<p>How long have you been a contributor to WordPress?</p>\n\n\n\n<p><strong>[Kathy Drewien 00:02:05]&nbsp;</strong></p>\n\n\n\n<p>Hi, I&#8217;m Kathy Drewien.</p>\n\n\n\n<p>I started in 2008 by attending my first WordCamp. Two years later, I was part of the organizing team for WordCamp Atlanta. I have been on that team for one role or another. Well, I can&#8217;t tell you how many years now. From then, until now.</p>\n\n\n\n<p><strong>[Alex Stine 00:02:24]&nbsp;</strong></p>\n\n\n\n<p>My name is Alex Stine. About six years now.</p>\n\n\n\n<p><strong>[Topher 00:02:28]&nbsp;</strong></p>\n\n\n\n<p>About 12 years.</p>\n\n\n\n<p>I started going to WordCamp, then working in the support forums, and just grew from there.</p>\n\n\n\n<p><strong>[Courtney Robertson 00:02:24]&nbsp;</strong></p>\n\n\n\n<p>I started checking guests in, at my first WordCamp in 2009, which I see as one avenue of contributing. I joined a team officially in 2014.&nbsp;</p>\n\n\n\n<p><strong>[</strong><strong>Courtney Patubo Kranzke </strong><strong>00:02:47]&nbsp;</strong></p>\n\n\n\n<p>My name is Courtney Patubo Kranzke.</p>\n\n\n\n<p>I have been an on-and-off contributor to WordPress since like the mid-2000s, but I&#8217;ve been a sponsored contributor since 2016.</p>\n\n\n\n<p><strong>[</strong><strong>Dustin Hartzler </strong><strong>00:03:02]&nbsp;</strong></p>\n\n\n\n<p>My name is Dustin Hartzler.</p>\n\n\n\n<p>I started a WordPress podcast in 2010. And I did like 500 episodes in a row without a break and without a week worth of rest. So I consider that my contribution to WordPress. I have a couple of core contributions, like I, I fixed a little bug here, a little bug there in a couple of releases, I think back in the four eras, 4.1 or 4.2 or something.</p>\n\n\n\n<p>2010 is when I really got started in giving back, and, like, sharing my knowledge with the WordPress community.</p>\n\n\n\n<p><strong>[</strong><strong>Josepha Haden Chomphosy </strong><strong>00:03:28]&nbsp;</strong></p>\n\n\n\n<p>Why is it important for you to attend WordCamps or contribute to the WordPress project?</p>\n\n\n\n<p><strong>[</strong><strong>Ricardas Kudirka </strong><strong>00:03:33]&nbsp;</strong></p>\n\n\n\n<p>My name is Ricardas Kudirka.</p>\n\n\n\n<p>Basically, for everyone who&#8217;s using WordPress, it&#8217;s really important to understand how big the community is that we have here. So the community is an important and crucial part of WordPress.</p>\n\n\n\n<p>And for it to grow, you need to attend the WordCamps, you need to share knowledge, and you need to meet people. So networking here and while meeting the exciting people who are developing WordPress or who are contributing to it, who are providing the services, who enable people to use WordPress.</p>\n\n\n\n<p>That&#8217;s a crucial point for everyone to attend.</p>\n\n\n\n<p><strong>[</strong><strong>Kathy Drewien </strong><strong>00:04:05]&nbsp;</strong></p>\n\n\n\n<p>It&#8217;s important to attend them because it&#8217;s very hard to describe them. We are not like any other thing you have ever done in your life. You have to be here to get it. And then once you get it, you wanna do more of it. It&#8217;s magical. It&#8217;s magical. There&#8217;s no way to get that experience without being here.</p>\n\n\n\n<p>In terms of contributing, it&#8217;s a responsible thing to do. You want to give back instead of get, get, get. In the beginning, we&#8217;re all about the get, get, get. And then you go, oh my gosh. I didn&#8217;t know. I didn&#8217;t know I could do this. I didn&#8217;t know I had to write code. I can actually just stand around and talk to people and contribute to the project.</p>\n\n\n\n<p><strong>[</strong><strong>Jen Miller </strong><strong>00:04:50]&nbsp;</strong></p>\n\n\n\n<p>Well, it&#8217;s a community effort, and so if we want it to progress and grow, we need to put our own individual effort into the community.</p>\n\n\n\n<p>Plus, we make friends, we make connections, and we find people who we can help and who can help us.</p>\n\n\n\n<p><strong>[</strong><strong>Alex Stine </strong><strong>00:05:07]</strong></p>\n\n\n\n<p>I feel it is important to support the community that got me my start in technology and make sure that people understand that accessibility is very much a requirement.</p>\n\n\n\n<p>You know, we need to make sure we keep the community inclusive for all.</p>\n\n\n\n<p><strong>[</strong><strong>Josepha Haden Chomphosy </strong><strong>00:05:21]</strong></p>\n\n\n\n<p>What is your favorite way to WordPress?</p>\n\n\n\n<p><strong>[</strong><strong>Courtney Patubo Kranzke </strong><strong>00:05:24]&nbsp;</strong></p>\n\n\n\n<p>I started with WordPress as a personal blogger. So it continues to be my favorite way to use WordPress. But, my use has evolved to using it for work as well as a place to share my photography and food blogging.</p>\n\n\n\n<p><strong>[</strong><strong>Courtney Robertson </strong><strong>00:05:42]&nbsp;</strong></p>\n\n\n\n<p>My favorite way to WordPress is through the Training team. Most of the things that I write these days are on make.wordpress.org/training and or learn.wordpress.org.</p>\n\n\n\n<p>I love teaching people about WordPress, helping people at all skill levels advance, and that&#8217;s where you&#8217;ll find me around the WordPress Training team.</p>\n\n\n\n<p><strong>[</strong><strong>Dustin&nbsp; Hartzler </strong><strong>00:05:59]&nbsp;</strong></p>\n\n\n\n<p>My favorite way to WordPress is just building cool things. Like I have a website, my wife has a couple of websites, and me just trying to learn things and trying to do them myself. Yesterday, there was a session, a 15-minute long session, and I learned how to customize the options available for different core WordPress blocks.</p>\n\n\n\n<p>I didn&#8217;t realize that you could just make a button and like make a default like here&#8217;s the style for the default button. So every button&#8217;s exactly the same on the site. Like how cool is that? I like the side of customizing WordPress to make it easier for people who are non-techy like me to use my site, like my wife, and whatnot.</p>\n\n\n\n<p><strong>[</strong><strong>Josepha Haden Chomphosy </strong><strong>00:06:30]&nbsp;</strong></p>\n\n\n\n<p>How do you use WordPress in your day-to-day life?</p>\n\n\n\n<p><strong>[</strong><strong>Topher </strong><strong>00:06:32]&nbsp;</strong></p>\n\n\n\n<p>It&#8217;s sort of a universal tool for me. I blog, and I do podcasts.</p>\n\n\n\n<p>I enjoy drinking whiskey, so I built a rating system for it. And I use it as a notepad, a scratch pad. I use it as my photography backup system. Just kind of as a universal tool for everything</p>\n\n\n\n<p><strong>[</strong><strong>Alex Stine </strong><strong>00:06:53]</strong></p>\n\n\n\n<p>So I currently am one of the Accessibility team reps.</p>\n\n\n\n<p>I&#8217;m a core contributor, Guttenberg contributor, the occasional meta contributor, and the occasional training team contributor.</p>\n\n\n\n<p><strong>[</strong><strong>Josepha Haden Chomphosy </strong><strong>00:07:05]</strong></p>\n\n\n\n<p>Well, if that doesn&#8217;t convince you to go to a WordCamp or start your own meetup group, I just don&#8217;t know what will. Big thanks to everyone who sat down with us there in San Diego.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:23]</strong></p>\n\n\n\n<p>And now it&#8217;s time for our small list of big things.</p>\n\n\n\n<p>First thing, WordPress Global Translation Day is coming up next week on September 28th. This is a great opportunity to learn more about the hard work that goes into translating all of this software for folks all around the world. If you want to learn more about how you could contribute to translations, I&#8217;ll have a link in the show notes for you.</p>\n\n\n\n<p>The second thing is that WooSesh is coming up on October 11th through 13th, 2022. This one is not an in-person event. It&#8217;s a WPSessions event, but it specifically talks about how to get some eCommerce going on your WordPress site. So if you&#8217;ve been thinking about how to get a shop on your site, or just making your current shop a bit more complicated, then this is the event for you.</p>\n\n\n\n<p>And the third thing on our list today is All Things Open. They are hosting a hybrid event this year from October 31st through November 2nd. This event isn&#8217;t specific to WordPress, but it is specific to open source and one of the best resources for learning some OSS basics. So if you&#8217;ve been interested in learning more about how this whole open source thing is an idea that will change our generation, then set your sights on that event. I will have a link in the show notes there as well.</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy. And I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13481\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"Dropping security updates for WordPress versions 3.7 through 4.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://wordpress.org/news/2022/09/dropping-security-updates-for-wordpress-versions-3-7-through-4-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 07 Sep 2022 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"Updates\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13466\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:343:\"As of December 1, 2022 the WordPress Security Team will no longer provide security updates for WordPress versions 3.7 through 4.0. These versions of WordPress were first released eight or more years ago so the vast majority of WordPress installations run a more recent version of WordPress. The chances this will affect your site, or [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Peter Wilson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2493:\"\n<p>As of December 1, 2022 the WordPress Security Team will no longer provide security updates for WordPress versions 3.7 through 4.0.</p>\n\n\n\n<p>These versions of WordPress were first released eight or more years ago so the vast majority of WordPress installations run a more recent version of WordPress. The chances this will affect your site, or sites, is very small.</p>\n\n\n\n<p>If you are unsure if you are running an up-to-date version of WordPress, please log in to your site’s dashboard. Out of date versions of WordPress will display a notice that looks like this:</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"698\" height=\"81\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/09/update-notice.png?resize=698%2C81&#038;ssl=1\" alt=\"WordPress update notice: &quot;WordPress 6.0.2 is available! Pleaes update now.&quot;\" class=\"wp-image-13467\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/09/update-notice.png?w=698&amp;ssl=1 698w, https://i0.wp.com/wordpress.org/news/files/2022/09/update-notice.png?resize=300%2C35&amp;ssl=1 300w\" sizes=\"(max-width: 698px) 100vw, 698px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>In WordPress versions 3.8 &#8211; 4.0, the version you are running is displayed in the bottom of the “At a Glance” section of the dashboard. In WordPress 3.7 this section is titled “Right Now”.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"295\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/09/at-a-glance-widget.png?resize=1024%2C295&#038;ssl=1\" alt=\"&quot;At a Glance&quot; section of the WordPress dashboard. The final line includes the exact version of WordPress the site is running.\" class=\"wp-image-13468\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/09/at-a-glance-widget.png?resize=1024%2C295&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/09/at-a-glance-widget.png?resize=300%2C86&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/09/at-a-glance-widget.png?resize=768%2C221&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/09/at-a-glance-widget.png?w=1208&amp;ssl=1 1208w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>The Make WordPress Security blog has further details about <a href=\"https://make.wordpress.org/security/2022/09/07/dropping-security-updates-for-wordpress-versions-3-7-through-4-0/\">the process to end support</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13466\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:38:\"The Month in WordPress – August 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2022/09/the-month-in-wordpress-august-2022/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2022 13:23:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13445\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:361:\"August has been a busy month, with the redesign of WordPress.org, new localized content on Learn WordPress, and the WordPress 6.0.2 security and maintenance release. But that&#8217;s not all! Read on to catch up on the latest WordPress news. WordPress 6.1 walk-through scheduled for September 13, 2022 Save the date! A live interactive walk-through of [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15623:\"\n<p>August has been a busy month, with the redesign of WordPress.org, new localized content on Learn WordPress, and the WordPress 6.0.2 security and maintenance release. But that&#8217;s not all! Read on to catch up on the latest WordPress news.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<h2>WordPress 6.1 walk-through scheduled for September 13, 2022</h2>\n\n\n\n<p>Save the date! A <strong>live interactive walk-through of WordPress 6.1 is coming up on September 13, 2022, at 16:00 UTC</strong>. The event will take place <a href=\"http://dotorgzoom.wordpress.com/\">via Zoom</a> and include a discussion of new major features, resolved tickets, and potential blockers.</p>\n\n\n\n<p>Attendance is open to anyone who wants to know more about what’s coming in the next major release. If you are unable to attend, the event will be recorded for on-demand viewing.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p><a href=\"https://make.wordpress.org/core/2022/09/05/6-1-product-walk-through/\">Learn more about the WordPress 6.1 product walk-through</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>The WordPress.org Homepage and Download page got a new jazz-inspired look</h2>\n\n\n\n<p>The <a href=\"https://wordpress.org/news/2022/08/a-new-wordpress-org-homepage-and-download-page/\">redesign of the WordPress.org homepage and download page</a> went live on August 15, 2022. The new pages highlight the benefits of using WordPress while making it easy to access resources for getting started. The look and feel build on the jazzy aesthetic that WordPress is known for.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"599\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/08/launch-featured.png?resize=1024%2C599&#038;ssl=1\" alt=\"WordPress.org homepage\" class=\"wp-image-13323\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/08/launch-featured.png?resize=1024%2C599&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/08/launch-featured.png?resize=300%2C175&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/08/launch-featured.png?resize=768%2C449&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/08/launch-featured.png?resize=1536%2C898&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/08/launch-featured.png?w=2000&amp;ssl=1 2000w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>In addition, <a href=\"https://make.wordpress.org/meta/2022/09/01/simplifying-the-admin-bar-global-navigation-menu/\">the admin bar and global navigation menu have been updated</a> to simplify and better organize the content across the WordPress.org network. Expect more design updates and iterations as efforts to refresh the website continue.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Check out the new <a href=\"https://wordpress.org/\">WordPress.org homepage</a> and <a href=\"https://wordpress.org/download/\">download page</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Gutenberg versions 13.9 and 14.0 are here</h2>\n\n\n\n<p>Two new versions of Gutenberg were released last month:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/08/17/whats-new-in-gutenberg-13-9-17-august/\"><strong>Gutenberg 13.9</strong></a> became available for download on August 17, 2022. This release continues to iterate and polish the user interface (UI), interaction, and engine work for site editing.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/09/01/whats-new-in-gutenberg-14-0-31-august/\"><strong>Gutenberg 14.0</strong></a> brings a lot of enhancements, including extra block supports in the UI, a revamped List block, and more. It shipped on August 31, 2022.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>This <a href=\"https://make.wordpress.org/core/2022/08/25/core-editor-improvement-refining-the-template-creation-experience/\">new post in the &#8220;Core Editor Improvement&#8221; series</a> focuses on the template creation enhancements coming in WordPress 6.1. You can explore them now with the <a href=\"https://wordpress.org/plugins/gutenberg/\">Gutengerg plugin</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>New localized content on Learn WordPress</h2>\n\n\n\n<p><a href=\"https://learn.wordpress.org/\">Learn WordPress</a> is currently expanding the non-English resources available on the platform! Last month, some members of the Training Team hosted <a href=\"https://wordpress.tv/2022/08/17/%e3%83%96%e3%83%ad%e3%83%83%e3%82%af%e3%82%a8%e3%83%87%e3%82%a3%e3%82%bf%e3%83%bc%e3%81%a7%e3%83%9b%e3%83%bc%e3%83%a0%e3%83%9a%e3%83%bc%e3%82%b8%e3%82%92%e4%bd%9c%e3%82%8d%e3%81%86%ef%bc%81/\">the first free online workshops in Japanese</a>. Following its success, two more sessions will be held on September 7 and 17, 2022. Get the details in the <a href=\"https://learn.wordpress.org/online-workshops/\">online workshop calendar</a>.</p>\n\n\n\n<p>In addition, learners have access to:</p>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorials/?series=&amp;topic=&amp;language=pt_BR&amp;captions=&amp;wp_version=\">Portuguese tutorials</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/lesson-plans/greek/\">Greek lesson plans</a></li>\n</ul>\n\n\n\n<p>Curious about what else is new on Learn WordPress? <a href=\"https://make.wordpress.org/updates/2022/09/01/whats-new-on-learnwp-august-2022/\">Check out the learning materials released in August 2022</a>.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p class=\"has-extra-large-font-size\">Enter the educational world of the Training Team and its Learn initiative in <a href=\"https://wordpress.org/news/2022/09/episode-38-all-about-learnwp-with-special-guest-hauwa-abashiya/\">the latest episode of WP Briefing</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Team updates: WordPress 6.0.2 maintenance release, Twenty Twenty-Three kickoff, and more</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2022/08/wordpress-6-0-2-security-and-maintenance-release/\">WordPress 6.0.2 is now available</a>. This security and maintenance release features 12 bug fixes on Core, 5 bug fixes for the Block Editor, and 3 security fixes.</li>\n\n\n\n<li>The new <a href=\"https://make.wordpress.org/design/2022/08/10/twenty-twenty-three-default-theme-project-kickoff/\">Twenty Twenty-Three (TT3) theme</a>, which will ship with the WordPress 6.1 release, is now in development. The theme will bundle a collection of style variations designed by community members. The final curated set is expected to be chosen by September 7, 2022.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/community/2022/08/19/meetup-organizer-newsletter-august-2022/\">August edition of the Meetup Organizer Newsletter</a> shares tips on how to join and support the <a href=\"https://make.wordpress.org/community/2022/07/08/call-for-supporters-reactivating-wordpress-meetups-around-the-world/\">Meetup Reactivation project</a>.</li>\n\n\n\n<li>The feedback tool for <a href=\"https://translate.wordpress.org/\">translate.wordpress.org</a> is now available for all WordPress.org users that have opted into notifications. Learn more in the latest edition of the <a href=\"https://make.wordpress.org/polyglots/2022/08/22/polyglots-monthly-newsletter-august-2022/\">Polyglots Monthly Newsletter</a>.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2022/09/05/improving-devhub-code-references/\">Code references in DevHub (WordPress Developer Docs)</a> are now easier to use, understand and navigate.</li>\n\n\n\n<li>Members of the Documentation Team kicked off discussions around the <a href=\"https://make.wordpress.org/docs/2022/08/10/kick-off-wordpress-6-1-release-docs/\">WordPress 6.1 release docs</a>.</li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/core/2022/08/09/bug-scrub-schedule-for-6-1/\">bug scrub schedule for WordPress 6.1</a> was published last month. Anyone can join these sessions to learn, help, or even <a href=\"https://make.wordpress.org/core/handbook/tutorials/leading-bug-scrubs/\">lead one</a>.</li>\n\n\n\n<li>To celebrate World Photography Day (August 19), the Photos Team <a href=\"https://make.wordpress.org/photos/2022/08/18/wordpress-world-photography-day-challenge-2022/\">set up a fun photo challenge</a> to contribute to the <a href=\"https://wordpress.org/photos/t/worldphotographyday22/\">WordPress Photo Directory</a>. The initiative may be over, but photo contributions are always open!</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/performance/2022/08/09/core-performance-team-rep-nominations/\">Nominations</a> for the Performance Team Reps are open until September 9, 2022.</li>\n\n\n\n<li>Why is Gutenberg being developed on GitHub? Is Gutenberg part of core? <a href=\"https://make.wordpress.org/core/2022/08/18/wordpress-development-setup/\">Get answers</a> to these and other common questions about WordPress core and Gutenberg.</li>\n\n\n\n<li>Members of the Full Site Editing Outreach program <a href=\"https://make.wordpress.org/test/2022/08/25/hallway-hangout-discussion-on-block-themes-25-aug/\">joined a Hallway Hangout session to talk about block themes</a>, from workflow changes to tools they are using and more.</li>\n\n\n\n<li>The latest edition of People of WordPress features <a href=\"https://wordpress.org/news/2022/08/people-of-wordpress-bud-kraus/\">Bud Kraus</a> and his inspiring WordPress journey.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>The Testing Team is looking for <a href=\"https://make.wordpress.org/test/2022/08/10/testing-testing-calls-for-testing-facilitators/\">facilitators to expand testing efforts</a> across the project.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Feedback &amp; testing requests</h2>\n\n\n\n<ul>\n<li>Are you a meetup organizer or member? Complete the 2021-2022 <a href=\"https://make.wordpress.org/community/2022/08/02/announcing-the-2021-2022-annual-meetup-survey/\">Annual Meetup Survey</a> (available in 14 languages) to help strengthen this global WordPress program.</li>\n\n\n\n<li>Members of the Core Team are looking for feedback on a <a href=\"https://make.wordpress.org/core/2022/08/19/a-new-system-for-simply-and-reliably-updating-html-attributes/\">new system for updating HTML attributes</a>. The call is open until September 9, 2022.</li>\n\n\n\n<li>There’s a new proposal to <a href=\"https://make.wordpress.org/core/2022/08/10/proposal-stop-merging-experimental-apis-from-gutenberg-to-wordpress-core/\">harmonize the process of merging new APIs from the Gutenberg plugin</a> to the WordPress core. Share your thoughts by September 7, 2022.</li>\n\n\n\n<li>Version 20.6 of WordPress for <a href=\"https://make.wordpress.org/mobile/2022/08/23/call-for-testing-wordpress-for-android-20-6/\">Android</a> and <a href=\"https://make.wordpress.org/mobile/2022/08/22/call-for-testing-wordpress-for-ios-20-6/\">iOS</a> is available for testing.</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Gutenberg 13.8 introduced the first version of fluid typography, a new feature that allows theme authors to define text size that can scale and adapt to changes in screen size. <a href=\"https://make.wordpress.org/themes/2022/08/15/testing-and-feedback-for-the-fluid-typography-feature/\">Help shape its future by joining this testing call</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Event updates &amp; WordCamps</h2>\n\n\n\n<ul>\n<li><a href=\"https://us.wordcamp.org/2022/wcus-what-you-need-to-know/\">Get ready for WordCamp US</a>! The event is happening on September 9 through 11, 2022, in San Diego, California. <a href=\"https://us.wordcamp.org/2022/schedule/\">Check out the schedule</a> and tune into the <a href=\"https://us.wordcamp.org/2022/livestream/\">WCUS livestream</a> if you are attending virtually.</li>\n\n\n\n<li>Openverse announced that they will be participating in the WordCamp US <a href=\"https://us.wordcamp.org/2022/contributor-day/\">Contributor Day</a> remotely. <a href=\"https://make.wordpress.org/openverse/2022/08/30/openverse-remote-contributor-day-at-wordcamp-us-2022/\">Learn how you can get involved</a>.</li>\n\n\n\n<li><a href=\"https://asia.wordcamp.org/2023/\">WordCamp Asia</a> organizers <a href=\"https://asia.wordcamp.org/2023/tickets-now-on-sale/\">sold out</a> the first batch of standard and micro sponsor tickets in one day. The second batch will be released soon.</li>\n\n\n\n<li>Planning for WordCamp Europe 2023 is in full swing! You can still <a href=\"https://europe.wordcamp.org/2023/call-for-organisers/\">apply to be an organizer</a>.</li>\n\n\n\n<li>Join #WPDiversity with a <a href=\"https://www.eventbrite.com/e/speaker-workshop-for-indian-women-in-the-wordpress-community-sept-24-25-tickets-348466712317\">free, online speaker workshop for Indian women</a> in the WordPress community. The event will take place on September 24-25, 2022.</li>\n\n\n\n<li>Don’t miss these other upcoming WordCamps:\n<ul>\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f3-1f1f1.png\" alt=\"🇳🇱\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://netherlands.wordcamp.org/2022/\">WordCamp Netherlands</a>, The Netherlands on September 15-16, 2022</li>\n\n\n\n<li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://pontevedra.wordcamp.org/2022/\">WordCamp Pontevedra</a>, Spain on September 24-25, 2022</li>\n</ul>\n</li>\n</ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>The Call for Speakers for WordCamp Asia is closing soon! <a href=\"https://asia.wordcamp.org/2023/call-for-speakers/\">Submit your application by September 30, 2022</a>, and help reach <a href=\"https://asia.wordcamp.org/2023/speaker-diversity-goals/\">WCAsia&#8217;s speaker diversity goals</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story that we should include in the next issue of The Month in WordPress? <strong><em>Fill out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this quick form</em></strong></a><strong><em> to let us know.</em></strong></em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this edition of The Month in WordPress: <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a>, <a href=\'https://profiles.wordpress.org/mysweetcate/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mysweetcate</a>, <a href=\'https://profiles.wordpress.org/chaion07/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chaion07</a>, <a href=\'https://profiles.wordpress.org/bsanevans/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bsanevans</a>, <a href=\'https://profiles.wordpress.org/priethor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>priethor</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>, <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>.</em></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13445\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WP Briefing: Episode 38: All About LearnWP with Special Guest Hauwa Abashiya\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"https://wordpress.org/news/2022/09/episode-38-all-about-learnwp-with-special-guest-hauwa-abashiya/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2022 12:01:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13425\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:127:\"Enter the educational world of the WordPress Training team and its Learn initiative during this week\'s episode of the podcast. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/09/WP-Briefing-038.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:21067:\"\n<p>In the thirty-eighth episode of the WordPress Briefing, join Josepha Haden Chomphosy and special guest Hauwa Abashiya for a discussion on the WordPress Training team and LearnWP initiative. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a> <br>Song: Fearless First by Kevin MacLeod </p>\n\n\n\n<h2>Guests</h2>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/azhiyadev/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/azhiyadev/\">Hauwa Abashiya</a>&nbsp;</p>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://heropress.com/essays/finding-my-global-family/\" data-type=\"URL\" data-id=\"https://heropress.com/essays/finding-my-global-family/\">Hauwa Abashiya HeroPress Essay</a><br><a href=\"https://make.wordpress.org/training\">make.wordpress.org/training</a><br><a href=\"http://make.wordpress.org\">make.wordpress.org</a><br><a href=\"https://wordpress.org/news/2022/08/wordpress-6-0-2-security-and-maintenance-release/\" data-type=\"URL\" data-id=\"https://wordpress.org/news/2022/08/wordpress-6-0-2-security-and-maintenance-release/\">WordPress 6.0.2 Security and Maintenance Release</a><br><a href=\"https://asia.wordcamp.org/2023/call-for-speakers/\" data-type=\"URL\" data-id=\"https://asia.wordcamp.org/2023/call-for-speakers/\">WordCamp Asia call for speakers </a>(deadline extended to September 30, 2022)<br><a href=\"https://us.wordcamp.org/2022/livestream/\" data-type=\"URL\" data-id=\"https://us.wordcamp.org/2022/livestream/\">WordCamp US Livestream information</a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13425\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello, everyone! And welcome to the WordPress Briefing, the podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go!</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:42]&nbsp;</strong></p>\n\n\n\n<p>Helping people who are new to WordPress learn how to make the most out of their CMS used to be one of the most clearly impactful things I ever did as a contributor. Whether it was making sure a brand new installation simply worked, or if the original setup needed to grow along with a solopreneur&#8217;s growing business needs, I found great joy in seeing how my local community was learning new tools together.</p>\n\n\n\n<p>You&#8217;ve probably heard me talk about the Learn WP initiative or the training team on this podcast before, but you might still be a little shy to get started with the team. So I have invited one of their team reps today to talk through what the team does.</p>\n\n\n\n<p>All right. I have with us today Hauwa Abashiya. She is one of the team reps for the training team and also works on the learn.wordpress.org site. Thank you for joining me today, Hauwa.</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:01:33]&nbsp;</strong></p>\n\n\n\n<p>And thank you for having me, Josepha, quite exciting to be on your podcast.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:37]&nbsp;</strong></p>\n\n\n\n<p>Oh, I, you know, when we were talking about doing this topic, I was like, you know, who would be an excellent person is Hauwa. Like you were such an interesting person to work with when we were working on the <a href=\"https://wordpress.org/news/2020/12/simone/\">5.6 release</a>. And then also, you just have such a lovely way of explaining the complicated things that we have going on in WordPress and especially on the training side of things. And so you were the first person that came to mind for me.</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:02:02]</strong></p>\n\n\n\n<p>Thank you.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:03]</strong></p>\n\n\n\n<p>Speaking of all the learn.wordpress.org things, you&#8217;ve been contributing to the WordPress project as a team rep for the training team for a bit. But that&#8217;s not really where you started. Can you tell me a bit about how you found your way to this team?&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:02:15]</strong></p>\n\n\n\n<p>Well, I started by attending a WordCamp, and that was WordCamp Brighton. And if anyone&#8217;s read my <a href=\"https://heropress.com/essays/finding-my-global-family/\">article on HeroPress</a>, then they will know that I learned WordPress in one week. Went through beginner sessions of it. And then, I was like, yeah, let me just go turn up and see what it&#8217;s like.</p>\n\n\n\n<p>So turned up, and I met some wonderful people there. One of them being <a href=\"https://profiles.wordpress.org/miss_jwo/\">Jenny Wong</a>, who introduced me to the London meetup team. So, I then went there. They were looking for volunteers because they were planning WordCamp London for 2019. And me being me, I was like, yeah, sure. Why not? And got thrown into the deep end, but no, an amazing team.</p>\n\n\n\n<p>I got to meet some really amazing people. And yeah, just went from there then, you know, because I was doing stuff with WordCamp London, ended up going to WordCamp Europe. And I think there&#8217;s probably quite a lot of people who say they fully got into contributing in WordCamp Europe. So I was doing little bits and pieces then on like, marketing team and then met <a href=\"https://profiles.wordpress.org/jessecowens/\">Jesse [Owens]</a>  at the training team cause <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> introduced me to him and just went from there.</p>\n\n\n\n<p>And then in terms of team rep, I mean, <a href=\"https://wordpress.org/support/users/courane01/\">Courtney Robertson</a> sent out SOS, because Learn had just launched, and there were a couple of things that we needed. So that was during the soft launch. And I was like, yeah, sure. I&#8217;ll help you. I&#8217;m not doing much. And that&#8217;s how I ended up doing team rep.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:46]</strong></p>\n\n\n\n<p>I love that so many initial stories in the WordPress community start with like, well, I went to a WordCamp cause I was like, what in the world is this? And then people were like, we need some help. And I thought to myself, what else am I doing? Like, so many stories start that way. And I just love it.&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:04:03]</strong></p>\n\n\n\n<p>Yeah.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:03]</strong></p>\n\n\n\n<p>So you mentioned learn.wordpress.org. That is a part of the training team in the WordPress project. Correct?</p>\n\n\n\n<p>Yeah. So can you give us an idea of the difference between the two? Cause like normally, with a project as big as Learn, you would expect to see like a whole separate team. But these are two intertwined teams using two intertwined concepts.</p>\n\n\n\n<p>And so can you give us an idea of the difference between them?&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:04:29]</strong></p>\n\n\n\n<p>So I like to see learners, that&#8217;s the content. So it&#8217;s the content that we have on the platform, and the training team wrangles all the content on Learn. So that would be like your videos, your lesson plans, and online workshops. Yeah, so we wrangle the content that&#8217;s on there.</p>\n\n\n\n<p>We try to bring a lot of different teams together, and that&#8217;s one of the things the beauty, I think, of Learn is that there is a lot of cross-team collaboration, which started from the beginning and I think just will continue and get better and better.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:59]</strong></p>\n\n\n\n<p>Yeah. And the workshops, those are once a week, right?&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:05:04]</strong></p>\n\n\n\n<p>Yeah. So you have online workshops, which used to be called social learning spaces, which used to be called discussion groups. So those run once a week. There&#8217;s a number running, and there are some that are launching in Japan. And I think <a href=\"https://profiles.wordpress.org/bsanevans/\">Ben Evans</a> has been quite key in getting quite a lot of those going, and I think <a href=\"https://profiles.wordpress.org/piyopiyofox/\">Destiny Kanno</a> as well.</p>\n\n\n\n<p>So, that&#8217;s the beauty is you get to see a lot more languages coming up. Those run once a week. And then we obviously have lesson plans, which traditionally that&#8217;s what the training team used to always make for Meetup organizers. So if you didn&#8217;t have a speaker, you could go and get a lesson plan and run through something, or anybody could pick one up.</p>\n\n\n\n<p>So they are used mainly by like our Meetup users and then people who are running any boot camps or sessions, or you wanna just take somebody through WordPress and teach them, you can pick one up and run through it. And now we&#8217;ve got courses on Learn, which is quite exciting. Got a couple of courses.</p>\n\n\n\n<p>And I know there&#8217;s about three or four courses in development. There is a bit more WordPress development based rather than user based. There&#8217;s a fourth piece of content, and that is just the general workshop. So tutorials, I think no tutorials is what we&#8217;re calling them now. So there&#8217;s like all our online videos.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:17]</strong></p>\n\n\n\n<p>I tell you terminology in any project, the age and size of WordPress is hard to keep everything straight, but especially when you&#8217;ve just changed it you&#8217;re like, what do we call it though?&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:06:27]</strong></p>\n\n\n\n<p>Yeah.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:30]</strong></p>\n\n\n\n<p>So if I understand correctly, because as you mentioned, like you have this post up on HeroPress, you don&#8217;t actually come from a training background. Like you aren&#8217;t a teacher or corporate trainer or anything, but you have really committed to contributing to the training team and to learn.wordpress.org.</p>\n\n\n\n<p>So, from your perspective, from like the, I&#8217;m not a trainer perspective, what&#8217;s the most exciting thing for learn.wordpress.org in the near future?&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:06:58]</strong></p>\n\n\n\n<p>I think it&#8217;s the collaboration. It&#8217;s the potential that Learn has. So I don&#8217;t have a training background, but interestingly enough, I come from Kaduna, Nigeria. And Kaduna cause all the states in Nigeria have a tagline, and, Kaduna is actually the center of learning. So there must be some link there, so yeah.</p>\n\n\n\n<p>So, I think the beauty of that is you don&#8217;t have to have a training background. You can come in and impart your knowledge, and there are people available in the team that can help you impart that knowledge. So if it&#8217;s like a lesson plan that you wanna draw up, we&#8217;ve got people that can help and assist in that.</p>\n\n\n\n<p>Or you wanna run an online workshop. There are people that can assist you. And I think that&#8217;s also the beauty of WordPress is that we&#8217;re all there to help each other. So just seeing that and seeing how, as time has gone on how the team has actually just been growing cause more and more people are coming.</p>\n\n\n\n<p>And then with that, you&#8217;ve got more of like the different languages coming in, and I know we might touch on that later, but it&#8217;s, I think to me, that is the beauty that anyone can actually now come in and learn. And Learn as this platform that is accessible to everybody. So it&#8217;s not necessarily behind a, like a paywall or anything, which is, there&#8217;s nothing wrong with that, but there are people that it&#8217;s like, well, okay, you can access something by the community for the community.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:08:32]</strong></p>\n\n\n\n<p>I think like your last thought there, something that&#8217;s by the community for the community. That&#8217;s one of the things that I noticed early on about the WordPress community. So I&#8217;ve been in the WordPress community for a long time, but when I started doing the administrative back office, things that are invisible and no one wants to know about, because it&#8217;s boring.</p>\n\n\n\n<p>When I started doing that work, one of the things I noticed and that I really treasure the most about the WordPress community is that they want to do things together. They want to look at the problem together. They want to find a solution together. And a lot of times they just want to learn together as well.</p>\n\n\n\n<p>We see that there is a real, I don&#8217;t know, not, it&#8217;s not a safety and numbers question. I think it is a long-standing feeling that we can all kind of get further together and that we are better together. And so I like your thought there.</p>\n\n\n\n<p>You mentioned, though, translations, and I know that this came up at WordCamp Europe.</p>\n\n\n\n<p>We don&#8217;t actually have a lot of translated content on learn.wordpress.org. There&#8217;s some technical issues that exist there, but are there a few languages that we already are sort of seeing translated courses for? Translated lessons for?&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:09:47]</strong></p>\n\n\n\n<p>Yeah. So we have a couple in Hindi, I believe. And I know we&#8217;ve got some Greek translations that have been coming up, so I know, I think it was last year WordCamp India, during contributor day, we had quite a lot of people translating stuff then, and I suppose the online WordCamps that we&#8217;ve been able to rank. Cause I think our first like face to face is this year, so they didn&#8217;t do that much translation there, but we&#8217;ve seen an increase in people wanting to translate.&nbsp;</p>\n\n\n\n<p>And I think those are the ones that come to mind. And I know Japanese, I think that was just recently, in the last two weeks, somebody&#8217;s translated one or two of the tutorials have been translated.</p>\n\n\n\n<p>But we’re getting more and more requests coming through. And I know we kind of touched on this in our earlier discussion, but it&#8217;s like, how do you manage that? Cause you&#8217;re right, we don&#8217;t have a way to easily manage polyglots on Learn at the moment or WordPress in general. But I think seeing that, and I keep saying to people, I don&#8217;t wanna lose that engagement cause if you&#8217;ve got the people engaged, let them just do it.</p>\n\n\n\n<p>And I don&#8217;t normally say this, but let them do it, and we&#8217;ll figure out how to sort out the whole pile when it comes in later. Because you kind of don&#8217;t want to lose them because I feel like if we say, no, we&#8217;ll wait until that comes in, we&#8217;ll lose a lot of the engagement. And come that time, people will be like, oh no, I&#8217;m not that interested. Or it might be an even more effort to try and bring more people on board.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:18]</strong></p>\n\n\n\n<p>That&#8217;s always a struggle, like wanting to be able to get something good out without insisting that it be perfect. Like that whole perfect is the enemy of the good sort of concept.&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:11:30]</strong></p>\n\n\n\n<p>Yeah. Mm-hmm&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:30]</strong></p>\n\n\n\n<p>When we were talking about this way back in June, I was like, I obviously would love to get a perfect solution out immediately, but like, you&#8217;re right.</p>\n\n\n\n<p>In the meantime, do we just be if you don&#8217;t speak English, you cannot learn here?</p>\n\n\n\n<p>Like that&#8217;s not fair.</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:11:45]</strong></p>\n\n\n\n<p>No.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:46]&nbsp;</strong></p>\n\n\n\n<p>We want everyone to be able to learn here in their own languages, and yeah. That&#8217;s just a living, breathing issue with a global project, I think.&nbsp;</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:11:56]</strong></p>\n\n\n\n<p>Yeah.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:11:57]</strong></p>\n\n\n\n<p>Now that we left us on like a really juicy topic, just the lightest thing we could find. Is there anything else that you wanna be sure to share with the WordPress Briefing listeners before we head out?</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:12:10]</strong></p>\n\n\n\n<p>Come and join the training team. Like I said, you don&#8217;t have to be a trainer. You can come in, and help us take notes. You can come in and edit, and review. If you are a subject matter expert, we also have the <a href=\"https://make.wordpress.org/training/handbook/faculty-program/\">faculty program</a>, which was launched. Was it a month ago now?</p>\n\n\n\n<p>Sorry. Days, months, weeks merge for me these days. But yeah, so that&#8217;s like a dedicated volunteer team. And in there, we&#8217;ve got content creators, editors, subject matter experts, and just admin stuff. If you wanna help us with the admin stuff. If you&#8217;re a GitHub guru, get in touch cause we are trying to automate some of our processes, and we could use the help, but yeah, just come join us.</p>\n\n\n\n<p>Join one of our meetings, which run on Tuesdays at 7 AM UTC and 4:00 PM UTC.&nbsp;</p>\n\n\n\n<p>Yes, that&#8217;s right. I get my time right.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:13:03]&nbsp;</strong></p>\n\n\n\n<p>If it&#8217;s not right, we&#8217;ll put it. We&#8217;ll correct it in the show notes.&nbsp;</p>\n\n\n\n<p>Also, if you are not necessarily familiar with the WordPress project and how to get started with contributions, you can find the training team and a lot of information about them and all the other teams on make.wordpress.org.</p>\n\n\n\n<p>I will share that in the show notes as well. make.wordpress.org/training is where you can find Hauwa&#8217;s team. Hauwa, thank you again for joining me today.</p>\n\n\n\n<p><strong>[Hauwa Abashiya 00:13:30]</strong></p>\n\n\n\n<p>No, thank you for having me. It&#8217;s just a wonderful treat. I get to listen to you, and now I get to be on it.&nbsp;</p>\n\n\n\n<p>So, yeah, it&#8217;s good.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:13:37]</strong></p>\n\n\n\n<p>I hope that some of you feel inspired to stop by and see what the team is up to learn something new about WordPress or contribute a little something yourself. And with that, I&#8217;ll bring us home with the small list of big things. First thing, there was a freshly pressed minor release last week. You probably didn&#8217;t notice it.</p>\n\n\n\n<p>It probably went quite smoothly in the background and never interrupted you at all. However, if you want to read what was in it, you can head to wordpress.org/news now, or click on the link in the show notes.&nbsp;</p>\n\n\n\n<p>Second thing, is that coming up at the end of this week, September 9th, 2022, WordCamp US is back and ready to help broaden your WordPress knowledge. If you will be there, I hope it is a wonderful time, but if you won&#8217;t be there in person, I&#8217;ll include a link to register for the live stream, or you can watch all of those sessions afterward on wp.tv or the WordPress YouTube channel.</p>\n\n\n\n<p>Third thing on our list of small list of big things is that WordPress Translation Day is coming up. That&#8217;s normally at the end of September, it coincides with a global day of appreciation for translators just generally across the world. And so that is coming, it&#8217;s normally around the 28th or so.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:14:55]</strong></p>\n\n\n\n<p>So put that in your calendars. As soon as I have any information, as soon as I have a link to share with you all, I will have that for you as well.&nbsp;</p>\n\n\n\n<p>And the final thing on my list today is that if you are hoping to speak at WordCamp Asia, 2023, you have 10 more days, September 15th, 2022**, to apply for that.</p>\n\n\n\n<p>We need topics of all sorts, from security hardening and backend development to entrepreneurial best practices, WordPress out of the box all the way back around to the importance of securing open source freedom. Even when people don&#8217;t know they need them. If you&#8217;ve got something you&#8217;re a bit passionate about, something that you are a passionate expert about especially, we want to see your application. And that, my friends, is your small list of big things.</p>\n\n\n\n<p>Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy. And I&#8217;ll see you again in a couple of weeks.</p>\n\n\n\n<p><br>** <em><strong>Special note: the deadline to apply as a speaker to WordCamp Asia was extended to September 30th, 2022, after the recording of this episode.</strong></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13425\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"People of WordPress: Bud Kraus\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wordpress.org/news/2022/08/people-of-wordpress-bud-kraus/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 31 Aug 2022 21:30:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13385\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:135:\"The latest People of WordPress story features trainer Bud Kraus, from the United States, talking about the software and how he uses it.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:14109:\"\n<p><strong>This month, as we approach <a href=\"https://us.wordcamp.org/2022/\">WordCamp US</a>, we feature Bud Kraus, a WordPress trainer who has made a career in helping others learn about software. He also shares how he has developed an approach to using technology in order to overcome longstanding difficulties with his eyesight.</strong></p>\n\n\n\n<p><strong>In this People of WordPress series, we share some of the inspiring stories of how WordPress and its global network of contributors can change people’s lives for the better.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-aug-powp.jpg?resize=1014%2C627&#038;ssl=1\" alt=\"Bud Kraus playing the guitar\" class=\"wp-image-13341\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-aug-powp.jpg?w=1014&amp;ssl=1 1014w, https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-aug-powp.jpg?resize=300%2C186&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-aug-powp.jpg?resize=768%2C475&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Bud Kraus</em> with his guitar</figcaption></figure>\n\n\n\n<h2>Teaching WordPress strengthens your understanding</h2>\n\n\n\n<p>Bud has taught web design since 1998, with students from more than 80 countries online or in person. He was determined not to let his sight difficulties stop him from his wish to  help others learn website building and maintenance skills.   </p>\n\n\n\n<p>As WordPress evolves and new features release, Bud decided to extend his training services around helping new and existing users improve and practice their skills. He supports others in open source through volunteering to speak at WordPress events, and encourages others to do so too. He also gives time to help produce material for the free-to-access resource <a href=\"https://learn.wordpress.org/\">Learn WordPress,</a> which is part of the WordPress.org project.&nbsp;</p>\n\n\n\n<p>As a contributor to the <a href=\"https://make.wordpress.org/test/\">Test</a> and <a href=\"https://make.wordpress.org/training/\">Training</a> teams, Bud is keen for others to try contributing to these areas and help support the project&#8217;s future development. One of his current training priorities is to help people with using the block editor and Full Site Editing. He is an advocate for the usability of WordPress today, saying: “I can design all aspects of a website now with a block.”</p>\n\n\n\n<h2>Using WordPress as a traditional developer</h2>\n\n\n\n<p>Bud’s WordPress journey began with a lunch at Grand Central Station in New York in 2009. A friend and former client was promoting the idea of using WordPress, which Bud initially resisted.</p>\n\n\n\n<p>“I’m a code guy…,” he told his friend at the time. “I will never use anything like that.”</p>\n\n\n\n<p>However, the friend persisted. Eventually, Bud gave it a try and found a new approach with things called themes and plugins. His first encounter was with <a href=\"https://wordpress.org/download/releases/\">WordPress 2.6</a>. Bud signed up with a hosting company and found a theme where he could learn to edit and understand child themes.</p>\n\n\n\n<p>He said: &#8220;Once I saw that you could edit anything and make it yours, I was hooked. The endorphins were freely coursing through my veins.&#8221; Bud was hooked.</p>\n\n\n\n<h2>Teaching WordPress strengthens your own understanding of the software</h2>\n\n\n\n<p>There’s an old saying that the best way to learn something new is to turn around and teach someone else.</p>\n\n\n\n<p>Bud was already an instructor at the Fashion Institute of Technology when he thought, “I could teach WordPress!”</p>\n\n\n\n<p>And so he did, packing classrooms all through those first years of WordPress as it swept through the design world and further.<br><br>But Bud had more to discover. He said: &#8220;Two big things were about to happen that were really going to change my life. They would show me the way to the WordPress community – not that I even knew what that was.&#8221;</p>\n\n\n\n<h2>Sharing lessons learnt with the WordPress community</h2>\n\n\n\n<p>In 2014, one of his students suggested he start going to the New York WordPress Meetup.&nbsp;</p>\n\n\n\n<p>As he started going to WordCamps in New York City, he realized that WordPress was getting very large. What’s more, it had a community of people with whom he felt at home and could learn alongside.</p>\n\n\n\n<p>Bud gave a talk for the first time in 2016 at the only WordCamp to this day that has been held at the United Nations. He shared his knowledge of “Lessons Learned: Considerations For Teaching Your Clients WordPress.”&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"952\" height=\"1024\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-1.jpg?resize=952%2C1024&#038;ssl=1\" alt=\"Bud Kraus talking at a WordCamp\" class=\"wp-image-13340\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-1.jpg?w=952&amp;ssl=1 952w, https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-1.jpg?resize=279%2C300&amp;ssl=1 279w, https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-1.jpg?resize=768%2C826&amp;ssl=1 768w\" sizes=\"(max-width: 952px) 100vw, 952px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Bud Kraus speaks at WordCamps to help people use the software even more effectively</em></figcaption></figure>\n\n\n\n<p>From there, Bud went on to speak at other WordCamps in the US. He also volunteered as a speaker wrangler for his home camp in New York City in 2018 and 2019.</p>\n\n\n\n<h2>From speaking to writing about WordPress</h2>\n\n\n\n<p>At some point before the Covid-19 lockdown, Bud found another outlet, this time in writing.&nbsp;</p>\n\n\n\n<p>Bud heard a magazine was advertising for submissions related to WordPress.&nbsp;His first attempted article did not make the cut.</p>\n\n\n\n<p>So in his second submission, Bud took the risk of writing about something deeply personal – a topic he really didn’t want to write about at all.</p>\n\n\n\n<p>He gathered his courage and revealed to the entire web design world that he was legally blind.</p>\n\n\n\n<p>The article appeared as&nbsp; <strong>“</strong><a href=\"https://www.smashingmagazine.com/2018/05/using-low-vision-teach-wordpress/\"><strong>Using Low Vision As My Tool To Help Me Teach WordPress</strong></a><strong>”.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"510\" height=\"600\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/09/bud-kraus-2.jpg?resize=510%2C600&#038;ssl=1\" alt=\"Bud Kraus\" class=\"wp-image-13426\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/09/bud-kraus-2.jpg?w=510&amp;ssl=1 510w, https://i0.wp.com/wordpress.org/news/files/2022/09/bud-kraus-2.jpg?resize=255%2C300&amp;ssl=1 255w\" sizes=\"(max-width: 510px) 100vw, 510px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\">Bud Kraus</figcaption></figure>\n\n\n\n<p>Since the age of 37, Bud has had macular degeneration in both eyes, which affects his central vision. It is a leading cause of legal blindness in the United States and many other countries.&nbsp;</p>\n\n\n\n<p>He relies on his peripheral vision and finding ways to compensate. He also tends to see things in a flat dimension and has a difficulty discerning contrast&nbsp; &#8211; he&nbsp; is glad there are starting to be improvements in color contrasts in web design!<br><br>He uses tools like Speech to Text, larger sized cursors and bigger font sizes, and heavily uses zooming back in and out when working with WordPress. He is able to recognize patterns but has to rely on detailed preparation and memorizing materials.&nbsp;</p>\n\n\n\n<p>In his first magazine article acknowledging this situation, he shared the added difficulties that technology creates for people with visual conditions, and tips that he had found to try and find alternative routes around them. He uses the technique of finding alternatives in his training work to help people learn and understand, realizing that all people have different ways of reading and understanding. His words and subsequent stories have inspired others and enabled more people to highlight accessibility. He describes himself as a ‘stakeholder in ensuring that the WordPress admin is accessible.’</p>\n\n\n\n<p>A year after its first publication, the piece became a WordCamp talk, ‘My Way with WordPress.’ The talk was a hit and started many conversations about accessibility and the importance of raising awareness.</p>\n\n\n\n<p>A few months later, he gave a Gutenberg talk at the first WordCamp Montclair. There was no way he could have done it from a laptop, so instead, he did it from his 27” desktop computer. </p>\n\n\n\n<p>Bud said: &#8220;It was a presentation on Gutenberg plugins. Since I couldn’t do this from a notebook screen (the screen is too small and the keyboard is hard for me to manipulate), it was decided that I would bring in my 27″ desktop machine to a WordCamp. I’m probably the first person to ever have done this. It was good thing I only lived a few miles away.&#8221;</p>\n\n\n\n<p>He added: “I sat behind my computer, did my thing, and every once in a while peered out to make sure people were still there.”</p>\n\n\n\n<h2>Different ways of contributing to WordPress</h2>\n\n\n\n<p>One of the main ways Bud supported the community around the software was through talks at WordCamps and helping others to speak. </p>\n\n\n\n<p>During the Covid-19 pandemic, he was keen to continue contributing when WordCamps were no longer meeting in person. He turned greater attention to supporting the <a href=\"https://learn.wordpress.org/\">Learn WordPress</a> resource, a free to use learning platform made by and for the community itself.&nbsp;</p>\n\n\n\n<p>More training materials on the block editor can be found on Learn WordPress and his WordCamp talks are available on <a href=\"https://wordpress.tv/?s=kraus&amp;speakers=bud-kraus\">WordPress.tv</a>.</p>\n\n\n\n<h2>Global reach and meaning through WordPress</h2>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"600\" height=\"800\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-with-josepha.jpg?resize=600%2C800&#038;ssl=1\" alt=\"Bud Kraus with Josepha\" class=\"wp-image-13342\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-with-josepha.jpg?w=600&amp;ssl=1 600w, https://i0.wp.com/wordpress.org/news/files/2022/08/bud-kraus-with-josepha.jpg?resize=225%2C300&amp;ssl=1 225w\" sizes=\"(max-width: 600px) 100vw, 600px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Bud Kraus with Josepha Haden Chomphosy at WordCamp Montclair, NJ 2022</em></figcaption></figure>\n\n\n\n<p>Bud’s training materials and willingness to talk about accessibility have helped so many people find their way with WordPress. He in turn is an advocate for the community around open source.</p>\n\n\n\n<p>He said: “The software is really good, and the people are even better.” &nbsp;</p>\n\n\n\n<p>He added: “I get a sense of accomplishment whenever I launch a new or redesigned site. It’s also given me a great feeling to know that many people have learned WordPress around the world from my <a href=\"https://wordpress.tv/?s=kraus&amp;speakers=bud-kraus\">talks and presentations</a>. This might just be the most gratifying thing of all.”</p>\n\n\n\n<h2>Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community. Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2>Contributors</h2>\n\n\n\n<p>Thanks to Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>), Mary Baum (<a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a>), Surendra Thakor (<a href=\'https://profiles.wordpress.org/sthakor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sthakor</a>), Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Larissa Murillo (<a href=\'https://profiles.wordpress.org/lmurillom/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lmurillom</a>), and Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>), for work on this feature. Thank you too to Bud Kraus (<a href=\'https://profiles.wordpress.org/trynet/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>trynet</a>) for sharing his experiences.</p>\n\n\n\n<p>Thank you to Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support of the <em>People of WordPress</em> series.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13385\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress 6.0.2 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2022/08/wordpress-6-0-2-security-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 30 Aug 2022 19:39:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:5:\"6.0.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:14:\"minor-releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13346\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:299:\"WordPress 6.0.2 is now available for download. This security and maintenance release features several updates since WordPress 6.0.1 in July 2022. You can review a summary of the key changes in this release by visiting https://make.wordpress.org/core/2022/08/23/wordpress-6-0-2-rc1-is-now-available/.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5702:\"\n<p><strong>WordPress 6.0.2</strong> is now available!</p>\n\n\n\n<p>This security and maintenance release features <a href=\"https://core.trac.wordpress.org/query?milestone=6.0.2\">12 bug fixes on Core</a>, <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.0\">5 bug fixes</a> for the Block Editor, and 3 security fixes. Because this is a <strong>security release</strong>, it is recommended that you update your sites immediately. All versions since WordPress 3.7 have also been updated.</p>\n\n\n\n<p>WordPress 6.0.2 is a short-cycle release. You can review a summary of the main updates in this release by reading the <a href=\"https://make.wordpress.org/core/2022/08/23/wordpress-6-0-2-rc1-is-now-available/\">RC1 announcement</a>.</p>\n\n\n\n<p>The next major release will be <a href=\"https://make.wordpress.org/core/6-1/\">version 6.1</a> planned for November 1, 2022.</p>\n\n\n\n<p>If you have sites that support automatic background updates, the update process will begin automatically.</p>\n\n\n\n<p>You can <a href=\"https://wordpress.org/wordpress-6.0.2.zip\">download WordPress 6.0.2 from WordPress.org</a>, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”.</p>\n\n\n\n<p>For more information on this release, please <a href=\"https://wordpress.org/support/wordpress-version/version-6-0-2\">visit the HelpHub site</a>.</p>\n\n\n\n<h2>Security updates included in this release</h2>\n\n\n\n<p>The security team would like to thank the following people for responsibly reporting vulnerabilities, and allowing them to be fixed in this release:</p>\n\n\n\n<ul>\n<li>Fariskhi Vidyan for finding a possible SQL injection within the Link API.</li>\n\n\n\n<li><a href=\"https://hackerone.com/entropy1337\">Khalilov Moe</a> for finding an XSS vulnerability on the Plugins screen.</li>\n\n\n\n<li><a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> of the WordPress security team, for finding an output escaping issue within <code>the_meta()</code>.</li>\n</ul>\n\n\n\n<h2>Thank you to these WordPress contributors</h2>\n\n\n\n<p>The WordPress 6.0.2 release was led by <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">@sergeybiryukov</a> and <a href=\"https://profiles.wordpress.org/gziolo/\">@gziolo</a>.</p>\n\n\n\n<p>WordPress 6.0.2 would not have been possible without the contributions of more than 50 people. Their asynchronous coordination to deliver several enhancements and fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a>,&nbsp;<a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a>,&nbsp;<a href=\"https://profiles.wordpress.org/annezazu/\">annezazu</a>,&nbsp;<a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a>,&nbsp;<a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a>,&nbsp;<a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a>,&nbsp;<a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a>,&nbsp;<a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>,&nbsp;<a href=\"https://profiles.wordpress.org/uofaberdeendarren/\">Darren Coutts</a>,&nbsp;<a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a>,&nbsp;<a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>,&nbsp;<a href=\"https://profiles.wordpress.org/martinkrcho/\">eMKey</a>,&nbsp;<a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian Kägy</a>,&nbsp;<a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a>,&nbsp;<a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a>,&nbsp;<a href=\"https://profiles.wordpress.org/huubl/\">huubl</a>,&nbsp;<a href=\"https://profiles.wordpress.org/ironprogrammer/\">ironprogrammer</a>,&nbsp;<a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>,&nbsp;<a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>,&nbsp;<a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>,&nbsp;<a href=\"https://profiles.wordpress.org/jonmackintosh/\">jonmackintosh</a>,&nbsp;<a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a>,&nbsp;<a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a>,&nbsp;<a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a>,&nbsp;<a href=\"https://profiles.wordpress.org/lovor/\">Lovro Hrust</a>,&nbsp;<a href=\"https://profiles.wordpress.org/marybaum/\">marybaum</a>,&nbsp;<a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a>,&nbsp;<a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a>, <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a>,&nbsp;<a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a>,&nbsp;<a href=\"https://profiles.wordpress.org/paulkevan/\">paulkevan</a>,&nbsp;<a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>,&nbsp;<a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>,&nbsp;<a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a>,&nbsp;<a href=\"https://profiles.wordpress.org/tykoted/\">Teddy Patriarca</a>,&nbsp;<a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>,&nbsp;<a href=\"https://profiles.wordpress.org/tommusrhodus/\">tommusrhodus</a>,&nbsp;<a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a>, <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a>,&nbsp;<a href=\"https://profiles.wordpress.org/webcommsat/\">webcommsat AbhaNonStopNewsUK</a>, and&nbsp;<a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13346\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"A New WordPress.org Homepage and Download Page\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://wordpress.org/news/2022/08/a-new-wordpress-org-homepage-and-download-page/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 15 Aug 2022 15:34:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:4:\"Meta\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13321\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:350:\"The WordPress experience has significantly evolved in the past few years. In order to highlight the power of WordPress on WordPress.org, the last few weeks have seen a homepage and download page redesign kickoff and shared mockups. Today, these new designs are going live! Like the News pages before them, these refreshed pages are inspired [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Nicholas Garofalo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8395:\"\n<p>The WordPress experience has significantly evolved in the past few years. In order to highlight the power of WordPress on WordPress.org, the last few weeks have seen a homepage and download page <a href=\"https://make.wordpress.org/design/2022/07/08/project-kickoff-wordpress-org-homepage-and-download-page-redesign/\">redesign kickoff</a> and <a href=\"https://make.wordpress.org/design/2022/07/27/project-update-wordpress-org-homepage-and-download-page-mockups/\">shared mockups</a>. Today, these new designs are going live! Like <a href=\"https://wordpress.org/news/2022/02/a-new-wordpress-news/\">the News pages before them</a>, these refreshed pages are inspired by the jazzy look &amp; feel WordPress is known for.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"599\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/08/Featured-Image.png?resize=1024%2C599&#038;ssl=1\" alt=\"\" class=\"wp-image-13327\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/08/Featured-Image.png?resize=1024%2C599&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/08/Featured-Image.png?resize=300%2C175&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/08/Featured-Image.png?resize=768%2C449&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/08/Featured-Image.png?resize=1536%2C898&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/08/Featured-Image.png?w=1710&amp;ssl=1 1710w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>The <a href=\"https://wordpress.org/\">new homepage</a> brings more attention to the benefits and experience of using WordPress, while also highlighting the community and resources to get started. </p>\n\n\n\n<p>The <a href=\"https://wordpress.org/download/\">new download page</a> greets visitors with a new layout that makes getting started with WordPress even easier by presenting both the download and hosting options right at the top.</p>\n\n\n\n<p>This redesign was made possible through great collaboration between Design, Marketing, and Meta teams. Thank you to everyone involved throughout this update:</p>\n\n\n\n<p class=\"is-style-wporg-props-long\"><a href=\'https://profiles.wordpress.org/abuzon/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>abuzon</a> <a href=\'https://profiles.wordpress.org/adamwood/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>adamwood</a> <a href=\'https://profiles.wordpress.org/adeebmalik/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>adeebmalik</a> <a href=\'https://profiles.wordpress.org/alexandreb3/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>alexandreb3</a> <a href=\'https://profiles.wordpress.org/alipawp/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>alipawp</a> <a href=\'https://profiles.wordpress.org/angelasjin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>angelasjin</a> <a href=\'https://profiles.wordpress.org/aniash_29/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>aniash_29</a> <a href=\'https://profiles.wordpress.org/annezazu/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>annezazu</a> <a href=\'https://profiles.wordpress.org/beafialho/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>beafialho</a> <a href=\'https://profiles.wordpress.org/bjmcsherry/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>bjmcsherry</a> <a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a> <a href=\'https://profiles.wordpress.org/colinchadwick/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>colinchadwick</a> <a href=\'https://profiles.wordpress.org/crevilaro/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>crevilaro</a> <a href=\'https://profiles.wordpress.org/critterverse/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>critterverse</a> <a href=\'https://profiles.wordpress.org/dansoschin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dansoschin</a> <a href=\'https://profiles.wordpress.org/dd32/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dd32</a> <a href=\'https://profiles.wordpress.org/dufresnesteven/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dufresnesteven</a> <a href=\'https://profiles.wordpress.org/eboxnet/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>eboxnet</a> <a href=\'https://profiles.wordpress.org/eidolonnight/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>eidolonnight</a> <a href=\'https://profiles.wordpress.org/elmastudio/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>elmastudio</a> <a href=\'https://profiles.wordpress.org/fernandot/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>fernandot</a> <a href=\'https://profiles.wordpress.org/geoffgraham/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>geoffgraham</a> <a href=\'https://profiles.wordpress.org/iandunn/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>iandunn</a> <a href=\'https://profiles.wordpress.org/javiarce/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>javiarce</a> <a href=\'https://profiles.wordpress.org/joedolson/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>joedolson</a> <a href=\'https://profiles.wordpress.org/jpantani/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>jpantani</a> <a href=\'https://profiles.wordpress.org/kellychoffman/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>kellychoffman</a> <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a> <a href=\'https://profiles.wordpress.org/marybaum/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>marybaum</a> <a href=\'https://profiles.wordpress.org/matt/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>matt</a> <a href=\'https://profiles.wordpress.org/maurodf/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>maurodf</a> <a href=\'https://profiles.wordpress.org/melchoyce/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>melchoyce</a> <a href=\'https://profiles.wordpress.org/mikachan/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mikachan</a> <a href=\'https://profiles.wordpress.org/nikhilgandal/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nikhilgandal</a> <a href=\'https://profiles.wordpress.org/pablohoneyhoney/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>pablohoneyhoney</a> <a href=\'https://profiles.wordpress.org/peakzebra/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>peakzebra</a> <a href=\'https://profiles.wordpress.org/poliuk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>poliuk</a> <a href=\'https://profiles.wordpress.org/priethor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>priethor</a> <a href=\'https://profiles.wordpress.org/psmits1567/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>psmits1567</a> <a href=\'https://profiles.wordpress.org/renyot/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>renyot</a> <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a> <a href=\'https://profiles.wordpress.org/ryelle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>ryelle</a> <a href=\'https://profiles.wordpress.org/santanainniss/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>santanainniss</a> <a href=\'https://profiles.wordpress.org/sereedmedia/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sereedmedia</a> <a href=\'https://profiles.wordpress.org/sippis/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sippis</a> <a href=\'https://profiles.wordpress.org/tellyworth/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>tellyworth</a> <a href=\'https://profiles.wordpress.org/tobifjellner/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>tobifjellner</a> <a href=\'https://profiles.wordpress.org/webdados/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webdados</a> <a href=\'https://profiles.wordpress.org/willmot/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>willmot</a></p>\n\n\n\n<p>Your comments, including some <a href=\"https://make.wordpress.org/meta/2016/12/12/new-homepage-redesign/\">feedback from the 2016 redesign</a>, were taken into consideration with this work. Expect more updates to come as efforts to jazz up WordPress.org continue.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13321\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"The Month in WordPress – July 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2022/08/the-month-in-wordpress-july-2022/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 05 Aug 2022 08:57:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13306\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:362:\"July 2022 brought a lot of exciting announcements and proposals for the WordPress project, from an updated timeline for the WordPress 6.1 release, to design updates on WordPress.org. Read on to learn more about the latest news from the community. WordPress 6.1 development cycle is now published Mark your calendars! The WordPress 6.1 development cycle [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:15049:\"\n<p>July 2022 brought a lot of exciting announcements and proposals for the WordPress project, from an updated timeline for the WordPress 6.1 release, to design updates on WordPress.org. Read on to learn more about the latest news from the community.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<h2>WordPress 6.1 development cycle is now published</h2>\n\n\n\n<p>Mark your calendars! The <a href=\"https://make.wordpress.org/core/6-1/\">WordPress 6.1 development cycle</a> has been published along with its release team. The <strong>expected release date</strong> has been updated to <a href=\"https://make.wordpress.org/core/2022/07/26/wordpress-6-1-planning-roundup-v2/\"><strong>November 1, 2022</strong></a>, to incorporate feedback received on the first proposed schedule.</p>\n\n\n\n<p>In the meantime, you can upgrade WordPress to version 6.0.1. This maintenance release became <a href=\"https://wordpress.org/news/2022/07/wordpress-6-0-1-maintenance-release/\">available for download</a> on July 12, 2022, and includes several updates since WordPress 6.0 in May 2022.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Want to get more involved with WordPress? Join Executive Director Josepha Haden Chomphosy, as she guides you through the five stages of contribution in a <a href=\"https://wordpress.org/news/2022/07/episode-36-beginners-guide-to-contributions-2-0/\">recent episode of WP Briefing</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>A new look for the WordPress Homepage and Download page</h2>\n\n\n\n<p>Following the revamp of <a href=\"https://wordpress.org/news/\">WordPress.org/News</a> and the <a href=\"https://wordpress.org/gutenberg/\">Gutenberg page</a>, further design updates are coming to WordPress.org to create a fresh and modern user experience that reflects the future of WordPress.</p>\n\n\n\n<p>The WordPress.org home and download pages will be the next pieces to get a refreshed look and feel. The redesign project <a href=\"https://make.wordpress.org/design/2022/07/08/project-kickoff-wordpress-org-homepage-and-download-page-redesign/\">kicked off</a> on July 8, 2022, and the <a href=\"https://make.wordpress.org/meta/2022/08/01/developing-the-redesigned-home-and-download-pages/\">development work</a> is already underway.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Take a look at the design mockups and <a href=\"https://make.wordpress.org/design/2022/07/27/project-update-wordpress-org-homepage-and-download-page-mockups/\">join the conversation</a>.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Gutenberg versions 13.6, 13.7, and 13.8 are here</h2>\n\n\n\n<p>Three new versions of Gutenberg have been released since last month’s edition of The Month in WordPress:</p>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/07/07/whats-new-in-gutenberg-13-6-6-july/\"><strong>Gutenberg 13.6</strong></a> shipped on July 6, 2022. It includes 26 bug fixes and accessibility enhancements. This release also builds on previous work to expand theme.json and to allow you to create a cohesive design across blocks.</li><li><a href=\"https://make.wordpress.org/core/2022/07/20/whats-new-in-gutenberg-13-7-20-july/\"><strong>Gutenberg 13.7</strong></a> brings an updated modal design, the ability to apply block locking to inner blocks, and <a href=\"https://make.wordpress.org/core/2022/07/21/core-editor-improvement-deeper-customization-with-more-template-options/\">new template types</a>, to name a few highlights. It was released on July 20, 2022.</li><li>The latest Gutenberg release, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/\"><strong>version 13.8</strong></a>, went live on August 3, 2022. It comes with ​​fluid typography support among other enhancements, a new feature that will allow you to define text size that can scale and adapt to changes in screen size.</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Follow the <a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">“What’s new in Gutenberg”</a> posts to stay on top of the latest updates.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Team updates: WordPress mobile app changes, pattern previews, Five for the Future improvements</h2>\n\n\n\n<ul><li>The Mobile Team announced last week that it will be <a href=\"https://make.wordpress.org/mobile/2022/07/27/refocusing-the-wordpress-app-on-core-features/\">refocusing the WordPress mobile app on core features</a>. To better serve the needs of all app users and reduce confusion, the Jetpack and WordPress.com features will be moved to a separate app in a gradual process targeted for completion later this year.</li><li>The Community Team is<a href=\"https://make.wordpress.org/community/2022/07/08/call-for-supporters-reactivating-wordpress-meetups-around-the-world/\"> looking for supporters</a> to help reactivate WordPress meetups around the world.</li><li>As part of the ongoing efforts to improve the <a href=\"https://wordpress.org/five-for-the-future/\">Five for the Future</a> (5ftF) initiative, the Meta Team added automated recognition for a number of non-code contributions. <a href=\"https://make.wordpress.org/project/2022/07/28/updates-on-the-five-for-the-future-program-and-proposed-improvements/\">Check out this post</a> to learn more about other proposed improvements to the program.</li><li>The WordPress.org Theme Directory introduced a new feature that allows visitors to <a href=\"https://make.wordpress.org/meta/2022/07/21/pattern-previews-for-themes-in-the-directory-beta/\">preview patterns bundled in a theme</a> without requiring installation.</li><li>The Design Team proposed to release <a href=\"https://make.wordpress.org/design/2022/07/19/proposal-a-new-kind-of-default-theme/\">a curated set of style variations</a> designed by the community (instead of a new default theme) for WordPress 6.1.</li><li>Josepha Haden Chomphosy reflected on progress towards the 2022 goals of the WordPress project in this <a href=\"https://make.wordpress.org/updates/2022/07/25/a-mid-year-year-look-at-2022-goals/\">mid-year review</a>.</li><li>Over the past few months, the Training Team published six tutorials along with a variety of lesson plans and online workshops. See what&#8217;s new in this <a href=\"https://make.wordpress.org/updates/2022/07/15/whats-new-on-learnwp-in-july-2022/\">summary post</a>.</li><li>Curious about how the WordPress 6.0 release process went? Read this <a href=\"https://make.wordpress.org/core/2022/07/07/wordpress-6-0-retrospective-recap/\">WordPress 6.0 retrospective recap</a> for insights.</li><li>The Themes Team shared a follow-up post to address questions about the <a href=\"https://make.wordpress.org/themes/2022/07/28/using-locally-hosted-google-fonts-in-themes/\">use of locally-hosted Google fonts in themes</a>.</li><li>There is an open <a href=\"https://make.wordpress.org/accessibility/2022/07/15/call-team-rep-nomination-july-2022/\">call for a new Accessibility Team Representative</a>.</li><li>The Performance Team has a new dedicated Make blog. Follow updates on their work and proposals at <a href=\"https://make.wordpress.org/performance\">make.wordpress.org/performance</a>.</li><li>The July 2022 edition of the <a href=\"https://make.wordpress.org/polyglots/2022/07/22/polyglots-monthly-newsletter-july-2022/\">Polyglots Monthly Newsletter</a> is live.</li><li>The latest edition of People of WordPress highlights <a href=\"https://wordpress.org/news/2022/07/people-of-wordpress-carla-doria/\">Carla Doria</a>, a customer support specialist from South America.</li><li><a href=\"https://make.wordpress.org/community/2022/07/22/july-meetup-organizer-newsletter/\">July’s Meetup Organizer Newsletter</a> features several tips and tools for engaging and growing your community.</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>WP Briefing celebrated <a href=\"https://wordpress.org/news/2022/08/episode-37-the-world-of-wordpress-on-world-wide-web-day/\">World Wide Web Day 2022 with a special episode</a>!<strong> </strong>Tune in to hear contributors from the community reflect on how WordPress impacts their world.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Feedback &amp; testing requests</h2>\n\n\n\n<ul><li>Josepha Haden Chomphosy suggested giving Full Site Editing (FSE) a more user-friendly name. <a href=\"https://make.wordpress.org/core/2022/07/27/giving-fse-a-more-user-friendly-name/\">Share your thoughts in this post</a>.</li><li>The <a href=\"https://make.wordpress.org/core/2022/07/21/request-for-feedback-feature-notifications-proof-of-concept/\">WordPress Notifications Feature project</a> is ready to begin collecting feedback. Efforts to help test the feature plugin and comments are welcome.</li><li>The Training Team kicked off a discussion to gather feedback on <a href=\"https://make.wordpress.org/training/2022/07/11/exploring-wordpress-certifications/\">how WordPress certifications should be approached</a>.</li><li>The Performance Team shared a few proposals to integrate new features targeting the WordPress 6.1 release. You can help by testing, reporting bugs, or contributing fixes and ideas:<ul><li><a href=\"https://make.wordpress.org/core/2022/07/13/proposal-persistent-object-cache-and-full-page-cache-site-health-checks/\">Proposal: Persistent Object Cache and Full Page Cache Site Health Checks</a></li><li><a href=\"https://make.wordpress.org/core/2022/07/21/proposal-add-a-dominant-color-background-to-images/\">Proposal: Add a dominant color background to images</a></li></ul></li><li>Version 20.4 of WordPress for <a href=\"https://make.wordpress.org/mobile/2022/07/26/call-for-testing-wordpress-for-android-20-4/\">Android</a> and <a href=\"https://make.wordpress.org/mobile/2022/07/25/call-for-testing-wordpress-for-ios-20-4/\">iOS</a> is available for testing.</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>The Community Team is calling on all meetup members and organizers to <a href=\"https://make.wordpress.org/community/2022/08/02/announcing-the-2021-2022-annual-meetup-survey/\">complete the 2021-2022 Annual Meetup Survey</a>. Your feedback will help strengthen the WordPress meetup program for years to come. Please respond and help spread the word.</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>WordCamp updates</h2>\n\n\n\n<ul><li>WordCamp US is only five weeks away! The organizing team announced the <a href=\"https://us.wordcamp.org/2022/2022-kim-parsell-memorial-scholarship-recipients/\">Kim Parsell Memorial Scholarship recipients</a> for this year. Congratulations to <a href=\"https://profiles.wordpress.org/margheweb/\">Margherita Pelonara</a>, <a href=\"https://profiles.wordpress.org/simo70/\">Simona Simionato</a>, and <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a>!</li><li><a href=\"https://us.wordcamp.org/2022/underrepresented-speaker-supporters/\">20 organizations</a> have stepped forward to support underrepresented speakers from all over the world to get to WordCamp US 2022. Visit the <a href=\"https://us.wordcamp.org/2022/underrepresented-speaker-support/\">Underrepresented Speaker Support page</a> to donate to the fund or ask for support if you are part of an underrepresented group.</li><li>WordCamp Asia 2023 opened a new <a href=\"https://asia.wordcamp.org/2023/call-for-speakers-is-now-open/\">Call for Speakers</a> and <a href=\"https://asia.wordcamp.org/2023/call-for-media-partners/\">Media Partners</a>. The deadline for speaker applications is September 15, 2022. The organizing team also shared more details on the <a href=\"https://asia.wordcamp.org/2023/wordcamp-asia-2023-ticket-release-timeline/\">ticket release timeline</a>.</li><li>Don’t miss these upcoming WordCamps:<ul><li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1ec.png\" alt=\"🇺🇬\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://jinja.wordcamp.org/2022/\">WordCamp Jinja</a>, Uganda on September 2-3, 2022</li><li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f3-1f1f5.png\" alt=\"🇳🇵\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://kathmandu.wordcamp.org/2022/\">WordCamp Kathmandu</a>, Nepal on September 3-4, 2022</li><li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1fa-1f1f8.png\" alt=\"🇺🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://us.wordcamp.org/2022/\">WordCamp US</a> in San Diego, California on September 9-11, 2022</li><li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1f3-1f1f1.png\" alt=\"🇳🇱\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://netherlands.wordcamp.org/2022/\">WordCamp Netherlands</a>, The Netherlands on September 15-16, 2022</li><li><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ea-1f1f8.png\" alt=\"🇪🇸\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /> <a href=\"https://pontevedra.wordcamp.org/2022/\">WordCamp Pontevedra</a>, Spain on September 24-25, 2022</li></ul></li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\">\n<p>Join #WPDiversity with a free, online speaker workshop for Indian women in the WordPress community. The event will take place on September 24-25, 2022. <a href=\"https://www.eventbrite.com/e/speaker-workshop-for-indian-women-in-the-wordpress-community-sept-24-25-tickets-348466712317\">Sign up now</a>!</p>\n</blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<p><strong><em><strong><em><strong><em>Have a story that we should include in the next issue of The Month in WordPress? Let us know by filling out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this form</em></strong></a><strong><em>.</em></strong></em></strong></em></strong></p>\n\n\n\n<p><em><em>The following folks contributed to this edition of The Month in WordPress: <a href=\'https://profiles.wordpress.org/chaion07/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chaion07</a>, <a href=\'https://profiles.wordpress.org/laurlittle/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>laurlittle</a>, <a href=\'https://profiles.wordpress.org/mysweetcate/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mysweetcate</a>, <a href=\'https://profiles.wordpress.org/sereedmedia/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sereedmedia</a>, <a href=\'https://profiles.wordpress.org/dansoschin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dansoschin</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>.</em></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13306\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WP Briefing: Episode 37: The World of WordPress on World Wide Web Day\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wordpress.org/news/2022/08/episode-37-the-world-of-wordpress-on-world-wide-web-day/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 01 Aug 2022 23:15:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13198\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"Celebrating WWW Day, Josepha invites contributors from around the globe to share stories of how WordPress impacts their worlds. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/08/WP-Briefing-037.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Chloe Bringmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:23689:\"\n<p>In the thirty-seventh episode of the WordPress Briefing, WordPress users and contributors reflect on how WordPress has changed their understanding of the web as we celebrate World Wide Web Day.</p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a> &amp; <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloé Bringmann</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<p>Guests: </p>\n\n\n\n<ul><li><a href=\"https://profiles.wordpress.org/awarner20/\">Adam Warner</a></li><li><a href=\"https://profiles.wordpress.org/aliceorru/\">Alice Orrù</a></li><li><a href=\"https://profiles.wordpress.org/thewebprincess/\">Dee Teal</a></li><li><a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a></li><li><a href=\"https://profiles.wordpress.org/jillbinder/\">Jill Binder</a></li><li><a href=\"https://wordpress.org/support/users/mariaojob/\">Mary Job</a></li><li><a href=\"https://profiles.wordpress.org/onealtr/\">Oneal Rosero</a></li><li><a href=\"https://profiles.wordpress.org/iamsirotee/\">Theophilus Adegbohungbe</a></li><li><a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a></li></ul>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/event-formats/diversity-speaker-training-workshop/\">Diverse Speaker Training Group</a></p>\n\n\n\n<p><a href=\"https://us.wordcamp.org/2022/support-underrepresented-speakers-at-wordcamp-us/\">Support Underrepresented Speakers at WordCamp US</a></p>\n\n\n\n<p><a href=\"https://asia.wordcamp.org/2023/call-for-speakers/\">Call of Speakers &#8211; WordCamp Asia 2023</a></p>\n\n\n\n<p><a href=\"https://make.wordpress.org/mobile/2022/07/27/refocusing-the-wordpress-app-on-core-features/\">Refocusing the WordPress App on Core Features</a></p>\n\n\n\n<p><a href=\"https://make.wordpress.org/design/2022/07/08/project-kickoff-wordpress-org-homepage-and-download-page-redesign/\">WordPress.org Homepage and Download Redesign </a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13198\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Hello, everyone! And welcome to the WordPress Briefing: the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks. I’m your host, Josepha Haden Chomphosy. Here we go!</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:39]&nbsp;</strong></p>\n\n\n\n<p>Today is one of my favorite niche holidays &#8211; World Wide Web Day &#8211; which serves to raise awareness about the origins of the World Wide Web project. WordPress, as part of Web 2.0, only ever had a chance to exist because the web, as we have come to know it exists. So in order to mark this nerdy day on the WP Briefing, I invited a number of community members to share a bit about how WordPress has been a part of their lives.</p>\n\n\n\n<p>But first, let&#8217;s do some introductions.&nbsp;</p>\n\n\n\n<p><strong>[Adam Warner 00:01:07]</strong></p>\n\n\n\n<p>My name is <a href=\"https://profiles.wordpress.org/awarner20/\">Adam Warner</a>, and I&#8217;m originally from a small town in west Michigan, now residing in Orlando, Florida.&nbsp;</p>\n\n\n\n<p><strong>[Alice Orrù 00:01:15]&nbsp;</strong></p>\n\n\n\n<p>My name is <a href=\"https://profiles.wordpress.org/aliceorru/\" data-type=\"URL\" data-id=\"https://profiles.wordpress.org/aliceorru/\">Alice Orrù</a>. I&#8217;m Italian. I was born in the beautiful island of Sardinia, but I&#8217;ve been living in Spain in the province of Barcelona for 10 years.</p>\n\n\n\n<p><strong>[Dee Teal 00:01:26]</strong></p>\n\n\n\n<p>My name is <a href=\"https://profiles.wordpress.org/thewebprincess/\">Dee Teal</a>; Dee is short for Denise. I&#8217;m from New Zealand, but I live In Melbourne.</p>\n\n\n\n<p><strong>[Femy Praseeth 00:01:33]</strong></p>\n\n\n\n<p>Yeah, my name is <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a>. I was born and raised in India and now live in San Jose, California, with my family and cuddly Doodle.</p>\n\n\n\n<p><strong>[Jill Binder 00:01:41]&nbsp;</strong></p>\n\n\n\n<p>My name is <a href=\"https://profiles.wordpress.org/jillbinder/\">Jill Binder</a>, and I&#8217;ve just moved back to Vancouver, Canada.&nbsp;</p>\n\n\n\n<p><strong>[Mary Job 00:01:47]&nbsp;</strong></p>\n\n\n\n<p>My name is <a href=\"https://wordpress.org/support/users/mariaojob/\">Mary Job</a>. I&#8217;ve been using WordPress since 2015, and I&#8217;m from Nigeria. I&#8217;m from the Western part of Nigeria. Ijebu precisely.&nbsp;</p>\n\n\n\n<p><strong>[Oneal Rosero 00:01:57]</strong></p>\n\n\n\n<p>Yes. My name is <a href=\"https://profiles.wordpress.org/onealtr/\">Oneal Rosero</a>. I am from the Philippines and I&#8217;ve been using WordPress since 2007.&nbsp;</p>\n\n\n\n<p><strong>[Theophilus Adegbohungbe</strong> <strong>00:02:06]&nbsp;</strong></p>\n\n\n\n<p>Thank you. My name is <a href=\"https://profiles.wordpress.org/iamsirotee/\">Theophilus Adegbohungbe</a> . And I&#8217;m from Ilesa, Osun State in Nigeria.&nbsp;</p>\n\n\n\n<p><strong>[Ugyen Dorji 00:02:14]</strong></p>\n\n\n\n<p>My name is <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> and I&#8217;m from Bhutan. And I&#8217;m working with WordPress for more than five years.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:22]&nbsp;</strong></p>\n\n\n\n<p>One of the things I enjoy the most about being part of any community is being able to see how people change and grow over time as they learn and gain confidence in their own expertise. So a favorite early question is naturally, ‘How has WordPress changed your World?’</p>\n\n\n\n<p><strong>[Alice Orrù 00:02:37]&nbsp;</strong></p>\n\n\n\n<p>WordPress changed my world in many ways. But, uh, starting from the moment, it allowed me to become part of a global connected and welcome community. I started using WordPress as a blogger many, many years ago, but it was in 2015 that I started working behind the scenes of WordPress with a plugin company.</p>\n\n\n\n<p>And that was the moment when everything changed, basically, because I realized that WordPress was much more than a CMS for creating websites. It was a world full of opportunities for networking, making new friends and walking a new professional path as well.&nbsp;</p>\n\n\n\n<p><strong>[Ugyen Dorji 00:03:15]&nbsp;</strong></p>\n\n\n\n<p>During one interview, I was asked many questions about WordPress and although I had a basic understanding of WordPress, I struggled to give detailed answers.</p>\n\n\n\n<p>After that interview, I resolved to develop my skills and learn as much about WordPress as possible. A few months passed and I received a call from ServeMask In, [who] had developed a plugin called All-in-One WP Migration plugin. They offered me a position which fulfilled my wish to work with WordPress full time.</p>\n\n\n\n<p>And because of that, I am now an active contributor to the WordPress community as bread and butter, with the best career in the world.</p>\n\n\n\n<p><strong>[Theophilus Adegbohungbe 00:04:03]&nbsp;</strong></p>\n\n\n\n<p>If you are very familiar with my country, Nigeria things here, it&#8217;s not as smooth as it is in other parts of the world. That is, when you are done in school in my university, you have to find means of surviving yourself.&nbsp; There is nothing like the government have work for you. There is nothing like you finish our institution and you get job instantly. So it&#8217;s very tough here. And, year by year, schools keep producing graduates with no companies to employ them and no government job again as well.</p>\n\n\n\n<p>So I personally, I was able to gain freedom from this with the help of WordPress.</p>\n\n\n\n<p><strong>[Femy Praseeth 00:04:51]</strong></p>\n\n\n\n<p>WordPress completely changed my work life. I started working independently. I started freelancing with agencies and designers and, uh, building websites from their web designs. And this was around the time my son was born. Actually, he was in elementary school and I think this was around 2014 or so. I started working remotely when remote was not even a thing.</p>\n\n\n\n<p>And there were very few companies that let you work from home and remote was not a mainstream thing at all, but with WordPress, I could set my own working hours while my son was in school.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:29]&nbsp;</strong></p>\n\n\n\n<p>And of course, my preferred follow-up question of, ‘How did you hear about us?’ or ‘How did you connect to this global community?’</p>\n\n\n\n<p><strong>[Oneal Rosero 00:05:36]&nbsp;</strong></p>\n\n\n\n<p>Yes, actually what I love about WordPress is that it&#8217;s a community. It&#8217;s not a business. It&#8217;s not a company. It&#8217;s a community. It&#8217;s a community that&#8217;s always ready to help support, teach and encourage people. That&#8217;s how I felt when I joined the community. There&#8217;s always somebody who has your back.</p>\n\n\n\n<p>There&#8217;s always somebody who&#8217;s going to guide you. There&#8217;s always an expert who will take your hand and lead you into the beauty that is WordPress.&nbsp;</p>\n\n\n\n<p><strong>[Adam Warner 00:06:05]&nbsp;</strong></p>\n\n\n\n<p>The way that I connect with the global community these days are one, of course, is .org Slack. Another of course is Twitter as there&#8217;s a very active WordPress community there.</p>\n\n\n\n<p>And then with WordCamps all over the globe. I&#8217;m lucky enough to have been able to travel to several hundred WordCamps through the years in the US and abroad. And that&#8217;s one of the most rewarding parts is meeting people from all over the world and you see really how small and the world really is and how similar we really all are.</p>\n\n\n\n<p><strong>[Theophilus Adegbohungbe 00:06:39]&nbsp;</strong></p>\n\n\n\n<p>So, not until 2020. I don’t know if you know this lady, a very vibrant lady in WordPress. She&#8217;s from Nigeria; her name is Mary Job, and she&#8217;s really promoting WordPress here. So it was through her that I got to know about the community. Yes.</p>\n\n\n\n<p><strong>[Jill Binder 00:06:54]</strong></p>\n\n\n\n<p>My work is the global WordPress community. So we hold our three programs for the global WordPress community, and we are always trying to reach more and more countries. For quite a while, it was very North America-heavy, and then I made some efforts to expand. And it&#8217;s very exciting that this year, some contributors in our team have actually launched an Asia Pacific branch of our group.&nbsp;</p>\n\n\n\n<p>And so we have two meetings every other week where we have the America/Europe and the APAC, and we&#8217;ve also been able to reach other countries as well, but we typically reach something like between 20 and 50 countries a year, depending on the year. So a hundred percent global. Yes.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:39]&nbsp;</strong></p>\n\n\n\n<p>How has WordPress, either the CMS or the project, made you feel more connected? And are there any surprising connections that came from WordPress?</p>\n\n\n\n<p><strong>[Dee Teal&nbsp; 00:07:47]&nbsp;</strong></p>\n\n\n\n<p>I guess the surprising connections I think that have come from WordPress have been the fact that I feel like I&#8217;ve got friends all over the world. And a lot of those have come out of community involvement and from contributing. That I could go to a, a meetup pretty much anywhere in the world and probably find somebody I know, or at least a second degree connection of somebody that I haven&#8217;t, you know, that I might not have met, but know somebody that I know. And certainly that happens fairly regularly.&nbsp;</p>\n\n\n\n<p><strong>[Mary Job 00:08:13]</strong></p>\n\n\n\n<p>WordPress. The WordPress project, the community, has made me feel connected in a huge way, because I am literally surrounded by everything WordPress. So I like how, when you meet somebody who does WordPress, there&#8217;s this instant, ‘Oh, we&#8217;re brothers,’ or&nbsp; ‘Oh, we&#8217;re sisters!’ You know? There&#8217;s that feeling? That&#8217;s how I feel.&nbsp;</p>\n\n\n\n<p>So when I see somebody who does WordPress, as I do, I&#8217;m like, ‘Oh yeah, we&#8217;re, kin.’ You know? We are family. That&#8217;s how I feel when I meet people who do WordPress. And I&#8217;ve met quite a number of people who do WordPress from like around the world. Like I have a friend here, he&#8217;s from the Benin Republic, and we host started a dinner on Friday night and one of my guests was asking me, ‘How did you guys meet?’</p>\n\n\n\n<p>I was like, ‘Oh yeah, we work in the same WordPress ecosystem.’ He attended our WordCamp, we became friends, and we just literally became really good friends. So I have tons of people that I&#8217;ve met like that I hold in high esteem.</p>\n\n\n\n<p><strong>[Ugyen Dorji 00:09:12]&nbsp;</strong></p>\n\n\n\n<p>WordPress Meetups are the seeds that lead to the growth of WordPress communities. WordCamp is a platform for plugin and theme developers to meet WordPress users and website developers. It&#8217;s a great environment where many incredible discussions about WordPress takes place. With each WordCamp there is a &#8220;tribe&#8221; meeting, where I think people [can] get more connected. It&#8217;s a fantastic opportunity for aspiring computer engineers, generators and get to showcase their talent and meet each other.</p>\n\n\n\n<p><strong>[Alice Orrù 00:09:51]&nbsp;</strong></p>\n\n\n\n<p>On the project level, it has given me the opportunity to feel like an active part of a global project. The idea that I can give my contribution to making the web a better place &#8211; it’s amazing. And I do so with the Translation team, so making WordPress accessible to all the people that use the core plugins and themes in Italian, and prefer to do that in Italian.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:10:18]</strong>&nbsp;</p>\n\n\n\n<p>What area of the WordPress world is most important to you?</p>\n\n\n\n<p><strong>[Jill Binder 00:10:21]</strong></p>\n\n\n\n<p>I have a little bit of a passion for diversity in tech and diversity in WordPress, specifically around events. And so, here&#8217;s a chance to name the three programs that we&#8217;ve been working on this year. So as mentioned a few times, we have our <a href=\"https://make.wordpress.org/community/handbook/meetup-organizer/event-formats/diversity-speaker-training-workshop/\">Diverse Speaker Workshop</a> that helps people go from not even having the thought that people could step up on stage.</p>\n\n\n\n<p>And then the second program is because of the pandemic. There was no longer the straight path from taking our workshop to speaking, because we used to hold them or people used to hold them for their WordCamps and meetups. And so it was like, okay, you&#8217;ve taken. Apply for our next WordCamp or meetup. But during the pandemic, that wasn&#8217;t a thing.</p>\n\n\n\n<p>So we have this amazing channel that we welcome everyone to join, allies and people from underrepresented groups who are interested in speaking or interested in supporting people and speaking. And that&#8217;s the Diverse Speaker channel <a href=\"https://wordpress.slack.com/archives/C028SE81N3H\">diverse-speaker-support</a> channel on the Make WordPress slack.</p>\n\n\n\n<p>And the third program is, and we, we went through a name change recently. So I&#8217;ll try to remember the new change it&#8217;s Organizing Inclusive and Diverse WordPress Events. And this is for WordCamp and meetup organizers to learn. We&#8217;ve learned over the last couple years, how important it is to create inclusive spaces and be good allies.</p>\n\n\n\n<p>But how do we actually do that? And a few of us created a very action oriented workshop in 2019 for WCUS, and that is now the basis of the work that we are bringing to people and people are loving it.. We&#8217;ve had people report a 40%, self-report 40%, increase in feeling prepared to create an inclusive event from before and after taking that workshop, which is super cool.</p>\n\n\n\n<p>Yeah. So, that’s my passion.&nbsp;</p>\n\n\n\n<p><strong>[Oneal Rosero 00:12:13]&nbsp;</strong></p>\n\n\n\n<p>I really love helping the WP Diversity team. I love running the workshops. I love running the workshops for myself, because I used to do training for software back before the pandemic. I used to train up to a thousand people a year in person, sometimes like 500 people in a room at once.</p>\n\n\n\n<p>But of course I had to shift. I had to pivot to online training, which is what the training team has brought for me. And the focus on the diversity. I like running the workshops. I like running workshops for different groups, different countries, because it&#8217;s nice to meet new people. It&#8217;s nice to hear about their culture, about the limitations that people have in Africa with connectivity.</p>\n\n\n\n<p>So they, they resort to using WhatsApp on their phone in order to do a meetup. That&#8217;s how they do their, their meetings, their discussions. It&#8217;s unlike other countries where we can do video calls. They have to use their mobile phones because connectivity isn&#8217;t accessible.&nbsp;</p>\n\n\n\n<p>Places like in the Philippines that get affected when it starts to rain a little bit, we lose our internet. So we have backups and our backups have backups. So there are many things that you learn that are different when you&#8217;re living in the city, when you&#8217;re living in the provinces, in the country. So it&#8217;s so many things that you learn about people and how they&#8217;re able to adapt.&nbsp;</p>\n\n\n\n<p><strong>[Adam Warner 00:13:35]</strong>&nbsp;</p>\n\n\n\n<p>Enabling end users to reach their goals. And whether that means participating in contributing to the software, to the Core software itself, in terms of UI/UX usability. That can include participating in the community and sharing your knowledge proactively with users who may be new to the platform, or have used WordPress for a while, but now want to step up their game, get a little deeper into using their websites as a tool for growth, for whatever business that they&#8217;re in. So, I mean, overall, the, the most important part of the WordPress world to me are the end users. And, you know, there, there is this quote unquote inner circle of WordPress community people. People who are involved in .org, people who contribute to the software, people who contribute to the 20 plus make.wordpress.org teams.</p>\n\n\n\n<p>Those we have to keep in mind, are not the average user by and far. They are not the typical user that hears the word WordPress and then goes out and searches it and then has to figure out how to use it. So I think user experience is probably the most important part for me and making sure that any of that innate knowledge that we have in that inner circle of WordPress because many of us have been using it for so long, keeping in mind that is not the norm. And it&#8217;s not the scale at which WordPress is used and, and making sure we translate complex concepts down to a layperson&#8217;s terms that might not be as familiar.&nbsp;</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:15:17]&nbsp;</strong></p>\n\n\n\n<p>One of the things that I have always found so fascinating about the web and WordPress’ role in it is how it has made the world simultaneously smaller and bigger. By giving voices to the voiceless we help each other find our community niches regardless of where they are in the world. Some of your closest friends could be people you would never meet in your own neighborhood. Well, let’s hear what some of our community members had to say about that.</p>\n\n\n\n<p><strong>[Dee Tea 00:15:42]</strong></p>\n\n\n\n<p>I think the thing that has been most empowering is, is coming into the project either in terms of contributing time and efforts to the community, which is where most of my contribution has been &#8211; has always been about this is a really cool thing, and I really want to build this.</p>\n\n\n\n<p>And so I&#8217;ll put my time and efforts into building WordPress. Not for me, but because I see its value and I see its community and I see that the contribution that it&#8217;s making to the world and I, and that&#8217;s really important. But finding that on the other side of that was a huge amount of personal benefit for me in my career, in the friendships that I&#8217;ve made.</p>\n\n\n\n<p>But I feel like if I had been approaching the community with, I want a better career, I wanna meet all of these people and I want, and I want all of this. From, “I want” for me, instead of, I want for this project, for the community and effectively for the world with that, you know, that whole democratized, the democratizing of publishing is this thing that serves the world.</p>\n\n\n\n<p>I think that&#8217;s been the key for me is that I absolutely have reaped amazing benefits from it, but it came out of that sense of, I see this value here and I want to contribute to that because it&#8217;s gonna have value, not just for me, but for a whole slew of people. And so, uh, you know, for much, much bigger impact than just on me.</p>\n\n\n\n<p>And so I think that&#8217;s the important thing for me is that sense of, if you approach it with that attitude of what can I do to help? It&#8217;s amazing what you will find yourself helped with in return.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:17:24]&nbsp;</strong></p>\n\n\n\n<p>I hope that you enjoyed this tour of WordPress in the World Wide Web. I want to share a big thank you to all of the folks who contributed to our little WordPress Briefing celebration of World Wide Web Day today.</p>\n\n\n\n<p>And that brings us now to our small list of big things. So firstly, we&#8217;ve got a couple of updates from our upcoming flagship events. WordCamp US has announced a speaker support fund specifically for historically underrepresented speakers at the event. You can donate to the fund on the page if you&#8217;d like, and there are also directions on how to request support, if you are part of an underrepresented group.&nbsp;</p>\n\n\n\n<p>From the folks over at WordCamp Asia, the call for speakers is live. That&#8217;s taking place in February, 2023. But it&#8217;s never too early to brush up those presentations and get them submitted.&nbsp;</p>\n\n\n\n<p>Next big thing is that there are some changes coming to the WordPress mobile app. A lot of the Jetpack functionality will be removed from it, so this is going to have a little bit of an effect on daily users of the app, but it will also have an effect on regular contributors. I&#8217;ll have a link to the full write up in the show notes so that you don&#8217;t have to guess or hold it all in your memory.&nbsp;</p>\n\n\n\n<p>And finally, this excellent design that you see on wordpress.org/news is finally making its way out to the next parts of the wordpress.org website. Before you know, it, there will be a fresh looking homepage as well as few other pages and then… to infinity and beyond (or something like that).&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy. And next up I&#8217;ll be taking just a mid-year break from the podcast. And so the next time that I actually see you again, will be in September.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13198\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"People of WordPress: Carla Doria\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2022/07/people-of-wordpress-carla-doria/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 31 Jul 2022 19:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13201\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:324:\"In this series, we share some of the inspiring stories of how WordPress and its global network of contributors can change people’s lives for the better. This month we feature Carla Doria, a customer support specialist from South America on how WordPress opened up a new world for her, and gave her the ability to [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:12025:\"\n<p><strong>In this series, we share some of the inspiring stories of how WordPress and its global network of contributors can change people’s lives for the better. This month we feature Carla Doria, a customer support specialist from South America on how WordPress opened up a new world for her, and gave her the ability to help the local community</strong>.</p>\n\n\n\n<p>For Carla, working with WordPress is a vital part of her life. It gave her a career and a community, in which she she would organize the first WordCamp in her city, Cochabamba, and the first in Bolivia.</p>\n\n\n\n<p>Carla studied industrial engineering and has a master’s degree in environmental studies.<br>Her first experience with WordPress was when she decided to start a small business designing and selling cushions and bedclothes.&nbsp;While Carla sat in the small store she had rented, hoping that people stopping at the shop windows would step in to buy something, she decided she needed to create a website.</p>\n\n\n\n<h2><strong>First steps with WordPress</strong></h2>\n\n\n\n<p>Carla had no budget to hire somebody, but she felt confident&nbsp; she could learn things on her own.&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>“Learning to use WordPress requires no code skills or a technical background. It needs an adventurous and playful spirit.” </p><cite>Carla Doria</cite></blockquote>\n\n\n\n<p>She had always been studious, and decided she would figure out how to build a website herself. Carla ended up building a simple blog with WordPress. At the time, she didn’t even have a budget to buy a custom domain, so she used a free subdomain.<br><br>“Learning to use WordPress is easy. It requires no code skills or a technical background at all. It only needs an adventurous and playful spirit,” said Carla</p>\n\n\n\n<p>There were no profits, and any income mainly went to pay the store’s rent. At the time, her previous company contacted her for a job opening that matched her profile. Carla needed that income and decided to closed the store and forget about being an entrepreneur.</p>\n\n\n\n<p>Back in employee mode, Carla started her new job as a technical writer for a software development company. Since Carla had completed her master’s degree in the UK, she was proficient in English. Her close affinity for computers and technology made it easy for her to translate complex software jargon into simple tutorial steps.</p>\n\n\n\n<p>As Carla got more interested in technical writing and started to improve her writing skills. This reconnected her with her previous enthusiasm for writing, and she decided to channel that interest into a blog.</p>\n\n\n\n<h2><strong>Diving deep</strong></h2>\n\n\n\n<p>Creating her blog helped her become more familiar with WordPress and building websites. In 2015, Carla blogged about writing, her thoughts, book reviews, and everything that came to mind.&nbsp;</p>\n\n\n\n<p>Through looking for answers to specific issues using her WordPress blog, Carla found the support forums a useful place to go. Soon she realized that she could also help answer other people’s questions.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"600\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/07/carla-doria-2.jpg?resize=600%2C900&#038;ssl=1\" alt=\"\" class=\"wp-image-13189\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/07/carla-doria-2.jpg?w=600&amp;ssl=1 600w, https://i0.wp.com/wordpress.org/news/files/2022/07/carla-doria-2.jpg?resize=200%2C300&amp;ssl=1 200w\" sizes=\"(max-width: 600px) 100vw, 600px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Carla began checking the forums as a hobby. She liked that she was able to help people and learn more while doing so. </p>\n\n\n\n<p>Instead of surfing social media during her work breaks, Carla focused on checking the WordPress forums. Through this she learnt about a support job in one of the global firms.</p>\n\n\n\n<p>She felt the job was made for her and was excited to support people in building their websites with WordPress. The role offered the possibility to work remotely and travel while still working.</p>\n\n\n\n<p>After three years as a technical writer, her career felt stuck. She was certain she did not want to return to any job related to industrial engineering. </p>\n\n\n\n<p>Carla did not get through the selection process the first time. But after nearly 18 months between three applications and learning HTML and CSS, Carla finally secured a support job in 2016. With this job, WordPress became her main source of income.</p>\n\n\n\n<h2><strong>Leading a local WordPress community</strong></h2>\n\n\n\n<p>On the job, Carla learned about the WordPress communities around the world and WordCamps. But when somebody asked about the WordPress community where Carla lived, she didn’t know what to say. Was there a community?</p>\n\n\n\n<p>She discovered no local group existed, so she researched what was needed to setup a meetup. Carla discussed the idea with others, but hesitated as she thought it would require an expert WordPress developer to organize.&nbsp;&nbsp;</p>\n\n\n\n<p>But after trying to gauge interest, Carla realized that the only way to find community members was to start a community. In 2017, the <a href=\"https://www.meetup.com/Cochabamba-WordPress-Meetup/\">WordPress community in Cochabamba</a> was born.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"684\" height=\"391\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/07/Comunidad_WP_Cochabamba_FSE_event2022.jpg?resize=684%2C391&#038;ssl=1\" alt=\"The theme preview screen in the WordPress Cochabamba meeting on creating your website with blocks.\" class=\"wp-image-13236\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/07/Comunidad_WP_Cochabamba_FSE_event2022.jpg?w=684&amp;ssl=1 684w, https://i0.wp.com/wordpress.org/news/files/2022/07/Comunidad_WP_Cochabamba_FSE_event2022.jpg?resize=300%2C171&amp;ssl=1 300w\" sizes=\"(max-width: 684px) 100vw, 684px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>WordPress meeting in Cochabamba explored creating your website with blocks</em></figcaption></figure>\n\n\n\n<p>The group has had ups and downs, probably similar to any other community. Although Cochabamba is not a big city, they had issues finding a location that was free and available to anyone who wanted to join. People came with different levels of knowledge, from people with&nbsp;vast experience with WordPress to people with no experience but who wanted to learn.&nbsp;</p>\n\n\n\n<p>The community grew during the pandemic, as meetups went online and people from other cities in Bolivia were able to attend. After restrictions were lifted, there was a lot of excitement amongst members to meet each other in person.</p>\n\n\n\n<h2><strong>Giving back through speaking</strong></h2>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"600\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/07/carla-doria-1.jpg?resize=600%2C900&#038;ssl=1\" alt=\"Carla reading a book under a tree\" class=\"wp-image-13191\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/07/carla-doria-1.jpg?w=600&amp;ssl=1 600w, https://i0.wp.com/wordpress.org/news/files/2022/07/carla-doria-1.jpg?resize=200%2C300&amp;ssl=1 200w\" sizes=\"(max-width: 600px) 100vw, 600px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>The community also helped Carla to develop a new skill in public speaking. She applied to be a speaker at WordCamp Mexico <a href=\"https://mexicocity.wordcamp.org/2019/\">2019</a> and <a href=\"https://mexicocity.wordcamp.org/2020/\">2020</a>, <a href=\"https://guayaquil.wordcamp.org/2019/\">WordCamp Guayaquil 2019</a>, and <a href=\"https://colombia.wordcamp.org/2020/\">WordCamp Colombia in 2020</a>. Her confidence grew while she enjoyed connecting with other communities and meeting people who were on similar pathways. Not all of them were developers, as she had presumed. Many, like her, started out as bloggers.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"977\" height=\"419\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/07/WCC.png?resize=977%2C419&#038;ssl=1\" alt=\"WordCamp Cochabamba\'s logo with blue and grey lettering and a hat\" class=\"wp-image-13228\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/07/WCC.png?w=977&amp;ssl=1 977w, https://i0.wp.com/wordpress.org/news/files/2022/07/WCC.png?resize=300%2C129&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/07/WCC.png?resize=768%2C329&amp;ssl=1 768w\" sizes=\"(max-width: 977px) 100vw, 977px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Finally, after three years, Carla applied to organize her first WordCamp in 2021 in <a href=\"https://cochabamba.wordcamp.org/2021/\">Cochabamba</a>. She had never imagined organizing any WordCamp, and through this having the experience to talk to sponsors and contact companies, and lead a group of people with different talents and backgrounds. Carla felt she had learnt so much from the experience.</p>\n\n\n\n<p>Thanks to WordPress, Carla found a job she enjoyed, was able to work remotely, and help build something in her community to help people learn skills and find career opportunities.</p>\n\n\n\n<p>Carla feels grateful for all she has been able to do thanks to WordPress. She said: “WordPress has led me to find good jobs. It also has allowed me to contribute to a community of friends that love learning about WordPress.”  </p>\n\n\n\n<h2>Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community. Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2>Contributors</h2>\n\n\n\n<p>Thanks to Alison Rothwell (<a href=\'https://profiles.wordpress.org/wpfiddlybits/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>wpfiddlybits</a>), Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>), Larissa Murillo (<a href=\'https://profiles.wordpress.org/lmurillom/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lmurillom</a>), Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>), and Surendra Thakor (<a href=\'https://profiles.wordpress.org/sthakor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>sthakor</a>) for work on this feature, and to all the contributors who helped with the series recently. Thank you too to Carla Doria (<a href=\'https://profiles.wordpress.org/carlisdm/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>carlisdm</a>) for sharing her experiences.</p>\n\n\n\n<p>Thank you to Josepha Haden (@chantaboune) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for their support of the People of WordPress series.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13201\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WP Briefing: Episode 36: Beginner’s Guide to Contributions 2.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wordpress.org/news/2022/07/episode-36-beginners-guide-to-contributions-2-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 25 Jul 2022 11:05:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13162\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"Thinking of contributing to WordPress? Josepha Haden Chomphosy guides you through the five stages of contribution on the latest episode of the WP Briefing podcast! \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/07/WP-Briefing-036.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:16474:\"\n<p>In the thirty-sixth episode of the WordPress Briefing, Josepha Haden Chomphosy revisits the Beginner&#8217;s Guide to Contributions to the WordPress open source project. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2>References</h2>\n\n\n\n<ol><li><a href=\"https://make.wordpress.org/performance\" data-type=\"URL\" data-id=\"make.wordpress.org/performance\">Performance Team Information</a></li><li><a href=\"https://make.wordpress.org/community/2022/07/07/wcus2022-contributor-team-signup/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/community/2022/07/07/wcus2022-contributor-team-signup/\">WordCamp US Contributor Day Table Lead Info</a></li><li><a href=\"https://make.wordpress.org/test/2022/07/11/fse-program-testing-call-15-category-customization/\">Call for Testing #15: Category Customization </a></li><li><a href=\"https://europe.wordcamp.org/2019/contributor-orientation-tool/\">Contributor Quizlet</a></li></ol>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13162\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:10]&nbsp;&nbsp;</p>\n\n\n\n<p>Hello everyone, and welcome to the WordPress Briefing. The podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I&#8217;m your host Josepha Haden Chomphosy.</p>\n\n\n\n<p>Here we go.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:40]&nbsp;&nbsp;</p>\n\n\n\n<p>WordPress is an open source software project and, like many other open source software projects, has an entire community of people who show up to help improve it however they can. Most of you probably use WordPress every day in some way. And I&#8217;m going to assume that since you listen to this podcast, you&#8217;re also interested in how this all works.</p>\n\n\n\n<p>One of the things I mention practically every episode is that WordPress works and continues to work because of generous contributions from people all around the world. I consider my work with WordPress to be my way of giving back for everything that this software enabled me and my family to do. But I once was a first-time contributor, and I remember what it felt like before I knew everything.&nbsp;</p>\n\n\n\n<p>I felt like it moved at the speed of light and that I could never tell what to do now, let alone what to do next. And that everyone around me basically already knew everything. And if you are feeling that way right now, I encourage you to take a big deep breath [breathe] and let me help you get started.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:43]&nbsp;&nbsp;</p>\n\n\n\n<p>I&#8217;m a roadmap sort of person. So I&#8217;m going to start by sharing the stages I&#8217;ve observed for folks who are contributing to open source. That way, you can tell where you are right now, which spoiler alert is probably a bit further along than you realize. Then I&#8217;ll give you some questions you can ask yourself for each stage to figure out what is a good fit for you. Think of it as a guided exploration.&nbsp;</p>\n\n\n\n<p>All right, the five stages. So these are they:&nbsp;</p>\n\n\n\n<ol><li><strong>Connecting</strong>. That&#8217;s when you&#8217;re first learning about the community. You know WordPress exists, but now you&#8217;ve just discovered that the community exists. That&#8217;s where you are.&nbsp;</li><li>The second phase is <strong>Understanding</strong>. It&#8217;s when you are researching the community, like, you know it exists, you think you want to give back, and so you&#8217;re trying to figure out where everything is.&nbsp;</li><li>The third phase is what I call <strong>Engaging</strong>. It&#8217;s when you&#8217;re first interacting, you&#8217;ve downloaded the CMS, you have figured out which team you think you&#8217;re interested in, and you&#8217;re headed to events or meetings or whatever.&nbsp;</li><li>The fourth stage is one that I refer to as <strong>Performing</strong>. And that&#8217;s when you&#8217;ve decided that you&#8217;re gonna volunteer and you&#8217;re gonna take some action. You&#8217;re going to like a contributor day or running a release or whatever. I think that&#8217;s probably not the first place you land, running a release is probably a lot, but, you know, coordinating work on the release or something like that.&nbsp;</li><li>And then phase five, which is the <strong>Leading</strong> phase. That&#8217;s when you&#8217;re taking responsibility for things getting done.&nbsp;</li></ol>\n\n\n\n<p>[Josepha Haden Chomphosy 00:03:08]&nbsp;&nbsp;</p>\n\n\n\n<p>Before we get any further, there are four important things to remember about those stages.</p>\n\n\n\n<p>The first thing to remember is that there is no set time between any of those stages. You can start in one and then three years later go to the next one, or you can start in one and go into the next stage tomorrow. The next thing to know is that each stage builds on the one before it. In my observation, anytime I have seen a contributor who feels like they&#8217;re really struggling, it&#8217;s because they skipped a stage in there, which really causes some trouble for them.</p>\n\n\n\n<p>The next thing to remember is that not everyone will make it through these stages, which is okay. The majority of the community stops at three. Most contributors stop at four. And that is perfectly fine. That is expected. That is normal and completely in line with what we expect from contribution.</p>\n\n\n\n<p>Uh, and the final thing to remember about that list of the phases is that very few people make it into that leadership stage. If we assume, like I do, that 1% of the people who are using WordPress also show up and contribute back to WordPress, then it&#8217;s kind of safe to assume also that about 1% of those people who have shown up to contribute to WordPress are moving into a space where they feel like they&#8217;re willing to take responsibility for making sure things get done in WordPress.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:31]&nbsp;&nbsp;</p>\n\n\n\n<p>Like we all collectively feel responsible for WordPress&#8217;s success, but in that leadership area, you&#8217;re kind of taking responsibility for 40% of the web or whatever&#8217;s going on there. And not a lot of people make it there, and that is completely fine, too. So that&#8217;s our basic terminology today. Those are the caveats that go with our basic terminology.</p>\n\n\n\n<p>Most difficulties that arise for new contributors happen because a stage got skipped somewhere along the way. It&#8217;s almost never intentional, but from what I&#8217;ve observed, that&#8217;s what makes it really difficult to get started and what makes it difficult to keep going once you&#8217;ve kind of already gotten in there.</p>\n\n\n\n<p>So, all right. Big breath, folks with me again [breathe]. Alright, it&#8217;s guided exploration time.&nbsp;</p>\n\n\n\n<p>First phase, the connecting phase. Remember, this is where you&#8217;ve just learned the community exists, people are talking about it, you don&#8217;t know much more. The first step for you is asking yourself what it is you could do. Or if there&#8217;s a project out there that looks particularly interesting.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:36]&nbsp;&nbsp;</p>\n\n\n\n<p>So you can ask yourself questions, like, am I a writer? And if I am a writer, do I write technical or prose. The other thing you can ask is, am I a PHP developer, a JavaScript developer, Python, Go; which language am I writing in because I find it most beautiful. Another thing you can ask yourself is, am I a teacher or a mentor, or do I just generally like to be a mighty helper? And I like to make sure that things keep running.&nbsp;</p>\n\n\n\n<p>So once you&#8217;ve asked yourself those things, it&#8217;s on to phase two, the understanding phase. This is when you&#8217;re looking around at this new-to-you community to see what is happening where. So you take a look at the teams that are around, you think about whatever it was you said you were good at in the last question and you look at which teams might be a good fit.&nbsp;</p>\n\n\n\n<p>So if you said that you&#8217;re a good technical writer, then Docs probably is for you. Have you been training others to use WordPress for years? Then you might wanna look into Training. There are a lot of other things, obviously, like if you think you&#8217;re good at working with code PHP or JavaScript, you&#8217;re probably gonna end up in Core.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:46]&nbsp;&nbsp;</p>\n\n\n\n<p>If you are particularly good at any of the other tech stacks that we have around in our Trac area or an Openverse, then that&#8217;s where you&#8217;ll land over there. You have design options. Like if design is really your thing, we have a Design team, but we also have a Themes team. There are plenty of places that you can land depending on what it is that you feel like you are the best at and could really help the WordPress project. And so that&#8217;s your phase two.&nbsp;</p>\n\n\n\n<p>Now that you have gotten a good guess at a team, we&#8217;re gonna swing through to phase three, which is the engaging phase. This is the phase that is the scariest for most people, but it&#8217;s okay. I am here for you. I am here for you in this podcast. So you have figured out what you want to do in order to contribute, and you&#8217;ve got a sense for the team that looks right. There are two things that you do next.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:07:34]&nbsp;&nbsp;</p>\n\n\n\n<p>One is that you can go to a meeting. There are many kinds of meetings. There are team meetings, bug scrubs, and testing sessions, but they&#8217;re all in Slack, which means that you can attend one from anywhere. When they kick off, you wave, you introduce yourself, you let everybody know that you&#8217;re there and you&#8217;re observing. Folks will welcome you and just kind of give you some concept of what they&#8217;re working on. Easy as that. You&#8217;ve done your first time meeting attendance.&nbsp;</p>\n\n\n\n<p>Another good option is to keep an eye out for specific events. Some of those events happen online, like Global Translation Day. But also some of them happen in person like, Meetups or WordCamps. And there again, you show up, you wave, you introduce yourself, see if you can make a connection or two, let people know that you&#8217;re new and you&#8217;re just trying to figure out where you are and what you wanna do.&nbsp;</p>\n\n\n\n<p>If you&#8217;ve made it now, all the way to phase four, the performing phase, then give yourself a little pat on the back! Figuring out where you want to go and who your friendly faces are is the biggest challenge when you get started. So congratulations!&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:08:37]&nbsp;&nbsp;</p>\n\n\n\n<p>Phase four is the phase where you&#8217;ve decided you&#8217;re brave enough to volunteer &#8211; to do some contribution. You&#8217;re volunteering your time. That&#8217;s where you are now. So oddly enough, you start this phase by assigning yourself something, assigning yourself, a task. This seems counterintuitive.</p>\n\n\n\n<p>There&#8217;s this feeling that you can&#8217;t say that you&#8217;re gonna do something. That you can&#8217;t just assign something to yourself and say that you&#8217;re gonna do it. But in open source projects, you always can. You find a task where you&#8217;re comfortable, and you just mention that you would like to give it a try while the team is having their weekly meeting. And it&#8217;s simple as that. And not big things either. Like organizing an event or maintaining a component, those are probably too big for your first time around.</p>\n\n\n\n<p>I&#8217;m talking things like, &#8216;I will test that patch that you mentioned in the meeting.&#8217; Or &#8216;I will review the docs and make sure that they&#8217;re up to date with the most recent release.&#8217; Or &#8216;I can help run meetings for the next release.&#8217;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:40]&nbsp;&nbsp;</p>\n\n\n\n<p>And then you have phase five, where you just repeat phase four until you are leading something! And I don&#8217;t mean leading in the 1950s sort of way, where you have like a corner office and you&#8217;re ordering people around. I mean, in the warm, inviting millennial way where you&#8217;re leading by inspiring people to do something or you&#8217;re leading because you make sure that the meeting happens every single week.</p>\n\n\n\n<p>Or you&#8217;re leading because you added screenshots to tickets that needed testing and so you moved something forward in a way that was helpful. Easy peasy. You can go to your first contributor today or a WordPress Slack meeting and just be a contributor by the time you leave, right? You might feel like ‘easy as that isn&#8217;t quite the right set of words right there. And as a matter of fact, you might be thinking to yourself, this woman is just plain wrong. It could not possibly be that easy. And I agree. It really isn&#8217;t literally quote-unquote just that easy. Just like handing someone a notebook and a pen will not instantly make them an award-winning novelist, handing someone a wordpress.org profile and credentials to Slack won&#8217;t instantly make them a contributor.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:10:46]&nbsp;&nbsp;</p>\n\n\n\n<p>For both of those examples, what makes someone good is the ability to try and fail and still be encouraged to try again. So if it&#8217;s been a while since you contributed and you&#8217;re thinking about returning, or if you&#8217;ve been listening to me for a while and you&#8217;re ready to give this contribution thing a try, I hope this helps you to feel brave enough to try and brave enough to fail.</p>\n\n\n\n<p>And I encourage you to be brave enough to try again.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:11:20]&nbsp;&nbsp;</p>\n\n\n\n<p>Let&#8217;s take a look at our small list of big things. My friends, we have a Performance team. This team has been a working group for a long time and is focused on some deep, inner workings of WordPress and its surrounding ecosystem to make sure that we are as fast and slick as possible. You can check them out on make.wordpress.org/performance, their brand new site, and see when they&#8217;re meeting, what they&#8217;re aiming to get into the WordPress 6.1 release, and if that&#8217;s something that you would like to contribute to.&nbsp;</p>\n\n\n\n<p>The second thing is that there&#8217;s a brand new call out for testing. This time it&#8217;s focused on templates and retroactively applying them to an entire category of posts. So it&#8217;s a little bit workflow testing, a little bit technology testing, and we could really use your help in bug hunting for both of those things.</p>\n\n\n\n<p>And the final thing is that you know since contribution is obviously the focus of today&#8217;s podcast, we are looking for table leads for WordCamp US’ contributor day that&#8217;s coming up in September. There&#8217;s a whole blog post about it, I&#8217;ll link to it in the show notes so that you&#8217;ll have all the info and can raise your hand if you want.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:12:25]&nbsp;&nbsp;</p>\n\n\n\n<p>And speaking of things that I&#8217;ll have in the show notes, I also am going to put like a contributor quizlet guide thing. If the guided, figuring out of the teams in the phase two section, if that didn&#8217;t make any sense to you and you just need something to direct you specifically to potential teams, I&#8217;m gonna link to the contributor kind of sorting hat quiz that came out with WordCamp Europe. And that should help you work your way through phase two and get ready for phase three if that is where the spirit takes you.&nbsp;</p>\n\n\n\n<p>And that, my friends, is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy. And I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13162\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"WordPress 6.0.1 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2022/07/wordpress-6-0-1-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 12 Jul 2022 16:58:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:5:\"6.0.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:14:\"minor-releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13138\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:236:\"WordPress 6.0.1 is now available for download. This maintenance release features several updates since the release of WordPress 6.0 in May 2022. You can review a summary of the key changes in this release by visiting WordPress.org/news.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5452:\"\n<h2>WordPress 6.0.1 is now available</h2>\n\n\n\n<p>This maintenance release features <a href=\"https://core.trac.wordpress.org/query?milestone=6.0.1\">13 bug fixes in Core</a> and <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.0\">18 bug fixes</a> for the Block Editor. WordPress 6.0.1 is a short-cycle maintenance release. You can review a summary of the key updates in this release by reading the <a href=\"https://make.wordpress.org/core/2022/07/05/wordpress-6-0-1-rc-1-is-now-available/\">RC1 announcement</a>.</p>\n\n\n\n<p>The next major release will be <a href=\"https://make.wordpress.org/core/2022/06/23/wordpress-6-1-planning-roundup/\">version 6.1</a> planned for later in 2022.</p>\n\n\n\n<p>If you have sites that support automatic background updates, the update process will begin automatically.</p>\n\n\n\n<p>You can <a href=\"https://wordpress.org/wordpress-6.0.1.zip\">download WordPress 6.0.1 from WordPress.org</a>, or visit your WordPress Dashboard, click “Updates”, and then click “Update Now”.</p>\n\n\n\n<p>For more information, check out the <a href=\"https://wordpress.org/support/wordpress-version/version-6-0-1/\">version 6.0.1 HelpHub documentation page</a>.</p>\n\n\n\n<h2>Thank you to these WordPress contributors</h2>\n\n\n\n<p>The WordPress 6.0.1 release is led by <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">@sergeybiryukov</a> and <a href=\"https://profiles.wordpress.org/zieladam/\">@zieladam</a>.</p>\n\n\n\n<p>WordPress 6.0.1 would not have been possible without the contributions of more than 50 people. Their asynchronous coordination to deliver several enhancements and fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zielinski</a>, <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a>, <a href=\"https://profiles.wordpress.org/oztaser/\">Adil Öztaşer</a>, <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a>, <a href=\"https://profiles.wordpress.org/annezazu/\">annezazu</a>, <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a>, <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a>, <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a>, <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a>, <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a>, <a href=\"https://profiles.wordpress.org/petitphp/\">Clement Boirie</a>, <a href=\"https://profiles.wordpress.org/danieliser/\">Daniel Iser</a>, <a href=\"https://profiles.wordpress.org/denishua/\">denishua</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a>, <a href=\"https://profiles.wordpress.org/gabertronic/\">Gabriel Rose</a>, <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a>, <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a>, <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a>, <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a>, <a href=\"https://profiles.wordpress.org/ironprogrammer/\">ironprogrammer</a>, <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a>, <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/jnz31/\">jnz31</a>, <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a>, <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/luisherranz/\">Luis Herranz</a>, <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a>, <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a>, <a href=\"https://profiles.wordpress.org/manzurahammed/\">Manzur Ahammed</a>, <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a>, <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a>, <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/navigatrum/\">navigatrum</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a>, <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a>, <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James Dodd</a>, <a href=\"https://profiles.wordpress.org/ravipatel/\">Ravikumar Patel</a>, <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/samikeijonen/\">Sami Keijonen</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a>, <a href=\"https://profiles.wordpress.org/nathannoom/\">Trinadin</a>, and <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich Pogson</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13138\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WP Briefing: Episode 35: Five for the Future’s True Intentions\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wordpress.org/news/2022/07/episode-35-five-for-the-futures-true-intentions/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 11 Jul 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13132\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:140:\"On this week\'s episode of the WordPress Briefing, Josepha answers questions about the intentions behind the Five for the Future initiative. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/07/WP-Briefing-035.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:14788:\"\n<p>In the thirty-fifth episode of the WordPress Briefing, Josepha Haden Chomphosy tackles questions about the true intentions of the Five for the Future initiative.</p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2>References</h2>\n\n\n\n<ol><li><a href=\"https://make.wordpress.org/themes/2022/06/30/create-block-theme/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/themes/2022/06/30/create-block-theme/\">New Create Block Theme plugin</a></li><li><a href=\"https://make.wordpress.org/design/2022/07/01/open-sourcing-theme-designs/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/design/2022/07/01/open-sourcing-theme-designs/\">Open Sourcing Theme Designs </a></li><li><a href=\"https://make.wordpress.org/meta/2022/07/01/exploration-improving-devhub/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/meta/2022/07/01/exploration-improving-devhub/\">Exploration in Meta to improve DevHub </a></li><li><a href=\"https://en.wikipedia.org/wiki/Tragedy_of_the_commons\" data-type=\"URL\" data-id=\"https://en.wikipedia.org/wiki/Tragedy_of_the_commons\">Tragedy of the Commons definition</a></li></ol>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13132\"></span>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:10]&nbsp;&nbsp;</p>\n\n\n\n<p>Hello everyone. And welcome to the WordPress Briefing, the podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I&#8217;m your host Josepha Haden Chomphosy. Here we go!</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:00:40]&nbsp;&nbsp;</p>\n\n\n\n<p>Today I&#8217;m talking about Five for the Future– again. Before we get stuck right into the heart of it, 10 episodes ago, in episode 25, I focused on the Five for the Future initiative and I recommend that you listen to that before you join me in today&#8217;s episode. It&#8217;s only eight minutes and it gives you a history of the Five for the Future initiative, as well as some information on the Five for the Future program.</p>\n\n\n\n<p>It then goes on to talk about some of the original intentions behind that original initiative. The reason I bring this back up today is partially because one, I will talk about both the program and the initiative it&#8217;s based on literally anytime. I believe strongly that they are both a vital part of what will result in a triumph of the commons of WordPress, and keep this empowering project around for years to come.&nbsp;</p>\n\n\n\n<p>But I also bring it up today because there&#8217;s conversation about a post I published a couple of months back that has generated some dialogue around the intentions of this catchy call to contribution. So to make sure that as we move through this discussion together, we are working with as much factual information as possible, I present to you some facts.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:01:46]&nbsp;&nbsp;</p>\n\n\n\n<p>First and foremost, the pillars of this initiative. The 5% in Five for the Future is aspirational. Contribution to open source is a question and indication of privilege. So the 5% is not a requirement, but rather it&#8217;s an aim. It could refer to 5% of your time or 5% of your resources, or just any amount of your time or resources around. Regardless of how you&#8217;re defining it, it is an aspiration, not a requirement.&nbsp;</p>\n\n\n\n<p>The second pillar, pledges show your intention and whatever contributions you are able to offer after you&#8217;ve made your pledge are always welcome. No one is out there checking for 100% completion of the hours that you intended to give back to WordPress versus the hours that you actually succeeded at giving back to WordPress.</p>\n\n\n\n<p>There are so many volunteers that make sure that this project is running and functional and has plenty of people knowing how to get things done and how to teach others how to get things done. It&#8217;s all coming from generosity of heart.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:02:52]&nbsp;&nbsp;</p>\n\n\n\n<p>And speaking of generosity, the third thing that is important about this initiative is that it insists on and wants to celebrate a culture of generosity. Beyond the concept of a pledge, is the idea of generous collaboration toward the long term health and stability of our project for the future.</p>\n\n\n\n<p>As contributors, we understand that we are greater than the sum of our parts and what we build <em>within</em> WordPress empowers those who build <em>with</em> WordPress. So those are the pillars that went into that initial thought, that opening Five for the Future call to action that Matt gave to everybody in 2014.</p>\n\n\n\n<p>And so now I want to share with you some of the pillars of the program that has grown up around it. So the Five for the Future initiative, if you&#8217;re not familiar, was started in 2014 and is a grand call to all of us to remember to give back to the shared commons of WordPress. Its aim was to help guard against what is called the “tragedy of the commons,” where resources are continually taken out and not necessarily reinvested in. No one&#8217;s necessarily putting anything back into those.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:04:06]&nbsp;&nbsp;</p>\n\n\n\n<p>So that&#8217;s the starting point for all of this. So the program, the Five for the Future program, in 2018 was built as a collaborative effort with full participation and buy-in from the contributors who were active in the project at the time. It allowed anyone to raise their hands, to show support of WordPress via a pledge and also started a multi-year discussion of how to define contributions in a way that let us automatically provide props and therefore more effectively put badges on people&#8217;s wordpress.org profiles.&nbsp;</p>\n\n\n\n<p>And then in 2019, there was an additional pilot of the program, which kind of offered some team structure, which was intended to not only take on work that I don&#8217;t like to ask volunteers to do, but also to provide some checks and balances to an absolute raft of sponsored contributor hours that we had started to see show up.&nbsp;</p>\n\n\n\n<p>Which brings us then to the post that I mentioned at the start. Knowledgeable supporters of the WordPress open source project have debated next iterations to Five for the Future activity and programming. So, to bring the conversation to a central set of questions, or rather to bring the conversation to a central spot, I raised these two questions. One, what activities can we see inside our contributor networks? So wordpress.org, make.wordpress.org, the Rosetta sites that we have, Slack, et cetera.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:05:30]&nbsp;&nbsp;</p>\n\n\n\n<p>So what activities can we see inside the contributor networks that we can flag to enable easier distribution of props and therefore badges? The second question is, what activities can we see also in those contributor networks that appear to be contributions, but in the end are only benefiting the person or company that provides the contributions?</p>\n\n\n\n<p>For what it&#8217;s worth that discussion then also raised a third question that I don&#8217;t think we&#8217;ve even started to tackle, which is what about the activities that are not in the contributor network, but still do move WordPress forward? Cause there are so, so many of those things and it&#8217;s a great question. I don&#8217;t have an answer and just so that I don&#8217;t leave you all with a series of questions for which there are no answers provided in this particular podcast, I do have a few answers for questions that I have seen floating around this discussion.&nbsp;</p>\n\n\n\n<p>So the first question is actually a bunch of questions. There are like three parts to it. What are props, who gives props, and who tracks them? So ‘props’ is a term used in WordPress to describe shared recognition of a contribution. Think of it as like a hat tip or kudos or an assist. However you think about it, it&#8217;s recognition of the other people who helped to solve a problem along the way. That is what props are.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:06:47]&nbsp;&nbsp;</p>\n\n\n\n<p>The second part of that question is who gives props and historically developers have given props, which tends to mean that it&#8217;s mostly developers who get props. But now, also, any team rep during a release cycle can provide props to folks on their team, volunteers on their team who were really helpful during the course of the release.</p>\n\n\n\n<p>And recently we also added the functionality for ad hoc props to be given in the Slack props channel, and those get added to your profile activity. So that someone can give you basically a public thanks for having helped on something that they were working on. And then that gets logged in your activity tracker on your WordPress.org profile.</p>\n\n\n\n<p>And then the final question in that first big question is who tracks these props? And the answer is human beings! Which is why folks feel like they have to do a ton of things before they even get props. And that&#8217;s also why I&#8217;d like to automate more and more of them so that you don&#8217;t have to do a ton of things in order for someone to show up and acknowledge that you are part of a solution.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:07:51]&nbsp;&nbsp;</p>\n\n\n\n<p>So the second question that I&#8217;ve seen kind of running around is, where do props start? And that is a great question that has been asked year after year. And one that I think we should continue to ask. The reality is that we won&#8217;t be able to see every contribution to WordPress, but that doesn&#8217;t mean that they aren&#8217;t valuable. And it doesn&#8217;t mean that they don&#8217;t matter.&nbsp;</p>\n\n\n\n<p>Building our culture of generosity helps us to better recognize and celebrate each other for all of our contributions, whether they are for a major release or a major event, or one of these new ad hoc props that you can offer to people. And if we see more and more of the same type of contributions being celebrated, then we can also work toward automating those as well, so that you don&#8217;t have to do a super ton of them before someone has noticed that you&#8217;ve done even one of them.&nbsp;</p>\n\n\n\n<p>And the third big question that has been running around is, what about the people who don&#8217;t want the props? If people want to be literally anonymous, then deletion requests are probably your way to go. But I actually don&#8217;t think that&#8217;s the question here. I think the question is what if a prop holds no intrinsic value to you and then, you know, I wanna thank you for that spirit of generosity. And I also wanna say that I&#8217;m so glad you&#8217;re here.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:09:02]&nbsp;&nbsp;&nbsp;</p>\n\n\n\n<p>Hopefully, all of these answers clarify what lies at the heart of what is intended with the Five for the Future initiative and the program that&#8217;s built on top of it. And why I care so much about fixing the ways we offer props to folks. For me, it&#8217;s not about assessing the worthiness of people or companies or any of their contributions. For me, it&#8217;s about reinvesting in the shared commons of the WordPress ecosystem, by finding a way that our economy can entice folks to put back into WordPress, something close to the benefit that they receive from it.</p>\n\n\n\n<p>And that brings us now to our small list of big things. Thank you all for making it into the final stretches with me. These three things that I&#8217;m sharing also have companion blog posts to go with them because they are very big questions or very big features, very big plugin kind of things that we&#8217;re looking at. And so you&#8217;ll be able to find those in the show notes, or you can go to wordpress.org/news if you&#8217;re listening to this in a podcast player of your choice that is not wordpress.org.&nbsp;</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:10:10]&nbsp;&nbsp;&nbsp;</p>\n\n\n\n<p>So the first one on my list is a new plugin. It is called Create Block Theme. And it&#8217;s gonna make it easier for theme builders to use the existing site editor tools to create new block themes. I&#8217;m very excited about this. Uh, you can find it on make.wordpress.org/themes. And I will also include a link to it in the show notes below.&nbsp;</p>\n\n\n\n<p>If themes are not your area of expertise, but you are interested in documentation or the DevHub or to an extent design things, then the improvements that are being worked on for the DevHub are definitely in your area. That&#8217;s kind of a Meta task, but has a few other pieces involved as well. That can be found on make.wordpress.org/meta. But again, I will have a link to the very, very detailed blog post in the show notes.&nbsp;</p>\n\n\n\n<p>It&#8217;s got a bunch of hypothetical changes that are being suggested for the WordPress developer docs, uh, especially when it comes to the function reference. And so there are gonna be some slight design questions, but not like, graphic design/visual design, more in the like, can humans read this design area of things? And so that will be a good one to look at. If you are sort of in the Meta or Documentation vein of things in the way that you like to contribute to WordPress.</p>\n\n\n\n<p>[Josepha Haden Chomphosy 00:011:30]&nbsp;&nbsp;&nbsp;</p>\n\n\n\n<p>And then the final thing is about open sourcing theme designs. So open sourcing everything obviously is important to us. And the design tool that we use, this tool called Figma, is open to the public. And so it&#8217;s possible for folks to be able to kind of get in there and use and reuse any design elements.</p>\n\n\n\n<p>And so there&#8217;s a discussion happening over on make.wordpress.org/design about how that can and should look in the future. And so if design is definitely your area, and again, this kind of lines up with themes a little bit, then wander over into that one, for which there will also be a link in the show notes.&nbsp;</p>\n\n\n\n<p>And that my friends is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy. And I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"The Month in WordPress – June 2022\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2022/07/the-month-in-wordpress-june-2022/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 06 Jul 2022 14:19:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:18:\"Month in WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:18:\"month in wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13069\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:313:\"With WordPress 6.1 already in the works, a lot of updates happened during June. Here&#8217;s a summary to catch up on the ones you may have missed.&#160; WordPress 6.1 is Slated for Release on October 25, 2022 Planning for WordPress 6.1 kicked off a few weeks ago with a proposed schedule and a call for [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"rmartinezduque\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:12416:\"\n<p>With WordPress 6.1 already in the works, a lot of updates happened during June. Here&#8217;s a summary to catch up on the ones you may have missed.&nbsp;</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<h2>WordPress 6.1 is Slated for Release on October 25, 2022</h2>\n\n\n\n<p>Planning for WordPress 6.1 kicked off a few weeks ago with a <a href=\"https://make.wordpress.org/core/2022/06/23/wordpress-6-1-planning-roundup/\"><strong>proposed schedule and a call for contributors</strong></a> to the release team. This will be the third major release in 2022 and will include up to Gutenberg 14.1 for a total of 11 Gutenberg releases.</p>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura</a> published the preliminary <a href=\"https://make.wordpress.org/core/2022/06/04/roadmap-to-6-1/\">roadmap for version 6.1</a>, which is expected to refine the full site editing experience introduced in the last two major releases. Stay tuned for a companion post with more details on what’s to come.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\"><p>Tune in to the <a href=\"https://wordpress.org/news/2022/06/episode-34-wordpress-6-1-is-coming/\">latest episode of WP Briefing</a> to hear WordPress Executive Director Josepha Haden discuss planning for major releases and how you can get involved.</p></blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>New in Gutenberg: Versions 13.4 and 13.5</h2>\n\n\n\n<p>There are two new versions of Gutenberg since last month’s edition of the Month in WordPress:</p>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/06/10/whats-new-in-gutenberg-13-4-8-june/\"><strong>Gutenberg 13.4</strong></a> includes 25 enhancements and nearly 30 bug fixes. This version adds support for button elements in theme.json and introduces axial spacing in Gallery Block, among other new features.</li><li><a href=\"https://make.wordpress.org/core/2022/06/22/whats-new-in-gutenberg-13-5-22-june/\"><strong>Gutenberg 13.5</strong></a> was released on June 22, 2022. It comes with an improved featured image UX, expanded design tools for the Post Navigation Link block, and solid accessibility fixes.</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\"><p>Follow the “<a href=\"https://make.wordpress.org/core/tag/gutenberg-new/\">What’s new in Gutenberg</a>” posts to stay up to date with the latest updates.</p></blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Team Updates: Gutenberg Page Redesign, Meetup Venue Support Funds, and More</h2>\n\n\n\n<ul><li><a href=\"https://wordpress.org/gutenberg/\">The Gutenberg page</a> got a new redesign! You can<strong> </strong>rearrange the page content the way you want and experience the flexibility that blocks allow. Learn more about the inspiration behind the new look in <a href=\"https://make.wordpress.org/design/2021/10/29/redesign-of-the-gutenberg-page/\">this post</a>.</li><li>WordPress Community Support (WPCS) restarted its <a href=\"https://make.wordpress.org/community/2022/06/22/announcement-reactivating-meetup-venue-support-funds/\">meetup venue support funds</a> for community organizers.</li><li>The Themes Team ​​released a <a href=\"https://make.wordpress.org/themes/2022/06/30/create-block-theme/\">new plugin called Create Block Theme</a> that makes it easier for theme builders to create block themes.</li><li>Matías Ventura, the lead architect of the Gutenberg project, shared some early thoughts on <a href=\"https://make.wordpress.org/design/2022/06/13/thinking-through-the-wordpress-admin-experience/\">the future of the WordPress admin interface</a>.</li><li>Each month, the Training Team publishes a list of new resources available on the Learn WordPress platform. <a href=\"https://make.wordpress.org/updates/2022/06/07/whats-new-on-learnwp-in-may-2022/\">Check out what’s new</a>.</li><li>The Polyglots Team kicked off conversations for planning the <a href=\"https://make.wordpress.org/polyglots/2022/06/15/wp-translation-day-in-september-2022-suggestion-discussion/\">next WordPress Translation Day</a>.</li><li>The Documentation Team posted a series of <a href=\"https://make.wordpress.org/docs/2022/06/13/live-onboarding-sessions-for-the-documentation-team/\">onboarding sessions</a> to get started with documentation.</li><li>After reviewing feedback raised by the community, the Performance Team proposed <a href=\"https://make.wordpress.org/core/2022/06/30/plan-for-adding-webp-multiple-mime-support-for-images/\">a new approach to add WebP and MIME support</a> for images.</li><li>The Themes Team updated its <a href=\"https://make.wordpress.org/themes/2022/06/18/complying-with-gdpr-when-using-google-fonts/\">recommendations for hosting webfonts</a> to follow Europe’s General Data Protection Regulation (GDPR).</li><li>In a step towards <a href=\"https://make.wordpress.org/design/2022/07/01/open-sourcing-theme-designs/\">open sourcing theme designs</a>, the Design Team made some themes authored by WordPress core and other theme developers available in a Figma file.</li><li>The Marketing Team started a discussion to gather feedback on <a href=\"https://make.wordpress.org/marketing/2022/06/17/discussion-promoting-wordcamps-with-the-official-wordpress-social-accounts/\">promoting WordCamps</a> with the official WordPress.org social accounts.</li><li>The Openverse Team <a href=\"https://make.wordpress.org/openverse/2022/06/17/mitigating-out-of-terms-api-usage/\">released version 2.5.5 of the Openverse API</a>, which brings an important change regarding anonymous API requests.</li><li>The Plugin Review Team shared a comprehensive <a href=\"https://make.wordpress.org/plugins/2022/06/15/whats-the-deal-with-invalid-reviews/\">post on invalid plugin reviews</a>.</li><li>The June edition of the <a href=\"https://make.wordpress.org/community/2022/06/24/monthly-organizer-newsletter-june-2022/\">Meetup Organizer Newsletter</a> is now live with a list of ideas on reactivating meetups.</li><li>Check out the <a href=\"https://make.wordpress.org/polyglots/2022/06/27/polyglots-monthly-newsletter-june-2022/\">Polyglots Monthly Newsletter: June 2022</a> to stay up to date with the latest updates from the Polyglots community.</li><li>The latest edition of People of WordPress features the story of web developer <a href=\"https://wordpress.org/news/2022/06/people-of-wordpress-leo-gopal/\">Leo Gopal</a>.</li><li><a href=\"https://block-museum.com/\">The Museum of Block Art</a> (MOBA), a virtual initiative that showcases creative uses of the WordPress block editor, is <a href=\"https://gutenbergtimes.com/museum-of-block-art-is-open-for-submissions/\">now open for submissions</a>.</li><li>Last month the WordPress community was saddened to hear of the passing of <a href=\"https://profiles.wordpress.org/wolly/\">Wolly</a> (Paolo Valenti). Wolly was a long-time WordPress contributor and one of the founding members of the vibrant Italian community. He will be missed.</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\"><p>The BlackPress community is a great place to connect with black African descent people in the WordPress space, access tech resources, and advance your career skills. <a href=\"https://blackpresswp.com\">Join the BlackPress Community</a>.</p></blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Feedback/Testing Requests</h2>\n\n\n\n<ul><li>The Core Team is looking for <a href=\"https://make.wordpress.org/core/2022/06/26/rollback-feature-testing-call-to-action/\">help in testing a rollback functionality</a> for failed plugin and theme updates.</li><li>There’s an open call for feedback on a proposal to make building features and plugins on top of the WordPress REST API easier. <a href=\"https://make.wordpress.org/core/2022/07/04/proposal-better-rest-api-handling-in-javascript/\">Share your thoughts</a> by July 18, 2022.</li><li>The Training Team suggested a public content roadmap for <a href=\"https://make.wordpress.org/training/2022/06/29/learn-wordpress-development-creating-a-public-roadmap-for-content-creation/\">Learn WordPress development</a>. Comments are welcome until July 15, 2022.</li><li>Version 20.2 of WordPress for <a href=\"https://make.wordpress.org/mobile/2022/06/28/call-for-testing-wordpress-for-android-20-2/\">Android</a> and <a href=\"https://make.wordpress.org/mobile/2022/06/29/call-for-testing-wordpress-for-ios-20-2/\">iOS</a> is now available for testing.</li><li>Some members of the Meta Team did some experiments with <a href=\"https://make.wordpress.org/meta/2022/07/01/exploration-improving-devhub/\">hypothetical changes to the WordPress Developer Docs</a>. They welcome feedback on the next steps.</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\"><p>Want to get involved in testing WordPress?<strong> </strong>Follow the &#8220;<a href=\"https://make.wordpress.org/test/tag/build-test-tools/\">Week in Test</a>&#8221; posts to find a handy list of links and opportunities.</p></blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2>WordCamp Asia 2023 is Calling for Sponsors</h2>\n\n\n\n<ul><li>WordCamp Asia 2023, the first flagship WordCamp event in Asia, recently opened its <a href=\"https://asia.wordcamp.org/2023/call-for-sponsors/\">Call for Sponsors</a>.</li><li><a href=\"https://us.wordcamp.org/2022/\">WordCamp US 2022</a> is sold out. General Admission tickets went on sale on June 30, 2022, and were quickly claimed the same day. If you couldn’t get yours, the organizing team recommends <a href=\"https://us.wordcamp.org/2022/tickets/\">checking this page</a> periodically to see if any become available.</li><li>Curious about why WordCamp US is hosting fewer people this year? The WordCamp US team explained why in <a href=\"https://us.wordcamp.org/2022/wordcamp-us-2022-and-attendee-count/\">this post</a>.</li><li><a href=\"https://europe.wordcamp.org/2022/\">WordCamp Europe 2022</a> was successfully held in Porto, Portugal, from June 2 to 4, 2022. The event saw 2,300 in-person attendees and a record 800 participants at Contributor Day. All the sessions will be available <a href=\"https://wordpress.tv/event/wordcamp-europe-2022/\">on WordPress.tv soon</a>.</li><li>In 2023, WordCamp Europe will be hosted in the city of Athens, Greece. The <a href=\"https://europe.wordcamp.org/2023/call-for-organisers/\">Call for Organizers</a> is now open.</li><li>Josepha Haden covered some important questions from WordCamp Europe on a <a href=\"https://wordpress.org/news/2022/06/episode-33-some-important-questions-from-wceu/\">special episode of WP Briefing</a>. Be sure to give it a listen!</li></ul>\n\n\n\n<blockquote class=\"wp-block-quote has-extra-large-font-size\"><p>The #WPDiversity group has organized a free, online speaker workshop for Indian women in the WordPress community. The event will take place on September 24-25, 2022. <a href=\"https://www.eventbrite.com/e/speaker-workshop-for-indian-women-in-the-wordpress-community-sept-24-25-tickets-348466712317\">Registration is now open</a>.</p></blockquote>\n\n\n\n<div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity\" />\n\n\n\n<p><strong><em><strong><em>Have a story that we could include in the next issue of The Month in WordPress? Let us know by filling out </em></strong><a href=\"https://make.wordpress.org/community/month-in-wordpress-submissions/\"><strong><em>this form</em></strong></a><strong><em>.</em></strong></em></strong></p>\n\n\n\n<p><em>The following folks contributed to this Month in WordPress: <a href=\'https://profiles.wordpress.org/mysweetcate/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>mysweetcate</a>, <a href=\'https://profiles.wordpress.org/dansoschin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dansoschin</a>, <a href=\'https://profiles.wordpress.org/lmurillom/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lmurillom</a>, <a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>, <a href=\'https://profiles.wordpress.org/chaion07/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chaion07</a>, <a href=\'https://profiles.wordpress.org/rmartinezduque/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>rmartinezduque</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13069\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"People of WordPress: Leo Gopal\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wordpress.org/news/2022/06/people-of-wordpress-leo-gopal/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 30 Jun 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13020\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:355:\"In this series, we share some of the inspiring stories of how WordPress and its global network of contributors can change people&#8217;s lives for the better. This month we feature Leo Gopal, from South Africa, a back-end Developer and Customer Support agent on the encouragement and learning support the WordPress community can give. Writing as [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11765:\"\n<p>In this series, we share some of the inspiring stories of how WordPress and its global network of contributors can change people&#8217;s lives for the better. This month we feature Leo Gopal, from South Africa, a back-end Developer and Customer Support agent on the encouragement and learning support the WordPress community can give.</p>\n\n\n\n<figure class=\"wp-block-image size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/06/featured-img-for-leo2.jpg?resize=680%2C420&#038;ssl=1\" alt=\"Portrait of Leo Gopal in a black shirt with a blue sky behind.\" class=\"wp-image-13037\" width=\"680\" height=\"420\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/06/featured-img-for-leo2.jpg?w=1014&amp;ssl=1 1014w, https://i0.wp.com/wordpress.org/news/files/2022/06/featured-img-for-leo2.jpg?resize=300%2C186&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/06/featured-img-for-leo2.jpg?resize=768%2C475&amp;ssl=1 768w\" sizes=\"(max-width: 680px) 100vw, 680px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<h2>Writing as a channel of expression</h2>\n\n\n\n<p>Curiosity, writing, and resilience are recurring themes in Leo&#8217;s story, and have mapped with his WordPress journey.&nbsp;</p>\n\n\n\n<p>High school was a difficult time for Leo, as he had a speech impediment which only subsided when he was with close friends or family.</p>\n\n\n\n<p>He began writing a journal as an avenue of expression and found every word arrived smoothly for him. &nbsp;</p>\n\n\n\n<h2>It all began with WordPress 1.2 &#8216;Mingus&#8217;</h2>\n\n\n\n<p>In 2004, Leo discovered the joy of blogging as a way of combining keeping a journal with ‘conversations’ he could have with those who commented on his blogs. The potential and power of blogs would be an influence in the rest of his life.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full is-resized\"><img decoding=\"async\" loading=\"lazy\" src=\"https://i1.wp.com/wordpress.org/news/files/2022/06/leo-gopal.jpeg?fit=720%2C960&amp;ssl=1\" alt=\"Leo sat in front of a pond. \" class=\"wp-image-13027\" width=\"720\" height=\"960\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/06/leo-gopal.jpeg?w=720&amp;ssl=1 720w, https://i0.wp.com/wordpress.org/news/files/2022/06/leo-gopal.jpeg?resize=225%2C300&amp;ssl=1 225w\" sizes=\"(max-width: 720px) 100vw, 720px\" /></figure>\n\n\n\n<p>As Leo&#8217;s confidence grew through expressing himself in writing, he was determined that his stutter would &#8216;no longer hold power over him&#8217;. In 2005, with the encouragement of his blog readers, he spent his school summer break in his room working on reducing his stutter. WordPress would be the tool that would enable him to connect with his blog readers and to express his creativity and thoughts.</p>\n\n\n\n<h2>Making WordPress your own</h2>\n\n\n\n<p>In high school, Leo had opted for programming as one of his subjects. In 2008, he built his first website using WordPress for the students at the school. This was the first time he saw the real value of WordPress and open source.</p>\n\n\n\n<p>During the following years, he increasingly spent time searching online for information on &#8216;Customising WordPress&#8217; and &#8216;Making WordPress your own&#8217;.</p>\n\n\n\n<p>Leo wanted to keep busy and as soon as he finished school, he applied for every entry-level web-related job that he could find. He was hired by a company for the role of webmaster for its Marketing team focused on WordPress.</p>\n\n\n\n<p>He continued to grow his skills as a WordPress developer with the help of useful documentation that he could find and through his helpful local WordPress Community. This helped him earn a living and support his family.</p>\n\n\n\n<h2>Helping yourself through helping others in the community</h2>\n\n\n\n<p>In 2015, Leo moved full-time to Cape Town, South Africa, and started as a developer at a web development agency, eventually progressing to its Head of Development and managing a small team.</p>\n\n\n\n<p>He chose WordPress as his main platform for development mainly because of the community behind it.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>“<em>Had it not been for those searches on how to make WordPress your own, my life would have turned out a lot differently</em>.”&nbsp;</p><cite>Leo Gopal</cite></blockquote>\n\n\n\n<p>Leo felt he had a hurdle to overcome working in web sector. He didn’t feel like a ‘real developer’ being self-taught. However, through the community, he realized that there were many self-taught developers and he was not alone.&nbsp;&nbsp;</p>\n\n\n\n<p>Alongside his development path, Leo faced a mental health journey. He had suffered from depression and found the community to be accepting and understanding of this.&nbsp;</p>\n\n\n\n<p>At WordCamp Cape Town 2016, he stood in front of an audience and gave a talk: “<a href=\"https://wordpress.tv/2016/11/24/leo-gopal-the-wordpress-community-mental-wellness-and-you/\">The WordPress Community, Mental Wellness, and You</a>”. Following this talk, he was greeted by many attendees who thanked him for talking so openly about mental health issues.</p>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-2.jpeg?resize=1024%2C683&#038;ssl=1\" alt=\"Leo speaking at the podium at WordCamp Cape Town in 2016\" class=\"wp-image-13023\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-2.jpeg?w=1024&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-2.jpeg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-2.jpeg?resize=768%2C512&amp;ssl=1 768w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Leo speaking at a WordCamp</em> Cape Town, 2016</figcaption></figure>\n\n\n\n<p>Leo has been diagnosed with bipolar, previously known as manic depression. In 2017, he hit a low period and struggled to keep going. He found support and understanding in the community in WordPress.</p>\n\n\n\n<p>He has openly written about his experiences with depression and started an initiative where topics of mental health and general wellbeing can be freely and non-judgmentally discussed.&nbsp;&nbsp;</p>\n\n\n\n<p>He said that by helping others, he is helping himself, every day.</p>\n\n\n\n<h2>Contributing to WordPress</h2>\n\n\n\n<p>Leo has contributed to the community as a Co-organizer in South Africa for the 2016 and 2017 WordCamp Cape Town, WordPress Meetup Cape Town 2015 &#8211; 2016, and WordPress Durban 2017 – 2020. He has also spoken at a number of WordCamps.</p>\n\n\n\n<p>Maintaining connections with people he had met through these events Leo felt was a great aid to his mental wellbeing during the Covid pandemic. </p>\n\n\n\n<p>He has contributed to core and plugins and believes that WordPress and its community make it extremely easy to contribute. </p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>“<em>The cost to start contributing is extremely low &#8211; start now</em>”.</p><cite>Leo Gopal</cite></blockquote>\n\n\n\n<p>When the ability to create and add patterns to the WordPress.org library came out in 2021, Leo used it almost immediately and created a <a href=\"https://wordpress.org/patterns/pattern/call-to-action-section-2/\">call-to-action box</a> which could be used by both his clients and the community. He plans to release a few more complex patterns.&nbsp;&nbsp;</p>\n\n\n\n<h2>Yes, we can.</h2>\n\n\n\n<p>Leo’s mantra is “I can do it!”</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-3.jpeg?resize=1024%2C683&#038;ssl=1\" alt=\"Leo speaking at a WordCamp Cape Town in 2019\" class=\"wp-image-13032\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-3.jpeg?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-3.jpeg?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-3.jpeg?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-3.jpeg?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2022/06/Leo-speaking-3.jpeg?w=1944&amp;ssl=1 1944w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Leo speaking at a WordCamp</em> Cape Town, 2019</figcaption></figure>\n\n\n\n<p>Getting over a stutter, overcoming poverty, being urgently self-taught, growing up in a country with “load shedding” electricity outages, and one of the slowest rated internet speeds in the developing world, and strengthening mental wellness are not easy feats., And yet, he knows he can do it.</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>“<em>Never, ever think you do not have the &#8216;right&#8217; circumstances for success. Just keep going, progress over perfection – <strong>you</strong> can do it</em>.”</p><cite>Leo Gopal</cite></blockquote>\n\n\n\n<p>As Leo puts it, the WordPress community doesn’t just power a percentage of the internet; it empowers too.</p>\n\n\n\n<h2>Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community. Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<h2>Contributors</h2>\n\n\n\n<p>Thanks to Nalini Thakor (<a href=\'https://profiles.wordpress.org/nalininonstopnewsuk/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>nalininonstopnewsuk</a>), Larissa Murillo (<a href=\'https://profiles.wordpress.org/lmurillom/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>lmurillom</a>), Meher Bala (<a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>), Abha Thakor (<a href=\'https://profiles.wordpress.org/webcommsat/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>webcommsat</a>), Chloe Bringmann (<a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>) for work on this feature, and to all the contributors who helped with specific areas and the series this last few months. Thank you too to Leo Gopal (<a href=\'https://profiles.wordpress.org/leogopal/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>leogopal</a>) for sharing his experiences.</p>\n\n\n\n<p>Thank you to Josepha Haden (<a href=\'https://profiles.wordpress.org/chanthaboune/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>chanthaboune</a>) and Topher DeRosia (<a href=\'https://profiles.wordpress.org/topher1kenobe/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>topher1kenobe</a>) for support of the People of WordPress series.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"WP Briefing: Episode 34: WordPress 6.1 is Coming!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2022/06/episode-34-wordpress-6-1-is-coming/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 27 Jun 2022 15:13:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13013\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:154:\"Join WordPress Executive Director Josepha Haden Chomphosy as she covers planning for major releases and how you can get involved in the 6.1 release cycle!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2022/06/WP-Briefing-034.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8675:\"\n<p>In the thirty-fourth episode of the WordPress Briefing, hear WordPress Executive Director Josepha Haden Chomphosy discuss planning for the major release and how you can get involved in the WordPress 6.1 release cycle! </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<ul><li>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a></li><li>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a></li><li>Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a></li><li>Song: Fearless First by Kevin MacLeod</li></ul>\n\n\n\n<h2>References</h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/06/23/wordpress-6-1-planning-roundup/\" data-type=\"URL\" data-id=\"https://make.wordpress.org/core/2022/06/23/wordpress-6-1-planning-roundup/\">WordPress 6.1 Planning Roundup Core Post</a></li><li><a href=\"https://make.wordpress.org/core/tag/6-1/\">All WordPress 6.1 posts on Make Core</a></li><li><a href=\"https://www.eventbrite.com/e/speaker-workshop-for-indian-women-in-the-wordpress-community-sept-24-25-tickets-348466712317\">Speaker Workshop for Indian Women in the WordPress Community</a></li><li><a href=\"https://wordpress.org/photos/\" data-type=\"URL\" data-id=\"https://wordpress.org/photos/\">Submit photos to the WordPress Photo Directory</a></li></ul>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13013\"></span>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:00:10]&nbsp;&nbsp;</p>\n\n\n\n<p>Hello everyone. And welcome to the WordPress Briefing, the podcast where you can catch quick explanations of some of the ideas behind the WordPress open source project and the community around it, as well as get a small list of big things coming up in the next two weeks. I&#8217;m your host Josepha Haden Chomphosy.</p>\n\n\n\n<p>Here we go.</p>\n\n\n\n<p>All right my friends. So it&#8217;s been about a month since WordPress 6.0 came out and you know what that means. It means we are already looking at the next major WordPress release because,&nbsp; as most of you know, WordPress never sleeps. Y&#8217;all are honestly up and hustling like 24/7 as far as I can tell, which is great! And is one of the many benefits of being a global community, I suppose.&nbsp;</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:01:05]</p>\n\n\n\n<p>But anyway, back to this major release. There was a high-level roadmap shared by Mattias Ventura at the start of June. And it lists some focus areas for the Block Editor, continued refinements to the template editor and navigation block, and some work on global styles and more / better blocks and design tools that are slated to ship with WordPress 6.1. From the WordPress core side, though, there are a couple hundred tickets that are milestoned for the next major.</p>\n\n\n\n<p>Being milestoned for a release means that either a ticket wasn&#8217;t ready for the last release and was moved to the next available one, or a ticket has become ready for a release since the last major release occurred. That list as it stands might be a little bit too big for a single release. However, honestly, no list is too big if we have enough folks contributing.<br></p>\n\n\n\n<p>So if you&#8217;ve never contributed to a major release of WordPress before, and you&#8217;re interested to know how that works, there are some things to keep an eye out for over the next few weeks. We are in what is considered the planning phase for the next big release. And so there are two or three things you&#8217;re gonna see pretty soon.</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:02:11]&nbsp;</p>\n\n\n\n<p>First is a planning kickoff post. That post gets published on make.wordpress.org/core, and it includes notes on volunteering for the release squad, some guesses at areas of focus based on the tickets that we&#8217;re seeing in track, a schedule, the whole kit, and caboodle. It&#8217;s all in there. If you are wanting to know how to lend a hand and how to take your first steps to core contribution, apart from the new contributor meeting that happens before the dev chat, that post is the place to start.&nbsp;</p>\n\n\n\n<p>So keep an eye out on make.wordpress.org/core for that. And then the second thing that shows up in the planning phase for any major release is bug scrub and ticket triage meetings. Like I mentioned, there are the new contributor meetings where they scrub tickets and talk through the basics of what we&#8217;re seeing on good first bugs.</p>\n\n\n\n<p>And I mentioned that here often, I just mentioned it in the last, in the last bullet point, but there are also regular bug scrubs and ticket triaging sessions where a kind contributor chooses a set of tickets to review and then leads other contributors through the process of checking to see if a ticket is valid to see if it can be replicated to see if it has a patch.</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:03:23]&nbsp;</p>\n\n\n\n<p>If there are decisions that are blocking it and how to move those decisions forward, and generally just kind of discuss what else has to be done in order to take the ticket to the next step. Those get announced in the dev chat every Wednesday, but also there is a post that will go up on make.wordpress.org/core.</p>\n\n\n\n<p>I wish I had a faster way to say that instead of just racing through the whole URL every time. But it&#8217;ll be okay. We&#8217;ll put it in the show notes in case you would rather just click some stuff. And the third thing to keep an eye out for. If development is not your thing, so writing code is not already part of your tool belt, that&#8217;s totally fine. There are many other important areas where you can contribute, too. Design, training, support, polyglots, marketing, documentation, and more. These teams all do work in and around a release that is vital to WordPress&#8217; overall success.&nbsp;</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:04:19]&nbsp;</p>\n\n\n\n<p>And a final thought of all. If that felt a little too intense if you want to see where this ship is headed, but you can&#8217;t quite commit to grabbing an oar today, that&#8217;s fine, too. The most important thing is that if you are a member of the community, as an extender or a user or a die-hard contributor, or a new contributor, the most important thing is that you have some general awareness of what the overall direction is.&nbsp;</p>\n\n\n\n<p>You might do that by experimenting with blocks in your products or by testing screen readers against your workflow or even by setting aside an hour to participate in the latest testing prompt. Being aware of what&#8217;s happening in and around your area of the project will help to keep you kind of prepared and knowledgeable to lend a hand whenever it is that you are ready.</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:05:14]&nbsp;</p>\n\n\n\n<p>And that then brings us to our small list of big things. My friends, registration is now open for the WordPress Speaker Workshop for Women Voices in India. That&#8217;s taking place on September 24th and 25th. Uh, it&#8217;s happening over Zoom, so location or travel shouldn&#8217;t really be an obstacle for you. I&#8217;m going to leave a link to some information about that in the show notes. It should be an excellent opportunity that [the] WP Diversity initiative that WordPress has, that the community team helps to foster, is really an excellent experience. And so I hope that you register and attend that.&nbsp;</p>\n\n\n\n<p>And the second thing actually is a bit of a celebration. The Photo Directory recently hit a huge milestone of 3000 photos! And you also can submit your photos to wordpress.org/photos. If you feel so inclined to make a contribution of that type.&nbsp;</p>\n\n\n\n<p>[<strong>Josepha Haden Chomphosy </strong>00:06:07]&nbsp;</p>\n\n\n\n<p>And then the third thing on my smallest of big things is actually kind of a, a WordPress tooltip a little bit of a WordPress project did-ya-know? So, there is a special channel in WordPress Slack for sharing thanks to folks who were especially helpful to you. It&#8217;s called the Props Channel. And when someone shares props with you, it even shows up in your activity on your wordpress.org profile. Pretty cool, huh? Props to the Meta team for that one.</p>\n\n\n\n<p>And that my friends is your small list of big things. Thank you for tuning in today for the WordPress Briefing. I&#8217;m your host, Josepha Haden Chomphosy. And I&#8217;ll see you again in a couple of weeks.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"13013\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 10 Nov 2022 17:22:46 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Tue, 08 Nov 2022 20:58:30 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20221110171319\";}", "no");
INSERT INTO `wpky_options` VALUES("4590", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1668144166", "no");
INSERT INTO `wpky_options` VALUES("4591", "_site_transient_timeout_community-events-aed70df4efd92ac42a5b03c46c053cf5", "1668144166", "no");
INSERT INTO `wpky_options` VALUES("4592", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1668100966", "no");
INSERT INTO `wpky_options` VALUES("4593", "_site_transient_community-events-aed70df4efd92ac42a5b03c46c053cf5", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";s:11:\"73.130.81.0\";}s:6:\"events\";a:5:{i:0;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:45:\"InPerson Event! - Share your favorite Plugin!\";s:3:\"url\";s:70:\"https://www.meetup.com/lehigh-valley-wordpress-meetup/events/289461921\";s:6:\"meetup\";s:30:\"Lehigh Valley WordPress Meetup\";s:10:\"meetup_url\";s:54:\"https://www.meetup.com/Lehigh-Valley-WordPress-Meetup/\";s:4:\"date\";s:19:\"2022-11-10 18:30:00\";s:8:\"end_date\";s:19:\"2022-11-10 20:30:00\";s:20:\"start_unix_timestamp\";i:1668123000;s:18:\"end_unix_timestamp\";i:1668130200;s:8:\"location\";a:4:{s:8:\"location\";s:18:\"Bethlehem, PA, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:40.61283999999999849706000532023608684539794921875;s:9:\"longitude\";d:-75.37178000000000110958353616297245025634765625;}}i:1;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:39:\"WordPress Help Desk - Bring Your Laptop\";s:3:\"url\";s:69:\"https://www.meetup.com/south-jersey-wordpress-meetup/events/289547572\";s:6:\"meetup\";s:29:\"South Jersey WordPress Meetup\";s:10:\"meetup_url\";s:53:\"https://www.meetup.com/south-jersey-wordpress-meetup/\";s:4:\"date\";s:19:\"2022-11-15 18:00:00\";s:8:\"end_date\";s:19:\"2022-11-15 19:45:00\";s:20:\"start_unix_timestamp\";i:1668553200;s:18:\"end_unix_timestamp\";i:1668559500;s:8:\"location\";a:4:{s:8:\"location\";s:30:\"Willingboro, NJ, United States\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:40.030000000000001136868377216160297393798828125;s:9:\"longitude\";d:-74.8799999999999954525264911353588104248046875;}}i:2;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:55:\"WordPress Beginner Series: Get Started with WooCommerce\";s:3:\"url\";s:59:\"https://www.meetup.com/wordpress-lancaster/events/289386510\";s:6:\"meetup\";s:19:\"WordPress Lancaster\";s:10:\"meetup_url\";s:43:\"https://www.meetup.com/WordPress-Lancaster/\";s:4:\"date\";s:19:\"2022-11-15 19:00:00\";s:8:\"end_date\";s:19:\"2022-11-15 20:30:00\";s:20:\"start_unix_timestamp\";i:1668556800;s:18:\"end_unix_timestamp\";i:1668562200;s:8:\"location\";a:4:{s:8:\"location\";s:18:\"Lancaster, PA, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:40.0434070000000019717845134437084197998046875;s:9:\"longitude\";d:-76.3068080000000037443896871991455554962158203125;}}i:3;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:48:\"Building & Selling Client Portals with WordPress\";s:3:\"url\";s:75:\"https://www.meetup.com/philadelphia-wordpress-meetup-group/events/289133486\";s:6:\"meetup\";s:35:\"Philadelphia WordPress Meetup Group\";s:10:\"meetup_url\";s:59:\"https://www.meetup.com/Philadelphia-WordPress-Meetup-Group/\";s:4:\"date\";s:19:\"2022-11-17 19:00:00\";s:8:\"end_date\";s:19:\"2022-11-17 21:00:00\";s:20:\"start_unix_timestamp\";i:1668729600;s:18:\"end_unix_timestamp\";i:1668736800;s:8:\"location\";a:4:{s:8:\"location\";s:6:\"Online\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:39.96000000000000085265128291212022304534912109375;s:9:\"longitude\";d:-75.2000000000000028421709430404007434844970703125;}}i:4;a:10:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:22:\"WordCamp Montclair, NJ\";s:3:\"url\";s:36:\"https://montclair.wordcamp.org/2023/\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2023-06-24 00:00:00\";s:8:\"end_date\";s:19:\"2023-06-24 00:00:00\";s:20:\"start_unix_timestamp\";i:1687579200;s:18:\"end_unix_timestamp\";i:1687579200;s:8:\"location\";a:4:{s:8:\"location\";s:13:\"Montclair, NJ\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:40.85975859999999926230884739197790622711181640625;s:9:\"longitude\";d:-74.1997453999999976304025040008127689361572265625;}}}}", "no");
INSERT INTO `wpky_options` VALUES("4594", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1668144166", "no");
INSERT INTO `wpky_options` VALUES("4595", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"WPTavern: Gutenberg’s Roadmap for a “Font Library” Will Give Users an Interface for Registering and Managing Web Fonts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139421\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"https://wptavern.com/gutenbergs-roadmap-for-a-font-library-will-give-users-an-interface-for-registering-and-managing-web-fonts\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4144:\"<p>WordPress&#8217; <a href=\"https://wordpress.org/plugins/create-block-theme/\">Create Block Theme</a> plugin, which is used for creating a new theme, blank theme, child theme, or style variation, has a dedicated screen for managing fonts. It lists and previews all the font families and font faces embedded in the theme and allows users to embed Google fonts, embed local font assets, and remove unused font weights.</p>\n\n\n\n<img />\n\n\n\n\n<img />\n\n\n\n<img />\n\n\n\n\n<p>WordPress theme developer Carolina Nymark <a href=\"https://twitter.com/carolinapoena/status/1590207811681935362\">commented</a> on Twitter yesterday about how useful it would be to have this as part of the Site Editor. Gutenberg lead architect Matías Ventura <a href=\"https://twitter.com/matias_ventura/status/1590278101053104128\">responded</a> with links to the roadmap for font management in core.</p>\n\n\n\n<p>In June, Automattic-sponsored core committer Tonya Mork organized a ticket for tracking the <a href=\"https://github.com/WordPress/gutenberg/issues/41479\">ongoing roadmap for the Web fonts API</a>. It includes the vision for how the API supports typography features and the necessary tasks for creating a &#8220;font library.&#8221; </p>\n\n\n\n<p>&#8220;This API&#8217;s job is to provide the backend capabilities to support the <a href=\"https://github.com/WordPress/gutenberg/issues/41479#font-library\">&#8220;font library&#8221;</a> to include font management and dynamic building of the <code>@font-face</code> styles,&#8221; Mork said in the ticket. The purpose of the font library is to manage and catalogue fonts and provide users an interface for selecting fonts to use on their sites.</p>\n\n\n\n<p>All fonts coming into WordPress would be &#8220;registered fonts&#8221; and would be available through the following methods:</p>\n\n\n\n<ul>\n<li>a theme bundling them</li>\n\n\n\n<li>a user uploading fonts they purchased</li>\n\n\n\n<li>a plugin registering them</li>\n</ul>\n\n\n\n<p>Mork highlighted a few risks the Font Library feature might introduce, which will need to be addressed during the development process.</p>\n\n\n\n<p>&#8220;There are potential performance risks such as enqueuing too many fonts,&#8221; she said. &#8220;A separate issue will consider impacts and propose adding a filterable throttle to limit the number that can be enqueued.&#8221;</p>\n\n\n\n<p>Another risk outlined in the ticket includes the potential for plugins programmatically removing a theme&#8217;s fonts. </p>\n\n\n\n<p>&#8220;With <code>remove</code> being publicly exposed for consumption, a plugin could remove any or all of the theme&#8217;s font declarations and replace them with their own, i.e. without user interaction or awareness,&#8221; Mork said. &#8220;This could potentially create inconsistencies with typography UIs and previews.&#8221;</p>\n\n\n\n<p>The API is being developed to handle locally hosted web fonts out-of-the-box but would also provide the means for plugin authors to build methods for handling remotely hosted web fonts. </p>\n\n\n\n<p>Automattic-sponsored designer Joen Asmussen has also opened a <a href=\"https://github.com/WordPress/gutenberg/issues/45271\">ticket</a> exploring the possibilities for managing font sets in Global Styles → Typography. He created mockups for an interface for picking font sets (a primary font for headings and a secondary font for body text), as well as for managing the set properties. Users would also be able to manage font weights via a modal panel for the selected font.</p>\n\n\n\n<img />\n\n\n\n<p>His designs suggest a basic interface for uploading fonts, accessed through the ellipsis menu:</p>\n\n\n\n<img />\n\n\n\n<p>The <a href=\"https://github.com/WordPress/gutenberg/issues/41479\">roadmap for the webfonts API</a> and the <a href=\"https://github.com/WordPress/gutenberg/issues/45271\">font management interface</a> tickets will be an exciting project to watch, as Gutenberg contributors work to offer another level of creative control to users. It&#8217;s still in the exploration phase, but the Font Library feature is intended to be built, refined, and stabilized over multiple WordPress releases as it materializes in the Site Editor.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Nov 2022 15:38:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"Do The Woo Community: WooCommerce Performance and Cloud-Based SaaS with Ivailo Hristov\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73451\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://dothewoo.io/woocommerce-performance-and-cloud-based-saas-with-ivailo-hristov/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:462:\"<p>We chat about NitroPacks history, WooCommerce and performance, choosing a cloud-based SaaS vs hosted and a last-minute Black Friday tip.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/woocommerce-performance-and-cloud-based-saas-with-ivailo-hristov/\">WooCommerce Performance and Cloud-Based SaaS with Ivailo Hristov</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Nov 2022 10:58:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:117:\"WPTavern: WooCommerce 7.1 Adds Cart Block Cross-Sells, Includes High Performance Order Storage Behind a Feature Flag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139395\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"https://wptavern.com/woocommerce-7-1-adds-cart-block-cross-sells-includes-high-performance-order-storage-behind-a-feature-flag\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2794:\"<p><a href=\"https://developer.woocommerce.com/2022/11/08/woocommerce-7-1-0-released/\">WooCommerce 7.1</a> was released yesterday, delivering on time with the highly anticipated <a href=\"https://wptavern.com/woocommerce-6-9-released-high-performance-order-storage-targeted-for-7-1\">custom order tables</a> feature, which was renamed to &#8220;High-Performance Order Storage&#8221; (HPOS). This is a major undertaking that implements custom tables for orders, products, and coupons, and promises significant performance gains for stores. </p>\n\n\n\n<p>Contributors have been working on HPOS throughout 2022 but have been discussing its implementation for years. It is now available behind a feature flag, which can be enabled at WooCommerce > Settings > Advanced > Features using the checkbox under Experimental Features titled “Custom order tables.” The feature is not yet turned on by default, as there may still be compatibility issues with plugins sites may be using.</p>\n\n\n\n<p>This is another major milestone on WooCommerce&#8217;s journey towards improved scalability and reliability as an e-commerce platform. As HPOS adoption grows throughout the ecosystem, WooCommerce core team lead Peter Fabian said it could become the default experience for stores by August 2023.</p>\n\n\n\n<p>Version 7.1 also introduces cross-sells on the cart block, a feature that went into testing in September in the <a href=\"https://wptavern.com/woocommerce-blocks-8-6-0-introduces-cross-sells-products-block\">WooCommerce Blocks plugin version 8.6</a>. It allows store owners to identify certain products as cross-sells and have them displayed to customers in the cart.</p>\n\n\n\n<img />\n\n\n\n<p>This release adds a new product spotlight tour to help new store owners through the process of creating products, highlighting each step within the product form.</p>\n\n\n\n<p>As a complement to this release, WooCommerce Blocks includes <a href=\"https://href.li/?https://github.com/woocommerce/woocommerce-blocks/discussions?discussions_q=label%3A%22%E2%96%AB%EF%B8%8F+pattern%3A+headers%22\">six new header</a> and <a href=\"https://href.li/?https://github.com/woocommerce/woocommerce-blocks/discussions?discussions_q=label%3A%22%E2%96%AB%EF%B8%8F+pattern%3A+footers%22\">six new footer pattens</a>. The headers come in minimal, essential, and large variations with light and dark color schemes. All of them are visible on GitHub in the WooCommerce Blocks discussions, with desktop, tablet, and mobile views.</p>\n\n\n\n<img />Woo Large Header Light &#8211; mobile view\n\n\n\n<p>WooCommerce 7.1 also includes several new actions and filters, including a filter for the place order button label. No database updates are required (unless users enable HPOS), and the release should be backwards compatible with the previous version.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Nov 2022 05:05:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"WPTavern: Gutenberg 14.5 Introduces New “Document Overview” Panel, Improves Block Spacing Controls\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139374\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"https://wptavern.com/gutenberg-14-5-introduces-new-document-overview-panel-improves-block-spacing-controls\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2610:\"<p><a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">Gutenberg 14.5</a> was released today with a modest set of enhancements and dozens of bug fixes and code quality improvements. The highlight of this release is the new &#8220;Document Overview&#8221; panel, which combines what was previously found under separate icons in the Editor toolbar under “List View” and “Details.” This popup was where information like words, characters, headings, time to read, paragraphs, and blocks used to be found:</p>\n\n\n\n<img />Details view prior to Gutenberg 14.5\n\n\n\n<p>The new Document Outline panel can be opened using the List View icon in the toolbar.  Characters, words, and &#8220;time to read&#8221; have been moved to the bottom of the panel. This makes the entire panel cleaner, as the document stats were overly prominent before and the details popup had become even more crowded after the addition of the &#8220;time to read&#8221; stats.</p>\n\n\n\n<img />image credit: <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">Gutenberg 14.5 release post</a>\n\n\n\n<p>This release also improves block spacing controls to make them more visual so that users can immediately see how changing the controls will impact the surrounding blocks. Gutenberg contributor Nick Diego demonstrated this update in a video:</p>\n\n\n\n\n\n\n\n<p>A few other notable additions to this release include the following:</p>\n\n\n\n<ul>\n<li>Comment Template, Post Comment Count, Post Comments Form, Post Comments Link <a href=\"https://github.com/WordPress/gutenberg/pull/45101\">now</a> <a href=\"https://github.com/WordPress/gutenberg/pull/45150\">have</a> <a href=\"https://github.com/WordPress/gutenberg/pull/45091\">spacing</a> <a href=\"https://github.com/WordPress/gutenberg/pull/45184\">support</a></li>\n\n\n\n<li>Social Icons: <a href=\"https://github.com/WordPress/gutenberg/pull/45469\">Add rel attribute</a></li>\n\n\n\n<li>Audio, Video blocks now have a button in the toolbar to add/remove caption</li>\n\n\n\n<li>Links updated to include spacing support</li>\n\n\n\n<li>Distraction-free mode notices <a href=\"https://github.com/WordPress/gutenberg/pull/45348\">improved</a> to fix bugs</li>\n\n\n\n<li>Style Engine: Add <a href=\"https://github.com/WordPress/gutenberg/pull/45334\">support for dimensions.minHeight property</a></li>\n</ul>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2022/11/09/whats-new-in-gutenberg-14-5-9-november/\">release post</a> for a more detailed list of all the bugs fixed, documentation updated, and code quality improvements in 14.5.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Nov 2022 01:10:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:125:\"WPTavern: #50 – Fränk Klein on How Gutenberg and Full Site Editing Are Bringing New Opportunities for WordPress Developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=139281\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:138:\"https://wptavern.com/podcast/50-frank-klein-on-how-gutenberg-and-full-site-editing-are-bringing-new-opportunities-for-wordpress-developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:55860:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley. Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case, what the future looks like for WordPress developers.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, well I&#8217;m keen to hear from you and hopefully get you, or your idea featured on the show. Head over to WPTavern.com forward slash contact forward slash jukebox, and use the form.</p>\n\n\n\n<p>So on the podcast today we have Fränk Klein. Fränk is a self-taught developer. He started out learning PHP in 2011, and from there found his way to WordPress. Over the years he&#8217;s worked for Automattic at wordpress.com, and WordPress VIP, and is now a principal developer at Human Made, an enterprise WordPress agency.</p>\n\n\n\n<p>Today on the podcast we talk about how Fränk decided early on that he was going to start developing with blocks and, more recently, with the full site editing capabilities now built into WordPress Core.</p>\n\n\n\n<p>We talk about the four phases of the Gutenberg project, content editing, site customization, collaborative editing and multi-lingual, and where full site editing fits into this.</p>\n\n\n\n<p>Fränk explains how he sees the adoption of Gutenberg as inevitable. WordPress is moving away from the classic approach of content creation, to a more visual, block based experience. He thinks that it&#8217;s important to become an expert at building websites and custom solutions for clients, and for taking the time to learn the new tools that this future will require.</p>\n\n\n\n<p>He&#8217;s not suggesting that the journey towards expertise in React and JavaScript will be easy, but he does see it as essential for those wishing to continue to use WordPress as their CMS of choice. He also makes the point that now is a great time to invest in yourself as there are more resources than ever, which can assist you in this learning path.</p>\n\n\n\n<p>As you&#8217;ll hear, Fränk is all in on WordPress, and is very optimistic about the future for experienced WordPress developers.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading over to WPTavern.com forward slash podcast, and you&#8217;ll find the other episodes there as well.</p>\n\n\n\n<p>And so, without further delay, I bring you, Fränk Klein.</p>\n\n\n\n<p>I am joined on the podcast today by Fränk Klein. Hello Fränk.</p>\n\n\n\n<p>[00:03:34] <strong>Fränk Klein:</strong> Hey there. How you doing?</p>\n\n\n\n<p>[00:03:35] <strong>Nathan Wrigley:</strong> I&#8217;m very well, thank you. It&#8217;s very nice to have you on the podcast. We typically at the beginning of the podcast orientate the listeners by asking a very basic and simple question just to tell us who you are, what your relationship is with WordPress, how long you&#8217;ve been working in the space, possibly the company that you now work for, and all of that goodness. So, Fränk, it&#8217;s over to you.</p>\n\n\n\n<p>[00:03:54] <strong>Fränk Klein:</strong> So my name is Fränk Klein. I live in Luxembourg in the heart of Europe, and I got started with WordPress in 2011. So that&#8217;s when I started programming. So the background is that I&#8217;m actually a print designer, which at that time, wasn&#8217;t really that much of a bright career path. So I switched to programming, bought myself a PHP book, and then discover WordPress, and that&#8217;s been my passion ever since.</p>\n\n\n\n<p>And, I kind of have a varied background because I was in a small agency, still in Luxembourg. Worked for Automattic as part of the wordpress.com theme team. I worked at WordPress VIP, and then now I&#8217;m at Human Made, which is an enterprise WordPress agency where I&#8217;m a principal engineer. And so as part of that is my passion has been WordPress, but I also have a big interest in the wider web ecosystem, and so that&#8217;s why there is my interest in everything block related.</p>\n\n\n\n<p>[00:04:51] <strong>Nathan Wrigley:</strong> Okay, and that&#8217;s going to be the basis of our conversation today. So Fränk&#8217;s here to talk about Gutenberg in general, but more specifically about full site editing. And I think probably a good way to begin the conversation to, again, provide a bit of orientation, is just to run through the history of the Gutenberg project and now full site editing. So I don&#8217;t know if you are willing to do that. Run through the history of when it all began and what the phases are and so on.</p>\n\n\n\n<p>[00:05:17] <strong>Fränk Klein:</strong> Yeah, so, I think when we talk about full site editing, we cannot forget the wider picture, and that is that full site editing is part of the Gutenberg project, which Matt Mullenweg, the WordPress lead started back in 2017. And the idea behind Gutenberg was really that WordPress ran its course in the way that it was at that time, in that there needed to be a ground up reimagining of a lot of the core components that make up WordPress.</p>\n\n\n\n<p>So therefore, there are four phases. The first one is content editing. So that was in 2018 when WordPress 5.0 introduced the block editor, or the content editor how I prefer to call it. Then the next step is site customization. Part of it was in 5.8, but most people will know it from 5.9 when full site editing was introduced.</p>\n\n\n\n<p>Then the next phase, which they are starting right now is collaborative editing. So Google Doc style editing of different people on the same content. And then there will be multilingual. So that&#8217;s the big picture of the Gutenberg project. And so, full site editing is just part of this. And so the thing about these phases is that the content editing phase that was, by now four years ago, but it&#8217;s not really finished because the content editing experience still gets upgrades. It gets stuff added to it. And so that&#8217;s how this project is laid out. And even if we now roll into the collaboration full site editing isn&#8217;t done, and they will continue to work on it for the future.</p>\n\n\n\n<p>[00:06:43] <strong>Nathan Wrigley:</strong> If we were to roll back the clock prior to Gutenberg, so let&#8217;s say, 2015 or something like that, and there were people at that point who were using just the classic editor, they were maybe putting just content in or short codes and page builders and so on, came along. What do you think was the point of having all of this in core?</p>\n\n\n\n<p>In other words, it could be left to third parties, it could be plugins or it could be themes that took on the job of the way that your site was presented. What is the promise? Deep down, what&#8217;s the sort of kernel of Gutenberg? What is it offering? Where are we headed with it?</p>\n\n\n\n<p>[00:07:18] <strong>Fränk Klein:</strong> This is kind of where the, the bigger picture comes in because, when we just talk about full site editing, it&#8217;s called the site customization phase. It&#8217;s not called page building phase. It&#8217;s not called theme building phase. Those are all things that you can do with full site editing. But really the idea behind full site editing is, there was the customizer, right? So that was the way that you interact with your theme, and that didn&#8217;t work out. I think the promise that the customizer had in the beginning didn&#8217;t pan out to be what people wanted to be. And so then the idea was that we have something better, which is built up on this concept of blocks.</p>\n\n\n\n<p>And so the thing that makes full site editing and then, the customizer very different is that, the customizer, the idea was there was this tool and there are only minimal controls available, and if you want to have your own, there are just APIs and a builder. And so the problem was that everybody built their own controls, and then there was other confusion for users, and themes weren&#8217;t compatible with each other.</p>\n\n\n\n<p>And then the site editor, or just say the Gutenberg project in general takes a very different approach, in that it says, we&#8217;re going to give you a lot of customization options, controlling fonts, controlling colors. And beyond those options, this is like the full menu of everything you can do, we give you the APIs to preset these things, to remove them, to customize them. And so the bigger context here is that this is a customers replacement for the moment, but it also allows you to build new templates.</p>\n\n\n\n<p>And the idea is that many of the menus that we have in the WordPress admin are going to be rolled into the site editor. So for example, reading, settings, things like that. There are definitely concepts already exploring how that could be part of the site editor. So really, when we talk about even collaborative editing, that&#8217;s going to require changes.</p>\n\n\n\n<p>Multilingual is going to require changes. That all is just wrote into this Gutenberg project, of which full site editing is one part. The promise is kind of that based on this concept of blocks, we are going to be able to reimagine how people interact with WordPress, both as users and also as developers. And it&#8217;s going to be done much more through visual interfaces that are a lot easier to understand and to work with.</p>\n\n\n\n<p>And that way really we&#8217;re going from the old word of WordPress to the new WordPress, which is then going to be able to be around for a decade or more. So that&#8217;s the big picture vision behind the whole project.</p>\n\n\n\n<p>[00:09:48] <strong>Nathan Wrigley:</strong> Yeah, sort of future proofing if you like. Given all of that, let&#8217;s just put the conversation about blocks to one side and about what they offer, we can come back to that in a few moments. I want to talk just for a moment about how it is that such a large proportion of the community, and when I say large proportion I don&#8217;t really have any figures. Not claiming it&#8217;s 10, 20, 50, 70, whatever. Percent, but there&#8217;s been a certain amount of people within the WordPress community who have not got such an optimistic approach to full site editing and the Gutenberg project more broadly. In many cases, they don&#8217;t really want to have much to do with it.</p>\n\n\n\n<p>They&#8217;re happy with the tools that they&#8217;ve got, and they&#8217;re happy with the systems that they&#8217;ve got in place, whether that be a page builder or whatever it is. I&#8217;m just wondering if you have any thoughts on how the communication went, introducing Gutenberg and full site editing. Do you think that the promise was explained from the beginning? Maybe the promise wasn&#8217;t fully realized. Or do you think that there were some PR missteps along the way.</p>\n\n\n\n<p>[00:10:49] <strong>Fränk Klein:</strong> Well, yeah. There&#8217;s several parts of it. I think that when Matt introduced it, he wrote this post called we called it Gutenberg for a reason, and that very much painted a broad picture. In my opinion it went a little bit overboard comparing it to the invention of the printing press. It&#8217;s just my personal sentiment about it, that&#8217;s maybe overdoing it by a lot. But he definitely had this vision where he explained what problems this project was trying to solve.</p>\n\n\n\n<p>And that was around for a bit. And then we went right into the details. So the block editor was introduced, all these APIs, and so at that point we just focus very much on the what, and not the why. Why is this there? And instead of just saying, hey, here&#8217;s this paragraph block, and it works this way. There never was really a step taken back in where there was an exploration of, here are these tools and these are all the possibilities that you now have with these tools.</p>\n\n\n\n<p>And to adapt that to the different profiles that we have in the WordPress space, because we have end users, we have power users, we have theme developers, plugin developers. And kind of this translation from the nitty gritty to the bigger picture and also let&#8217;s say the potential that is there, because there definitely is a lot of potential. That was missed, unfortunately, and I think that&#8217;s why, if all you just see is a bunch of stuff getting thrown in your face and nobody really explains to you what you&#8217;re supposed to do with it, and why they&#8217;re adding all it. Then unfortunately that&#8217;s, I think the situation where we were in where just a large part of the community didn&#8217;t see the point. And so the project is doing a lot more of trying to fix these mistakes. So they are a lot better about showcasing the things that you can do. So I&#8217;m very hopeful in that, that we&#8217;ll get to those bigger picture conversations.</p>\n\n\n\n<p>[00:12:37] <strong>Nathan Wrigley:</strong> I guess, for me at least, when Gutenberg rolled into Core, it came with some default blocks, which you could use. But they very much were the kind of things that you could have done and could have achieved in all the previous versions of WordPress. So you could put in a paragraph and whilst you could move that paragraph independently, it was still a paragraph. And so not tremendously exciting. And the same with images. You&#8217;ve always been able to do something similar to that. I&#8217;m just wondering if there was a wow moment that got missed there.</p>\n\n\n\n<p>In other words, when that came into Core, right at the beginning, if some bizarre, let&#8217;s use that word, some bizarre, extraordinarily clever block could have been shipped, just to give everybody that aha moment. But it didn&#8217;t happen that way. We just got a fairly ordinary pallet of blocks to choose from. And so people perhaps got disinterested and never came back. And now we&#8217;re in the process of trying to show people what those aha moments are.</p>\n\n\n\n<p>And certainly from my point of view, I&#8217;ve. Implementation&#8217;s left, right and center of really incredibly difficult and complicated things built inside a really small, tiny UI in the block editor, and it is amazing. But I, I do wonder if that moment was missed and it&#8217;ll be difficult to ever get that excitement back?</p>\n\n\n\n<p>[00:13:52] <strong>Fränk Klein:</strong> Well, I think there are two parts with it. I think that one might discuss the point at which the block editor was introduced. So for sure, in the beginning it was a bit rough. And so if already having trouble to have the time to find polish, to polish this product, they probably didn&#8217;t have the time to build a lot of showcasing tools because they were just trying to get this done to include it into Core.</p>\n\n\n\n<p>Okay, this was the situation and it is how it is. They could at least showcase the potential of in, blog posts after the release. But I think the big opportunity that was lost is just to look at the ecosystem and just to go out to agencies, product companies, whatever, that were using blocks and to take the things that these people were building and then to show it.</p>\n\n\n\n<p>I think that&#8217;s a big missed opportunity. Just a case study. This was the problem and this is the solution that was developed, and this is the reason why it was developed. And these are the outcomes. Right, so talking much more in business language, not really in they used this API and that API, which might change and which is really not interesting.</p>\n\n\n\n<p>There was a lot missed on that. I know we have the state of the world and then there is a maybe three second slide for some project which was super impressive. But all it gets is this three seconds in the presentation. Frankly speaking all people don&#8217;t even watch. So I think that was a big opportunity which got missed.</p>\n\n\n\n<p>[00:15:12] <strong>Nathan Wrigley:</strong> In your learning about the construction of blocks and all of the different technological pieces that you had to acquire along that road. How difficult has that journey been for you? So, Let&#8217;s say, for example, there&#8217;s somebody listening to this, and by the end of this they are indeed convinced that this is the way to go. What&#8217;s the learning path like? Did you find that to be a fairly difficult experience? Was there a lot to learn that meant that you couldn&#8217;t progress until you&#8217;d got over several hums? Was it easy, was it hard? What was it like?</p>\n\n\n\n<p>[00:15:39] <strong>Fränk Klein:</strong> Well, I was lucky enough to already know, let&#8217;s say modern JavaScript in quotes and React, before I start with blocks. So that&#8217;s definitely a big hump to get over if you are coming from a traditional PHP background and you, you know, maybe write jQuery, some of it, but, uh, you don&#8217;t really have a lot of JavaScript affinity. That&#8217;s actually one big issue.</p>\n\n\n\n<p>Just building the blocks was rough when I did it, because it was so early. I think the first project that I did, it was still with the Gutenberg plugin, like it was before 5.0. But I think that at this point it&#8217;s a lot easier. It&#8217;s just that the documentation has got a lot better. There are tons of material for people to learn this. But over time my thinking has shifted on that, because if you would know how to build a block, like technically speaking, that&#8217;s good, but this is really just the base level. The challenge really is to, how do I design all the experiences for my users, my end users, so that they fit into this paradigm.</p>\n\n\n\n<p>So you can have a custom blocks that works, that&#8217;s entirely PHP rendered. You might have JavaScript run in the editor. You might add a plugin to the editor. You might have a custom control. You might have customizations of core blocks. And that&#8217;s really knowing all of these tools that are available and when to use them, how to use them. That&#8217;s really the difficult part.</p>\n\n\n\n<p>That being said, I think that, for me it&#8217;s always, even when it&#8217;s difficult, I kind of have the opinion of this is why I get paid. I get paid to solve the hard issues. And so if there is a hump to get over, I am, I&#8217;m ready to do it. But I think just in the wider picture, you need to just start doing it, and just keep doing it, even if it&#8217;s frustrating, because that&#8217;s just how it is with anything. If you try and learn the guitar, I&#8217;m going to tell you it&#8217;s not going to be easy. But you just need to keep with it. And then over time this will just become second nature.</p>\n\n\n\n<p>Because that&#8217;s also the question, you know, it&#8217;s the chicken and egg problem somewhat, is well, how do I become a JavaScript developer? Well you write a lot of JavaScript. You know, honestly, that&#8217;s how easy it is. It&#8217;s just like doing pushups. You wanna be good at doing pushups, you need to do a lot of pushups. That&#8217;s pretty much the solution. And once you accept that there is no magic solution that will just come down and allow you to continue to write PHP, and take advantage of all of these new opportunities. That doesn&#8217;t exist.</p>\n\n\n\n<p>I know a few projects out there say that you can write PHP and you will have will all of the capabilities to build blocks, but that&#8217;s definitely not the case. So it&#8217;s just a matter of taking the decision to learn it and then sticking with it. But I have a actually a tutoring program for building blocks. All it takes is six weeks, but it&#8217;s going to be intense, six weeks. But after that you know the basics. Then we can move on to the more important things, which are the experiences that you should build for your end users.</p>\n\n\n\n<p>[00:18:27] <strong>Nathan Wrigley:</strong> I will definitely link in the show notes to your WPdevelopment.courses website, where you can go and check out what Fränk&#8217;s got on offer there and, the six week program. I think there&#8217;s a couple different things on the website, but we&#8217;ll definitely link to that. But do you feel sanguine now that there&#8217;s more information out there that, it is now possible? And in the day when you were doing it, it was probably more of a slog than it is now. Where do you turn to when you&#8217;ve got problems? Is it colleagues? Do you turn to friends, relations? Who are you looking towards when you are trying to solve the problems in your own work?</p>\n\n\n\n<p>[00:19:00] <strong>Fränk Klein:</strong> Colleagues, so I&#8217;m very lucky to have a lot of colleagues that are a lot better than I am in different things. And that&#8217;s really the magic of being in a larger company. I know that if I struggle with this piece, I go to this person. If I struggle with that thing, I go to this other person.</p>\n\n\n\n<p>So I&#8217;m very lucky with that. That being said a lot of the problems that I encounter very much also React or JavaScript problems, so there&#8217;s always the wider ecosystem for that. I do think though that even if you are alone and all you have is just the official documentation, it is entirely possible to learn this. And I&#8217;m very upfront with, when I have a program or a course, I&#8217;m just selling you a time saver. I&#8217;m saving you time and frustration, but you definitely could do it with just the default stuff that is out there.</p>\n\n\n\n<p>And I think that the WordPress learn website, they&#8217;re adding more and more stuff to it. Of course, it&#8217;s not as polished as something which is really starting to end a learning path. That&#8217;s just the downside of this being free documentation. But it is definitely possible to learn. And especially when we talk about just the people that want to get maybe deeper into JavaScript and React. There&#8217;s a ton of courses out there where people teach you that stuff, which are great and not very expensive.</p>\n\n\n\n<p>So I think the difference between, when we got started, 5.0 and now, it&#8217;s night and day. It&#8217;s not even comparable how much easier it is to learn blocks right now. And, we mustn&#8217;t forget that. I see it every day, inside of Human Made and also in community. There are people learning it from all kinds of backgrounds.</p>\n\n\n\n<p>Even people that would say that they aren&#8217;t really developers. So it&#8217;s not like there is some secret source or something that you need to be born with to learn. This is very achievable. But again, you need to put in the work and the time to achieve it.</p>\n\n\n\n<p>[00:20:41] <strong>Nathan Wrigley:</strong> Yeah, achievable, but there will be some element of struggle along the way. But it&#8217;s nice to know that there are options out there. And you mentioned Learn, and like I said, we&#8217;ll link to the bits and pieces that you provide as well. You are clearly very into all of this. This is something that you&#8217;ve staked your future on, I guess to some extent. You&#8217;ve learned all of these skills and how do you feel about the broader picture for people in the future?</p>\n\n\n\n<p>So agencies, freelancers, and what have you, who have yet to embark on this journey and are still doing things in the way that they have been doing. Do you see that the future for them is going to be more difficult in the work that you do? Do you see that the potential is paying off? Are clients coming to you and you are able to build things more quickly, potentially have a user interface which they like more, and so on? I just wondered what your thoughts were about the future for freelancers, agencies, and and so on.</p>\n\n\n\n<p>[00:21:33] <strong>Fränk Klein:</strong> I think that when we talk about the work that I do, we have the chance to work with bigger budgets, so that gives us a lot more, let&#8217;s say free space to build out certain things. But, the thing inside Human Made is that Human Made hasn&#8217;t built a website without blocks ever since the block editor got introduced.</p>\n\n\n\n<p>That was just the default, because we saw the problems that this was solving. Because the classic editor, for our clients, even the clients in the publishing industry, like it didn&#8217;t work. We were having solutions to deal with certain issues, the workarounds that we all knew, but these were just not up to the task. And so when we saw the block editor, not only what was there in terms of the starting blocks, which is paragraph and image, which wasn&#8217;t very exciting, but the whole framework surrounding it to build a custom blocks we said, okay, these and these, and these are going to be the problems that we can solve with this.</p>\n\n\n\n<p>And it&#8217;s going to take us a lot less time. It&#8217;s going to be more efficient because we can reuse certain things a lot easier. And also it&#8217;s going to be a lot better experience for the end users. And the thing that we need to understand is that, as I alluded to in the beginning, full site editing is just one part of the bigger picture.</p>\n\n\n\n<p>So you can say, maybe I don&#8217;t want to use this part of full site editing, or I don&#8217;t want to use that part. And that is fine because we are in a transitionary phase, where we are transitioning really from a very classic theme development approach to this new paradigm of building themes. But if it just flat out say, I don&#8217;t want to use blocks at all, never ever, then probably, at least as I see it, then you&#8217;re going to need to stop using WebPress at one point or another. Which is fine because I think a lot of the careers in WordPress are incidental in that people just found WordPress and then they started using it, but there was, for most, not a point where they said, this is really WordPress and this is why I use it.</p>\n\n\n\n<p>And so WordPress is just a tool, if at a certain point a tool doesn&#8217;t work for you, then choose something else. I think that&#8217;s just something where you need to be honest with yourself. The other part is that when we think about what an agency is, if you choose WordPress because you say this is the best solution for us, then you need to be all in with it.</p>\n\n\n\n<p>You can&#8217;t really say, I&#8217;m going to choose WordPress, but not these and these parts of WordPress, which I don&#8217;t like, which are just key to experience. And how content is edited and how themes are built, that&#8217;s a very key part of the CMS. So you can&#8217;t just ignore those. But the difficulty is, what I alluded to before, is that you need to really understand how a block theme works, how the site editor works, how I guess the end goal works.</p>\n\n\n\n<p>And then once you have understood what that experience is, then you can come back and say, well at this point, for this project, I don&#8217;t want to have full on block templates. I&#8217;m going to use more hybrid approach where maybe the users can change this part or that part to the editor. And that&#8217;s all fine because you are making a very conscious decision of choosing features that fit best with that specific project.</p>\n\n\n\n<p>But you know what the possibilities are, and you know what to pick next, once you get over that initial phase where we just build partial websites. For example, landing pages are something which you can already build now with blocks and you could for a while. Now it&#8217;s just a lot easier to do. So it really depends a lot on your specific use case.</p>\n\n\n\n<p>And for that, if your work is building websites with WordPress, you need to have the experience of making the right choices. So if you&#8217;re just pushing the point at which you do the switch in the future and into the future, into the future, there&#8217;s going to be a time at which somebody comes in an agency that says, well we have been building with this since 2018, and you only started in 2024 for some reason.</p>\n\n\n\n<p>That&#8217;s a lot of time and a lot of experience that you&#8217;re missing out on. So it&#8217;s just like with building blocks. You have to jump into the pool, and wobble around with your legs and arms and try to swim. And you will see, it gets easier and easier. But, I think what we need to just understand that, WordPress has been the same for so long, and we think that&#8217;s normal, but it&#8217;s definitely not. Because the wider web development space has changed so dramatically just in the last five years.</p>\n\n\n\n<p>And so we cannot expect to keep the same solutions that we&#8217;ve built always with meta boxes and what have you, and then expect this to be a solution which is competitive in two years, in five years. It&#8217;s not going to be the case. The world is moving on whether we want it or not, and we just need to get onto the train if we want to be a part of that.</p>\n\n\n\n<p>[00:26:03] <strong>Nathan Wrigley:</strong> Couple of questions from that. The first one is you mentioned that there&#8217;s a competitive edge to be had here. I&#8217;m just wondering if you can give us some sort of insight into that. I realize you can&#8217;t talk about particular clients or anything like that, but what do you feel the advantage is that you can offer to clients? Are there conversations that you can have where the full site editing picture, the Gutenberg picture, the blocks picture, you can explain that promise to the clients, and you believe that they are persuaded by that?</p>\n\n\n\n<p>[00:26:31] <strong>Fränk Klein:</strong> Well, I think that there are a couple of things. You need to start somewhere. I started early when it was still in the plugin and my colleagues at Human Made weren&#8217;t far behind. And so the thing is always that when the first project, we kind of had to convince the client, but not really, because we showed them the editor and it was like miles better what they had.</p>\n\n\n\n<p>They say, Oh yeah, you know, we definitely like this with visual previews, because I mean it wasn&#8217;t even up to the classic editor, what they had before. So that was an easy win to be honest. And maybe that was luck, but. Then when the next client comes around and they ask what&#8217;s with this new editor thing? And we&#8217;re like, oh yeah, we did this project for this client and these are the custom blocks that we built, these are the problems which we solved. That&#8217;s an easier conversation because it doesn&#8217;t feel super outlandish to them anymore because, well this client did it, then, it seems a good solution, then why shouldn&#8217;t we do it?</p>\n\n\n\n<p>And so you need to build up that repertoire of just social proof to be honest. And so when a new client comes around and we having these sales talk, and they are explaining a problem to you. I can always say, we had this client, they had this problem, we built this solution. And so, when you just not only explain it to them, also show it to them, which we like, you know, we like to demo stuff. Then they definitely see it.</p>\n\n\n\n<p>And we are not even talking about this is a block and this is an extension of this default control because the client doesn&#8217;t care. They don&#8217;t know what is in Core and what isn&#8217;t. If it&#8217;s custom not. If it takes you an hour to do all week, you know, in a sense, they don&#8217;t care. They just want to have a solution that fits their needs. That&#8217;s just the competitive advantage of really knowing this thing very well. Which is why I said, if you don&#8217;t understand what full site editing is trying to do, you cannot really apply pieces of it.</p>\n\n\n\n<p>The other part is of course, that maybe you are reluctant to learn JavaScript and React, but honestly it&#8217;s a very good thing to know, because if you ever were to get out of WordPress, a JavaScript developer, React developer, tons of jobs available. That&#8217;s also for me, when I look at my personal career, I always need to prepare for the case when WordPress might disappear overnight, for whatever freakish reasons. Then I&#8217;ll be fine. I just go and do a JavaScript, which I also enjoy. But I think that&#8217;s something which maybe a lot of people are missing it or they don&#8217;t want to think about it that much.</p>\n\n\n\n<p>But the run of the mill WordPress developer with just a non WordPress development skills, is quite far behind the larger web development ecosystem. And that is fine if you say well, I&#8217;m not really a developer, just, maybe I&#8217;m a marketer, salesperson and I just build websites because I need one. But that&#8217;s not really what my core skill is.</p>\n\n\n\n<p>If you say well, I&#8217;m a developer and I build custom solutions for my clients, that&#8217;s really, my core skill is what I sell to my clients, and you are not able to work with what has been in WordPress for by now four years, custom blocks and this whole system that has been introduced. That&#8217;s not a great situation to be in.</p>\n\n\n\n<p>So unless you want to be tied to a specific page builder, theme, and you want your stake, your fortune to the fortune of that company, then this is something which you just have to get with because, it&#8217;s very important for your own career and it&#8217;s very important for your own business. If you want to stay around for the next couple of years, this is not something that you should be sleeping on.</p>\n\n\n\n<p>[00:29:39] <strong>Nathan Wrigley:</strong> Yeah, it&#8217;s interesting. I feel that there&#8217;s probably quite a lot of people who are fearful of some of the things that you mentioned. Learning React and learning JavaScript deeply, and they&#8217;re struggling just to use the time that they&#8217;ve got to output the work that they need to output to make ends meet. And so all of this extra, that they&#8217;ve suddenly got to learn becomes a little bit daunting. But it&#8217;s nice to hear that you feel at least that there&#8217;s opportunities there and perhaps in your imagination at least anyway, the window of opportunity is bigger, looking forwards with full site editing. And it&#8217;s closing with the old way that things have been done with PHP and themes and all of that kind of stuff. So that&#8217;s interesting.</p>\n\n\n\n<p>You kept saying the word custom solutions which I found curious. I&#8217;m guessing that on the enterprise level, the kind of clients that you are dealing with, that is the kind of work that you are involved with. You know, they come to you with websites which have a heavy burden of, it needs to be very custom. It&#8217;s got to be exactly what we want. The budget can accommodate that, and so you can really spend time drilling down. And so your knowledge of what&#8217;s possible with blocks and so on and so forth can really assist them.</p>\n\n\n\n<p>You know, you might have a block for some very specific task within the broader website, that you can build and there&#8217;s time and what have you for all of that. Whereas, I would imagine quite a lot of people listening to this, they really aren&#8217;t going to be doing that. It&#8217;s just a simple website. It&#8217;s a brochure website, four or five pages and that&#8217;s kind of it. And maybe they feel that they still don&#8217;t need it. But, anyway the custom solution piece I think is interesting. Can you talk to us about that?</p>\n\n\n\n<p>[00:31:09] <strong>Fränk Klein:</strong> Ah, yeah, sure. I just wanna take the opportunity to circle back a bit to finding the time. And this comes from Brian Gardner, so thank you, Brian. He said there&#8217;s is five for the future, which WordPress says you should invest this time into the project so that it can sustain itself. And he proposes these five for your future, which just means well take 5% of your time and invest it into learning because that&#8217;s going to make it possible for you to have a sustainable future.</p>\n\n\n\n<p>So I think that&#8217;s a very important concept. Cause I definitely do understand the need to make money and stay up to date on all of these things, and it&#8217;s not different when you are in an enterprise agency as when you are in a small agency. I mean, the struggle is always the same. I mean, everybody needs to make money, and the way to make money is to produce work for your clients.</p>\n\n\n\n<p>But I think just if you are aware of the fact that you need to stay up to date, and you make it a priority. It&#8217;s the same as with any other thing in your business. It&#8217;s like accounting, everybody needs accounting and you can just not do it. And at some, you&#8217;re going to be screwed or you say, yes, I need to do my accounting and I need to take the time it takes to do it right.</p>\n\n\n\n<p>I mean, everybody needs time to write their invoices. And so people make time for that. And if you make this the same level of urgency and importance as writing invoice so you get paid, then learning is just going to be a natural part of that.</p>\n\n\n\n<p>There&#8217;s a piece of learning where you just need to get the basics, but then there&#8217;s a lot of learning on the job where you run into an issue and you figure it out and then you work some more, you run into another issue. So a lot of learning that you&#8217;re going to do is pretty much on the job. So that&#8217;s how it was for me. And to come back to the question of custom solutions. In general, when we talk about a website project where they cost $5,000 or $500,000, the challenge is always the same. There are certain pieces in the website that you need to have, so there needs to be navigation, there needs to be a list of content, posts. All these things are there, and it&#8217;s the same whether it&#8217;s small budget or big budget.</p>\n\n\n\n<p>The challenge is what do you focus your energy on in that budget? And so that&#8217;s a conversation which we have with our clients where, for example, it&#8217;s a stupid thing, but we get the mock up, right? And there is this pagination on the bottom. And this pagination kind of looks tricky. I would say, look, that pagination, if we build it that way, it&#8217;s going to take us like a day to build it.</p>\n\n\n\n<p>And honestly, nobody cares what your pagination look like. We can switch it out with just the full pagination. We got all the functionality. It doesn&#8217;t look the same, but who cares about the pagination? And most clients, if we don&#8217;t say it that way, if they say little bit more nicely, most clients will be like, yeah, okay, understand, the pagination. because for them, they didn&#8217;t even see the pagination, right? It just slipped their mind. And so there&#8217;s this negotiation where you need to take all of the pieces which you can simplify and use something which is pre-done, that you do this way. And then you really have the time to focus on the pieces that are important to your client.</p>\n\n\n\n<p>Because I always talk the language of money. What makes you money? How do you make money? How can we help you make money? And that is the point where you&#8217;re going to invest a lot of your energy, and that is where the custom solutions come in. So we had a client that problem was that. They had a CMS, and it took their editors 25 minutes to just enter the content into the CMS because it was so complicated. They need to manually resize images, all of that. So we just took WordPress. We did some custom work, not a lot to be honest, just for that specific piece. And we brought it down to five minutes. At top, takes them five minutes to get an article entered into the system, published on the website, has all of the metadata for social media and everything like that.</p>\n\n\n\n<p>And that&#8217;s a case where you can present to a client how you make them a lot of money by saving them time, because they still have the same editors, but the output is a lot bigger. The important thing is to not be tied to things that you think should be custom, because let&#8217;s say a menu, a main navigation. Do you need a custom menu with all this and that, or can it just be dropdowns? Normal dropdowns. It&#8217;s a question. Maybe the answer is no, because you have, I don&#8217;t know, an e-commerce website and you need to have a more complicated menu. Or the answer is just yes. Just a menu, as we all know, is going to be fine.</p>\n\n\n\n<p>And so that&#8217;s really the struggle that you find the things that you can standardize and WordPress is going to help you with that. Because a lot of the things that we needed custom solutions before now are standardized, or at least the way that you build it is standardized. So custom blocks are really difficult to build.</p>\n\n\n\n<p>You know, a bunch of stuff is already there. A lot of components are there. And the challenge is that when we talk about the smaller budgets, the $5,000 project&#8217;s not going to go away, what you need to deliver for that amount, that&#8217;s going to go up. And so here, when we talk about full site editing, since a lot of the pieces already predone for you, you can assemble these pieces, you can customize them, and that will allow you to build a solution which corresponds to the needs of your clients. And it doesn&#8217;t take you a lot of time to do it.</p>\n\n\n\n<p>So that&#8217;s the big idea behind is that, previously WordPress was very much, I give you these APIs, but there wasn&#8217;t really much in there. So now it&#8217;s completely different way. There&#8217;s a ton of stuff in there, but you need to really curate the experience that fits for your client and then you add the stuff that is not by default in there onto that. If it&#8217;s a plugin that you can use, great. We use tons of plugins at Human Made that just do things that we always do. And if it&#8217;s really a custom piece, then that&#8217;s where you write the custom code. And so through combinations of these factors, you&#8217;re going to be able to achieve the results for your clients.</p>\n\n\n\n<p>[00:36:42] <strong>Nathan Wrigley:</strong> Yeah, I do like the piece that you mentioned there about having the client suddenly realized, that must have been a real aha moment. Something previously took 25 minutes. So if you did that twice, you&#8217;re approaching an hour to do, whatever that task was twice. And with the custom solution that you built, perhaps that was a block with the fields arranged differently, I don&#8217;t know. But the principle that could enter the same amount of data, you could do that twice in 10 minutes, you really have sold it I think at that point.</p>\n\n\n\n<p>Nobody&#8217;s going to deny that&#8217;s a better experience. And if it can, in the background, be doing things like creating the images and creating all of the metadata that goes with those images for the different social networks and so on and so forth. All of that stuff can be built inside of this custom solution. Yeah that&#8217;s fabulous. Like you said, the budget may not allow for it, in which case there&#8217;s still going to be a, the $5,000 website.</p>\n\n\n\n<p>I do think you are right as well that the expectation for what that $5,000 will buy you is only going to go up. It&#8217;s going to continue to be, $5,000 this year will get you this amount of functionality. And now that people are building with custom blocks and what have you, I imagine customers are going to be able to determine for themselves that, well, actually, no, for my $5,000 I&#8217;m expecting there to be a lot more on the back end that I can play with and for it to be customized just for my use case exactly.</p>\n\n\n\n<p>[00:37:56] <strong>Fränk Klein:</strong> Right, and I think that, when we think about a traditional website project, there&#8217;s this waterfall model where development is at the very end. And if you approach it this way, you&#8217;re kind of ready, all of these decisions have been pre-made for you because, there is this custom pagination, I don&#8217;t know, but pagination is one of my pet peeves, so there&#8217;s this super expensive pagination, this weird menu, like stuff is all over the place. But those are the mockups that the client said, we&#8217;re going to build this, and now you are having to deal with the task of, okay, how I&#8217;m going to build this, in this amount of time? And then we just are at the same starting point where everybody else is, like, we have a website that pretty much looks like all other websites, because usually, unless the design is very expensive, it&#8217;s pretty much going to look like a lot of other stuff, obviously.</p>\n\n\n\n<p>And so If you think of yourself as an engineer, you know, maybe that&#8217;s your title, but that&#8217;s not really what you are. You need to come in very early in the process and then already talk to the client in the very beginning, in the discovery phase, and find out what the pain points are and then try and make a note of these and also come out with a few possible solutions that you might deploy to do this.</p>\n\n\n\n<p>And then you go in and you need to collaborate with the graphic designers. I need to collaborate with the client on how you put this website together. So since we now have a framework, which is WordPress, where we have all of those pieces to build a website. We need to be involved a lot earlier and also explain to designers what these pieces are. How far it can be customized and all of this. Because the approach as we did, by now maybe 15 years ago, where really we sold websites by the . Page and it was this mockup and that mockup, and that was how websites were sold, right, by the page. You paid this much per page. That is just gone. Now we need to build up these small pieces and we assemble them into bigger pieces and bigger pieces, and that&#8217;s how we build out the whole website from the small components.</p>\n\n\n\n<p>That is both the case in terms of the design. So we start with the button, which is done part of a larger pattern, which is then part of the whole page design, or a call out box, whatever. You build up the design out this way, but it&#8217;s also the functionality. And a lot of the functionality that you build out, you&#8217;re going to have to deal with the data.</p>\n\n\n\n<p>How do I model the data? How is it stored in the database? How does it get accessed? How do I store it in way that is all performant? And so, you as an engineer, you kind of need to talk the language, both of the client and the designers. And still know all of the background of what you need to do when it comes time to write code.</p>\n\n\n\n<p>Cause let&#8217;s not kid ourselves, at a certain moment, you&#8217;re going to need to open that editor and start writing out code. Even when you&#8217;re dealing with, you know, full site editing. Then at that point you have everything lined up in the way that you can deliver the results that the client wants, within the time, and then also the budget that they have.</p>\n\n\n\n<p>So that&#8217;s really the big challenge, and it&#8217;s going to require us to step away from a lot of that old waterfall thinking because, really when you have projects that I tend to do tend to be quite long. You know, sometimes three months, six months, a year. So if you have a project that runs a year, you&#8217;re not going to come in with a list of all the stuff that you&#8217;re going to do in a year.</p>\n\n\n\n<p>So it&#8217;s a constant, discovery, negotiation, building stuff. But at each point you are building something which already has value. And so if at the end of the project the budget runs out, and maybe we missed a few nice to haves, the client&#8217;s not going to, they&#8217;re not going to care, because they&#8217;ve got everything which they wanted and which is producing the results for them.</p>\n\n\n\n<p>So that&#8217;s really the idea that we need to take forward. And to be honest, I don&#8217;t have all the answers on that. It&#8217;s just, I think that a more iterative approach where you build out pieces one by one in order of priority, and we have something which is working, which is going to produce results at any point. That&#8217;s the way that we&#8217;re going to do it, and it&#8217;s a lot easier to do that, just assemble pieces and then you add your little custom stuff to it. If you just start everything from scratch and it already takes you three days to come up with, you know, the basic site layout, I think that&#8217;s just outdated.</p>\n\n\n\n<p>[00:41:58] <strong>Nathan Wrigley:</strong> Interesting. So it almost feels like you are using bricks to build a wall. You might substitute the word bricks for blocks, which is a nice metaphor. Just before we end, it sounds like you&#8217;ve decided that this is the way that you&#8217;re going to do things in the future. You&#8217;re fully into this. The promise with new technology is always, we&#8217;re going to make your life easier. I do wonder, and maybe you can speak to this, have you simply swapped a bunch of problems that you used to have, for a new set of problems that you now have? So whilst in the past you were wrangling with different things, templates and themes and so on and so forth, you&#8217;re now just wrangling with a different set of problems.</p>\n\n\n\n<p>What I&#8217;m trying to say is, is your job easier now, harder, or just the same?</p>\n\n\n\n<p>[00:42:42] <strong>Fränk Klein:</strong> It&#8217;s the same, but it&#8217;s not. I think that we shouldn&#8217;t be, how can I say that, we shouldn&#8217;t look back on the past and, oh, imagine when we didn&#8217;t have to do this and didn&#8217;t do that and paint the pretty picture of how it was. Because the past, it wasn&#8217;t great. I&#8217;ve been in web development for a while now, and there never was this super bliss that somehow got destroyed with everything that is here.</p>\n\n\n\n<p>But the thing is that it&#8217;s been the same. But for me, the way I look at it, it&#8217;s that you are always going to have problems, but I want to have bigger problems and better problems. So there&#8217;s a myth that, oh, a thousand dollar client is going to bicker and then a $10,000 client just going to wire the money.</p>\n\n\n\n<p>And I don&#8217;t know where these people come from, but that&#8217;s definitely not the case. All clients are difficult at all price ranges. That&#8217;s just how it is. You&#8217;re trying to build this thing together. And there&#8217;s going to be a few confrontations, and that&#8217;s just normal. But the thing is more is that, how can I say that? If I have to write one more stupid post list, I&#8217;m just going to be out of this. Who wants to go into an editor and be like, oh, this is going to be a list, and then I will get the title. I have zero interest in that, doesn&#8217;t interest me at all. It&#8217;s just I don&#8217;t want to do the same thing over and over.</p>\n\n\n\n<p>If I can abstract that away, great. And that&#8217;s really the idea behind is that I want to go to the things, just in terms of my career, I want to get closer to where I can produce outcomes for the client and rewriting a list of posts, how much of an outcome are you producing? I&#8217;m not really sure.</p>\n\n\n\n<p>And so everything that I take, all of these tools is just, I want to deal with bigger problems, better problems, and that way I&#8217;m going to be able to make more money, frankly speaking. And so if you just get bogged down into this small, kind of, small thinking where we need to say, oh, I need to write everything from scratch. No you don&#8217;t. there are huge parts of projects that I didn&#8217;t write myself, but I know which solutions are out there. And so, I don&#8217;t come up with an SEO framework. I use a plugin for that. I don&#8217;t come up with a bunch of things. But because I have solved all these problems, I can then have better problems.</p>\n\n\n\n<p>That&#8217;s the idea that I want to take. I want to get to the really hard stuff and yeah, definitely full site editing helps with all of that. It abstracts away a lot of the theming stuff that&#8217;s very repetitive. Blocks are a lot more portable. Even if we do write custom code, there&#8217;s a way to make it more abstract so that we can pull in libraries and things like that.</p>\n\n\n\n<p>So that way you are kind of building up, project by project and not only building up experience, but you&#8217;re also building up your toolbox so that when you come to a problem, you&#8217;ll reach in to the toolbox, you pull it out, you can solve the issue, and then you&#8217;re onto the next one. Which hopefully is going to be more interesting than how does the pagination look.</p>\n\n\n\n<p>[00:45:20] <strong>Nathan Wrigley:</strong> Nice answer. Fränk, I&#8217;m afraid we&#8217;re probably just going to have to knock it on the head because of the time. But just before we do, just before we call a close to the podcast episode. I&#8217;m wondering if people have listened to this and have been inspired and would like to get in touch with you, what other best ways or way to do that?</p>\n\n\n\n<p>[00:45:36] <strong>Fränk Klein:</strong> First, it is my website, so WP Development Courses. So check that out. Feel free to email me like there&#8217;s a contact tab. I like to hear from people. I don&#8217;t have all the answers for sure, and I like to hear from people and understand all the different backgrounds.</p>\n\n\n\n<p>And then I&#8217;m on the WordPress.org Slack. If you wanna DM me. And of course you can find me on Twitter. So if you have a question, if you have a problem, if you have a viewpoint, if you disagree, let me hear it. I&#8217;m very interested in hearing all of your perspectives and your struggles.</p>\n\n\n\n<p>[00:46:04] <strong>Nathan Wrigley:</strong> Fränk Klein, thank you very much for chatting to us on the podcast today. I really appreciate it.</p>\n\n\n\n<p>[00:46:09] <strong>Fränk Klein:</strong> Thank you. It was a pleasure.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://profiles.wordpress.org/frank-klein/\">Fränk Klein</a>.</p>\n\n\n\n<p>Fränk is a self-taught developer. He started out learning PHP in 2011 and from there found his way to WordPress. Over the years he’s worked for Automattic at WordPress.com and WordPress VIP, and is now a principal developer at <a href=\"https://humanmade.com/\">Human Made</a>, an enterprise WordPress agency.</p>\n\n\n\n<p>Today on the podcast we talk about how Fränk decided early on that he was going to start developing with blocks and, more recently, with the full site editing capabilities now built into WordPress Core.</p>\n\n\n\n<p>We talk about the four phases of the Gutenberg project: content editing, site customisation, collaborative editing and multilingual, and where full site editing fits into this.</p>\n\n\n\n<p>Fränk explains how he sees the adoption of Gutenberg as inevitable. WordPress is moving away from the classic approach of content creation to a more visual, block-based experience. He thinks that it’s important to become an expert at building websites and custom solutions for clients, and for taking the time to learn the new tools that this future will require.</p>\n\n\n\n<p>He’s not suggesting that the journey towards expertise in React and JavaScript will be easy, but he sees it as essential for those wishing to continue to use WordPress as their CMS of choice.</p>\n\n\n\n<p>He also makes the point that now is a great time to invest in yourself as there are more resources than ever which can assist you in this learning path.</p>\n\n\n\n<p>As you’ll hear, Fränk is all-in on WordPress and is very optimistic about the future for experienced WordPress developers.</p>\n\n\n\n<h2>Useful links.</h2>\n\n\n\n<p>Fränk&#8217;s <a href=\"https://wpdevelopment.courses/\">WP Development Courses</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Nov 2022 16:05:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: WooCommerce Store Owners Combat Fraudulent Stripe Charges\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139318\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/woocommerce-store-owners-combat-fraudulent-stripe-charges\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6352:\"<p>For the past few weeks, members of the Advanced WordPress Facebook (AWP) group have been <a href=\"https://www.facebook.com/groups/advancedwp/permalink/5843275932401239/\">discussing</a> methods of combatting Stripe Card Testing fraud. WordPress developer Jon Brown opened the topic after seeing fraudulent charges on five different websites, including four using WooCommerce and one using the Leaky Paywall platform.</p>\n\n\n\n<p>&#8220;All five were on Cloudflare with bot fight mode on when it first happened,&#8221; Brown said. &#8220;I&#8217;ve added CAPTCHA to all 5, I&#8217;ve enabled CloudFlare&#8217;s &#8216;Under Attack&#8217; mode on the cart/checkout page.&#8221;</p>\n\n\n\n<p>The WooCommerce sites didn&#8217;t have a reoccurrence but the Leaky Paywall site did. Brown said the client didn&#8217;t notice it, as he had Stripe emails going to his spam folder.</p>\n\n\n\n<p>&#8220;It went on for two weeks until the load spike took the site offline and I noticed it,&#8221; he said. &#8220;About 1,200 successful transactions for $2.99, with 100,000 blocked.&#8221;</p>\n\n\n\n<p>Brown said he doesn&#8217;t understand why Stripe doesn&#8217;t recognize and block the fraudulent charges since they all follow a similar pattern using a randomized Gmail address. His client had to dispute approximately 100 of these transactions.</p>\n\n\n\n<p>&#8220;Each dispute costs $15 to resolve,&#8221; Brown said. &#8220;Each non-disputed refund costs $0.40 since Stripe (like PayPal now) keeps the fee.</p>\n\n\n\n<p>&#8220;So 100 * $15 + 1100 * $0.40 = $1940 in lost revenue to fees and that&#8217;s obviously AFTER also refunding the $2.99 per fraudulent transaction. That means $3,600 in fraud ($2.99 * 1200) just resulted in a net loss of $1940 &#8211; that&#8217;s insane.&#8221;</p>\n\n\n\n<p>Many other developers in the conversation have been hit with similar attacks, some with honeypots in place that didn&#8217;t prevent anything. One recommended using the <a href=\"https://wordpress.org/plugins/woo-blocker-lite-prevent-fake-orders-and-blacklist-fraud-customers/\">WooCommerce Fraud Prevention</a> plugin. It allows store owners to block orders from specific IP addresses, emails, address, state, and zip codes. This might help once attacks have started but doesn&#8217;t fully prevent them. Some developers had success stopping attacks using <a href=\"https://woocommerce.com/products/recaptcha-for-woocommerce/\">reCaptcha for WooCommerce</a>, a commercial plugin that implement&#8217;s Google&#8217;s reCaptcha V2 (checkbox) and reCaptcha V3 to stop things like unauthorized login attempts, fake registrations, fake guest orders, and other automated attacks.</p>\n\n\n\n<p>&#8220;We ran into this about a year ago,&#8221; WordPress developer John Montgomery said. &#8220;It&#8217;s a way for hackers/thieves to check a list of card numbers for ones that are valid. Once they confirm the card works on a site, they can use to purchase products for real. In the end, a big annoyance but honestly not a huge deal for us in the end because we have digital products and they weren&#8217;t really interested in those.&#8221;</p>\n\n\n\n<p>Montgomery installed a plugin called <a href=\"https://wordpress.org/plugins/limit-orders/\">Limit Orders for WooCommerce</a>, developed by Nexcess, that disallows orders after a certain threshold is met. </p>\n\n\n\n<p>&#8220;I set it up to x orders per hour ( above any historical numbers)&#8230;so if we get say 100 orders in an hour it will shut off orders,&#8221; he said. &#8220;It&#8217;s a bit of a sledgehammer, but it did help us once already.&#8221; </p>\n\n\n\n<p>Although many store owners are hesitant to add any friction to the checkout process, technology consultant Jordan Trask recommends requiring customers create accounts before continuing and verify emails. He wrote a guide on <a href=\"https://managingwp.io/2021/07/08/dealing-with-card-testing-or-carding-attacks-on-your-woocommerce-store-fraudulent-charges/\">dealing with card testing attacks</a>.</p>\n\n\n\n<p>&#8220;The gist of the rules is blocking all countries except those you serve,&#8221; Trask said. &#8220;However, for WooCommerce, I would put in a JS Managed Challenge for the cart and checkout.</p>\n\n\n\n<p>&#8220;There is rate limiting built into Cloudflare that might help, but it&#8217;s more request based versus per order which is what you need based on IP potentially. If the requests come from the same IP address, you can look at limiting orders per IP since the email differs each time.&#8221;</p>\n\n\n\n<p>The <a href=\"https://github.com/BrianHenryIE/bh-wc-checkout-rate-limiter/\">Checkout Rate Limiter</a> plugin, available on GitHub, offers checkout rate limiting on WooCommerce checkout based on IP address.</p>\n\n\n\n<img />\n\n\n\n<p>Trask&#8217;s guide also recommends checking payment processor logs when investigating fraudulent charges:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Always check your payment processor logs to verify where the charges are being created. A staging site may exist with production API keys, or your site was hacked, and the API keys were stolen. Most payment processors will have further details in their logs with additional information.</p>\n</blockquote>\n\n\n\n<p>WordPress developer Rahul Nagare recommends checking out <a href=\"https://stripe.com/radar/fraud-teams\">Stripe&#8217;s Radar fraud protection</a>, which uses machine learning to provide advanced protection and identification of fraudsters.</p>\n\n\n\n<p>&#8220;This will let you setup custom rules on Stripe to reject suspicious transactions,&#8221; Nagare said. &#8220;This used to be a free service with Stripe, but they changed it last year. I&#8217;d look into blocking all transactions with risk score higher than the average, and maybe the region of the card testers.&#8221;</p>\n\n\n\n<p>WooCommerce&#8217;s documentation has a section on <a href=\"https://woocommerce.com/document/payments/faq/card-testing\">responding to card testing attacks</a>, which has many of the same recommendations discussed in the recent AWP thread. A CAPTCHA plugin is the first line of defense. It also recommends avoiding pay-what-you-want or donation products with no minimum, as these products are often targeted for card tests with small transactions that cardholders might miss. Swiftly refunding any successful fraudulent orders will decrease the possibility of disputes.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Nov 2022 04:37:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"BuddyPress: BuddyPress 11.0.0-beta1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=327062\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://buddypress.org/2022/11/buddypress-11-0-0-beta1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2985:\"<p><strong>BuddyPress 11.0.0-beta1</strong> is available for testing!</p>\n\n\n\n<p>Please note the plugin is <strong>still in development</strong>, so we recommend running this beta release on a <strong>testing site</strong>.</p>\n\n\n\n<p>You can test <a href=\"https://downloads.wordpress.org/plugin/buddypress.11.0.0-beta1.zip\">BuddyPress 11.0.0-beta1</a> in 4 ways :</p>\n\n\n\n<ul>\n<li>Try the <a href=\"https://wordpress.org/plugins/bp-beta-tester/\">BP Beta Tester</a> plugin.</li>\n\n\n\n<li><a href=\"https://downloads.wordpress.org/plugin/buddypress.11.0.0-beta1.zip\">Download the beta here (zip file)</a>.</li>\n\n\n\n<li>Check out our SVN repository: <code>svn co https://buddypress.svn.wordpress.org/trunk/</code></li>\n\n\n\n<li>Clone our read-only Git repository: <code>git clone git://buddypress.git.wordpress.org/</code></li>\n</ul>\n\n\n\n<p>The current target for final release is December 14, 2022. We would greatly appreciate your help making sure this next major version of your community engine is as good as it can be.</p>\n\n\n\n<p>Please note BuddyPress 11.0.0 <strong><a href=\"https://bpdevel.wordpress.com/2022/07/12/wordpress-required-version-update-4/\">will require at least WordPress 5.7</a></strong>.</p>\n\n\n\n<p>As usual, <strong>testing for bugs is the key to a safe upgrade</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f449.png\" alt=\"👉\" class=\"wp-smiley\" />  so please give us a few minutes of your time to make sure this pre-release behaves the right way with your specific WordPress configuration, your theme, and the other WordPress plugins you are using. Try to use a testing site which is very close to the one you are using in production. If you find something weird, please report it on <a href=\"https://buddypress.trac.wordpress.org/newticket\">BuddyPress Trac</a> or post a reply to <a href=\"https://buddypress.org/support/topic/buddypress-11-0-0-beta1/\">this support topic</a>.</p>\n\n\n\n<p>If you&#8217;re a BuddyPress plugin developer or a BuddyPress theme developer, please make sure to test this 11.0.0-beta1 release as <strong>we&#8217;re now only loading BuddyPress assets (JavaScripts and styles) inside BuddyPress pages</strong>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 id=\"around-70-changes-to-expect-in-10-0-0\">Around 40 changes to expect in 11.0.0</h2>\n\n\n\n<p>You can check out <a href=\"https://buddypress.trac.wordpress.org/query?status=closed&group=resolution&milestone=11.0.0\">this report</a> on Trac for the full list of them. We only planned to ship one long awaited feature as a BuddyPress Add-on. At this stage, we&#8217;re staying silent about it to keep the surprise effect intact (truth is we are still not sure it&#8217;ll be ready for December 14 <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f92b.png\" alt=\"🤫\" class=\"wp-smiley\" />).</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3ae.png\" alt=\"🎮\" class=\"wp-smiley\" /> <em>Happy testing!</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 20:30:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"WordPress.org blog: Introducing Twenty Twenty-Three\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13892\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2022/11/introducing-twenty-twenty-three/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2174:\"<p><em>This post was written in collaboration with Lauren Stein (<a href=\"https://profiles.wordpress.org/laurlittle/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>laurlittle</a>) and Anne McCarthy <a href=\"https://profiles.wordpress.org/annezazu/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>annezazu</a>)</em>.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p>Twenty Twenty-Three is here, alongside WordPress 6.1! The new default theme offers a clean, blank canvas bundled with a collection of style variations.</p>\n\n\n\n<p>Style variations are predefined design options that give you the opportunity to alter the appearance of your site without having to change your theme. This means that you can keep your template structure but change the visual details of your site with ease.</p>\n\n\n\n<p>For a truly diverse collection, Twenty Twenty-Three’s featured style variations were submitted by members of the WordPress community, resulting in 38 submissions from 19 people in 8 different countries. From those submissions, a curated collection of ten was chosen and bundled with the new theme.</p>\n\n\n\n<p>This approach to style variations ushers in the next generation of block themes, able to harness the potential of the platform’s latest design capabilities and tools directly in the Site Editor. Since style variations don’t require any code experience, you’re encouraged to tweak and/or create your own.</p>\n\n\n\n<p><strong>Thank you to everyone who contributed. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f389.png\" alt=\"🎉\" class=\"wp-smiley\" /></strong></p>\n\n\n\n<p>Useful links:<br /><a href=\"https://wordpress.org/themes/twentytwentythree/\">Download Twenty Twenty-Three</a><br /><a href=\"https://wordpress.org/support/article/twenty-twenty-three/\">Twenty Twenty-Three Documentation</a><br /><a href=\"https://make.wordpress.org/design/2022/08/10/twenty-twenty-three-default-theme-project-kickoff/\">Twenty Twenty-Three Project Kick Off</a><br /><a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">Twenty Twenty-Three Selected Style Variations</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 15:42:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Beatriz Fialho\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"Do The Woo Community: Contributor Support, GPL Nulled Clubs and the BobWP Site\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73440\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://dothewoo.io/contributor-support-gpl-nulled-clubs-and-the-bobwp-site/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:446:\"<p>In this show an extended comment from Alain about supporting contributors, a tweet asking about nulled plugin updates and a BobWP revamp.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/contributor-support-gpl-nulled-clubs-and-the-bobwp-site/\">Contributor Support, GPL Nulled Clubs and the BobWP Site</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 10:23:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"WPTavern: Last Call for the 2023 State of Open Source Survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139306\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wptavern.com/last-call-for-the-2023-state-of-open-source-survey\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1889:\"<p><a href=\"https://www.openlogic.com/\">OpenLogic</a>, a company that provides technical support for enterprise open source infrastructure, and the <a href=\"https://opensource.org/\">Open Source Initiative</a> (OSI), the nonprofit stewards of the <a href=\"https://opensource.org/docs/osd\">Open Source Definition (OSD</a>, have collaborated to put together the <a href=\"https://www.research.net/r/state-of-oss\">2023 State of Open Source Survey</a>. </p>\n\n\n\n<p>The annual survey collects data from professionals to identify trends in the adoption and challenges of using open source technologies. It takes less than 10 minutes to answer the 31-question survey. Respondents are asked if their organizations have increased the use of OSS over the last year and in which categories of software they have invested the most in terms of projects, budget, and resources. </p>\n\n\n\n<p><a href=\"https://opensource.org/ten-takeaways-from-the-2022-state-of-open-source-survey\">The 2022 survey</a> had 2,660 respondents. It found the #1 reason respondents are using OSS is access to innovation, followed by cost reduction and security/availability of patches. More than 36% of respondents indicated that they significantly increased their use of OSS over the past year. The 2022 survey found the biggest barrier to adopting open source software was the lack of internal skills to test, use, integrate, and support it.</p>\n\n\n\n<p>The last call has gone out to contribute to this year&#8217;s survey. It would be good to have WordPress software organizations represented in the results as part of the broader OSS community. Respondents who take the time to fill out the survey are entered for a chance to win a $200 Amazon gift card. OpenLogic is also donating $1 for every response to the <a href=\"https://www.wfpusa.org/\">World Food Program</a>, a humanitarian organization working to end world hunger.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Nov 2022 04:00:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WPTavern: WordPress Rebrands FSE as “Site Editor”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139286\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com/wordpress-rebrands-fse-as-site-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2483:\"<p>While WordPress&#8217; site editing capabilities have been in development, the term full-site editing (FSE) has been widely used but sometimes poorly understood outside of contributor groups. Three months ago, WordPress&#8217; Executive Director Josepha Haden Chomphosy <a href=\"https://wptavern.com/wordpress-contributors-consider-renaming-full-site-editing\">proposed</a> renaming FSE to something more user friendly. </p>\n\n\n\n<p>After a lengthy <a href=\"https://make.wordpress.org/core/2022/07/27/giving-fse-a-more-user-friendly-name/\">discussion</a>, Haden Chomphosy has <a href=\"https://make.wordpress.org/updates/2022/11/04/site-editor-a-more-user-friendly-name/\">announced</a> the decision to use &#8220;Site Editor&#8221; going forward:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Landing on Site Editor was the result of two key considerations. Firstly, Site Editor offers a clear and simple description to users with a range of technical skills. Secondly, there was substantial support for Site Editor, particularly from the Polyglot community, as the term that translates most effectively into hundreds of different languages.<em>&nbsp;</em><a href=\"https://videopress.com/v/BJyPZJNx?at=1420\">As we heard at WordCamp US 2022</a>, better multilingual support is an important future direction for WordPress, so choosing easily translated terms is an important step.&nbsp;</p>\n\n\n\n<p>Site Editor also keeps the spirit of its original FSE codename as the powerful, full collection of features it encompasses. As a bonus, it also doesn’t cost us anything from an SEO or marketing standpoint, since it’s a simplification of the existing term.</p>\n</blockquote>\n\n\n\n<p>Haden Chomphosy said the change is not necessarily a rebranding, but WordPress&#8217; official documentation, including Learn.WordPress videos, and many third-party resources are replete with references to FSE. The <a href=\"https://make.wordpress.org/test/handbook/full-site-editing-outreach-experiment/\">Full Site Editing Outreach Program</a> may also need to be renamed. Haden Chomphosy said WordPress users can still expect to see or hear the term FSE around &#8211; it&#8217;s not a situation where every instance needs to be erased. </p>\n\n\n\n<p>The recent decision to use the term &#8220;Site Editor&#8221; should be considered an official update to WordPress&#8217; shared lexicon, and Haden Chomphosy encouraged contributors to begin updating the documentation immediately to reflect the change.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 07 Nov 2022 22:32:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"Donncha: How to add your blog to Mastodon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://odd.blog/?p=89504202\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://odd.blog/2022/11/06/how-to-add-your-blog-to-mastodon/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8004:\"<p><strong>Introduction</strong></p>\n\n\n\n<p>Before we start, do you know what Mastodon is? It&#8217;s sort of like email, where you can send an email from gmail.com to a yahoo.com account, except it looks very like Twitter. This <a href=\"https://www.pcmag.com/how-to/how-to-get-started-on-mastodon-and-leave-twitter-behind\">pcmag article</a> is a good introduction to it. Jeff Jarvis wrote a <a href=\"https://medium.com/whither-news/hope-for-a-post-musk-net-f156d0cdf431\">good post</a> too, and Time Magazine <a href=\"https://time.com/6229230/mastodon-eugen-rochko-interview/\">interviewed Eugen Rochko</a>, the founder of Mastodon that you should read.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>This weekend, a probably sizeable chunk of <a rel=\"tag\" class=\"u-tag u-category\" href=\"https://odd.blog/tag/irishtwitter/\">#IrishTwitter</a> migrated to Mastodon. We&#8217;re not the only ones. Twitter has been getting more hateful and acting as an echo chamber for lots of horrible people over the years. The sale of Twitter to Elon Musk, the firing of half the staff, his pronouncements of &#8220;free speech&#8221; all point towards the site being less regulated, less maintained and less moderated. You can&#8217;t deal with complaints if there&#8217;s nobody there listening to complaints of harassment or hate.</p>\n\n\n<div class=\"wp-block-image is-style-default\">\n<img />(No we didn&#8217;t)</div>\n\n\n<p></p>\n\n\n\n<p>I don&#8217;t doubt that many of us will continue to visit and contribute to whatever Twitter becomes. Over the last few years, most of my interactions there have been publicising my blog posts. All I could see on there was angry tweets from different people, or people who were broadcasting their top ten ways of doing X, Y or Z. Hardly any actual conversation.</p>\n\n\n\n<p>So, Mastodon. I woke up early on Saturday morning and discovered there was a <a rel=\"tag\" class=\"u-tag u-category\" href=\"https://odd.blog/tag/twittermigraton/\">#TwitterMigraton</a> to Mastodon. I already had an account on mastodon.social but Irish Twitter was moving to mastodon.ie, and that&#8217;s where I went too, creating <a href=\"https://mastodon.ie/@donncha\">@donncha@mastodon.ie</a>. </p>\n\n\n<div class=\"wp-block-image is-style-default\">\n<a href=\"https://mastodon.ie/@Drharoldnews/109297557723889180\"><img /></a></div>\n\n\n<p></p>\n\n\n\n<p>Judging from what I&#8217;ve read elsewhere, all mastodon instances are <a href=\"https://bitcoinhackers.org/@mastodonusercount\">experiencing a HUGE surge in user registrations</a> as people look for an alternative to the <s>stinking</s> sinking ship that is Twitter.</p>\n\n\n<div class=\"wp-block-image is-style-default\">\n<a href=\"https://bitcoinhackers.org/@mastodonusercount/109298398614165507\"><img /></a></div>\n\n\n<p></p>\n\n\n\n<p>On Saturday, the admins of mastodon.ie ran into performance difficulties as they dealt <a href=\"https://mastodon.ie/@dregin/109296394011395383\">with the influx of new users</a>. The site slowed down and people couldn&#8217;t upload images. Over 6,000 people are on that instance now.</p>\n\n\n<div class=\"wp-block-image is-style-default\">\n<img />Remember the early days of Twitter?</div>\n\n\n<p></p>\n\n\n\n<p>The admins increased their hosting plan, eventually maxing out at the top tier. To pay for hosting they <a href=\"https://opencollective.com/mastodonie\">asked for donations</a>. Right now they have raised over €4100!</p>\n\n\n\n<p><strong>How do I add my WordPress blog to Mastodon?</strong></p>\n\n\n\n<p>It&#8217;s mostly straight forward. Install these two plugins:</p>\n\n\n\n<ol>\n<li><a href=\"https://wordpress.org/plugins/activitypub/\">ActivityPub</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/plugins/webfinger/\">WebFinger</a></li>\n</ol>\n\n\n\n<p>The installation instructions are unfortunately not great. After you install both plugins, go to your Profile page (Users-&gt;Profile) and scroll right to the end. Down there you will find your profile identifier. It will look like @author@hostname.tld. For this blog that is <strong>@donncha@odd.blog</strong>, and I have my photoblog at <strong>@donncha@inphotos.org</strong>. Search for those on Mastodon and you will find my two blogs. Please feel free to follow!</p>\n\n\n<div class=\"wp-block-image is-style-default\">\n<img /></div>\n\n\n<p></p>\n\n\n\n<p>When a post is made and shared on Mastodon, it allows others to reply. Those replies to the <a href=\"https://mastodon.social/@Gargron/108352419081380277\">toot</a> on Mastodon will be sent to your WordPress blog as a <a href=\"https://inphotos.org/2022/11/06/on-stage-in-coughlans-bar/#comment-385708\">comment</a>! That <a href=\"https://mastodon.ie/@donncha/109296714735893201\">blew my mind</a> when I discovered that!</p>\n\n\n\n<p><strong>Troubleshooting</strong></p>\n\n\n\n<p>I discovered that running the plugins on a multi-site WordPress install will cause problems. Instead of activating it on the root install, you need to activate it on each one. I presume that&#8217;s maybe because the rewrite rules are added on plugin activation, but that&#8217;s just a guess.</p>\n\n\n\n<p>If you have caching you might want to turn it off, or at the very least disable caching in /.well-known/ as that&#8217;s where Mastodon and other services will query your server for updated information.</p>\n\n\n\n<p>It can take 10 to 15 minutes before a new post is seen. Be patient!</p>\n\n\n\n<p><strong>Why not?</strong></p>\n\n\n\n<p>There&#8217;s one reason you might not want to do this. Your blog will be on a Fediverse instance by itself. Your blog posts will only show if someone is following it, or <a href=\"https://inphotos.org/2022/11/06/on-stage-in-coughlans-bar/\">you boost the toots on Mastodon</a>, or in the Federated feed. They won&#8217;t show in the Local Feed of your Mastodon instance. The best way around this is by careful use of relevant hashtags, but please don&#8217;t spam them, or you&#8217;ll be blocked.</p>\n\n\n<div class=\"wp-block-image is-style-default\">\n<img /></div>\n\n\n<p></p>\n\n\n\n<p><strong>Alternatives</strong></p>\n\n\n\n<p>You can hook your WordPress blog to your account too. I haven&#8217;t used them, but I saw two people use these plugins. Those posts will appear in the Local Feed of your Mastodon instance, which is a plus for discoverability.</p>\n\n\n\n<ol>\n<li><a href=\"https://wordpress.org/plugins/autopost-to-mastodon/\">Mastodon Autopost</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/plugins/syndication-links/\">Syndication Links</a></li>\n</ol>\n\n\n\n<p>You can also use IFTTT if your site can&#8217;t run plugins, and you have an RSS feed. Some details in <a href=\"https://hyperborea.org/journal/2017/12/mastodon-ifttt/\">this blog post</a>. Thanks Sandy for that link!</p>\n\n\n\n<p>I&#8217;m very excited about this. Is it too early to say that there&#8217;s enough momentum to sustain a <a rel=\"tag\" class=\"u-tag u-category\" href=\"https://odd.blog/tag/irishmastodon/\">#IrishMastodon</a> community? I hope it succeeds.</p>\n\n\n\n<p>Edit: George has a <a href=\"https://g13g.blog/2021/03/16/get-your-blog-posts-on-mastodon/\">guide on his blog</a> explaining how to do the same thing but points out that you need the WebMention plugin to receive replies as comments. I saw replies to my toots appear here as comments, but only if they were direct replies. If I replied to someone who replied to my blog that reply wouldn&#8217;t show as a comment, and I just tested that again and WebMention doesn&#8217;t change that, unfortunately.</p>\n\n\n\n<p><a href=\"https://matthewthom.as/\">Matthew Thomas</a> has created a remote follow tool called apfollow, with <a href=\"https://github.com/mwt/apfollow/\">source available</a>. This creates a page where you can follow a Mastodon account by entering your own details in a box and it redirects you to your home server to do the follow. Here&#8217;s a <a href=\"https://apfollow.mwt.me/?user=donncha&instance=mastodon.ie\">link to follow</a> my Mastodon.ie account. It fails for me, but maybe that&#8217;s something to do with mastodon.ie settings. I&#8217;ll fill out a bug report but it looks promising.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 06 Nov 2022 19:57:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"Gutenberg Times: Layout Styles, Query Loop, Site Editor and WordPress 6.1- Weekend Edition #235\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=22560\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://gutenbergtimes.com/block-styles-query-loop-on-site-editor-wordpress-6-1-weekend-edition-235/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:20800:\"<p>Howdy, </p>\n\n\n\n<p>Today, you find additional information about contributors, known issues and new features of WordPress 6.1 below. Furthermore,  plenty of educational posts, videos and first-person explorations into Block Themes. The team around Learn.WordPress scheduled a heap of awesome events on Meetup and a new free course. </p>\n\n\n\n<p>Find also new plugins, themes and so much more. </p>\n\n\n\n<p>If you feel the uncertainty of time, space, and being, <a href=\"https://www.themarginalian.org/2020/04/03/virginia-woolf-to-the-lighthouse/\">Maria Popova wrote about Virginia Woolf</a>&#8216;s To the Lighthouse and how Woolf finds beauty in the those dread moments. <a href=\"https://www.themarginalian.org/\">The Marginalian</a> is always worth visiting. </p>\n\n\n\n<p>Enjoy and have a wonderful weekend! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li><li><a href=\"https://gutenbergtimes.com/feed/#4-up\">Upcoming WordPress Events</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-l\">Learn WordPress Online Meetups</a></li></ul></li></ul></div>\n</div></div>\n\n\n\n\n<h2 id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p>Finally, <a href=\"https://wordpress.org/news/2022/11/misha/\"><strong>WordPress &#8220;Misha&#8221; 6.1 is here</strong></a>! 800 contributors from 60 countries created one of the largest WordPress releases. </p>\n\n\n\n<p>If you want to dive deeper into information about contributors, <strong><a href=\"https://twitter.com/AudrasJb\">Jean-Baptist Audras</a></strong>, core team rep and data wizard at the Whodunit agency, published  <a href=\"https://jeanbaptisteaudras.com/en/2022/11/contribution-stats-for-wordpress-6-1-misha/\"><strong>Contribution Stats for WordPress 6.1 « Misha »</strong></a>. </p>\n\n\n\n<img />\n\n\n\n<ul>\n<li>Watch a&nbsp;<a href=\"https://www.youtube.com/watch?v=1w9oywSa6Hw\">brief overview video</a>&nbsp;highlighting some major features debuting in WordPress 6.1. </li>\n\n\n\n<li>The <a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">Fieldguide</a> has been available for a couple of weeks. </li>\n\n\n\n<li><strong>Steven Stern</strong>, team rep of the support team published a <strong><a href=\"https://wordpress.org/support/topic/read-this-first-wordpress-6-1/#post-15661769\">list of known issues on the forum</a>. </strong></li>\n\n\n\n<li>The core team is working on a quick turn-around on a minor release. <strong>Jeff Paul</strong> shared his notes for <a href=\"https://make.wordpress.org/core/2022/11/04/wordpress-6-1-1-planning/\"><strong>WordPress 6.1.1 Planning</strong></a></li>\n</ul>\n\n\n\n<p><strong>Sarah Gooding</strong> reported on the release for the WP Tavern: <a href=\"https://wptavern.com/wordpress-6-1-introduces-new-default-theme-and-fluid-typography-expands-design-tools-and-template-options\"><strong>WordPress 6.1 Introduces New Default Theme and Fluid Typography, Expands Design Tools and Template Options</strong></a></p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-75-gutenberg-14-4-upcoming-wordpress-6-1-release-whats-next-for-6-2/\">Gutenberg Changelog #75 – Gutenberg 14.4, Upcoming WordPress 6.1 Release, What’s Next for 6.2</a> with special guest, Anne McCarthy, and host Birgit Pauli-Haack</p>\n</div></div>\n\n\n\n<p>And, <strong>Site Editor</strong> it is. <strong>Josepha Haden Chomphosy</strong> summarized the discussion from a few weeks ago in her clarifying post: <a href=\"https://make.wordpress.org/updates/2022/11/04/site-editor-a-more-user-friendly-name/\"><strong>Site Editor: a More User-Friendly Name</strong></a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Last week, I got excited about the <a href=\"https://github.com/artemiomorales/gutenberg-interactive-fiction-engine/releases/tag/v0.1.0\">Interactive Fiction Engine</a> and I also shared the call for <a href=\"https://gutenbergtimes.com/what-art-can-you-create-with-wordpress-6-1/\">submission for the Museum for Block Art</a>. Guess what happened?</p>\n\n\n\n<p><strong>Anne McCarthy</strong> created a beautiful and <strong><a href=\"https://block-museum.com/interact/\">interactive tour of the Museum of Block Art</a></strong>. Enter the museum and discover the works exhibited on the website, McCarthy highlighted for you. </p>\n\n\n\n<h2 id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Justin Tadlock</strong> published another single-block plugin in the plugin repository called: <a href=\"https://wordpress.org/plugins/x3p0-progress/\"><strong>X3P0 Progress</strong></a>. It is a block that allows users to create progress bars using a straightforward interface. You can select different units to set your progress on the bar, percentage or in currency (for instance for a donation goal). For the layout, it sports plenty of choices for colors to border settings and spacing options. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/andersnoren\">Anders Noren</a></strong> published his sixth block theme, called <a href=\"https://wordpress.org/themes/oaknut/\">Oaknut</a>, built to help you  to create Linktree-esque profile pages. It includes 23 Style Variations, 14 fonts, 8 button styles and 5 different social link styles. On his website, Noren wrote that it &#8220;include less than 150 lines of CSS and no JavaScript at all.&#8221;. On the WordPress Theme directory you can test each of the Style variations, before you make a decision. The screenshot area changes when you select one of the style variations in the little slider below. </p>\n\n\n\n<img /><a href=\"https://wordpress.org/themes/oaknut/\">Screenshot of Oaknut Theme</a> with the Style variation &#8220;night shift&#8221; \n\n\n\n<p><strong>Sarah Gooding</strong> posted on WP Tavern: <a href=\"https://wptavern.com/anders-noren-releases-oaknut-a-new-profile-block-theme-with-23-style-variations\"><strong>Anders Norén Releases Oaknut, a New Profile Block Theme with 23 Style Variations</strong></a></p>\n\n\n\n<p>Over at Castos&#8217; YouTube Channel, <strong><a href=\"https://twitter.com/mattmedeiros\">Matt Mederios</a></strong> gives a demo of the new theme, <a href=\"https://www.youtube.com/watch?v=imzyyGLI8wE\"><strong>Linktree alternative for WordPress &#8211; Oaknut theme</strong></a>. Further, into the video, Mederios also shows site owners how to create a new template. </p>\n\n\n\n<p>Anders Noren&#8217;s other block themes are: </p>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/themes/beaumont/\">Beaumont</a>,</li>\n\n\n\n<li><a href=\"https://wordpress.org/themes/bjork/\">Björk</a>,</li>\n\n\n\n<li><a href=\"https://wordpress.org/themes/poe/\">Poe</a>,</li>\n\n\n\n<li><a href=\"https://wordpress.org/themes/davis-blocks/\">Davis Blocks</a>, and</li>\n\n\n\n<li><a href=\"https://wordpress.org/themes/tove/\">Tove</a></li>\n</ul>\n\n\n\n<p>Noren also shares his code on <a href=\"https://github.com/sponsors/andersnoren\">GitHub and you can sponsor him</a> for his consistently brilliant open-source work.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://twitter.com/joyofwp\"><strong>Bud Kraus</strong></a>, Joy of WP conducted a webinar with the team of GoDaddyPro. The recording is now available on YouTube: <a href=\"https://www.youtube.com/watch?v=RryB7PT0c34\"><strong>Don’t Let The WordPress Query Loop Block Throw You For A Loop!</strong></a> &#8220;Query Loop block unlocks the potential of what an Archive page can be without knowing any PHP!&#8221; </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>You can watch an <a href=\"https://wordpress.tv/2022/11/03/intro-to-the-site-editor-and-template-editor-2/\"><strong>Intro to the Site Editor and Template&nbsp;Editor</strong></a>, created by Wes Theron, educator on Learn.WordPress, on WordPressTV. Learn more about using a block theme and how the Site Editor and Template Editor work.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>In his post, <strong><a href=\"https://www.smashingmagazine.com/2022/10/wordpress-full-site-editing/\">WordPress Full-Site Editing: A Deep Dive Into The New Feature</a></strong>,  <a href=\"https://twitter.com/nschaeferhoff\"><strong>Nick Schäferhoff</strong></a> examines the tools of full-site editing provides for theme development, and provides a tutorial on how to use it to modify your site.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Mike McAlister</strong> explains in his post how you can <a href=\"https://olliewp.com/spice-up-your-wordpress-content-with-block-styles/\"><strong>spice up your WordPress content with Block Styles.</strong></a> &#8220;Block styles is one of those features that seems to have been lost in the rush to full-site editing. In this post, we’ll learn how to add style variations to your blocks.&#8221; he started his post. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Justin Tadlock</strong> takes you on <a href=\"https://gutenbergtimes.com/a-walk-through-of-layout-classes-in-wordpress-6-1/\"><strong>A Walk-Through of Layout Classes in WordPress 6.1</strong></a> The primary goals  for this post are to provide developers with an overall view of the system and to know which classes can be targeted via CSS.  The &#8220;TL;DR: just let WordPress handle the layout while you tinker with fun stuff like colors and fonts.&#8221; Tadlock <a href=\"https://twitter.com/justintadlock/status/1588620591762112513\">tweeted.</a>  </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In the video, <a href=\"https://wordpress.tv/2022/11/03/intro-to-the-site-editor-and-template-editor-2/\"><strong>Using block template parts in classic themes</strong></a>, <strong>Jonathan Bossenger</strong> shows off a new feature in WordPress 6.1, the ability to register block template parts in classic themes and allows users to modify specific parts of the theme with blocks, without affecting the rest of the site layout or design.</p>\n\n\n\n\n<div class=\"ngl-articles colored ngl-articles-30_70 ngl-articles-frontend\">\n\n	\n	<div class=\"ngl-articles-wrap ngl-articles-webview\">\n	\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/block-based-template-parts-for-classic-themes/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2022/09/block-based-template-parts.png?w=652&ssl=1\" /></a></div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/block-based-template-parts-for-classic-themes/\" target=\"_self\" rel=\"\"><span>Block-Based Template Parts: A Happy Medium Between Classic and Block Themes</span></a></div><div class=\"ngl-article-excerpt\">I was one of the early adopters of the block editor as a developer. Despite the flak that the Gutenberg plugin was catching before it was merged into core WordPress, …a post by Justin Tadlock) <a href=\"https://gutenbergtimes.com/block-based-template-parts-for-classic-themes/\" class=\"ngl-article-read-more\" target=\"_self\">Read more.</a></div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/building-a-block-based-header-template-in-a-classic-theme/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2022/09/tt1-block-header-video.jpg?w=652&ssl=1\" /></a></div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/building-a-block-based-header-template-in-a-classic-theme/\" target=\"_self\" rel=\"\"><span>Building a Block-Based  Header Template in a Classic Theme</span></a></div><div class=\"ngl-article-excerpt\">WordPress 6.1 will allow classic theme authors to begin using block-based template parts. It is one of the most exciting features of the release and one that has long been&hellip; <a href=\"https://gutenbergtimes.com/building-a-block-based-header-template-in-a-classic-theme/\" class=\"ngl-article-read-more\" target=\"_self\">Read more.</a></div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n		\n		</div>\n\n</div>\n\n\n\n\n<p>The first part of the  <a href=\"https://learn.wordpress.org/course/a-developers-guide-to-block-themes-part-1/\"><strong>Developers Guide to Block Themes</strong></a> course is now available on Learn.WordPress. &#8220;If you’re used to developing WordPress themes using PHP, HTML, CSS, and JavaScript, but you don’t know where to start with block themes, this course is for you.&#8221; </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p><strong>Brian Coords</strong> explored the intricacies of content width and layout options in his post <a href=\"https://www.briancoords.com/normal-width-websites-in-the-block-editor/\"><strong>Normal width websites in the block editor</strong></a>. &#8220;The best advice I can give for FSE is to&nbsp;<em>start with the global styles</em>&nbsp;before you start messing with the template files. Get your defaults in a good place.&#8221; Coords wrote. Start reading to learn how he arrived at the conclusion. </p>\n\n\n\n<h2 id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p><strong><a href=\"https://twitter.com/tomfinley\">Tom Finley</a></strong> curated a list of <a href=\"https://tomfinley.co/modern-wordpress-dev-coursework/\"><strong>Modern WordPress Dev Coursework</strong></a>; websites with   educational material for WordPress developers who want to learn more about building blocks or block themes. Many people on Twitter who were inquiring about more information especially full site editing inspired Finely to collect the best resources. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<h2 id=\"4-up\">Upcoming WordPress Events</h2>\n\n\n\n<p><strong>WPCampus</strong> published a <a href=\"https://www.wpcampus.org/blog/2022/10/opening-nominations-for-wpcampus-board-of-directors/\"><strong>call for nominations to their Board of Directors</strong></a>. </p>\n\n\n\n<p>November 18, 2022<br /><strong><a href=\"https://www.wordfest.live/2022/november/\">WordFest Live Returns</a></strong>&nbsp;– the 24-hour Festival of WordPress</p>\n\n\n\n<p>February 17 – 19, 2023<br /><a href=\"https://asia.wordcamp.org/2023/\"><strong>WordCamp Asia 2023</strong></a> </p>\n\n\n\n<p class=\"has-light-background-background-color has-background has-normal-font-size\"><a href=\"https://central.wordcamp.org/schedule/\"><strong>Have a look at the schedule of upcoming WordCamps</strong></a> to find one near you. </p>\n\n\n\n<a href=\"https://central.wordcamp.org/schedule/\"><img /></a>Screenshot of the list of <a href=\"https://central.wordcamp.org/schedule/\">WordCamp schedule</a> for the rest of 2022\n\n\n\n<h3 id=\"1-l\">Learn WordPress Online Meetups</h3>\n\n\n\n<p>November 7, 2022 &#8211; 3 pm ET / 20:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289466943/\"><strong>Padding, Margin and Block Spacing</strong></a> with Wes Theron</p>\n\n\n\n<p>November 10, 2022 &#8211; 3 pm ET / 20:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289518084/\"><strong>Builder Basics: How to Curate the Editing Experience</strong></a> with Nick Diego</p>\n\n\n\n<p>November 14, 2022 &#8211; 3 pm ET / 20:00 UTC<br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289535966/\"><strong>Using the Navigation Block</strong></a> with Wes Theron</p>\n\n\n\n<p>November 16, 2022 &#8211; 7 pm ET / 24:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289512806/\"><strong>WordPress 6.1 Exploration</strong></a> with Destiny Kanno</p>\n\n\n\n<p>November 17, 2022 &#8211; 3 pm ET / 20:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289520419/\"><strong>Builder Basics: Exploring Block Layout, Alignment, and Dimensions</strong></a> with Nick Diego</p>\n\n\n\n<p>November 18, 2022 &#8211; 2 pm ET / 19:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289507999/\"><strong>The Creative Side of Blocks, Vol. 3</strong></a> with Rich Tabor</p>\n\n\n\n<p>November 21, 2022 &#8211; 3 pm ET / 20:00 UTC<br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289536031/\"><strong>Intro to the Site Editor &amp; Template Editor</strong></a> with Wes Theron</p>\n\n\n\n<p>December 1, 2022 &#8211; 3 pm ET / 20:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289520991/\"><strong>Builder Basics: Building with Columns, Groups, Rows and Stacks</strong></a> with Nick Diego </p>\n\n\n\n<p>December 8, 2022 &#8211; 3 pm ET / 20:00 UTC <br /><strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289521234/\">Builder Basics: Demystifying theme.json and Global Styles</a></strong> with Nick Diego</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong>Featured Image: </strong><a href=\"https://wordpress.org/photos/photo/325632c838/\">Rooftops panorama of central Madrid (Spain)</a> by JM Puertas on WordPress.org/photos</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 05 Nov 2022 14:30:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: WordPress 6.1 Retires Default Site Tagline in Favor of Empty String\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139247\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://wptavern.com/wordpress-6-1-retires-default-site-tagline-in-favor-of-empty-string\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3280:\"<p>WordPress&#8217; default site tagline, &#8220;Just another WordPress site,&#8221; is now a thing of the past, though not yet fully retired to the realm of nostalgia. The recent 6.1 release resolved a <a href=\"https://core.trac.wordpress.org/ticket/6479\">ticket</a> that lead developer Mark Jaquith opened 15 years ago to encourage people to change their taglines. The tagline has now been changed to an empty string for new installations. This was added as a note of interest in the 6.1 release post, which was the first place many learned about it:</p>\n\n\n\n<p><em>&#8220;The site tagline is empty by default in new sites but can be modified in General Settings.&#8221;</em></p>\n\n\n\n<p>For those who are sentimental about the tagline, rest assured that it has been preserved as placeholder text in the admin. </p>\n\n\n\n<p>&#8220;I do think the easier solution is to replace the &#8216;Just another WordPress site&#8217; value with a placeholder,&#8221; WordPress Core Committer Jb Audras said in the discussion on the ticket. &#8220;By doing this, we keep this sentence which is in my opinion part of the WordPress history —by doing so, it would at least appear on the Settings screen, so we keep this signature sentence somewhere on the admin— but the value is empty by default for new installs.&#8221;</p>\n\n\n\n<p>This is the solution he committed, which landed in 6.1.  The commit message identifies the reasoning behind the change: </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Administration: Change default site tagline to an empty string.</p>\n\n\n\n<p>This changeset replaces the default &#8220;Just another WordPress site&#8221; tagline with an empty string for new installations. The reasoning is:</p>\n\n\n\n<ol>\n<li>Not all themes display the tagline;</li>\n\n\n\n<li>Not everyone changes the default tagline;</li>\n\n\n\n<li>When people don&#8217;t see the tagline in their theme, they may not realize it is still visible in some places, like feeds.</li>\n</ol>\n\n\n\n<p>The string &#8220;Just another WordPress site&#8221; and the related multisite string: &#8220;Just another {NETWORK} site&#8221; are now only used as a placeholder for the tagline admin option.</p>\n</blockquote>\n\n\n\n<p>The advent of block themes was also another factor, since the Customizer was where users often managed their taglines in the past. Contributors concluded that the increasing use of block themes might result in more people who have the default tagline on their sites without even knowing about it. The conclusion was it is better to make it an empty string than to add a bunch of admin prompts to update it.</p>\n\n\n\n<p>This is a welcome change to how taglines are presented, and it was past time to update it. Although most WordPress professionals had become accustomed to it, more casual users often searched for how to get rid of it, sometimes without knowing it could be customized. The message also wasn&#8217;t doing WordPress any favors, unless it was originally written to imply WordPress&#8217; ubiquity on the web &#8211; a claim that was aspirational at the time it was first committed to core. In that case, it has long since served its purpose. An empty string ensures that the only taglines showing up for new installations are ones that admins intentionally wrote for their sites.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 05 Nov 2022 01:13:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"WPTavern: Anders Norén Releases Oaknut, a New Profile Block Theme with 23 Style Variations\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139197\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://wptavern.com/anders-noren-releases-oaknut-a-new-profile-block-theme-with-23-style-variations\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3134:\"<p><a href=\"https://andersnoren.se/\">Anders Norén</a>, a Swedish designer and prolific WordPress theme developer, has released <a href=\"https://wordpress.org/themes/oaknut/\">Oaknut</a>, a new profile block theme reminiscent of services like <a href=\"https://linktr.ee/\">Linktree</a> and <a href=\"https://carrd.co/\">Carrd</a>. The theme is for users who want a simple profile landing page with relevant social and work links, but it could also be easily expanded to capture email addresses for a newsletter, add a blog, or serve as a placeholder for a coming soon website.</p>\n\n\n\n<img />\n\n\n\n<p>Oaknut includes just three templates: Home (displays posts on the homepage, or on the Posts page if a static homepage is set), Index (displays posts), and 404 (displays when no content is found). Users who want to expand the theme beyond the basic use case can add more templates through the Site Editor or even create their own custom templates.</p>\n\n\n\n<p>The <a href=\"https://wp-themes.com/oaknut/\">demo</a> looks just like the screenshot, and there are no other pages to view. After installing and activating the theme, clicking on Customize will go to the Site Editor where everything you see in the demo is already in place, ready to be replaced with your own profile data and links.</p>\n\n\n\n<p>If the bright mustard color is too much for your taste, you&#8217;re in luck with Oaknut, because it packages a whopping 23 different style variations. Norén has also included 14 font families, eight button styles, and five styles for social links.</p>\n\n\n\n<img />\n\n\n\n<p>As one of the pioneers in the block themes category Norén ensured Oaknut was ready to showcase new features released in <a href=\"https://wptavern.com/wordpress-6-1-introduces-new-default-theme-and-fluid-typography-expands-design-tools-and-template-options\">WordPress 6.1</a>. The theme supports fluid typography, spacing sizes, root padding aware elements, pseudo selector styles in theme.json, and theme.json styling for elements like buttons, captions, and headings.</p>\n\n\n\n<p>&#8220;This enables Oaknut to have a really small CSS file,&#8221; Norén said. &#8220;It comes in at less than 150 lines, and 120 of those lines are for the custom block styles included in the theme. Combine that with locally hosted variable fonts and the complete lack of JavaScript in the theme, and you end up with some pretty speedy profile pages.&#8221;</p>\n\n\n\n<p>Norén shared a screenshot of a website using the theme with a Lighthouse performance score of 100.</p>\n\n\n\n<img />\n\n\n\n<p>Oaknut is a good choice for WordPress users who want a simple, attractive theme that shows how people can connect with them. It is also great for those who are just starting out with a web presence or domains that need a nicely- designed placeholder. </p>\n\n\n\n<p>The theme is <a href=\"https://wordpress.org/themes/oaknut/\">available on WordPress.org</a> to download for free. Norén has also created a <a href=\"https://github.com/sponsors/andersnoren\">GitHub Sponsors account</a> for anyone who wants to support the continued development of his 26 free WordPress themes and future theme releases.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2022 20:42:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"Post Status: What is the WordPress community capable of? A lot of good. And a few bad apples.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142906\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://poststatus.com/what-is-the-wordpress-community-capable-of-a-lot-of-good-and-a-few-bad-apples/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2834:\"<p><strong>The Good:</strong> This week a team of people from around the world released <a href=\"https://wordpress.org/news/2022/11/misha/\">WordPress 6.1, Misha</a>. The number of people who contributed to this release is HUGE. Folks, WordPress takes <em>more</em> than a village, it takes a small city to keep the momentum moving forward, keep the technology on the cutting edge, and keep the community itself vibrant. There are literally thousands of people who bring positivity to and work hard for the WordPress community. <em>Kudos to each and every one of them!</em></p>\n\n\n\n<p><strong>The Bad Apples: </strong>Usually we try to not talk about the negative things. (Well, most of us do, you all know I don’t mind shining a light where it can help, for sure.) And <strong>Mika Epstein</strong> is no different than most of us. If someone is a personal problem to one of us, it’s usually kept out of the public eye. We soldier on and do our best to ignore minor pests. But sometimes those pests aren’t just pests. Sometimes they are intent on destruction, and they will use any means necessary to hurt others. My hat is off to Mika for being strong through the entirety of what she has endured over years of stalking, attack, malignment, and worse — all as part of her commitment to the <strong>Plugins Team</strong>. <em>No one should ever have to go through what she has.</em> It’s beyond brave of her to <a href=\"https://halfelf.org/harassment-rst/\">share with the community</a>, and I, for one, am grateful that she has. </p>\n\n\n\n<h2 id=\"h-bf-cm\">BF/CM</h2>\n\n\n\n<ul>\n<li>Black Friday/Cyber Monday is coming quickly! <a href=\"https://poststatus.com/submit-black-friday-cyber-monday-deals/\">Submit your deals here</a>. </li>\n\n\n\n<li><a href=\"https://poststatus.com/2022-black-friday-cyber-monday-wordpress-deals/\">Find this year’s deals here</a>. (More being added weekly!)</li>\n</ul>\n\n\n\n<h2>In the Spotlight</h2>\n\n\n\n<ul>\n<li>This week\'s <strong>Business Spotlight</strong> this week: <a href=\"https://poststatus.com/business-spotlight-xwp/\">XWP</a> →</li>\n\n\n\n<li>Our Member Spotlight features <a href=\"https://poststatus.com/member-spotlight-igor-ligay/\">Igor Ligay</a> →</li>\n</ul>\n\n\n\n<h2>Upcoming Events</h2>\n\n\n\n<ul>\n<li>Post Status <a href=\"https://poststatus.com/huddles/\">Member Huddles </a>every week for Europe and the Americas.</li>\n\n\n\n<li><a href=\"https://www.wordfest.live/2022/november/\">WordFest</a> is happening on <strong>December 16</strong>. (New Date!)</li>\n\n\n\n<li>Calls for Speakers and Sponsors are open at the <a href=\"https://www.wpwealthbuilder.com/\">WP Wealthbuilder Summit</a>.</li>\n\n\n\n<li>WordCamps are back! <a href=\"https://central.wordcamp.org/schedule/\">Check the schedule</a>.</li>\n</ul>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2022 19:50:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Michelle Frechette\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"Gutenberg Times: A Walk-Through of Layout Classes in WordPress 6.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=22646\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"https://gutenbergtimes.com/a-walk-through-of-layout-classes-in-wordpress-6-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:15080:\"<p>WordPress 6.1 introduced several necessary changes to its layout framework. Namely, core has now centralized its layout definitions, created semantic class names, and reduced code duplication on container blocks.</p>\n\n\n\n<p>Originally, this post was intended to be a quick look at the changes to the system for theme authors. However, given the heftiness of the topic, it has evolved into a full overview of the layout framework.</p>\n\n\n\n<p>The primary goals for this walk-through are to provide developers with an overall view of the system and to know which classes are able to be targeted via CSS. </p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-constrained\"><div class=\"wp-block-group__inner-container\">\n<p class=\"has-large-font-size\"><strong>Table of contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-an-overview-of-layout-related-classes\">An Overview of Layout-Related Classes</a></li><li><a href=\"https://gutenbergtimes.com/feed/#1-block-gaps-and-vertical-rhythm\">Block Gaps and Vertical Rhythm</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-constrained-and-flow-layouts\">Constrained and Flow Layouts</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-flex-layouts\">Flex Layouts</a></li><li><a href=\"https://gutenbergtimes.com/feed/#4-content-justification\">Content Justification</a></li><li><a href=\"https://gutenbergtimes.com/feed/#5-avoid-code-wp-container-code-classes\">Avoid .wp-container-* Classes</a></li><li><a href=\"https://gutenbergtimes.com/feed/#6-future-layout-types\">Future Layout Types</a></li><li><a href=\"https://gutenbergtimes.com/feed/#7-resources-to-learn-more\">Resources to learn more</a></li></ul></div>\n</div></div>\n\n\n\n<h2 id=\"0-an-overview-of-layout-related-classes\">An Overview of Layout-Related Classes</h2>\n\n\n\n<p>Layout-related classes are given to container-type blocks in WordPress. They define how nested blocks are aligned within their parent.</p>\n\n\n\n<p>Most extenders will immediately associate layout classes with the Group block and its Row and Stack variations. However, WordPress uses the classes for other blocks, such as Social Icons, Navigation, and Buttons. Layouts may also be used with third-party blocks, even though support is currently marked as an experimental feature.</p>\n\n\n\n<p>The following list is a bird&#8217;s-eye view of the currently-available classes in WordPress 6.1. Most of the class names should describe their roles, but don&#8217;t worry if you don&#8217;t understand all of them yet. In this walk-through, you will learn what each does.</p>\n\n\n\n<ul>\n<li><strong>Layout Classes:</strong>\n<ul>\n<li><code>is-layout-constrained</code></li>\n\n\n\n<li><code>is-layout-flow</code></li>\n\n\n\n<li><code>is-layout-flex</code></li>\n</ul>\n</li>\n\n\n\n<li><strong>Flex Orientation (Direction) Classes:</strong>\n<ul>\n<li><code>.is-vertical</code></li>\n\n\n\n<li><code>.is-horizontal</code></li>\n</ul>\n</li>\n\n\n\n<li><strong>Content Justification Classes:</strong>\n<ul>\n<li><code>.is-content-justification-left</code></li>\n\n\n\n<li><code>.is-content-justification-center</code></li>\n\n\n\n<li><code>.is-content-justification-right</code></li>\n\n\n\n<li><code>.is-content-justification-space-between</code></li>\n</ul>\n</li>\n\n\n\n<li><strong>Flex Wrap Classes:</strong>\n<ul>\n<li><code>.is-nowrap</code></li>\n</ul>\n</li>\n\n\n\n<li><strong>Container Classes:</strong>\n<ul>\n<li><code>.wp-container-{id}</code></li>\n</ul>\n</li>\n</ul>\n\n\n\n<h2 id=\"1-block-gaps-and-vertical-rhythm\">Block Gaps and Vertical Rhythm</h2>\n\n\n\n<p>Before diving into each layout type, it&#8217;s important to understand how vertical spacing between blocks works. Much of the system relies on this feature.</p>\n\n\n\n<p>As any good designer will tell you, vertical rhythm is a crucial aspect of any design. And vertical spacing between elements, while only one aspect of the rhythm, plays a vital part in getting the design right.</p>\n\n\n\n<p>In WordPress, this is the <code>blockGap</code> property. Do not let the name confuse you. While it maps to the CSS <code>gap</code> property in some layouts, it is also used to set <code>margin-block-start</code> in others.</p>\n\n\n\n<p>Any theme can set the default via <code>styles.spacing.blockGap</code> in their <code>theme.json</code>, as shown in the following code snippet:</p>\n\n\n<pre class=\"wp-block-code\"><div><code class=\"hljs language-json\">{\n    <span class=\"hljs-attr\">\"$schema\"</span>: <span class=\"hljs-string\">\"https://schemas.wp.org/trunk/theme.json\"</span>,\n    <span class=\"hljs-attr\">\"version\"</span>: <span class=\"hljs-number\">2</span>,\n    <span class=\"hljs-attr\">\"styles\"</span>: {\n        <span class=\"hljs-attr\">\"spacing\"</span>: {\n            <span class=\"hljs-attr\">\"blockGap\"</span>: <span class=\"hljs-string\">\"2rem\"</span>\n        }\n    }\n}</code></div><small class=\"shcb-language\" id=\"shcb-language-4\"><span class=\"shcb-language__label\">Code language:</span> <span class=\"shcb-language__name\">JSON / JSON with Comments</span> <span class=\"shcb-language__paren\">(</span><span class=\"shcb-language__slug\">json</span><span class=\"shcb-language__paren\">)</span></small></pre>\n\n\n<p>Themes can also target the <code>blockGap</code> property for blocks that support it. The following code example shows how to set the default spacing while customizing it for the Group block:</p>\n\n\n<pre class=\"wp-block-code\"><div><code class=\"hljs language-json\">{\n    <span class=\"hljs-attr\">\"$schema\"</span>: <span class=\"hljs-string\">\"https://schemas.wp.org/trunk/theme.json\"</span>,\n    <span class=\"hljs-attr\">\"version\"</span>: <span class=\"hljs-number\">2</span>,\n    <span class=\"hljs-attr\">\"styles\"</span>: {\n        <span class=\"hljs-attr\">\"spacing\"</span>: {\n            <span class=\"hljs-attr\">\"blockGap\"</span>: <span class=\"hljs-string\">\"2rem\"</span>\n        },\n        <span class=\"hljs-attr\">\"blocks\"</span>: {\n            <span class=\"hljs-attr\">\"core/group\"</span>: {\n                <span class=\"hljs-attr\">\"spacing\"</span>: {\n                    <span class=\"hljs-attr\">\"blockGap\"</span>: <span class=\"hljs-string\">\"1rem\"</span>\n                }\n            }\n        }\n    }\n}</code></div><small class=\"shcb-language\" id=\"shcb-language-5\"><span class=\"shcb-language__label\">Code language:</span> <span class=\"shcb-language__name\">JSON / JSON with Comments</span> <span class=\"shcb-language__paren\">(</span><span class=\"shcb-language__slug\">json</span><span class=\"shcb-language__paren\">)</span></small></pre>\n\n\n<p>There may be edge cases where you need to overrule the default via CSS. For those scenarios, it&#8217;s typically best to change the value of the <code>--wp--style--block-gap</code> CSS property rather than targeting a block&#8217;s <code>gap</code> or <code>margin</code>. You would do this as shown in the following CSS code:</p>\n\n\n<pre class=\"wp-block-code\"><div><code class=\"hljs language-css\"><span class=\"hljs-selector-class\">.some-target-class</span> {\n    <span class=\"hljs-attribute\">--wp--style--block-gap</span>: <span class=\"hljs-number\">3rem</span>;\n}</code></div><small class=\"shcb-language\" id=\"shcb-language-6\"><span class=\"shcb-language__label\">Code language:</span> <span class=\"shcb-language__name\">CSS</span> <span class=\"shcb-language__paren\">(</span><span class=\"shcb-language__slug\">css</span><span class=\"shcb-language__paren\">)</span></small></pre>\n\n\n<p>That may not always work. If a block (via <code>theme.json</code>) or user (via the interface) has defined a specific value for <code>blockGap</code>, that value will be used instead of the CSS property. In those cases, you should not attempt to overwrite the choice via CSS.</p>\n\n\n\n<p>With an understanding of how the space between blocks is defined, you now have the foundation for seeing how that operates within different layout types.</p>\n\n\n\n<h2 id=\"2-constrained-and-flow-layouts\">Constrained and Flow Layouts</h2>\n\n\n\n<p>Both of these layout types are technically flow layouts. This is how browsers handle the normal flow of a webpage without any intervention from CSS. WordPress defines the spacing between blocks by applying the <code>blockGap</code> value to the <code>margin-block-start</code> property of nested blocks (<code>margin-block-end</code> is zeroed out).</p>\n\n\n\n<p>There is one key difference between the two layouts in WordPress:</p>\n\n\n\n<ul>\n<li>Nested blocks within a <strong>constrained</strong> layout are limited by the theme&#8217;s content width by default (this can be overwritten with wide/full alignments).</li>\n\n\n\n<li>Nested blocks within a <strong>flow</strong> layout fill up the width of their parent block.</li>\n</ul>\n\n\n\n<p>As of WordPress 6.1, the constrained layout type is the default for the Group block. Other blocks may define different defaults.</p>\n\n\n\n<p>In the following screenshot, you can see a wide-aligned Group block with a Paragraph and Image nested inside. However, these child blocks are &#8220;constrained&#8221; to the content width by the <strong>Inner blocks use content width</strong> setting in the sidebar:</p>\n\n\n\n<img />\n\n\n\n<p>If you toggle the switch for <strong>Inner blocks use content width</strong> to the off position, the layout would become a &#8220;flow&#8221; layout.</p>\n\n\n\n<p>WordPress handles all of this out of the box. Theme authors should primarily be aware of the classes associated with each layout, which are <code>.is-layout-constrained</code> and <code>.is-layout-flow</code>. For the majority of use cases, there will never be a need to use those. However, when you need to style blocks or elements specifically within those layouts, target the specific layout class.</p>\n\n\n\n<h2 id=\"3-flex-layouts\">Flex Layouts</h2>\n\n\n\n<p>Flex layouts in WordPress work on the Flexbox system in CSS. In reality, it is a limited subset of what is possible with Flexbox that fits within WordPress&#8217; design framework.</p>\n\n\n\n<p>One major difference between flex and constrained/flow layout types is how they handle block spacing. Instead of applying the <code>blockGap</code> value to a block&#8217;s <code>margin-block-start</code> property, the value is applied to the containing block&#8217;s <code>gap</code> property.  Flex layouts also have options between vertical and horizontal layouts. </p>\n\n\n\n<p>Several container-type blocks have flex layouts by default, including:</p>\n\n\n\n<ul>\n<li>Buttons</li>\n\n\n\n<li>Social Icons</li>\n\n\n\n<li>Navigation</li>\n</ul>\n\n\n\n<p>Looking at the Group block example from earlier, you should see <strong>Layout</strong> variations for creating a <strong>Stack</strong> and <strong>Row</strong> in the block inspector. Take a look at the Row variation, which has a horizontal layout:</p>\n\n\n\n<img />\n\n\n\n<p>If the Stack variation had been chosen, the blocks would have been aligned vertically.</p>\n\n\n\n<p>With the addition of vertical and horizontal options, there are a few layout-specific classes that theme authors can target when necessary:</p>\n\n\n\n<ul>\n<li><code>.is-layout-flex</code>: Whether the layout has the flex type.</li>\n\n\n\n<li><code>.is-vertical</code>: Whether the layout has a vertical orientation.</li>\n\n\n\n<li><code>.is-horizontal</code>: Whether the layout has a horizontal orientation.</li>\n</ul>\n\n\n\n<p>Those last two map to the <code>flex-direction</code> CSS property. Horizontal layouts are given the <code>row</code> value and vertical layouts the <code>column</code> value.</p>\n\n\n\n<p class=\"has-body-background-color has-accent-background-color has-text-color has-background\"><strong>Note:</strong> The the default orientation for a block may not exist as a class in the block&#8217;s HTML, so you would need to target the layout class directly in that case.</p>\n\n\n\n<p>Flex layouts also have another option to disallow nested blocks from wrapping to a new line as they grow. This is tied to the <code>flex-wrap</code> CSS property. The default value is for blocks to wrap, which is noticeable as you add multiple blocks to a horizontal layout. However, this can be disabled via the editor. In those cases, WordPress applies the <code>.is-nowrap</code> class to the element.</p>\n\n\n\n<h2 id=\"4-content-justification\">Content Justification</h2>\n\n\n\n<p>In WordPress 6.1, the constrained and flex layout types both have content justification classes. These handle how the nested elements are aligned within their parent block.</p>\n\n\n\n<p>Looking at the same example Group block from earlier, the following screenshot has a constrained layout with the content justified right:</p>\n\n\n\n<img />\n\n\n\n<p>There are four different content justification options for container blocks, each with their own CSS class:</p>\n\n\n\n<ul>\n<li><code>.is-content-justification-left</code>: Nested blocks are aligned left.</li>\n\n\n\n<li><code>.is-content-justification-center</code>: Nested blocks are aligned center-aligned.</li>\n\n\n\n<li><code>.is-content-justification-right</code>: Nested blocks are aligned right.</li>\n\n\n\n<li><code>.is-content-justification-space-between</code>: Nested blocks are allowed to spread evenly with equal space between each. <em>For flex layouts only.</em></li>\n</ul>\n\n\n\n<h2 id=\"5-avoid-code-wp-container-code-classes\">Avoid .wp-container-* Classes</h2>\n\n\n\n<p>Some blocks may have a <code>.wp-container-*</code> class attached to them. In the past, there have been instances when it was necessary to target those classes to address some shortcoming of the layout system. However, this should be avoided altogether. There is no way to know whether the classes will exist in the future or whether their behavior will change.</p>\n\n\n\n<p>Always opt for one of the specific classes outlined earlier. They are the standard going forward.</p>\n\n\n\n<h2 id=\"6-future-layout-types\">Future Layout Types</h2>\n\n\n\n<p>CSS allows for all types of layouts, so it should be interesting to see what the future of the block editor brings&#8212;<em>perhaps even a grid layout type</em>. The goal is not necessarily to cover every potential use case. Rather, it is to offer a solid foundation that can be iterated upon as the web continues to change.</p>\n\n\n\n<p>The layout system in WordPress is still marked as an &#8220;experimental&#8221; block feature, which means it is under active development. However, WordPress 6.1 has brought us one step closer to a well-rounded and standard framework for how current and future layouts will work.</p>\n\n\n\n<h2 id=\"7-resources-to-learn-more\">Resources to learn more</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/10/10/updated-editor-layout-support-in-6-1-after-refactor/\">Updated editor layout support in 6.1 after refactor</a> (Dev Note WordPress 6.1 release)</li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/pull/45055#issuecomment-1303815045\">Layout Styles</a> explanations in the handbook</li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/block-editor/reference-guides/theme-json-reference/theme-json-living/#spacing\">BlockGap in theme.json</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/block-editor/reference-guides/block-api/block-supports/#spacing\">Spacing  (incl BlockGap in block.json) </a></li>\n</ul>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2022 19:03:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Justin Tadlock\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"Post Status: Who’s Going to Pay for All This?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142747\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://poststatus.com/whos-going-to-pay-for-all-this/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11740:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\"><strong>Magne Ilsaas</strong> wants WordPress to be more than the pragmatic choice for enterprise clients. He wants WordPress agencies to be known for a distinct WordPress culture and mindset. <strong>Alain Schlesser</strong>, <strong>Carole Olinger</strong>, <strong>Carl Alexander</strong>, and <strong>Zach Stepek</strong> have a frank talk with <strong>Bob Dunn</strong> about the costs of not supporting WordPress contributors. Post Status members including <strong>Dave Loodts</strong>, <strong>Marius Jensen</strong>, <strong>Jeremy Ward</strong>, and <strong>Chris Reynold</strong>s discuss the looming <strong>PHP 7.4 EOL</strong>. Plus <strong>Jb Audras</strong>&#8216; breakdown of contributions to the <strong>WordPress 6.1</strong> release. For your weekend reading, some news and insights from business, workplace, webtech, and govtech writers beyond the WordPress bubble. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">6</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n<h2 id=\"h-the-wordpress-enterprise-paradox\"><a href=\"https://poststatus.com/the-wordpress-enterprise-paradox/\">The WordPress Enterprise Paradox</a></h2>\n\n\n\n<p><strong>Magne Ilsaas</strong> goes back a long way as a WordPress agency founder serving large enterprise clients. Why WordPress has been such a success in that space is now a barrier to its growth, Magne argues. It is not enough to be the pragmatic choice — the &#8220;tool that gets the job done, cheaply and effectively.&#8221; This leads to short-term engineering-focused solutions while &#8220;other [non-WordPress] agencies are helping clients with strategic decision-making, design and communication, user testing,&nbsp; conversion optimization, and digital marketing.&#8221; Magne wants WordPress agencies to be known for a distinct WordPress culture and mindset:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>What if we did business the same way we\'ve built WordPress? What if we leverage our biggest asset, which is not WordPress the tool. It’s WordPress, the community, the culture, the openness, and the inclusiveness. What if we create our own way of integrating our open-source mindset into how we conduct our businesses?</p>\n</blockquote>\n\n\n\n<p>While talking with Magne and working on this article, which was originally drafted a few years ago, he confirmed a couple of things that have kept coming up in my reading and conversations. They each represent both threats and opportunities: </p>\n\n\n\n<ol>\n<li> All the complaints, hazards, frustrations, and wishes of big agencies and their customers are very much aligned with small agencies, freelancers, and their customers. In particular, everyone wants clear quality signals for selecting plugins that meet their needs and don\'t distort, complicate, or disrupt the user experience, especially in the admin interface.</li>\n\n\n\n<li>The agency space has been a boomtown, and there are established companies, some with hundreds of employees, who do work heavily or even exclusively with WordPress but have little or no involvement with the project and community. They hire specifically for WordPress knowledge and expertise with varying degrees of technical fluency. WordPress needs them, and they need WordPress agency peer networks and gatherings whether they know it or not. </li>\n\n\n\n<li>Unfortunately, those connecting networks, events, and trade publications don\'t exist or are very underdeveloped in WordPress compared to the larger digital agency scene and web tech industry at large. It\'s important for WordPress agencies to be there too, in organizations like <a href=\"https://www.sodaspeaks.com\"><strong>SoDA</strong></a> (founded in 2007) for <a href=\"https://www.viget.com/articles/viget-joins-soda/\">the reasons described</a> by <strong>Brian Williams</strong>, co-founder and CEO of <strong>Viget</strong>, when they joined back in 2013.</li>\n\n\n\n<li>Large WordCamps aren\'t meeting that need, and with the challenges of the volunteer model why should they be expected to? (<a href=\"https://poststatus.com/market-size-and-market-shares/\">We\'ve said this before</a>.)</li>\n</ol>\n\n\n\n<h2>Supporting WordPress Contributors </h2>\n\n\n\n<p>Some of the best conversations that expert listener <strong>Bob Dunn</strong> has recorded for <strong>Do the Woo</strong> are open conversations with people the WordPress community is lucky to have. This time it\'s <strong>Alain Schlesser</strong>, <strong>Carole Olinger</strong>, <strong>Carl Alexander</strong>, and <strong>Zach Stepek</strong>. An alternative title for this talk could be &#8220;Why Can\'t Contributors Have Nice Things? (Like a Living Wage).&#8221; Carl\'s impactful <strong>Twitter</strong> thread <a href=\"https://twitter.com/twigpress/status/1577668456354238464\">a few weeks ago</a> inspired the conversation.</p>\n\n\n\n<p>Alain, Carole, Carl, and Zach all speak about the technical debt they see being piled onto WordPress — the project and the community — because of the high cost of contributing without solid or sustainable backing. Carole and Carl discuss the <strong>WordCamp</strong> volunteer model, which Carl thinks may be broken beyond repair, and with it, many years of institutional knowledge will be lost. Deep disconnection from the <strong>PHP</strong> community presents all kinds of risks and missed opportunities Alain addresses.</p>\n\n\n\n<p>Behind Alain\'s voice, it\'s impossible not to hear <strong>Milana Cap</strong>‘s as they are both pointing out “<a href=\"https://developerka.org/2022/05/21/wheres-that-elephant-in-wordpress-community/\">The Elephant in the WordPress Community</a>.” As <strong>Gutenberg</strong> truly starts to round the corner with the adoption and knowledge-sharing of standard-setters like <strong>10up</strong>, maybe there will be a collective realization: it\'s time to feed the elePHPant, or at least support some of our best elePHPant handlers.</p>\n\n\n\n<p>In that vein, Bob mentioned in the show (and in a conversation we had this week) that next year he will be putting significant funding back into the community from Do the Woo\'s generous sponsors. But you can support <a href=\"https://github.com/sponsors/carlalexander\">Carl</a> and <a href=\"https://github.com/sponsors/schlessera?success=true\">Alain</a> right now with any amount you choose via <strong>GitHub Sponsors</strong>.</p>\n\n\n\n<h2>End of the Line for PHP 7.4 in 23 Days</h2>\n\n\n\n<p>On the themes of maintenance, technical debt, and &#8220;pay now, or pay later,&#8221; unless it gets changed as WordPress project leadership has requested, <strong>PHP 7.4</strong> will <a href=\"https://www.php.net/supported-versions.php\">no longer be supported</a> with security patches as of <strong>November 28</strong>. Some hosts are forcing customers to upgrade or leave. <strong>Dave Loodts</strong>, who has found himself in the forced-to-leave category, <a href=\"https://poststatus.slack.com/archives/CHNM7Q7T8/p1667476104013399\">started a discussion about it</a> in <strong>Post Status Slack</strong>. The views offered were broad-ranging, thoughtful, and relevant to the topics mentioned above. </p>\n\n\n\n<p><strong>Marius Jensen</strong> pointed out that WordPress developers &#8220;are spending so much time keeping up with changes&#8221; to PHP in a never-ending maintenance loop &#8220;that it\'s hard to pick up new things [that can be done as PHP evolves] and innovate and use all the goodness PHP offers.&#8221; He feels &#8220;that\'s hurting our ability to move forward as well.&#8221;</p>\n\n\n\n<p><strong>Jeremy Ward</strong> countered that &#8220;three years of support per release feels aggressive, particularly within our community due to the nature of our platform,&#8221; but &#8220;we can do a better job as a community at choosing an entry point with each major release to get things compatible. We knew PHP announced a change to their cadence, and to a degree, I don’t think we took them seriously that they’d stick to it. Until the <strong>PHP Federation</strong>, WordPress has more or less opted out of any language community initiatives, most notably <strong>PHP-FIG</strong>. I think all those smaller decisions kind of contribute to the challenges we face today&#8230;&#8221;</p>\n\n\n\n<p><strong>Chris Reynolds</strong> noted that even though WordPress core rarely has problems with a <strong>PHP 8</strong> environment, <a href=\"https://make.wordpress.org/core/handbook/references/php-compatibility-and-wordpress-versions/\">PHP 8 only has beta support</a>, and enterprise customers aren\'t interested in anything &#8220;beta.&#8221; They need &#8220;official communications&#8221; and documents affirming full support, but WordPress\'s &#8220;official communication says it\'s not ready yet.</p>\n\n\n\n<h3>Quick Links</h3>\n\n\n\n<ul>\n<li><strong>Jb Audras</strong> has <a href=\"https://jeanbaptisteaudras.com/en/2022/11/contribution-stats-for-wordpress-6-1-misha/\">another fine report on contribution statistics</a>, now for <strong>WordPress&nbsp;6.1</strong>. Here\'s the tl;dr in <a href=\"https://twitter.com/AudrasJb/status/1587795340023005186\">a Twitter thread</a> with a bonus graph of company rankings by number of commits. <strong>Automattic</strong> is #4.</li>\n\n\n\n<li><a href=\"https://www.bloomberg.com/features/2022-the-crypto-story/?leadSource=uverify%20wall\">The Only Crypto Story You Need</a> by <strong>Matt Levine</strong> at <strong>Bloomberg</strong>: &#8220;Crypto, in its origins, was about abandoning the system of social trust that’s been built up over centuries and replacing it with cryptographic proof. And then it got going and rebuilt systems of trust all over again. What a nice vote of confidence in <em>the idea of trust</em>.&#8221;</li>\n\n\n\n<li>From <strong>Workplace</strong>, did you know <a href=\"https://workweek.com/2022/09/26/performance-reviews-dont-actually-assess-your-performance/\">Performance Reviews Don\'t Actually Assess Performance</a>? And <a href=\"https://blog.jim-nielsen.com/2022/what-work-looks-like/\">What Work Actually Looks Like</a>, from <strong>Jim Nielsen</strong>.</li>\n\n\n\n<li><strong>Emily Peck</strong> at <strong>Axios Marketplace</strong> reports that <a href=\"https://www.axios.com/2022/10/19/remote-work-baby-boom-america\">remote work may have fueled a baby boom among U.S. women</a>. This has never happened in a recession before among knowledge workers. Lots of interesting takeaways from this data. </li>\n\n\n\n<li><strong>Google</strong> has <a href=\"https://therecord.media/google-backs-senate-bill-on-securing-open-source-software/\">backed the US Senate security bill</a> aimed at &#8220;securing open source software.&#8221; Here\'s <a href=\"https://www.scmagazine.com/feature/devops/even-with-all-eyes-on-software-supply-chain-security-open-source-remains-a-neglected-target\">a good backgrounder</a> from <strong>Menghan Xiao</strong> at <strong>SC Media</strong>. And here\'s <a href=\"https://thecyberwire.com/newsletters/policy-briefing/4/208\">what compliance is going to require</a>. Get familiar with <a href=\"https://www.cisa.gov/sbom\">CISA and SBOMs</a>.</li>\n</ul>\n\n\n\n<p></p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2022 16:49:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Dan Knauss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"Post Status: InstaWP: A Conversation and Tour with Founder Vikas Singhal — Post Status Draft 128\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142568\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:82:\"https://poststatus.com/instawp-a-conversation-and-tour-with-founder-vikas-singhal/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:40528:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">InstaWP is about a year old now — let\'s take a tour of it and catch up with Vikas Singhal to see how he hopes it will evolve. Currently, it\'s a testing, demonstration, training, and marketing tool for WordPress product owners and agencies. Next, Vikas aims for InstaWP to support a marketplace for developers and agencies launching WordPress sites. Finally, he envisions it becoming a platform of platforms — WordPress-as-a-Service for people building their own WPaaS  </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">6</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"has-drop-cap\">About a year ago, <strong>Vikas Singhal</strong> launched <strong>InstaWP</strong>, a serverless platform for spinning up WordPress sites instantly for demos and sandboxes, development and testing, or training and education. Along with WordPress, any combination of plugins and themes can be included. There’s <strong>GitHub</strong> integration, and InstaWP has the ability to push sites to a large number of hosts or pull them to a local development environment. (InstaWP generates Blueprints — .zip packages for <strong>WP Engine</strong>’s <strong>Local</strong> app.)</p>\n\n\n\n<p>InstaWP is being embraced by WordPress product developers and agencies. It has significant product testing and marketing applications since customers can spin up any number of demo sites based on a custom template, and this activity is logged. Vikas has picked up <a href=\"https://poststatus.com/post-status-notes-501/\">seed funding</a> from <strong>Automattic</strong> and looks forward to announcing many new partnerships with WordPress businesses that have found InstaWP and valuable and complementary tool.</p>\n\n\n\n<p>Vikas sees InstaWP’s future as a marketplace for agencies, developers, and freelancers. Because of its powerful site templating and cloning capabilities, it could ultimately become a way to generate bespoke WordPress-based SaaS platforms at scale.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"is-layout-flex wp-container-6 wp-block-columns sponsor has-theme-palette-8-background-color has-background\" id=\"StellarWP\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3 class=\"StellarWP\" id=\"Sponsor\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/stellarwp\">StellarWP</a><a href=\"https://poststat.us/wpengine\"></a></h3>\n\n\n\n<p><strong>StellarWP</strong> provides WordPress solutions for all humankind. We’re a collective of leaders interested in growing WordPress companies. We build great plugins, but we don’t stop there; we continually challenge ourselves to keep innovating and improving. <a href=\"https://stellarwp.com/about/\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>Reach out to us if you’re interested in learning more!</strong></a></p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-top\"><div class=\"wp-block-image stellarwp-logo\">\n<a href=\"https://poststat.us/stellarwp\"><img width=\"400\" height=\"400\" src=\"https://cdn.poststatus.com/wp-content/uploads/2022/01/stellarwp-logo-avatar-1.jpg\" alt=\"StellarWP\" class=\"wp-image-101425\" title=\"StellarWP Logo\" /></a><a href=\"https://poststat.us/stellarwp\">StellarWP</a></div></div>\n</div>\n\n\n\n<p> </p>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://instawp.com/\">InstaWP – Instant WordPress Sites for Everyone</a></li>\n</ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/vikasprogrammer\">Vikas Singhal</a> (Founder, <a href=\"https://instawp.com/\">InstaWP</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/dan_knauss\">Dan Knauss</a> (Editor, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode/photo\">Olivia Bisset</a> (Intern, Post Status)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p><strong>Dan Knauss:</strong> [00:00:00] With Singal here, with Insta, wp get a little tour of where we\'re at today with with this new and interesting product. I think, I think you\'ve been Pretty familiar in at post status anyway. I know a number of members have been been using this platform.</p>\n\n\n\n<p>So how did, how did you put it together? What would you like to people to know who are completely new to it, who haven\'t seen Insta WP before?</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Yeah. There\'s an interesting question. First of all means I would like to thank post status because that\'s where I posted about instead of the. For the first time, and that\'s where it took off.</p>\n\n\n\n<p>I remember you or you were with Dimension Media handle, right? Right. Well that\'s</p>\n\n\n\n<p><strong>Dan Knauss:</strong> David Bi and I Yeah, that was, he was he was [00:01:00] with us then. Right.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Right. So yeah, you guys shooted about instead of Lupe and then it took off really well. I got initial interest initial kind of early adopters from post status.</p>\n\n\n\n<p>So that was great. Mince, how did I put it together, is I started with WordPress about four or five years ago, but, and then I built a plugin theme company over the years, and I also have that in parallel which is still in we are still alive. But the, the biggest thing, which I always wondered that, why don\'t we have like a good.</p>\n\n\n\n<p>To create a workplace website like you do, like a Shopify website or any other SAS-based platform where you just click like a great site and it, it gives you site. Instead, you either have to set up like a clunky local setup which takes away your cpu, and it\'s, it\'s, it\'s not that easy, right? And at the same time when you use your hosting account, it has its own disadvantages.</p>\n\n\n\n<p>Then you have to go multiple steps. [00:02:00] You have to do, you have to eat up your hosting credits and other things, right? So you don\'t, It\'s not like a really like a playground where you just create a site and then test it and then dispose it. So the initial idea was to give kind of a platform where you can create a disposable site.</p>\n\n\n\n<p>At least that\'s how it started. And then it obviously became something completely like not different, but more wash than the initial idea. And so that\'s how it started. And it was started about a year ago, I think, September, October 2 21. When I I created MVP and posted and post as, as I said earlier and then obviously about six months, eight months down the line we got funding from Automatic and then it, it bo it became all real and.</p>\n\n\n\n<p>All kind of so much pressure, , but yeah, I means we are at this point that we have like a good version, one plus plus kind of project product with, with us. A lot of folks are using it. We have about thousand websites being [00:03:00] created on Insta every day. So I like to think that we, we contribute some part of this to the workplace ecosystem wherein because we have a very generous, free plan.</p>\n\n\n\n<p>You get five websites where you can create, in your account you have like 500 MB of disc usage. You can create a template and all that. So I know a lot of folks are using the free account and we are happy with it because that increases the engagement with the platform and that gives us a lot of feedback.</p>\n\n\n\n<p>So with that, I think it\'s time. I give you a small demo of how it looks like. Good. And then you can go from there.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Right. Are you hoping that those who are using the, the free accounts will convert and up upgrade later? Or are they they two different audience segments where people are doing very quick testing, but then maybe maybe another group is ends up using it as, as a more permanent platform or for something that they launch sites to, to other hosting providers?</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Yeah, so I think [00:04:00] we, as I said, we started as a disposable site platform, but then we are now allowing people with a paid account to reserve a site for extended period of time, so you don\'t need to actually let it expire. So, so these are two different personas of our users. One is someone who are just testing disposing so they don\'t need to upgrade.</p>\n\n\n\n<p>And we don\'t expect them to upgrade. But then there is obviously another serious users like agency owners product owners, developers. Who, who, who want to ex explore the platform to another dimensions or another levels of what, what it can do. So that\'s, that\'s where we want.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. You have some who are using it as a permanent sandbox for demoing their own products that well they might periodically completely overhaul it, change it, put on, update their their system, but their customers are, are using it.</p>\n\n\n\n<p>Is it, I guess they could map it to any domain that they like.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Right. A lot of our agency customers, what they do is they create a. [00:05:00] The market as a permanent site. So when we say permanent on Insta is not like a hosted site, so we don\'t provide hosting. But they can still map like a custom domain to, to that Insta site.</p>\n\n\n\n<p>And it becomes like a white label site at that point. And you can actually show that to your client once they\'re okay with it. Who can do one click migrate to they\'re host. Account or your hosting account, however it is set up. So it doesn\'t really matter. So, so it\'s, as I said earlier before our call, that it is kind of a breeding ground, right?</p>\n\n\n\n<p>Where you like you nurture your baby and everything is okay, and then you push it off to the world, right? So, and then all your tools, all. So our vision is that we connect. All the plugin provider, all the team providers have a template store, have a product store have the, have our cloud underneath.</p>\n\n\n\n<p>So when, when we become the clue, right? So we, we tie them together. And I think you shared one interesting post recently about onboarding on on WordPress. So we are trying to solve that for agencies and freelancers at least, at least for them, right? [00:06:00] And then maybe later on we can bring in DIYs as.</p>\n\n\n\n<p>Who want to build their site, and they will have like a ready made starter templates. So, so it, it\'ll be really, really easy for them to get a new site.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Great. Well, yeah, let\'s, let\'s spin one up. You can go from scratch or, or from a, a template it looks like.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Right? So you can start from a template if you have one.</p>\n\n\n\n<p>So we have created some templates, so we can get back to that later. And then you can start from scratch. So you can choose WordPress version. So we, we support all the way to older version and newer, newer versions. Even better versions. I think 6.1 is what , it\'ll be added. And you can also test on multiple PHP versions all the way to 8.1.</p>\n\n\n\n<p>You can choose some presets of configuration wherein it is not actually like a snapshot, but it is like a set of configuration parameters. So you can say that auto in install, Astra auto install, Elementor auto install whatever dv, even if it is premium theme plugin, it doesn\'t really matter. So [00:07:00] I\'ll show that in a.</p>\n\n\n\n<p>You can provide a site name or you can just keep it blank for a random site. So I am just keeping everything as default and clicking on Create site. Also just to for, for, for the purpose of completion that we have a temporary site option and a reserve site. So this is disabled on a free account.</p>\n\n\n\n<p>The free account, you can only do temporary sites. So let\'s create, let\'s do. And within a few seconds you should have a new site, new site, ready to go for you. Right. And the one, the detail which we show is obviously the url, username and password. So when you click on it, you should get a site. Up and running.</p>\n\n\n\n<p>And you might notice that this particular, in this particular instance we have some faker data already populated. The reason being my default configuration has that. So if I go to configuration tab and choose default and go to Faker, so my core figurer is on, and I have created some posts, some pages, some tags, some categories.</p>\n\n\n\n<p>So we, so we are using Yost faker [00:08:00] internally to do all. Right. And then you can also do like a what kind of keyword you want to do for, Oh,</p>\n\n\n\n<p><strong>Dan Knauss:</strong> what\'s a, what\'s a faker? I was looking at that yesterday and, and wondering, I\'m not familiar with that term.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> So a lot of time you want a website filled with some content, right?</p>\n\n\n\n<p>It doesn\'t really matter what kind of content you need, so, This is like that, so, Oh, right.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Okay. So prepopulated content.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Yeah, Repopulated content. Yes. So, exactly. So some posts, some pages, some authors, so that it gives you somewhere to start, right? Not necessarily. You want to start from scratch. Sure. So you can switch it off, switch it off.</p>\n\n\n\n<p>By default it is switched off and there is a lot of other configuration, as I said earlier, so you can make a default configuration of your site language multi-site. Reinstall plugins, pre-install teams and all that. So obviously a lot of options, we can go over them one by one, but let me just explain what is, what are the main features which we have.</p>\n\n\n\n<p>So so second [00:09:00] thing is you can do like a quick auto login to your site and you don\'t need to remember you\'re using \'em in password and then it straight away goes to the WebPress admin. And then you can imagine you can just work from there. So you, you can imagine that this, these kind of features are not, Kind of not available in all the platforms.</p>\n\n\n\n<p>Right? Some features, some platform will have some feature, but our focus is completely on making WordPress cool or WordPress easier to use, right? Right. You don\'t need to worry about installing a bunch of things to, to make these things happen. So another option is reserving a site. So if you have, let\'s.</p>\n\n\n\n<p>You want this site for a longer period of time. By default, it gives you, like, based on your plan. So if you have a free plan, you, it gives you 48 hours. If you are on a paid plan, it, it goes from seven days to to up to a month, right? And we have add-ons, so you can always increase those options. So you can reserve a site and this will never expire.</p>\n\n\n\n<p>And these are, this becomes like a permanent site. And then when you are comfortable, you can [00:10:00] delete it yourself if you want. The second cool option is saving this as a template. So there are multiple kind of para, multiple paradigm how you can use a template. So let me just, let me just first, first create a template.</p>\n\n\n\n<p>So template is nothing but like a snapshot of your site. So it saves, it saves the content, it saves the database, it shifts everything. And like a backup of your site. Let\'s say demo PS, and you can put a description, post status demo template. Somebody has taking this name ops, so let\'s say obviously add one</p>\n\n\n\n<p>So yeah, that was probably me say, yeah. Oh, maybe you , right? So now if you go to your private template staff, this demo, this template creation is in. So it takes few moments depending upon the size of your site, and now within few seconds, you will have it ready. So basically at this [00:11:00] point there are multiple things which, which you can do with the template.</p>\n\n\n\n<p>So first, the most easiest option is go back to sites, click on Agnew, and you will have this from template. Now this thing is appearing here, create site. So the new site will have. Whatever you had on the parent\'s side, right? So, Right. It\'s that easy now. So it takes a few moment because now it is being created from attempted rather than scratch from, from a blank worker\'s side.</p>\n\n\n\n<p>So it takes few moment based on the size of, of your parent\'s size. However, we, we do have an like a really interesting option where you can mark your template as an instant template. So that\'s like an advance option only available in the agency. So a lot of that is actually very useful when you like, do like a sandbox and all, and it\'ll do, it\'ll create a site instantly, right?</p>\n\n\n\n<p>It, it won\'t, it won\'t take even a, even a second. So now this site is completely like a, like a clone of your parent\'s site [00:12:00] and only the name changes. The URL changes. So you, so whatever changes you make on the parent\'s side, obviously is not. Those changes are not affected here, right? So, so these are two different sites and you, you can see in your list also that this comes from the template.</p>\n\n\n\n<p>There\'s a small section that shows that. Now this was just the basic operation of a template. However, there are two things which can do here. One is connecting this to a get deployment. So I will not get into much detail with the interest of time, but what happens is if you have, let\'s say, a plug. Or a team on a, on a gi it can be on GitHub, it can be on Bitbucket.</p>\n\n\n\n<p>It doesn\'t really matter. But we support GitHub more natively for now. But other supports are also coming. What happens is if you, let\'s say, if you have a Bud Press plugin, and the, the biggest thing, which we have noticed because we also develop plugins, is that. There are multiple developers who are working on, on a plugin.</p>\n\n\n\n<p>Let\'s say one developers [00:13:00] developing one feature. One is fixing another bug. They\'ll be doing that on their own kind of prs, right? They will have their own branches. They\'ll raise a pr. What will happen is as soon as they raise a PR and you have set up your get report with, with the template, every time there is a pr per.</p>\n\n\n\n<p>They will get a special workplace deployed for them, which is created from the parent side, so it is loaded with all the bells and visuals, all the other companion plugins, all the other content. Right, right. And then it\'ll pull the latest plug-in code from that pr. So I\'ll just show that I\'ll show an example of what we have done in the past rather than connecting the whole thing.</p>\n\n\n\n<p>So if you see one of these prs, you will see. Sure. So for example, I changed this file, so I changed the version of my WordPress plugin. So what happens is as soon I raise this pr my new WordPress instance was deployed. Instead of loopy and it had then that new code. So you can [00:14:00] imagine the, the impact of it.</p>\n\n\n\n<p>Right. So it, so within moments you get a site and you can test your new feature, and then when you close the pr, that site will be destroyed. Right? Right. So that site is gone. And this is kind of one of the most asked, most used featured by, especially the product developers, the the who are developing for breakfast.</p>\n\n\n\n<p>Sure. So the next cool option is the share template. So once you mark a template as share it becomes, it is basically a sandbox at that point, right? So it, now if you go to the share tab and this demo, PS one is actually having a shared link, right? So if I open that, copy that and open in a new. What happens is I get a landing page and the interesting thing thing about is this landing page is that it is available for all users, not just logged in users.</p>\n\n\n\n<p>Right? So this is ready to go anybody. [00:15:00] So let me open this in, in Incog mode, and you will see that this is this exact landing page pages available for an anonymous user. Now what, what are you doing exactly? You have offered your template. As like a sandbox for anybody to test. And this is what a lot of folks are doing as you said, as we discussed earlier.</p>\n\n\n\n<p>So let me enter an email id and then within seconds it\'ll start creating a site based on a template, and then it\'ll give you to the user. Now, if you go back to your panel, we have simple statistics built in. So if you click on statistics you\'ll see that one site was created today, first November. And then if you go to table, you will see that the site was created, who created it, right?</p>\n\n\n\n<p>And there are like tons of options you want to create. If you want to collect email, you want to link it to your MailChimp account, ah, that you want to call a web. So,</p>\n\n\n\n<p><strong>Dan Knauss:</strong> so that, that, that initial login box I saw it had a checkbox for a newsletter that could Right. That\'s not yours. [00:16:00] That\'s a instant wp. That could be the the right, the user for someone\'s doing a sandbox for their plugin.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Right. So you, you can actually change everything. So, so we show a quick preview of why you\'re changing it. So let\'s say you don\'t want to collect email, right? So this thing will be gone. But if you want to collect email and you want to hide the previously check box, you can hide that. You can mark email as required if you want to like change the previous policy text.</p>\n\n\n\n<p>Wow. So let\'s say, yeah, So this is a new policy. Let\'s see. And you can see it real time changing. We also send out an email when somebody. A website which, so this email can be completely customized based on like your brand, you can upload a brand logo, so this instead of logo will be replaced by that logo.</p>\n\n\n\n<p>All this obviously is in paid plan, so not available for paid users. Free users. However, free users can come up to this point with all the options as default, and they can still create a shared template, one shared template in a free.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> So this is, this [00:17:00] would be great for marketing purposes than if, or, or if you wanted to have a select group of people test a new feature and, and give feedback.</p>\n\n\n\n<p>But this would give you some, some good data back on if you did a campaign of test some new features or, or Try before you buy,</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> right? Yeah. A lot of companies, like even Gravity forms, they\'re using for beta releases. So they\'re select group of people who are doing beta testing. So they create a template because a template has all the, all the things, as I said earlier, right?</p>\n\n\n\n<p>Content plugin, and they can create new instances based on the template and they\'re ready. Nice. You can also set lifetime of these sites, which I created from the template. So it can go from 30 minutes all up to 15 days. In fact WordPress, full site editing outreach experiment. I don\'t know if you know that.</p>\n\n\n\n<p>Connected by Annie. Oh. Yes. Great. So they are using this as a part of their. Outreach. Does</p>\n\n\n\n<p><strong>Dan Knauss:</strong> the does the use data then get logged separately? So if, if a site expires that [00:18:00] someone has, has used, you\'re still getting An aggregate of, of all the data that, that\'s been produced by users.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Right, Right.</p>\n\n\n\n<p>So yeah. So basic status effects will include even the expired sites. So here, this, this data will show even if the site expires, because you need to, you need to see the trend. But we are coming up with some advanced statistics on how much time did the user use, how many pages did they visit? Things like that, Right?</p>\n\n\n\n<p>What was the actual usage pattern of the user so that you can take informed decisions based on that,</p>\n\n\n\n<p><strong>Dan Knauss:</strong> right? Oh, that\'s terrific.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Right. And I can export this list as csv and yeah, you can do a lot of stuff. So, yeah, So that was about templates. So sites and templates are. The core of, instead of, But then obviously we have configurations.</p>\n\n\n\n<p>We have deployments. Deployments is where you can connect your GitHub account and all. And then we [00:19:00] have mail shift integration and more integrations coming in. We, you can create multiple teams, so these are like workspaces. You can invite team members to different workspaces. We use it for our own team, obviously.</p>\n\n\n\n<p>So we eat our own dog food and. So I guess in the sites thing one more thing, a couple of more things maybe shown. So you can use tools like code editor you can use tools like D Editor. So these things are like really quick, right? So, and everything about Insta is instant, right? So it has to be very, very quick.</p>\n\n\n\n<p>You don\'t need to do any configuration. So you can see all the WordPress tables are now open up, right? So it\'s that easy, right? And same thing. So if you hover a site, you can still get the same thing. So code, I guess you have already used that. So this is something as we want to improve that. But still this is very powerful.</p>\n\n\n\n<p>So it is like a multi tab editing experience similar to what Sublime or Visual Code provides. But we are building our own code editor [00:20:00] which will be like similar to Sublime Experience, and then it\'ll also have like a multi. Party collaboration. So let\'s say you and I can share a URL and then can, can work on the same work site online.</p>\n\n\n\n<p>Right. So you\'ll see mouse moving, you\'ll see them editing like similar to in Google Doc. Sure.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. When I, when I tried this out, I, I found, So you have to go under file and, and click save and then it instantly becomes active on the site. Yeah. So these</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> are all active. Yep.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Right. There\'s, there\'s not really a, It doesn\'t give you any feedback on whether you\'ve white screened the site or not, but you, you don\'t get locked out if there\'s a, a failure.</p>\n\n\n\n<p>Is there any kind of error logging built in here or, or a way to roll back? Changes.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> The first option is built in, so if you can hover over the site, you\'ll see view locks. Oh, okay. So here you can see error locks and access locks, and you can actually search through the locks. And we are coming up [00:21:00] with debug locks as well.</p>\n\n\n\n<p>So we\'ll switch on W P D bug, and then you can see those logs as well. And then the other one, which you talked about is rolling back is an interesting feature. So what we are trying to do is create versions of your site. So let\'s say you are working on the site and then you are good with that. You will have an option here itself on, on the top, let\'s say save snapshot or a save a version.</p>\n\n\n\n<p>It\'ll create like a quick version of the whole website and then you can roll back to any of the version at any point. Wow. And I guess some other cool stuff here is obviously we have this ssh. So you can enable SSH and with SSH you get access to WP cli. That is like very, very easy, very, very quick.</p>\n\n\n\n<p>So you can, if, if you have time, I can just show this to you real quickly. So you enable SSH takes a second and you open your ssh. So as a part of our making this even easier we will have [00:22:00] like a SSH console right here, okay? Right next to close, which will say like, open console, web console of ssh, and it\'ll open the whole thing inside the website, right?</p>\n\n\n\n<p>So you don\'t need to open your ssh client. If you want, you can do that, but you don\'t need. , right? Same with the same with ftp. So you enter your username password, enter your SSH key, boom. So you are inside your website. So let me clear this up. So you can go to the public folder and yeah, so you have all the sites and then you can do like a lot of stuff obviously.</p>\n\n\n\n<p>So you have like W P C I command, you can run them right. Not a problem at all.</p>\n\n\n\n<p>All right. I think I\'ve covered at least 70, 80% of what we can do with Insta. Obviously there is some more things to explore and a lot of things coming up right.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> And it has an [00:23:00] export feature. A lot of, a lot of us use WP Engines local product for, for local development. And that exports a blueprint right here that you can, you can import to,</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> to local, right?</p>\n\n\n\n<p>So it\'ll email you a zip, a link to afi, Uhhuh , which you can download, and then just drag and drop to local w p and you don\'t need to do any configuration. Nice. Okay. And then, yeah, so map of map domain is where I think we spoke about it, is where you just create a c record to this particular site, and then you can map it to any domain of your choice.</p>\n\n\n\n<p>Okay.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> So that\'s, that\'s great. You\'re up to a thousand. Regular customers now and are you, are you seeking further investment? What are, what\'s next for it as, as a growing business and, and what, what do you see happening in your, in your roadmap for the future?</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> So we have more, more than that.</p>\n\n\n\n<p>We have, we are [00:24:00] actually getting thousand websites created on INTA Per day. Every day. Yeah. Per day. Right, Right, right, right. And we, we have, we are getting, we are getting great reaction from users. We are free to pay. Conversion is about five to 10%, so that is also good. And regarding further investments, we have got interest from the market to be honest.</p>\n\n\n\n<p>But then we want to even test the waters even further so that because when you take money from market, it creates tremendous pressure and responsibility because you can\'t just throw that money around, right? You, you have to be, you have to own it. And so what we are doing right now is figuring out our marketing strategy wherein where, where, who is our ideal customer and who can pay us X amount so that it, it justifies the business.</p>\n\n\n\n<p>And that\'s where we are exploring more and more things. And you will see a lot of things happening. Like we are, we are sponsoring, we sponsored a small sponsorship on work camp. And, and then work Camp Asia is a [00:25:00] bigger sponsorship. I\'ll be there personally and a lot of stuff, we, we are, our, our stuff is going to be featured in a lot of YouTube channels, lot of guest posts, lot of partnerships.</p>\n\n\n\n<p>You\'ll see a lot of stuff in coming weeks and months. Good.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Good. Do you have, have a sense of who that ideal customer is? Who, where do you think that\'s leading you</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> right now? There are two personas which we are kind of targeting. One is the agency freelancer market who are developing site for clients.</p>\n\n\n\n<p>So that\'s, I, we have got several of those and those guys are like, Really, really happy with the product because it, it gives them like, kind of it empowers them, in fact to, to create WordPress sites without thinking about the underlying infrastructure. And they can, they invite their team, they can invite contractors, they can do a lot of stuff, which they, they would have been doing it, but with.</p>\n\n\n\n<p>Connecting several pieces and then creating some something of their own right. And second person persona is the [00:26:00] product. Develop developers, the, the, the plugin and theme authors out there who are developing products. So those guys are like, those folks are using for sandboxes for their data integration their staging testing of their plugins before releasing them, right?</p>\n\n\n\n<p>Things like that. So these are the two personas which we are targeting right now. Yeah,</p>\n\n\n\n<p><strong>Dan Knauss:</strong> that, that makes a lot of sense. It\'s, it\'s very familiar from, for anyone who\'s, who\'s worked with, with something like local before but you\'re actually working live in the browser very. With a very quick response.</p>\n\n\n\n<p>You know, that\'s, I can see the educational purposes too for for opening, opening up WordPress development in general for for people who are new to it or, or trying to to learn or say Bringing in software engineers who, who maybe have less familiarity with WordPress and just, you know, quickly, quickly picking Yep.</p>\n\n\n\n<p>Picking things up. Are you seeing that at all too? Any interest from the, [00:27:00] from project itself or, or others who are, who are doing training?</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Yeah. So we have few folks who are doing trainings and education piece both free and paid. So we have got a lot of like non-profits and schools who are using this like a simple WordPress because they don\'t care about the underlying frustrated all the need is a WordPress site.</p>\n\n\n\n<p>Sure. Right. So, and that, that is where we excel and obviously there are a couple of educators who are using this as a. Engagement. So they share like a hidden shared link of their sandbox. So they use that sandbox feature wherein they, they can say that you get a ready made starter template wherein you can, And this here is your study material and here is your ready to go WordPress template, and then you can start from there.</p>\n\n\n\n<p>Right? So we have got like Jamie from Poodle Press and other folks who are using this as a, as, as an educated tool. So that is something That\'s great.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. Yeah. And being able to collaboratively edit work on code that seems like that would open up [00:28:00] all, all kinds of possibilities for.</p>\n\n\n\n<p>Onboarding new developers teaching teaching people who have haven\'t seen this before at all. Well that\'s, that\'s really great. Is there anything else we should look at or that you\'d like to. To cover it might be of interest to post status members and, and others in the community.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Yeah, Miss our vision is actually really, really big.</p>\n\n\n\n<p>I don\'t know whether we will be able to achieve it, but we\'ll obviously do our best. Though this is step number one, right, to create a cloud or create some kind of infrastructure wherein you get a WordPress site. Step number two will be once we have all the agency, all the freelances the agency owners and the developers on board.</p>\n\n\n\n<p>And when we have like a hundred thousand plus users. We will have, we can have actually a marketplace because these, these guys are actually service providers, right? All these folks are service providers. And then when we bring in DIYers who are actually biased, even these, these folks can be biased among themselves, right?</p>\n\n\n\n<p>So let\'s say [00:29:00] a, a person is offering their services like they do on Upwork. We can create such kind of platform on top of instead wp, right? So they, now Dan Orka can offer their services. They can offer their ready met templates, which they have worked on. Let\'s say they, I\'m a designer, I can create a really nice gym training template and then I can offer that for 30 bucks a pop or maybe like a, Something like a theme forest on the steroids, right?</p>\n\n\n\n<p>So Uhhuh something, right? So like a template store and then you can sell basically is a marketplace for buying and selling. So that will be step number two. Step number three will be means creating completely like a. Vs. Or a web flow kind of environment where you get a starter template, which is connected to somebody else\'s hosting account.</p>\n\n\n\n<p>So it becomes like a WordPress as a service at that point. So let\'s say you have some [00:30:00] clients you can have, you can connect your WP Engine account within inta and anytime somebody requests a website from you, you can actually give them a link of your store Sure. Of, of your INTA store link, right? And they then they can go and they can buy a website.</p>\n\n\n\n<p>Which is actually internally hosted on your WP Engine account. Right. And everything is automated, right? So, So that will be like the biggest thing. So these things are like, it\'ll take months and years, but we\'ll get there. Right.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Oh. Tell me a little bit about the cooperation with Blog Vault. You, that\'s, that they\'re providing the the ability to export quickly to, Wow.</p>\n\n\n\n<p>It looked like, it looked like there were over a dozen hosting providers that Right. That they can connect you with. How did how did that relationship come about and, and how are you working together there? That\'s. I imagine that\'s done. Brought them a, a lot of a lot of activity, a lot of users.</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> Yeah, so Blog World is already pretty famous, so, but, and their product is [00:31:00] really robust and that\'s why we have, we integrated with them, right? So we do like a native integration where you click on migrate and then it shows up like 12, 15 options where you can migrate to however, in coming weeks, as I, as I told you earlier, that.</p>\n\n\n\n<p>We are coming up with our own Connect Connect plugin wherein you can connect your hosting account, you can your ok, any WebPress site on, on the internet and they can, you can push even, even easier, right? So the biggest problem which we are trying to solve is pushing. It changes. So let\'s say you created a staging site.</p>\n\n\n\n<p>You like, let\'s say you. Edit it. Couple of posts. Couple of pages. You installed a plugin, you did some s right? But when you push from staging to production, there is no good product right now on the market. Who can, who can re, who can recognize these changes? Right. The, the, the I creative changes and then push it like a GitHub, like a get come at.</p>\n\n\n\n<p>To the production site. Right. So that is something, is something we are researching on internally and we are very, I think we are positive on [00:32:00] that. So once we solve that, it\'ll become a game changer. Right. So you don\'t need to touch your production site. All changes will be done on Insta. Right.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Well, very nice.</p>\n\n\n\n<p>All right, well, well thank you for the, for the tour. appreciate that. Best of luck to you and thank you. It\'s exciting to see, see it grow so, so quickly and</p>\n\n\n\n<p><strong>Vikas Singhal:</strong> so well. No, thank you for listening to it patiently, and thank you for having me. Thanks.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2022 04:21:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Dan Knauss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:74:\"WPTavern: WP Rankings Helps Plugin Developers Track Growth and Competitors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139125\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wptavern.com/wp-rankings-helps-plugin-developers-track-growth-and-competitors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5056:\"<p>Last month, WordPress.org <a href=\"https://wptavern.com/wordpress-org-removes-active-install-growth-data-for-plugins\">removed the active install growth chart from plugins</a>, upsetting plugin authors and leaving them with very little meaningful data. The Meta team is working on making more accurate and useful data available to plugin developers, but this will take some work. In the meantime, the team behind <a href=\"https://ayecode.io/\">AyeCode</a>, makers of the <a href=\"https://wordpress.org/plugins/geodirectory/\">GeoDirectory plugin</a>, has created a tool to help plugin developers get an idea of how their plugins are ranking.</p>\n\n\n\n<p>&#8220;The popular plugin list is still there (and hopefully, it won&#8217;t be removed or altered),&#8221; AyeCode co-founder Paolo Tajani <a href=\"https://meta.trac.wordpress.org/ticket/6511#comment:77\">commented</a> on the <a href=\"https://meta.trac.wordpress.org/ticket/6511\">ticket</a> that requests the active install growth charts be restored. &#8220;As far as I know, active install count is the only ranking factor of the popular plugin list. I know it is not ideal, but it is what it is, and that is all we have.</p>\n\n\n\n<p>&#8220;Because wp.org only shows 99 pages (the first 1980 plugins), we quickly built a site to provide those basic stats to all plugin authors.&#8221;</p>\n\n\n\n<p>AyeCode&#8217;s <a href=\"https://wp-rankings.com/\">WP Rankings</a> website launched one week after the active install growth chart data was pulled. It shows if a plugin is ranking higher or lower than the day before and how many positions it needs to climb to reach the next milestone. The homepage shows the &#8220;top 50 ranking climbers&#8221; of the day, and these can be filtered by the number of active installs. All the data is refreshed daily.</p>\n\n\n\n<img />\n\n\n\n<p>AyeCode built the site using the GeoDirectory plugin, the Blockstrap theme, and custom code to fetch the data from the WordPress.org API. </p>\n\n\n\n<p>&#8220;We also wanted to show how easily GeoDirectory can handle +50k listings with a lot of custom fields on a pretty basic hosting plan,&#8221; Tajani said. &#8220;Most Directory plugins wouldn&#8217;t be able to do that.&#8221;</p>\n\n\n\n<p>Plugins can be searched by tag so visitors can see how their plugins are growing compared to others using the same tag.</p>\n\n\n\n<p>For example, Tajani said he keeps his eye on the <a href=\"https://wp-rankings.com/plugins/tags/business-directory/\">&#8220;business directory&#8221; tag</a> every day to see how the GeoDirectory plugin is doing. Tajani said the API offers enough info to know if a plugin is growing, shrinking, or plateaued. </p>\n\n\n\n<img />\n\n\n\n<p>Some of the data in the rankings is taken from the API and some of it is calculated, including the trends, the number of days until the next milestone, the number of five-stars to the next rating, and the number of positions to the next milestone. </p>\n\n\n\n<p>Clicking through to the individual plugin pages offers more graphs/charts about their movement on the popular plugin list. The data  from the API is remixed in various ways to extrapolate insights. For example, the number of days to the next milestone is based on the plugin&#8217;s current growth trend.</p>\n\n\n\n<img />\n\n\n\n<p>The individual plugin pages display a 15-day rank change chart, along with 24-hour and 7-day trends.</p>\n\n\n\n<img />\n\n\n\n<p>A review stats graph estimates how many 5-star ratings are required to reach the next level. Another graph tracks 15 days worth of resolved support threads against the total number of threads logged.  </p>\n\n\n\n\n<img />\n\n\n\n<img />\n\n\n\n\n<p>The last section shows a list of the plugin&#8217;s  competitors and a summary of their rankings and growth trends.</p>\n\n\n\n<img />\n\n\n\n<p>The <a href=\"https://wp-rankings.com/statistics/\">stats page</a> shows how many plugins there are for each active install range up to 5 million. It&#8217;s interesting to see that there are 8,071 plugins with zero active installs and 13,643 with just 10. Another large concentration of plugins falls within the range of 100-400 active installs and another between 1,000 &#8211; 2,000 active installs.</p>\n\n\n\n<img />\n\n\n\n<p>Clicking through on the stats page will show the specific plugins in that range. </p>\n\n\n\n<img />\n\n\n\n<p>Tajani said the next thing on their roadmap is allowing plugin owners to customize the list of competitors and adding the specific plugins they want to see compared against their own. AyeCode plans to keep what they have built with WP Rankings free indefinitely.</p>\n\n\n\n<p>&#8220;What we really wanted to do is show another statistical point of view,&#8221; Tajani said. &#8220;We know it&#8217;s not the same and we will receive criticisms, too, but right now it&#8217;s the only way to know if a plugin is growing or not.</p>\n\n\n\n<p>&#8220;What we will do with it in the future depends on how much plugin developers will like the idea and what kind of feedback we receive. If enough people start asking for features that could be considered premium, we will consider it.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2022 02:34:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"Post Status: Make WordPress Sustainable\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142669\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://poststatus.com/make-wordpress-sustainable/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3364:\"<div class=\"is-layout-flow wp-block-group\"><div class=\"wp-block-group__inner-container\">\n<p class=\"has-small-font-size\">By <a href=\"https://poststatus.com/planet/feed/#author\">Hannah Smith</a> • November 2, 2022 <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f5d3.png\" alt=\"🗓\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<h2 id=\"h-what-does-sustainability-mean-for-wordpress\">What does sustainability mean for WordPress?</h2>\n\n\n\n<p class=\"has-drop-cap\">In a few weeks\' time, world leaders will be gathering for <a href=\"https://news.un.org/en/story/2022/10/1129947\">COP27</a>, the largest annual gathering on climate action. This annual conference is a good focal point for everyone to think more about sustainability, including the WordPress community. We\'ve recently published <a href=\"https://make.wordpress.org/project/2022/11/01/sustainability-channel-what-should-we-do/\">a post on Make WordPress</a> to encourage the community to do just that: openly share their ideas about sustainability.</p>\n\n\n\n<p><strong>What does a sustainable WordPress community mean? <em>What does it do?</em></strong> Tell us!</p>\n\n\n\n<p>We hope you will get involved by:</p>\n\n\n\n<ul>\n<li>adding your ideas, responses, and feedback to the post;</li>\n\n\n\n<li>spread the word about the post/discussion.</li>\n\n\n\n<li>joining the Make WordPress Slack <a href=\"https://wordpress.slack.com/archives/C03JNV77Y57\"><code>#sustainability</code></a> channel.</li>\n</ul>\n\n\n\n<p>We really want to encourage others to weigh in so we can build on what is already happening, and find ways to make more happen! We hope this effort will start to:</p>\n\n\n\n<ul>\n<li>Demonstrate to leadership and those with positions of power/resources that the community wants more effort on sustainability;</li>\n\n\n\n<li>Help us identify others in the WP space who can collaborate with us;</li>\n\n\n\n<li>Gather ideas on what new directions we can take things in.</li>\n</ul>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile has-background\" id=\"author\"><a href=\"https://poststatus.com/\"><img width=\"416\" height=\"416\" src=\"https://cdn.poststatus.com/wp-content/uploads/2022/11/1624637710553-jpg.webp\" alt=\"\" class=\"not-transparent wp-image-142680 size-medium\" /></a><div class=\"wp-block-media-text__content\">\n<p><strong>Hannah Smith</strong> is a Sustainable Digital Tech Trainer and Ops manager at the <a href=\"https://www.thegreenwebfoundation.org/\">Green Web Foundation</a>. She is Co-founder <a href=\"https://greentechsouthwest.org/\">Green Tech South West</a> and founder of <a href=\"https://climateaction.tech/projects/letsgreentheweb-campaign/\">#LetsGreenTheWeb</a>.</p>\n\n\n\n<ul class=\"is-content-justification-center is-layout-flex wp-container-26 wp-block-social-links alignright has-small-icon-size is-style-default\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://twitter.com/hanopcan\" class=\"wp-block-social-link-anchor\"><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-linkedin wp-block-social-link\"><a href=\"https://www.linkedin.com/in/hanopcan/\" class=\"wp-block-social-link-anchor\"><span class=\"wp-block-social-link-label screen-reader-text\">LinkedIn</span></a></li></ul>\n</div></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Nov 2022 20:30:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Dan Knauss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"Do The Woo Community: Supporting WordPress Contributors with Alain Schlesser and Carole Olinger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73341\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://dothewoo.io/supporting-wordpress-open-source-contributors/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:448:\"<p>We discuss how the ecosystem can support those who contribute to WordPress and ideas on how to grow this into something sustainable.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/supporting-wordpress-open-source-contributors/\">Supporting WordPress Contributors with Alain Schlesser and Carole Olinger</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Nov 2022 09:02:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"WPTavern: #49 – Matt Cromwell on the Effectiveness of the WordPress.org Repository for Promoting New Plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=138983\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"https://wptavern.com/podcast/49-matt-cromwell-on-the-effectiveness-of-the-wordpress-org-repository-for-promoting-new-plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:44500:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My Is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress, the people, the events, the plugins, the blocks, the themes and in this case, the effectiveness of the wordpress.org repository for promoting new plugins.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you and hopefully get you, or your idea featured on the show. Do that by heading over to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Matt Cromwell. Matt is Senior Director of Operations and Marketing at StellarWP, where he provides marketing and business insights and coaching to burgeoning WordPress product owners. He&#8217;s also one of the founders of GiveWP, a donation plugin, which uses the freemium model. Having a free version on wordpress.org&#8217;s repository as well as a paid premium offering.</p>\n\n\n\n<p>The wordpress.org repository is where you find yourself when you click the add new button in the WP admin. It&#8217;s a place where plugin developers can, if they follow the guidelines, hosts to their plugins. It provides a direct line of access to all WordPress websites, and is therefore a convenient, free place to host your plugin.</p>\n\n\n\n<p>In return, the plugins in the repository must be freely available by the plugin authors. In the past few weeks, the repository has been in the news. Some statistics were unexpectedly removed, and this has led to a conversation about the governance of the repository, as well as questions about whether or not the repository is still a worthwhile place to offer your free plugins, if you have a premium tier.</p>\n\n\n\n<p>Alex Denning wrote a post entitled, &#8220;WordPress.org is ineffective for plugin distribution in 2022&#8221;, in which he lays out his thoughts as to why he no longer recommends the WordPress repository. The battle against already successful plugins, low conversion rates, and the difficulty in gaining visibility are amongst the arguments that he puts forward.</p>\n\n\n\n<p>Shortly after Alex&#8217;s post was published, Matt Cromwell posted a rebuttal entitled, &#8220;The case for the WordPress freemium model&#8221;. And this is the basis of the podcast today.</p>\n\n\n\n<p>We talk about Matt&#8217;s history in WordPress as a premium plugin owner and how his experience leads him to conclude differently. That the WordPress repository can be successful, given the right expectations and approach. He&#8217;s found using the repository to be an effective channel to drive the plugins premium tier, as well as a way of offering a useful free donation tool to the community.</p>\n\n\n\n<p>It&#8217;s a fascinating chat and is sure to be of interest to anyone thinking about starting a freemium plugin.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading over to WPTavern.com forward slash podcast. Where you&#8217;ll find all of the other episodes as well. And so, without further delay, I bring you Matt Cromwell.</p>\n\n\n\n<p>I am joined on the podcast today by Matt Cromwell. Hello, Matt.</p>\n\n\n\n<p>[00:04:19] <strong>Matt Cromwell:</strong> Hi, thanks for having me.</p>\n\n\n\n<p>[00:04:20] <strong>Nathan Wrigley:</strong> You&#8217;re very welcome. We&#8217;ve got a, an interesting subject today, all about the wordpress.org ecosystem and whether or not it would be sensible or otherwise to put your free plugin over there. Before we get stuck into that debate, though properly, anybody that is unfamiliar with Matt, let&#8217;s give him an opportunity to introduce himself. So, Matt, just give us a few moments of your time to tell us who you are, what your relationship is with WordPress, what you&#8217;ve done in the past in the WordPress space.</p>\n\n\n\n<p>[00:04:47] <strong>Matt Cromwell:</strong> Sure. I&#8217;ve been in WordPress for a while. I would say about 2012 or so. Jumped in and started building websites with WordPress, mostly helping non-profit organizations, churches, educational institutions. Then ended up partnering up with my longtime business partner, Devin Walker, and he and I decided to tackle a big problem in WordPress, which at that time was how to take online donations.</p>\n\n\n\n<p>And so we created a plugin called GiveWP, and that was launched in 2015. That has catapulted us into our career, and has done really well and we&#8217;re really proud of it. So much so that we sold it last year to uh, Liquid Web, which is where we are now in the StellarWP brands. There, we have also just recently been asked to uh, take on a bit more. And so now Devin and I are both managing GiveWP as well as iThemes, Iconic and Kadence WP. So things keep getting more and more exciting.</p>\n\n\n\n<p>[00:05:44] <strong>Nathan Wrigley:</strong> Thank you very much. Yeah, really broad and rich history there. We could have spent the podcast talking about those products, but we&#8217;re not going to. Well, I think we might do tangentially as a way of demonstrating different things. But we&#8217;re on the podcast today to talk about a couple of pieces which came out.</p>\n\n\n\n<p>I will link correctly to both of the pieces that we&#8217;re in discussions about today. But I&#8217;ll mention them both in turn so that those listening to the podcast could possibly have a quick read of them before they pursue any further. So the first one was produced on the 18th of October by Alex Denning over at getellipsis.com, and that piece was called wordpress.org is ineffective for plugin distribution in 2022.</p>\n\n\n\n<p>And then a few days after that, you, Matt Cromwell, wrote a piece and that was at mattcromwell.com and it was called the case for the WordPress plugin freemium model. And in effect, your piece coming a little bit later was a rebuttal about what Alex was saying. Now, if you&#8217;d like to outline what Alex is saying, you are welcome to do that. Alternatively, I could try and outline what Alex was saying, which would you prefer?</p>\n\n\n\n<p>[00:06:54] <strong>Matt Cromwell:</strong> I think you are much more fair than I.</p>\n\n\n\n<p>[00:06:56] <strong>Nathan Wrigley:</strong> Okay, that&#8217;s very kind of you. The long and the short of Alex&#8217;s piece is that he believes that by the year 2022, we&#8217;ve got to a point where, if you are going to be releasing a plugin, a free plugin, into the WordPress space, he believes that it&#8217;s now no longer effective to do that on wordpress.org. The article is probably about a 10 or 15 minute read, and as always with Alex&#8217;s pieces, there&#8217;s lots and lots of data and so on to back it up. But essentially he believes it&#8217;s ineffective for a variety of reasons.</p>\n\n\n\n<p>One of them is that the marketplace seems to be dominated, in his view, by some giant incumbents. We&#8217;ve all seen those plugins before. If you&#8217;ve tried to add a new plugin through the WordPress repository, you&#8217;ll probably know the plugins that we&#8217;re talking about. They always rise to the top. And that&#8217;s largely because, Alex thinks, because of the install base that they&#8217;ve already got. Once they&#8217;ve got over a certain amount, the hump of a 100,000, 500,000 or 1,000,000 installs, then it becomes more likely that they&#8217;re going to be surfaced.</p>\n\n\n\n<p>There&#8217;s also the idea that, in the recent past, especially since 2016, he makes the point, it&#8217;s much more difficult for new plugins to breach that number. So getting past a hundred thousand and so on is more difficult, which is compounding the problem.</p>\n\n\n\n<p>And then if you add on to that, the fact that the search functionality within the WordPress repository also doesn&#8217;t give the opportunity for new plugins to be discovered. If you go there and you search for particular keywords, his contention would be that it&#8217;s much more likely that the ones with the greater install base are going to be surfaced first. In other words, it&#8217;s a bit of a, an echo chamber, I suppose, in a sense is what he&#8217;s saying.</p>\n\n\n\n<p>Given all of that, he contends that you would be better off spending your time, and I guess for time you could read money as well, elsewhere. It might be better to have social campaigns or Google ads or some other channel of distribution, outside of wordpress.org, and so your endeavors would be better served elsewhere.</p>\n\n\n\n<p>Alex I hope that I&#8217;ve summed that up correctly. If I&#8217;ve not, pleased do get in touch and let me know where I&#8217;ve mistaken things and I will gladly amend the show notes as such. But that, broadly speaking, is Alex&#8217;s contention. And, a day or so later compelled you to write a rebuttal. Just tell us what your thoughts are.</p>\n\n\n\n<p>[00:09:26] <strong>Matt Cromwell:</strong> Yeah. Generally speaking I gave some good caveats in my piece that Alex does know what he&#8217;s talking about, and he has a lot of data to back up his conclusions, and I still believe that strongly um, he has reasons for saying what he says. What compelled me to write a rebuttal were essentially a couple claims that I felt were potentially not as helpful for the WordPress ecosystem.</p>\n\n\n\n<p>In particular, one thing I think that&#8217;s important of what he&#8217;s saying is that, he says essentially that if you&#8217;re serious about your business and you want to build plugins then you should do premium only, and not a freemium model. Like basically do not build a free plugin, build a premium only plugin. And I really do believe that is damaging to the WordPress ecosystem overall.</p>\n\n\n\n<p>If we start to see an influx of premium only offerings it can be really harder for the common user because, we all know it doesn&#8217;t take one plugin to build your website. It often takes a dozen, or several dozen plugins to build your website. And if you have to go, and be purchasing them across the web all over the place, it suddenly makes WordPress not as optimal to deal with.</p>\n\n\n\n<p>So that&#8217;s one of the big downsides of his argument that makes me say, ah, I think this needs a lot more context and I think it needs somebody to say, no, the freemium model still works. And then I spend the rest of the article really talking about how I do see that the freemium model does still work and specifically that .org, while the active install count is significant, it&#8217;s not the only factor, and it is still possible for newer plugins to get adoption on wordpress.org. It just takes some savvy for sure. It&#8217;s not as easy as it used to be. I&#8217;ll give him that for sure. It&#8217;s not a situation anymore where if you build it, they will come. So yeah, the long and the short of it.</p>\n\n\n\n<p>[00:11:18] <strong>Nathan Wrigley:</strong> So, one of your contentions is that it&#8217;s damaging to the WordPress ecosystem, if in effect there was only paid for plugins and everything that you wished to have on your website was a paid for plugin. I&#8217;m guessing that over the years you&#8217;ve built websites in which you have utilized free plugins? And some of them may be broad in scope, but some of them may just achieve a couple of smaller things.</p>\n\n\n\n<p>And, there&#8217;s something to be said about that, isn&#8217;t there? I guess there is something about the community and about the ecosystem, about the expectations of what you are getting into when you install WordPress, which has this free model to it. I guess that&#8217;s an important component of the community and it would in a sense be a shame if the only things that you could have were paid for.</p>\n\n\n\n<p>I remember the day, probably going back about 15 or so years ago, when I was looking around for different models for CMSs that I was going to begin using, and there were a variety of them. And there was Drupal and there was Joomla. But if memory serves, there was one called Expression Engine. I could have got the name wrong there. And it seemed to have a very low install base.</p>\n\n\n\n<p>And my perception of that was that was because it took that model, it had the model of, you had to pay for not only the CMS but I think all of the different component parts that you could bolt onto the top of it, AKA plugins, and perhaps that was something that stifled its growth. And if we look back at WordPress, perhaps the free plugin model is one of the big factors of its success?</p>\n\n\n\n<p>[00:12:47] <strong>Matt Cromwell:</strong> For sure. Absolutely. I mean, for us with GiveWP and I think many people could think, whenever I say GiveWP, you can also think similarly of WooCommerce, quite honestly. It&#8217;s really important to us that GiveWP is free, because a lot of non, all non-profits basically start from zero in many ways. And they are always very conscious about their expenses. And they&#8217;re in the fundraising space. There are so many dozens and dozens of paid fundraising platforms and they are oftentimes very expensive. So having a free option for folks to be able to start fundraising with, and do it successfully and effectively is really important.</p>\n\n\n\n<p>And I say similar to WooCommerce because it is similar, like a lot of small businesses start from zero, and they can&#8217;t afford to be paying for a whole bunch of different plugins, just in order to sell their stuff online. I do worry a little bit on the WooCommerce side that their plugin ecosystem has gotten so large that sometimes it feels like it&#8217;s harder to start a shop with just WooCommerce free. And I wish they might put a little bit more features into the free plugin. But that&#8217;s a whole nother podcast.</p>\n\n\n\n<p>[00:13:59] <strong>Nathan Wrigley:</strong> Okay. Let&#8217;s take a couple of different pieces of the wordpress.org repo. One of the first things that Alex talks about is the opportunity is quite low according to his data for converting people over. So let&#8217;s say in the case of GiveWP, he doesn&#8217;t cite GiveWP, let&#8217;s be clear. He talks about other different plugins and you can verify that by looking at the article. His contention is that really the conversion rate from the free plugin, if people install your free plugin, it&#8217;s somewhere between one and 3% of those people will be interested enough to go and explore and look for your, your website or whatever channel it is that you&#8217;ve got for getting the paid version.</p>\n\n\n\n<p>So, between one and 3% of your users, and therefore that&#8217;s seems like a fairly small figure. And so the cost in terms of the support that you&#8217;d have to give on .org, and also the fact that you&#8217;re having to update it and maintain two different versions with different features. If it&#8217;s only one or two or 3% that are converting, that does seem to be relatively small, but your experience is clearly different.</p>\n\n\n\n<p>[00:15:04] <strong>Matt Cromwell:</strong> Yeah, for sure. Now Alex definitely when he was trying to say which plugins have the benefit of being preferred on the plugin directory search. I do think that he would put Give in the category of kind of an elite plugin. Because he did say plugins with a hundred thousand installs or more that have been there for a long time have this elite status, and it&#8217;s hard to compete with them. And we do have over a hundred thousand installs. We&#8217;ve been there for seven years now. So I think he doesn&#8217;t put us in the same category. But nevertheless, I can say authoritatively that we are converting closer to 28% of our install count to paid customers.</p>\n\n\n\n<p>I also gave some data on a newer plugin called Orderable that I&#8217;m also involved with on the Stellar side that just launched last summer. And honestly, it&#8217;s a low estimation honestly. If I really look at everyone who&#8217;s paid for anything with Orderable, it is closer to the 30%. But right now, in terms of active customers, it&#8217;s around 18%. So it&#8217;s converting much higher than one to 2%, or one to 3%. But even if you take that one to 3%, and you think about these large plugins like Elementor or whatnot that have 5 million active installs that&#8217;s 50,000 customers. And that&#8217;s significant regardless.</p>\n\n\n\n<p>[00:16:21] <strong>Nathan Wrigley:</strong> Yeah, I wonder what could account for the difference there, because Alex is one, two or 3% which may very well be the case in certain given niches, or given the data that he was talking about. I wonder how we account for the big ocean really between your 28, 30%, whatever it may be, and that much smaller percentage? Perhaps it&#8217;s something to do with the nature of the plugin itself, what it&#8217;s doing, what problem it&#8217;s trying to solve, and whether it&#8217;s more desirable. I don&#8217;t really know. It&#8217;s interesting.</p>\n\n\n\n<p>[00:16:52] <strong>Matt Cromwell:</strong> Yeah, it is interesting and I, I do want to get some data from Alex on the specific freemium plugins that he&#8217;s worked on, on that, in that way. I do believe that Vova at Freemius probably has additional data that he might share about this subject as well. I believe that on average plugins that use Freemius convert higher than that 3% as well.</p>\n\n\n\n<p>And that one I think is another significant data point to keep in mind. But I know from, I, I know Alex and I adore him, he&#8217;s great. And if I&#8217;m thinking the most optimistically about his perspective, I think it&#8217;s more that he would really expect conversion rates to be at least 5% or higher because that&#8217;s what he can get with organic results. That&#8217;s what he can get with CPC ads most likely. He just knows marketing from a larger perspective and really is expecting a lot more. So, if I&#8217;m trying to be generous that&#8217;s what I would think.</p>\n\n\n\n<p>[00:17:44] <strong>Nathan Wrigley:</strong> I wonder if there is something in that, maybe your company Give, in this case that we&#8217;re talking about is unusually effective. So your 27%, 28%, whatever it may be is not the normal. Which is obviously very good for the way that you&#8217;ve done marketing and way that you&#8217;ve pitched yourself into the repo.</p>\n\n\n\n<p>I&#8217;m curious, and it may be something that you don&#8217;t know the answer to, what would have been the rate? Given the install base that you&#8217;ve got. So you mentioned that there&#8217;s over a hundred thousand and you may not wish to share the numbers, which is fine. What percentage would have been effective to you? In other words, if it had have been at one or 2%, could you have made the plugin viable or did it need to creep into the 10 and 15% kind of area?</p>\n\n\n\n<p>[00:18:30] <strong>Matt Cromwell:</strong> Mm-hmm. Well, we did have other plugins at the time, freemium plugins. And truth be told, I was not analyzing their conversion rates very specifically at that time. We had a bunch of business reviews plugins. We had a really fun plugin called Maps Builder that had a free and a pro version. And my guess would be that the conversion rates at that time for those plugins were probably also a lot lower than the 27%.</p>\n\n\n\n<p>But they were viable. So I would just be guessing, I don&#8217;t want to just guess, but I do feel like they would probably be in the single digits in terms of conversion numbers. And at the end of the day, yeah, we did retire those for the most part. The business reviews ones are still out there, but we&#8217;ve made a premium product to kind of replace those. And it&#8217;s because of the success of GiveWP. So even if I look at our own plugins that we&#8217;ve built, we did make choices to sunset products because they weren&#8217;t converting as well. So it&#8217;s not as if I don&#8217;t hear Alex, on his side of things because I have some of that same experience. I just don&#8217;t think the conclusion is that means that .org is not viable. I do think it&#8217;s more of a product fit type of conversation, a marketing conversation, and things like that.</p>\n\n\n\n<p>[00:19:38] <strong>Nathan Wrigley:</strong> Just taking a bit of an aside here for a moment. Everything that goes into the .org repository is by nature, it&#8217;s free. You can download it and anybody can access it at any time. I&#8217;m curious, you may have opinions on this, you may not. If you have a commercial variant of the plugin, so you&#8217;ve got two sides of the coin. You&#8217;ve got the free .org side, and the paid for, wherever you may put that, but you&#8217;ve got a paid for version somewhere else. What is the true intent of the free version? Because I could look at it cynically and say, okay, the free version is basically a channel for trying to sweep people towards the paid version.</p>\n\n\n\n<p>And then with a less cynical hat, I could be, it&#8217;s offering the kind of functionality that we can support for free. In other words, we&#8217;re doing an altruistic thing, for the community for free, completely for free, with no expectation. Maybe it&#8217;s one side or the other, or maybe it&#8217;s a little bit of both. You&#8217;re being altruistic. You&#8217;re giving away certain set of features and range of options with the hope that some of them will come across. But no expectation, you know, it&#8217;s fine if you want to use the free version forever. As a plugin developer who&#8217;s been in the game for a long time, I wonder which side of the fence you sit on, or perhaps you literally do sit on the fence there.</p>\n\n\n\n<p>[00:20:54] <strong>Matt Cromwell:</strong> Yeah, I mean the way that things like this work is essentially that at a certain stage, once you start to get enough users, it&#8217;s going to incur costs, just to have users. So specifically when you&#8217;re doing a plugin, like GiveWP or like WooCommerce that is so foundational to the functionality of a website and so important to that website, it&#8217;s going to start to incur costs. And that is human costs. That&#8217;s in the form of technical support for the most part. And account services. Because the users are going to need support. They&#8217;re gonna want support. And in order to fund that support, we do have to have some sort of funding in one way or another.</p>\n\n\n\n<p>So doing the free plugin specifically is in order to serve that niche, in order to serve that functionality with the intention then that we&#8217;re gonna need to fund this in one way or another, and we&#8217;re gonna do that with premium features essentially. But it, it&#8217;s always been our strong conviction that the free plugin needs to be very full featured. That you need to be able to do effective fundraising with it out of the box. Or else folks don&#8217;t know what they&#8217;re getting into when they go to pay for something. So essentially it&#8217;s not just a funnel, which in some ways I think that&#8217;s a little bit of the take that Alex is leaning on, is that is looking at .org as one of your marketing funnels.</p>\n\n\n\n<p>Which it is, of course. But it also represents your best foot forward of what your product is supposed to be, and what it&#8217;s supposed to offer. And in business there&#8217;s very often this idea of try before you buy, or there&#8217;s a free trial type of thing. With plugins we can&#8217;t do try before you buy really, and you can&#8217;t do free trials really, so your best option is to provide a free product that then leads to paid products. Am I answering your question?</p>\n\n\n\n<p>[00:22:41] <strong>Nathan Wrigley:</strong> Yeah. That&#8217;s good. I know it&#8217;s a difficult tight rope to walk that one because, there isn&#8217;t really a correct answer, is there? It clearly has to be a little bit of a marketing channel. You are offering something in the hope of sweeping up a few of them. But equally, you are offering something in the hope that they&#8217;ll enjoy it and experience it and in many cases the functionality that&#8217;s there is sufficient. But should you wish more functionality, here&#8217;s the option.</p>\n\n\n\n<p>It&#8217;s an interesting thing as well that in the community, the whole promotional piece on the .org side is, I think, widely viewed with disdain. That is to say it doesn&#8217;t take much for a plugin author to completely derail their plugin if they abuse the UI that they&#8217;ve got for their plugin. I&#8217;m thinking here of examples in the past where companies have taken the opportunity to fill up portions of the screen with advertising for the paid version and so on.</p>\n\n\n\n<p>So, we can see that the community really do feel quite strongly about this. From the plugin side, obviously, the author&#8217;s side, you wish to promote your own products because you want to stay in business. From the user&#8217;s side, there seems to be a groundswell of people who think that the repository version needs to be completely without any upsell features. It&#8217;s just, if it&#8217;s good enough, we&#8217;ll figure that out for ourselves and we&#8217;ll go and discover it for ourselves.</p>\n\n\n\n<p>In terms of discovery, let&#8217;s just move back to the piece that you wrote. One of the contentions that Alex has was that being discovered inside of the repository is increasingly difficult. The big incumbents of which you&#8217;ve described GiveWP perhaps is one of them, but we know the names of all the other ones. They dominate the search because of their active install counts, and Alex maintains that that&#8217;s a very important metric. In other words, if you go into the repository and begin a search, it&#8217;s quite likely that the results will skew towards the larger active install count plugins. Therefore, it&#8217;s going to be difficult to break through the ceiling of that, no matter how unique and brilliant your plugin is, just because it&#8217;s difficult to launch something and it takes a lot of time. You have, specifically on that point, your rebuttal is interesting. What did you say there?</p>\n\n\n\n<p>[00:24:52] <strong>Matt Cromwell:</strong> Yeah, the active install count is a factor, and the plugin directory has gotten larger. But the active install count is one factor of many of the way in which the plugin search works. And luckily when you&#8217;re working with a open source platform like WordPress, all of the code that creates that search is open source as well.</p>\n\n\n\n<p>So folks can take a look at it and see exactly the way that the algorithm works, in complete contrast to Google, for example, where it&#8217;s a big black box and nobody really knows how it works exactly. But .org is actually pretty straightforward and relatively simple. But there are a lot of metrics that they take into account when they create that search. And honestly the title of the plugin is actually one of the more significant ones.</p>\n\n\n\n<p>Now that being said, if you are, if in your title of your plugin you wanna say something like Wrigley page builder. Page builder is a very flooded field. Things like Elementor and Beaver Builder and others do have a lot more installs already and they&#8217;re going to show up higher if they also have page builder in their title than Wrigley will.</p>\n\n\n\n<p>But that doesn&#8217;t mean that you aren&#8217;t found or aren&#8217;t discovered. You might not be first. You might not be second, but you still have a really good chance of being on page one. Because there&#8217;s really not that many page builders on .org currently. So there&#8217;s still a lot of room overall. That&#8217;s kind of my biggest contention, is simply that the way the search works is more complicated than just simply the active install count. It&#8217;s also these specific tags that you use. It&#8217;s also the way in which you describe the type of functionality you have. Whether or not you have good support is even a factor. Like answering all of your .org tickets and things like that. Those all factor in. How recently you&#8217;ve updated the plugin factors in. There&#8217;s a lot of factors involved.</p>\n\n\n\n<p>[00:26:38] <strong>Nathan Wrigley:</strong> So you specifically mentioned the following things, which are thrown into the mix when you do a search. So it would be the title of the plugin, the excerpt, the description, the tags, the slug author name, contributor names, last time it was updated, compatibility with core versions, number of active installs, percentage of support tickets resolved, which is really an interesting one, and the average star rating as well.</p>\n\n\n\n<p>So there are quite a few things in there. I guess in a sense, having that knowledge could lead you to be quite sophisticated in gaming that system, and it&#8217;s no different really than something like Google where people spend, I would imagine very large amounts of money in some cases, really manicuring their SEO, but without that insight.</p>\n\n\n\n<p>And they may succeed one day, they may succeed another day. The point being, they still need to jump through hoops. It&#8217;s not You go over to Google and suddenly you are a winner. You would still have to spend large amounts of time and money organically to break through the surface against, say, for example, other page builders. I presume the problem would be equal over there than it would be on .org.</p>\n\n\n\n<p>[00:27:49] <strong>Matt Cromwell:</strong> Yeah, absolutely. And in this way I think what Alex is speaking to a bit is that, in the past with the plugin directory, it really was easier. It really was a lot easier to simply launch your plugin on .org and you would get found in the WP admin relatively easily. And those days are definitely not there anymore. It&#8217;s not quite as easy as it used to be at all. But I don&#8217;t believe that it means that .org is now no longer viable as a distribution option, or even as a marketing or business option.</p>\n\n\n\n<p>[00:28:21] <strong>Nathan Wrigley:</strong> Do you believe that the search algorithm in .org, despite the fact that it&#8217;s going through these whole slew of different things, and I&#8217;m guessing that if you read the code, you can see how the waiting would be and so on and so forth. But, do you believe that the search functionality does need a tweak?</p>\n\n\n\n<p>Are there other metrics which you would like to see thrown in? Or, indeed just different areas of the UI which may give a small but potentially important boost to newcomers, in a way that perhaps the current search wouldn&#8217;t? And, I think Alex mentions something like rising stars as an option. The idea that plugins, which are new, potentially, they&#8217;ve gone from zero to 50 in a matter of days. That&#8217;s, on WordPress, that&#8217;s a big leap if you go from nothing to 50 or a hundred in a short period of time, that&#8217;s really quite something. And so maybe there&#8217;s parts of the UI where compliments of that nature could improve visibility.</p>\n\n\n\n<p>[00:29:14] <strong>Matt Cromwell:</strong> Absolutely, there&#8217;s always room for improvement when it comes to search algorithms, because they are highly complex systems, and they are so significant. In some ways though, I think, just even if the search algorithm itself didn&#8217;t change, but we were able to add things like categorization, being able to navigate down the directory through categories first and then search. That might be a big advantage right away.</p>\n\n\n\n<p>Especially if one of those categories was, new. Something that was recently launched. There&#8217;s actually a really fun free plugin, I think it&#8217;s just called New Plugins, I&#8217;ll have to look it up. I&#8217;ll send you the link. But you can install this plugin in your website, and what it does is it adds, when you go to plugins, add new, there&#8217;s tabs in there that says featured and things like that. It&#8217;ll add a new tab, and it&#8217;ll just show you the newest plugins on the directory. And I think that&#8217;s really cool and I&#8217;d love to see that on .org directly.</p>\n\n\n\n<p>[00:30:09] <strong>Nathan Wrigley:</strong> Yeah, that&#8217;s really interesting. You also point out that the, gaming is the wrong word, but you make the point that it is still possible given the way that the search is carried out and the results that are shown, that, as an example, some of your competitors, they seem to have optimized with use of their plugin name or the other things that we mentioned, you know, excerpts and description, tags and so on. They&#8217;ve managed to vault over you in the .org search results, because they&#8217;ve optimized for words, which are well, really important to you, but you haven&#8217;t specifically optimized for those.</p>\n\n\n\n<p>So for example, nobody could deny that your plugin GiveWP is to do with fundraising, and yet fundraise as a particular word, you are outcompeted on the marketplace there. And also crowdfunding, which again would be an important part of what it is that you do. Both of those words, you quickly discovered you were not winning, and in some cases you didn&#8217;t even appear in the search results on the first page, despite the fact that GiveWP is really, that is inside your wheelhouse without a doubt.</p>\n\n\n\n<p>And so there is opportunity, I guess it&#8217;s more of a sort of long tail search. You&#8217;ve just got to find what those opportunities are. Unfortunately, I guess we don&#8217;t have the sort of metrics that we have with things like Google Ads and so on and so forth, where you can see what people have been searching for over, over a period of time, in a particular geography, given different demographics and so on. You just have to do the grunt work of figuring all this stuff out.</p>\n\n\n\n<p>[00:31:35] <strong>Matt Cromwell:</strong> Yeah. One other point related to that, that I pointed out is that your presence on .org isn&#8217;t only about the .org plugin search. It&#8217;s also about Google search because those pages all get found on Google as well. And so because we do have insights from search console and Google Ads and things like that, that does influence the terms that we want to be found with as well.</p>\n\n\n\n<p>So it&#8217;s not only about figuring out how .org prioritizes plugins, but also what is going to get found on Google as well, because it&#8217;s really hard for any WordPress plugin to beat the domain authority of wordpress.org. If you build a plugin they most likely are going to be on the first page of Google before you are.</p>\n\n\n\n<p>[00:32:17] <strong>Nathan Wrigley:</strong> So the contention there is that the .org repo is kind of doing double duty. It&#8217;s obviously offering your plugin up, should it be found, to people trying to add a new plugin. But also Google itself is scraping the.org repo and surfacing in its own search results. So if people are looking for the same kind of thing over on Google, they may very well be pointed towards your .org page. Have I summarised that correctly?</p>\n\n\n\n<p>[00:32:43] <strong>Matt Cromwell:</strong> Yep, absolutely. In this way .org is just a marketplace in many ways. It&#8217;s a public marketplace for folks to find free plugins.</p>\n\n\n\n<p>[00:32:50] <strong>Nathan Wrigley:</strong> I do wonder if the algorithm which is running behind Google, obviously complex and probably, took billions of dollars over time to be put together and is very sophisticated. But it&#8217;s not quite such a blunt instrument, is it? It&#8217;s not just taking data from a series of tags and descriptions and metatags and so on. There&#8217;s a lot going on. So for example, if I search for fundraise, Google is probably clever enough to figure out hang on a minute, fundraise is a sort of synonym for crowdfunding. It&#8217;s a synonym for donations and so on. So, we&#8217;ll highlight those results as well. So in, in many ways, it&#8217;s a little bit more sophisticated, and maybe the .org search could have some of that goodness thrown into it in the future. Albeit not with the same budget that Google clearly has.</p>\n\n\n\n<p>[00:33:36] <strong>Matt Cromwell:</strong> Yeah, absolutely. That&#8217;s also a real reason why if you do have a free plugin on .org, it&#8217;s really good to make sure that you have folks who actually link to that plugin on .org. Not only linking to your website itself but to your free plugin on .org. Because then Google will pick up, oh, when folks are looking for fundraise plugin, they actually are looking for this Give thing, that might not rank as well on .org, but it is gonna rank great on Google, because Google does figure that out.</p>\n\n\n\n<p>[00:34:04] <strong>Nathan Wrigley:</strong> We haven&#8217;t really strayed into this subject, but I&#8217;m wondering if you&#8217;ve had any experience with alternative marketplaces. The only one that really comes into my mind is Envato. Where for many years they&#8217;ve had a kind of rival plugin marketplace. I really haven&#8217;t been looking at how successful that&#8217;s been going, many years since I last visited it. But the option for plugin developers to sort of, corral together and have a completely different space. But it feels to me that in the end, potentially you just end up with the same problem, but in a third party marketplace.</p>\n\n\n\n<p>[00:34:36] <strong>Matt Cromwell:</strong> Yeah, and that third party marketplace has very strong priorities around the way it wants to be paid, and the types of products it wants to be highlighting. They are far more opinionated about the way all of the products there are found and discovered. And it is really for the, the bottom line of Envato.</p>\n\n\n\n<p>And I think, honestly, that&#8217;s one thing that&#8217;s a bit of an untapped conversation is the significance of having what is essentially a marketplace being owned by a non-profit organization, like the WP Foundation. I do think that&#8217;s a significant conversation and the more folks need to be having and recognize that we&#8217;re not just really all fighting for attention from a LLC or some giant corporation. We&#8217;re really trying to contribute together on a public project that should be primarily influenced by a non-profit organization instead.</p>\n\n\n\n<p>[00:35:29] <strong>Nathan Wrigley:</strong> I guess the long and the short of this episode would be, from your perspective, is the Word Press repository perfect? No. Is it useful? Yes. And that perhaps is enough for now. Could it be improved? Another yes, but for now that seems to be, at least for you and your experience, good enough</p>\n\n\n\n<p>[00:35:47] <strong>Matt Cromwell:</strong> Absolutely. I think it&#8217;s viable. I think it can be very helpful and beneficial. It doesn&#8217;t have to be your, it shouldn&#8217;t be your only tactic. But it also shouldn&#8217;t be easily ignored either.</p>\n\n\n\n<p>[00:35:58] <strong>Nathan Wrigley:</strong> So just to round off the conversation, one final question. How do you view your efforts on the WordPress repository as against all of the other things that you do outside of WordPress. So for example, Google and so on? You may have data to hand, you may not, I don&#8217;t know. But I&#8217;m just wondering if, one is equal to another or if the .org side definitely comes in second place, or perhaps it is the primary channel of your sales funnel.</p>\n\n\n\n<p>[00:36:23] <strong>Matt Cromwell:</strong> Because there are different types of freemium models, that answer will be different based on the product owner and the route that they chose. If it&#8217;s a free plugin with a pro version, meaning you have to uninstall the free one in order to install the pro one, their priorities are probably gonna be very different.</p>\n\n\n\n<p>But in our case, similar to Woo Commerce, it&#8217;s a core free plugin, and any of the paid add-ons require the free version to be installed. And because of that setup that we have, and WooCommerce has as well, the free plugin is foundational to everything we do. We&#8217;re always improving the free plugin in order for it to be more powerful, more streamlined, and for it to be able to enable us to do more things in the pro add-ons as well.</p>\n\n\n\n<p>So being able to really parse it between priorities, it&#8217;s almost impossible. Because for us, the free plugin really encompasses the whole ecosystem of what Give actually does and means for us as a business, and as a product for the users.</p>\n\n\n\n<p>[00:37:21] <strong>Nathan Wrigley:</strong> I&#8217;m sure that this will be something which resonates with a lot of people. I don&#8217;t really know which side of the fence the audience will be sitting on, but no doubt there will be some commentary. There&#8217;ll be people wishing to explain their reasoning behind this, one way or another. Please feel free to go to the post on WP Tavern, and leave us some comments there. But for now, thank you so much Matt Cromwell for explaining your position about the WordPress.org repo. I appreciate it.</p>\n\n\n\n<p>[00:37:47] <strong>Matt Cromwell:</strong> Absolutely. Thank you so much.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://twitter.com/learnwithmattc\">Matt Cromwell</a>.</p>\n\n\n\n<p>Matt is Senior Director of Operations and Marketing at <a href=\"https://twitter.com/learnwithmattc\">StellarWP</a>, where he provides marketing and business insights and coaching to burgeoning WordPress product owners. He’s also one of the founders of <a href=\"https://givewp.com/\">GiveWP</a>, a donations plugin which uses the freemium model, having a free version on the WordPress.org repository as well as a paid premium offering.</p>\n\n\n\n<p>The WordPress.org repository is where you find yourself when you click the ‘add new’ button in the WP admin. It’s a place where plugin developers can, if they follow the guidelines, host their plugins. It provides a direct line of access to all WordPress websites, and is therefore a convenient, free place to host your plugin. In return, the plugins in the repository must be freely available by the plugin authors.</p>\n\n\n\n<p>In the past few weeks, the repository has been in the news. Some statistics were unexpectedly removed, and this has led to conversation about the governance of the repository, as well as questions about whether the repository is still a worthwhile place to offer your free plugins, if you have a premium tier.</p>\n\n\n\n<p>Alex Denning wrote a post entitled “<a href=\"https://getellipsis.com/blog/org-is-ineffective-plugin-distribution\">WordPress.org is ineffective for plugin distribution in 2022</a>”, in which he lays out his thoughts as to why he no longer recommends the WordPress repository. The battle against already successful plugins, low conversation rates and the difficulty in gaining visibility are amongst the arguments that he puts forward.</p>\n\n\n\n<p>Shortly after Alex’s post was published, Matt Cromwell posted a rebuttal entitled “<a href=\"https://www.mattcromwell.com/the-case-for-the-wordpress-plugin-freemium-model/\">The Case for the WordPress Freemium Model</a>”, and this is the basis of the podcast today.</p>\n\n\n\n<p>We talk about Matt’s history in WordPress as a premium plugin owner, and how his experience leads him to conclude differently; that the WordPress repository can be successful, given the right expectations and approach. He’s found using the repository to be an effective channel to drive the plugin’s premium tier, as well as a way of offering a useful free donation tool to the community.</p>\n\n\n\n<p>It’s a fascinating chat and is sure to interest anyone thinking about starting a freemium plugin.</p>\n\n\n\n<h2>Useful links.</h2>\n\n\n\n<p><a href=\"https://getellipsis.com/blog/org-is-ineffective-plugin-distribution\">WordPress.org is ineffective for plugin distribution in 2022</a></p>\n\n\n\n<p><a href=\"https://www.mattcromwell.com/the-case-for-the-wordpress-plugin-freemium-model/\">The case for the WordPress freemium model</a></p>\n\n\n\n<p><a href=\"https://givewp.com/\">GiveWP</a></p>\n\n\n\n<p><a href=\"https://orderable.com/\">Orderable</a></p>\n\n\n\n<p><a href=\"https://stellarwp.com/\">StellarWP</a></p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/cubecolour-new-plugins/\">Cubecolour New Plugins</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Nov 2022 08:49:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Post Status: WordPress 6.1 • Raghavendra Satish Peri\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142548\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://poststatus.com/wordpress-6-1-raghavendra-satish-peri/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:15427:\"<h2 id=\"h-this-week-at-wordpress-org-october-31-2022\">This Week at WordPress.org (October 31, 2022)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">#WordPress 6.1 was released on November 1. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2728.png\" alt=\"✨\" class=\"wp-smiley\" /> Check out all the updated and revised support articles. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4d6.png\" alt=\"📖\" class=\"wp-smiley\" /> Learn about #accessibility and contributor Raghavendra Satish Peri from the WordPress India community. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" /> </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div id=\"kt-info-box_68609b-a8\" class=\"wp-block-kadence-infobox\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kt-info-svg-icon kt-info-svg-icon-fe_arrowUpCircle\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"><a href=\"https://make.wordpress.org/core/2022/08/10/proposal-stop-merging-experimental-apis-from-gutenberg-to-wordpress-core/\">WordPress 6.1 </a>&#8220;Misha&#8221;</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2b06.png\" alt=\"⬆\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2022/11/misha/\">WordPress 6.1 “Misha”</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/23ea.png\" alt=\"⏪\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/hosting/2022/10/19/call-for-action-testing-rollback-feature/\">Call For Action – Testing Rollback Feature</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f1ee-1f1f3.png\" alt=\"🇮🇳\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2022/10/people-of-wordpress-raghavendra-satish-peri/\">Raghavendra Satish Peri</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/267b.png\" alt=\"♻\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/project/2022/11/01/sustainability-channel-what-should-we-do/\">Call for Comments — What Does Sustainability Mean to You?</a></p></div></div></div>\n\n\n\n<h2 id=\"h-news\">News<a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-3/\"></a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2022/11/misha/\">WordPress 6.1 “Misha”</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2022/10/people-of-wordpress-raghavendra-satish-peri/\">People of WordPress: Raghavendra Satish Peri</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2022/10/episode-42-something-spooky-this-way-comes/\">WP Briefing: Episode 42: Something Spooky This Way Comes</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_121b9e-cb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-13 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-community\">Community</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2022/11/02/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-october-26-2022/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on October 26, 2022</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2022/10/27/deputy-training-4-wordcamp-process-flow-recap/\">Deputy Training #4: WordCamp Process Flow Recap</a></li>\n</ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/11/01/a-week-in-core-october-31-2022/\">A Week in Core – October 31, 2022</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/31/wordpress-6-1-release-candidate-6-rc6-now-available-for-testing/\">WordPress 6.1 Release Candidate 6 (RC6) Now Available for Testing</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/31/postponed-to-wp-6-2-escaping-table-and-field-names-with-wpdbprepare/\">Postponed to WP 6.2: Escaping Table and Field names with <code>wpdb::prepare()</code></a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/28/core-editor-improvement-advancing-the-writing-experience/\">Core Editor Improvement: Advancing the writing experience</a></li>\n</ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/11/02/dev-chat-agenda-november-2-2022/\">Dev Chat agenda, November 2, 2022</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/11/01/editor-chat-agenda-2-november-2022/\">Editor Chat Agenda: 2 November 2022</a></li>\n</ul>\n\n\n\n<h2 id=\"h-documentation\"><a href=\"https://make.wordpress.org/docs\">Documentation</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2022/11/02/summary-of-docs-team-meeting-november-1-2022/\">Summary of Docs Team Meeting November 1, 2022</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2022/10/28/the-documentation-team-contributor-day-summary/\">The Documentation team Contributor Day summary</a></li>\n</ul>\n\n\n\n<h3 id=\"h-support-articles\"><br />Support Articles</h3>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/support/article/colors-settings-overview/\">Colors Settings Overview</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/layout-settings-overview/\">Layout Settings Overview</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/typography-settings-overview/\">Typography Settings Overview</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/twenty-twenty-three/\">Twenty Twenty-Three</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/twenty-twenty-three-changelog/\">Twenty Twenty-Three Changelog</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/border-settings-overview/\">Border Settings Overview</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/post-author-biography-block/\">Post Author Biography Block</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/comment-template-block/\">Comment Template Block</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/comment-edit-link-block/\">Comment Edit Link Block</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/support/article/comment-reply-link-block/\">Comment Reply Link Block</a></li>\n</ul>\n\n\n\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2022/10/19/call-for-action-testing-rollback-feature/\">Call For Action – Testing Rollback Feature</a></li>\n</ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/marketing/2022/11/02/agenda-wordpress-global-marketing-team-meeting-november-2-2022/\">Agenda: WordPress global Marketing Team meeting, November 2, 2022</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/marketing/2022/11/01/notes-global-marketing-team-meeting-october-26-2022/\">Notes: Global Marketing Team meeting, October 26, 2022</a></li>\n</ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2022/10/21/wordpress-org-redesign-update/\">WordPress.org Redesign Update</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2022/10/20/displaying-style-variations-for-supporting-themes/\">Displaying Style Variations for Supporting Themes</a></li>\n</ul>\n\n\n\n<h2 id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/mobile/2022/11/01/call-for-testing-wordpress-for-android-21-1/\">Call for Testing: WordPress for Android 21.1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/mobile/2022/11/01/call-for-testing-wordpress-for-ios-21-1/\">Call for Testing: WordPress for iOS 21.1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2022/11/02/mobile-team-update-november-2nd-2/\">Mobile Team Update – November 2nd</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/11/01/performance-team-meeting-summary-1-november-2022/\">Performance Chat Summary: 1 November 2022</a></li>\n</ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2022/10/31/plugin-review-team-31-oct-2022-%F0%9F%91%BB/\">Plugin Review Team: 31 Oct 2022&nbsp;</a></li>\n</ul>\n\n\n\n<h2 id=\"h-polyglots\">Polyglots</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2022/11/02/agenda-weekly-polyglots-chat-nov-2-2022-700-utc/\">Agenda: Weekly Polyglots Chat – Nov. 2, 2022 (7:00 UTC)</a></li>\n</ul>\n\n\n\n<h2 id=\"h-project\"><a href=\"https://make.wordpress.org/project\">Project</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2022/11/01/sustainability-channel-what-should-we-do/\">Now we have a sustainability channel in Making WordPress Slack, what should we do?</a></li>\n</ul>\n\n\n\n<h2><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2022/10/27/support-team-meeting-updates-for-october-27/\">Support Team Meeting Updates for October 27</a></li>\n</ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2022/10/26/hallway-hangout-discussion-on-wrapping-phase-2-26-oct/\">Hallway Hangout: Discussion on wrapping Phase 2 (26 Oct)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2022/10/31/test-team-update-31-october-2022/\">Test Team Update: 31 October 2022</a></li>\n</ul>\n\n\n\n<h2 id=\"h-themes\"><a href=\"https://make.wordpress.org/themes\">Themes</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2022/11/01/themes-team-update-november-01-2022/\">Themes team update November 01, 2022</a></li>\n</ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/individual-learner-survey/\">How did you learn WordPress?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2022/11/01/summary-update-courses-currently-in-development-1-november-2022/\">Summary Update: Courses Currently in Development or Published (1 November 2022)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2022/10/31/meeting-agenda-for-november-1-2022/\">Meeting Agenda for November 1, 2022</a></li>\n</ul>\n\n\n\n<h3 id=\"h-tutorials\">Tutorials</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/using-block-template-parts-in-classic-themes/\">Using Block Template Parts in Classic Themes</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/a-beginners-guide-to-the-wordpress-template-hierarchy/\">A Beginners Guide to the WordPress Template Hierarchy</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/tools-import-and-export/\">Tools: Import and Export</a></li>\n</ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=the-creative-side-of-blocks-vol-3\">The Creative Side of Blocks, Vol. 3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=padding-margin-and-block-spacing\">Padding, Margin and Block Spacing</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=lets-code-internationalisation-in-block-themes\">Let’s code! Internationalisation in Block Themes</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wordpress-development-live-stream-internationalisation\">WordPress development live stream: Internationalisation</a></li>\n</ul>\n\n\n\n<h3 id=\"h-courses\">Courses</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/a-developers-guide-to-block-themes-part-1/\">A Developers Guide to Block Themes – Part 1</a></li>\n</ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://meta.trac.wordpress.org/ticket/1430\">WordPress TV videos now auto-published to Youtube</a></li>\n\n\n\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://tc39.es/#proposals\">ECMAScript Proposals</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status\' <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It\'s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Nov 2022 02:53:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Post Status: The WordPress Enterprise Paradox\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142360\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://poststatus.com/the-wordpress-enterprise-paradox/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13115:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">&#8220;WordPress as a platform is putting us on the enterprise path. But what got us here is what makes us irrelevant,&#8221; says Magne Ilsaas, CEO and Founding Partner of Dekode. Magne wants to start an overdue conversation about three big risks — and opportunities — for WordPress agencies: 1) A lack of spaces for professional conversations and knowledge-sharing, including professional events, meetups,  and mastermind groups catering to enterprise WordPress. 2) Successful agencies that use WordPress extensively with little or no community involvement whose work would benefit from enterprise WordPress peer networks. 3) An over-emphasis in WordPress agencies on short-term engineering solutions to the exclusion of long-term business solutions. What\'s often left out is design, user experience, and most of all the capacity to play a strategic advisory role in partnership with clients.  </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">6</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n<p class=\"has-drop-cap\">As more and more enterprises move onto WordPress and digital becomes the backbone of modern business, we need to become more than developers and designers. We are now business advisors, thinking on behalf of the companies we work for.</p>\n\n\n\n<p>Agencies focusing on open source and WordPress are in a pretty good spot these days. Demand for WordPress development has never been higher, and we continue to see bigger companies building their websites on WordPress.&nbsp;</p>\n\n\n\n<blockquote><p>Most clients know WordPress may not be the best choice, but they are starting to understand that “best choice” isn’t relevant.&nbsp;</p></blockquote>\n\n\n\n<p>At Dekode we are focusing on enterprise clients, and it\'s really fun when large, interesting projects come our way — because of WordPress. It is a real contrast to how it used to be when most of our client meetings were spent explaining why WordPress is a good choice. Now it\'s rarely discussed at all. Most clients that come our way have already decided that WordPress is the right choice for them. Even big public tenders call out for WordPress.</p>\n\n\n\n<p>Most of them know it\'s not necessarily the best choice, but they are starting to understand that “best choice” isn’t relevant.&nbsp;</p>\n\n\n\n<p>If a client in 2017 set out to choose a CMS and had the slightest idea of what they were doing, they would have a shortlist of three to five CMSs to choose from. The truth is that any of them would have been a good choice, and any of them could be bent into shape to suit the client’s needs.</p>\n\n\n\n<div class=\"is-layout-constrained wp-block-group has-theme-palette-8-background-color has-background\"><div class=\"wp-block-group__inner-container\">\n<h2 id=\"h-the-paradox\"><strong>The Paradox</strong>:</h2>\n\n\n\n<p><strong>WordPress as a platform is putting us on the enterprise path.&nbsp;</strong></p>\n\n\n\n<p><strong>But what got us here is what makes us irrelevant.</strong></p>\n</div></div>\n\n\n\n<h2 id=\"h-can-we-overcome-success\">Can We <strong>Overcome Success</strong>?</h2>\n\n\n\n<p>With the traction WordPress has gained over the last 15 years, we see that more and more enterprise companies are opening their eyes to what we can do with WordPress, but too often it’s for the wrong reasons.&nbsp;</p>\n\n\n\n<p>For large parts of the WordPress industry, plugins, themes, and soon-to-be <em>Gutenblocks</em> are the fuel that keeps the WordPress snowball rolling. SMBs spinning up WordPress websites on the fly.&nbsp; The platform is really great at this because it\'s so easy and flexible. It\'s a Swiss Army Knife on steroids, able to adapt to anyone\'s needs.&nbsp;</p>\n\n\n\n<blockquote><p>Some of the best WordPress projects are done by agencies that don’t really care about WordPress or the WordPress community. </p></blockquote>\n\n\n\n<p>But here is the paradox: this success is holding us back now because the thousands of plugins and DIY articles and solutions generally aren’t meant or relevant for the enterprise market. This means that a lot of enterprise companies are building patchwork WordPress installations that may or may not scale, be secure, or actually work as a modern digital tool for solving business needs.&nbsp; As we build more and more functionality and options, we are strolling farther and farther away from the enterprise playing field.</p>\n\n\n\n<p>Some of the best WordPress projects are done by agencies that don’t really care about WordPress or the WordPress community. Why? Because they use WordPress for what it is. A tool that gets the job done, cheaply and effectively. But as the web gets more and more complex, some of these agencies don\'t have the people with the necessary skills, and we are seeing more high-profile enterprise clients with low-quality WordPress websites.</p>\n\n\n\n<p>So we are putting ourselves in a pretty bad position at the moment.&nbsp;</p>\n\n\n\n<p>With the rising demand for WordPress experts, everything should be great. But the fact is that there are too many high-profile websites out there with really poor-quality work under the hood. And the reputation WordPress has as an alternative for enterprise will deteriorate as these solutions fall apart piece by piece.</p>\n\n\n\n<blockquote><p>Do we actually solve someone\'s business goal or a user\'s need? Mileage varies — a lot.</p></blockquote>\n\n\n\n<p>Even though we are busy discussing our tool and what it can and cannot do, some WordPress enterprise projects actually do end up with a skillful WordPress agency. But all too often, the decision of what CMS to build on is made after a lot of the important strategic decisions are made—or even after the design is done.</p>\n\n\n\n<p>Too often other agencies are helping clients with strategic decision-making, design and communication, user testing,&nbsp; conversion optimization, and digital marketing.</p>\n\n\n\n<p>When competing platforms can offer a full spectrum of expertise, it really doesn\'t matter how good we are as developers. If the solutions we help create don\'t deliver on basic user needs and business goals, where is the value to the client? But too often we are not in a position to affect quality and business impact. Most of the time we are missing the show by collectively taking ourselves <em>off</em> the playing field.</p>\n\n\n\n<h2 id=\"h-is-wordpress-enterprise-ready\"><strong>Is WordPress enterprise ready?</strong></h2>\n\n\n\n<p>From a technical perspective, the answer is obviously yes.&nbsp;</p>\n\n\n\n<p>From a <em>people</em> perspective, the answer is much less clear: yes and no.</p>\n\n\n\n<p>For the enterprise, WordPress is still a pretty risky move. But not because there aren\'t agencies that can deliver high-quality code, security, and scalability. It\'s amazing what the best developers can spin up on WordPress, but that doesn\'t really matter if everyone but the developers understands how they are (or aren’t) delivering a positive user experience and solving the client\'s business problems.&nbsp;</p>\n\n\n\n<blockquote><p>Imagine a way of doing business that is not about redesign loops and short-term decisions but a way to create sustainable digital platforms and deliver long-term value to our clients.</p></blockquote>\n\n\n\n<p>Today when we get a project brief, there are no technical reasons why you shouldn\'t choose WordPress. Subjectively speaking, it\'s probably the best CMS out there, for many reasons.&nbsp;</p>\n\n\n\n<p>But that doesn\'t mean that it is the right choice for an enterprise business.</p>\n\n\n\n<p>There are plenty of examples of enterprise websites that run on WordPress. Technically many of them are flawless, and some even look good, but do they actually solve someone\'s business goal or a user\'s need? Mileage varies — a lot.</p>\n\n\n\n<h2 id=\"h-the-secret-sauce\"><strong>The Secret Sauce</strong></h2>\n\n\n\n<p>Digital is becoming the foundation of modern businesses, and in order to stay relevant, it is not enough to be only designers and developers anymore. We need to develop our skills further and become business designers and long-term digital partners for our clients.</p>\n\n\n\n<p>The best solutions can be made when we take our WordPress knowledge and developer skills and use them to create sustainable platforms and design systems that align with business strategy, user needs, and digital marketing.</p>\n\n\n\n<p>We need to hold ourselves accountable to a long-term perspective for the decisions we make and the solutions we create. To stay relevant, we need to understand success is the value we deliver — on top of the technology.&nbsp;&nbsp;</p>\n\n\n\n<p>There are plenty of WordCamps, seminars, podcasts, blogs, tutorials, and meetups out there.&nbsp;</p>\n\n\n\n<blockquote><p>To stay relevant, we need to understand success is the value we deliver — on top of the technology.&nbsp;&nbsp;</p></blockquote>\n\n\n\n<p>But what they all have in common is that they are aimed at the mass market side of WordPress where price tags are low and scale is everything. This is fantastic, and it will keep the WordPress snowball rolling.</p>\n\n\n\n<p>But why is there no arena for professional conversations around WordPress Enterprise?</p>\n\n\n\n<p>Why is there no knowledge sharing about creating value on top of the tools we create?</p>\n\n\n\n<p>What if we did business the same way we\'ve built WordPress? What if we leverage our biggest asset, which is not WordPress the tool. It’s WordPress, the community, the culture, the openness, and the inclusiveness. What if we create our own way of integrating our open-source mindset into how we conduct our businesses?</p>\n\n\n\n<blockquote><p>We need a WordPress mindset, a WordPress way of doing business, that enables value creation for everyone involved.</p></blockquote>\n\n\n\n<p>Imagine a way of doing business that is not about redesign loops and short-term decisions but a way to create sustainable digital platforms and deliver long-term value to our clients.</p>\n\n\n\n<p>In my opinion, there are enough strong forces in play to keep WordPress as a platform enterprise-ready and relevant. But I’m not sure that matters without a better understanding and focus on how we can deliver value on top of the tools we create.&nbsp;</p>\n\n\n\n<p>My wish is for WordPress to be known as more than the most cost-effective, enterprise-ready technology. I want it to be known for a WordPress mindset, a WordPress way of doing business, that enables value creation for everyone involved.&nbsp;</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"is-layout-constrained wp-block-group has-theme-palette-7-background-color has-background\"><div class=\"wp-block-group__inner-container\">\n<h2>Help make it happen! Join <a href=\"https://poststatus.slack.com/archives/C02TNBDAXLL\"><span>#agency-owners</span></a> in Post Status Slack.</h2>\n\n\n\n<p>Leave a <a href=\"https://poststatus.com/planet/feed/#comments\">comment</a>, get in touch, or jump into <a href=\"https://poststatus.slack.com/\">Post Status Slack</a> if this is a conversation you\'d like to contribute to.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile has-background\" id=\"author\"><a href=\"https://dekode.no/\"><img width=\"752\" height=\"752\" src=\"https://cdn.poststatus.com/wp-content/uploads/2022/11/ab58aa31afffd4af6284f4244b9f61a8-752x752.webp\" alt=\"Magne Ilsaas\" class=\"not-transparent wp-image-142508 size-medium\" /></a><div class=\"wp-block-media-text__content\">\n<p><strong>Magne Ilsaas</strong> is the founder and manager of <strong><a href=\"https://dekode.no\">Dekode</a></strong>, Norway`s biggest WordPress agency. He works on bridging the gap between design and engineering in order to create the best and most cost-efficient WordPress projects. When he`s not working, you`ll find him skiing or fishing in Lofoten.</p>\n\n\n\n<ul class=\"is-horizontal is-content-justification-center is-layout-flex wp-container-20 wp-block-social-links alignright has-small-icon-size is-style-default\"><li class=\"wp-social-link wp-social-link-twitter wp-block-social-link\"><a href=\"https://twitter.com/dekodeno/\" class=\"wp-block-social-link-anchor\"><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-linkedin wp-block-social-link\"><a href=\"https://www.linkedin.com/in/magne-ilsaas-4968b75/\" class=\"wp-block-social-link-anchor\"><span class=\"wp-block-social-link-label screen-reader-text\">LinkedIn</span></a></li></ul>\n</div></div>\n\n\n\n<p></p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Nov 2022 23:24:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Magne Ilsaas\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: WP All Import Is Moving Away from Lifetime Licenses\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139123\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wptavern.com/wp-all-import-is-moving-away-from-lifetime-licenses\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4078:\"<p>WP All Import <a href=\"https://www.wpallimport.com/your-last-chance-to-buy-unlimited-lifetime-licenses/\">announced</a> it will soon change its business model to annual licenses. The product, which includes free and commercial versions, allows users to import/export XML, CSV, or Excel data and integrates with more than a dozen popular plugins. Since its founding in 2011, WP All Import has been sold with unlimited, lifetime licenses. The product has more than 12,000 customers.</p>\n\n\n\n<p>In a statement published this week, WP All Import explained that the company went with lifetime licenses from the beginning because most commercial plugins were sold this way when they started in 2011 and customers began to expect it. </p>\n\n\n\n<p>Some companies have had a rocky transition out of providing lifetime licenses, as the community saw with <a href=\"https://wptavern.com/delicious-brains-acquires-advanced-custom-fields-plugin\">Delicious Brains&#8217; acquisition of ACF</a> in June 2021. Although they assured existing customers that they would honor their lifetime licenses, a few months later on Black Friday, Delicious Brains began <a href=\"https://wptavern.com/acf-solicits-lifetime-license-holders-for-contributions-urging-them-to-purchase-annual-subscriptions\">urging them to purchase annual subscriptions</a>. For many companies transitioning away from old pricing strategies, lifetime license holders become dead weight, requiring support without putting revenue back into the company. WP All Import has found success with offering lifetime licenses for 11 years, but the company is making sure its new customers will be paying every year:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>We are not making this change because because lifetime licenses are inherently unsustainable or support costs are spiraling out of control.</p>\n\n\n\n<p>WP All Import is a profitable business, support costs generally follow revenue up and down, and lifetime licenses for WordPress plugins are absolutely a sustainable business model.</p>\n\n\n\n<p><strong>We are moving to annual licenses simply because we will make more money.</strong></p>\n\n\n\n<p>&#8220;While lifetime licenses work, annual licenses are absolutely more profitable over the long term. This is why you see almost every piece of software on earth now being sold with one.&#8221;</p>\n</blockquote>\n\n\n\n<p>WP All Import is one of the few remaining companies that is still using a lifetime license pricing strategy. The company noted that over the past ten years, the budgets for WordPress projects have grown along with the quality of their software. </p>\n\n\n\n<p>Generally, the response to the news has been positive. Some are considering purchasing lifetime licenses before they are no longer offered. One customer said he appreciated the honest communication but bristled at the notion that &#8220;people just expect to have to renew their software licenses.&#8221; </p>\n\n\n\n<p>&#8220;No,&#8221; developer Patrick van Kouteren said. &#8220;It is being forced upon consumers because it generates more revenue for the business selling it.&#8221;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Well, that\'s honest from WP All Import. But followed by a bullshit statement: \"people just expect to have to renew\". No. It is being forced upon consumers because it generates more revenue for the business selling it. <a href=\"https://t.co/U1p0qy4JJt\">pic.twitter.com/U1p0qy4JJt</a></p>&mdash; Patrick van Kouteren (@pvankouteren) <a href=\"https://twitter.com/pvankouteren/status/1587721931696050182?ref_src=twsrc%5Etfw\">November 2, 2022</a></blockquote>\n</div>\n\n\n\n<p>WP All Import assured existing customers that it will continue to honor their lifetime licenses and offer the same level of support. If the company releases new products in the future, lifetime license holders will be eligible to purchase annual licenses for these products at discounted rates. WP All Import said the company will be making these changes &#8220;sometime later this year or next year.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Nov 2022 22:07:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"WPTavern: WordPress 6.1 Introduces New Default Theme and Fluid Typography, Expands Design Tools and Template Options\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139076\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"https://wptavern.com/wordpress-6-1-introduces-new-default-theme-and-fluid-typography-expands-design-tools-and-template-options\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5422:\"<p><a href=\"https://wordpress.org/news/2022/11/misha/\">WordPress 6.1 &#8220;Misha&#8221;</a> was released today, named for Soviet-Norwegian jazz pianist <a href=\"https://en.wikipedia.org/wiki/Mikhail_Alperin\">Mikhail “Misha” Alperin</a>, who was born in Ukraine in 1956. A founding member of the first Moldavian jazz quartet, and later the <a href=\"https://en.wikipedia.org/wiki/Moscow_Art_Trio\">Moscow Art Trio</a>, Alperin became known for his distinct and bewitching blend of jazz and folk music.</p>\n\n\n\n<p>This release is the culmination of a months-long effort to <a href=\"https://github.com/WordPress/gutenberg/issues/43241\">improve the design tooling consistency</a> of WordPress&#8217; core blocks. That means blocks that were missing things like typography, color, and border support have been updated wherever possible to match the support included in other blocks. Design tools and their controls are also now more consistently presented, so users can intuitively know what to expect when customizing their blocks.</p>\n\n\n\n<img />image credit: WordPress 6.1 About page\n\n\n\n<p>WordPress 6.1 <a href=\"https://make.wordpress.org/core/2022/07/21/core-editor-improvement-deeper-customization-with-more-template-options/\">expands the templates options</a> available for site editing. Theme authors and users can now create page-specific templates, custom post type and post-specific templates, user-selectable custom templates for all post types, and taxonomy-specific templates for categories or tags.</p>\n\n\n\n<p>With all the new block design and template editing capabilities, WordPress 6.1 has added more sophisticated content-locking capabilities. Block-locking can now be applied to all inner blocks in one click. This applies to containing blocks like Group, Cover, and Column blocks.</p>\n\n\n\n<img />image credit: WordPress 6.1 About Page\n\n\n\n<p>Menu management has also gotten a big update in 6.1, with menu controls relocated to their own place in the block settings. The navigation block now offers new fallback options in case the block isn&#8217;t pre-populated with inner blocks. If the navigation menu is empty, the fallback behavior is to display a list of available pages using the Page List block. If there are multiple block menus, the fallback is to display the most recently created block menu. This ensures that users aren&#8217;t stuck and can more easily understand where their menus will show up.</p>\n\n\n\n<h3>New Twenty Twenty-Three Default Theme with 10 Style Variations</h3>\n\n\n\n<p>One of the most anticipated parts of this release is the new <a href=\"https://wordpress.org/themes/twentytwentythree/\">Twenty Twenty-Three</a> (TT3) default theme. This is a new kind of default theme that bundles a curated set of style variations, instead of creating a new theme from scratch. It uses a stripped-back version of Twenty Twenty-Two as the base for a theme that features <a href=\"https://wptavern.com/wordpress-announces-10-style-variation-selections-for-twenty-twenty-three-theme\">10 community-contributed style variations</a>.</p>\n\n\n\n<img />image credit: WordPress 6.1 About page\n\n\n\n<p>The theme is accessibility-ready and puts the spotlight on all of the design tools available in the latest release. It is basically a blank slate for further customization, with both rich and minimalist color palettes and multiple typography options. It will be exciting to see what the world of WordPress users builds with the new theme.</p>\n\n\n\n<img />\n\n\n\n<p>Fluid typography makes its debut in 6.1. This feature is for theme authors but benefits users and site visitors alike. It allows authors to define font sizes that will smoothly scale between smaller and larger viewports, adapting in a fluid way to varying widths. </p>\n\n\n\n<p>The best part of the new fluid typography feature is that it can easily be turned on by setting <code>typography.fluid</code> to be <code>true</code> in theme.json and adding <code>fluid</code> to each of the <code>settings.typography.fontSizes</code> with <code>min</code> and <code>max</code> values. If you want to see an example of fluid typography in action, look no further than the new Twenty Twenty-Three theme.</p>\n\n\n\n\n\n\n\n<p>Other notable new features and updates in 6.1 include the following: </p>\n\n\n\n<ul>\n<li>List and Quote blocks now support inner blocks</li>\n\n\n\n<li>Improved layout and visualization of document settings</li>\n\n\n\n<li>Support for starter patterns for any post type</li>\n\n\n\n<li>Filter Themes Directory for block themes in the admin</li>\n\n\n\n<li>Improved block placeholders that show customization options</li>\n\n\n\n<li>New system for persisting user preferences across browsers and devices</li>\n\n\n\n<li>Block-based Template Parts now available in Classic Themes</li>\n\n\n\n<li>Query Loop block extended to support custom queries</li>\n\n\n\n<li>Set preset values for padding, margin and block gap</li>\n</ul>\n\n\n\n<p>WordPress 6.1 includes more than 60 <a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">accessibility improvements</a> and 25 tickets dedicated to <a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">performance</a>. This release is the result of the tireless efforts of more than 800 contributors from 60+ countries. For a quick visual tour, check out the official WordPress 6.1 promo video:</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Nov 2022 02:30:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"WordPress.org blog: WordPress 6.1 “Misha”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13798\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"https://wordpress.org/news/2022/11/misha/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:76109:\"<img width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/inline-image-inline.png?resize=1024%2C683&ssl=1\" alt=\"\" class=\"wp-image-13872\" />\n\n\n\n<h1>Welcome to “Misha”</h1>\n\n\n\n<p>Say hello to WordPress 6.1, “Misha,” inspired by the life and work of Soviet-Norwegian jazz pianist <a href=\"https://en.wikipedia.org/wiki/Mikhail_Alperin\">Mikhail “Misha” Alperin</a>. Misha introduced the work of jazz ensembles in the USSR and globally. He is also celebrated as a founding member of the <a href=\"https://en.wikipedia.org/wiki/Moscow_Art_Trio\">Moscow Art Trio</a>.<br /><br />“Misha” further refines the site-building experience. Inside WordPress 6.1 you’ll interact with enhancements that continue to make site creation more intuitive while pushing your creative boundaries further than ever. Don’t forget to enjoy some of Misha’s <a href=\"https://www.youtube.com/channel/UCuh5oEm_jJ_jTcv8DmbLi2Q\">jazz piano</a> as you take in all WordPress 6.1 has to offer.</p>\n\n\n\n<p><span>The third major release of 2022 is here. </span><a href=\"https://wordpress.org/wordpress-6.1.zip\"><span>Download it now</span></a><span>! As of the time of this release, WordPress powers </span><a href=\"https://w3techs.com/technologies/overview/content_management\">43%</a><span> of websites worldwide.</span></p>\n\n\n\n<p><span>Site owners and administrators should upgrade today to take full advantage of the many stability, performance, and usability enhancements. Furthermore, WordPress content creators will enjoy a suite of new features geared toward improving the writing and designing experiences.</span></p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>This release includes features that many in the WordPress Community have been most excited about since the start of this project. Additional enhancements and improvements to the editor give site owners more control and easier customization while offering a more cohesive experience to users. A lot of writing-focused improvements are included in the release, because if you’re giving voices to the voiceless you’ve got to focus on folks writing the copy. </p>\n\n\n\n<p>Some of my favorite enhancements are the refined ability to select partial paragraphs in a block; settings to keep list view open by default; and the keyboard shortcut to add internal links expanded to all blocks.</p>\n<cite>Josepha Haden Chomphosy, Executive Director</cite></blockquote>\n\n\n\n<div class=\"is-layout-flex wp-block-buttons\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.1.zip\">Download WordPress 6.1</a></div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>What’s Inside</h2>\n\n\n\n<h3>Twenty Twenty-Three:<br />A fresh default theme with 10 distinct style variations</h3>\n\n\n\n<p>After introducing foundational elements for block themes and style variations in releases 5.9 and 6.0, WordPress site builders welcome a new default theme, Twenty Twenty-Three, that is powered by <a href=\"https://make.wordpress.org/design/2022/09/07/tt3-default-theme-announcing-style-variation-selections/\">10 different styles</a> and tagged as&nbsp; “<a href=\"https://make.wordpress.org/themes/handbook/review/accessibility/\">Accessibility Ready</a>.” These intentionally unique styles ensure users can apply a different look and feel to their site with a single click—all within a single theme.</p>\n\n\n\n<img width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Style-Variation-News-1.png?resize=1024%2C601&ssl=1\" alt=\"\" class=\"wp-image-13843\" />\n\n\n\n<h3>New templates for an improved creator experience</h3>\n\n\n\n<p>New and more refined templates now give site builders more control over the creation of their sites. In this suite of new templates, find a custom template for posts &amp; pages in the Site Editor. Create and edit template parts like headers and footers more quickly with a new search-and-replace tool and easily view your new site.</p>\n\n\n\n<img width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Templates-News.png?resize=1024%2C601&ssl=1\" alt=\"\" class=\"wp-image-13818\" />\n\n\n\n<h3>Design tools for more consistency and control</h3>\n\n\n\n<p>Thoughtful upgrades to the controls for design elements and blocks make laying out and building your new site a more consistent, complete, and intuitive experience.</p>\n\n\n\n\n<img width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Design-Tools-News.png?resize=1024%2C601&ssl=1\" alt=\"\" class=\"wp-image-13819\" />\n\n\n\n\n<h3>Manage menus with ease</h3>\n\n\n\n<p>New fallback options in the navigation block mean you can edit the menu that’s open; no searching needed. Plus, the controls for choosing and working on menus have their own place in the block settings. The mobile menu system also gets an upgrade with new features, including different icon options, to make the menu yours.</p>\n\n\n\n<img width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Navigation-1.png?resize=1024%2C601&ssl=1\" alt=\"\" class=\"wp-image-13844\" />\n\n\n\n<h3>Cleaner layouts and document settings visualization</h3>\n\n\n\n<p>View and manage post and page settings with a better-organized display improving the use of features like template picker and scheduler.</p>\n\n\n\n<img width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Document-settings-News-1.png?resize=1024%2C601&ssl=1\" alt=\"\" class=\"wp-image-13838\" />\n\n\n\n<h3>One-click lock setting for all inner blocks</h3>\n\n\n\n<p>When locking blocks, a new toggle lets you apply your lock settings to all the blocks in a containing block like the group, cover, and column blocks.</p>\n\n\n\n\n<img width=\"1024\" height=\"601\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/11/Lock-News.png?resize=1024%2C601&ssl=1\" alt=\"\" class=\"wp-image-13824\" />\n\n\n\n\n<h3>Improved block placeholders</h3>\n\n\n\n<p>Various blocks have improved placeholders that reflect customization options to help you design your site and its content. For example, the Image block placeholder displays custom borders and duotone filters even before selecting an image.</p>\n\n\n\n<h3>Compose richer lists and quotes with inner blocks</h3>\n\n\n\n<p>The List and Quote blocks now support inner blocks, allowing for more flexible and rich compositions like adding headings inside your Quote blocks.</p>\n\n\n\n<h3>More responsive text with fluid typography</h3>\n\n\n\n<p>For developers working with block themes and/or <code>theme.json</code>, <a href=\"https://make.wordpress.org/core/2022/08/04/whats-new-in-gutenberg-13-8-3-august/#fluid-typography-support\">fluid typography</a> lets you define font sizes that adapt for easy reading in any screen size.</p>\n\n\n\n<h3>Add starter patterns to any post type</h3>\n\n\n\n<p>In WordPress 6.0, site builders could add suggested patterns so that when creating a new page, you did not have to start blank. In 6.1, site builders can continue to opt-in to this feature for not only pages but for any post type. </p>\n\n\n\n<h3>Find block themes faster</h3>\n\n\n\n<p>The Themes Directory has a filter for block themes, and a pattern preview gives a better sense of what the theme might look like while exploring different themes and patterns.</p>\n\n\n\n<h3>Keep your Site Editor settings for later</h3>\n\n\n\n<p>Site Editor settings are now <a href=\"https://make.wordpress.org/core/2022/10/10/changes-to-block-editor-preferences-in-wordpress-6-1/\">persistent for each user</a>. This means your settings will now be consistent across browsers and devices.</p>\n\n\n\n<h3>A streamlined style system</h3>\n\n\n\n<p>The CSS rules for margin, padding, typography, colors, and borders within the <a href=\"https://make.wordpress.org/core/2022/10/10/block-styles-generation-style-engine/\">styles engine</a> are now all in one place, reducing time spent on layout-specific tasks and helps to generate semantic class names.</p>\n\n\n\n<h3>Updated interface options and features</h3>\n\n\n\n<p>Updates include <a href=\"https://make.wordpress.org/core/2022/10/10/styling-elements-in-block-themes/\">styling elements</a> like buttons, citations, and links globally; controlling hover, active, and focus states for links using theme.json (not available to control in the interface yet); and customizing outline support for blocks and elements, among other features.</p>\n\n\n\n<h3>Continued evolution of layout options</h3>\n\n\n\n<p>The default content dimensions provided by themes can now be overridden in the Styles Sidebar, giving site builders better control over full-width content. Developers have <a href=\"https://make.wordpress.org/core/2022/10/10/updated-editor-layout-support-in-6-1-after-refactor/\">fine-grained control over these controls</a>.</p>\n\n\n\n<h3>Block Template parts in classic themes</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\">Block template parts can now be defined in classic themes</a> by adding the appropriate HTML files `parts` directory at the root of the theme.</p>\n\n\n\n<h3>Expanded support for Query Loop blocks</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/10/extending-the-query-loop-block/\">New filters</a> let Query Block variations support custom queries for more powerful variations and advanced hierarchical post types filtering options.</p>\n\n\n\n<h3>Filters for all your styles</h3>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/2022/10/10/filters-for-theme-json-data/\">Leverage filters</a> in the Styles sidebar to control settings at all four levels of your site—core, theme, user, or block, from less to more specific.</p>\n\n\n\n<h3>Spacing presets for faster, consistent design</h3>\n\n\n\n<p>Save time and avoid hard-coding values into a theme with <a href=\"https://make.wordpress.org/core/2022/10/07/introduction-of-presets-across-padding-margin-and-block-gap/\">preset margin and padding values for multiple blocks.</a></p>\n\n\n\n<h3>Content-only editing support for container blocks</h3>\n\n\n\n<p>Thanks to content-only editing settings, layouts can be locked within container blocks. In a content-only block, its children are invisible to the List View and entirely uneditable. So you control the layout while your writers can focus on the content. Combine it with block-locking options for even more advanced control over your blocks.</p>\n\n\n\n<h3>Other notes of interest</h3>\n\n\n\n<ul>\n<li>6.1 includes a new time-to-read feature showing content authors the approximate time-to-read values for pages, posts, and custom post types.</li>\n\n\n\n<li>The site tagline is empty by default in new sites but can be modified in General Settings.</li>\n\n\n\n<li>A new modal design offers a background blur effect, making it easier to focus on the task at hand.</li>\n</ul>\n\n\n\n<h2>Enhancing WordPress 6.1 Accessibility</h2>\n\n\n\n<p>Accessibility is an integral part of the WordPress mission of fostering an inclusive community and supporting users of all types around the world. With this in mind, WordPress 6.1 includes nearly 60 updates specifically focused on enhancing the accessibility of the platform. <a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">Read these updates</a> to learn more about the continual initiatives aimed at improving accessibility.</p>\n\n\n\n<h2>Improved Performance in WordPress 6.1</h2>\n\n\n\n<p>WordPress 6.1 resolves more than 25 tickets dedicated to enhancing performance with improvements for every type of site. A full breakdown can be found in the <a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">Performance Field Guide</a>.</p>\n\n\n\n<h2>Learn More About WordPress 6.1</h2>\n\n\n\n<p>See WordPress 6.1 in action! Watch a <a href=\"https://www.youtube.com/watch?v=1w9oywSa6Hw\">brief overview video</a> highlighting some of the major features debuting in WordPress 6.1.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p><br /></p>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/\">learn.wordpress.org</a> for brief how-to videos and lots more on new features in WordPress. Or join a live <a href=\"https://learn.wordpress.org/social-learning/\">interactive online </a>workshop on a specific WordPress topic.</p>\n\n\n\n<p>Developers can explore the <a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">WordPress 6.1 Field Guide</a>, complete with detailed developer notes to help you build with and extend WordPress. Read the <a href=\"https://wordpress.org/support/wordpress-version/version-6-1\">WordPress</a><a href=\"https://wordpress.org/support/wordpress-version/version-6-1/\"> 6.1 Release Notes</a> for more information on the included enhancements and issues fixed, installation information, developer notes and resources, release contributors, and the list of file changes in this release.</p>\n\n\n\n<h2>The WordPress 6.1 Release Squad</h2>\n\n\n\n<p><span>The group listed below tirelessly supported the release, from conception to ship date, and beyond:</span></p>\n\n\n\n<p><span>Release Lead: </span><a href=\"https://profiles.wordpress.org/matt/\"><span>Matt Mullenweg</span></a><span>&nbsp;</span><br /><span>Release Coordinators: </span><a href=\"https://profiles.wordpress.org/priethor/\"><span>Héctor Prieto</span></a><span> and </span><a href=\"https://profiles.wordpress.org/desrosj/\"><span>Jonathan Desrosiers</span></a><span>&nbsp;</span><br /><span>Core Tech Co-Leads: </span><a href=\"https://profiles.wordpress.org/mikeschroder/\"><span>Mike Schroder</span></a><span>, </span><a href=\"https://profiles.wordpress.org/davidbaumwald/\"><span>David Baumwald</span></a><span>, and </span><a href=\"https://profiles.wordpress.org/jeffpaul/\"><span>Jeff Paul</span></a><br /><span>Editor Tech Co-Leads: </span><a href=\"https://profiles.wordpress.org/czapla/\"><span>Michal Czaplinski</span></a><span>, </span><a href=\"https://profiles.wordpress.org/bernhard-reiter/\"><span>Bernie Reiter</span></a><span>, and </span><a href=\"https://profiles.wordpress.org/cbravobernal/\"><span>Carlos Bravo</span></a><br /><span>Core Triage Co-Leads: </span><a href=\"https://profiles.wordpress.org/audrasjb/\"><span>JB Audras</span></a><span> and </span><a href=\"https://profiles.wordpress.org/chaion07/\"><span>Ahmed Chaion</span></a><br /><span>Editor Triage Co-Leads: </span><a href=\"https://profiles.wordpress.org/ndiego/\"><span>Nick Diego</span></a> <span>and </span><a href=\"https://profiles.wordpress.org/annezazu/\"><span>Anne McCarthy</span></a><br /><span>Documentation Co-Leads: </span><a href=\"https://profiles.wordpress.org/bph/\"><span>Birgit Pauli-Haack</span></a><span>, </span><a href=\"https://profiles.wordpress.org/milana_cap/\"><span>Milana Cap</span></a><span>, and </span><a href=\"https://profiles.wordpress.org/femkreations/\"><span>Femy Praseeth</span></a><br /><span>Marketing &amp; Communications Co-Leads:</span> <a href=\"https://profiles.wordpress.org/jpantani/\"><span>Jonathan Pantani</span></a> <span>and </span><a href=\"https://profiles.wordpress.org/dansoschin/\"><span>Dan Soschin</span></a><br /><span>Test Lead: </span><a href=\"https://profiles.wordpress.org/ironprogrammer/\"><span>Brian Alexander</span></a><br /><span>Design Lead: </span><a href=\"https://profiles.wordpress.org/richtabor/\"><span>Rich Tabor</span></a><br /><span>Default Theme Co-Leads: </span><a href=\"https://profiles.wordpress.org/beafialho/\"><span>Beatriz Fialho</span></a><span> &amp; </span><a href=\"https://profiles.wordpress.org/mikachan/\"><span>Sarah Norris</span></a></p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Thank you to all the contributors who dedicated time and energy to bring the best WordPress experience to everyone.</p>\n<cite>Josepha Haden Chomphosy</cite></blockquote>\n\n\n\n<p></p>\n\n\n\n<pre class=\"wp-block-code\"><code class=\"\"><p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/1naveengiri/\">1naveengiri</a> · <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/hurayraiit/\">Abu Hurayra</a> · <a href=\"https://profiles.wordpress.org/bosconiandynamics/\">Adam Bosco</a> · <a href=\"https://profiles.wordpress.org/adampickering/\">Adam Pickering</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/admwgn/\">Adam Wiltgen</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">Adam Zielinski</a> · <a href=\"https://profiles.wordpress.org/addiestavlo/\">Addie</a> · <a href=\"https://profiles.wordpress.org/oztaser/\">Adil &#214;ztaşer</a> · <a href=\"https://profiles.wordpress.org/aduth/\">aduth</a> · <a href=\"https://profiles.wordpress.org/aezazshekh/\">Aezaz Shekh</a> · <a href=\"https://profiles.wordpress.org/afrid1719/\">afrid1719</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/engahmeds3ed/\">Ahmed Saeed</a> · <a href=\"https://profiles.wordpress.org/seakashdiu/\">Akash Mia</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/kamig478/\">Akram ul haq</a> · <a href=\"https://profiles.wordpress.org/akshitsethi/\">Akshit Sethi</a> · <a href=\"https://profiles.wordpress.org/schlessera/\">Alain Schlesser</a> · <a href=\"https://profiles.wordpress.org/alamgircsebd/\">alamgircsebd</a> · <a href=\"https://profiles.wordpress.org/alanp57/\">AlanP57</a> · <a href=\"https://profiles.wordpress.org/alansyue/\">alansyue</a> · <a href=\"https://profiles.wordpress.org/aljullu/\">Albert Juh&#233; Lluveras</a> · <a href=\"https://profiles.wordpress.org/alberuni-azad/\">Alberuni Azad.</a> · <a href=\"https://profiles.wordpress.org/elpanda13gmailcom/\">Alejandro J. Sanchez P.</a> · <a href=\"https://profiles.wordpress.org/zutigrm/\">Aleksej</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/viper007bond/\">Alex Mills</a> · <a href=\"https://profiles.wordpress.org/acoulombe/\">Alexis Coulombe</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">alexstine</a> · <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a> · <a href=\"https://profiles.wordpress.org/allisonplus/\">allisonplus</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro G&#243;mez</a> · <a href=\"https://profiles.wordpress.org/amirkamizi/\">amirkamizi</a> · <a href=\"https://profiles.wordpress.org/amjadr360/\">Amjad Ali</a> · <a href=\"https://profiles.wordpress.org/anantajitjg/\">Anantajit JG</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/deksar/\">Andreas</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/_smartik_/\">Andrei Surdu</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/eatingrules/\">Andrew Wilder</a> · <a href=\"https://profiles.wordpress.org/andrewnz/\">AndrewNZ</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/andrija/\">Andrija Naglic</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/andykeith/\">Andy Keith</a> · <a href=\"https://profiles.wordpress.org/aniketpatel/\">Aniket Patel</a> · <a href=\"https://profiles.wordpress.org/anitanenova/\">anitanenova</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/annabansaghi/\">Anna Bansaghi</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/alaca/\">Ante Laca</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/apedog/\">apedog</a> · <a href=\"https://profiles.wordpress.org/apokalyptik/\">apokalyptik</a> · <a href=\"https://profiles.wordpress.org/arrasel403/\">AR Rasel</a> · <a href=\"https://profiles.wordpress.org/arcangelini/\">arcangelini</a> · <a href=\"https://profiles.wordpress.org/archon810/\">archon810</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/yellyc/\">Ariel Chinn</a> · <a href=\"https://profiles.wordpress.org/xylocone/\">Arjun Singh</a> · <a href=\"https://profiles.wordpress.org/armondal/\">Arnab Mondal</a> · <a href=\"https://profiles.wordpress.org/passoniate/\">Arslan Kalwar</a> · <a href=\"https://profiles.wordpress.org/arturgrabo/\">Artur Grabowski</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/aspexi/\">Aspexi</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/filosofo/\">Austin Matzko</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/baned/\">BaneD</a> · <a href=\"https://profiles.wordpress.org/barneydavey/\">barneydavey</a> · <a href=\"https://profiles.wordpress.org/bbobnis/\">Bartosz Bobnis</a> · <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/bengreeley/\">Ben Greeley</a> · <a href=\"https://profiles.wordpress.org/utz119/\">Benachi</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benoitchantre/\">Benoit Chantre</a> · <a href=\"https://profiles.wordpress.org/bernhard reiter/\">Bernhard Reiter</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/mxbclang/\">Bethany Chobanian Lang</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/birgire/\">Birgir Erlendsson (birgire)</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/boblindner/\">Bob</a> · <a href=\"https://profiles.wordpress.org/bobbingwide/\">bobbingwide</a> · <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bjorsch/\">Brad Jorsch</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/cantuaria/\">Bruno Cantuaria</a> · <a href=\"https://profiles.wordpress.org/ribaricplusplus/\">Bruno Ribaric</a> · <a href=\"https://profiles.wordpress.org/burgiuk/\">burgiuk</a> · <a href=\"https://profiles.wordpress.org/burhandodhy/\">Burhan Nasir</a> · <a href=\"https://profiles.wordpress.org/bwbama/\">bwbama</a> · <a href=\"https://profiles.wordpress.org/cadlec/\">cadlec</a> · <a href=\"https://profiles.wordpress.org/cagsmith/\">cagsmith</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia Prim</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cavalierlife/\">cavalierlife</a> · <a href=\"https://profiles.wordpress.org/cdbessig/\">cdbessig</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/nhuja/\">Chandra M</a> · <a href=\"https://profiles.wordpress.org/critterverse/\">Channing Ritter</a> · <a href=\"https://profiles.wordpress.org/chetan200891/\">Chetan Prajapati</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/chrisbudd1/\">Chris Budd</a> · <a href=\"https://profiles.wordpress.org/chrishardie/\">Chris Hardie</a> · <a href=\"https://profiles.wordpress.org/czarate/\">Chris Zarate</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/chrisguitarguy/\">chrisguitarguy</a> · <a href=\"https://profiles.wordpress.org/cwbudde/\">Christian-W. Budde</a> · <a href=\"https://profiles.wordpress.org/christinavoudouris/\">Christina Voudouris</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/cfinke/\">Christopher Finke</a> · <a href=\"https://profiles.wordpress.org/ryno267/\">Chuck Reynolds</a> · <a href=\"https://profiles.wordpress.org/chynnabenton/\">chynnabenton</a> · <a href=\"https://profiles.wordpress.org/ckanderson22/\">ckanderson22</a> · <a href=\"https://profiles.wordpress.org/design_dolphin/\">CodePoet</a> · <a href=\"https://profiles.wordpress.org/codewhy/\">codewhy</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/colonelphantom/\">colonelphantom</a> · <a href=\"https://profiles.wordpress.org/cbirdsong/\">Cory Birdsong</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/craigfrancis/\">craigfrancis</a> · <a href=\"https://profiles.wordpress.org/crazycoders/\">crazycoders</a> · <a href=\"https://profiles.wordpress.org/mitogh/\">Crisoforo Gaspar</a> · <a href=\"https://profiles.wordpress.org/cu121/\">Cupid Chakma</a> · <a href=\"https://profiles.wordpress.org/curdin/\">Curdin Krummenacher</a> · <a href=\"https://profiles.wordpress.org/cyrillbolliger/\">cyrillbolliger</a> · <a href=\"https://profiles.wordpress.org/dxd5001/\">Daijiro Miyazawa</a> · <a href=\"https://profiles.wordpress.org/dainemawer/\">dainemawer</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/daledupreez/\">Dale du Preez</a> · <a href=\"https://profiles.wordpress.org/colorful-tones/\">Damon Cook</a> · <a href=\"https://profiles.wordpress.org/damonganto/\">damonganto</a> · <a href=\"https://profiles.wordpress.org/danfarrow/\">Dan Farrow</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/danieliser/\">Daniel Iser</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/schutzsmith/\">Daniel Schutzsmith</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/dariak/\">Daria</a> · <a href=\"https://profiles.wordpress.org/dkotter/\">Darin Kotter</a> · <a href=\"https://profiles.wordpress.org/darkog/\">Darko G.</a> · <a href=\"https://profiles.wordpress.org/darkskipper/\">darkskipper</a> · <a href=\"https://profiles.wordpress.org/uofaberdeendarren/\">Darren Coutts</a> · <a href=\"https://profiles.wordpress.org/htdat/\">Dat Hoang</a> · <a href=\"https://profiles.wordpress.org/datainterlock/\">datainterlock</a> · <a href=\"https://profiles.wordpress.org/dhilditch/\">Dave Hilditch</a> · <a href=\"https://profiles.wordpress.org/dave1010/\">dave1010</a> · <a href=\"https://profiles.wordpress.org/davidanderson/\">David Anderson</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dcowgill/\">David C</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/desmith/\">David E. Smith</a> · <a href=\"https://profiles.wordpress.org/dg12345/\">David Goring</a> · <a href=\"https://profiles.wordpress.org/dgwyer/\">David Gwyer</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/daviedr/\">David Rozando</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/daxelrod/\">daxelrod</a> · <a href=\"https://profiles.wordpress.org/daymobrew/\">daymobrew</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/denis-de-bernardy/\">Denis de Bernardy</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/denishua/\">denishua</a> · <a href=\"https://profiles.wordpress.org/dennisatyoast/\">Dennis Claassen</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">derekblank</a> · <a href=\"https://profiles.wordpress.org/pcfreak30/\">Derrick Hammer</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhl/\">dhl</a> · <a href=\"https://profiles.wordpress.org/dianeco/\">Diane Co</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dingdang/\">dingdang</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/dipakparmar443/\">Dipak Parmar</a> · <a href=\"https://profiles.wordpress.org/divyeshgodhani/\">divyeshgodhani</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/donmhico/\">donmhico</a> · <a href=\"https://profiles.wordpress.org/dougwollison/\">Doug Wollison</a> · <a href=\"https://profiles.wordpress.org/dougal/\">Dougal Campbell</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/drivingralle/\">Drivingralle</a> · <a href=\"https://profiles.wordpress.org/drzraf/\">drzraf</a> · <a href=\"https://profiles.wordpress.org/dwainm/\">Dwain Maralack</a> · <a href=\"https://profiles.wordpress.org/kucrut/\">Dzikri Aziz</a> · <a href=\"https://profiles.wordpress.org/dovyp/\">Dōvy Paukstys</a> · <a href=\"https://profiles.wordpress.org/eclev91/\">eclev91</a> · <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a> · <a href=\"https://profiles.wordpress.org/eedee/\">eedee</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham S.</a> · <a href=\"https://profiles.wordpress.org/eliezerspp/\">Eliezer Pe&#241;a</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/manooweb/\">Emmanuel Hesry</a> · <a href=\"https://profiles.wordpress.org/lopo/\">Enrico Battocchi</a> · <a href=\"https://profiles.wordpress.org/ethitter/\">Erick Hitter</a> · <a href=\"https://profiles.wordpress.org/codekraft/\">Erik</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">estelaris</a> · <a href=\"https://profiles.wordpress.org/eugenemanuilov/\">Eugene.Manuilov</a> · <a href=\"https://profiles.wordpress.org/madpixels/\">eugene.manuilov</a> · <a href=\"https://profiles.wordpress.org/eherman24/\">Evan Herman</a> · <a href=\"https://profiles.wordpress.org/aaemnnosttv/\">Evan Mattson</a> · <a href=\"https://profiles.wordpress.org/circlecube/\">Evan Mullins</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/faisal03/\">Faisal Alvi</a> · <a href=\"https://profiles.wordpress.org/faison/\">Faison</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/fellyph/\">Fellyph Cintra</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/florianbrinkmann/\">Florian Brinkmann</a> · <a href=\"https://profiles.wordpress.org/fcoveram/\">Francisco</a> · <a href=\"https://profiles.wordpress.org/fuadragib/\">Fuad Ragib</a> · <a href=\"https://profiles.wordpress.org/furi3r/\">furi3r</a> · <a href=\"https://profiles.wordpress.org/gabri3lmarques/\">gabri3lmarques</a> · <a href=\"https://profiles.wordpress.org/gdetassigny/\">Gabriel de Tassigny</a> · <a href=\"https://profiles.wordpress.org/gabertronic/\">Gabriel Rose</a> · <a href=\"https://profiles.wordpress.org/garrett-eclipse/\">Garrett Hyder</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/garymatthews919/\">garymatthews919</a> · <a href=\"https://profiles.wordpress.org/revgeorge/\">George Hotelling</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/georgestephanis/\">George Stephanis</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">gigitux</a> · <a href=\"https://profiles.wordpress.org/giox069/\">giox069</a> · <a href=\"https://profiles.wordpress.org/giuseppemazzapica/\">giuseppemazzapica</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/goldenapples/\">goldenapples</a> · <a href=\"https://profiles.wordpress.org/greglone/\">Gr&#233;gory Viguier</a> · <a href=\"https://profiles.wordpress.org/graham73may/\">graham73may</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Ziółkowski</a> · <a href=\"https://profiles.wordpress.org/greg24/\">greg24</a> · <a href=\"https://profiles.wordpress.org/gregorlove/\">gRegor Morrill</a> · <a href=\"https://profiles.wordpress.org/gunterer/\">gunterer</a> · <a href=\"https://profiles.wordpress.org/bordoni/\">Gustavo Bordoni</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/h2ham/\">h2ham (Hiromu Hasegawa)</a> · <a href=\"https://profiles.wordpress.org/hakanca/\">hakanca</a> · <a href=\"https://profiles.wordpress.org/hakre/\">hakre</a> · <a href=\"https://profiles.wordpress.org/hansjovisyoast/\">Hans-Christiaan Braun</a> · <a href=\"https://profiles.wordpress.org/thakkarhardik/\">Hardik Thakkar</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshvaishnav/\">harshvaishnav</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/azhiyadev/\">Hauwa Abashiya</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/iamarinoh/\">Henrique Iamarino</a> · <a href=\"https://profiles.wordpress.org/henrywright/\">Henry Wright</a> · <a href=\"https://profiles.wordpress.org/here/\">here</a> · <a href=\"https://profiles.wordpress.org/herregroen/\">Herre Groen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/hiren1094/\">hiren sanja</a> · <a href=\"https://profiles.wordpress.org/hiyascout/\">hiyascout</a> · <a href=\"https://profiles.wordpress.org/howdy_mcgee/\">Howdy_McGee</a> · <a href=\"https://profiles.wordpress.org/hugodevos/\">hugodevos</a> · <a href=\"https://profiles.wordpress.org/huubl/\">huubl</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">hztyfoon</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/iansvo/\">iansvo</a> · <a href=\"https://profiles.wordpress.org/icaspar/\">iCaspar</a> · <a href=\"https://profiles.wordpress.org/igmoweb/\">Ignacio Cruz Moreno</a> · <a href=\"https://profiles.wordpress.org/igorsch/\">Igor</a> · <a href=\"https://profiles.wordpress.org/igrigorik/\">igrigorik</a> · <a href=\"https://profiles.wordpress.org/ilovecats7/\">ilovecats7</a> · <a href=\"https://profiles.wordpress.org/ilunabar/\">ilunabar</a> · <a href=\"https://profiles.wordpress.org/imadarshakshat/\">imadarshakshat</a> · <a href=\"https://profiles.wordpress.org/ipajen/\">ipajen</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/irecinius/\">irecinius</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/iulia-cazan/\">Iulia Cazan</a> · <a href=\"https://profiles.wordpress.org/ivanjeronimo/\">ivanjeronimo</a> · <a href=\"https://profiles.wordpress.org/iviweb/\">iviweb</a> · <a href=\"https://profiles.wordpress.org/jdgrimes/\">J.D. Grimes</a> · <a href=\"https://profiles.wordpress.org/primetimejas/\">Jacob Schweitzer</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/jamesckemp/\">James Kemp</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/jamieburchell/\">jamieburchell</a> · <a href=\"https://profiles.wordpress.org/janthiel/\">Jan Thiel</a> · <a href=\"https://profiles.wordpress.org/jarretc/\">Jarret</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/trapsta/\">Jasper Kinoti</a> · <a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/grandeljay/\">Jay Trees</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jeawhanlee/\">jeawhanlee</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeff Paul</a> · <a href=\"https://profiles.wordpress.org/juberstine/\">Jeff Uberstine</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeherve/\">Jeremy Herve</a> · <a href=\"https://profiles.wordpress.org/jeroenreumkens/\">JeroenReumkens</a> · <a href=\"https://profiles.wordpress.org/luminuu/\">Jessica Lyschik</a> · <a href=\"https://profiles.wordpress.org/jhart35/\">jhart35</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/jnz31/\">jnz31</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joelhardi/\">joelhardi</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/johnregan3/\">John Regan</a> · <a href=\"https://profiles.wordpress.org/johnmark8080/\">johnmark8080</a> · <a href=\"https://profiles.wordpress.org/jb510/\">Jon Brown</a> · <a href=\"https://profiles.wordpress.org/jonsurrell/\">Jon Surrell</a> · <a href=\"https://profiles.wordpress.org/psykro/\">Jonathan Bossenger</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/jonmackintosh/\">jonmackintosh</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/jonny-s/\">jonny-s</a> · <a href=\"https://profiles.wordpress.org/jonoaldersonwp/\">Jono Alderson</a> · <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josvelasco/\">Jos Velasco</a> · <a href=\"https://profiles.wordpress.org/joegrainger/\">Joseph Grainger</a> · <a href=\"https://profiles.wordpress.org/jostnes/\">Josepha Dambul</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden</a> · <a href=\"https://profiles.wordpress.org/jhabdas/\">Josh Habdas</a> · <a href=\"https://profiles.wordpress.org/joshuaabenazer/\">Joshua Abenazer</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jrbeilke/\">jrbeilke</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">jsnajdr</a> · <a href=\"https://profiles.wordpress.org/juhise/\">Juhi Saxena</a> · <a href=\"https://profiles.wordpress.org/juliemoynat/\">Julie Moynat</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juliobox/\">Julio Potier</a> · <a href=\"https://profiles.wordpress.org/just0nequestion/\">just0nequestion</a> · <a href=\"https://profiles.wordpress.org/justinahinon/\">Justin Ahinon</a> · <a href=\"https://profiles.wordpress.org/justinsainton/\">Justin Sainton</a> · <a href=\"https://profiles.wordpress.org/greenshady/\">Justin Tadlock</a> · <a href=\"https://profiles.wordpress.org/welenofsky/\">Justin Welenofsky</a> · <a href=\"https://profiles.wordpress.org/jyolsna/\">jyolsna</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/akabarikalpesh/\">Kalpesh Akabari</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karinclimber/\">Kari Anderson</a> · <a href=\"https://profiles.wordpress.org/karlgroves/\">karlgroves</a> · <a href=\"https://profiles.wordpress.org/karlijnbk/\">Karlijn Bok</a> · <a href=\"https://profiles.wordpress.org/kasparsd/\">Kaspars</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn Presner</a> · <a href=\"https://profiles.wordpress.org/kbrownkd/\">kbrownkd</a> · <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kellychoffman/\">Kelly Hoffman</a> · <a href=\"https://profiles.wordpress.org/kevinb/\">Kevin Behrens</a> · <a href=\"https://profiles.wordpress.org/khag7/\">Kevin Hagerty</a> · <a href=\"https://profiles.wordpress.org/khoipro/\">Khoi Pro</a> · <a href=\"https://profiles.wordpress.org/khokansardar/\">Khokan Sardar</a> · <a href=\"https://profiles.wordpress.org/killua99/\">killua99</a> · <a href=\"https://profiles.wordpress.org/kishanjasani/\">Kishan Jasani</a> · <a href=\"https://profiles.wordpress.org/kitchin/\">kitchin</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/kkmuffme/\">kkmuffme</a> · <a href=\"https://profiles.wordpress.org/blackawxs/\">klewis</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/vdwijngaert/\">Koen Van den Wijngaert</a> · <a href=\"https://profiles.wordpress.org/konradyoast/\">Konrad.K</a> · <a href=\"https://profiles.wordpress.org/kovshenin/\">Konstantin Kovshenin</a> · <a href=\"https://profiles.wordpress.org/kanlukasz/\">Kris Kelvin</a> · <a href=\"https://profiles.wordpress.org/krishaweb/\">KrishaWeb</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kmadhak/\">Kunal Madhak</a> · <a href=\"https://profiles.wordpress.org/kurtpayne/\">Kurt Payne</a> · <a href=\"https://profiles.wordpress.org/kwillmorth/\">kwillmorth</a> · <a href=\"https://profiles.wordpress.org/kbjohnson90/\">Kyle B. Johnson</a> · <a href=\"https://profiles.wordpress.org/devnel/\">Kyle Nel</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/laurent22777/\">laurent22777</a> · <a href=\"https://profiles.wordpress.org/lazam786/\">lazam786</a> · <a href=\"https://profiles.wordpress.org/leewillis77/\">Lee Willis</a> · <a href=\"https://profiles.wordpress.org/leemon/\">leemon</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leogermani/\">leogermani</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/linsoftware/\">Linnea Huxford</a> · <a href=\"https://profiles.wordpress.org/lonnylot/\">lonnylot</a> · <a href=\"https://profiles.wordpress.org/thelovekesh/\">Lovekesh Kumar</a> · <a href=\"https://profiles.wordpress.org/lovor/\">Lovro Hrust</a> · <a href=\"https://profiles.wordpress.org/lucasbustamante/\">Lucas Bustamante</a> · <a href=\"https://profiles.wordpress.org/lucilastancato/\">lucilastancato</a> · <a href=\"https://profiles.wordpress.org/luigipulcini/\">luigipulcini</a> · <a href=\"https://profiles.wordpress.org/zaguiini/\">Luis Felipe Zaguini</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/infolu/\">Luiz Ara&#250;jo</a> · <a href=\"https://profiles.wordpress.org/mitweka/\">Lukas Niebler</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/msnewas/\">M S Newaz</a> · <a href=\"https://profiles.wordpress.org/maartenj/\">Maarten</a> · <a href=\"https://profiles.wordpress.org/mashikag/\">Maciej</a> · <a href=\"https://profiles.wordpress.org/maciejmackowiak/\">maciejmackowiak</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/maahrokh/\">Mahrokh</a> · <a href=\"https://profiles.wordpress.org/maksimkuzmin/\">maksimkuzmin</a> · <a href=\"https://profiles.wordpress.org/malthert/\">malthert</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/manishsongirkar36/\">Manish Songirkar</a> · <a href=\"https://profiles.wordpress.org/manzoorwanijk/\">Manzoor Wani</a> · <a href=\"https://profiles.wordpress.org/manzurahammed/\">Manzur Ahammed</a> · <a href=\"https://profiles.wordpress.org/marcyoast/\">Marc</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/mkaz/\">Marcus Kazmierczak</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/nuryko/\">Marianna</a> · <a href=\"https://profiles.wordpress.org/chaton666/\">Marie Comet</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markbiek/\">Mark Biek</a> · <a href=\"https://profiles.wordpress.org/markhowellsmead/\">Mark Howells-Mead</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markparnell/\">Mark Parnell</a> · <a href=\"https://profiles.wordpress.org/markoheijnen/\">Marko Heijnen</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/mhkuu/\">Martijn van der Klis</a> · <a href=\"https://profiles.wordpress.org/hinjiriyo/\">Martin Stehle</a> · <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">Mary Baum</a> · <a href=\"https://profiles.wordpress.org/mashukushibiki/\">Mashu</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">masteradhoc</a> · <a href=\"https://profiles.wordpress.org/msurdi/\">Mat&#237;as Emanuel Surdi</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">matiasbenedetto</a> · <a href=\"https://profiles.wordpress.org/mattchowning/\">Matt Chowning</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mattwondra/\">Matt Wondra</a> · <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a> · <a href=\"https://profiles.wordpress.org/mattheweppelsheimer/\">Matthew Eppelsheimer</a> · <a href=\"https://profiles.wordpress.org/matthiaspabst/\">Matthias Pabst</a> · <a href=\"https://profiles.wordpress.org/matthiasreinholz/\">Matthias Reinholz</a> · <a href=\"https://profiles.wordpress.org/mattyrob/\">mattyrob</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maximej/\">Maxime J.</a> · <a href=\"https://profiles.wordpress.org/maximemeganck/\">Maxime Meganck</a> · <a href=\"https://profiles.wordpress.org/mayankmajeji/\">Mayank Majeji</a> · <a href=\"https://profiles.wordpress.org/maythamalsudany/\">maythamalsudany</a> · <a href=\"https://profiles.wordpress.org/mayuge/\">Mayuge</a> · <a href=\"https://profiles.wordpress.org/mcliwanow/\">mcliwanow</a> · <a href=\"https://profiles.wordpress.org/rakibwordpress/\">Md Rakib Hossain</a> · <a href=\"https://profiles.wordpress.org/russel07/\">Md. Russel Hussain</a> · <a href=\"https://profiles.wordpress.org/mdrago/\">mdrago</a> · <a href=\"https://profiles.wordpress.org/mehedi890/\">Mehedi Foysal</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/mehulkaklotar/\">Mehul Kaklotar</a> · <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/meloniq/\">meloniq</a> · <a href=\"https://profiles.wordpress.org/merkys/\">Merkys Maliukevičius</a> · <a href=\"https://profiles.wordpress.org/meysamnorouzi/\">meysam norouzi</a> · <a href=\"https://profiles.wordpress.org/mfgmicha/\">Micha Krapp</a> · <a href=\"https://profiles.wordpress.org/michaelbourne/\">Michael Bourne</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mihaidumitrascu/\">Mihai Dumitrascu</a> · <a href=\"https://profiles.wordpress.org/mihai2u/\">Mike Crantea</a> · <a href=\"https://profiles.wordpress.org/mdgl/\">Mike Glendinning</a> · <a href=\"https://profiles.wordpress.org/mikehansenme/\">Mike Hansen</a> · <a href=\"https://profiles.wordpress.org/mikejolley/\">Mike Jolley (a11n)</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikemanzo/\">mikemanzo</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/milindmore22/\">Milind More</a> · <a href=\"https://profiles.wordpress.org/mimitips/\">mimi</a> · <a href=\"https://profiles.wordpress.org/multidots1896/\">Minal Diwan</a> · <a href=\"https://profiles.wordpress.org/presents111/\">miya</a> · <a href=\"https://profiles.wordpress.org/mlajo/\">Mladen</a> · <a href=\"https://profiles.wordpress.org/batmoo/\">Mohammad Jangda</a> · <a href=\"https://profiles.wordpress.org/mjkhajeh/\">MohammadJafar Khajeh</a> · <a href=\"https://profiles.wordpress.org/mohitdadhich10/\">Mohit Dadhich</a> · <a href=\"https://profiles.wordpress.org/boemedia/\">Monique Dubbelman</a> · <a href=\"https://profiles.wordpress.org/mt8biz/\">moto hachi</a> · <a href=\"https://profiles.wordpress.org/mreishus/\">mreishus</a> · <a href=\"https://profiles.wordpress.org/mrobit/\">mrobit</a> · <a href=\"https://profiles.wordpress.org/msolution/\">msolution</a> · <a href=\"https://profiles.wordpress.org/mtias/\">mtias</a> · <a href=\"https://profiles.wordpress.org/wparslan/\">Muhammad Arslan</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/mmaumio/\">Muntasir Mahmud</a> · <a href=\"https://profiles.wordpress.org/amustaque97/\">Mustaque Ahmed</a> · <a href=\"https://profiles.wordpress.org/mvraghavan/\">mvraghavan</a> · <a href=\"https://profiles.wordpress.org/mweichert/\">mweichert</a> · <a href=\"https://profiles.wordpress.org/n8finch/\">n8finch</a> · <a href=\"https://profiles.wordpress.org/tushar284/\">Nahid Hasan</a> · <a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\">Nalini Thakor</a> · <a href=\"https://profiles.wordpress.org/namithjawahar/\">Namith Jawahar</a> · <a href=\"https://profiles.wordpress.org/nareshbheda/\">Naresh Bheda</a> · <a href=\"https://profiles.wordpress.org/nateallen/\">Nate Allen</a> · <a href=\"https://profiles.wordpress.org/nhadsall/\">Nathan</a> · <a href=\"https://profiles.wordpress.org/nathanatmoz/\">Nathan Johnson</a> · <a href=\"https://profiles.wordpress.org/navigatrum/\">navigatrum</a> · <a href=\"https://profiles.wordpress.org/neffff/\">neffff</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a> · <a href=\"https://profiles.wordpress.org/nico23/\">Nico</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/nikkigagency/\">nikkigagency</a> · <a href=\"https://profiles.wordpress.org/im_niloy/\">Niloy</a> · <a href=\"https://profiles.wordpress.org/ninos-ego/\">Ninos</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/nlpro/\">nlpro</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/noplanman/\">noplanman</a> · <a href=\"https://profiles.wordpress.org/nouarah/\">nouarah</a> · <a href=\"https://profiles.wordpress.org/numidwasnotavailable/\">NumidWasNotAvailable</a> · <a href=\"https://profiles.wordpress.org/nunomorgadinho/\">Nuno Morgadinho</a> · <a href=\"https://profiles.wordpress.org/zikubd/\">Nurul Umbhiya</a> · <a href=\"https://profiles.wordpress.org/nvartolomei/\">nvartolomei</a> · <a href=\"https://profiles.wordpress.org/obayedmamur/\">Obayed Mamur</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/oguzkocer/\">oguzkocer</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/oliverstapelfeldt/\">Oliver Stapelfeldt</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/oneearth27/\">oneearth27</a> · <a href=\"https://profiles.wordpress.org/onnimonni/\">Onni Hakala</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/ovidiul/\">ovidiul</a> · <a href=\"https://profiles.wordpress.org/p_enrique/\">p_enrique</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/poliuk/\">Pablo Postigo</a> · <a href=\"https://profiles.wordpress.org/pablohoney/\">PabloHoney</a> · <a href=\"https://profiles.wordpress.org/palmiak/\">palmiak</a> · <a href=\"https://profiles.wordpress.org/pls78/\">Paolo L. Scala</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/xparham/\">Parham Ghaffarian</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/patrickgroot/\">Patrick Groot</a> · <a href=\"https://profiles.wordpress.org/pbearne/\">Paul Bearne</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/figureone/\">Paul Ryan</a> · <a href=\"https://profiles.wordpress.org/paulohcruz/\">Paulo Cruz</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pavelschoffer/\">pavelschoffer</a> · <a href=\"https://profiles.wordpress.org/pbking/\">pbking</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/petitphp/\">petitphp</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walbø Johnsgård</a> · <a href=\"https://profiles.wordpress.org/johnstonphilip/\">Phil Johnston</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/strategio/\">Pierre Sylvestre</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/mordauk/\">Pippin Williamson</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/praful2111/\">Praful Patel</a> · <a href=\"https://profiles.wordpress.org/pratiweb/\">Pratiksha</a> · <a href=\"https://profiles.wordpress.org/nikeo/\">presscustomizr</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/presstoke/\">presstoke</a> · <a href=\"https://profiles.wordpress.org/priyomukul/\">Priyo Mukul</a> · <a href=\"https://profiles.wordpress.org/prokium/\">prokium</a> · <a href=\"https://profiles.wordpress.org/itsjonq/\">Q</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/larrach/\">Rachel Peter</a> · <a href=\"https://profiles.wordpress.org/raduiason/\">raduiason</a> · <a href=\"https://profiles.wordpress.org/rafiahmedd/\">Rafi Ahmed</a> · <a href=\"https://profiles.wordpress.org/tan007/\">Rahi Prajapati</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajeshraval786/\">Rajesh Raval</a> · <a href=\"https://profiles.wordpress.org/ralucastn/\">ralucastn</a> · <a href=\"https://profiles.wordpress.org/superpoincare/\">Ramanan</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/rcorrales/\">Ramon Corrales</a> · <a href=\"https://profiles.wordpress.org/ramon-fincken/\">ramon fincken</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/randhirexpresstech/\">Randhir Kumar Jha</a> · <a href=\"https://profiles.wordpress.org/ravipatel/\">Ravikumar Patel</a> · <a href=\"https://profiles.wordpress.org/rcanepa/\">rcanepa</a> · <a href=\"https://profiles.wordpress.org/rebasaurus/\">rebasaurus</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/tabrisrp/\">Remy Perona</a> · <a href=\"https://profiles.wordpress.org/renathoc/\">Renatho (a11n)</a> · <a href=\"https://profiles.wordpress.org/renegeuze/\">renegeuze</a> · <a href=\"https://profiles.wordpress.org/laboiteare/\">Reuhno</a> · <a href=\"https://profiles.wordpress.org/rflw/\">rflw</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/rinatkhaziev/\">Rinat</a> · <a href=\"https://profiles.wordpress.org/rinkychowdhury9/\">Rinky Chowdhury</a> · <a href=\"https://profiles.wordpress.org/rishishah/\">Rishi Shah</a> · <a href=\"https://profiles.wordpress.org/rkaiser0324/\">rkaiser0324</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/miqrogroove/\">Robert Chapin</a> · <a href=\"https://profiles.wordpress.org/robertghetau/\">robertght</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/robmiller/\">robmiller</a> · <a href=\"https://profiles.wordpress.org/rodrigosevero/\">rodrigosevero</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/rolfsiebers/\">Rolf Siebers</a> · <a href=\"https://profiles.wordpress.org/rollybueno/\">rollybueno</a> · <a href=\"https://profiles.wordpress.org/rherault/\">Romain Herault</a> · <a href=\"https://profiles.wordpress.org/romulodl/\">romulodl</a> · <a href=\"https://profiles.wordpress.org/ross_ritchey/\">ross_ritchey</a> · <a href=\"https://profiles.wordpress.org/lev0/\">Roy</a> · <a href=\"https://profiles.wordpress.org/geekstreetwp/\">Russell Aaron</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/ryanmurphy/\">Ryan Murphy</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/soean/\">S&#246;ren Wrede</a> · <a href=\"https://profiles.wordpress.org/sabbirmc/\">Sabbir Ahmed</a> · <a href=\"https://profiles.wordpress.org/sajjad67/\">Sajjad Hossain Sagor</a> · <a href=\"https://profiles.wordpress.org/saggre/\">Sakri Koskimies</a> · <a href=\"https://profiles.wordpress.org/samikeijonen/\">Sami Keijonen</a> · <a href=\"https://profiles.wordpress.org/viralsampat/\">Sampat Viral</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/sandipmondal/\">Sandip Mondal - a11n</a> · <a href=\"https://profiles.wordpress.org/sandrasanzdev/\">Sandra Sanz</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">santosguillamot</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarahricker/\">sarahricker</a> · <a href=\"https://profiles.wordpress.org/sathyapulse/\">Sathiyamoorthy V</a> · <a href=\"https://profiles.wordpress.org/isaumya/\">Saumya Majumder</a> · <a href=\"https://profiles.wordpress.org/xconsau/\">Saurabh Sharma</a> · <a href=\"https://profiles.wordpress.org/scofennellgmailcom/\">Scott Fennell</a> · <a href=\"https://profiles.wordpress.org/sc0ttkclark/\">Scott Kingsley Clark</a> · <a href=\"https://profiles.wordpress.org/gmagicscott/\">Scott Lesovic</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/sean212/\">Sean Fisher</a> · <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a> · <a href=\"https://profiles.wordpress.org/monolithon/\">seieric</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/seedsca/\">Sergio Scabuzzo</a> · <a href=\"https://profiles.wordpress.org/seriouslysenpai/\">seriouslysenpai</a> · <a href=\"https://profiles.wordpress.org/sethta/\">Seth Alling</a> · <a href=\"https://profiles.wordpress.org/shanjidah/\">shangidah afroz</a> · <a href=\"https://profiles.wordpress.org/enchiridion/\">Shannon Little</a> · <a href=\"https://profiles.wordpress.org/sharjeelkhanvmi/\">Sharjeel Khan</a> · <a href=\"https://profiles.wordpress.org/shoaibkarimali/\">Shoaib Ali</a> · <a href=\"https://profiles.wordpress.org/shraboni/\">Shraboni</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/shuvo586/\">shuvo586</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth ravikumar</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/siobhyb/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirzooro/\">sirzooro</a> · <a href=\"https://profiles.wordpress.org/slaffik/\">Slava Abakumov</a> · <a href=\"https://profiles.wordpress.org/slobodanmanic/\">Slobodan Manic</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/sobatkras/\">sobatkras</a> · <a href=\"https://profiles.wordpress.org/khromov/\">Stanislav Khromov</a> · <a href=\"https://profiles.wordpress.org/steelwagstaff/\">SteelWagstaff</a> · <a href=\"https://profiles.wordpress.org/ste_95/\">Stefano</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/hypest/\">Stefanos Togoulidis</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/netweb/\">Stephen Edgar</a> · <a href=\"https://profiles.wordpress.org/camwynsp/\">Stephen Page</a> · <a href=\"https://profiles.wordpress.org/sterlo/\">Sterling Hamilton</a> · <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a> · <a href=\"https://profiles.wordpress.org/steveo2000/\">steveo2000</a> · <a href=\"https://profiles.wordpress.org/studiolxv/\">studiolxv</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/5um17/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/csesumonpro/\">Sumon Sarker</a> · <a href=\"https://profiles.wordpress.org/sunil25393/\">SunilPrajapati</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/system909/\">system909</a> · <a href=\"https://profiles.wordpress.org/tahmidulkarim/\">Tahmid ul Karim</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/devtanbir/\">Tanbir Ahmod</a> · <a href=\"https://profiles.wordpress.org/tanvirul/\">Tanvirul Haque</a> · <a href=\"https://profiles.wordpress.org/taskotr/\">Taras Dashkevych</a> · <a href=\"https://profiles.wordpress.org/targz/\">targz</a> · <a href=\"https://profiles.wordpress.org/tlovett1/\">Taylor Lovett</a> · <a href=\"https://profiles.wordpress.org/tazotodua/\">tazotodua</a> · <a href=\"https://profiles.wordpress.org/tbember/\">tbember</a> · <a href=\"https://profiles.wordpress.org/tykoted/\">Teddy Patriarca</a> · <a href=\"https://profiles.wordpress.org/tellyworth/\">Tellyworth</a> · <a href=\"https://profiles.wordpress.org/edent/\">Terence Eden</a> · <a href=\"https://profiles.wordpress.org/tharsheblows/\">tharsheblows</a> · <a href=\"https://profiles.wordpress.org/iamjaydip/\">thejaydip</a> · <a href=\"https://profiles.wordpress.org/tweetythierry/\">Thierry Muller</a> · <a href=\"https://profiles.wordpress.org/thijso/\">Thijs</a> · <a href=\"https://profiles.wordpress.org/griffinjt/\">Thomas Griffin</a> · <a href=\"https://profiles.wordpress.org/hyperbrand/\">Thorsten Schraut</a> · <a href=\"https://profiles.wordpress.org/threadi/\">threadi</a> · <a href=\"https://profiles.wordpress.org/baxbridge/\">Tiffany Bridge</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Kr&#252;ss</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmooredev/\">Titus Moore</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/tomjdv/\">Tom de Visser</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/tj692/\">Tom Janssen</a> · <a href=\"https://profiles.wordpress.org/tommusrhodus/\">Tom Rhodes</a> · <a href=\"https://profiles.wordpress.org/tomasztunik/\">Tomasz Tunik</a> · <a href=\"https://profiles.wordpress.org/tomepajk/\">tomepajk</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/tonylocalword/\">tony.localword</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/transl8or/\">transl8or</a> · <a href=\"https://profiles.wordpress.org/wpsmith/\">Travis Smith</a> · <a href=\"https://profiles.wordpress.org/tremidkhar/\">Tremi Dkhar</a> · <a href=\"https://profiles.wordpress.org/trevorpfromsandee/\">TrevorPolischuk</a> · <a href=\"https://profiles.wordpress.org/nathannoom/\">Trinadin</a> · <a href=\"https://profiles.wordpress.org/dinhtungdu/\">Tung Du</a> · <a href=\"https://profiles.wordpress.org/turtlepod/\">turtlepod</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/grapplerulrich/\">Ulrich</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">upadalavipul</a> · <a href=\"https://profiles.wordpress.org/utsavmadaan823/\">utsavmadaan823</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/evildon/\">varma</a> · <a href=\"https://profiles.wordpress.org/vasartam/\">vasartam</a> · <a href=\"https://profiles.wordpress.org/vdankbaar/\">vdankbaar</a> · <a href=\"https://profiles.wordpress.org/velochicdunord/\">Velochicdunord</a> · <a href=\"https://profiles.wordpress.org/vcanales/\">Vicente Canales</a> · <a href=\"https://profiles.wordpress.org/vikasprogrammer/\">vikasprogrammer</a> · <a href=\"https://profiles.wordpress.org/virgar/\">Virginie Garnier</a> · <a href=\"https://profiles.wordpress.org/vishalkakadiya/\">Vishal Kakadiya</a> · <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a> · <a href=\"https://profiles.wordpress.org/elten/\">wang</a> · <a href=\"https://profiles.wordpress.org/webbeetle/\">webbeetle</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/whissi/\">Whissi</a> · <a href=\"https://profiles.wordpress.org/earnjam/\">William Earnhardt</a> · <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a> · <a href=\"https://profiles.wordpress.org/withinboredom/\">withinboredom</a> · <a href=\"https://profiles.wordpress.org/woji29911/\">woji29911</a> · <a href=\"https://profiles.wordpress.org/yahil/\">Yahil Madakiya</a> · <a href=\"https://profiles.wordpress.org/yannielsen/\">Yan Knudtskov</a> · <a href=\"https://profiles.wordpress.org/collet/\">Yann</a> · <a href=\"https://profiles.wordpress.org/yoavf/\">Yoav Farhi</a> · <a href=\"https://profiles.wordpress.org/byohann6/\">Yohann Billard</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/omaeyusuke/\">yuu</a> · <a href=\"https://profiles.wordpress.org/zaerl/\">zaerl</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/ziposc/\">ziposc</a> · <a href=\"https://profiles.wordpress.org/chesio/\">Česlav Przywara</a> · <a href=\"https://profiles.wordpress.org/shenyanzhi/\">沈唁</a></p><br /></code></pre>\n\n\n\n<p>WordPress 6.1 would not have been possible without the contributions of more than 800 people in over 60 countries. Their asynchronous coordination to deliver hundreds of enhancements and fixes into a stable release is a testament to the power and capability of the WordPress community.</p>\n\n\n\n<p>By release day, 71 locales had translated 90-percent or more of WordPress 6.1 into their language. Community translators continue after a release ensuring more translations are on their way. Thank you to everyone who helps to make WordPress available in over 200 languages.</p>\n\n\n\n<p>Many thanks to all of the community volunteers who contribute to the <a href=\"https://wordpress.org/support/\">support forums</a> by answering questions from WordPress users around the world.</p>\n\n\n\n<p>If contributing to WordPress appeals to you, it’s easy to learn more and get involved. Discover the different teams that come together to <a href=\"https://make.wordpress.org/\">Make WordPress</a> and explore the product roadmap on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>.</p>\n\n\n\n<h2>The WordPress Mission &amp; You</h2>\n\n\n\n<p>WordPress is software designed for everyone, emphasizing accessibility, performance, security, and ease of use. The project believes great software should work with minimum setup, so you can focus on sharing your story, product, or services freely. The basic WordPress software is simple and predictable so you can easily get started. It also offers powerful features for growth and success.</p>\n\n\n\n<p>WordPress believes in democratizing publishing and <a href=\"https://opensource.org/osd-annotated\">the freedoms that come with open source</a>. Supporting this idea is a large community of people collaborating on and contributing to this project. The WordPress community is welcoming and inclusive. Our contributors’ passion drives the success of WordPress which, in turn, helps you reach your goals.</p>\n\n\n\n<p><a href=\"https://wordpress.org/about/\">Learn more about WordPress</a> and how you can join our community to help shape the future of the world’s most popular website platform.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2>Haiku Fun for 6.1</h2>\n\n\n\n<p>Another release,<br />Mark it down as completed.<br />Breathe, relax, and cheers!</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><em>This announcement was updated on Tue Nov 8 at 9:00 p.m. UTC to clarify some features in 6.1.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Nov 2022 18:38:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Do The Woo Community: Around the Woo Builder Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73400\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://dothewoo.io/around-the-woo-builder-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:389:\"<p>Discovering what people are doing and thinking in the WooCommerce Builder Community and what you can learn from their insights.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/around-the-woo-builder-community/\">Around the Woo Builder Community</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Nov 2022 10:03:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WPTavern: New Missing Menu Items Plugin Adds Site Building Links to WordPress Admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139048\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wptavern.com/new-missing-menu-items-plugin-adds-site-building-links-to-wordpress-admin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2904:\"<p>If you are going all in on building sites with the new full-site editing (FSE) experience, then you may have noticed a lack of menu items that will deliver you directly to the tools you need to use. </p>\n\n\n\n<p>It may be because the Site Editor is still in beta, or because WordPress leadership may still be <a href=\"https://wptavern.com/wordpress-contributors-consider-renaming-full-site-editing\">discussing whether to rename FSE</a>. Perhaps it&#8217;s better that users don&#8217;t blindly stumble into FSE templates from the main admin menu, but some of these site building features are buried away with no quick access. </p>\n\n\n\n<p>For example, you are three clicks deep before arriving at Template Parts. Managing reusable blocks is also a tucked away on a separate screen that can be accessed through the post editor but sends you to a new page. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">If you\'re using the block editor, and reusable blocks<br /><br />Do yourself a favor cut and paste this at the end of your website: <br /><br />/wp-admin/edit.php?post_type=wp_block<br /><br />Then bookmark it.</p>&mdash; Ben LayerWP &amp; WPDeals.email (@benswrite) <a href=\"https://twitter.com/benswrite/status/1585257042406957058?ref_src=twsrc%5Etfw\">October 26, 2022</a></blockquote>\n</div>\n\n\n\n<p>When LayerWP founder Ben Townsend brought attention to this in a tweet, Roy Sivan responded with a link to a new free plugin that creates quicker access to these menus.</p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/missing-menu-items/\">Missing Menu Items</a> expands the admin menu with links to reusable blocks, navigation menus, templates, and template parts, so they are all one click away. It adds them to the Appearance menu under the Editor (beta) link:</p>\n\n\n\n<img />\n\n\n\n<p>If you are regularly working with Reusable blocks or editing navigation and templates, this plugin will save you some time and help you zip around the editor faster.  </p>\n\n\n\n<img />\n\n\n\n<p>Missing Menu Items was made by <a href=\"https://easilyamusedinc.com/\">Easily Amused</a>, the creators of <a href=\"https://blockstyles.com/\">Block Styles</a>, a commercial plugin that lets users further customize core blocks with unique styles and boasts “fully responsive block-level design control.&#8221; The team will be adding more useful menu links and admin improvements in future releases. Users can <a href=\"https://blockstyles.com/contact/\">contact</a> the development team with menu item requests and they will consider them. </p>\n\n\n\n<p><a href=\"https://wordpress.org/plugins/missing-menu-items\">Missing Menu Items</a> is available on WordPress.org. Direct support is available for those who have purchased a <a href=\"https://blockstyles.com/\">BlockStyles</a> membership, and community support can be found in the plugin&#8217;s forums on the directory.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Nov 2022 03:15:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WordPress.org blog: People of WordPress: Raghavendra Satish Peri\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=13705\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wordpress.org/news/2022/10/people-of-wordpress-raghavendra-satish-peri/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12327:\"<p><strong>This month, in the run up to WordPress Accessibility Day, we feature Raghavendra Satish Peri, a blogger turned digital entrepreneur based in India, who specializes</strong> <strong>in web accessibility and digital marketing</strong>.</p>\n\n\n\n<p><strong>The People of WordPress series shares inspiring stories of how people&#8217;s lives can change for the better through WordPress and its global network of contributors.</strong></p>\n\n\n\n<img width=\"1014\" height=\"627\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-featured-img.jpg?resize=1014%2C627&ssl=1\" alt=\"Raghavendra speaking at a Blogger event, 2015.\" class=\"wp-image-13701\" />Raghavendra speaking at a blogger event, 2015\n\n\n\n<h2>Expressing myself through WordPress</h2>\n\n\n\n<p>Raghavendra Satish Peri says WordPress is more than a way to succeed online. It&#8217;s a community that has always answered his questions and helped him learn, and has enabled his voice to be heard across the world.</p>\n\n\n\n<p>These are motivating benefits for Raghavendra, who has a vision impairment that introduces challenges to many of the things he wants to do. The WordPress community has helped him make some of his dreams come true. After chatting with others at WordPress events, about his wish to go trekking and running, he found he was later contacted by people in the community went with him to do just that.</p>\n\n\n\n<img width=\"534\" height=\"748\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-3.jpg?resize=534%2C748&ssl=1\" alt=\"Raghavendra training for a marathon in 2013.\" class=\"wp-image-13702\" />Raghavendra training for a marathon in 2013\n\n\n\n<p>He also found WordPress events a way to raise the importance of accessibility issues, share tips, and connect local communities so they can collaborate on items both within and outside WordPress.</p>\n\n\n\n<h2>Life growing up with an enabling family</h2>\n\n\n\n<p>A key asset for Raghavendra has been the support of his family as he coped with his progressive blindness. His sister took charge of teaching him important social and life skills, so he could navigate his country&#8217;s rigorous education system.</p>\n\n\n\n<p>Those were the early days of technology everywhere, and nobody much was thinking about using it in education and day-to-day life.</p>\n\n\n\n<p>When Raghavendra got his first computer, in 2004, it was a revelation. His sister taught him to use the internet efficiently, and he taught himself a few basics of programming. Soon he was spending 10 to 12 hours a day exploring the online world and learning about the web.</p>\n\n\n\n<h2>Discovering WordPress and blogging</h2>\n\n\n\n<p>In 2006, he learned basic web design and began to sell website templates. His growing interest in search engines and content led him to WordPress. As the years progressed, his eyesight deteriorated. He had to relearn his skills and acquire new ones to compensate. When he could no longer see the computer screen, he learnt to use screen readers.&nbsp;</p>\n\n\n\n<p>At that point there was a gap: he had the same business skills, but he couldn&#8217;t apply them as effectively until he got comfortable with using screen readers.&nbsp;</p>\n\n\n\n<img width=\"800\" height=\"534\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/4.jpg?resize=800%2C534&ssl=1\" alt=\"Raghavendra speaking at an event in Bangalore, India in 2014. Photo Credit: Two Feet To Fly - fLaShBuLbZz Photography\" class=\"wp-image-13790\" />Raghavendra speaking at an event in Bengalaru, India in 2014\n\n\n\n<p>To help achieve that, Raghavendra moved to Bengalaru, where he got a full education in screen-reader technology and took a job as a consultant in digital accessibility.</p>\n\n\n\n<p>He recalls learning from that time that, in his words: “Some things are important, but one needs to let them go so that more important things can take the new space.”</p>\n\n\n\n<p>During his stay in Bengaluru, he stumbled on the idea of blogging and audiobooks. On his 23rd birthday, he had two firsts: registering a domain and publishing a blog post. At first he wrote about things happening in his daily life, which initially got low responses. But when he started attending blogging and tech meetups, he received encouragement from fellow bloggers who complimented him on his writing style. </p>\n\n\n\n<p>Using WordPress to publish his story, Raghavendra found a love for writing and this made him want to learn and understand WordPress much better.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<h2>“Writing freed my mind and soul from the pain and sorrow; it takes a person into a Zen state where one can understand their soul once they see their own thoughts on paper.”</h2>\n<cite>Raghavendra Satish Peri</cite></blockquote>\n\n\n\n<p>There were still some ongoing challenges arising from his difficulties with seeing. For example, Raghavendra found coding was made more complicated. But he took it slowly, and he improved steadily.&nbsp;</p>\n\n\n\n<p>He started as many WordPressers do, installing themes and plugins, and making minor changes to the code. Ultimately, he moved all of his sites to WordPress, and as he learned more about WordPress, he could help his friends and family more with their projects.</p>\n\n\n\n<p>After just a few years, Raghavendra had the skills and the confidence to build just about anything in WordPress, progressing from simple to complex websites.</p>\n\n\n\n<p>Today Raghavendra is a successful entrepreneur. He sees his life as full of promise. WordPress still helps him grow every day, professionally and personally.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>“There is always hope for tomorrow! Do not look for the light at the end of the tunnel, embrace the darkness, listen to the quietness, and feel the airflow. You will know that light is ahead even before you see it.&#8221;&nbsp;</p>\n<cite>Raghavendra Satish Peri</cite></blockquote>\n\n\n\n<h2>Contribute to accessibility and WordPress</h2>\n\n\n\n<p>Another thing Raghavendra has in common with many WordPressers is his enthusiasm and involvement in the community. As he has learnt more about the software, he felt he needed to be involved with improving accessibility too. He started to help organize local meetups and conferences and encourages others to give time and skills to contribute too.&nbsp;</p>\n\n\n\n<img width=\"704\" height=\"500\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-5.jpg?resize=704%2C500&ssl=1\" alt=\"2016, Raghavendra on stage speaking at WordCamp Mumbai\" class=\"wp-image-13699\" />2016, Raghavendra speaking at WordCamp Mumbai\n\n\n\n<p>He follows software development closely, especially where WordPress meets accessibility.</p>\n\n\n\n<p>In 2020, on learning about a global WordPress Accessibility event, he applied and became a speaker. His topic was <a href=\"https://youtu.be/bvgLjWCRfrQ\">Gutenberg Accessibility, A Screen Reader User&#8217;s Perspective</a>. His interest continued as a result of this event, and he wanted to be part of growing its audience and impact, initially through joining its dedicated channel on Slack. Eventually, he joined the organizing team for future events.</p>\n\n\n\n<p>Helping run WordPress events brought together all of Raghavendra&#8217;s existing skills. It taught him a lot about what it takes to make an event truly inclusive, from captions and sign language to media players and more.&nbsp;</p>\n\n\n\n<p>As his involvement has grown, Raghavendra has found it has become easier to source and use resources that make events and presentations more accessible. But knows there&#8217;s always more that can be learnt in this area, and encourages others to use understanding from events like the Accessibility Days in their conferences.</p>\n\n\n\n<p>Join the global WordPress Accessibility Day 2022 online on November 2-3, 2022.&nbsp;It&#8217;s <a href=\"https://wpaccessibility.day/\">free to register</a>!</p>\n\n\n\n<a href=\"https://wpaccessibility.day/\" target=\"_blank\" rel=\"noreferrer noopener\"><img width=\"568\" height=\"173\" src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/wp-accessibility-day-22.png?resize=568%2C173&ssl=1\" alt=\"WordPress Accessibility Day 2022 logo in purple and turquoise\" class=\"wp-image-13783\" /></a>\n\n\n\n<h2><br />Sharing learning on accessibility can be a motivator </h2>\n\n\n\n<p>In 2021, Raghavendra underwent his most challenging event to date, when he had a kidney transplant. To motivate himself, he started a website that focuses on accessibility and inclusive design. This prompted him to start an accessibility community to help fill the gaps in accessibility knowledge. Today, it is one of India’s largest online accessibility communities, educating developers and designers and training people with disabilities to build a career in accessibility testing.</p>\n\n\n\n<img src=\"https://i0.wp.com/wordpress.org/news/files/2022/10/raghavendra-6.jpg?resize=680%2C790&ssl=1\" alt=\"Portrait photo of Raghavendra post his organ transplant, 2021.\" class=\"wp-image-13698\" width=\"680\" height=\"790\" />Raghavendra after his organ transplant in 2021\n\n\n\n<p>Raghavendra is also a keen user of the WordPress Gutenberg editor and builds all his websites using it. Though content creation and editing can still pose him difficulties, he finds the front end of the Gutenberg blocks very accessible. He believes in participating in the software to make it a better experience for all.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>&#8220;I decided to live my life to the fullest and make my mark on the world. This thought keeps me motivated.&#8221;</p>\n<cite>Raghavendra Satish Peri</cite></blockquote>\n\n\n\n<p>After a successful transplant, he lives a disciplined life with a few restrictions. He continues to enjoy working in-depth in disability, accessibility, and inclusion spaces. Raghavendra hopes others will join with him and the thousands of other people who collaborate to make a difference.</p>\n\n\n\n<h2>Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community. Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<p>Thank you to Raghavendra Satish Peri (<a href=\"https://profiles.wordpress.org/tarkham/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>tarkham</a>) for sharing his experiences for this latest edition.</p>\n\n\n\n<h2>Contributors</h2>\n\n\n\n<p>Thanks to Meher Bala (<a href=\"https://profiles.wordpress.org/meher/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>meher</a>), Abha Thakor (<a href=\"https://profiles.wordpress.org/webcommsat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>webcommsat</a>) and Surendra Thakor (<a href=\"https://profiles.wordpress.org/sthakor/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sthakor</a>) for interviews and writing this feature, to Mary Baum (<a href=\"https://profiles.wordpress.org/marybaum/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>marybaum</a>), Chloe Bringmann (<a href=\"https://profiles.wordpress.org/cbringmann/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>cbringmann</a>), and Larissa Murillo (<a href=\"https://profiles.wordpress.org/lmurillom/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>lmurillom</a>) for reviews.</p>\n\n\n\n<p>The <em>People of WordPress</em> series thanks Josepha Haden (<a href=\"https://profiles.wordpress.org/chanthaboune/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chanthaboune</a>) and Topher DeRosia (<a href=\"https://profiles.wordpress.org/topher1kenobe/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>topher1kenobe</a>) for their support.</p>\n\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\"><img width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" /><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Oct 2022 19:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"BuddyPress: BuddyPress 10.6.0 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=326961\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://buddypress.org/2022/10/buddypress-10-6-0-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:766:\"<p><a href=\"https://downloads.wordpress.org/plugin/buddypress.10.6.0.zip\">BuddyPress 10.6.0</a> is a new maintenance release fixing 1 ugly bug with themes using block templates although there are not Block Based themes. For details on the change, please read the&nbsp;<a href=\"https://codex.buddypress.org/releases/version-10-6-0/\">10.6.0 release notes</a>.</p>\n\n\n\n<p>Many thanks to the users who quickly reported this issue into our previous <a href=\"https://buddypress.org/support/topic/buddypress-10-5-0-maintenance-release/\">maintenance release forum topic</a>.</p>\n\n\n\n<p>Update to BuddyPress 10.6.0 today in your WordPress Dashboard, or by&nbsp;<a href=\"https://wordpress.org/plugins/buddypress/\">downloading it from the WordPress.org plugin repository</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Oct 2022 17:23:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"Do The Woo Community: Twitter. Will I Go or Will I Stay?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73393\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://dothewoo.io/twitter-will-i-go-or-will-i-stay/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:382:\"<p>In the last day or two I have seen a bit more people closing their Twitter accounts. What about Do the Woo on Twitter.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/twitter-will-i-go-or-will-i-stay/\">Twitter. Will I Go or Will I Stay?</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Oct 2022 14:59:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"WordPress.org blog: WP Briefing: Episode 42: Something Spooky This Way Comes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=13666\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wordpress.org/news/2022/10/episode-42-something-spooky-this-way-comes/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12472:\"<p>In the forty-second episode of the WordPress Briefing podcast, Josepha Haden Chomphosy reads a WordPress Halloween story completed by contributor-submitted Mad Libs. </p>\n\n\n\n<p><em><strong>Have a question you&#8217;d like answered? You can submit them to <a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2>Credits</h2>\n\n\n\n<p>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br />Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br />Production:&nbsp;<a href=\"https://profiles.wordpress.org/santanainniss/\">Santana Inniss</a><br />Music: Spooky edit by <a href=\"https://goodnightnobody.space/\">Timothy Volpert</a><br />Mad Lib Contributors: <a href=\"https://profiles.wordpress.org/juanlucha/\">Juan Lucha</a>, <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a>, <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">robinwpdeveloper</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/aetherunbound/\">Madison Swain-Bowden</a>, <a href=\"https://profiles.wordpress.org/kgagne/\">Ken Gagne</a>, <a href=\"https://profiles.wordpress.org/juliarosia/\">Julia Golomb</a>, <a href=\"https://profiles.wordpress.org/kawserz/\">kawserz</a>, <a href=\"https://profiles.wordpress.org/sereedmedia/\">Sé Reed</a>, <a href=\"https://profiles.wordpress.org/faguni22/\">Mumtahina Faguni</a>, <a href=\"https://www.linkedin.com/in/cleamahoney/\">Clea Mahoney</a></p>\n\n\n\n<h2>Download Mad Libs:</h2>\n\n\n\n<div class=\"wp-block-file\"><a id=\"wp-block-file--media-bbc1dbb2-b633-4e46-b53b-4440a449cac4\" href=\"https://wordpress.org/news/files/2022/10/WP-Briefing-Halloween-Mad-Libs.pdf\">WP-Briefing-Halloween-Mad-Libs</a><a href=\"https://wordpress.org/news/files/2022/10/WP-Briefing-Halloween-Mad-Libs.pdf\" class=\"wp-block-file__button wp-element-button\">Download</a></div>\n\n\n\n<h2>References</h2>\n\n\n\n<p><a href=\"https://make.wordpress.org/core/6-1/\">Important Note: WordPress 6.1 is released tomorrow!</a><br /><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/core/2022/10/20/multisite-registration-and-activation-pages-have-new-html-and-css/\" target=\"_blank\">Multisite registration and activation pages have new HTML and CSS</a><br /><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/mobile/2022/10/18/call-for-testing-wordpress-for-android-21-0/\" target=\"_blank\">Call for Testing: WordPress for Android 21.0</a><br /><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/docs/2022/10/19/new-design-for-helphub-in-wordpress-org/\" target=\"_blank\">New design for HelpHub in WordPress.org</a><br /><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/meta/2022/10/21/wordpress-org-redesign-update/\" target=\"_blank\">WordPress.org Redesign Update</a><br /><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/test/2022/10/15/fse-program-guiding-the-gutenberg-gallery-summary/\" target=\"_blank\">FSE Program Guiding the Gutenberg Gallery Summary</a></p>\n\n\n\n<h2>Transcript</h2>\n\n\n\n<span id=\"more-13666\"></span>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:00]&nbsp;</strong></p>\n\n\n\n<p>Howdy, Halloween nerds! And welcome to the WordPress Briefing, a podcast where I&#8217;m normally very serious, but today is Halloween! And gosh, do I love a chance to celebrate. So today, the most serious thing I have is this WordPress themed Halloween Madlib for you. I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:00:43]&nbsp;</strong></p>\n\n\n\n<p>I was so excited to learn that WordCamp would be on Halloween this year, and now it&#8217;s finally here. After a full day of workshops and mingling, I am exhausted. But I&#8217;ve got just enough time to return to the hotel and prepare for the after party. It&#8217;s a themed costume event organized by the Docs team, and I cannot wait.</p>\n\n\n\n<p>Walking into my room, I give a big yawn and realize just how tired I am. The bed is looking extra comfortable right now. Surely a little nap wouldn&#8217;t hurt, right? As soon as my head hits the pillow, I&#8217;m out like a light, but almost immediately, my eyes snap back open, a flash of lightning lights up the room, and I hear rain pouring down outside.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:01:23]&nbsp;</strong></p>\n\n\n\n<p>After another flash, the lights in the room start to flicker. That&#8217;s strange, I think to myself, but I have an after party to get to. There must have been a power surge because when I look back at the clock, it&#8217;s reset and flashing 12:00 am. I check my phone, but it&#8217;s dead too. I&#8217;m not quite sure how long I&#8217;ve been sleeping, so I don&#8217;t know if I have enough time to change into my full Ninja Turtles costume.</p>\n\n\n\n<p>I just put the mask on and head down to the lobby to meet my WordPress friends. When the elevator dings open in the lobby, it&#8217;s completely empty. No concierge, no hotel staff, and no WordPress friends. That&#8217;s weird. The lights also seem dimmer. And, are those urgent Trac tickets on the lobby lounge chairs?</p>\n\n\n\n<p>I&#8217;m wondering where everybody is, but I keep walking toward the convention hall. A shadow suddenly moves in the corner of my eye, and I spin around but only see my own face reflecting in a hallway mirror. Hmm, that&#8217;s odd. I notice that the cute Ninja Turtle mask looks a little less cute somehow. The eyes are angry red, and the teeth are now sharp-looking fangs.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:02:33]&nbsp;</strong></p>\n\n\n\n<p>Before I can take off the mask for a closer look, I see another shadow move in the corner of the mirror. When I turn around this time, I see the faint outline of a person. It looks familiar. Could that be Matt Mullenweg? Darn it. They disappear into the convention hall before I can even call out, ‘howdy!’ And so I break into a jog to follow after them.</p>\n\n\n\n<p>Walking into the hall, I can hear the musical stylings of WordPress Jazzer Duke Ellington playing on a gramophone. I bob my head to the music, super relieved to see the room full of WordPressers dressed up and dancing. I head over to some of the folks from my Make team to chat, but oddly, they won&#8217;t stop dancing. They&#8217;re smiling and dancing and cheering each other on.</p>\n\n\n\n<p>Some of them are even doing the electric slide. It&#8217;s actually kind of impressive, but it&#8217;s still a little strange that no one will stop dancing to talk to me. Actually, now that I think about it, none of the party goers seem to be noticing me at all. Wondering what&#8217;s going on, I start backing up toward the door.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:03:32]&nbsp;</strong></p>\n\n\n\n<p>I jump a little as it slams behind me with the loud sound of an old door creaking and the heavy click of a lock.</p>\n\n\n\n<p>That&#8217;s when I noticed the shadowy familiar figure again. This time they&#8217;re standing by an open door on the other side of the hall. They seem to be watching me. They lift a white gloved hand and motion for me to follow before disappearing through the door again.</p>\n\n\n\n<p>I run after the mysterious figure weaving between groups of dancing WordCamp goers. Could they be under a spell, I wonder while running past. I exit the convention space and enter a small hallway that seems to twist and turn. It feels a lot longer than I remember. I continue running through it and suddenly find myself back in the Contributor Day conference room.</p>\n\n\n\n<p>The shadow person is nowhere to be found, and as I walk around the contributor tables, I quickly notice that the exit back to the hotel has also disappeared. Okay, so this is getting really weird. My first thought is to get my Make team involved, but since they won&#8217;t stop dancing, I know I need to devise a different plan.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:04:34]&nbsp;</strong></p>\n\n\n\n<p>That&#8217;s when I noticed the big glass box at the center of the room. I am almost certain it wasn&#8217;t there during Contributor Day. I approach the box cautiously. Inside I see a shiny silver goblet of gently fizzing WordPress blue liquid, possibly blueberry flavored if I had to guess. Attached to the goblet stem is a ribbon with a note in EB Garamond that reads: Merge Me.</p>\n\n\n\n<p>At first, I chuckle at the poor attempt at a GitHub joke until I spot another note scrolled on the glass in black marker. It says,&nbsp;</p>\n\n\n\n<p><em>Bubble, bubble, toil, and trouble;</em><br /><em>Find your escape route on the double;&nbsp;</em><br /><em>Bring back the community and one thing more;&nbsp;</em><br /><em>Merge the elixir with your core.&nbsp;</em></p>\n\n\n\n<p>As I&#8217;m trying to decode the odd poem’s meaning, a flash of lightning lurches across the room, and a clap of thunder follows behind.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:05:24]&nbsp;</strong></p>\n\n\n\n<p>I shield my eyes before looking up to find that I am no longer alone. It&#8217;s the shadowy figure again, except in the light of this room, I can finally see that it&#8217;s not anyone familiar. It is a lumpy-looking being, and it&#8217;s wearing a witch costume. The costume-clad figure looks very unsteady on its feet like it might fall over.</p>\n\n\n\n<p>And just as I&#8217;m about to ask if they&#8217;re all right, the person suddenly topples over into a heap of robes and broomsticks. I can see spots of yellow fur and a few pairs of fuzzy ears. Aha! There was a wisdom of Wapuus under that witchy costume.&nbsp;</p>\n\n\n\n<p>They blink cutely at me for a moment and then quickly scurry into a surprisingly organized line. I watch, totally confused, as the line of Wapuus starts moving methodically back toward the convention hall. They take three steps, and then they turn to the side, take another three steps, and then turn to the other side.</p>\n\n\n\n<p>The last Wapuu in the line turns to look at me and motions with its tiny paw to follow. That&#8217;s when the words on the glass box finally click. I have to bring the community back. All the dancing WordPressers need to return to the contributor tables to break the spell. The Wapuus have started a conga line to help lead the way.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:06:35]&nbsp;</strong></p>\n\n\n\n<p>So, off I go. Following the tiny conga line through the twisting hallway and into the convention hall. As I&#8217;m dancing behind the Wapuus, I&#8217;m happy to see all my fellow WordCamp attendees falling into step behind me. My steadily growing conga line is weaving its way through the hall, picking up WordPressers, wearing mouse costumes, and Frankensteins and penguin costumes, and that&#8217;s when the Wapuus changed their course, leading us back through the twisting hallway and into the Contributor Day conference room.</p>\n\n\n\n<p>With the first part of the riddle solved, I&#8217;m glad to see that everyone has finally stopped dancing. Some folks are happy to sit down and get off their feet. Others are wondering how they ended up back in the contributor room. My Make team waves at me from across the room. I noticed there&#8217;s still no exit, but the glass box has disappeared. With the goblet free, there&#8217;s just one thing left for me to do.</p>\n\n\n\n<p><strong>[Josepha Haden Chomphosy 00:07:27]&nbsp;</strong></p>\n\n\n\n<p>I rush toward it, dodging Wapuus and a pile of kicked-off shoes. Except that the closer I think I&#8217;m getting to the goblet, the further away it feels. I run faster, weaving through people and tables, and just when I feel close enough to reach out for the goblet, I trip over a live-streaming cable, and I wake up in my hotel room.</p>\n\n\n\n<p>Sitting up quickly, I realize it was all just a very strange dream. Outside, the sun is setting in a clear sky with no storm in sight. I try to shake it off. I change into my Ninja Turtles costume, ready to do my best Monster Mash at the after party with all of my WordPress friends. As I walk out of the hotel room, I pause for a quick costume check in the mirror.</p>\n\n\n\n<p>Before heading downstairs, I take a quick glance at the digital clock on the nightstand to see the time. Huh, that&#8217;s odd. Next to the digital clock sits a fuzzy plush Wapuu wearing a witch costume. That wasn&#8217;t there before, was it? And if I didn&#8217;t know any better, I almost think I see it wink.&nbsp;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Oct 2022 12:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Santana Inniss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:114:\"Gutenberg Times: Gutenberg Changelog #75 – Gutenberg 14.4, Upcoming WordPress 6.1 Release, What’s Next for 6.2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://gutenbergtimes.com/?post_type=podcast&p=22603\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:123:\"https://gutenbergtimes.com/podcast/gutenberg-changelog-75-gutenberg-14-4-upcoming-wordpress-6-1-release-whats-next-for-6-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59653:\"<p>Anne McCarthy and Birgit Pauli-Haack discuss Gutenberg 14.4 WordPress 6.1 release and what’s next for WordPress 6.2.</p>\n\n\n\n<p><a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#shownotes\">Show Notes</a> / <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-69-gutenberg-releases-wordpress-6-0-1-the-create-block-theme/#transcript\">Transcript</a></p>\n\n\n\n<ul>\n<li>Music:&nbsp;<a href=\"https://soundcloud.com/xirclebox\">Homer Gaines</a></li>\n\n\n\n<li>Editor:&nbsp;<a href=\"https://www.linkedin.com/in/sandy-reed/\">Sandy Reed</a></li>\n\n\n\n<li>Logo:&nbsp;<a href=\"https://markuraine.com/\">Mark Uraine</a></li>\n\n\n\n<li>Production:&nbsp;<a href=\"https://icodeforapurpose.com\">Birgit Pauli-Haack</a></li>\n</ul>\n\n\n\n<p class=\"has-larger-font-size\" id=\"shownotes\"><strong>Show Notes</strong></p>\n\n\n\n<h2><strong>Anne McCarthy </strong></h2>\n\n\n\n<ul>\n<li><a href=\"https://profiles.wordpress.org/annezazu/\">WordPress Profile</a> @annezazu</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/handbook/full-site-editing-outreach-experiment/\">FSE Outreach Program</a> </li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/\">WordPress Test team</a></li>\n</ul>\n\n\n\n<h2>Community Contributions</h2>\n\n\n\n<ul>\n<li><a href=\"https://artemiosans.com/2022/10/20/introducing-the-gutenberg-interactive-fiction-engine/comment-page-1/\">Introduced Gutenberg Interactive Fiction Engine</a> by Artemio Morales</li>\n\n\n\n<li><a href=\"https://gutenbergtimes.com/what-art-can-you-create-with-wordpress-6-1/\">What art can you create with WordPress 6.1?</a> The Museum of Block Art is looking for submissions using WordPress 6.1 and the evolving design tools available.</li>\n</ul>\n\n\n\n<h2>WordPress 6.1 </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/10/28/wordpress-6-1-release-candidate-5-rc5-now-available-for-testing/\">WordPress 6.1 Release Candidate 5 (RC5) Now Available for Testing</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/25/wordpress-6-1-release-day-process/\">WordPress 6.1 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">Help Test WordPress 6.1</a></li>\n\n\n\n<li>Dev note WordPress 6.1: <a href=\"https://make.wordpress.org/core/2022/10/10/extending-the-query-loop-block/\">Extending the Query Loop block</a></li>\n</ul>\n\n\n\n<h2>Gutenberg 14.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">What’s new in Gutenberg 14.4? (26 October)</a></li>\n\n\n\n<li><a href=\"https://wptavern.com/gutenberg-14-4-introduces-distraction-free-mode-redesigns-pattern-inserter\">Gutenberg 14.4 Introduces Distraction-Free Mode, Redesigns Pattern Inserter</a>&nbsp;</li>\n</ul>\n\n\n\n<h2>Learn WordPress and other educational sources</h2>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/introduction-to-block-development-build-your-first-custom-block/\">Introduction to Block Development: Build your first custom block</a>.</li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/course/using-the-wordpress-data-layer/\">Using the WordPress data layer</a></li>\n\n\n\n<li>2-part Series:  how to build a <a href=\"https://www.youtube.com/watch?v=3zJyjYIykQ4&list=PL6D-mnq0bpxMMSoVEiCdos86T7NUO8GoQ\">custom WordPress block that supportsAdvanced Custom Fields</a> by Ryan Welcher</li>\n\n\n\n<li>Video: <a href=\"https://www.youtube.com/watch?v=iCF5lssk_oY\">Distraction-free mode: my new favorite way to write with the block editor</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/block-editor/explanations/architecture/styles/#styles-in-the-block-editor\">Styles in the block editor</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/block-editor/how-to-guides/block-tutorial/extending-the-query-loop-block/\">Extending the Query Loop block</a></li>\n</ul>\n\n\n\n<h2>What&#8217;s Next for 6.2?</h2>\n\n\n\n<ul>\n<li>GitHub Tracking Issue: <a href=\"https://github.com/WordPress/gutenberg/issues/33094\">Phase 2: Customization</a></li>\n\n\n\n<li><a href=\"https://wptavern.com/gutenberg-contributors-explore-a-new-browse-mode-for-navigating-the-site-editor\">Gutenberg Contributors Explore a New Browse Mode for Navigating the Site Editor</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2022/10/26/hallway-hangout-discussion-on-wrapping-phase-2-26-oct/\">Hallway Hangout: Discussion on wrapping Phase 2 (26 Oct)</a></li>\n</ul>\n\n\n\n<p class=\"has-large-font-size\">Stay in Touch</p>\n\n\n\n<div class=\"wp-block-group is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<ul>\n<li>Did you like this episode? <a href=\"https://lovethepodcast.com/gutenbergchangelog\"><strong>Please write us a review </strong></a></li>\n\n\n\n<li>Ping us on Twitter or send DMs with questions. <a href=\"https://twitter.com/gutenbergtimes\">@gutenbergtimes </a>and <a href=\"https://twitter.com/bph\">@bph</a>.</li>\n\n\n\n<li><em>If you have questions or suggestions, or news you want us to include, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. </em></li>\n\n\n\n<li><em>Please write us a review on iTunes! <a href=\"https://gutenbergtimes.com/itunes/\">(Click here to learn how)</a></em></li>\n</ul>\n</div></div>\n\n\n\n<p class=\"has-large-font-size\" id=\"transcript\"><strong>Transcript</strong></p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Hello and welcome to our 75th episode of the Gutenberg Changelog podcast. In today&#8217;s episode, we will talk about Gutenberg 14.4.0, upcoming WordPress 6.1 release, and what&#8217;s next for 6.2, and so much more. I&#8217;m Birgit Pauli-Haack, curator at the Gutenberg Times, contributor to the WordPress core team and documentation team, and WordPress developer advocate. And I&#8217;m here with Anne McCarthy, WordPress product liaison for WordPress open source project and triage co-lead for WordPress 6.1 release team. Good afternoon, Anne. How are you doing today? How are you doing?</p>\n\n\n\n<p><em>Anne McCarthy</em>: I&#8217;m doing great. I&#8217;ve had extra coffee today and I&#8217;m very excited to talk about everything you have on your list. There&#8217;s a lot of fun and complex things happening that really help move WordPress in a solid direction. So we have a lot to cover.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And it&#8217;s going to be a great show, because it also needs to get everybody listeners kind of over the withdrawal that you will have. Yesterday, I looked at the calendar and realized that we will be on a November break almost for the Gutenberg Changelog. Work, travel, and holiday schedule is all going to interfere with our regular programming here. So I&#8217;m glad that Anne is here as my resident expert on all things WordPress 6.2 and we can talk a little bit about the future.</p>\n\n\n\n<h3><strong>Community Contributions</strong></h3>\n\n\n\n<p>But first we have community contributions, and I found a blog post by Artemio Morales who calls himself an electronic literature creator, and he has introduced us to his Gutenberg interactive fiction engine. So what&#8217;s interactive fiction? It&#8217;s software simulating environments in which players use text commands to control characters and influence the environment. Works in this form can be understood as literary narratives either in the form of interactive narratives or interactive narration, that so far Wikipedia.</p>\n\n\n\n<p>When using Artemio&#8217;s demo, all you see at the start is an image with some text and then three different links to continue that story. And depending on which link you click on, the story continues differently. So there are two paths. You go into the forest and then you come on two paths, one goes further deeper into the forest. Guess what happens now? Or you go down to the town and see how many people you see there. And these are the choices, and that&#8217;s how the story continues. Of course the creator part is coming up with all those different options and Gutenberg and the plugin that Artemio created helps you with putting the stories together. It&#8217;s really an interesting concept. And so he had some ideas on what you could do with it, and then you can choose your own adventure YouTube series for instance, or interactive comics or audio stories with branching pass, marketing or educational content, or even multimedia posts incorporating elements from all the above. So it was also interesting for me to read about the history of interactive fiction. So yeah, check it out. We will have the links in the show notes, of course.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, I think it&#8217;s such a neat thing that he&#8217;s working on and one of the things that I actually follow up with him whenever I saw that post too, because I run a side project along with a few other community members called the Museum of Block Art, where we create art with the WordPress block editor. And when he was describing and looking at the different interactive elements, I was like, man, you could really, the whole intent of the website right now is to have it be a virtual museum, and what would it look like to actually use this functionality on the Block Museum Site since it&#8217;s meant to be pushing the edges of WordPress and thinking really creatively. What would it look like if the experience of the museum itself was also pushing the limits of it? And it&#8217;s already using site editing and all this sort of stuff. But this would really, I think, take it to another creative element and make it a very, very meta kind of way, even more cutting edge. And so I&#8217;m hopeful that we can maybe get some functionality on there and demo it with the block museum as part of the efforts here.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s an interesting idea. You kind of have different walks through the museums.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: It&#8217;s going to be really interesting. Yeah, I also could see that that maybe even be a story that is interactive narrative. Yeah, that&#8217;s a fiction and that&#8217;s posted as an art exhibit on it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: So a writer can put something. Well, there is the November challenge of the National Writing Association or so coming up. Maybe that&#8217;s something to look into it. Yeah. And you mentioned the Block Museum, we had just on the Gutenberg Times, you published a submission to the virtual museum of block art using tools and features for WordPress 6.0. What exactly are you looking for?&nbsp;</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, so this actually ties in nicely with all of this. So part of one of the ideas for the walkthrough and interactive element is when thinking about going through a museum, one of the things that I love is you&#8217;re kind of walking through and you see how based on periods of time, especially in a museum with a lot of, maybe not necessarily modern art but more historical art, you see how the tooling changes and access to paper unlocks the ability to do this, or access to different materials becoming more accessible, suddenly everyone&#8217;s using a certain color or whatever it is, or they know depth perception. I think there&#8217;s some interesting elements there. And so one of the ideas that I&#8217;m trying to work on right now is thinking about the Block Museum over a longer period of time. So what was available when WordPress 5.9 versus let&#8217;s say WordPress 6.9, ideally the tooling and what&#8217;s possible for the creation of art evolves, and I think it&#8217;d be so neat to have release-based art exhibits.</p>\n\n\n\n<p>So I just set up the site super quick, because it&#8217;s WordPress using just a couple cray loop blocks, which is really cool. So there&#8217;s different exhibits. So there&#8217;s a 5.9 exhibit, a 6.0 exhibit, and now I want to have a 6.1, especially since so many design tools are coming to WordPress 6.1. There&#8217;s kind of an explosion of them, and I&#8217;m very keen to see what that unlocks in terms of art and the submission there. So I&#8217;m just looking for anything you want to create with WordPress 6.1. It can be before the release if you want to test stuff. I know the release is around the corner, and it can be anytime after leading up to 6.2. I just think it&#8217;s going to be a really, this release in particular, feels like it&#8217;s going to unlock a lot of creativity and I think it&#8217;ll be neat to visually show that at the museum.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I think so too. And I&#8217;m really looking forward to what&#8217;s coming to the workers, to the museum as submissions because now with the be it the border control or be it the background or the gradients and all that, there are a lot of options to apply art, apply color, apply different forms and shapes that you can build with it. And there are some great examples already in the museum. So if you are not so creative and want to see what other people do, head on over to the blockmuseum.com. Is it a block-museum?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Block-museum. I always forget sometimes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. So these are the two community contributions today talking about art. I&#8217;m really excited about that because all of a sudden it&#8217;s away from making money or away from, oh I need to get my blog post posted and making products or something like that. Yeah, I&#8217;m really excited that we talk about it together. So what was released is the next section and…</p>\n\n\n\n<h3><strong>What’s Released</strong></h3>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, let&#8217;s dive into that. So WordPress 6.1 release candidate four is actually now available for testing. This was not published on our WordPress news site. Just kind of sometimes with release cycles there&#8217;s some additional RCs released candidates that are released right before just to make sure different high-priority bugs are addressed, but they&#8217;re not as necessarily major. So in this case I think two things were fixed. So you may not see it on WordPress news but know that it has happened and there&#8217;s now an RC4. So release squad is working super hard and behind the scenes to get final pieces in place and ready for the dry run. And then the final release is scheduled as a reminder for November 1st. And then Hector shared details about the release day process and earlier post if you&#8217;re a nerd like me and to know what actually happens.</p>\n\n\n\n<p>And if you listen to this episode over the weekend before the release, it would be amazing if you could take some time to test 6.1. Brian Alexander, who is the, I think, test team lead and also the test lead for this release has instructions that make this really easy to follow. That will be in the show notes for helping test the different features of 6.1 and truly pick and choose whatever grabs your interest because it all helps. And I&#8217;ll do a special plug for any more developer focused folks, it would be great to test the typography as well as using block to put parts in a classic theme. And if you want to go even further, there&#8217;s a lot of stuff with filters for extending theme JSON and all sorts of things in the field guide. But I&#8217;m particularly keyed up around some of the developer features right now and getting feedback, even if it&#8217;s just like maybe you don&#8217;t find a bug but you find a way that would be more useful for you in the future. It&#8217;d be great.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And then definitely it holds through for the testing part theme and plugin developers, please, please, please see that your products still working for WordPress 6.1. Most of you are already doing that, but there&#8217;s always one out, maybe not. So I just urge you to start that.</p>\n\n\n\n<p>And with that, we are coming to the Gutenberg plugin release. It&#8217;s 14.4.0 and I&#8217;m pointing that out because, well this week first time release lead JuanMa Garrido pushed the plugin over the finish line and Michael Burridge contributor on core documentation. He pointed out that Johannes Gutenberg invented the printing press in 1440. That&#8217;s 1-4-4-0. So just a little tidbit there. I like these coincidences.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I love that.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Come together. Yeah. Mind you, it took about 144 plugin releases to come to this point. So that&#8217;s also a good number.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Wild, to think about. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And before I forget, Michael Burridge is also the main creator of the newly released course on Learn the WordPress it&#8217;s called Introduction to Block Development: Build Your First Custom Block. And if you are a developer and found block post about getting started with block development not deep enough or too basic, you are invited to step to do the step-by-step tutorial on building a real life example of a block for the editor, from setting up your development environment, using create block scaffolding, that&#8217;s your official tool, to testing your first iteration of the block and also do some debugging. And as you work through the project, you will add configuration options that enable the user of your block to customize the look and feel of it and to the liking in match maybe a style guide. So this is a great course to get started with, and even if you have bits and pieces already in place, I learned a lot from it when I was going through this. So it&#8217;s definitely a worth looking through it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: It&#8217;s so cool to see that course out there. I think it&#8217;s going to be huge for so many people.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, and I think within the first week, 40, 50 people already took it and three were already through it. So it definitely fills a need there. But I got us totally sidetracked and I could even go more sidetrack, because there&#8217;s a second course in the Learn site that could be, that&#8217;s an advanced course. It&#8217;s about using the data layer of Gutenberg for others than the editors. So you can use it for your plugin settings pages or something like that. So how far off astray could we go with that?</p>\n\n\n\n<h3><strong>Enhancements</strong></h3>\n\n\n\n<p>All right, let&#8217;s get back. So in the enhancements, there were two things that are developer related and I&#8217;m just pointing them out, because they might be important. One is the service side render has now a new attribute that skips the block support attribute. So there&#8217;s a little bug in the service side render when it&#8217;s pulled into the block editor admin feature, it duplicates the CSS. This fixes it, but it also adds another attribute to it. And this service side render function, or package actually, is used by 620 plugins. So I&#8217;m giving it a shout out here right away when it actually makes it in a good move plugin. So plugin developers can test it even already before it makes it into 6.2 or something like that. It&#8217;s a small change for most of them, but they might tap into that before that.</p>\n\n\n\n<p>And then the second part is that the great block scaffolding we just talked about that&#8217;s used in the course allows now custom keys to be generated for the block JSON file and the package station file. So the use case that kind of triggered that was that a feature that a developer wanted to use the ACF plugin for the custom fields and use the official scaffolding tool to create a block for it. But they needed to do a lot of manual adjustments for the right keys.</p>\n\n\n\n<p>And so that kind of got the developers working on it. And now with the variant flag and the no plugin flag that will come in that already available, and there is a dev note out there talking about that by Ryan Welcher. You now can use also the custom key to actually build ACF blocks with the official scaffolding block. And Ryan Welcher also has a three-part series on how to build custom WordPress block that supports advanced custom fields on YouTube. So that gets us another sidetrack here a little bit, but even if you don&#8217;t use advanced custom field plugin in part one, Ryan also walks you through how to retrieve and update post metadata while the block editor using the use entity prop hook and also shows you how to modify it so you can use it in the query loop block. And the field will then also display on archive pages. Yeah, if you want to start with create Block, now is a good time to learn more about it. And even if you don&#8217;t use ACF, the first video of this series will definitely be of interest for you.</p>\n\n\n\n<p><em>Anne McCarthy</em>: There&#8217;s so much awesome work has been done around upgrading all these tooling to make it easier for people to get started. And Ryan&#8217;s does a great job of training these things and making it really accessible. So yeah, also if folks have ideas for what they want to see more, I know Ryan&#8217;s always open to suggestions there, too. So yeah, I hope folks dig in, because there&#8217;s a lot of good stuff there.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Big props also to Grzegorz Ziolkowski and also Damon Cook who&#8217;s a developer advocate at WP Engine. They both also commenting on it and also pushing this release over the finish line or the PR and figuring out what the architectural approach would be. So yeah, good way for the tooling. Yay.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, very cool. Next up, we have a couple different items that are all in the kind of block libraries, so expanding what&#8217;s possible, or in one case restricting what&#8217;s possible to start the list block, which has recently been split apart so that you can actually have nested blocks within it and have inner block control. And what&#8217;s neat about this is typography controls are now added to the list block. So now that you have that support in place and that each list item is an individual block, you can actually customize the list so that maybe the first item&#8217;s bigger than the third item, or you have different coloring or you can do all sorts if you control each individual list item on its own and then add in topography controls, it really opens up some neat options for displaying your content. I already have a post that I&#8217;m actually working on, then I&#8217;m like, &#8220;Oh, I needed this.&#8221;</p>\n\n\n\n<p>So I&#8217;m very excited to see it out here. I actually didn&#8217;t see it was being worked on until this release. So it&#8217;s another part of the larger effort to address and expand design tooling consistency, which is a really huge part of running the outreach program. Comes up a lot where it&#8217;s like, why can I do this in one block and not this in the other block? And it kind of marries the best of both worlds where it&#8217;s taking advantage of the list block being revamped to use inner blocks and including these tools. So I&#8217;m very excited to see that. I don&#8217;t know. Birgit, you write a lot of posts, too. Do you have anything that you&#8217;re keen to use with that?</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, definitely. I can see that each list item can have a different font. Yeah. Or there&#8217;s some nice cool font that you can now add to your blog post even if you have a very neutral typography normally. So these things stand out and then yeah. But I like it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I think it&#8217;s cool. The next thing we have is block locking and adding to related to block locking. It adds content blocking to the navigation block, meaning the inability to edit the contents of the block. And if you&#8217;ll remember right now, currently for most blocks, you actually can only lock the ability to remove the block or lock down the ability to move it. So to delete the block or to move it. And this adds content locking, which is eventually going to be expanded ideally to all blocks to the navigation block specifically, which kind of matches the functionality of the reusable block. So it&#8217;s kind of bringing this functionality that you see that you would expect elsewhere to a really powerful high impact part of the site. And I can see this being really useful, for example, if someone has a classic theme, they adopt a template part to have a header, and then they&#8217;re adding the navigation block in there for someone to manipulate.</p>\n\n\n\n<p>But let&#8217;s say you don&#8217;t want them to actually change the contents of it. You can actually use this new locking option as an admin to lock it down. So maybe an editor or can&#8217;t go in there and mess things up. So it&#8217;s just expanding that kind of support. And I think it&#8217;s a great call for folks who are site owners or agencies. It ties into larger efforts to offer more curation tools for the editor as well. And I&#8217;m really excited to see these experiments and to add specific blocking and very intentionally two different blocks to then get feedback about how that experience is before we roll it out elsewhere. So I think there&#8217;s going to be some good insights coming from that experience as well. So check that out.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, definitely. Yeah, if you look at the bigger picture of that, it almost kind of gives you similar functionality to the reusable block, but you can narrow down the content blocking. So if you have patterns where you want, that the content is reused over multiple pages, you can put it in a template part and the content is also locked and then have the same call to action in the footer or in the header of things. Yeah. So it&#8217;s a really good. 6.1 has a few of the things already for image blocks and also group blocks I think. But now coming into the navigation block is really good as well.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, it&#8217;s great to see. Related to more tooling, the image block is now going to have a toolbar button to add a caption. So basically instead of it being something that to add and remove a caption, you&#8217;re able to just have it built into the block tool toolbar, which is a really easy way to see it at a glance. I&#8217;m very intrigued to see how this lands and what feedback comes up from it. I could see it being really useful. I wonder if people are going to be able to discover it pretty easily, because the icons, I think it&#8217;s a little bit like a couple dots at the bottom of a square. So I&#8217;m curious to see what feedback we have and what that looks like. But ultimately it should help people find the settings they expect in a readily accessible area. Yeah, and I know, Birgit, you were telling me before we started recording that if you add a caption in the media library and then you insert an image that it&#8217;ll appear automatically when you hit the add caption as well in the toolbar.&nbsp;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: It&#8217;ll automatically appear when you add the image to it to their canvas, then it shows the caption. But you can of course remove it, but when it&#8217;s empty you get the button up there. So you&#8217;re right, discoverability might be an issue there because it&#8217;s not always there. It&#8217;s only there when you need it, but sometimes you don&#8217;t know things that you need it if you don&#8217;t see them. Yeah.&nbsp;</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yes. Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: But what I really like is that it&#8217;s now one of the efforts to make the editor look like the front end. And the image right now has always a little space on below for the add caption feature. And if you don&#8217;t do it just has a little more space there, and it doesn&#8217;t show you the front end. It&#8217;s not the same as you would see on the front end. So that&#8217;s why I think people worked on it and now we need to figure out what&#8217;s the best approach on the button and the tool.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Agreed. Very. Especially as some of the work involves around adding a captions element too, I think it&#8217;s exciting to see all this sort of stuff being wedded together.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And when they manage how that works, the image caption, then once the feedback is in and there&#8217;s an iteration out there, that will be added to audio and video and also to table because for whatever reason tables have a caption.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I don&#8217;t know that historical reason behind that. I know that is interesting. Yeah, this is again one of those things where I think it&#8217;s neat where we have functionality we might want to roll out more broadly and instead it&#8217;s done in steps and kind of integrating from there. So I think there&#8217;s some good stuff that can come from that.</p>\n\n\n\n<p>Switching gears a little bit, this is kind of headed into the block intersection, and I am stoked about this feature. I have to admit that I was following this PR. So it&#8217;s introducing distraction free mode, and I was following this PR,, I was looking at it and I looked at it months ago and I&#8217;ve been laser focused on 6.1. So I hadn&#8217;t looked at in a while. I hadn&#8217;t used it in a while. And I was writing a post for this week and I was testing it out, and I was absolutely blown away by this feature.</p>\n\n\n\n<p>So it really strips down the editor to the bare basics where the block toolbar is gone, the top toolbar also disappears, you can bring it back on hover, and it&#8217;s a mode you can toggle on and off. So I just think I&#8217;m going to be using this constantly going forward, because I write in a fair amount just rambling on my personal site. And I am definitely one of those people who doesn&#8217;t use necessarily a lot of images or have very complex content. I really do just tend to write pretty basic posts with just words and just let it fly. And it felt so nice to be in that editor experience where you&#8217;re not necessarily seeing all the plus signs everywhere. You&#8217;re not needing the block tool bar, you don&#8217;t need the quick inserter at all times. You don&#8217;t need the top toolbar visible.</p>\n\n\n\n<p>I&#8217;m hardly using block settings. And instead you can kind of just free your mind up to focus on writing. And I did a quick video because I was so excited. I mean this was literally 11 o&#8217;clock at night and I was like, I couldn&#8217;t stop thinking about how good it felt. And I don&#8217;t have that very often with technology. I&#8217;m pretty critical with technology. So whenever I have that kind of feeling, I just put together a very quick, I think it&#8217;s less than two minute, video showing the distraction of free mode. And so genuinely this is something that I&#8217;m very excited about and I&#8217;m also so deep in the site editing world that I think it&#8217;s really important we pause and think about the core writing experience. So this is one of those improvements that I think a lot of folks will be excited about and saying that they can explore. It&#8217;s also very new. So feedback is very much needed and bugs will be found and we will iterate as open source does. But yeah, I could ran about this for probably a full hour. I don&#8217;t know if you&#8217;re getting…</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m there right with you. Yeah, the distraction free mode is certainly something that I was looking into quite early when the Gutenberg editor came into WordPress, and I know that I tested and I wrote about it, the plugin that Rich Tabor and his teammate Jeffery Carandang put together, it&#8217;s called Iceberg. And that was a plugin that you could put on your site and then have distraction free writing, and it almost felt like a typewriter if you had the right fonts to it. And it really helped. I really loved it. And somewhere in the Gutenberg Times is certainly another is a review of it. But now it comes to core, and I&#8217;m really excited about it. I think the feature is driven by, of course we all put our opinions in there, but it is driven by Andrei Drananescu and I had a conversation with him, I said, &#8220;Well, we could even remove more.&#8221; And so I would go back to the classic editor without the toolbar, but I can see how that quite a few writers will actually embrace it and use it just as their editing experience and they go back to just writing and don&#8217;t have to be bothered up paragraphs or blocks or anything of that. Yeah, yeah. I&#8217;m excited to learn what other people think about it, and I hope they&#8217;ll write about it, and let us know.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Especially before there&#8217;s a welcome feature. I think that&#8217;s the only concern. I saw there&#8217;s some follow up, there&#8217;s some accessibility stuff and then there&#8217;s also, wait, we need to actually tell people what this feature is. Because it&#8217;s a jarring different when you turn, because you&#8217;re like, wait ,where did everything go?</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Is it broken?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, Yeah. It&#8217;s like wait, all my tooling went away. But I think once we get some of those requirements in place, it&#8217;ll be rocking and rolling.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, yeah, absolutely. And what&#8217;s also made it into this release is the redesign of the main pattern inserter. And the difference is that the categories show up and you click on the inserter and then use the pattern tab. What you see is only the categories of the patterns. And then when you click on the category, you see a preview of the patterns that are in there. And that is kind of comes also from some of the feedback that we got for patterns. So it&#8217;s kind of cool to see how that works. I find that inserter be a little bit too crowded when the patterns are actually kind of underneath the category and then I don&#8217;t see all the categories and all that. So it&#8217;s a nicer experience I feel about it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Especially when thinking about scaling up the patterns and all the work that&#8217;s being done there. I think that&#8217;ll be a huge improvement to the experience of finding and managing all the different patterns that are now baked into a lot of themes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. The next item is just a shout out for that the embed blog has now a variation to support the Tumbler dashboard URLs and of course with Tumbler also coming to use the Gutenberg block editor, it&#8217;s definitely good to have an embed block that can link out to other Tumbler blogs. The next one is toggle the navigation menu sidebar. And that&#8217;s an interesting development or iteration on the navigation block with using the sidebar to actually display the menus that you know from the classic menu editing, now you have a little bit more space to look at the menus and select them. Before it was a little bit cramped just in the navigation block interface. It&#8217;s a little bit, has more air to breathe. So check it out and see what to think about it. Have you tried it out, Anne?</p>\n\n\n\n<p><em>Anne McCarthy</em>: No, not yet. I truly have been so deep in 6.1 stuff, and I have tested some of the new UX management generally with the navigation stuff, but this is different. So yeah, I&#8217;m excited to test this out. It&#8217;s probably of one of the things I&#8217;m paying attention to for the outreach program, because once 6.1 ends, we can dig into the next call for testing.</p>\n\n\n\n<h3><strong>Documentation</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Right, right. Yeah. And then you have in the documentation settings, there are always changes that come with the release, but those changes are actually available on the block editor handbook right when they&#8217;re merged kind of 15 minutes later. But it&#8217;s good to have them in the release. There are two things that I wanted to do a shout out. One is the document, the current state of the layout block support. It explains in the architecture section and the style sections, how those block supports are supposed to work that come with 6.1. There&#8217;s also a dev note available in the field guide, but that has much more detail in it. And of course our show will share the links in the show note. And also for the extending the query loop block, that is a feature that comes with 6.1 as well. And a lot of people are waiting for that, especially plugin developers and agency developers because they deal with so many custom post types now they can control what the query loop is using as a query or the data that it&#8217;s using. So that&#8217;s published in the block editor handbook as well as have a developer note available in the field types. I&#8217;m really excited about that extension possibilities for the query block.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, I&#8217;m also. It&#8217;s amazing to have that documentation in place so promptly. I know we&#8217;ve struggled with that in the past. And so again, as always, there&#8217;s stuff that you&#8217;re missing that you want to see, especially with career loop stuff. As you mentioned, agencies plugin offers and they really need that there. And I know it&#8217;s a big one that folks have extended the Gray Loop block from Core. And so the hope is rather than needing to fully extend a lot of stuff, you can just use a variation and have what you need baked in core without having to do a lot of maintenance. So please check that out, give us feedback, let&#8217;s make it as useful as possible.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, it&#8217;s really important to kind of see what Core does in a once in a while, even if you have used or develop for the block for the last five years, because some of the things you can take off your plate that you don&#8217;t have to maintain it. it&#8217;s standardized and the Gutenberg developers and core contributors will maintain it for you, and you only need to look at your variations for that. So yeah, there are quite a few things coming, and I think it&#8217;s the time now that once the foundation and the developers know how everything kind of will work together with site editor, with a post block, and also with the theme, there was a lot of moving parts that needed to be together and come together before any extension would be feasible or extension features or hooks and filters would be feasible to put in. And now I think it&#8217;s the time where everybody&#8217;s kind of thinking about how can we standardize extending the block editor. All right. Yeah. Are we at the end? I think we are.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I think we are.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: At the end of the Changelog for the Gutenberg 14.4.0, and now on the eve of 6.1 release, the developers have already started to look at the next version and what can an updated tracking for various features that are too common. So you have been knee deep, if not year deep, into all the work and what are the highlights that you see coming to 6.2?</p>\n\n\n\n<h3><strong>What’s in Active Development or Discussed</strong></h3>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, I know I keep getting the numbers wrong, which is just hilarious. Yeah, it is so exciting to see what&#8217;s going on. I really feel like there&#8217;s a lot of momentum particularly I want to call out attention to the title. The issue is Phase Two Customization. I&#8217;m pretty sure the number is Gutenberg number for the GitHub repo is a 33094 in case you&#8217;re a nerd and want to dig into it. But a lot of work has been done basically even before, way before 6.1 was out the door once there was feature freeze to say okay, what are we doing next and what can we do to actually thoroughly wrap up this phase two work where there&#8217;s a stable foundation, we can begin exploring phase three and what are the main tasks to do. And so there is that main issue that I mentioned that&#8217;s going to be updated on a regular basis going forward.</p>\n\n\n\n<p>So a lot of work has been done to pull together the phase two customization issue that will be updated basically going forward until it&#8217;s closed. So I like to call it out. I know it&#8217;s tough to keep on top of GitHub and everything like that, but every once in a while there are issues that, especially overview issues if you look at the label for overview, that really gather efforts and if you want to pay attention at a high level and be a bit more involved and necessarily just paying attention to the next WordPress release, this is one of those. And there are numerous tasks, I&#8217;m going to give a snapshot, which is what I did yesterday in our hallway hangout of just kind of the main task where things are just because I think it&#8217;s interesting. Work has been completed on two tasks.</p>\n\n\n\n<p>Dev work is underway on nine, we&#8217;re in the design stage for three tasks, meaning we still need to finish finalizing some design. Dev has been assigned but hasn&#8217;t yet started the work on three tasks as well. Work is stuck on one thing that I&#8217;m following up on, and there were three originally and got that down to one. And then work is stuck. I know to track this down. Work is stuck either due to a problem, like developers aren&#8217;t sure to move forward or design and development are going back and forth, or there&#8217;s been a time lapse of 14 plus days. That&#8217;s how I defined it is basically has there been a lull in activity, and there are 11 of those that are in that state. And so part of the work right now in the next week or so is to get that 11 number way down, get work going, get involved there. If you&#8217;re interested in contributing to the project, this would be a great way to get involved.</p>\n\n\n\n<p>Lots of folks are gathering around this and as you mentioned at the top, there are a couple that I want to specifically call out of things that I think will be bigger than others to solve. So one is introducing a browse mode. And we keep using the word mode, which I think is misleading for browse mode actually. I think it&#8217;s more about redefining the experience of navigating in the site editor. So both in terms of when you enter the site editor, what do you see, what&#8217;s the first thing you see, and right now you&#8217;re brought into whatever is powering your homepage, and you&#8217;re placed basically into a template. And imagine instead you&#8217;re being brought into, still maybe your homepage, but the sidebar is automatically open so you can see how to navigate between things, see templates, see your styles interface. It would be in the same sidebar as this other stuff rather than shoved into the right hand side, which unless using right to left languages.</p>\n\n\n\n<p>But I currently find that information architecture to be pretty confusing. The browse mode work is both about redefining the information architecture and allowing you to actually navigate between different parts of your site that you&#8217;re editing with more ease. Right now it&#8217;s pretty like you have to leave this, and enter this, and all that sort of stuff and this would allow kind of more fluidity and also potentially in time, part of what&#8217;s being done is bring back actual content editing in terms of posts and pages to the site editor experience and creating more pathways between all the different editors from the template editor, to the post editor, to the site editor, all that sort of stuff. So how can we bring this together to a cohesive experience and present it in a way that allows folks to navigate where they need and edit what they need in a way that actually is a bit more intuitive. So I&#8217;m very excited to call that out, and I don&#8217;t know if you have anything to add around that.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I&#8217;m totally excited about it, because I really hate going from the site editor to the post editor and have to go back, back, back and then kind of come in again and it looks like the same editor, but it&#8217;s a little bit different, and the tools are a little bit different. So I like that this browse mode or whatever you want to call it, will kind of unify the experience. And I know from the outreach program&#8217;s call for testings that there&#8217;s always a little bit confusion on are we editing now a page, or a post, or is the template of a page of a post? I think there&#8217;s quite some confusion around that, and it probably won&#8217;t go away because it&#8217;s such a technical distinction that the visual distinction is fairly close to nothing. So you can get lost in those two editing modes. So bringing it together at least in one section where you&#8217;re just going to switch off, okay, I&#8217;m browsing now. I&#8217;m looking at everything and then now I click and I&#8217;m somewhere, and then I click the edit button and then go back.</p>\n\n\n\n<p>It&#8217;s almost like the customizer when you were using that to do some updates on the homepage with site title or changing where you also see where the places are, what you&#8217;re editing in the front end view. And I think there are quite a few hurdles to overcome with that, but I think it will make it class better than it is now with the two modes there.</p>\n\n\n\n<p>I don&#8217;t know if the two modes will really go away. You always can probably edit the templates, but it&#8217;s definitely, it will help with the confusion.</p>\n\n\n\n<p><em>Anne McCarthy</em>: And I think even being able to see that you have a separate section for content versus templates, I think alone will be helpful. I think that&#8217;s part of what&#8217;s adding to the confusion. So I&#8217;m also very keen to test this. This is one of the top items I have in my mind for the full sighting outreach program. I always have a running list of things that I pay attention to. You would not believe my GitHub notifications, but this is one of the items that I&#8217;ve really been waiting for and wanting to see what we can do to get early feedback on. Because I do think it&#8217;s going to be a game changer, but with anything you implement, there&#8217;s going to be new problems and new confusion that arises in trade offs. So knowing what those trade offs are, and then making sure we&#8217;re able to push people where most of the time they&#8217;re able to get it right. That&#8217;s always the aim.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Right, right.</p>\n\n\n\n<p>Anne McCarthy: So yeah, that&#8217;s a big one to call out in that experience.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And we&#8217;ll share the issue number is 36667 just in case you want to rush to the computer and look it up. But I also see that the issue itself is almost a year old, so I&#8217;m also thinking that that was was on hold to kind of finish some of the site editor functionality before you can think about what would need to be in the browse mode displayed or how would it interact with the existing stuff. So I&#8217;m glad that there is some patience there with waiting on things before it&#8217;s released too soon or worked on it too soon when other things are not stable yet. So I really like it. I&#8217;m looking forward to it and see what other people talk about it. Yeah. What else?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Ditto. Yeah, so the navigation block I have to call out and that is a big&#8230; I think we kind of do a disservice and we just talk about the navigation block, because it&#8217;s really how do you manage navigation for the entire site and the navigation experience for the entire site. And the block is one piece of that, and it connects to so much. And so there&#8217;s a lot of work from looking at, I was talking to Yellen this morning who&#8217;s a designer who works for Automattic, we&#8217;ve saw a lot of work with the navigation block around what if instead of directly manipulating the navigation block, you actually manipulate it in the block settings so you could actually drag and drop, and it was kind of more familiar to the old menu experience. What would that look like? And part of the work here is everything from that kind of stuff to how can you allow folks to have more control over the responsiveness of a navigation block item.</p>\n\n\n\n<p>And so there&#8217;s also some technical underpinnings around using different fallbacks and making sure there&#8217;s more fallbacks in place for when you&#8217;re switching from a classic theme to a block theme and making that as out of the box intuitive as possible. Currently there&#8217;s a really annoying convert to links thing that&#8217;s very confusing and not user friendly and very technical in some of the fallback situations. So there&#8217;s so much work to be done there. And I just want to call that out as something that I know a lot of people bring up as a major pain point. It&#8217;s something I hear about constantly. Did you know the navigation block is not easy to use?&nbsp;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Some people have other words for it, and I totally agree. Yes,</p>\n\n\n\n<p><em>Anne McCarthy</em>: I know. And it&#8217;s very interesting because I think there&#8217;s a split between both people who just want one navigation menu and it&#8217;s very simple and very contained. And then on the flip side, there&#8217;s people who want to create a mega menu. So I hear feedback about all sorts of things and I promise there are people working really hard to get it right. That&#8217;s another thing we&#8217;ll also be testing pretty extensively. And so I had to call that out. Another whole area of work as part of this wrapping up, phase two is around patterns. And so I like to quote Miguel, who is another coworker who said something like, &#8220;Up until this point, it was like&#8230;&#8221; I&#8217;m going to get this wrong, I&#8217;m going to butcher it. But he said something around, up until this point, it was all about blocks and now going forward so much is going to be about patterns, because that&#8217;s the way to really harness the power of blocks.</p>\n\n\n\n<p>And so a lot of stuff needs to be done around pattern categorization. We talked about the pattern inserter redesign and how that helps things be more scalable. But right now for example, there&#8217;s a category of patterns called query. What on earth does that mean? Especially what is that? And especially when that&#8217;s probably going to be the most commonly used pattern because the query block is an advanced tool. So why patterns should fill that gap and should make it really easy to do the basics of displaying posts. But people may not actually look into the query pattern, because that is more technical. So we need to do everything from revamping the categories to finishing up bundling the headers and footers so people regardless of theme, have easy access to those patterns. And reevaluating even how we show patterns from a theme versus patterns from the pattern directory and integration with the pattern directory as well. So there&#8217;s a lot of work to be done there across on numerous different things to really bring the power patterns fully into the experience. So that&#8217;s a huge, huge area of work.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: But I think we pushed this quite far already with the multiple ways pattern can actually make it into the site, be it the pattern directory, be it with a theme. You can also put it in a plugin and say, yeah, I don&#8217;t know. And it&#8217;s so easy to bring something to a website that is already predesigned and then kind of feels like native to your own site when it kind of follows the theme. And I think that&#8217;s a strong suit from the panel directory that when you add them to your site, it kind of seamlessly. And I think there&#8217;s still some work to be done there, but seamlessly was with your colors, with your theme settings that it kind of picks up on that. That would be really cool. But for that you definitely would need more standardization on color palettes and font sizes and these kind of things.</p>\n\n\n\n<p>So I think it will always be mainly theme-driven, the pattern part. And that&#8217;s why I like that you can see the pattern now in the theme directory of the block themes. And also for classic themes if a classic theme has balance. Yeah, they also will show up in the block theme in the theme directory and yeah, I don&#8217;t know if we talked about it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: That&#8217;s very cool.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: We talked about it. Yeah. I&#8217;m just worrying, the speaking about the theme directory, what you also see now in the theme directory is the style variations. And when you click the style, they are now displayed underneath the screenshot. And when you click on that, the screenshot actually changed into the color setting. So it&#8217;s a really neat system that the meta team came up with. So try this out. It&#8217;s the first iteration, so it might not work for all themes, it definitely works for block themes that have style variations. And if you know that a theme has style variations, but they don&#8217;t show, please let the meta team know so they can fix whatever keeps the style of variations to show. It&#8217;s another kind of tangent. Sorry about that.</p>\n\n\n\n<p><em>Anne McCarthy</em>: No no, it&#8217;s a great tangent, because I think it&#8217;s really important. It&#8217;s part of how can we show the power of the next generation of themes and actually bring that into the theme directory? Because that is a weird piece of this is evolving the theme directory as well. And it&#8217;s saying a lot of blocking authors have given feedback around as well as, hey, we&#8217;re doing all this work, this theme is so much more complex, it can do all these sorts of things, but it&#8217;s not reflected in the theme directory. So how can we bring that in?</p>\n\n\n\n<p>So I think it&#8217;s a really cool, which actually relates to the final thing I know we talked about, but retaining decoupling templates from themes and having templates be something that when you&#8217;re switching themes, you can actually retain them. And right now themes are tied to templates, so when you&#8217;re switching around, they&#8217;re basically &#8220;lost&#8221; or you can switch back to the theme and get it, but you have to bring it with you manually.</p>\n\n\n\n<p>And that has been brought up for a long time. This has been raised as a flag. And I can imagine a future where you&#8217;re in the theme directory, a block name, and you still see those style variations, you see the patterns and then maybe you see the templates, and maybe you can pick and choose from each what you want to use. And so I think we&#8217;ve done some neat expirations around far into the future, blocking, switching and combining and merging and what that looks like. Obviously very futuristic almost, but we&#8217;re getting closer to that and that&#8217;s part of the work being done is improving the experience of switching from classic to block and then also in between blockings themselves. So yeah, lots of exciting stuff being done.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And I like that we are now at the point where we kind of pivot from what we knew before, like template and themes and template parts. They&#8217;re all together, and now we are kind decouple them and make it user friendly, because you don&#8217;t want to put all the work into creating a template for your post or for your categories, and then you switch a theme and then you lose all that. So that&#8217;s definitely not what a user-friendly system would be, but it also adds a little bit, if not quite a big complexity to the system and to see what is what and where does it come from? Especially when you want to debug and you have to figure out where did the user get this pattern and where did the user get this template purge? And how is that same templates still there? Kind of. Yeah. So it&#8217;s going to be really interesting to see what happens next there.</p>\n\n\n\n<p>Well, thank you. Yeah, thank you so much for at least giving us a broad overview, and we will certainly share that phase two customization updated tracking issue and keep you up to date here on the Gutenberg Changelog. Yeah.</p>\n\n\n\n<p>So this brings us to the end of the show and this was a great way to talk about all of it. What&#8217;s in WordPress, what&#8217;s in Gutenberg, what&#8217;s in the view, what&#8217;s in art and in fiction. So is there anything that you want to give a shout out to that we haven&#8217;t talked about but it&#8217;s really close to your heart or that people should know?</p>\n\n\n\n<p><em>Anne McCarthy</em>: I have something cheesy to share, which is we&#8217;re coming up on two years of when the first call for testing for the outreach program started. And I had a hallway hangout yesterday with a group of, I think almost like 10 folks. And I missed people. I&#8217;ve been doing this for two years with people that around the world who I haven&#8217;t seen. And I just want to give a lot of props to the WordPress community for engaging with these things. And a lot of stuff has just been experimentation and figuring out what works and what doesn&#8217;t and people being vulnerable and sharing and showing up. And I just was filled with a lot of gratitude yesterday thinking about, remember the first hallway hang out I ran, I think two people came, and no one knew what it was and it didn&#8217;t seem very useful. And now people come and really give a lot of time and attention, and then I missed people. And that&#8217;s a really wonderful feeling. And at the end of the day, we&#8217;re doing this for each other and for the open internet. So yeah, that&#8217;s just a cheesy way to end, but it just was very much on my mind thinking about how much it really is a collective effort.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, that&#8217;s an excellent way to end the show. Thank you so much.</p>\n\n\n\n<p><em>Anne McCarthy</em>: And thank you for all the stuff you do, too. The regular Gutenberg changelog podcasts are just excellent resources for people, so it&#8217;s an honor to be on here and have a chance to nerd out with someone else rather than alone in my apartment.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Well thank you for, yeah, we have been working on this together for quite a while, and yeah, it&#8217;s always a pleasure to have you on the show, and thank you for spending time with me today and working us through that.</p>\n\n\n\n<p>And dear listeners, thank you so much also for listening to it. And if you want to write a review on iTunes or Stitcher or Podcaster or wherever we get it, and we would like to read it aloud here. So let other people know how you feel about the Changelog, it helps with the distribution. And as always, the show notes will be published on Gutenbergtimes.com/podcast. This is episode 75, and if you have questions or suggestions or news you want us to include the next time, send them to <a href=\"mailto:Changelog@gutenbergtimes.com\">Changelog@gutenbergtimes.com</a>. That&#8217;s <a href=\"mailto:Changelog@gutenbergtimes.com\">Changelog@gutenbergtimes.com</a>.</p>\n\n\n\n<p>So thank you, dear listeners. Thanks again, Anne McCarthy, until the next time.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Thank you. Goodbye everyone.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Goodbye.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 30 Oct 2022 17:22:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Gutenberg Changelog\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:154:\"Gutenberg Times: Interactive Fiction tool, Introduction course for Block Development, WP Awards, Gutenberg 14.4 and so much more –  Weekend Edition #234\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=22461\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:156:\"https://gutenbergtimes.com/interactive-fiction-tool-introduction-course-for-block-development-wp-awards-gutenberg-14-4-and-so-much-more-weekend-edition-234/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:28709:\"<p>Howdy, </p>\n\n\n\n<p>Did you miss your weekly Gutenberg fix? I had some great days off, no traveling,  no projects, just my books, my house and hanging out with my husband. It was nice and quiet for a chance. So, well rested, I am here to accompany you into the last week of the WordPress 6.1 release cycle. The <a href=\"https://make.wordpress.org/core/2022/10/28/wordpress-6-1-release-candidate-5-rc5-now-available-for-testing/\">Release Candidate 5 is available</a> and you can read more about the <a href=\"https://make.wordpress.org/core/2022/10/25/wordpress-6-1-release-day-process/\">WordPress 6.1 Release Day Process</a>. </p>\n\n\n\n<p>The&nbsp;<strong><a href=\"https://thewpweekly.com/awards/\">WP Awards</a></strong>&nbsp;are open for voting until November 30. It&#8217;s the second year,&nbsp;<strong>Davinder Singh</strong> <strong>Kainth</strong>, publisher of the <a href=\"https://thewpweekly.com/\">WP Weekly newsletter</a>, created it as a way to bring the community together.</p>\n\n\n\n<p><em>Gutenberg Times</em>&nbsp;has been nominated under the category &#8220;WordPress Blogs&#8221; and the Gutenberg Changelog in the category, yep you guessed it, &#8220;WordPress Podcasts&#8221; both categories are further down the ballot sheet, number 18 and 19. </p>\n\n\n\n<p>Please consider voting, only, of course, if you find it worthwhile, and it stacks up against the competition 🙂 You can only vote once per email address. Needless to mention, the email address also subscribes you to the weekly newsletter, which is well-rounded and well researched. It&#8217;s a newsletter, I read every week, together with <a href=\"https://wpowls.co/\">WPOwls</a>, <a href=\"https://www.therepository.email/\">The Repository</a>, and <a href=\"https://poststatus.com/\">Post Status</a>.&nbsp;</p>\n\n\n\n<p>I would be grateful, if the Gutenberg Times and the Gutenberg Changelog received more than five votes this time around. 💕</p>\n\n\n\n<a href=\"https://thewpweekly.com/awards/\"><img src=\"https://i0.wp.com/user-images.githubusercontent.com/39980/196435038-d68f6757-b6e8-4fbc-a515-9945dbeb2238.png?resize=652%2C301&ssl=1\" alt=\"\" width=\"652\" height=\"301\" /></a>\n\n\n\n<p>Now, dive into the vastness of awesome content produced in the WordPress community about the block editor. The Time to read is 15 minutes, not counted the time it will take to follow all links. Don&#8217;t take it all at one, space it out over the next week 💡</p>\n\n\n\n<p>Have a fantastic weekend and to those who celebrate it:<br />Happy Halloween! 👻 🎃</p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-gutenberg-plugin-version-14-4\">Gutenberg plugin version 14.4 </a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and content creators</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li><li><a href=\"https://gutenbergtimes.com/feed/#5-s\">Upcoming WordPress events</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-l\">Learn WordPress Online Meetups</a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#7-p\">Photo from around the World</a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p><strong>Anne McCarthy </strong>shared with us the list of <a href=\"https://make.wordpress.org/core/2022/10/28/core-editor-improvement-advancing-the-writing-experience/\"><strong>writing flow enhancements</strong></a> of the Block Editor via the latest Gutenberg plugin releases.  My two favorites are the Links automation with &#8220;[[&#8221; and the distraction-free writing mode. I also like how the updated Documents Settings space feels not less busy than before. </p>\n\n\n\n<a href=\"https://make.wordpress.org/core/2022/10/28/core-editor-improvement-advancing-the-writing-experience/\"><img /></a>\n\n\n\n<p><a href=\"https://make.wordpress.org/test/2022/10/26/hallway-hangout-discussion-on-wrapping-phase-2-26-oct/\">Hallway Hangout: Discussion on wrapping Phase 2 (26 Oct)</a></p>\n\n\n\n<h3 id=\"1-gutenberg-plugin-version-14-4\">Gutenberg plugin version 14.4 </h3>\n\n\n\n<p>In his post <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">What’s new in Gutenberg 14.4? (26 October)</a>, first-time release lead, <strong><a href=\"https://twitter.com/juanmaguitar\">JuanMa Garrido</a></strong>, shared the fun fact that Johann Gutenberg invented the printing press in the year 1440. He highlighted the following from this plugin release: </p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/wp-admin/post.php?post=100516&action=edit#redesigned-the-main-pattern-inserter\">Explore easier navigation and larger previews of patterns in the Inserter</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/#introduced-distraction-free-mode\">Enjoy distraction free writing</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/#completed-fluid-typography-feature\">Control image captions from the block toolbar</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/#added-content-locking-to-the-navigation-block\">Lock the ability to edit the navigation block</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/#Improved-Fluid-Typography\">Take advantage of improvements to Fluid Typography</a></li>\n</ul>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Gooding</strong> also covered the release in her article <a href=\"https://wptavern.com/gutenberg-14-4-introduces-distraction-free-mode-redesigns-pattern-inserter\"><strong>Gutenberg 14.4 Introduces Distraction-Free Mode, Redesigns Pattern Inserter</strong></a>. She started with &#8220;<a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">Gutenberg 14.4</a>&nbsp;was released today with long-awaited support for distraction-free editing, to the delight of content editors around the world. It hides all non-essential UI and clears the canvas for a focus on text-based content creation.&#8221;</p>\n\n\n\n<p>It is a special delighted to have the brilliant <strong>Anne McCarthy</strong> as co-host on the Gutenberg Changelog podcast. We mentioned the Museum of Block Art, Interactive Fiction, Gutenberg 14.4 and what&#8217;s next for the Phase 2 of Gutenberg project. </p>\n\n\n\n<img />\n\n\n\n<p>The 75th episode will arrive at your favorite podcast app over the weekend. Oh BTW: Last week, Matt Mullenweg announced on his blog that the team of <a href=\"https://ma.tt/2022/10/open-source-podcasting-client/\">Pocket Casts</a> open-sourced the code for the iPhone and Android apps. You can <a href=\"https://pca.st/7O43\">subscribe to the Gutenberg Changelog podcast</a> via Pocket Casts  </p>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>🎙️ </strong> New episode:  <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-75-gutenberg-14-4-upcoming-wordpress-6-1-release-whats-next-for-6-2/\">Gutenberg Changelog #75 – Gutenberg 14.4, Upcoming WordPress 6.1 Release, What’s Next for 6.2</a> with special guest, Anne McCarthy, and host Birgit Pauli-Haack</p>\n</div></div>\n\n\n\n\n<div class=\"ngl-articles colored ngl-articles-50_50 ngl-articles-frontend\">\n\n	\n	<div class=\"ngl-articles-wrap ngl-articles-webview\">\n	\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/what-art-can-you-create-with-wordpress-6-1/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2022/10/IMG_4949-scaled.jpg?w=652&ssl=1\" /></a></div><div class=\"ngl-article-labels\">gutenbergtimes.com</div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/what-art-can-you-create-with-wordpress-6-1/\" target=\"_self\" rel=\"\"><span>What art can you create with WordPress 6.1?</span></a></div><div class=\"ngl-article-excerpt\">The Museum of Block Art is looking for submissions using WordPress 6.1 and the evolving design tools available. Create art (and perhaps find some bugs) ahead of the November 1st&hellip;</div><div class=\"ngl-article-date\">22 Oct 2022</div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n		\n		</div>\n\n</div>\n\n\n\n\n<h2 id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and content creators</h2>\n\n\n\n<p><strong>Anne McCarthy </strong>also shared their enthusiasm for <a href=\"https://www.youtube.com/watch?v=iCF5lssk_oY\"><strong>Distraction-free writing with you on YouTube</strong></a>. They wrote: &#8220;<em>It drastically reduces tooling options to allow you to focus in on your content. This is such a game changer for me that I quickly recorded this video the same day I explored it&#8217;s current iteration ahead of the next Gutenberg release! I hope any writers out there get excited too. Since this is an early feature as well, please explore and report back any feedback you have, so iterations can continue!</em>&#8220;</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Gooding </strong>took a sneak peek at a new feature to come to the Block editor and summarized the discussion in this post: &#8220;<a href=\"https://wptavern.com/gutenberg-contributors-explore-a-new-browse-mode-for-navigating-the-site-editor\"><strong>Gutenberg Contributors Explore a New Browse Mode for Navigating the Site Editor</strong></a>&#8220;. Gooding wrote: &#8220;Although the project’s contributors have been referring to it as “browse mode,” it is essentially a redesign for the existing UI to make it more intuitive for users to navigate. Gutenberg may not need any more new “modes” but the site editor is in dire need design improvements that will unify the experience and make it less chaotic for getting around.&#8221; </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In earlier Gutenberg Times Weekend Editions, you already got the chance to see the beta version of this. Now it&#8217;s live in its first iteration. <strong>Sarah Gooding</strong> has the scoop for you. <a href=\"https://wptavern.com/wordpress-themes-directory-adds-style-variation-previews\"><strong>WordPress Themes Directory Adds Style Variation Previews</strong></a>. She reports: &#8220;<em>Meta team contributors are also working on adding the ability to filter the directory for themes with style variations. Dufresne proposed creating a new&nbsp;<code>style-variations</code>&nbsp;theme tag as the simplest route towards implementing this</em>.&#8221; You can learn more about this proposal from the <a href=\"https://meta.trac.wordpress.org/ticket/6545\">trac ticket: Add ability to filter for themes with style variations</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>The Theme shop <strong><a href=\"https://twitter.com/olive_themes\">Olive Themes</a></strong> has been offering themes in the WordPress.org repository only for two months and just published their third block theme, <a href=\"https://wordpress.org/themes/arc-fse/\"><strong>Arc FSE.</strong></a> They describe it as <em>&#8220;Arc Fse is a free, multi-use block-based theme that adheres to the Full Site Editing features added in WordPress 5.9. As a result, you can alter every component of your site, including the colors, typography, and page layout, to meet your needs.&#8221; </em>The other two themes are <a href=\"https://wordpress.org/themes/medicity/\"><strong>Medcity</strong></a> and <a href=\"https://wordpress.org/themes/exo/\">Exo</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Ana Segota</strong> of Anariel Design <a href=\"https://twitter.com/AnarielDesign/status/1583888671844884480\">announced</a> their new eCommerce Block Theme named <strong><a href=\"https://woocommerce.com/products/olorien/\">Olorien</a></strong> at the WooCommerce Marketplace. According to Segota, the theme is packed with ready-to-use block patterns and makes creating pages from scratch an easy drag-and-drop experience.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/artemiosans\">Artemio Morales</a></strong> calls himself an ‘Electronic Literature Creator’ and <strong><a href=\"https://artemiosans.com/2022/10/20/introducing-the-gutenberg-interactive-fiction-engine/comment-page-1/\">introduced the Gutenberg Interactive Fiction Engine</a></strong>, an early experiment. </p>\n\n\n\n<p>“Interactive fiction is software simulating environments in which players use text commands to control characters and influence the environment. Works in this form can be understood as literary narratives (..). &#8220;, I learn from <a href=\"https://en.wikipedia.org/wiki/Interactive_fiction\">Wikipedia.</a> </p>\n\n\n\n<p>When using the Morales&#8217; <a href=\"https://artemiosans.com/2022/10/18/gutenberg-interactive-fiction-engine-test/\">demo</a>, the story starts with an image of a forest and text. Below you find three choices to continue the story: one leads you deeper into the forest, one guides you to the next clearing and the third has you headed for the town, each giving you a different continuation of the story.  Then on the next station, you get to have a choice again. </p>\n\n\n\n<p>The journey, on which you can take  your readers  can be quite elaborate and doesn’t have to be all text. You can use any core block that’s available to you.&nbsp;The interface is still a bit rough, and if you want to try it out I recommend watching Morales&#8217; video walk-through. </p>\n\n\n\n<p>Morales also lists a few use cases beyond the interactive story telling. </p>\n\n\n\n<ul>\n<li>“Choose your own adventure” YouTube stories</li>\n\n\n\n<li>Interactive comics</li>\n\n\n\n<li>Audio stories with branching paths</li>\n\n\n\n<li>Marketing and educational content</li>\n\n\n\n<li>Multimedia posts incorporating elements from all the above</li>\n</ul>\n\n\n\n<p>Morales ends his introduction with ideas how to improve the plugin and what other blocks might enhance the production of such an interactive fiction/non-fiction suite. </p>\n\n\n\n<p>The plugin <a href=\"https://github.com/artemiomorales/gutenberg-interactive-fiction-engine/releases/tag/v0.1.0\">Gutenberg Interactive Fiction Engine </a>is available for download on GitHub and the code is open-source for discovery and collaboration. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Are you trying to figure out how to use WordPress, the  Block Editor and FSE to make your website? Long-time WordPress educator and early adopter of the block editor, <strong>Bud Kraus</strong> of <em>JoyofWP</em> will hold a paid two-day live class starting 11/8. The second part will take place on 11/15. Learn all the fundamentals of how to make a WordPress website in a hands-on live class. <a href=\"https://www.learndesk.us/live/6501910058106880/designing-your-wordpress-website-step-by-step\"><strong>Designing Your WordPress Website Step By Step</strong></a>.Use the discount code &#8216;Take10&#8217; to get 10% discount. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><a href=\"https://wordpress.org/plugins/x3p0-powered-by/\"><strong>Justin Tadlock</strong></a> published a fun new single Block plugin called<a href=\"https://wordpress.org/plugins/x3p0-powered-by/\"> <strong>&#8216;Powered by</strong>&#8216;</a> in the plugin repository. It&#8217;s a block that generates a random “Powered by” messages. It is meant to replace the typical “Powered by Theme/WordPress” message in footers, but can be used anywhere. You have the choice of messages with or without emoji. The code is also <a href=\"https://github.com/x3p0-dev/x3p0-powered-by\">available on GitHub</a></p>\n\n\n\n<h2 id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p><strong><a href=\"https://twitter.com/mikemcalister\">Mike McAllister</a>,</strong> WP Engine and early adopter of the block editor, introduced <strong>OllieWP</strong>, &#8220;a hub for the next generation of WordPress&#8221;. with tutorial blog posts on design tools, full-site editing, patterns and more. The latest post covers&nbsp;<strong><a href=\"https://olliewp.com/global-styles-and-the-future-of-css-in-wordpress/\">Global styles and the future of CSS</a>&nbsp;</strong>and why this feature is a &#8220;complete game-changer&#8221;. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/marktimemedia\">Michelle Schlup</a></strong>&#8216;s WordCamp US 2022 talk <a href=\"https://wordpress.tv/2022/10/28/the-future-of-themes-designing-for-the-block-editor-and-beyond/\"><strong>The future of themes: designing for the block editor and&nbsp;beyond</strong></a>. The description reads: &#8220;This talk works through the entire thinking process as it relates to theme design. It offers a thorough checklist of steps and tools for designing themes that support WordPress core functionality, custom templates and content, common plugins, and an array of standard and custom Gutenberg blocks.&#8221; </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>In his <a href=\"https://wordpress.tv/2022/10/28/a-beginners-guide-to-the-wordpress-template-hierarchy/\"><strong>A beginner’s guide to the WordPress template hierarchy</strong></a>, <strong>Jonathan Bossenger</strong> covers how the template hierarchy works, and how it affects both classic and block themes.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<p>In the WordPress TV video <a href=\"https://wordpress.tv/2022/10/28/lets-code-global-styles-variations-in-block-themes/\"><strong>Let’s code: global styles variations in block&nbsp;themes</strong></a> also by Jonathan Bossenger, you can follow along and learn how to create a new block theme, and add a few new Style variations to ship with the theme<strong>.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>Last week, <strong>Daisy Olsen</strong> and <strong>Justin Tadlock</strong> held the <strong><a href=\"https://wordpress.tv/2022/10/21/hallway-hangout-block-theme-development-features-in-wordpress-6-1/\">Hallway hangout: block theme development features in WordPress 6.1</a></strong> &#8211; a  casual chat about some Block Theme features that are planned to land in WordPress 6.1. This is the recording. </p>\n\n\n\n<h2 id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p><strong><a href=\"https://twitter.com/michaelburridge\">Michael Burridge</a></strong>&nbsp;in collaboration with other contributors, published the course:&nbsp;<a href=\"https://learn.wordpress.org/course/introduction-to-block-development-build-your-first-custom-block/\"><strong>Introduction to Block Development: Build your first custom block</strong></a>&nbsp;to <em>Learn.WordPress</em>. You are invited to a step-by-step tutorial on building a real life example of a block for the editor, from setting up your development environment, using create-block scaffolding to testing your first iteration of the block. As you work through the project, you will add configuration options that enable the user to customize the look and feel of the block to their liking or to match a style guide.</p>\n\n\n\n<img />An example of the “newspaper columns” block that you will be developing in this course.\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Ryan Welcher</strong> published a two-part series of live streams on <a href=\"https://www.youtube.com/watch?v=3zJyjYIykQ4&list=PL6D-mnq0bpxMMSoVEiCdos86T7NUO8GoQ\"><strong>Creating Custom WordPress block that supports Advanced Custom Fields</strong></a> (ACF) on YouTube </p>\n\n\n\n<p>Welcher starts developing a custom block that interacts with both, native custom post meta registered via code and with fields created using Advanced Custom Fields. He demos the use of  <code>InspectorControls</code> and the use of the <code>useEntityProp</code> hook to retrieve data from the custom fields and to modify them through the block&#8217;s code. Welcher also shows you how to modify the custom block, so it can be used in a Query Loop block and have the value of the custom field be displayed on Archive pages.</p>\n\n\n\n<p>On a side note,  <strong>Welcher</strong> also published the code snippets he has been using during his Twitch stream&#8217;s development projects on VS Code:&nbsp;<a href=\"https://marketplace.visualstudio.com/items?itemName=ryanwelcher.modern-wordpress-development-snippets\">Modern WordPress Developer Snippets</a>. If you use Visual Studio Code as your development tool, you can add them via&nbsp;<code>Code &gt; Prefernces &gt; Extensions</code></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/riadbenguella\">Riad Benguella</a></strong> posted&nbsp;<a href=\"https://riad.blog/2022/10/17/secrets-of-gutenberg-the-keyboard-shortcuts-package/\"><strong>Secrets of Gutenberg: The keyboard shortcuts package</strong></a>&nbsp;and explains how to use the package with any ReactJS context at first. Further, into the post you also learn how to use the package in your WordPress plugin or Block plugin. If you want to contribute to Gutenberg code, you can use this package to solve a long-standing issue by yours truly and <a href=\"https://github.com/WordPress/gutenberg/issues/9723\">create a keyboard shortcut to open the &#8220;Edit HTML&#8221;</a> on a single block. 😉</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong><a href=\"https://twitter.com/maugelves\">Mauricio Gelves</a>, </strong>was a speaker at <a href=\"https://valencia.wordcamp.org/2022/\">WordCamp Valencia</a> last week. His talk&#8217;s title was also the title of his latest blog post&nbsp;<a href=\"https://humanmade.com/2022/10/18/1001-ways-to-implement-gutenberg-blocks/\"><strong>1001 ways to implement Gutenberg block</strong></a>&nbsp;for Human Made, where he shared the takeaways of his talk and links to learning more. I was specifically intrigued by the decision tree, that distinguished between three major ways to implement and customize the blocks: Editorial, with PHP and with JavaScript.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Carlo Daniele</strong> released the course&nbsp;<a href=\"https://academy.kinsta.com/dashboard/course/custom-gutenberg-block-development-with-the-wordpress-block-editor/5/19\"><strong>Custom Gutenberg Block Development With the WordPress Block Editor</strong></a>&nbsp;on Kinsta Academy. You learn how to set-up your local development space, how to use the official Create-Block scaffolding tool, build your first block with adding controls to the Block Tools bar, the sidebar, and Block Styles. In the final lesson, Daniele covers how to use InnerBlocks, and other fine-tuning steps.</p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<h2 id=\"5-s\">Upcoming WordPress events</h2>\n\n\n\n<p>November 18, 2022<br /><strong><a href=\"https://www.wordfest.live/2022/november/\">WordFest Live Returns</a></strong>&nbsp;– the 24-hour Festival of WordPress</p>\n\n\n\n<p>February 17 – 19, 2023<br /><a href=\"https://asia.wordcamp.org/2023/\"><strong>WordCamp Asia 2023</strong></a></p>\n\n\n\n<p>Contributors are gathering to organize <a href=\"https://germany.wordcamp.org/2023/\"><strong>WordCamp Germany</strong></a> next year in Munich, Germany.  It&#8217;s so exciting to me, and I can hardly wait for a WordCamp in my hometown! <a href=\"https://germany.wordcamp.org/2023/\">Sign-up for notifications</a> when the organizers have more details. </p>\n\n\n\n<p class=\"has-light-background-background-color has-background has-large-font-size\"><a href=\"https://central.wordcamp.org/schedule/\"><strong>Have a look at the schedule of upcoming WordCamps</strong></a> to find one near you. </p>\n\n\n\n<h3 id=\"1-l\">Learn WordPress Online Meetups</h3>\n\n\n\n<p>October 31, 2022 &#8211; 4 pm EDT / 20:00 UTC <br /><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/288666280/\"><strong>Part 2: Re-Creating Block Designs</strong></a> w/ Wes Theron</p>\n\n\n\n<p>November 1, 2022 &#8211; 8:30 am EDT / 12:30 UTC <br />On Twitch, <strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289395168/\">WordPress development live stream: Internationalization</a></strong></p>\n\n\n\n<p>November 3, 2022 &#8211;  10am EDT / 14:00 UTC  <br /><strong><a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/289395242/\">Internationalization in Block Themes</a> </strong>w/ Jonathan Bossenger</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 id=\"7-p\">Photo from around the World</h2>\n\n\n\n<p><em>With in-person meetup rebooting all over the world, I resumed sharing photos from Gutenberg talks at WordCamps today. </em></p>\n\n\n\n<p>In this <a href=\"https://twitter.com/jdmweb/status/1585993802355036167\">photo posted by Jeremy Desvaux on Twitter</a> shows, <a href=\"https://twitter.com/VinceDubroeucq\"><strong>Vincent Dubroeucq</strong></a>, author of the <a href=\"https://vincentdubroeucq.com/wpcookbook/\">WPCookBook</a> (in French),  gives a live demo of Block Development at <a href=\"https://lyon.wordcamp.org/2022/\">WordCamp Lyon 2022</a> </p>\n\n\n\n<img />\n\n\n\n\n<p></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 29 Oct 2022 19:00:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"BuddyPress: BP Rewrites 1.4.0 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=326911\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://buddypress.org/2022/10/bp-rewrites-1-4-0-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2219:\"<p>Immediately available is&nbsp;<a href=\"https://downloads.wordpress.org/plugin/bp-rewrites.1.4.0.zip\">BP Rewrites 1.4.0</a>. This maintenance release fixes two bugs. For details on the changes, please read the&nbsp;<a href=\"https://github.com/buddypress/bp-rewrites/blob/trunk/CHANGELOG.md#140\">1.4.0 release notes</a>.</p>\n\n\n\n<p>Update to BP Rewrites 1.4.0 today in your WordPress Dashboard, or by&nbsp;<a href=\"https://wordpress.org/plugins/bp-rewrites/\">downloading from the WordPress.org plugin repository</a>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Oh wait, what is the goal of this BuddyPress Add-on?</h2>\n\n\n\n<p>If you&#8217;re wondering, with BP Rewrites activated, you&#8217;ll get full control on any BuddyPress URLs! BuddyPress plugin developers are strongly encouraged to test it with their plugins and report potential issue on the <a href=\"https://wordpress.org/support/plugin/bp-rewrites/\">BP Rewrites&#8217; support page</a>. The goal of this BuddyPress Add-on is to make sure we can safely merge it in BuddyPress Core to migrate our Legacy URL parser to the WordPress Rewrites API. Thanks in advance to all plugin developers or BP Rewrites pioneers for their contributions: once BuddyPress will have performed this migration, life will be easier for everyone:</p>\n\n\n\n<ul>\n<li>Your community site users will be able to enjoy more meaningful URLs,</li>\n\n\n\n<li>BuddyPress Theme authors will stop having headaches trying to understand <code>bp_core_set_uri_globals()</code></li>\n\n\n\n<li>BuddyPress will be compatible with plain permalinks.</li>\n\n\n\n<li>BuddyPress will improve its compliance with WordPress Standards.</li>\n</ul>\n\n\n\n<p class=\"has-text-align-left\"><strong>Let&#8217;s all help this happen asap, you just need to test it and report bugs!</strong></p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://wordpress.org/plugins/bp-rewrites/\">BP Rewrites</a></blockquote>\n</div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 id=\"many-thanks-to-1-2-0-contributors\">Many thanks to the one and only 1.4.0 contributor&nbsp;<span class=\"dashicons dashicons-heart\"></span></h2>\n\n\n\n<p><a href=\"https://profiles.wordpress.org/imath/\">imath</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 29 Oct 2022 09:54:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"WPTavern: The WordPress Community Isn’t Ready to Leave Twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=139000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"https://wptavern.com/the-wordpress-community-isnt-ready-to-leave-twitter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9588:\"<p>Elon Musk has bought Twitter in a $44B deal that closed this week, tweeting “<a href=\"https://twitter.com/elonmusk/status/1585966869122457600\">Let the good times roll</a>,” on Friday after taking the helm. Musk fired top executives at the company and <a href=\"https://twitter.com/elonmusk/status/1585619322239561728\">tweeted</a> an appeal to Twitter&#8217;s advertisers to share his motivation in acquiring what is arguably the world&#8217;s most important social network:</p>\n\n\n\n<p>&#8220;The reason I acquired Twitter is because it is important to the future of civilization to have a common digital town square, where a wide range of beliefs can be debated in a healthy manner, without resorting to violence,&#8221; Musk said. &#8220;There is currently great danger that social media will splinter into far right wing and far left wing echo chambers that generate more hate and divide our society.&#8221;</p>\n\n\n\n<p> Musk also hinted at the importance of content moderation, saying &#8220;Twitter obviously cannot become a free-for-all hellscape, where anything can be said with no consequences!&#8221; The company is forming a council to discuss content moderation, but nobody knows what that will mean for the future of Twitter.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">Twitter will be forming a content moderation council with widely diverse viewpoints. <br /><br />No major content decisions or account reinstatements will happen before that council convenes.</p>&mdash; Elon Musk (@elonmusk) <a href=\"https://twitter.com/elonmusk/status/1586059953311137792?ref_src=twsrc%5Etfw\">October 28, 2022</a></blockquote>\n</div>\n\n\n\n<p>While some Twitter users have considered migrating to Tumblr, the structure and user base isn&#8217;t currently comparable to the Twitter experience. In response to Verge co-founder Nilay Patel&#8217;s provocative article titled &#8220;<a href=\"https://www.theverge.com/2022/10/28/23428132/elon-musk-twitter-acquisition-problems-speech-moderation\">Welcome to hell, Elon</a>,&#8221; Tumblr CEO Matt Mullenweg <a href=\"https://twitter.com/photomatt/status/1586013950109310977\">tweeted</a> his support.</p>\n\n\n\n<p>&#8220;This is an unfortunately good summary of why running a social network is so hard, as I’ve learned with Tumblr,&#8221; Mullenweg said. &#8220;I am wishing Twitter the best and also hope this doesn’t slow down Tesla or SpaceX, which I think are critical to the future.&#8221;</p>\n\n\n\n<p>Patel aptly communicated the weight of the political challenges Musk will face in his commitment to steering Twitter away from becoming &#8220;a free-for-all hellscape,&#8221; which some think has already happened. If Musk decides to open the doors to unsavory characters who were banned in the past, it may drive the social network into the ground.</p>\n\n\n\n<p>While the WordPress community has many online gathering places &#8211; various Slack workspaces, P2 blogs, and Facebook groups &#8211; it has always been Twitter that served as the place for both casual interactions and breaking news. It is the de facto social network for those working in tech. There are many who only use the platform for keeping up with WordPress news and the community.</p>\n\n\n\n<p>&#8220;There’s nowhere else to really go!&#8221; WordPress product designer Mike McAlister <a href=\"https://twitter.com/mikemcalister/status/1586003046399623169\">said</a>. &#8220;WordPress people are pretty much exclusively on Twitter it seems.&#8221;</p>\n\n\n\n<p>Apart from the few optimistic souls who think Twitter will be better than ever, many community members expressed apprehension about losing the network they have built over the years. As the closing of the sale loomed, people threatened to leave Twitter on principle if Musk gained control. That day has arrived, but for the most part the WordPress community is not abandoning Twitter. </p>\n\n\n\n<p>&#8220;Twitter has had too good of an impact on my life to just jump ship,&#8221; Edan Ben-Atar <a href=\"https://twitter.com/edanbenatar/status/1586009637203083265\">said</a>. &#8220;I&#8217;ll stick around for as long as it makes sense. For now, nothing has changed from what is noticeable to the eye.&#8221;</p>\n\n\n\n<p>WordPress designer Dustin Henrich says he is staying but also looking up the people he follows on other platforms. </p>\n\n\n\n<p>&#8220;I&#8217;ve made too many good connections, enjoy reading about people&#8217;s tech and non tech lives, and learning from some wicked smart people,&#8221; Henrich <a href=\"https://twitter.com/dhenrich/status/1586017449287503874\">said</a>. &#8220;I&#8217;d truly be sad if this just all went away.&#8221;</p>\n\n\n\n<p>Decentralized social networking, which has so far failed to gain much mainstream attention, is getting a second look in light of Twitter changing hands. WordPress agency owner Tom Finley is <a href=\"https://twitter.com/i/web/status/1586099982620594176\">experimenting</a> with using the <a href=\"https://wordpress.org/plugins/activitypub/\">Activity Pub plugin</a> to set up his site as a private Mastadon server. It implements the ActivityPub protocol for WordPress so readers can see the site&#8217;s posts on Mastadon and other federated platforms (that support Activity Pub).</p>\n\n\n\n<p>Some WordPress community members are flirting with joining Mastadon instances, or have already committed to posting in both networks, but we are not yet seeing a mass exodus flocking to the fediverse.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">I’m giving Mastodon a try although I’m still sticking around here for the time being. <br /><br />I hate to say it but what about more use of the official WordPress Slack workspace? I often go there if I need to find someone in the community.</p>&mdash; Shawn Hooper (@ShawnHooper) <a href=\"https://twitter.com/ShawnHooper/status/1586040039473090560?ref_src=twsrc%5Etfw\">October 28, 2022</a></blockquote>\n</div>\n\n\n\n<p>&#8220;We’ve seen this attempted exodus to the promised land many times before,&#8221; Ross Wintle <a href=\"https://rosswintle.uk/2022/10/something-about-twitter/\">said</a> in a post that explains why he isn&#8217;t optimistic about people successfully leaving Twitter. &#8220;Without a proper mass migration of people and organizations to another service, it doesn’t stick. </p>\n\n\n\n<p>&#8220;You end up with people cross posting to multiple services to reach all the people that they want to reach. And then as a reader I’m checking multiple services and seeing the same things. The signal/noise ratio goes down. And most people get fed up and end up back where they were before.&#8221;</p>\n\n\n\n<p>The most hopeful speculators ask if this could this be the return of blogs. At the moment blogs are not social enough, and there isn&#8217;t a critical mass of bloggers eager enough to adopt the protocols necessary to connect their sites in a stream of easily digestible, short updates. </p>\n\n\n\n<p>Until Elon Musk makes more radical changes, many WordPress community members see no reason to leave Twitter.</p>\n\n\n\n<p>&#8220;For now, I don&#8217;t see a reason to leave,&#8221; WordPress developer advocate Birgit Pauli-Haack <a href=\"https://twitter.com/bph/status/1586069842553344000\">said</a>. &#8220;Block, Unfollow, Mute are my friends for curating my feed. I did cancel my subscription to Twitter Blue after 12 months. Being allowed to edit tweets is not worth it.&#8221;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">I\'ve been through so many social networks over time as they come and go. I lost count how many people say they are leaving Twitter.<br /><br />I use Twitter primarily for note taking, links, etc. I see nothing about that to change.</p>&mdash; David Bisset (@dimensionmedia) <a href=\"https://twitter.com/dimensionmedia/status/1586067272933654528?ref_src=twsrc%5Etfw\">October 28, 2022</a></blockquote>\n</div>\n\n\n\n<p>Overall, most people are taking a &#8220;wait and see&#8221; approach regarding leaving Twitter.</p>\n\n\n\n<p>&#8220;I haven&#8217;t found a viable alternative,&#8221; WordPress meetup organizer Sallie Goetsch <a href=\"https://twitter.com/salliegoetsch/status/1586042212567068672\">said</a>. &#8220;I do hang out in various WP Slack groups, but for the wider world&#8230;we&#8217;ll just have to see what happens here.&#8221;</p>\n\n\n\n<p>One positive byproduct of this recent shake-up is that the WordPress community is considering a future where important conversations happen on another platform. As users explore other social networks, they may gain an affinity for a different type of social media culture with features that Twitter is lacking. Migrating and settling into a new social home on the web takes time.</p>\n\n\n\n<p>&#8220;I’m not saying I wouldn’t love a mass migration to happen,&#8221; Ross Wintle said. &#8220;I’ve just seen so many attempts now and none seem to have been particularly successful, and I don’t see why this one would either.</p>\n\n\n\n<p>&#8220;For a big change to happen, I think either the platform has to spontaneously combust itself or it falls out of fashion by a long period of attrition and fades from the public consciousness over time. Facebook may even be at the start of this. Time will tell.</p>\n\n\n\n<p>&#8220;Perhaps, one day, we will look back and remember that thing we all used called Twitter the same way we remember Geocities and MySpace. But I struggle to see how that will be next week or next month. It will be in many years.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 29 Oct 2022 02:13:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Post Status: Agency Owners: If You Could Ask Anyone Anything…\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142298\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://poststatus.com/agency-owners-if-you-could-ask-anyone-anything/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:901:\"<p>Hey all—<br /><br />In our <a href=\"https://poststatus.slack.com/archives/C02TNBDAXLL/p1666881400963559?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\">#Agency-Owner channel</a> I asked this week:</p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>If you could ask anyone anything related to your work as an agency — who would it be OR more importantly what would you want to ask?</p></blockquote>\n\n\n\n<p>The initial answers are already helping us support your valuable, yet often underserved work here (and of benefit to all).<br /><br />Go chime in when you get a chance or DM me if you want to keep it private. </p>\n\n\n\n<p>– Cory</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 22:17:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Post Status: Moving and Not Moving With the Crowd\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142275\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://poststatus.com/moving-and-not-moving-with-the-crowd/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6968:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">This week\'s WordPress business highlights for Post Status: <strong>Lesley Sim</strong> is pivoting <strong>Newsletter Glue</strong> to an upmarket clientele. A discussion starter about WordPress <strong>UX</strong>. Do we need a curated plugin ecosystem, more open standards, and easy access to current expert consensus points in key knowledge areas? Time to bail out of <strong>Twitter</strong>? <strong>PayPal</strong>? <strong>Katie Keith</strong> tells her <strong>HeroPress</strong> story. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">6</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n<h2 id=\"h-to-heck-with-black-friday-i-m-raising-my-prices\"><strong>To Heck with Black Friday, I’m Raising My Prices!</strong></h2>\n\n\n\n<p>This week in <a href=\"https://poststatus.slack.com/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>Post Status Slack</strong></a>, <strong>Lesley Sim</strong>, the founder of <strong>Newsletter Glue</strong>, dropped this announcement: <em>“While everybody is offering discounts for Black Friday, we’re planning to significantly raise prices. We’ll be narrowing our target audience and focusing mainly on medium-large publishers and online businesses; working with them more closely and providing a high level of customization and support.”</em> What motivated Lesley\'s decision? Where does she expect it to take her company? How can plugin owners find enterprise customers and agency partners? Find out on <strong>Post Status Draft</strong>. <a href=\"https://poststatus.com/lesley-sim-newsletter-glue-business-model-pivot/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>LISTEN→</strong></a></p>\n\n\n\n<h2 id=\"h-can-we-get-to-yes-on-better-ux\"><strong>Can We Get to &#8220;Yes&#8221; on Better UX?</strong></h2>\n\n\n\n<p>This week in <a href=\"https://speckyboy.com/can-wordpress-appeal-to-diy-markets/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\">an article</a> shared in <a href=\"https://poststatus.slack.com/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>Post Status Slack</strong></a>, <strong>Eric Karkovack </strong>suggested some ways to improve the WordPress user experience, especially for DIY users setting up a website for the first time. Some of the things Eric wants to see happen, like a standard interface for plugins and a curated view of the plugin ecosystem, are also commonly expressed by designers, developers, and people in other roles at WordPress agencies serving enterprise clients. Can we get everyone to “yes” on a better UX? Tell us what you think. <a href=\"https://poststatus.com/wordpress-user-experiences/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>LISTEN→</strong></a></p>\n\n\n\n<h3 id=\"h-a-curated-plugin-ecosystem-you-say-how\">A curated plugin ecosystem you say? How?</h3>\n\n\n\n<p>I\'ve <a href=\"https://poststatus.com/wordpress-user-experiences/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID#Post\" target=\"_blank\" rel=\"noreferrer noopener\">elaborated</a> on some of the ideas discussed on the podcasts this week with Eric and Lesley that can help both plugin businesses, WordPress agencies, and WordPress users in general. It mostly comes down to:</p>\n\n\n\n<ul><li><strong>Don\'t Play Favorites — Recognize Excellence. </strong>What if there was a quality score based on neutral data from WP.org. It might create incentives that make &#8220;gaming&#8221; the system a win for everyone.</li><li><strong>Open Up &#8220;Open Secrets&#8221; — Spread Standards and Expert Knowledge.</strong> What if it was incredibly easy for developers (or anyone) to find and learn best practices and standards? It might create ladders up that are a win for everyone. <a href=\"https://poststatus.com/wordpress-user-experiences/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID#Post\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>READ→</strong></a> &nbsp;</li></ul>\n\n\n\n<h2 id=\"h-quick-links\"><strong>Quick Links</strong></h2>\n\n\n\n<ul><li>There\'s a rich <a href=\"https://poststatus.slack.com/archives/C0413T6GD/p1666821158461799?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\">ongoing conversation</a> in <strong>Post Status Slack</strong> about <strong>PayPal</strong>. The prevailing opinion is <em>very</em> negative, but as usual, <em>it depends</em>. <strong><a href=\"https://poststatus.slack.com/archives/C0413T6GD/p1666821158461799?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\">SLACK→</a></strong></li><li>Over at <strong>HeroPress</strong>, it\'s <strong>Katie Keith</strong> of <strong>Barn2 Plugins</strong> telling her story: <a href=\"https://heropress.com/essays/a-community-that-transcends-labels/?utm_source=Post+Status+Newsletter&utm_campaign=f055253069-EMAIL_CAMPAIGN_2022_10_28_06_26&utm_medium=email&utm_term=0_afc03177a6-f055253069-&mc_cid=f055253069&mc_eid=UNIQID\" target=\"_blank\" rel=\"noreferrer noopener\"><strong>A Community that Transcends Labels→</strong></a></li></ul>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 22:02:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Dan Knauss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"Post Status: WordPress 6.1 RC5 • WP-CLI 2.7.1 • Help Test Plugin Dependencies Feature Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=141952\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:130:\"https://poststatus.com/wordpress-6-1-rc5-6-1-sneak-peek-with-nick-diego-wp-cli-2-7-1-help-test-plugin-dependencies-feature-plugin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:19309:\"<h2 id=\"h-this-week-at-wordpress-org-october-24-2022\">This Week at WordPress.org (October 24, 2022)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.1 rolls out on November 1. Help test 6.1 Release Candidate 3 — and the Rollback feature plugin. Be sure to look over the 6.1 DevNotes, Field Guides, and Team Updates. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div id=\"kt-info-box_68609b-a8\" class=\"wp-block-kadence-infobox\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kt-info-svg-icon kt-info-svg-icon-fe_gitMerge\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"><a href=\"https://make.wordpress.org/core/2022/08/10/proposal-stop-merging-experimental-apis-from-gutenberg-to-wordpress-core/\">WordPress 6.1 </a>Release Candidate 5</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/23f3.png\" alt=\"⏳\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2022/10/28/wordpress-6-1-release-candidate-5-rc5-now-available-for-testing/\">WordPress 6.1 Release Candidate 5 (RC5) Now Available for Testing</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9ea.png\" alt=\"🧪\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/test/2022/09/21/help-test-wordpress-6-1/\">Help Test WordPress 6.1</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f50e.png\" alt=\"🔎\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/tag/dev-notes-6-1/\">WordPress 6.1 DevNotes, Field Guides, and Team Updates</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/23ea.png\" alt=\"⏪\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/hosting/2022/10/19/call-for-action-testing-rollback-feature/\">Call For Action – Testing Rollback Feature</a></p></div></div></div>\n\n\n\n<h2 id=\"h-news\">News</h2>\n\n\n\n<ul><li><a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-3/\"></a><a href=\"https://make.wordpress.org/core/2022/10/28/wordpress-6-1-release-candidate-5-rc5-now-available-for-testing/\">WordPress 6.1 Release Candidate 5 (RC5) Now Available for Testing</a></li><li><a href=\"https://make.wordpress.org/hosting/2022/10/19/call-for-action-testing-rollback-feature/\">Call For Action – Testing Rollback Feature</a></li></ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_9ee0ac-7f\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 id=\"h-wp-6-1-devnotes-and-team-updates\"><a href=\"https://make.wordpress.org/core/tag/dev-notes-6-1/\">WP 6.1 DevNotes</a> and Team Updates</h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/10/12/wordpress-6-1-field-guide/\">WordPress 6.1 Field Guide</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/performance-field-guide-for-wordpress-6-1/\">Performance Field Guide for WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/polyglots/2022/10/20/wordpress-6-1-translation-status-october-20-2022/\">WordPress 6.1 Translation Status (October 20, 2022)</a></li><li><a href=\"https://make.wordpress.org/polyglots/2022/10/11/wordpress-6-1-ready-to-be-translated/\">WordPress 6.1 ready to be translated</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/20/multisite-registration-and-activation-pages-have-new-html-and-css/\">Multisite registration and activation pages have new HTML and CSS</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/14/global-terms-removed-in-wordpress-6-1/\">Global terms removed in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/enhanced-typescript-support-in-wordpress-6-1/\">Enhanced TypeScript support in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/reference-styles-values-in-theme-json/\">Reference Styles values in <code>theme.json</code></a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/wordpress-6-1-accessibility-improvements/\">WordPress 6.1 Accessibility Improvements</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/miscellaneous-rest-api-improvements-in-wordpress-6-1/\">Miscellaneous REST API improvements in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/12/block-api-changes-in-wordpress-6-1/\">Block API changes in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/content-locking-features-and-updates/\">Content locking features and updates</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/11/simplified-data-access-with-new-react-hooks-in-wordpress-6-1/\">Simplified data access with new React hooks in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/09/introducing-wp_list_tableget_views_links-in-wordpress-6-1/\">Introducing <code>WP_List_Table::get_views_links()</code> in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/08/escaping-table-and-field-names-with-wpdbprepare-in-wordpress-6-1/\">Escaping Table and Field names with <code>wpdb::prepare()</code> in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/07/create-block-scaffolding-tool-updates/\">Create-block scaffolding tool updates</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/07/introduction-of-presets-across-padding-margin-and-block-gap/\">Introduction of presets across padding, margin and block gap</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/07/improved-php-performance-for-core-blocks-registration/\">Improved PHP performance for core blocks registration</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/06/introducing-update-uri-theme-header-in-wordpress-6-1/\">Introducing “Update URI” theme header in WordPress&nbsp;6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/04/block-based-template-parts-in-traditional-themes/\">Block-based “template parts” in traditional themes</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/07/improvements-to-wp_query-performance-in-6-1/\">Improvements to <code>WP_Query</code> performance in 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/06/new-cache-site-health-checks-in-wordpress-6-1/\">New cache Site Health checks in WordPress 6.1</a></li><li><a href=\"https://make.wordpress.org/core/2022/09/27/navigation-block-fallback-behavior-in-wp-6-1-dev-note/\">Navigation Block Fallback Behavior in WP 6.1</a></li></ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_121b9e-cb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"is-layout-flex wp-container-33 wp-block-columns\">\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-accessibility\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/accessibility/2022/10/22/accessibility-team-meeting-notes-october-19-2022/\">Accessibility Team Meeting Notes: October 19, 2022</a></li></ul>\n\n\n\n<h2 id=\"h-community\">Community</h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/community/2022/10/26/meetup-organizer-newsletter-october-2022/\">Meetup Organizer Newsletter: October 2022</a></li><li><a href=\"https://make.wordpress.org/community/2022/10/21/community-deputy-training-4-wordcamp-process-flow/\">Community Deputy Training #4: WordCamp Process Flow</a></li></ul>\n\n\n\n<h2 id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/10/25/wordpress-6-0-release-day-process-2/\">WordPress 6.1 Release Day Process</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/24/a-week-in-core-october-24-2022/\">A Week in Core – October 24, 2022</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/28/core-editor-improvement-advancing-the-writing-experience/\">Core Editor Improvement: Advancing the writing experience</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">What’s new in Gutenberg 14.4? (26 October)</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/27/wordpress-6-1-release-candidate-4-rc4-now-available-for-testing/\">WordPress 6.1 Release Candidate 4 (RC4) Now Available for Testing</a></li><li><a href=\"https://wordpress.org/news/2022/10/wordpress-6-1-release-candidate-3/\">WordPress 6.1 Release Candidate 3 (RC3) Now Available</a></li></ul>\n\n\n\n<h3 id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/10/26/dev-chat-agenda-october-262022/\">Dev Chat agenda: October 26,2022</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/24/editor-chat-summary-wednesday-20-october-2022/\">Editor chat summary: Wednesday, 20 October 2022</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/24/editor-chat-agenda-october-26th-2022/\">Editor Chat Agenda: October 26th 2022</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/24/dev-chat-summary-october-19-2022/\">Dev Chat summary, October 19, 2022</a></li><li><a href=\"https://make.wordpress.org/core/2022/10/24/performance-chat-agenda-25-october-2022/\">Performance Chat Agenda: 25 October 2022</a></li></ul>\n\n\n\n<h2 id=\"h-design\"><a href=\"https://make.wordpress.org/design\">Design</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/design/2022/10/24/design-share-oct-10-oct-21/\">Design Share: Oct 10-Oct 21</a></li></ul>\n\n\n\n<h2 id=\"h-documentation\"><a href=\"https://make.wordpress.org/docs\">Documentation</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/docs/2022/10/19/new-design-for-helphub-in-wordpress-org/\">New design for HelpHub in WordPress.org</a></li><li><a href=\"https://make.wordpress.org/docs/2022/10/19/the-first-ever-documentation-team-contributor-day-25th-october-2022/\">The first ever Documentation team Contributor Day – 25th October, 2022</a></li><li><a href=\"https://make.wordpress.org/updates/2022/10/24/documentation-team-update-october-24-2022/\">Documentation Team Update – October 24, 2022</a></li></ul>\n\n\n\n<h2 id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/hosting/2022/10/19/call-for-action-testing-rollback-feature/\">Call For Action – Testing Rollback Feature</a></li></ul>\n\n\n\n<h2 id=\"h-marketing\"><a href=\"https://make.wordpress.org/marketing\">Marketing</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/marketing/2022/10/26/agenda-global-marketing-team-meeting-october-26-2022/\">Agenda: Global Marketing Team meeting, October 26, 2022</a></li></ul>\n\n\n\n<h2 id=\"h-meta\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/meta/2022/10/21/wordpress-org-redesign-update/\">WordPress.org Redesign Update</a></li><li><a href=\"https://make.wordpress.org/meta/2022/10/20/displaying-style-variations-for-supporting-themes/\">Displaying Style Variations for Supporting Themes</a></li></ul>\n\n\n\n<h2 id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/openverse/2022/10/25/community-meeting-recap-25-october-2022/\">Community Meeting Recap (25 October 2022)</a></li><li><a href=\"https://make.wordpress.org/openverse/2022/10/25/handling-very-large-2gb-files/\">Handling very large (&gt;2GB) files</a></li><li><a href=\"https://make.wordpress.org/openverse/2022/10/25/storing-provider-supplied-thumbnails/\">Storing provider supplied thumbnails</a></li></ul>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column\">\n<h2 id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/core/2022/10/25/performance-team-meeting-summary-11-october-2022-2-2/\">Performance Chat Summary: 25 October 2022</a></li></ul>\n\n\n\n<h2 id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/updates/2022/10/26/plugin-review-team-status-24-oct-2022/\">Plugin Review Team Status: 24 Oct 2022</a></li></ul>\n\n\n\n<h2 id=\"h-polyglots\">Polyglots</h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/polyglots/2022/10/25/agenda-weekly-polyglots-chat-oct-26-2022-1300-utc/\">Agenda: Weekly Polyglots Chat – Oct. 26, 2022 (13:00 UTC)</a></li><li><a href=\"https://make.wordpress.org/polyglots/2022/10/20/wordpress-6-1-translation-status-october-20-2022/\">WordPress 6.1 Translation Status (October 20, 2022)</a></li><li><a href=\"https://make.wordpress.org/polyglots/2022/10/11/wordpress-6-1-ready-to-be-translated/\">WordPress 6.1 ready to be translated</a></li></ul>\n\n\n\n<h2><a href=\"https://make.wordpress.org/support\">Support</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/updates/2022/10/27/support-team-meeting-updates-for-october-27/\">Support Team Meeting Updates for October 27</a></li></ul>\n\n\n\n<h2 id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/updates/2022/10/25/test-team-update-24-october-2022/\">Test Team Update: 24 October 2022</a></li></ul>\n\n\n\n<h2 id=\"h-themes\"><a href=\"https://make.wordpress.org/themes\">Themes</a></h2>\n\n\n\n<ul><li><a href=\"https://make.wordpress.org/themes/2022/10/25/themes-team-meeting-notes-october-25-2022/\">Themes Team Meeting Notes –&nbsp;October 25, 2022</a></li></ul>\n\n\n\n<h2 id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul><li><a href=\"https://learn.wordpress.org/individual-learner-survey/\">How did you learn WordPress?</a></li><li><a href=\"https://make.wordpress.org/training/2022/10/25/meeting-agenda-for-october-25-2022/\">Meeting Agenda for October 25, 2022</a></li><li><a href=\"https://make.wordpress.org/training/2022/10/24/october-2022-monthly-faculty-meeting-agenda/\">October 2022 Monthly Faculty Meeting Agenda</a></li><li><a href=\"https://make.wordpress.org/training/2022/10/22/xpost-wordpress-org-redesign-update/\">X-post: WordPress.org Redesign Update</a></li><li><a href=\"https://make.wordpress.org/training/2022/10/22/managing-projects-and-terminology-dri/\">Managing Projects and Terminology: DRI</a></li><li><a href=\"https://make.wordpress.org/training/2022/10/21/proposal-create-a-new-onboarding-experience-to-the-training-team/\">Proposal: Create a new onboarding experience to the Training Team</a></li></ul>\n\n\n\n<h3 id=\"h-tutorials\">Tutorials</h3>\n\n\n\n<ul><li><a href=\"https://learn.wordpress.org/tutorial/adding-a-contact-form-to-your-site/\">Adding a Contact Form to Your Site</a></li><li><a href=\"https://learn.wordpress.org/tutorial/managing-settings-media/\">Managing Settings: Media</a></li></ul>\n\n\n\n<h3 id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul><li><a href=\"https://learn.wordpress.org/?meeting=what-is-seo-search-engine-optimization\">What is SEO? (Search Engine Optimization)</a></li><li><a href=\"https://learn.wordpress.org/?meeting=lets-code-global-styles-variations-in-block-themes\">Let’s code! Global Styles Variations in Block Themes</a></li><li><a href=\"https://learn.wordpress.org/?meeting=wordpress-development-live-stream-global-styles\">WordPress development live stream: Global Styles</a></li><li><a href=\"https://learn.wordpress.org/?meeting=wordpress-roles-and-capabilities-2\">WordPress Roles and Capabilities</a></li><li><a href=\"https://learn.wordpress.org/?meeting=block-theme-global-styles-customization-2\">Block & Theme Global Styles Customization</a></li><li><a href=\"https://learn.wordpress.org/?meeting=a-brief-history-of-wordpress-2\">A Brief History of WordPress</a></li></ul>\n\n\n\n<h3 id=\"h-courses\">Courses</h3>\n\n\n\n<ul><li><a href=\"https://learn.wordpress.org/course/develop-your-first-low-code-block-theme/\">Develop Your First Low-Code Block Theme</a></li></ul>\n\n\n\n<h2 id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul><li><a href=\"https://meta.trac.wordpress.org/ticket/1430\">WordPress TV videos now auto-published to Youtube</a></li><li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li></ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul><li><a href=\"https://tc39.es/#proposals\">ECMAScript Proposals</a></li></ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status\' <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It\'s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 18:05:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"Post Status: To Heck with Black Friday, I’m Raising My Prices! — Post Status Draft 127\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142062\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://poststatus.com/lesley-sim-newsletter-glue-business-model-pivot/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8924:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">This week in <strong>Post Status Slack</strong>, <strong>Lesley Sim</strong>, the founder of <strong>Newsletter Glue</strong>, dropped this announcement: <em>&#8220;While everybody is offering discounts for Black Friday, we’re planning to significantly raise prices. We’ll be narrowing our target audience and focusing mainly on medium-large publishers and online businesses; working with them more closely and providing a high level of customization and support.&#8221;</em> What motivated Lesley\'s decision? Where does she expect it to take her company? How can plugin owners find enterprise agency partners? Listen to this episode of <strong>Post Status Draft </strong>and find out. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">6</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"has-drop-cap\">This week in <strong>Post Status Slack</strong>, <strong>Lesley Sim</strong>, the founder of <strong>Newsletter Glue</strong>, dropped this announcement: </p>\n\n\n\n<blockquote class=\"wp-block-quote\"><p>&#8220;While everybody is offering discounts for <strong>Black Friday</strong>, we’re planning to significantly raise prices. We’ll be narrowing our target audience and focusing mainly on medium-large publishers and online businesses; working with them more closely and providing a high level of customization and support.&#8221; </p></blockquote>\n\n\n\n<p>What motivated Lesley\'s decision? Where does she expect it to take her company? </p>\n\n\n\n<p class=\"has-theme-palette-8-background-color has-background\">For some background, listen to <a href=\"https://poststatus.com/till-kruss-on-object-cache-pro-wordpress-plugins-testing-and-performance/\">my recent conversation</a> with <strong>Till Krüss</strong>, whose business model for <strong>Object Cache Pro</strong> and conversations following from it were part of Lesley\'s thinking about her own product.</p>\n\n\n\n\n\n\n\n<p><strong>In this conversation with Lesley, we talk about:</strong></p>\n\n\n\n<blockquote><p></p><p>Pay attention to the shape of your market and your pricing.</p><cite>Lesley Sim</cite></blockquote>\n\n\n\n<ul><li>Lesley\'s experience with Black Friday sales tactics.</li><li>&#8220;Lifetime&#8221; memberships and licenses.</li><li>Where Newsletter Glue started and how its pricing model has changed.</li><li>Why freemium didn\'t work for Newsletter Glue.</li><li>Lesley\'s experience entering — and leaving — the WordPress plugin directory.</li><li>How Newsletter Glue\'s pricing has steadily evolved toward a better match with its ideal customers. </li><li>How Lesley accessed enterprise agencies and clients. </li><li>What Lesley has learned and hopes to achieve in the future.</li><li>The technical challenges and barriers to reaching a high-end market.</li></ul>\n\n\n\n<div class=\"is-layout-flex wp-container-40 wp-block-columns has-theme-palette-8-background-color has-background\" id=\"GoDaddy-Pro\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3 id=\"GoDaddy-Pro\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/godaddypro\">GoDaddy Pro</a></h3>\n\n\n\n<p>Manage your clients, websites, and tasks from a single dashboard with <strong>GoDaddy Pro</strong>. Perform security scans, backups, and remote updates to many sites on any host. Check up on site performance, monitor uptime and analytics, and then send reports to your clients. <a href=\"https://poststat.us/godaddypro\">GoDaddy Pro is free</a> — and designed to make your life better.</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-center\">\n<a href=\"https://poststat.us/godaddypro\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2022/01/gdpro800x500-1-300x188.png\" alt=\"GoDaddy Pro\" class=\"wp-image-93683\" width=\"150\" height=\"94\" title=\"Pressable\" /></a>\n</div>\n</div>\n\n\n\n<p> </p>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show:</h3>\n\n\n\n<ul class=\"eplus-wrapper\"><li><a href=\"https://newsletterglue.com/\">Newsletter Glue</a> is a WordPress plugin that connects your WordPress content and the block editor with a newsletter service, like Mailchimp. It simplifies newsletter publishing so you can focus on writing — in WordPress — and sending your content out from there <em>without</em> having to copy/paste/edit content or create layouts inside your newsletter service\'s separate, not-as-good design interface. </li><li><a href=\"https://instawp.com/\">InstaWP</a> is what it sounds like: a way to launch a WordPress sandbox/demo site  in less than a second.</li><li><a href=\"https://www.groundhogg.io/\">Groundhogg</a> is <strong>Marketing Automation</strong> and <strong>CRM</strong> For Serious Agencies and Small Businesses using WordPress.</li><li><a href=\"https://lifterlms.com/\">LifterLMS</a> helps education entrepreneurs enable their learners to achieve their desired outcomes, to truly change lives, and make a great living in the process.</li><li><a href=\"https://rtcamp.com/\">rtCamp</a> is a <strong>WordPress VIP Gold Ageny Partner</strong> delivering enterprise-grade web publishing and digital commerce solutions with WordPress to Fortune 500 companies.</li><li><strong><a href=\"https://thecode.co/\">The Code Company</a></strong> is a very specialized agency for publishers focused on the WordPress core competency: publishing! They are specialist WordPress engineers who solve complex publishing problems at scale.</li><li><a href=\"https://humanmade.com\">Human Made</a> is one of the oldest enterprise agencies in WordPress. They\'ve been one of the largest contributors to the WordPress core project, and the wider ecosystem and community. They make <a href=\"https://humanmade.com/2019/06/17/a-technical-introduction-to-altis-enterprise-augmented-wordpress-platform/\">Altis DXP</a>, the <a href=\"https://humanmade.com/2019/05/21/beyond-wordpress-10-year-evolution-human-made/\">evolution of how they work with WordPress</a>. Human Made believes Altis is a fundamental and major step forward for the WordPress ecosystem.</li></ul>\n\n\n\n<h3 class=\"eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\"><li><a href=\"https://twitter.com/lesley_pizza\">Lesley Sim</a> (Founder, <a href=\"https://newsletterglue.com\">Newsletter Glue</a>)</li><li><a href=\"https://twitter.com/dan_knauss\">Dan Knauss</a> (Editor, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li><li><a href=\"https://twitter.com/lemonadecode/photo\">Olivia Bisset</a> (Intern, Post Status)</li></ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p></p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 17:22:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Olivia Bisset\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"Post Status: What AI and Automation Are — and Aren’t — Good For\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142212\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://poststatus.com/what-ai-and-automation-are-and-arent-good-for/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4789:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">Thoughts on how <strong>AI</strong> and automation can be enabling to individuals and help us all be part of our communities where human-to-human interaction is the best and most vital part. • We love our community on <strong>Twitter</strong>, but maybe that\'s not where our community will be in the future. • <strong>Nev Harris</strong> is in our <strong>Member Spotlight</strong>. • Our <strong>Black Friday deals</strong> are live — and you can still add yours. <strong>WordPress Accessibility Day</strong>, <strong>WordFest</strong>, and <strong>WP Wealthbuilder Summit</strong> are coming right up, and so are <strong>WordCamps</strong>! We\'d love to see you at one of our EU/US weekly <strong>Huddles</strong>. </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">3</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n<p class=\"has-drop-cap\">Lately, I’ve been thinking a lot about AI, automation, and how that fits into community. I applaud so much of how all of these things have simplified my life, and make my life so much easier as a disabled person. I use <strong>Ring</strong> doorbell to talk to anyone who rings my doorbell to let them know I’m on my way (but slow). I use <strong>Alexa</strong> to automate lights when I’m not home and voice commands to turn on/off lights, check the weather and news, and set my thermostat. This week I installed a <strong>Stream Deck</strong> to automate things at my desk like key lights, opening websites, and I even added a sound for podcasting fun. AI can generate copy for titles, tweets, and even site content.</p>\n\n\n\n<p>But nothing surpasses human interaction. Being on a <strong>Zoom</strong> call for our Post Status weekly huddles, creative brainstorming with my <strong>Stellar</strong> team, one-on-ones with friends and family, and recording podcasts with my podcasting partners and guests all enhance my life greatly. And I appreciate interacting with so many of you on <strong>Twitter</strong> about <strong>WordPress</strong>, tech, and life in general.</p>\n\n\n\n<p><a href=\"https://www.theverge.com/2022/10/28/23428132/elon-musk-twitter-acquisition-problems-speech-moderation\">Changes are coming to Twitter with the new leadership there</a>. Our community has thrived on Twitter, so keep an eye out for each other there, and if you find a better solution that we can adopt as a community, let us know!</p>\n\n\n\n<h2>Don\'t Miss:</h2>\n\n\n\n<ul><li><strong>Black Friday/Cyber Monday</strong> is coming quickly! <a href=\"https://poststatus.com/submit-black-friday-cyber-monday-deals/\">Submit your deals here</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f448.png\" alt=\"👈\" class=\"wp-smiley\" /></li><li><a href=\"https://poststatus.com/2022-black-friday-cyber-monday-wordpress-deals/\">This year’s deals are live</a>! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f383.png\" alt=\"🎃\" class=\"wp-smiley\" /></li><li>In our <strong>Member Spotlight</strong> this week: <a href=\"https://poststatus.com/member-spotlight-nev-harris/\"><strong>Nev Harris</strong></a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4a1.png\" alt=\"💡\" class=\"wp-smiley\" /> Nev will help you unlock the profit trapped in your business and lower your stress around cash flow and expenses. Nev shows how money talk doesn’t need to be scary. Or boring. Or something you do behind closed doors with an accountant who appears to be speaking another language.</li></ul>\n\n\n\n<h2 id=\"h-upcoming-events\">Upcoming Events:</h2>\n\n\n\n<ul><li><strong>Post Status</strong> <a href=\"https://poststatus.com/huddles/\">Member Huddles </a>Every Week!</li><li><a href=\"https://wpaccessibility.day/\">WordPress Accessibility Day</a> • <strong>November 2-3</strong></li><li><a href=\"https://www.wordfest.live/2022/november/\">WordFest</a> • <strong>November 18</strong></li><li><strong>Calls for Speakers and Sponsors </strong>are open at <a href=\"https://www.wpwealthbuilder.com/\">WP Wealthbuilder Summit</a>.</li><li><strong>WordCamps</strong> are back. <a href=\"https://central.wordcamp.org/schedule/\">Check the schedule online</a>!</li></ul>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 16:45:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Michelle Frechette\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"Post Status: Daniel S. Pumpkins’ 🎃 Post Status Halloween TechHorror Roundup\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142189\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://poststatus.com/post-status-halloween-techhorror-roundup/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4815:\"<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">It\'s our Halloween roundup of ghoul tools, but we\'re not going to show you anything scarier than <strong>David Bisset</strong>&#8216;s <a href=\"https://twitter.com/dimensionmedia/status/1585986701343825920\">dev dad joke tweets</a>. Just <strong>Blocks Made of Humans</strong>, a totally non-scary image creation AI — as long as you do not install the <strong>Performance Loab</strong> plugin. Also in our cauldron: hairy, scary <strong>Block Styles</strong> and the classic so-lean-it\'s-skeletal ingredient, <strong>Balsamiq</strong>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f987.png\" alt=\"🦇\" class=\"wp-smiley\" /><br /> </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">28</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n<h1 id=\"h-wordpress-design-development-haunts-around-the-web\">WordPress Design & Development Haunts Around the Web</h1>\n\n\n\n<p>Here’s a glimpse of what’s going on in the world of design and development in the WordPress space this past week. Halloween edition!</p>\n\n\n\n<h2 id=\"h-blocks-made-of-humans\">Blocks Made of Humans</h2>\n\n\n\n<p>Well, not really, but here is <a href=\"https://humanmade.com/2022/10/18/1001-ways-to-implement-gutenberg-blocks/\" target=\"_blank\" rel=\"noreferrer noopener\">a great overview of all the ways you can make a custom block</a> with code examples from the lovely gremlins at <strong>Human Made</strong>. It’s nice to have so many examples in one place with links to a few resources I hadn’t seen before.</p>\n\n\n\n<h2 id=\"h-mirror-mirror-on-the-wall-what-image-will-devour-them-all\">Mirror Mirror On The Wall, What Image Will Devour Them All?!</h2>\n\n\n\n<p>The folks at <strong>Bertha AI</strong> <a href=\"https://bertha.ai/its-easy-top-get-caught-up-with-all-the-tech-out-there-especially-when-it-comes-to-ai/\" target=\"_blank\" rel=\"noreferrer noopener\">have announced</a> that their plugin now features an image creation module. This is another major step towards seeing artificial intelligence integrated into the WordPress stack. I have not taken it for a spin yet but intend to kick the tires around this weekend to conjure up some spooky hellscapes.</p>\n\n\n\n<h2 id=\"h-your-blocks-are-scaring-the-children\">Your Blocks Are Scaring The Children</h2>\n\n\n\n<p>Post Status members <strong>Roy Sivan</strong> and <strong>James Tryon</strong> have been working on their own suite of design tools for the <strong>Block Editor</strong> lovingly called <a href=\"https://blockstyles.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Block Styles</a>. Recently they’ve been on fire with so many updates and new features that it’s hard not to be excited. For me, the responsive tools alone are the killer feature that I needed. I’ve tried so many plugins for better responsive control, and this one feels the closest to what I would expect. <a href=\"https://twitter.com/blockstyleswp\" target=\"_blank\" rel=\"noreferrer noopener\">Follow them on Twitter</a> as they share how they’re evolving these tools.<br /></p>\n\n\n\n<div class=\"is-layout-flow wp-block-group has-theme-palette-8-background-color has-background\"><div class=\"wp-block-group__inner-container\">\n<h1 id=\"h-cool-tools-for-ghouls\">Cool Tools for Ghouls</h1>\n\n\n\n<p>Each week we feature one cool tool that can help make your life easier as a WordPress builder.</p>\n\n\n\n<h2 id=\"h-just-add-some-balsamiq-with-an-eye-of-newt\">Just Add Some Balsamiq with an Eye of Newt</h2>\n\n\n\n<p><a href=\"https://balsamiq.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Balsamiq</a> does one thing and does it well — it’s an application for creating wireframes. I’ve tried using <strong>Figma</strong>, <strong>Adobe XD</strong>, <strong>Illustrator</strong>, <strong>OmniGraffle</strong>, <strong>Visio</strong>, <strong>Sketch</strong>, real sketches, and more. Every time I end up coming back to Balsamiq because it’s so easy to get the vision out of my head and onto the screen. I know it’s been around a long time and its roots actually came from a <strong>Flash</strong>-built web app, but it has evolved to be a no-bloat application that lets you get in, do what you need, and get out.</p>\n</div></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 15:56:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Daniel Schutzsmith\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Do The Woo Community: Building Your Community Without the Noise\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73251\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://dothewoo.io/building-your-community-without-the-noise/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:401:\"<p>Active engagement and conversation can turn into unproductive noise. That is until you start to use the art of listening.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/building-your-community-without-the-noise/\">Building Your Community Without the Noise</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 09:49:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"Post Status: Post Status Excerpt (No. 72) — Can We Get to “Yes” on Better UX?\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=142079\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://poststatus.com/wordpress-user-experiences/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:45816:\"<h2 id=\"h-wordpress-user-experiences-from-diy-builders-to-enterprise-users\">WordPress User Experiences from DIY Builders to Enterprise Users</h2>\n\n\n\n<div class=\"is-layout-flow wp-block-group eplus-wrapper has-theme-palette-2-color has-theme-palette-8-background-color has-text-color has-background\"><div class=\"wp-block-group__inner-container\"><div class=\"wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">This week in an article shared in Post Status Slack, <strong>Eric Karkovack </strong>suggested some ways to improve the WordPress user experience, especially for DIY users setting up a website for the first time. Some of the things Eric wants to see happen, like a standard interface for plugins and a curated view of the plugin ecosystem, are also commonly expressed by designers, developers, and people in other roles at WordPress agencies serving enterprise clients. Can we get everyone to &#8220;yes&#8221; on a better UX? </p></div>\n\n\n<div class=\"wp-block-spacer eplus-wrapper\"></div>\n\n\n\n<p class=\"yoast-reading-time__wrapper\"><span class=\"yoast-reading-time__icon\"></span><span class=\"yoast-reading-time__spacer\"></span><span class=\"yoast-reading-time__descriptive-text\">Estimated reading time:  </span><span class=\"yoast-reading-time__reading-time\">7</span><span class=\"yoast-reading-time__time-unit\"> minutes</span></p>\n</div></div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#transcript\">Transcript ↓</a></p>\n\n\n\n<h2 id=\"Post\">Can We Get to &#8220;Yes&#8221; on Better UX?</h2>\n\n\n\n<p class=\"has-drop-cap\">What does WordPress need to do to increase its appeal to do-it-yourself website builders and creators who are trying to take a business, hobby, or side project online? That question may be key to keeping that mass market appeal from draining away to simpler, leaner SaaS alternatives. In an article <strong>Eric Karkovack</strong> shared this week in <strong><a href=\"https://poststatus.com/#choose-membership\">Post Status Slack</a></strong>, Eric has <a href=\"https://speckyboy.com/can-wordpress-appeal-to-diy-markets/\">some ideas for improving the WordPress user experience</a>, especially for DIY users setting up a website for the first time. </p>\n\n\n\n<blockquote><p>We all have lists of plugins we disrecommend — to the point that it\'s a dealbreaker if a client insists on using them. And of course, these lists change a lot over time. We all know these things — but it\'s a kind of &#8220;open secret&#8221; within professional WordPress circles. That\'s understandable! Comparison is the thief of joy — and possibly revenue. But it\'s also not a healthy or sustainable situation.</p></blockquote>\n\n\n\n<p>Some of the things Eric wants to see happen, like a standard interface for plugins and a curated view of the plugin ecosystem, are similar to views commonly expressed by designers, developers, and people in other professional roles at WordPress agencies serving enterprise clients. And why not? In the WordPress enterprise space, are the end users really that much different than mass-market WordPress users in what they do and <em>don\'t </em>need to quickly perform routine content creation and management tasks?&nbsp;</p>\n\n\n\n<p>That\'s where my thinking has been lately, so I had a conversation with Eric to see if we might identify areas where nearly everyone thinks WordPress offers a poor experience and how we might align ourselves toward solutions. Can we get everyone to &#8220;yes&#8221; on a better UX?</p>\n\n\n\n<h2>Don\'t Play Favorites — Recognize Excellence</h2>\n\n\n\n<p>Standardizing admin interfaces and notifications might be easier than figuring out how to curate best-of-breed themes and plugins. But imagine, as Eric and I do in this conversation, some kind of &#8220;plugin quality score&#8221; at wordpress.org based on neutral, objective data. It might be &#8220;gamed&#8221; — in a positive way. It would encourage developers to do better, deeper, ever-maturing work. </p>\n\n\n\n<p>Personally, I\'d like to see the maximum and the average number of queries a plugin adds to a page. That, along with PHP and WordPress versions that have been tested for compatibility (which are existing features of the plugin repository) would be key code quality indicators. Frequency of updates, reviews, and support responses would indicate a capacity for long-term sustainability.  Raising <a href=\"https://poststatus.com/we-dont-need-no-stinkin-standards/\">standards for testing aimed mainly at performance and security</a> would be great too. All of this could be done or encouraged by key players in the WordPress ecosystem coming together to set standards for their industry. It would impact how all users of the plugin directory understand quality and how best to assemble a WordPress site.</p>\n\n\n\n<h2>Too Many Open Secrets About Quality are Bad for Everyone</h2>\n\n\n\n<p>As of today, there are 60,153 uncurated free plugins at wordpress.org that can only be explored via external search and a limited (<a href=\"https://poststatus.com/a-visit-from-the-good-idea-fairy/\">arguably broken</a>) site search tool. WordPress professionals with high-end client services would never expose their customers to this chaos — so why does the WordPress community expose its newcomers to it? Anyone who has developed WordPress sites for very long has a list of plugins they prefer, particularly in combination with each other, for common feature sets and use cases. We all have lists of plugins we disrecommend — to the point that it\'s a dealbreaker if a client insists on using them. And of course, these lists change a lot over time. </p>\n\n\n\n<p>We all know these things — but it\'s a kind of &#8220;open secret&#8221; within professional WordPress circles. That\'s understandable! Comparison is the thief of joy — and possibly revenue. But it\'s also not a healthy or sustainable situation. We need to be more open and better at communicating these things in a problem-solving, always-learning way within appropriate channels. <a href=\"https://poststatus.com/open-secrets-forced-updates-in-wordpress/\">Security is a slightly different issue</a>, but <a href=\"https://github.com/WordPress/WordPress-Coding-Standards\">performance and code quality standards</a> — and the products/people who follow them in exemplary ways — should be much more visible, celebrated, and learned from. </p>\n\n\n\n<p>Information that maturing developers and product owners can learn from to improve their work doesn\'t trickle down as openly or as easily as it should. It\'s inside baseball, and it shouldn\'t be quite so insider-y. It\'s not out there alongside independent <a href=\"https://poststatus.com/kevin-ohashi-deep-history-and-integrity-in-hosting-benchmarks/\">plugin performance reviews</a> or clear standards and guidance for anyone who wants them. What if someone did a tutorial series walking through current WordPress code standards and the <a href=\"https://poststatus.com/wordpress-coding-standards-has-reached-a/\">history</a> of <a href=\"https://poststatus.com/accessibility-draft-standards-are-ready-for-review/\">their</a> <a href=\"https://poststatus.com/wordpress-coding-standards-1-2-1-has-been/\">evolution</a>? </p>\n\n\n\n<p>What if?</p>\n\n\n\n<p>Why not? </p>\n\n\n\n<p>What are the barriers?</p>\n\n\n\n<p>Who can remove them?</p>\n\n\n\n<p>Industry peers and WordPress community members working together on common interests?</p>\n\n\n\n<p>As Eric and I end up saying in our conversation, <em>we hope so!</em></p>\n\n\n\n<div class=\"is-layout-flex wp-container-44 wp-block-columns has-theme-palette-8-background-color has-background\" id=\"GoDaddy-Pro\">\n<div class=\"is-layout-flow wp-block-column\">\n<h3 id=\"GoDaddy-Pro\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <a href=\"https://poststat.us/godaddypro\">GoDaddy Pro</a></h3>\n\n\n\n<p>Manage your clients, websites, and tasks from a single dashboard with <strong>GoDaddy Pro</strong>. Perform security scans, backups, and remote updates to many sites on any host. Check up on site performance, monitor uptime and analytics, and then send reports to your clients. <a href=\"https://poststat.us/godaddypro\">GoDaddy Pro is free</a> — and designed to make your life better.</p>\n</div>\n\n\n\n<div class=\"is-layout-flow wp-block-column is-vertically-aligned-center\">\n<a href=\"https://poststat.us/godaddypro\"><img src=\"https://cdn.poststatus.com/wp-content/uploads/2022/01/gdpro800x500-1-300x188.png\" alt=\"GoDaddy Pro\" class=\"wp-image-93683\" width=\"150\" height=\"94\" title=\"Pressable\" /></a>\n</div>\n</div>\n\n\n\n<h3>Learn More:</h3>\n\n\n\n<p>The <strong><a href=\"https://github.com/WordPress/WordPress-Coding-Standards\">WordPress Coding Standards</a></strong> can be found evolving on <strong>GitHub</strong>.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://developer.wordpress.org/coding-standards/wordpress-coding-standards/\">WordPress Coding Standards</a></blockquote>\n</div>\n\n\n\n<h3><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f44b.png\" alt=\"👋\" class=\"wp-smiley\" /> Credits</h3>\n\n\n\n<ul id=\"block-a3e9962f-97ca-4009-be8e-db47b5d1fddf\"><li><a href=\"https://twitter.com/karks88\">Eric Karkovack</a>, Owner at <a href=\"https://www.karks.com/\">Eric Karkovack Web Design Services</a>&nbsp;(Twitter)</li><li><a href=\"https://twitter.com/dan_knauss\">Dan Knauss</a><span>, Editor for </span><a href=\"https://twitter.com/post_status\">Post Status</a><span> (Twitter)</span></li><li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a>, Web Producer intern for <a href=\"http://twitter.com/post_status\">Post Status</a> (Twitter)</li></ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_bd1da3-d8\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h3 id=\"transcript\">Transcript</h3>\n\n\n\n<p><strong>Dan Knauss:</strong> I\'m here with Eric Karkovack, and this morning on Post Status Slack, he shared his latest article published on Specky Boy. &#8220;What can WordPress do to appeal to the do it yourself market?&#8221; What brought that topic up for you this week, Eric?</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> I think it\'s a combination of things. For one, you know, we have full site editing that\'s been around for a little bit now, and, you know, we\'re not seeing like huge adoption rates with it.</p>\n\n\n\n<p>We\'re getting people to, um, you know, kind of learn what\'s involved with that and block themes and, um, [00:02:00] and also at the same time we\'re, you know, the, the changes that we\'ve seen, The block editor over time and you know, even the, kind of, the genesis of that project I think was to kind of compete with, um, more.</p>\n\n\n\n<p>Content management systems, kind of like, you know, WS or Squarespace and what have you. Um, and it seems like WordPress is just going toward that market more and more as they, as they build on. And so I thought those were really nice steps in that direction, right? So we have tools that. Make it a little bit easier for someone who maybe isn\'t, uh, familiar with code to go in and and build a, a site.</p>\n\n\n\n<p>But that led me to think about, well, what else should we be doing in that area? What else could WordPress do to make it. Uh, as foolproof as possible, um, to build a basic site, not something necessarily like, um, you know, a complex, you know, high end enterprise site, [00:03:00] but just something basic that someone can do within a couple of hours.</p>\n\n\n\n<p>So that really kind of where that, the post came from.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. Yeah. Have you seen the, uh, videos where Jamie Marsland and, uh, who else did this had, had their daughters or, Um, I think of very different ages too, but it tried to do exactly that. And, um, he had, he had his kids do, um, um, Elementor versus Gutenberg, I think it was.</p>\n\n\n\n<p>Yeah. Yeah. And that was, that was interesting. I mean, you really have to. That totally someone totally different from you, um, using it for the first time and Yeah, I think, I think a lot of, um, thought has gone into that user experience is, is huge. Uh, now, of course, always, always should have been, but um, Gutenberg is, is very squarely focused on the, on the user experience, building out your, your site and, and [00:04:00] pages.</p>\n\n\n\n<p>And, um, my, my thought though was everyone wants that. Um, it\'s not just the mass market, the lower and middle end, um, of that, but, um, agencies to up. The, uh, those that are serving enterprise, enterprise clients, uh, WordPress, v i p partners, um, I hear, I hear the same things from them, like, you know, even very recent conversations, um, about.</p>\n\n\n\n<p>How having standard interface that doesn\'t throw you different, totally different screens when you use, uh, a plugin in the back end. Um, that\'s a, a con basic design principle of there\'s much less cognitive load on you when the navigation is standard. Even if you\'ve never used WordPress before, um, [00:05:00] you.</p>\n\n\n\n<p>You\'re f it seems familiar because things are intuitively laid out. Cause it\'s, it\'s like a lot of other things. WordPress is, is old enough and in so influential that it\'s, it\'s, uh, backend interface has been copied in a lot of ways. It\'s very, very familiar. Um, interestingly, even if people haven\'t used it.</p>\n\n\n\n<p>Um, so when you hit a plugin with, you know, crazy level of setting screens or its own interface design, um, that\'s not, that doesn\'t. Look good with, uh, with anyone really, but with a enterprise client. I, I think that\'s an issue. That\'s one of the things you talk about in here. Um, Yeah, we have you thought about that at all?</p>\n\n\n\n<p>Um, how, Yeah. Pretty much every market, every WordPress market, uh, could benefit from.</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> It\'s, it\'s funny you mentioned that cuz I really wasn\'t thinking of like the enterprise clients. And I [00:06:00] think the reason for that is because usually if I have a client who\'s a little more higher end on the, on the price scale, I\'m usually building things to kind of account for all of that right?</p>\n\n\n\n<p>Where I can, I mean, obviously I can\'t change a in ui, but I can certainly do things with custom fields or blocks or what have you to try and make the, the content creation and editing process. Simple as possible for them. So by, by doing some of these things at core level, you would take away the need to build all that extra stuff on top to, you know, to make it easier for the corporate client to use.</p>\n\n\n\n<p>So I think it, it, it goes together pretty well. Um, The one example in terms of UI that I have in the article is, uh, you know, just looking at the standard WordPress settings page. We have the reading settings, and then next to it I have, uh, the opening screen of slider Revolution, which is, uh, plugin bundled with [00:07:00] a bunch of different schemes and, uh, like a theme forest, what have you.</p>\n\n\n\n<p>Um, it\'s like a completely different thing. And to, to that end, even Elementor is as well, I mean the, a lot of. Popular page builder plugins basically take over, uh, the UI and it\'s like you\'re in a completely different planet. And think about if you\'re a brand new user and you\'ve got just Elementor or Slider Revolution on your site, you bought this theme and it comes with these things, you\'re kind of thinking you\'re dropped into a middle of Mars or something.</p>\n\n\n\n<p>You\'re not sure what, you know how to get back to where you were and what the difference is between. You know, that UI based versus, you know, the, the core WordPress ui. Uh, in a lot of ways that doesn\'t make sense. So I think that\'s something we have to try and unify. Um, I don\'t know how we go about doing that at the core level.</p>\n\n\n\n<p>Um, but I, I think if we make core as clean as possible, maybe that\'s at [00:08:00] least a good start.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah, there were, there would have to be, um, some, some standards in reusable. Patterns and, and tools. Um, I, I think that in the long run, the, uh, Gutenberg is, is supposed to eat the entire, you know, it\'s, it\'s a true ship of Tesus project where the entire thing gets rebuilt while moving.</p>\n\n\n\n<p>Um, And in, in some way it will be a, the goal is, is to have a unified experience at the end of that, just how quickly that happens depends on, on core contribution. Um, on the velocity of that, um, Yeah, that\'s for lack of that. I, I think it\'s, um, it\'s a bad experience for everyone and Sure. Uh, uh, an enterprise client is really just at bottom end users, uh, employees who have as much experience maybe as the average DIY site builder, a [00:09:00] creator, someone who wants to start a podcast or, or sell a product, um, as a side project or something like that.</p>\n\n\n\n<p>There\'s, there\'s really no difference there. Everyone, um, has the same, uh, usability needs in general, and more or less, there\'s, there\'s big differences when you, you started talking about compliance needs with accessibility and, and so on and, and things like that. But, um, yeah, it seems like to me that there, there\'s a lot of opportunity for aligning, um, different parts of, of the word.</p>\n\n\n\n<p>Community and business community where. Plug in. Developers and owners should really want this. The same thing that, uh, agency people, um, do. And that\'s, they, they support each other. Um, they feed each other business. So I, I\'m curious why. That hasn\'t [00:10:00] happened, and it seems to me like there\'s some information flows or I don\'t know.</p>\n\n\n\n<p>There there are probably other, other sticky barriers. Have you, did you, did that question come up for you at all? Why? Um, why?</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> Well, I know it\'s like, it\'s something we\'ve talked about a little bit, right? I mean, yeah, just on, on a few different levels and with the, uh, you know, Active install data going away from wordpress.org, and maybe these folks need to band together a little more and, and share amongst each other.</p>\n\n\n\n<p>I, I think the reason it hasn\'t happened yet is because it really hasn\'t had to, um, you know, maybe they haven\'t seen necessarily the benefit of it, but when you see kind of the, the yeah. Jumble of the, the UI right now and how it, how different it can be depending on what you have installed. You know, maybe there is something that, you know, some of these larger plugin developers could work together on.</p>\n\n\n\n<p>Sure. Uh, it makes sense. You know, it makes sense for all of them. I mean, [00:11:00] I, I, I somehow see us heading towards some sort of consortium of, of, uh, folks who, who can\'t necessarily write strict standards, but maybe they have certain. You know, broad outlines of, of what they, they want to, to abide by. And, you know, the more people that do that, the better I think it is for WordPress users and for just really everyone involved, because the software\'s going to be easier to use and more uniform.</p>\n\n\n\n<p>Right.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. There\'s, there\'s a lot that the, um, that, that part of the community could do for itself. I\'ve, uh, Tried to be more vocal about, but I, I think there, there have been a few, few voices behind those ideas of you, Hey, you, there\'s a lot you can do, um, to shape your own industry. Um, Yeah, if you do have a shared, a shared interface framework and, um, formal or informal standards for [00:12:00] Yeah, we were talking about.</p>\n\n\n\n<p>Admin notifications previously. Um, that\'s part of it. Um, it, it\'d save you a lot of time if there was a base to build on. Um, more than, more than I think exists now. Um, so that, uh, anyone starting, starting out creating a, a new plugin, um, would have some kind of, uh, head start. Really a standard interface or, or guidance at least.</p>\n\n\n\n<p>I don\'t know that there\'s that much, um, public information. And, uh, it\'s curious to me as, as, uh, as things like the W Commerce, um, partnership program kind of is a bit, looks like, a bit like a, getting into, uh, a relationship with WordPress, v i p. Um, there\'s criteria to go through, uh, that you have, well you have to meet, um, to become, um, a preferred agency working.</p>\n\n\n\n<p>Um, with w commerce.com side with [00:13:00] automatic, um, what those criteria are and what the standards are, should I think, have some kind of trickle down effect, like know what they are and, um, and have them as at least aspirational for everyone. Um, there\'s been some talk in, in, uh, core of, um, bringing. Some changes on, uh, on standards and testing for, uh, coding, um, coding standards for security.</p>\n\n\n\n<p>Uh, I think primarily performance and security. Um, and I hope those continue to get prioritized that that\'s what all seems, seems to need to happen to, um, to move this forward. But the one point you mentioned, um, where you\'re talking about modernizing the onboarding experience, Where you direct people to, where to find themes, where to find plugins that, uh, [00:14:00] that becomes challenging and touches, touches.</p>\n\n\n\n<p>This other recent issue we\'ve talked about, um, it is hard to search in the, in the plugin repository is not in an ideal state and people who are trying to sell. Their plugins there, um, have a number of frustrations with, with trying to surface their, their products as relevant to what people are searching for.</p>\n\n\n\n<p>Um, do you think this could be part of a solution to that if, or a potential conflict point when you\'re curating, you\'re, you\'re curating and recommending, um, certain ones?</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> Well, I think as far as, as core goes, um, my idea is more. Just pointing people to the repositories. Mm-hmm. , uh, for themes and plugins, not necessarily being a, uh, a [00:15:00] curator, but, um, I, I, I see the, you know, I see there, there, there should be more impetus to improve the, the repositories and make them easier for folks to search and figure out what it is they\'re getting and what, you know, um, allow new entries to be a little more, uh, visible.</p>\n\n\n\n<p>But I think they\'re kind of separate things, you know, just to be able to, I mean, if, if you\'re installing WordPress now from the, you know, from, from your host, or if you\'re, you know, FTPing it up to your site, old school style, um, you know, you\'re, you\'re gonna get this little. Widget did on the, on the front screen of the dashboard that welcomes you to WordPress and gives you a few handy links, but it doesn\'t really tell you about how to actually use what you\'re, you\'ve got.</p>\n\n\n\n<p>And I think that was where I, I thought improvement could be made right now. I mean the person that doesn\'t understand where themes reside or where plug-ins reside, they\'re not [00:16:00] gonna know necessarily to go under the appearance menu and look to add a theme or you know, the plug-ins menu. You know, they may find that eventually, but why not put it right out there in front of \'em so that they can easily click and say, Okay, I know what I need.</p>\n\n\n\n<p>I need to get a plugin that does this. And you know, cuz we have a nice interface to actually go in and. Poor plugins and themes, but Right. It\'s not necessarily, um, in front of, front of your mind when you, when you first install WordPress. So I thought that was, um, something that was important to, uh, you know, to, to emphasize in this.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Sure. Yeah. And that, that seems like it, it\'s potentially in a good way, open for change with, uh, potential changes to the.org repository. And, and I imagine that as, um, as the.com marketplace. Um, and, you know, potentially other, other things like that. Um, If, if other hosts hosting W Commerce or, or [00:17:00] WordPress were to do something similar, um, that, that, that requires some kind of curation at some point or some, some way of featuring particular things like, this is what you need to do.</p>\n\n\n\n<p>Uh, for, for example, you know, one of my pet things is can you build a, uh, sub stack like, uh, site out of WordPress very quickly. Yes, if you know how. But, um, the, there\'s act, those documentations kind of emerged relatively recently for doing that with a, a couple of plugins. Um, if you dig around on wordpress.com, um, and I, like Kim Coleman is, uh, for, uh, uh, paid memberships.</p>\n\n\n\n<p>Pro is giving a talk right about now, I think on. On how to do that with, uh, Mail poet and their product, the Coleman\'s product, uh, paid membership pro. Um, that\'s, that\'s something that, um, yeah, [00:18:00] I, I agree. It\'s, it\'s tri on the, on the mass market level. It\'s, it\'s sort of the level of suggestion of here\'s if you want to do this, here are some ways you can do that.</p>\n\n\n\n<p>And. What gets recommended there, I, I guess, is, is maybe a, a thorny issue, but as you kind of move up the up the market, um, you don\'t want give that much. You don\'t want to have an onboarding screen that says install this and this and this to, uh, you know, an agency\'s client. Uh, you know, you don\'t, they don\'t wanna see that either.</p>\n\n\n\n<p>So, um, you want to actually be making those choices. For them. So it occurs to me that the thing that\'s not talked about OP openly but is talked about everywhere is that the upmarket WordPress and building even, you know, freelancers, small agencies to v i P agencies generally, um, you know, have their own ways of doing things.</p>\n\n\n\n<p>[00:19:00] That do a lot of curation and like you said, building, building custom materials. But the less you do that, the less you have to support yourself. Um, that they\'re essentially doing, making these choices and saying, these are the things that work well for these purposes under these conditions. And I\'ve always thought, why should that be a proprietary trade secret, especially when it\'s out there, but.</p>\n\n\n\n<p>We\'re hesitant to, uh, convey that or some version of that to the, um, to the mass market. Um, what, what do you, what do you think about that? Do you think there could be some synergies there? Cause there\'s learning potential too, if you, if you kind of disclose, this is how we\'re doing it up here. Um, people who are just starting out building with WordPress are learning from leaders then.</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> Yeah. Um, well, one of the things I. I, I talked about with curation was, you know, maybe managed hosts are in the best [00:20:00] position to do kind of something like that, because I think some of them already do to, to a degree. I mean, many of them are buying up, you know, plugin and themes anyway. And so, you know, maybe they\'re in the best position to add something like this, The WordPress, um, for someone that has the fresh install, You know, in the community it\'s, it\'s interesting because there\'s just so many, there\'s so many plugins and so many opinions that you know mm-hmm.</p>\n\n\n\n<p>I may ask, well how do you build a membership site? And somebody may tell me, paid memberships, pros the way to go. Somebody may say, Member press, or, you know, there there could be five or six other, you know, really big players in that market. Um, same thing for forms and, you know, e-commerce may be a little bit less, but, um, you know, cuz we have one dominant, uh, you.</p>\n\n\n\n<p>Entity there in W Commerce. But, um, you know, if you ask about w commerce extensions, you\'ll probably get a couple hundred different answers on that, so. Right. You know, the curation is a, a [00:21:00] bit of a tough, a tough call. Like, I, I don\'t, I certainly don\'t think, you know, the WordPress project should be, um, doing anything other than generically taking you to the, you know, Repositories and saying, this is where you can find plugins.</p>\n\n\n\n<p>Now, maybe in the future they write, you know, they, they share articles or something about, well, you know, if you\'re going to build an e-commerce site, maybe you should consider X, Y, and Z. Not necessarily talking about. Specific plugins, but things you need to consider on your end and find to help you find the, the tool that works best for your needs and, you know, design for what your workflow is going to be.</p>\n\n\n\n<p>Um, so maybe if we can add some guidance in that way without necessarily favoring one product over another. Um, but I, I, I think they\'re, you know, for the new user, the person who wants to just build their own basic site, Having some sort of guidance in [00:22:00] not only what plugins to use, but just how to use WordPress, I think could be, you know, extremely helpful.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yes. Uh, yeah, I, I agree with you. Um, you know, the way you, you put it here was, um, Uh, yeah, the, who would be responsible for curating is the, is the really tough issue. You\'d need a, a third party of some, some kind to take that on. Um, and yeah, in the mass market where everyone\'s competing, um, with, with their product or service, um, that\'s a difficult one to do.</p>\n\n\n\n<p>Who, who would be a third party? Who could, who could potentially navigate those, those waters? And are, are there things that the plugin repo could do that are sufficiently neutral with the kind of data that, that could be reported out that would, um, help that? Um, do we need something like Kevin Ohashi doing, um, you know, [00:23:00] plugin performance?</p>\n\n\n\n<p>WP plugin performance reviews, like his hosting, uh, reviews.</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> Yeah, that, that\'s interesting. You could, you, you could certainly see the repo. I mean, you know, again, you don\'t wanna play favorites. That\'s definitely, you know, gonna cause a lot of problems. Um, maybe there could be, you know, stats for, you know, different types of sites.</p>\n\n\n\n<p>Um, if you are into publishing, these are the most popular plugins in that category. Because we don\'t, It may even be listed that way now, but we don\'t necessarily say that. Um, so you could look at, you know, membership sites, you could look at e-commerce, um, you know, selling digital goods, all those types of things.</p>\n\n\n\n<p>Maybe we break it down by category a little more and just show what the trends are in that area. It doesn\'t necessarily have to favor anyone, but obviously it\'s going to show, you know, who\'s in the lead and who\'s not. Maybe that\'s [00:24:00] something to help people again and again, I, I put these out there as ideas.</p>\n\n\n\n<p>They may be extremely flawed and, uh, you know, you can certainly tell me on Twitter if, if, if you don\'t agree. Uh, but just I think we need to find more ways to empower people to make good decisions with WordPress. Um, that\'s going to keep people on the platform. Throughout and they\'re going to hopefully have less frustration in trying to get started because I think that\'s, from my experience, that\'s the area where people are, you know, hit that wall after installing, They\'re like, Okay, well what do I do next?</p>\n\n\n\n<p>Right.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. Yeah. I wonder, I wonder if something like a, uh, plugin quality score could be developed. Which, which to some extent is being done with, with, uh, review, like combining, uh, correlating, um, support tickets and response to those and, [00:25:00] um, installs and, and things like that. But I wonder if you could, you could do a quality, um, rating that would be sufficiently neutral that people would accept.</p>\n\n\n\n<p>The curation that developed from that. Say, I, I keep thinking of this one. I don\'t, I don\'t know if it\'s realistic, but, um, I would love to know on every plugin if I install this, what\'s the, what\'s the maximum number of queries it will add to a page load? What\'s the average number? And, um, that right there creates an incentive to plug in developers to get that right.</p>\n\n\n\n<p>Learn, you know, if you\'re just starting out, uh, coding something, um, learn what that means, why it matters. Um, because that\'s, that seems to be one of the real, real slow downs. Um, and, and that\'s a pretty objective measure. Fewer queries, quicker response, um, from the server, [00:26:00] something like that. I don\'t know.</p>\n\n\n\n<p>Do you, do you think that that sort of thing could potentially be done, um, as. Sufficiently neutral thing coming from the, From</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> I think so. I think so. I mean, one idea that just kind of popped in my head was, how about we do something activity based? Hmm. Like, just for example, um, we take into account how often a plugin updates, uh, how responsive, uh, Right.</p>\n\n\n\n<p>You know, support requests are in the forms. That doesn\'t necessarily tell you the quality. Now I. You might be updating your plugin three or four times a week because it\'s broken, and you may be re responding to, you know, support requests without necessarily resolving problems. But that might be a way to, to, to help steer people away from plugins that.</p>\n\n\n\n<p>Haven\'t been updated in years. I mean, we have that little warning on there now that, you know, when it\'s been, I think, what three versions. It\'ll tell [00:27:00] you that, hey, this hasn\'t been, you know, updated in, in a while, huh? But if you had maybe some sort of activity based scoring that, you know, I mean, you know, that, that puts everybody, I think on a.</p>\n\n\n\n<p>Closer playing field. I don\'t know if it\'s completely level, but you know, I mean, the plugins with the most resources might, you know, be able to, to, uh, to win on some of that. But then again, if you have a, a solo entrepreneur who\'s got a plugin that you know, they really are passionate about and they\'re constantly trying to improve and they\'re, you know, we know there are a lot of those out there, you know, they might be able to, to compete on that.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Sure. Yeah. I, I feel, I feel like that could work if the repository made some distinction between completely free plugins and freemium model plugins, or those that have, uh, a recognized business entity behind it with. Staff and [00:28:00] like this, We exist here to support this in theory, in in perpetuity. Um, because actually there, there are some plugin if you base this on activity like TenUp.</p>\n\n\n\n<p>Um, there\'s some, Jake Goldman still has under, under his account on, uh, on the repo that are really nice, simple, single purpose plugins and I completely trust. The support for them, for them, for the, for the most part. But, um, they\'re not, they\'re not gonna be high volume, um, uh, support activity there or updates, and they\'re pretty simple, yet reliable.</p>\n\n\n\n<p>Um, it might be tricky to do that, but I, I think it would be fair to recognize. Leaders and high performers and recognized experts at, at some point. And, um, and the business, um, you know, the number of people who, you know, who actually exist to support [00:29:00] a particular plugin. That was when I was, when I\'m doing things for clients and when I was doing that a lot more, um, you\'re looking at, I, I try to look at what\'s gonna be around for a long, long term.</p>\n\n\n\n<p>You know, the, the fewer, uh, We don\'t wanna make changes to themes, to major plugin changes. Um, over time we want this to be really stable. So, so to me a concern would be, Hey, this is a really nice plugin, seems really well supported, but there\'s no business model behind it. Or it\'s not one that, yeah, I think will be here in five, even just five years.</p>\n\n\n\n<p>Um, and the long term view. Yeah. Is another, is another criteria that\'s hard to, hard to suss out. Um, but those are, those are all potentially valid ways to curate, um, and indicate different, different categories of, of product that may really help people figure out what they need. Um, yeah, it\'s a [00:30:00] good, good question, uh, to open.</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> Yeah, I think there\'s, there\'s potential for it. Um, you know, any, I think anything we can do to make it, give people more confidence that what they\'re installing is going to work and be, you know, stable and, you know, allow them to do. What they want to do easy in a more easy fashion. I think that would, you know, definitely be a benefit.</p>\n\n\n\n<p>And just going back to the activity thing for just a second, I mean, how many plugins that are still, you know, somewhat maintained, Still say that their, their latest compatibility is like WordPress 5.8 or 5.9. Right. You know, just the simple fact of going in and, and testing with WordPress six or 6.1, maybe that gets you, you know, some brownie points in that as well.</p>\n\n\n\n<p>Just that you version checked and you know, you\'re keeping up with that. Because I see that as another issue [00:31:00] in the repository where, There may be plugins that work perfectly well, but you\'re still a little hesitant because it, Yeah. You know, the compatibility hasn\'t been updated in two years or three years.</p>\n\n\n\n<p>So that could also be, you know, a</p>\n\n\n\n<p><strong>Dan Knauss:</strong> factor. And it\'s not just compatibility to WordPress, it\'s, uh, you know, word WordPress, GUIs and, and compatibility for php. So plug in, plug in compatibility with, uh, which, what up to what version of PHP will it. Will it operate</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> and Yeah. Just checking. Yeah, I know. Uh, like I\'m looking at a, a plugin now it says PHP version 5.4 or higher.</p>\n\n\n\n<p>So there you go. Ah, right, right, right. You\'re in good shape, even out in a really, really old install.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yes. Right. So that raises some, some ideas. Well, that\'s, and that\'s something a DIY person isn\'t gonna know. They aren\'t, they aren\'t going to know. Um, you know, what version of PHP is my. Running and what does that mean and, and all that.</p>\n\n\n\n<p>[00:32:00] Yeah. Support activity and development activity are, are good indicators, but then you, you can game that as well. Um, well, it creates, it creates a good incentive to do that work. But then, you know, are we adding features or minor updates just to, uh, to rank higher at that point. I don\'t know if it would have that, that kind of effect.</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> I mean, we\'ve seen it with reviews, right? Yeah. People put in the phony reviews and or higher out firms to, to do that for them. So yeah, any, anything that they put in probably could be gained. I don\'t know if we\'re gonna fully prevent that, but you hope that, you know, most developers take it as a, uh, a serious matter and, you know, try to actually put in the hard work to, to rank highly and, and.</p>\n\n\n\n<p>Hopefully that that\'s a way for them to kind of go up the charts a little bit in, in terms of how many installs they have and how many paying customers they get because of it. Right. [00:33:00]</p>\n\n\n\n<p><strong>Dan Knauss:</strong> Yeah. And there\'s, there\'s such a categorical difference between people who are running their business that way. And well, it\'s a good, it\'s a good way to game things towards more support, more development, and, uh, taking an active interest in, in what\'s going on with your, your product.</p>\n\n\n\n<p>And in the way it\'s, uh, presented to people who are going to install it. Um, and it\'s. Good idea. I, I do feel that those things go together. Any, anything that improves or changes in, in core to change the onboarding experience to, um, make it easier with respect to what you install, has gotta be corresponding somehow to, um, what you see on the on.org, um, what it\'s putting out publicly as a, as a signal for, um, for quality.</p>\n\n\n\n<p>The last thing. Well close to where you, you closed was, was talking about outreach, um, that we should just show what, what WordPress can do. [00:34:00] Um, and do you think we just don\'t do that enough or it\'s not unified enough? Or just in the Gutenberg era, we\'re just beginning to see tutorials and guides, um, show up, especially for non-technical users.</p>\n\n\n\n<p>And, um, that\'s, that\'s something. on.org, Learn, Learn. Um, wordpress.org is, uh, busy trying to do, there\'s a ton of meetups coming out that are really geared towards this sort of thing. Um, and, and also people who are building at sites at a more advanced level. Um, do you see that as something that\'s just starting to happen or something altogether different that you had in mind?</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> I, I sort of see this as kind of like a, a. Coming of WordPress, right? Because when a lot of us, you know, who have been in this a while started, you know, if you went to a Word camp, you probably learned an awful lot about the basics of WordPress. Whether you were just [00:35:00] using it as, you know, a content creator, or you were a developer.</p>\n\n\n\n<p>And I think we\'ve kind of lost that along the way a little bit. We\'ve kind of focused so much on the more advanced topics. And then of course, the pandemic, you know, took away a, a lot of the in person events. So I, I think, you know, the word camps are one way to really start showing, you know, new users what\'s possible and you know, how to, to do the basics.</p>\n\n\n\n<p>Um, you know, I, I would, I honestly, I would love to see that at Word Camp us or one of the really. International events, you know, have a track just for new people, uh, you know, where they can ask experts questions, you know, that people that, you know, we, we see in the post status slack or we see on online all the time.</p>\n\n\n\n<p>You know, if, if a new user\'s able to ask them questions that, you know, that can go a long way towards selling them on the platform and keeping them there. Um, and you mentioned the learn [00:36:00] tool. Well, I, I think that\'s fantastic. That\'s actually something I brought up on the, uh, on the slack the other day. You know, Has there been any effort to kind of integrate that with the core software so that you can easily find tutorials?</p>\n\n\n\n<p>Uh, maybe through a plugin or, or something like that? Because we have various WordPress support, uh, tools that are third party, you know, that\'ll show videos on how to do different things. We have this wonderful resource and if somebody doesn\'t visit wordpress.org, they\'re really not gonna know it\'s. And I think, you know, it\'s such an opportunity to reach people and, and teach them how to do anything from the basics to, you know, once they level up to, you know, some more advanced things, it\'s all right there waiting and, you know, all we have to do in some way, some respects is, you know, put it in front of them, You know, give them the opportunity to see it.</p>\n\n\n\n<p>Um, so those are things, you know. The WordPress community has so much great content, so many smart people. I think we [00:37:00] ought to be able to put our heads together and, and find ways to, you know, encourage new users and embrace them and, and, and, you know, kind of help them, you know, with any stumbling blocks.</p>\n\n\n\n<p>And because, you know, if once we kind of. Hate to say the phrase die out. You know, what, what, what is the next generation of WordPress user going to look like? How, how are they going to use the software? You know, if we want to keep it as a market leader, we want to keep it, uh, viable, you know, the new users are, you know, just critical</p>\n\n\n\n<p><strong>Dan Knauss:</strong> to that, right?</p>\n\n\n\n<p>Yeah. I, I think that Learn is, uh, learn. WordPress is. Logical, the content that\'s being developed there and also the meetups that are going on, the, um, kind of webinars that are, that are happening are, um, are logical to move into the dashboard for certain, um, certain use [00:38:00] cases, um, in the, in mass market, DIY users.</p>\n\n\n\n<p>All right, well, It\'s been good talking to you again. I, I think this, this is a good, a good topic with a lot of questions in it that touch a couple of the main, main conversations and, and issues today that we\'ve, we\'ve been all, all thinking about, um, what to do with, uh, potential changes to the plugin repository and, and the kind of data that that comes out of there.</p>\n\n\n\n<p>Dot org content and information can somehow fit into the, um, into the WordPress dashboard and, um, interface there to help people and connect them with the community. Um, how we could maybe standardize, uh, the experience and some interface design, how things are, are done on the back end that, um, makes [00:39:00] it a more palatable and, uh, Less busy interruptive, um, or confused experience on, on sites with a lot of things installed, whether it\'s, um, someone just setting up their own, their own site, or, uh, an agency doing it for a, a high end client.</p>\n\n\n\n<p>Um, I think the more, the more we see those all as, uh, common problems everyone has. The better chance at br at bringing everyone towards a, an aligned solution where everyone wins. Um, ideally one, one would hope .</p>\n\n\n\n<p><strong>Eric Karcovack:</strong> There\'s potential there. Absolutely. Hope so. Um, you know, The, the, you know, if you start the conversation, hopefully, um, you know, you bring in some good ideas and if we see a few of them implemented, uh, that\'s like you said, that\'s gonna benefit everybody.</p>\n\n\n\n<p><strong>Dan Knauss:</strong> You have been listening to post status excerpt, a podcast from post Status, the [00:40:00] community for WordPress professionals. Check us out@poststatus.com. Sign up for our free weekly newsletter, or become a member and join us in post status. We have membership plans for freelancers, agency owners, product founders, and business partners who share and support our mission of investing in the open web by growing the WordPress ecosystem and coming together for fun and networking as we give and grow together.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 00:52:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Dan Knauss\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: Gutenberg 14.4 Introduces Distraction-Free Mode, Redesigns Pattern Inserter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=138957\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"https://wptavern.com/gutenberg-14-4-introduces-distraction-free-mode-redesigns-pattern-inserter\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3067:\"<p><a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">Gutenberg 14.4</a> was released today with long-awaited support for distraction-free editing, to the delight of content editors around the world. It hides all non-essential UI and clears the canvas for a focus on text-based content creation. </p>\n\n\n\n<p>The mode can be toggled on in the options menu in the top toolbar. Distraction-free mode hides the top toolbar, any open sidebars, along with the insertion point indicator and the block toolbar.</p>\n\n\n\nsource: <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">Gutenberg 14.4 release post</a>\n\n\n\n<p>The project to improve the editing experience for text-based content began with <a href=\"https://wptavern.com/gutenberg-contributors-begin-early-exploration-of-a-new-distraction-free-mode\">early explorations</a> in February, which <a href=\"https://wptavern.com/gutenberg-contributors-make-progress-on-distraction-free-mode\">progressed</a> into a <a href=\"https://github.com/WordPress/gutenberg/pull/41740\">PR</a> that contributors have been refining for the last few months. This distraction-free mode is a monumental improvement over the days when users struggled to write with various UI elements popping in and out of view.</p>\n\n\n\n<p>Another major update in 14.4 is the <a href=\"https://github.com/WordPress/gutenberg/pull/44028\">redesigned pattern inserter</a>. It has been updated to show the categories before rendering the patterns, giving users a more fluid visual preview as they browse the pattern library. Patterns can be dragged and dropped from the preview pane into the canvas.</p>\n\n\n\nsource: <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">Gutenberg 14.4 release post</a>\n\n\n\n<p>Other notable improvements users may notice include the following:</p>\n\n\n\n<ul>\n<li>Image Block: new toolbar button to <a href=\"https://github.com/WordPress/gutenberg/pull/44965\">add a caption</a></li>\n\n\n\n<li>Block Locking: <a href=\"https://github.com/WordPress/gutenberg/pull/44739\">Added content locking to the navigation block</a></li>\n\n\n\n<li>Many improvements to fluid typography, including <a href=\"https://github.com/WordPress/gutenberg/pull/44765\">automatically converting custom font sizes to fluid values</a> when “settings.typography.fluid” is set to true</li>\n\n\n\n<li>Inserter: <a href=\"https://github.com/WordPress/gutenberg/pull/44711\">Add a more pronounced hover effect</a></li>\n</ul>\n\n\n\n<p>Performance benchmarks show an improvement in loading time for both the post and site editors. Check out the <a href=\"https://make.wordpress.org/core/2022/10/27/whats-new-in-gutenberg-14-4-26-october/\">release post</a> to see the full list of all the changes and bug fixes included in 14.4. This release will not be included in the upcoming WordPress 6.1 release next week, but users who are eager to adopt these new features can get them right now in the <a href=\"https://wordpress.org/plugins/gutenberg/\">Gutenberg plugin</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2022 00:48:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"BuddyPress: BuddyPress 10.5.0 Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=326831\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://buddypress.org/2022/10/buddypress-10-5-0-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1298:\"<p>Immediately available is&nbsp;<a href=\"https://downloads.wordpress.org/plugin/buddypress.10.5.0.zip\">BuddyPress 10.5.0</a>. This maintenance release fixes five bugs and makes sure BuddyPress is ready for WordPress 6.1 latest improvements about Block-Template themes. Just like we&#8217;ve done testing BuddyPress into <a href=\"https://make.wordpress.org/core/2022/10/27/wordpress-6-1-release-candidate-4-rc4-now-available-for-testing/\">WP 6.1 RC4</a>, we strongly encourage all Plugin developers to do the same and update their &#8220;Tested up to: 6.1&#8221; plugin main files header.</p>\n\n\n\n<p>For details on all changes, please read the&nbsp;<a href=\"https://codex.buddypress.org/releases/version-10-5-0/\">10.5.0 release notes</a>.</p>\n\n\n\n<p>Update to BuddyPress 10.5.0 today in your WordPress Dashboard, or by&nbsp;<a href=\"https://wordpress.org/plugins/buddypress/\">downloading it from the WordPress.org plugin repository</a>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2>Many thanks to 10.5.0 contributors&nbsp;<span class=\"dashicons dashicons-heart\"></span></h2>\n\n\n\n<p>&nbsp;<a href=\"https://profiles.wordpress.org/dcavins/\">David Cavins</a>, <a href=\"https://profiles.wordpress.org/sjregan/\">sjregan</a>&nbsp;&amp;&nbsp;<a href=\"https://profiles.wordpress.org/imath/\">imath</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Oct 2022 21:30:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"Do The Woo Community: Building WooCommerce Community in Africa with Sunday Ukafia\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=73309\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://dothewoo.io/building-woocommerce-community-in-africa-with-sunday-ukafia/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:437:\"<p>Listen in as we hear the passion that Sunday has for bringing WooCommerce to Nigeria and the broader community in Africa.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/building-woocommerce-community-in-africa-with-sunday-ukafia/\">Building WooCommerce Community in Africa with Sunday Ukafia</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Oct 2022 09:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"WPTavern: 2022 Web Almanac Performance Data Shows WordPress Sites May Be Overusing Lazy-Loading\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=138932\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"https://wptavern.com/2022-web-almanac-performance-data-shows-wordpress-sites-may-be-overusing-lazy-loading\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6567:\"<p>The last two chapters of the <a href=\"https://almanac.httparchive.org/\">2022 Web Almanac</a> were released this week &#8211; Structured Data and Performance, completing the 729-page ebook of the report. The WordPress-specific chapter was published earlier this month with metrics that indicate <a href=\"https://wptavern.com/2022-web-almanac-report-finds-wordpress-adoption-is-growing-adds-new-page-builder-data\">adoption is growing</a>.</p>\n\n\n\n<p>The Performance chapter was written by Etsy performance engineer Melissa Ada and Google web transparency engineer Rick Viscomi. Performance metrics in the chapter focus on <a href=\"https://web.dev/vitals/\">Core Web Vitals</a> (CWV), which Google introduced in 2020 and <a href=\"https://developers.google.com/search/blog/2020/11/timing-for-page-experience\">made a ranking signal</a> in 2021. They used the public <a href=\"https://developer.chrome.com/docs/crux/\">Chrome UX Report</a> (CrUX) dataset for the report, which collects data from <a href=\"https://developer.chrome.com/docs/crux/methodology/#eligibility\">eligible websites</a> &#8211; publicly discoverable sites with an undisclosed minimum number of visitors.</p>\n\n\n\n<p>Most of the data concerns the performance of the web as a whole over time, but the 2022 Web Almanac highlighted one specific concern regarding WordPress sites&#8217; use of lazy-loading and its impact on LCP performance. Google defines <a href=\"https://web.dev/lcp/\">Largest Contentful Paint metric (LCP)</a> metrics as “the render time of the largest <a href=\"https://web.dev/lcp/#what-elements-are-considered\">image or text block</a> visible within the viewport, relative to when the page <a href=\"https://w3c.github.io/hr-time/#timeorigin-attribute\">first started loading</a>.”</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Lazy-loading is a good thing when used correctly, but these stats strongly suggest that there’s a major opportunity to improve performance by removing this functionality from LCP images in particular.</p>\n\n\n\n<p>WordPress was one of the pioneers of native lazy-loading adoption, and between versions 5.5 and 5.9, it didn’t actually omit the attribute from LCP candidates. So let’s explore the extent to which WordPress is still contributing to this anti-pattern.</p>\n\n\n\n<p>According to the <a href=\"https://almanac.httparchive.org/en/2022/cms\">CMS</a> chapter, <a href=\"https://almanac.httparchive.org/en/2022/cms#most-popular-cmss\">WordPress is used by 35% of pages</a>. So it’s surprising to see that 72% of pages that use native lazy-loading on their LCP image are using WordPress, given that a fix has been available since January 2022 in version 5.9. One theory that needs more investigation is that plugins may be circumventing the safeguards built into WordPress core by injecting LCP images onto the page with the lazy-loading behavior.</p>\n\n\n\n<p>Similarly, a disproportionately high percentage of pages that use custom lazy-loading are built with WordPress at 54%. This hints at a wider issue in the WordPress ecosystem about lazy-loading overuse. Rather than being a fixable bug localized to WordPress core, there may be hundreds or thousands of separate themes and plugins contributing to this anti-pattern.</p>\n<cite><a href=\"https://almanac.httparchive.org/en/2022/performance\">2022 Web Almanac &#8211; Chapter 12: Performance</a></cite></blockquote>\n\n\n\n<p>Prior to WordPress 5.9, WordPress’ default of lazy loading implementation was causing slower LCP performance, because it had been applied too aggressively and was lazy-loading images above the fold. In 5.9, <a href=\"https://wptavern.com/wordpress-5-9-to-fix-lazy-loading-performance-regression-resulting-in-30-faster-page-loads-in-some-cases\">WordPress shipped a fix</a> that more eagerly loads images within the initial viewport while lazy-loading the rest. That&#8217;s why results that show WordPress sites overusing lazy-loading are surprising.</p>\n\n\n\n<p>&#8220;Admittedly, &#8216;lazy-overloading&#8217; a hard problem to solve,&#8221; Viscomi said in his <a href=\"https://twitter.com/rick_viscomi/status/1585248419701874688\">Twitter thread analysis</a>. &#8220;We don&#8217;t always know whether an image will be the LCP.  WordPress core sets it on every image by default and uses heuristics to unset it. Nearly 3/4 of pages that natively lazy-load images are on WordPress.&#8221;</p>\n\n\n\n<p>In 2020, Viscomi remarked on how quickly the adoption of native image lazy-loading shot up after WordPress 5.5 was released in August of that year with  images lazy-loaded by default. WordPress has been driving adoption of this feature, which is why any implementation &#8220;anti-pattern,&#8221; as Viscomi characterized it, has an outsized effect on the performance of the web.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">As of October, 10.6% of the web is using native image lazy loading, per <a href=\"https://twitter.com/HTTPArchive?ref_src=twsrc%5Etfw\">@HTTPArchive</a>. That number was 1.5% in July! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f92f.png\" alt=\"🤯\" class=\"wp-smiley\" /><br /><br />This appears to be _entirely_ driven by WordPress at 28.9% of WP pages, which makes up one third of the web.<a href=\"https://t.co/QYGyyctFgc\">https://t.co/QYGyyctFgc</a><br /><br />left: all web<br />right: WP <a href=\"https://t.co/RQnDw4UZ56\">pic.twitter.com/RQnDw4UZ56</a></p>&mdash; Rick Viscomi (@rick_viscomi) <a href=\"https://twitter.com/rick_viscomi/status/1344380340153016321?ref_src=twsrc%5Etfw\">December 30, 2020</a></blockquote>\n</div>\n\n\n\n<p>&#8220;What gives, WordPress?&#8221; Viscomi said. &#8220;My theory is that it&#8217;s not the core heuristics that are wrong, it&#8217;s the plugins. Also, keep in mind that the majority of pages that even use lazy-loading are WP.</p>\n\n\n\n<p>&#8220;To support the plugin theory, let&#8217;s look at custom lazy-loading of LCP: More than half of the pages that do it are built with WordPress. WordPress is &#8216;only&#8217; a third of the web, so there&#8217;s clearly something going on with JS-based lazy-overloading in WP.&#8221;</p>\n\n\n\n<p>On WordPress.org there are <a href=\"https://wordpress.org/plugins/search/lazy+loading/\">multiple pages</a> of performance, caching, and image and video optimization plugins that are using lazy-loading in some way. Plugin and theme developers who are using lazy-loading in their extensions may want to test their implementations to see if they are having a negative impact on LCP performance.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Oct 2022 03:04:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 10 Nov 2022 17:22:46 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Thu, 10 Nov 2022 17:00:41 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:9:\"HIT ord 1\";s:16:\"content-encoding\";s:2:\"br\";}}s:5:\"build\";s:14:\"20221110171319\";}", "no");
INSERT INTO `wpky_options` VALUES("4596", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1668144166", "no");
INSERT INTO `wpky_options` VALUES("4597", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1668100966", "no");
INSERT INTO `wpky_options` VALUES("4598", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1668144166", "no");
INSERT INTO `wpky_options` VALUES("4599", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2022/11/introducing-twenty-twenty-three/\'>Introducing Twenty Twenty-Three</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2022/11/misha/\'>WordPress 6.1 “Misha”</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/gutenbergs-roadmap-for-a-font-library-will-give-users-an-interface-for-registering-and-managing-web-fonts\'>WPTavern: Gutenberg’s Roadmap for a “Font Library” Will Give Users an Interface for Registering and Managing Web Fonts</a></li><li><a class=\'rsswidget\' href=\'https://dothewoo.io/woocommerce-performance-and-cloud-based-saas-with-ivailo-hristov/\'>Do The Woo Community: WooCommerce Performance and Cloud-Based SaaS with Ivailo Hristov</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/woocommerce-7-1-adds-cart-block-cross-sells-includes-high-performance-order-storage-behind-a-feature-flag\'>WPTavern: WooCommerce 7.1 Adds Cart Block Cross-Sells, Includes High Performance Order Storage Behind a Feature Flag</a></li></ul></div>", "no");
INSERT INTO `wpky_options` VALUES("4600", "_transient_health-check-site-status-result", "{\"good\":14,\"recommended\":5,\"critical\":0}", "yes");
INSERT INTO `wpky_options` VALUES("4601", "_site_transient_timeout_locked_5", "1983460984", "no");
INSERT INTO `wpky_options` VALUES("4602", "_site_transient_locked_5", "1", "no");
INSERT INTO `wpky_options` VALUES("4605", "user_count", "2", "no");
INSERT INTO `wpky_options` VALUES("4609", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:57:\"https://downloads.wordpress.org/release/wordpress-6.1.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:57:\"https://downloads.wordpress.org/release/wordpress-6.1.zip\";s:10:\"no_content\";s:68:\"https://downloads.wordpress.org/release/wordpress-6.1-no-content.zip\";s:11:\"new_bundled\";s:69:\"https://downloads.wordpress.org/release/wordpress-6.1-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:3:\"6.1\";s:7:\"version\";s:3:\"6.1\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1668104849;s:15:\"version_checked\";s:3:\"6.1\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wpky_options` VALUES("4611", "can_compress_scripts", "0", "no");
INSERT INTO `wpky_options` VALUES("4615", "loginizer_backuply_promo_time", "1560352795", "yes");
INSERT INTO `wpky_options` VALUES("4616", "loginizer_csrf_promo_time", "1560352795", "yes");
INSERT INTO `wpky_options` VALUES("4617", "wpforms_versions_lite", "a:8:{s:5:\"1.5.9\";i:0;s:7:\"1.6.0.1\";i:0;s:7:\"1.6.7.2\";i:1668101048;s:5:\"1.6.8\";i:1668101048;s:5:\"1.7.5\";i:1668101048;s:7:\"1.7.5.1\";i:1668101048;s:5:\"1.7.7\";i:1668101048;s:5:\"1.7.8\";i:1668101048;}", "yes");
INSERT INTO `wpky_options` VALUES("4618", "wpforms_versions", "a:12:{s:5:\"1.1.6\";i:0;s:5:\"1.3.3\";i:0;s:5:\"1.4.3\";i:0;s:5:\"1.5.0\";i:0;s:5:\"1.5.9\";i:0;s:5:\"1.6.5\";i:0;s:5:\"1.6.8\";i:0;s:7:\"1.7.2.2\";i:0;s:5:\"1.7.3\";i:1668101051;s:5:\"1.7.5\";i:1668101100;s:5:\"1.7.6\";i:1668101051;s:5:\"1.7.8\";i:1668101048;}", "yes");
INSERT INTO `wpky_options` VALUES("4622", "elementor_events_db_version", "1.0.0", "no");
INSERT INTO `wpky_options` VALUES("4625", "elementor_notes_db_version", "5", "yes");
INSERT INTO `wpky_options` VALUES("4629", "elementor_1_elementor_pro_updater_batch_f441e4805eee6252fb8829ca", "a:2:{i:0;a:1:{s:8:\"callback\";a:2:{i:0;s:34:\"ElementorPro\\Core\\Upgrade\\Upgrades\";i:1;s:16:\"_on_each_version\";}}i:1;a:1:{s:8:\"callback\";a:2:{i:0;s:34:\"ElementorPro\\Core\\Upgrade\\Upgrades\";i:1;s:55:\"_v_3_7_2_woocommerce_rename_related_to_related_products\";}}}", "no");
INSERT INTO `wpky_options` VALUES("4631", "_transient_timeout_elementor_remote_info_api_data_3.8.0", "1668144253", "no");
INSERT INTO `wpky_options` VALUES("4632", "_transient_elementor_remote_info_api_data_3.8.0", "a:4:{s:9:\"timestamp\";s:10:\"1668099329\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:64:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:5;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:6;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:16;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:19;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:21;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:22;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:23;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:24;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:25;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:26;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:27;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:28;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:29;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:30;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:31;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:32;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:33;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:34;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:35;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:36;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:37;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:38;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:39;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:40;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:41;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:42;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:43;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:44;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:45;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:46;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:47;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:48;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:49;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:50;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:51;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:52;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:53;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:54;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:55;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:56;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:57;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:58;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:59;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:60;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:61;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:62;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:63;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");
INSERT INTO `wpky_options` VALUES("4633", "wpforms_process_forms_locator_status", "completed", "yes");
INSERT INTO `wpky_options` VALUES("4638", "elementor_controls_usage", "a:4:{s:7:\"wp-page\";a:13:{s:6:\"spacer\";a:2:{s:5:\"count\";i:7;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:2:{s:12:\"space_mobile\";i:6;s:12:\"space_tablet\";i:1;}}s:8:\"advanced\";a:1:{s:19:\"_section_responsive\";a:2:{s:11:\"hide_tablet\";i:1;s:11:\"hide_mobile\";i:1;}}}}s:6:\"column\";a:2:{s:5:\"count\";i:38;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:6:{s:12:\"_inline_size\";i:38;s:21:\"space_between_widgets\";i:15;s:19:\"_inline_size_tablet\";i:4;s:16:\"content_position\";i:5;s:5:\"align\";i:3;s:28:\"space_between_widgets_tablet\";i:1;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:8:{s:21:\"background_background\";i:17;s:16:\"background_image\";i:6;s:19:\"background_position\";i:7;s:26:\"background_position_tablet\";i:4;s:26:\"background_position_mobile\";i:4;s:22:\"background_xpos_tablet\";i:4;s:15:\"background_size\";i:7;s:16:\"background_color\";i:11;}s:14:\"section_border\";a:2:{s:26:\"box_shadow_box_shadow_type\";i:6;s:21:\"box_shadow_box_shadow\";i:6;}}s:8:\"advanced\";a:3:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:38;s:13:\"margin_mobile\";i:24;s:7:\"padding\";i:38;s:14:\"padding_mobile\";i:20;s:13:\"margin_tablet\";i:16;s:14:\"padding_tablet\";i:10;s:11:\"css_classes\";i:7;}s:15:\"section_effects\";a:5:{s:9:\"animation\";i:22;s:16:\"animation_mobile\";i:22;s:15:\"animation_delay\";i:6;s:18:\"animation_duration\";i:2;s:16:\"animation_tablet\";i:1;}s:18:\"section_custom_css\";a:1:{s:10:\"custom_css\";i:1;}}}}s:4:\"icon\";a:2:{s:5:\"count\";i:6;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:3:{s:13:\"selected_icon\";i:6;s:5:\"align\";i:6;s:4:\"view\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_style_icon\";a:2:{s:4:\"size\";i:6;s:11:\"size_tablet\";i:1;}}s:8:\"advanced\";a:2:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:6;s:14:\"_margin_tablet\";i:1;s:8:\"_padding\";i:1;s:14:\"_element_width\";i:1;}s:19:\"_section_responsive\";a:1:{s:11:\"hide_mobile\";i:1;}}}}s:7:\"heading\";a:2:{s:5:\"count\";i:12;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:3:{s:5:\"title\";i:12;s:11:\"header_size\";i:3;s:5:\"align\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:7:\"_margin\";i:10;s:14:\"_margin_tablet\";i:10;s:14:\"_margin_mobile\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:6:{s:11:\"title_color\";i:1;s:21:\"typography_typography\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_font_weight\";i:1;s:27:\"typography_font_size_tablet\";i:1;s:27:\"typography_font_size_mobile\";i:1;}}}}s:11:\"text-editor\";a:2:{s:5:\"count\";i:9;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:9;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:8;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:2:{s:10:\"text_color\";i:2;s:5:\"align\";i:2;}}}}s:7:\"section\";a:2:{s:5:\"count\";i:23;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:12;}s:14:\"section_layout\";a:7:{s:6:\"layout\";i:4;s:13:\"content_width\";i:2;s:6:\"height\";i:3;s:13:\"custom_height\";i:3;s:20:\"custom_height_tablet\";i:2;s:20:\"custom_height_mobile\";i:2;s:16:\"content_position\";i:1;}}s:8:\"advanced\";a:3:{s:16:\"section_advanced\";a:8:{s:6:\"margin\";i:17;s:7:\"padding\";i:22;s:14:\"padding_tablet\";i:15;s:14:\"padding_mobile\";i:15;s:11:\"css_classes\";i:11;s:7:\"z_index\";i:2;s:13:\"margin_tablet\";i:3;s:13:\"margin_mobile\";i:2;}s:19:\"_section_responsive\";a:1:{s:20:\"reverse_order_mobile\";i:2;}s:18:\"section_custom_css\";a:1:{s:10:\"custom_css\";i:1;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:11:{s:21:\"background_background\";i:6;s:21:\"background_color_stop\";i:2;s:23:\"background_color_b_stop\";i:2;s:16:\"background_color\";i:2;s:16:\"background_image\";i:3;s:19:\"background_position\";i:3;s:21:\"background_attachment\";i:3;s:15:\"background_size\";i:3;s:17:\"background_repeat\";i:1;s:18:\"background_color_b\";i:1;s:25:\"background_gradient_angle\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:3;s:24:\"background_overlay_color\";i:3;}}}}s:17:\"tmx-global-button\";a:2:{s:5:\"count\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_button\";a:4:{s:12:\"button_style\";i:3;s:4:\"text\";i:3;s:4:\"link\";i:3;s:4:\"size\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:7:\"_margin\";i:3;s:8:\"_padding\";i:3;s:14:\"_element_width\";i:3;}}}}s:5:\"image\";a:2:{s:5:\"count\";i:6;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"image_size\";i:6;s:5:\"align\";i:6;s:12:\"align_mobile\";i:4;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:8:{s:5:\"width\";i:6;s:12:\"width_mobile\";i:6;s:19:\"image_border_border\";i:6;s:18:\"image_border_width\";i:6;s:18:\"image_border_color\";i:6;s:19:\"image_border_radius\";i:6;s:5:\"space\";i:6;s:12:\"space_mobile\";i:6;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:7:{s:7:\"_margin\";i:6;s:14:\"_margin_mobile\";i:6;s:14:\"_element_width\";i:6;s:21:\"_element_width_mobile\";i:6;s:21:\"_element_custom_width\";i:6;s:28:\"_element_custom_width_tablet\";i:6;s:28:\"_element_custom_width_mobile\";i:6;}}}}s:12:\"oew-info-box\";a:2:{s:5:\"count\";i:7;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"type\";i:3;s:4:\"text\";i:7;s:8:\"position\";i:7;s:5:\"align\";i:7;s:17:\"vertical_position\";i:4;s:4:\"icon\";i:4;s:24:\"vertical_position_tablet\";i:4;}s:15:\"section_content\";a:4:{s:5:\"title\";i:7;s:11:\"description\";i:7;s:4:\"link\";i:4;s:9:\"link_type\";i:3;}}s:5:\"style\";a:2:{s:18:\"section_icon_style\";a:11:{s:9:\"icon_size\";i:4;s:26:\"text_typography_typography\";i:4;s:25:\"text_typography_font_size\";i:4;s:10:\"icon_color\";i:4;s:18:\"icon_border_radius\";i:4;s:12:\"icon_padding\";i:4;s:32:\"text_typography_font_size_tablet\";i:4;s:16:\"icon_size_tablet\";i:4;s:15:\"icon_background\";i:4;s:19:\"icon_padding_tablet\";i:4;s:18:\"icon_margin_tablet\";i:4;}s:19:\"section_title_style\";a:26:{s:12:\"title_margin\";i:4;s:33:\"description_typography_typography\";i:4;s:34:\"description_typography_line_height\";i:4;s:27:\"title_typography_typography\";i:4;s:28:\"title_typography_font_family\";i:4;s:26:\"title_typography_font_size\";i:4;s:33:\"title_typography_font_size_tablet\";i:4;s:33:\"title_typography_font_size_mobile\";i:4;s:28:\"title_typography_font_weight\";i:4;s:31:\"title_typography_text_transform\";i:4;s:27:\"title_typography_font_style\";i:4;s:32:\"title_typography_text_decoration\";i:4;s:28:\"title_typography_line_height\";i:4;s:31:\"title_typography_letter_spacing\";i:4;s:38:\"title_typography_letter_spacing_tablet\";i:4;s:38:\"title_typography_letter_spacing_mobile\";i:4;s:29:\"title_typography_word_spacing\";i:4;s:19:\"title_margin_tablet\";i:4;s:34:\"description_typography_font_family\";i:4;s:32:\"description_typography_font_size\";i:4;s:34:\"description_typography_font_weight\";i:4;s:37:\"description_typography_text_transform\";i:4;s:33:\"description_typography_font_style\";i:4;s:38:\"description_typography_text_decoration\";i:4;s:37:\"description_typography_letter_spacing\";i:4;s:35:\"description_typography_word_spacing\";i:4;}}}}s:17:\"oew-blog-carousel\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:2:{s:13:\"section_query\";a:1:{s:9:\"post_type\";i:1;}s:16:\"section_elements\";a:8:{s:9:\"title_tag\";i:1;s:4:\"meta\";i:1;s:6:\"author\";i:1;s:4:\"date\";i:1;s:3:\"cat\";i:1;s:8:\"comments\";i:1;s:14:\"excerpt_length\";i:1;s:13:\"readmore_text\";i:1;}}s:5:\"style\";a:2:{s:15:\"section_content\";a:2:{s:15:\"content_padding\";i:1;s:11:\"content_bg_\";i:1;}s:14:\"section_button\";a:6:{s:22:\"button_typo_typography\";i:1;s:21:\"button_typo_font_size\";i:1;s:23:\"button_typo_font_weight\";i:1;s:26:\"button_typo_text_transform\";i:1;s:22:\"button_typo_font_style\";i:1;s:27:\"button_typo_text_decoration\";i:1;}}s:8:\"advanced\";a:1:{s:15:\"_section_border\";a:1:{s:13:\"_border_width\";i:1;}}}}s:8:\"template\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:16:\"section_template\";a:1:{s:11:\"template_id\";i:1;}}}}s:11:\"oew-wpforms\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:15:\"section_wpforms\";a:2:{s:4:\"form\";i:1;s:27:\"hide_form_title_description\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_inputs_style\";a:8:{s:28:\"inputs_background_background\";i:1;s:23:\"inputs_background_color\";i:1;s:12:\"inputs_color\";i:1;s:18:\"inputs_focus_color\";i:1;s:20:\"inputs_border_border\";i:1;s:19:\"inputs_border_width\";i:1;s:20:\"inputs_border_radius\";i:1;s:14:\"inputs_padding\";i:1;}s:20:\"section_button_style\";a:5:{s:20:\"button_border_border\";i:1;s:19:\"button_border_width\";i:1;s:28:\"button_background_background\";i:1;s:34:\"button_hover_background_background\";i:1;s:14:\"button_padding\";i:1;}}}}s:12:\"social-icons\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}}s:4:\"page\";a:9:{s:7:\"heading\";a:2:{s:5:\"count\";i:4;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:4:{s:5:\"title\";i:4;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;s:11:\"header_size\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:3;}}}}s:11:\"text-editor\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:2:{s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;}}}}s:17:\"tmx-global-button\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:6:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;s:4:\"size\";i:1;s:4:\"link\";i:1;}}}}s:6:\"column\";a:2:{s:5:\"count\";i:25;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:25;s:19:\"_inline_size_tablet\";i:9;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:25;s:7:\"padding\";i:25;s:13:\"margin_tablet\";i:19;s:13:\"margin_mobile\";i:22;}}}}s:7:\"section\";a:2:{s:5:\"count\";i:11;s:8:\"controls\";a:2:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:2:{s:13:\"content_width\";i:1;s:6:\"layout\";i:2;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:6;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:11;s:7:\"padding\";i:11;s:14:\"padding_tablet\";i:7;s:14:\"padding_mobile\";i:7;s:13:\"margin_tablet\";i:1;s:13:\"margin_mobile\";i:1;s:11:\"css_classes\";i:1;}s:15:\"section_effects\";a:3:{s:9:\"sticky_on\";i:2;s:13:\"sticky_offset\";i:2;s:13:\"sticky_parent\";i:1;}}}}s:10:\"oew-search\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_search\";a:6:{s:5:\"width\";i:1;s:12:\"width_tablet\";i:1;s:12:\"width_mobile\";i:1;s:6:\"height\";i:1;s:11:\"placeholder\";i:1;s:6:\"source\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_input\";a:3:{s:19:\"input_border_border\";i:1;s:18:\"input_border_width\";i:1;s:19:\"input_border_radius\";i:1;}}}}s:20:\"wp-widget-categories\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}s:28:\"wp-widget-ocean_recent_posts\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}s:12:\"social-icons\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}}s:7:\"wp-post\";a:9:{s:6:\"column\";a:2:{s:5:\"count\";i:-1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:-1;s:19:\"_inline_size_tablet\";i:6;s:19:\"_inline_size_mobile\";i:5;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:6:\"margin\";i:3;s:13:\"margin_mobile\";i:2;s:13:\"margin_tablet\";i:1;}}s:5:\"style\";a:1:{s:12:\"section_typo\";a:1:{s:10:\"text_align\";i:1;}}}}s:12:\"oew-info-box\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:6;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:3;s:5:\"align\";i:3;s:17:\"vertical_position\";i:3;s:15:\"position_mobile\";i:3;s:12:\"align_mobile\";i:3;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:3;s:9:\"link_type\";i:1;s:11:\"button_size\";i:3;s:4:\"link\";i:1;s:11:\"button_text\";i:3;s:20:\"button_icon_position\";i:3;s:19:\"button_icon_spacing\";i:3;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:3;s:17:\"icon_border_width\";i:3;s:18:\"icon_border_radius\";i:3;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:3;s:19:\"icon_padding_mobile\";i:3;s:18:\"icon_margin_tablet\";i:3;s:18:\"icon_margin_mobile\";i:3;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:3;s:27:\"button_border_normal_border\";i:3;s:26:\"button_border_normal_width\";i:3;s:20:\"button_border_radius\";i:3;s:13:\"button_margin\";i:3;}}}}s:5:\"image\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:2:{s:5:\"image\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:2:{s:5:\"width\";i:1;s:12:\"width_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:12:\"_css_classes\";i:1;}}}}s:12:\"social-icons\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}s:9:\"icon-list\";a:2:{s:5:\"count\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:1:{s:9:\"icon_list\";i:3;}}s:5:\"style\";a:3:{s:18:\"section_text_style\";a:6:{s:26:\"icon_typography_typography\";i:3;s:25:\"icon_typography_font_size\";i:3;s:10:\"text_color\";i:1;s:11:\"text_indent\";i:1;s:32:\"icon_typography_font_size_mobile\";i:3;s:27:\"icon_typography_line_height\";i:1;}s:17:\"section_icon_list\";a:2:{s:13:\"space_between\";i:1;s:20:\"space_between_mobile\";i:1;}s:18:\"section_icon_style\";a:2:{s:16:\"icon_size_mobile\";i:1;s:9:\"icon_size\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:1;}}}}s:7:\"heading\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:1;s:11:\"header_size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:12:\"_css_classes\";i:1;}}}}s:11:\"text-editor\";a:2:{s:5:\"count\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:10:\"text_color\";i:1;s:21:\"typography_typography\";i:2;s:20:\"typography_font_size\";i:2;s:27:\"typography_font_size_mobile\";i:1;s:22:\"typography_line_height\";i:1;}}}}s:17:\"tmx-global-button\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:4:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:4:\"link\";i:1;s:4:\"size\";i:1;}}}}s:7:\"section\";a:2:{s:5:\"count\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:2;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:4:{s:21:\"background_background\";i:2;s:16:\"background_color\";i:2;s:19:\"background_position\";i:2;s:17:\"background_repeat\";i:2;}s:12:\"section_typo\";a:1:{s:10:\"text_align\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:2;}}}}}s:6:\"widget\";a:1:{s:12:\"social-icons\";a:2:{s:5:\"count\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}}}", "no");
INSERT INTO `wpky_options` VALUES("4641", "_site_transient_wpforms_t15s_wpforms", "a:1:{s:12:\"translations\";a:6:{i:0;a:9:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2022-10-04T13:50:19+00:00\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:72:\"https://packages.translationspress.com/wpforms/wpforms/wpforms-fr_FR.zip\";s:3:\"iso\";a:1:{i:0;s:2:\"fr\";}s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"wpforms\";}i:1;a:9:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2022-10-04T13:50:15+00:00\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:72:\"https://packages.translationspress.com/wpforms/wpforms/wpforms-de_DE.zip\";s:3:\"iso\";a:1:{i:0;s:2:\"de\";}s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"wpforms\";}i:2;a:9:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2022-10-04T13:50:26+00:00\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:72:\"https://packages.translationspress.com/wpforms/wpforms/wpforms-it_IT.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"it\";i:1;s:3:\"ita\";}s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"wpforms\";}i:3;a:9:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2022-10-04T13:50:30+00:00\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:69:\"https://packages.translationspress.com/wpforms/wpforms/wpforms-ja.zip\";s:3:\"iso\";a:1:{i:0;s:2:\"ja\";}s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"wpforms\";}i:4;a:9:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2022-10-04T13:50:38+00:00\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:72:\"https://packages.translationspress.com/wpforms/wpforms/wpforms-pt_BR.zip\";s:3:\"iso\";a:2:{i:0;s:2:\"pt\";i:1;s:3:\"por\";}s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"wpforms\";}i:5;a:9:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"1.0\";s:7:\"updated\";s:25:\"2022-10-04T13:50:17+00:00\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:72:\"https://packages.translationspress.com/wpforms/wpforms/wpforms-es_ES.zip\";s:3:\"iso\";a:3:{i:0;s:2:\"es\";i:1;s:3:\"spa\";i:2;s:3:\"spa\";}s:4:\"type\";s:6:\"plugin\";s:4:\"slug\";s:7:\"wpforms\";}}}", "no");
INSERT INTO `wpky_options` VALUES("4644", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1668102697;s:7:\"checked\";a:2:{s:26:\"oceanwp-child-theme-master\";s:3:\"1.0\";s:7:\"oceanwp\";s:5:\"3.3.6\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:1:{s:7:\"oceanwp\";a:6:{s:5:\"theme\";s:7:\"oceanwp\";s:11:\"new_version\";s:5:\"3.3.6\";s:3:\"url\";s:37:\"https://wordpress.org/themes/oceanwp/\";s:7:\"package\";s:55:\"https://downloads.wordpress.org/theme/oceanwp.3.3.6.zip\";s:8:\"requires\";s:3:\"5.6\";s:12:\"requires_php\";s:3:\"7.2\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wpky_options` VALUES("4647", "ocean_notifications", "a:3:{s:6:\"update\";i:1668101125;s:13:\"notifications\";a:1:{i:0;a:7:{s:2:\"id\";s:16:\"oceanwpCatamaran\";s:5:\"title\";s:36:\"New OceanWP Update Release is Coming\";s:10:\"start_date\";s:10:\"2022-11-08\";s:8:\"end_date\";s:10:\"2022-11-18\";s:7:\"content\";s:258:\"We are releasing new updates (new widgets, new section templates, new hooks functionality, new portfolio filter type) and more!\nCheck out what\'s new and learn how to prepare your website properly for the upcoming update. Stay awesome and have an amazing day!\";s:13:\"button_1_data\";a:4:{s:5:\"title\";s:14:\"See what\'s new\";s:3:\"url\";s:71:\"https://oceanwp.org/blog/oceanwp-catamaran-update-new-sections-widgets/\";s:7:\"primary\";s:3:\"yes\";s:6:\"target\";s:6:\"_blank\";}s:13:\"button_2_data\";a:0:{}}}s:7:\"blocked\";a:0:{}}", "yes");
INSERT INTO `wpky_options` VALUES("4648", "_transient_timeout_as-post-store-dependencies-met", "1668187524", "no");
INSERT INTO `wpky_options` VALUES("4649", "_transient_as-post-store-dependencies-met", "yes", "no");
INSERT INTO `wpky_options` VALUES("4651", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1668111937", "no");
INSERT INTO `wpky_options` VALUES("4652", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:5825;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4802;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2773;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2644;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2041;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1891;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1891;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1603;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1554;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1539;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1533;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1512;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1496;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1425;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1346;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1313;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1262;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1174;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1148;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1137;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1039;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:999;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:985;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:955;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:900;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:864;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:859;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:855;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:853;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:853;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:840;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:794;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:783;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:778;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:763;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:763;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:746;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:743;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:729;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:727;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:715;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:706;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:687;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:679;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:679;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:677;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:668;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:666;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:623;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:615;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:602;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:602;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:602;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:595;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:587;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:585;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:582;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:580;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:573;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:565;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:563;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:556;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:547;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:544;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:538;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:537;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:534;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:530;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:524;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:519;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:512;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:508;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:507;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:506;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:505;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:488;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:470;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:466;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:464;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:452;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:450;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:448;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:443;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:434;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:427;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:426;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:421;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:417;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:416;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:413;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:409;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:407;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:404;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:400;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:395;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:395;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:387;}s:3:\"url\";a:3:{s:4:\"name\";s:3:\"url\";s:4:\"slug\";s:3:\"url\";s:5:\"count\";i:386;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:382;}s:4:\"list\";a:3:{s:4:\"name\";s:4:\"list\";s:4:\"slug\";s:4:\"list\";s:5:\"count\";i:380;}}", "no");
INSERT INTO `wpky_options` VALUES("4657", "action_scheduler_migration_status", "complete", "yes");
INSERT INTO `wpky_options` VALUES("4659", "elementor_scheme_color", "a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}", "yes");
INSERT INTO `wpky_options` VALUES("4660", "elementor_scheme_typography", "a:4:{i:1;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"600\";}i:2;a:2:{s:11:\"font_family\";s:11:\"Roboto Slab\";s:11:\"font_weight\";s:3:\"400\";}i:3;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"400\";}i:4;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"500\";}}", "yes");
INSERT INTO `wpky_options` VALUES("4661", "elementor_scheme_color-picker", "a:8:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";i:5;s:7:\"#4054b2\";i:6;s:7:\"#23a455\";i:7;s:4:\"#000\";i:8;s:4:\"#fff\";}", "yes");
INSERT INTO `wpky_options` VALUES("4677", "oe_svg_support_active_status", "yes", "yes");
INSERT INTO `wpky_options` VALUES("4711", "elementor_pro_remote_info_api_data_3.8.1", "a:2:{s:7:\"timeout\";i:1668145897;s:5:\"value\";s:176532:\"{\"stable_version\":\"3.8.1\",\"last_updated\":\"2022-05-10 14:03:37\",\"sections\":\"a:2:{s:11:\\\"description\\\";s:161:\\\"Elementor Pro adds new features to the Elementor Page Builder plugin. Control your conversions, your user engagement, your entire website, from one page builder.\\\";s:9:\\\"changelog\\\";s:164345:\\\"<h2>Elementor Pro - by Elementor.com<\\/h2>\\n<h4>3.8.1 - 2022-11-07<\\/h4>\\n<ul>\\n<li>Fix: Sticky inner section is not staying in the column when applying sticky option in Sections (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20203\\\">#20203<\\/a>)<\\/li>\\n<li>Fix: Post Title widget located in a loop item template disappears when enabling the hide title option inside page settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20207\\\">#20207<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20255\\\">#20255<\\/a>)<\\/li>\\n<li>Fix: ACF Dynamic data not rendering correctly in various scenarios (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20235\\\">#20235<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20258\\\">#20258<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20277\\\">#20277<\\/a>)<\\/li>\\n<li>Fix: Z-index issues when applying sticky to Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20227\\\">#20227<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.8.0 - 2022-10-30<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Builder as a beta status experiment - Create powerful &amp; repeating loop templates and populate each one with dynamic content and design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4440\\\">#4440<\\/a>)<\\/li>\\n<li>Tweak: Add <code>wp_body_open()<\\/code> to header in Header template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11562\\\">#11562<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15828\\\">#15828<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13089\\\">#13089<\\/a>)<\\/li>\\n<li>Tweak: Added support border-radius option to the Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14316\\\">#14316<\\/a>)<\\/li>\\n<li>Tweak: Import\\/Export CLI and UI mechanisms were merged into a unified service<\\/li>\\n<li>Tweak: User with no permission to Notes cannot be mentioned in a note<\\/li>\\n<li>Tweak: User with no permission to view a post cannot be mentioned in a note<\\/li>\\n<li>Tweak: Notes was added to the right click context-menu<\\/li>\\n<li>Tweak: Notes panel can be resizable<\\/li>\\n<li>Tweak: Notes panel can be dragged outside of the canvas in responsive mode in the editor<\\/li>\\n<li>Tweak: Updated form validation messages translation strings in Form widget<\\/li>\\n<li>Tweak: Updated translators comments<\\/li>\\n<li>Tweak: Theme Builder logo and Title should be clickable<\\/li>\\n<li>Tweak: Reduced API requests and DB calls on non-write setup<\\/li>\\n<li>Tweak: Added media queries to the Table of Contents widget<\\/li>\\n<li>Fix: Sticky option is not working as expected in various scenarios in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19540\\\">#19540<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19618\\\">#19618<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19777\\\">#19777<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19827\\\">#19827<\\/a>)<\\/li>\\n<li>Fix: Mixed Content errors on HTTPS in Video Playlist Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18895\\\">#18895<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18945\\\">#18945<\\/a>)<\\/li>\\n<li>Fix: Note\'s timestamp is being updated according to the last activity in Notes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19123\\\">#19123<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17582\\\">#17582<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in pagination in Posts widget<\\/li>\\n<li>Fix: Share buttons is accessible with keyboard but not clickable<\\/li>\\n<li>Fix: Sub-items icons style is missing in preview with Inline Font Icons experiment in Nav Menu widget<\\/li>\\n<li>Fix: Quotes are appearing as HTML when editing a note in Notes<\\/li>\\n<li>Fix: Label\'s Icon height increases when Inline Font Icons experiment is active in Hotspot Widget<\\/li>\\n<li>Fix: Sub conditions of templates are not overridden when importing a Kit<\\/li>\\n<li>Fix: X\\/Y Anchor Point controls were not visible for Scale and Rotate effects<\\/li>\\n<li>Fix: PHP warning notice appears in some situations when using motion effects<\\/li>\\n<\\/ul>\\n<h4>3.7.7 - 2022-09-20<\\/h4>\\n<ul>\\n<li>Fix: Default Flex Grow affects the layout when the container is set to direction Column in various widgets<\\/li>\\n<\\/ul>\\n<h4>3.7.6 - 2022-09-14<\\/h4>\\n<ul>\\n<li>Fix: Submissions menu item appears at the bottom of Elementor section in WordPress dashboard<\\/li>\\n<\\/ul>\\n<h4>3.7.5 - 2022-08-31<\\/h4>\\n<ul>\\n<li>Fix: Error message appears on front if WooCommerce is activated ([#19553] (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19553\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19553<\\/a>))<\\/li>\\n<\\/ul>\\n<h4>3.7.4 - 2022-08-29<\\/h4>\\n<ul>\\n<li>Tweak: PHP 5.6 Is deprecated<\\/li>\\n<li>Fix: Triangle icon is not being displayed in the Select field when Inline Font Icons Experiment is active in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18598\\\">#18598<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19495\\\">#19495<\\/a>)<\\/li>\\n<li>Fix: The page jumps or flickers to the video playlist on page reload in Video Playlist Widget<\\/li>\\n<\\/ul>\\n<h4>3.7.3 - 2022-07-31<\\/h4>\\n<ul>\\n<li>Tweak: Improved license mechanism for correct validation<\\/li>\\n<li>Fix: Sticky option causes unexpected results when using the Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>)<\\/li>\\n<li>Fix: Price list, Portfolio, Flip Box and Gallery widgets disappear when the direction is set to column in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18880\\\">#18880<\\/a>)<\\/li>\\n<li>Fix: Quotes characher is showing up as <code>&amp;quot;<\\/code> when editing a note in Notes<\\/li>\\n<\\/ul>\\n<h4>3.7.2 - 2022-06-15<\\/h4>\\n<ul>\\n<li>Tweak: Applied optimized file handling in various modules<\\/li>\\n<li>Fix: Related posts query options are missing in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18633\\\">#18633<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18641\\\">#18641<\\/a>)<\\/li>\\n<li>Fix: Menu Cart Icon is not being displayed on all browsers when Inline Font Icons Experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17705\\\">#17705<\\/a>)<\\/li>\\n<li>Fix: Gallery widget is not working as expected in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18408\\\">#18408<\\/a>)<\\/li>\\n<li>Fix: Flip box is not visible when the direction is set to Row in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18413\\\">#18413<\\/a>)<\\/li>\\n<li>Fix: Portfolio widget is not visible when dragged into &quot;Row&quot; direction Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17653\\\">#17653<\\/a>)<\\/li>\\n<li>Fix: Menu cart is open automatically in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18629]\\\">#18629<\\/a><\\/li>\\n<li>Fix: PHP error is being shown the license is expired in License screen<\\/li>\\n<\\/ul>\\n<h4>3.7.1 - 2022-05-16<\\/h4>\\n<ul>\\n<li>Fix: Notes icon appears as an empty square in admin top bar for users with permissions lower than Editor<\\/li>\\n<li>Fix: Notes experiment causes a PHP fatal error on some cases<\\/li>\\n<li>Fix: UI glitches in Notes feature<\\/li>\\n<\\/ul>\\n<h4>3.7.0 - 2022-05-10<\\/h4>\\n<ul>\\n<li>New: Introducing Notes - Work collaboratively directly within Elementor<\\/li>\\n<li>New: Stripe Button widget - Collect Stripe payments directly from your site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14748\\\">#14748<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Add to Cart dynamic tag - add products to cart from every widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10607\\\">#10607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11801\\\">#11801<\\/a>)<\\/li>\\n<li>New: Added WooCommerce Product Content dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16367\\\">#16367<\\/a>)<\\/li>\\n<li>Tweak: Added Related, Upsells and Cross-Sells query sources to Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8071\\\">#8071<\\/a>)<\\/li>\\n<li>Tweak: Added custom icon control to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18007\\\">#18007<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14357\\\">#14357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13151\\\">#13151<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11361\\\">#11361<\\/a>)<\\/li>\\n<li>Tweak: Added an option to minimize on Desktop device in Table of Contents widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9933\\\">#9933<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10729\\\">#10729<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10314\\\">#10314<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6691\\\">#6691<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11774\\\">#11774<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9051\\\">#9051<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5760\\\">#5760<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9774\\\">#9774<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom option in various Product widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10263\\\">#10263<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom control in Posts and Archive Posts widgets<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added percentage unit to padding control in Additional Information customize section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added quick link to create new theme parts directly from the Finder<\\/li>\\n<li>Tweak: Added the option to add a custom template to Dashboard screen in My Account widget<\\/li>\\n<li>Tweak: Added spacing control to view cart button in various product widgets<\\/li>\\n<li>Tweak: Added the option to add a custom template to empty cart state in Cart widget<\\/li>\\n<li>Tweak: Adjusted the layout of the Payment Methods screen in the My Account widget<\\/li>\\n<li>Tweak: Added lazy load option to Media Carousel, Reviews and Testimonial Carousel widgets<\\/li>\\n<li>Tweak: Added Site Identity quick link to Logo widget<\\/li>\\n<li>Tweak: Added Site Identity quick link to Site Title widget<\\/li>\\n<li>Tweak: Created an attribute that allows disabling page transition for specific links<\\/li>\\n<li>Tweak: Added dynamic tag controls to Gallery widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Countdown widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Portfolio widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Price Table widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Login widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Blockquote widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Facebook Comments widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post Navigation widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Search Form widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Author Box widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post info widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Posts widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Product Meta widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Products widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Sitemap widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Reviews widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Code Highlight widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to PayPal Button widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added missing PHP documentation to hooks<\\/li>\\n<li>Fix: Scrolling glitches on mobile devices when Sticky Effect is enabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17767\\\">#17767<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18330\\\">#18330<\\/a>)<\\/li>\\n<li>Fix: Only 1st honypot field is validated when using multiple honeypot fields in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18136\\\">#18136<\\/a>)<\\/li>\\n<li>Fix: Checkout button background color is not working as expected in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18289\\\">#18289<\\/a>)<\\/li>\\n<li>Fix: Button labels are not accessible for screen readers in Share buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<li>Fix: Downloads titles controls are not working in responsive in WooCommerce Purchase Summary widget<\\/li>\\n<li>Fix: Excerpt length is not working as expected in Posts and Archive Posts widgets<\\/li>\\n<li>Fix: Titles &amp; Totals weight is not working in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Product image is not appearing on Single Product Page on template load<\\/li>\\n<li>Fix: Additional Information title not editable in some scenarios in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in Cart widget<\\/li>\\n<li>Fix: UI Glitch in Masonry control in Portfolio widget<\\/li>\\n<li>Fix: Custom breakpoints experiment didn\'t work on Single post and page templates<\\/li>\\n<li>Fix: Testimonial carousel &amp; Reviews widgets disregards the <code>alt<\\/code> attribute<\\/li>\\n<li>Fix: Playlist widget deeplink didn\'t send user directly to the widget in the page<\\/li>\\n<li>Fix: Masonry option causes the images to disappear in the Editor in Posts widget<\\/li>\\n<li>Fix: Scrollbar appears after clicking on the dropdown toggle in Nav Menu widget<\\/li>\\n<li>Fix: Custom icons disappear on frontend if the pack name contains numbers<\\/li>\\n<li>Fix: Custom Font disappears if the name contains only numbers<\\/li>\\n<li>Fix: <code>end-section()<\\/code> is missing from Progress Tracker and Facebook Embed widgets<\\/li>\\n<li>Tweak: Added a filter for conditions cache query in Theme Builder<\\/li>\\n<li>Fix: Customizations lost on Ajax refresh in WooCommerce Cart widget<\\/li>\\n<li>Fix: Hello theme Header and Footer experiment is not working when WooCommerce plugin is active<\\/li>\\n<li>Fix: Color controls are not working as expected in Checkout widget<\\/li>\\n<li>Fix: Color controls are not working as expected in My Account widget<\\/li>\\n<li>Fix: Empty state widget preview in the editor is disappearing in various widgets<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in WooCommerce Cart widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-7-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.6.5 - 2022-04-12<\\/h4>\\n<ul>\\n<li>Fix: Compatibility issues for several widgets in iOS 14 and macOS 13 devices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18090\\\">#18090<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15910\\\">#15910<\\/a>)<\\/li>\\n<li>Fix: Button Alignment doesn\'t work in Custom Add To Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17810\\\">#17810<\\/a>)<\\/li>\\n<li>Fix: PHP warning is thrown in some cases in PayPal button widget<\\/li>\\n<li>Fix: PHP 8.1 throws errors and notices in some cases<\\/li>\\n<li>Fix: PHP notice was thrown when Kit Import process initiated without display conditions<\\/li>\\n<li>Fix: Create Account button always opens on the Sign Up screen even if the user has an account in Onboarding process<\\/li>\\n<\\/ul>\\n<h4>3.6.4 - 2022-03-15<\\/h4>\\n<ul>\\n<li>Tweak: Kit import dynamic reference support for templates and dynamic tags<\\/li>\\n<li>Tweak: Updated tested up to version tag to <code>3.6.0<\\/code><\\/li>\\n<li>Fix: Sticky caused scrolling issues after clicking an element that expands the page height (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17821\\\">#17821<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17839\\\">#17839<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18069\\\">#18069<\\/a>)<\\/li>\\n<li>Fix: When saving Global widget JS error is being thrown and editor fails to load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17954\\\">#17954<\\/a>)<\\/li>\\n<li>Fix: Motion effects are missing from Background section under Style tab in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18063\\\">#18063<\\/a>)<\\/li>\\n<li>Fix: Imported Kit doesn\'t appear in the theme builder after successful import in some cases<\\/li>\\n<li>Fix: Added future Pro support to fix the Cart icon that shifted aside in Menu cart widget<\\/li>\\n<\\/ul>\\n<h4>3.6.3 - 2022-02-28<\\/h4>\\n<ul>\\n<li>Fix: Custom Code display conditions modal is not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17865\\\">#17865<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17942\\\">#17942<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17994\\\">#17994<\\/a>)<\\/li>\\n<li>Fix: Share buttons are not accessible for keyboard navigation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.6.2 - 2022-02-14<\\/h4>\\n<ul>\\n<li>Fix: Auto updates mechanism is not working as expected (this version might be also installed automatically)<\\/li>\\n<\\/ul>\\n<h4>3.6.1 - 2022-02-09<\\/h4>\\n<ul>\\n<li>Tweak: Allow connecting via generic source for future feature support<\\/li>\\n<li>Fix: Custom Code doesn\'t work when WooCommerce is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17675\\\">#17675<\\/a>)<\\/li>\\n<li>Fix: Content animation didn\'t work when Improved asset loading experiment is active Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17055\\\">#17055<\\/a>)<\\/li>\\n<li>Fix: PHP warning appears some times when trying to force-check for available updates<\\/li>\\n<li>Fix: Page transitions are being triggered when not needed<\\/li>\\n<li>Fix: Text alignment on Tablet responsive device affects base device in Testimonial Carousel widget<\\/li>\\n<li>Fix: Harden Submissions feature to prevent potential security issues<\\/li>\\n<li>Fix: Page Transitions Icon option Preloader doesn\'t work on frontend<\\/li>\\n<\\/ul>\\n<h4>3.6.0 - 2022-01-31<\\/h4>\\n<ul>\\n<li>New: WooCommerce Purchase Summary widget - Fully customize the content and style of your order summary page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5756\\\">#5756<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15862\\\">#15862<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices styling on Site Settings - Customize the appearance of WooCommerce notices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14570\\\">#14570<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15896\\\">#15896<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices widget - Set the position of WooCommerce notices on your shop pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8124\\\">#8124<\\/a>)<\\/li>\\n<li>Experiment: Page Transitions - Customize the page loading experience, and increase brand recognition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10576\\\">#10576<\\/a>)<\\/li>\\n<li>Tweak: Added WooCommerce &amp; Theme Elements widgets to Improved CSS Loading experiment to save up 126KB per page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17412\\\">#17412<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17337\\\">#17337<\\/a>)<\\/li>\\n<li>Tweak: Added new layout options in WooCommerce Add To Cart and WooCommerce Custom Add To Cart widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5437\\\">#5437<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10617\\\">#10617<\\/a>)<\\/li>\\n<li>Tweak: Added Stroke functionality for typography control in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11158\\\">#11158<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor-section-wrap<\\/code> by adding it to the Optimized DOM Output experiment (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16950\\\">#16950<\\/a>)<\\/li>\\n<li>Tweak: Added style controls for variations in WooCommerce Menu Cart widget<\\/li>\\n<li>Tweak: Added color control to navigation dots in Media Carousel, Reviews, and Slides widgets<\\/li>\\n<li>Tweak: Disabled Vimeo autoplay on edit mode when getting video data in Video Playlist widget<\\/li>\\n<li>Tweak: Added notice about Facebook\'s new EU consent policy in Facebook Button, Facebook Comments, Facebook Embed, and Facebook Page widgets<\\/li>\\n<li>Tweak: Refactor string translation calls to use native WP translation methods<\\/li>\\n<li>Tweak: Convert <code>home_url<\\/code> license API call to <code>get_site_url<\\/code> for better compatibility<\\/li>\\n<li>Tweak: Promoted Default to New Theme Builder and Scroll Snap experiments to Stable status in Experiments screen<\\/li>\\n<li>Tweak: Scroll Snap experiment set to active by default for all websites in Experiments screen<\\/li>\\n<li>Tweak: Scrolling Effects in Header and Section backgrounds are not working as expected when effects are relative to the entire page<\\/li>\\n<li>Tweak: Added &quot;Auto Updates&quot; capability to Pro versions<\\/li>\\n<li>Tweak: Removed sequenced animation hover effect option from Classic skin in Call to Action widget<\\/li>\\n<li>Tweak: Added &quot;Excerpt Length&quot; control in Post Excerpt widget<\\/li>\\n<li>Tweak: Deleted deprecated methods from Query Control module<\\/li>\\n<li>Tweak: Adjusted Inline-CSS Experiment to work with Additional Custom Breakpoints experiment<\\/li>\\n<li>Fix: Automatically open cart functionality didn\'t work in product page in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5921\\\">#5921<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16276\\\">#16276<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16879\\\">#16879<\\/a>)<\\/li>\\n<li>Fix: Buttons are not visible when there are too many products in the cart in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17283\\\">#17283<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13005\\\">#13005<\\/a>)<\\/li>\\n<li>Fix: Mini cart modal z-index is too low in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>)<\\/li>\\n<li>Fix: Side cart buttons are not visible at first glance on mobile in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>)<\\/li>\\n<li>Fix: Read More field recognizes inline HTML elements as plain text in Posts and Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16985\\\">#16985<\\/a>)<\\/li>\\n<li>Fix: Load More functionality caused JS error console in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17036\\\">#17036<\\/a>)<\\/li>\\n<li>Fix: Autoplay is not working as expected when the lazy load is active in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15304\\\">#15304<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16274\\\">#16274<\\/a>)<\\/li>\\n<li>Fix: Right navigation area wasn\'t 100% clickable in Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14252\\\">#14252<\\/a>)<\\/li>\\n<li>Fix: Posts duplicate when there are two Posts widgets inside a page using pagination functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17056\\\">#17056<\\/a>)<\\/li>\\n<li>Fix: Global widget changes are not reflected on frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16820\\\">#16820<\\/a>)<\\/li>\\n<li>Fix: JS Error console message when using the Load More functionality and Post Per Page option in Posts widget<\\/li>\\n<li>Fix: Heading styling is not being loaded when Inline CSS experiment is active in Post and Page Title widgets<\\/li>\\n<li>Fix: Sticky offset not working as expected when changing device mode on the browser<\\/li>\\n<li>Fix: Scroll Snap functionality wasn\'t applied on Templates and Archives<\\/li>\\n<li>Fix: Toggle icon color didn\'t work on hover state when Inline Font Icons experiment is activated in Nav Menu widget<\\/li>\\n<li>Fix: Variations style controls are not working as expected in WooCommerce Add to Cart widget<\\/li>\\n<li>Fix: Display conditions module is not working as expected when using the new Theme Builder UI<\\/li>\\n<li>Fix: Edit header handles <code>z-index<\\/code> issues in Header document<\\/li>\\n<li>Fix: Panel icons UI glitch in Call To Action widget<\\/li>\\n<li>Fix: WordPress 5.9 <code>WP_User_query<\\/code> <code>who<\\/code> argument deprecation adjustments<\\/li>\\n<\\/ul>\\n<h4>3.5.2 - 2021-11-28<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted license mechanism to support trial period<\\/li>\\n<li>Fix: Updates made to Global Widgets do not reflect accordingly to linked widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815\\\">#16815<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle button doesn\'t change to \\u201cclose\\u201d when menu is collapsed in Nav Menu widget when Inline Font Awesome experiment is active<\\/li>\\n<li>Fix: Global Widget cannot be unlinked<\\/li>\\n<\\/ul>\\n<h4>3.5.1 - 2021-11-10<\\/h4>\\n<ul>\\n<li>Fix: Inline HTML elements appear as plain text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16816\\\">#16816<\\/a>)<\\/li>\\n<li>Fix: Dropdown items inherited values from Main Menu space between control in Nav Menu widget (<a href=\\\"(https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815)\\\">#16815<\\/a><\\/li>\\n<li>Fix: Order Summary titles style controls not applying on various devices in Cart widget<\\/li>\\n<li>Fix: Panel &quot;Need Help&quot; link is not correct in WooCommerce section in Site Settings<\\/li>\\n<\\/ul>\\n<h4>3.5.0 - 2021-11-01<\\/h4>\\n<ul>\\n<li>New: WooCommerce Checkout widget - Fully customize the content and style of your checkout page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15990\\\">#15990<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce Cart widget - Style your cart page the way you want with design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce My Account widget - Create a custom design for your my account pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: Progress Tracker widget - Motivate your customers to keep reading your site content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16576\\\">#16576<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Site Settings - Set your store pages within Elementor<\\/li>\\n<li>Experiment: Scroll Snap - Set the scene of every scroll (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10752\\\">#10752<\\/a>)<\\/li>\\n<li>Tweak: Changed infrastructure to prevent rendering bugs in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16354\\\">#16354<\\/a>)<\\/li>\\n<li>Tweak: Added the option to open submission in a new tab in Form Submissions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14967\\\">#14967<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive controls in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1851\\\">#1851<\\/a>)<\\/li>\\n<li>Tweak: Split Title and Price styling controls in Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7688\\\">#7688<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive capabilities to controls in Posts Archive widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Changed admin notice content when Pro installed without Core installed<\\/li>\\n<li>Tweak: Cleanup in <code>wp_options<\\/code> table<\\/li>\\n<li>Tweak: Changed Connect logic in Elementor top bar to simplify the connect process<\\/li>\\n<li>Tweak: Marked new Theme Builder as an Experiment and set to default for new sites<\\/li>\\n<li>Tweak: Enforced better security policies in various widgets and modules<\\/li>\\n<li>Tweak: Added load more button functionality to the Posts Archive widget<\\/li>\\n<li>Tweak: Renamed Elementor\'s responsive SCSS variables<\\/li>\\n<li>Tweak: Added dividers to horizontal layout in Nav Menu widget<\\/li>\\n<li>Tweak: Removed Google+ social network from Share Buttons widget<\\/li>\\n<li>Tweak: Convert usage of old Responsive class to use the new Breakpoints Manager<\\/li>\\n<li>Fix: jQuery in Heading doesn\'t work for not logged in users in Custom Code (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14515\\\">#14515<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14266\\\">#14266<\\/a>)<\\/li>\\n<li>Fix: Menu animation causing page horizontal scroll in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15184\\\">#15184<\\/a>)<\\/li>\\n<li>Fix: Wrong function call in Table of Content &amp; Post Excerpt widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16547\\\">#16547<\\/a>)<\\/li>\\n<li>Fix: Slides to Scroll control can\'t be set to Default if Widescreen mode has a value in Testimonial Carousel widget<\\/li>\\n<li>Fix: Sticky offset not working properly when changing device mode<\\/li>\\n<li>Fix: UTF character issues when exporting CSV file in Form Submissions<\\/li>\\n<li>Fix: Load More functionality doesn\'t work when the Posts widget placed inside an Archive template<\\/li>\\n<li>Fix: UI glitches and editing issues in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.4.2 - 2021-10-12<\\/h4>\\n<ul>\\n<li>Fix: Icons color style conflicts when Font-Awesome Inline experiment is active in Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16435\\\">#16435<\\/a>)<\\/li>\\n<li>Fix: Mini Cart hides page content when closed in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16305\\\">#16305<\\/a>)<\\/li>\\n<li>Fix: UI glitches in the Editor edit mode when inserting Post Content widget and Font-Awesome Inline experiment is active in Single Post template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16358\\\">#16358<\\/a>)<\\/li>\\n<li>Fix: Slides per view controls disappeared from multiple breakpoints in Testimonial Carousel<\\/li>\\n<li>Fix: Product variations UI glitch in Menu Cart widget<\\/li>\\n<li>Fix: Buttons UI glitch on Safari browser in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.1 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Fix: Sticky functionality is not working if the Additional Custom Breakpoints experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16186\\\">#16186<\\/a>)<\\/li>\\n<li>Fix: Slideshow skin UI glitch in Media Carousel widget<\\/li>\\n<li>Fix: Product price typography weight control is not working as expected in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.0 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Tweak: Added new Mini Cart layout type in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11312\\\">#11312<\\/a>)<\\/li>\\n<li>Tweak: Added styling options for Cart, Products, and Cart buttons in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14952\\\">#14952<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to open cart automatically when an item is added in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14119\\\">#14119<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to remove an item from cart without reloading the page with an AJAX request (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9531\\\">#9531<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10875\\\">#10875<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11309\\\">#11309<\\/a>)<\\/li>\\n<li>Tweak: Added Load More AJAX functionality to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1284\\\">#1284<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14557\\\">#14557<\\/a>)<\\/li>\\n<li>Tweak: Added Vimeo support to the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15319\\\">#15319<\\/a>)<\\/li>\\n<li>Tweak: Improved asset loading performance by serving lighter JS files (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>)<\\/li>\\n<li>Tweak: Added query string to the URL only after the first video is played in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15348\\\">#15348<\\/a>)<\\/li>\\n<li>Tweak: Added various layout options with more responsive controls and cart structure options in Menu Cart widget<\\/li>\\n<li>Tweak: Added the option to open the menu cart by click or hover in Menu Cart widget<\\/li>\\n<li>Tweak: Added the ability to choose a specific product to draw data from in WooCommerce Dynamic tags<\\/li>\\n<li>Tweak: Removed auto-scroll to the widget location when arriving from external URL in Video Playlist widget<\\/li>\\n<li>Tweak: Removed the Video Playlist widget from the Experiments list<\\/li>\\n<li>Tweak: Added descriptive error messages for MailChimp action after submit and on form submit in Forms widget<\\/li>\\n<li>Tweak: Added tooltip trigger None and Hover for link in Hotspot widget<\\/li>\\n<li>Tweak: Added responsive controls to Offset and Effects Offset in Sticky options<\\/li>\\n<li>Tweak: Added responsive control to Alignment in Testimonial Carousel widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Added future compatibility to support better loading of <code>eicons<\\/code> font<\\/li>\\n<li>Tweak: Changed Rename Part title and button color in Theme Builder<\\/li>\\n<li>Fix: Products don\'t appear on the cart while editing in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15451\\\">#15451<\\/a>)<\\/li>\\n<li>Fix: Videos always start muted in the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15292\\\">#15292<\\/a>)<\\/li>\\n<li>Fix: Unnecessary spacing if submenu indicator is set to None in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15365\\\">#15365<\\/a>)<\\/li>\\n<li>Fix: MailChimp double opt-in feature doesn\'t work in Forms widget<\\/li>\\n<li>Fix: Fetching MailChimp groups field blocks the loading of the rest of the fields in the Form widget<\\/li>\\n<li>Fix: Missing field IDs causes forms not to be sent in Forms widget<\\/li>\\n<li>Fix: Full Content Skin is not working properly when inserted twice on the same page in Posts widget<\\/li>\\n<li>Fix: Avoid Duplicates option doesn\'t exclude manual selections in Posts widget<\\/li>\\n<li>Fix: Submenu indicator alignment issue in Nav menu widget<\\/li>\\n<li>Fix: Query control deprecated message appears when debug mode is defined<\\/li>\\n<li>Fix: Tweet Button icon incorrect color and size when the icon is rendered as SVG in Blockquote widget<\\/li>\\n<li>Fix: Video icon size is not changing on Active state in Video Playlist widget<\\/li>\\n<li>Fix: Header icon color is not working in Table Of Content widget<\\/li>\\n<li>Fix: Icons style glitches when Font Awesome Inline experiment is active in Video Playlist widget<\\/li>\\n<li>Fix: Bullet markers are not visible on preview mode when Font Awesome Inline experiment is active in Table of Content widget<\\/li>\\n<li>Fix: UI Glitch when Font-Awesome Inline experiment is active in Price Table widget<\\/li>\\n<li>Fix: Submenu Indicator appears larger when Font Awesome Inline experiment is active in Nav Menu widget<\\/li>\\n<li>Fix: Part name is deleted when clicking on the &quot;Change&quot; Button without changing the name in Theme Builder<\\/li>\\n<li>Fix: Redundant pagination queries in the Editor<\\/li>\\n<li>Deprecated: Remove all usages of <code>ElementorUtils::get_create_new_post_url()<\\/code><\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-4-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.3.8 - 2021-08-23<\\/h4>\\n<ul>\\n<li>Fix: Products grid width issue when adjusting columns and rows in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16001\\\">#16001<\\/a>)<\\/li>\\n<li>Fix: Font Awesome Inline experiment causes icons glitch in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16045\\\">#16045<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA v3 <code>z-index<\\/code> is lower than the Section\'s background color<\\/li>\\n<li>Fix: Style missing when Font Awesome inline experiment is active in Post Info widget<\\/li>\\n<li>Fix: Font Awesome icons were not loaded in Post Info widget<\\/li>\\n<li>Fix: Zero character can\'t be used as a placeholder in Number field in Form widget<\\/li>\\n<li>Fix: Carousels are not working properly in the Editor when Additional Custom Breakpoints experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.7 - 2021-08-15<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Additional Custom Breakpoints in Nav Menu widget<\\/li>\\n<li>Tweak: Added support for Additional Custom breakpoints in Motion Effects<\\/li>\\n<li>Fix: Columns didn\'t respond to changes in Gallery widget if Additional Custom Breakpoints Experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.6 - 2021-08-10<\\/h4>\\n<ul>\\n<li>Tweak: Added support for future feature in Nav Menu widget<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Related widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Upsells widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Categories widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.5 - 2021-08-01<\\/h4>\\n<ul>\\n<li>Fix: Responsive layout glitches in Products and Products Archive widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15773\\\">#15773<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA V3 integration conflict with required fields validation in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.3.4 - 2021-07-21<\\/h4>\\n<ul>\\n<li>Fix: Grid layout glitch in WooCommerce Products Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15718\\\">#15718<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.3 - 2021-07-20<\\/h4>\\n<ul>\\n<li>Tweak: Added a descriptive message in Collect Submissions action after submit<\\/li>\\n<li>Tweak: Added future compatibility for Additional Custom Breakpoints for Pro widgets<\\/li>\\n<li>Fix: Some widget style breaks when Improved CSS Loading Experiment is active in certain cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15632\\\">#15632<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15683\\\">#15683<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15660\\\">#15660<\\/a>)<\\/li>\\n<li>Fix: Translation update keep appearing as available after install (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14297\\\">#14297<\\/a>)<\\/li>\\n<li>Fix: Wrong default icon color when using Font Awesome icons as inline SVG in Call to Action widget<\\/li>\\n<\\/ul>\\n<h4>3.3.2 - 2021-07-13<\\/h4>\\n<ul>\\n<li>Tweak: Updated plugin description<\\/li>\\n<li>Fix: MailChimp tags in form widget replaced existing tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Fix: Clicking videos from the items list in edit mode doesn\\u2019t initiate videos properly<\\/li>\\n<li>Fix: User unauthorized message when activated but not connected in Kit Library<\\/li>\\n<li>Fix: Carousel widgets did not support additional custom breakpoint responsive values<\\/li>\\n<li>Fix: Tab border is overridden by the Section background color in Video Playlist widget<\\/li>\\n<li>Fix: Widgets style breaks when Improved CSS Load experiment is active in a Single Page template and Post Content widget<\\/li>\\n<\\/ul>\\n<h4>3.3.1 - 2021-06-20<\\/h4>\\n<ul>\\n<li>Tweak: Added support for more Theme Builder display conditions in Export \\/ Import experiment<\\/li>\\n<li>Tweak: Adjusted License page heading structure for future feature<\\/li>\\n<li>Tweak: Adjusted Font Awesome icon for allowing support for future feature<\\/li>\\n<li>Fix: <code>frontend.min.js<\\/code> file size increased in Elementor Pro 3.3.0 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15278\\\">#15278<\\/a>)<\\/li>\\n<li>Fix: Prevent conditions from being reset when object cache is enabled in site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13299\\\">#13299<\\/a>)<\\/li>\\n<li>Fix: Custom Code publish modal responsiveness issues (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14519\\\">#14519<\\/a>)<\\/li>\\n<li>Fix: Populating fields with options programmatically doesn\'t appear in Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10671\\\">#10671<\\/a>)<\\/li>\\n<li>Fix: Large images are not shown on the Image Carousel widget when set via Toolset dynamic tag<\\/li>\\n<li>Fix: Enable inline editing to the inner content tabs in Video Playlist widget<\\/li>\\n<li>Fix: Clicking on the video list doesn\'t play videos properly in Video Playlist widget<\\/li>\\n<li>Fix: Hide Play Icon control when Image overlay is toggled off in Video Playlist widget<\\/li>\\n<li>Fix: Removed extra space below the player when viewing from mobile view in Video Playlist widget<\\/li>\\n<li>Fix: Import button is not working properly in Theme Builder interface<\\/li>\\n<li>Fix: Preview Dynamic Content as control is not updating preview and throws an error in Popup Builder<\\/li>\\n<\\/ul>\\n<h4>3.3.0 - 2021-06-08<\\/h4>\\n<ul>\\n<li>New: Video Playlist widget - Add Engaging Video Content to Your Website (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11859\\\">#11859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7803\\\">#7803<\\/a>)<\\/li>\\n<li>New: Hotspot widget - Create Interactive Images With Contextually Relevant Information (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7282\\\">#7282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2768\\\">#2768<\\/a>)<\\/li>\\n<li>Tweak: Accessibility improvements for sub-menus in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13859\\\">#13859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13810\\\">#13810<\\/a>)<\\/li>\\n<li>Tweak: MailChimp action after submit can now add new tags to existing subscribers in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/forms\\/record\\/actions_before<\\/code> to filter the record before it sent to Actions After Submit in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14261\\\">#14261<\\/a>)<\\/li>\\n<li>Tweak: Yoast SEO breadcrumbs widget can be used in Elementor without the need of enabling them in Yoast setting<\\/li>\\n<li>Tweak: Added future support for widgets CSS conditional loading (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10329\\\">#10329<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14229\\\">#14229<\\/a>)<\\/li>\\n<li>Tweak: Added future support for Sticky JS library conditional loading<\\/li>\\n<li>Tweak: Added future support for Import \\/ Export experiment<\\/li>\\n<li>Tweak: Preparations and fixes for Import Export Experiment in Pro version<\\/li>\\n<li>Tweak: Added gradient button capabilities to Login widget buttons<\\/li>\\n<li>Tweak: Added gradient button capabilities to Slides widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Price Table widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Flip Box widget button<\\/li>\\n<li>Tweak: Added Code Highlight widget Developers Documentation<\\/li>\\n<li>Tweak: Adjusted Submissions page for future updates<\\/li>\\n<li>Tweak: Added <code>em<\\/code> and <code>%<\\/code> units for padding control in Carousel widgets<\\/li>\\n<li>Tweak: Shorten currency name to currency symbol in PayPal button widget<\\/li>\\n<li>Fix: Custom Fonts URLs should be replaced when replace URL is triggered (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7376\\\">#7376<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10382\\\">#10382<\\/a>)<\\/li>\\n<li>Fix: The currency symbol size changed in the Price Table widget if enabling sale (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13519\\\">#13519<\\/a>)<\\/li>\\n<li>Fix: Nav Menu widget is not loading Font Awesome submenu icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9907\\\">#9907<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle is not working in Nav menu widget<\\/li>\\n<li>Fix: Activation bug for IDN domains<\\/li>\\n<li>Fix: Conditions modal responsive glitches in Custom Code<\\/li>\\n<li>Fix: Duplicated strings in Custom Code module<\\/li>\\n<li>Fix: Enable resize option for code input field in Custom Code<\\/li>\\n<li>Fix: \\u201cSave &amp; Close \\u201cbutton in Custom Code\'s Conditions modal was not visible on small screen sizes<\\/li>\\n<li>Fix: Removing a column from a section in the navigator resulted in an empty section<\\/li>\\n<li>Fix: Recommend option is cut If the layout is not &quot;Standard&quot; in the Facebook Button widget<\\/li>\\n<li>Fix: Video item does not play without adding an image in Media Carousel widget<\\/li>\\n<li>Fix: <code>search-plus<\\/code> icon missing from panel in Media Carousel widget<\\/li>\\n<li>Fix: UI hover state glitch in Media Carousel widget<\\/li>\\n<li>Fix: PHP notice was thrown when trying to import a kit without overrideConditions parameter in Kit Import flow<\\/li>\\n<li>Fix: Templates conditions not imported if there are no conflicts in Import Export Experiment<\\/li>\\n<li>Fix: Non english values are not encoded properly on Submissions export<\\/li>\\n<li>Fix: Theme Builder import is not working properly<\\/li>\\n<li>Fix: UI glitch when no global widgets were found in Editor Panel<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-3-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.2.2 - 2021-05-05<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Expert tier templates in Templates Library<\\/li>\\n<li>Tweak: Updated compatibility tag to support Elementor v3.2.x<\\/li>\\n<li>Tweak: Added compatibility for future Library improvements<\\/li>\\n<li>Fix: Toolset image dynamic field is not working with Gallery widget<\\/li>\\n<\\/ul>\\n<h4>3.2.1 - 2021-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added strings context in PayPal button and Price Table widgets<\\/li>\\n<li>Tweak: Added support for future Import \\/ Export Kit feature<\\/li>\\n<li>Fix: Submissions with over than 191 characters weren\'t indexed properly<\\/li>\\n<\\/ul>\\n<h4>3.2.0 - 2021-03-14<\\/h4>\\n<ul>\\n<li>New: PayPal Button widget - Collect PayPal payments directly from your site<\\/li>\\n<li>Experiment: Submissions - Save all of your form submissions in one place (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1686\\\">#1686<\\/a>)<\\/li>\\n<li>Tweak: Added Stay In Column option to Inner Section element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7956\\\">#7956<\\/a>)<\\/li>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Tweak: Changed descriptive text in Create Custom Code screen<\\/li>\\n<li>Tweak: Added support for dynamic capabilities in Code Highlight widget<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>share-link<\\/code> library<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>dialog<\\/code> library in Popup<\\/li>\\n<li>Tweak: Allow overwriting the assets URL when using a mirror domain<\\/li>\\n<li>Fix: Animation was triggered multiple times when accessing the viewport in certain cases in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13951\\\">#13951<\\/a>)<\\/li>\\n<li>Fix: Location is not being updated after a Custom Code snippet is published (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13971\\\">#13971<\\/a>)<\\/li>\\n<li>Fix: Custom Fonts CSS files were not updated after regenerating CSS files<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: Empty order buttons are displayed in Custom Fonts screen<\\/li>\\n<li>Fix: Typo in \'Reply To\' Email action after submit placeholder in Forms widget<\\/li>\\n<li>Fix: Unnecessary Save Draft button in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Custom Code<\\/li>\\n<li>Fix: Sanitized options in the editor to enforce better security policies<\\/li>\\n<li>Deprecated: See all deprecations to this version in our (<a href=\\\"https:\\/\\/developers.elementor.com\\/v3-2-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.1.1 - 2021-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Fix: Popup event handler is undefined (<a href=\\\"#11475\\\"><a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11475\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11475<\\/a><\\/a>, <a href=\\\"#10690\\\"><a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10690\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10690<\\/a><\\/a>)<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Code Highlight widget<\\/li>\\n<li>Fix: Minor UI glitches in Code Highlight widget<\\/li>\\n<li>Fix: Users can\'t get Pro Developer Edition version updates<\\/li>\\n<\\/ul>\\n<h4>3.1.0 - 2021-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Code - Add custom code snippets to your site, including <code>head<\\/code>, <code>body<\\/code> start and <code>body<\\/code> end<\\/li>\\n<li>New: Meet Code Highlight widget - showcase any syntax with highlighted UI (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5815\\\">#5815<\\/a>)<\\/li>\\n<li>Experiment: Improved Pro widgets performance by loading JS and Swiper assets conditionally in frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/experiment-optimized-asset-loading\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Compatibility Tag support in Elementor Pro (<a href=\\\"https:\\/\\/developers.elementor.com\\/compatibility-tag\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Rotating Text animation in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4625\\\">#4625<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added an option to set Selected color for Typing effect in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5403\\\">#5403<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7826\\\">#7826<\\/a>)<\\/li>\\n<li>Tweak: Added animation Loop option for Animated Headline (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9749\\\">#9749<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2457\\\">#2457<\\/a>)<\\/li>\\n<li>Tweak: Added timing options for Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4392\\\">#4392<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added Word Wrap control to Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13577\\\">#13577<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.15.1<\\/li>\\n<li>Tweak: Improved method of loading field mapping repeater in Form widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/how-to-add-a-repeater-control-to-elementor-add-on\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Show on Browsers&quot; Popup Advanced Rule<\\/li>\\n<li>Tweak: Added real-time JS handling to prevent redundant renders in Slides widget and all Carousel widgets<\\/li>\\n<li>Tweak: Import scroll utility from core and remove it from Pro<\\/li>\\n<li>Tweak: Added alignment options for Post Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9757\\\">#9757<\\/a>)<\\/li>\\n<li>Tweak: Changed alignment control to work with selectors in Share Buttons<\\/li>\\n<li>Tweak: Upgraded to Webpack 5, Grunt-Webpack 4 and TerserPlugin instead of UglifyJsPlugin<\\/li>\\n<li>Fix: Steps Divider is not vertically aligned in Multi Step Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12569\\\">#12569<\\/a>)<\\/li>\\n<li>Fix: Slides are playing in an infinite loop mode even when the option is disabled in Slides Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Redundant spacing is added to Share Buttons widget<\\/li>\\n<li>Fix: Step buttons text is not updated without a page reload in Forms widget<\\/li>\\n<li>Fix: Overflow issue in certain animations in Animated Headline widget<\\/li>\\n<li>Fix: When dragging a new Testimonial Carousel there is a console error thrown<\\/li>\\n<li>Fix: Step Buttons are cut in mobile view in Multi Step Form<\\/li>\\n<li>Fix: Submit and Step buttons size differences when using Twenty Twenty theme<\\/li>\\n<li>Fix: Duplicate button Text Color control in Slides widget<\\/li>\\n<li>Fix: JS error is thrown when editing and saving global widgets<\\/li>\\n<li>Fix: <code>get_version<\\/code> API function may fail with Redis \\/ DB cache<\\/li>\\n<li>Fix: Multiple license check requests are created in certain cases<\\/li>\\n<li>Deprecated: Deprecate methods prefixed with an underscore and replace them with unprefixed methods<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-1-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.0.10 - 2021-01-20<\\/h4>\\n<ul>\\n<li>Tweak: Added Editing Handles string translation compatibility with Elementor v3.1.0<\\/li>\\n<\\/ul>\\n<h4>3.0.9 - 2020-12-29<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility to support Elementor 3.1.0<\\/li>\\n<li>Fix: Wrong phrasing of Import template success message in Theme Builder<\\/li>\\n<li>Fix: Border color glitch in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.8 - 2020-11-26<\\/h4>\\n<ul>\\n<li>Fix: Navigation arrows UI glitch in Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13172\\\">#13172<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.0.7 - 2020-11-25<\\/h4>\\n<ul>\\n<li>Fix: Console Error when dragging  Testimonials Carousel widget<\\/li>\\n<li>Fix: Arrows of Testimonial and Reviews Carousel widgets navigate to the wrong direction in RTL websites<\\/li>\\n<li>Fix: Removed the conditional loading of Webpack<\\/li>\\n<li>Fix: Fatal error is thrown after deleting an associated custom taxonomy when Posts widget with Cards skin has a badge<\\/li>\\n<li>Fix: Upload JSON files only when the user allowed to prevent security issues<\\/li>\\n<li>Fix: Gallery not displayed in Theme Builder templates preview<\\/li>\\n<\\/ul>\\n<h4>3.0.6 - 2020-11-04<\\/h4>\\n<ul>\\n<li>Tweak: Updated the embedded post in Facebook Embed widget<\\/li>\\n<li>Fix: Minor UI glitches in Theme Builder\'s conditions screen footer<\\/li>\\n<li>Fix: Template type changes into Single Page after conditions change in Theme Builder<\\/li>\\n<li>Fix: Redundant Custom Caption option in Site Logo widget<\\/li>\\n<li>Fix: Removed unused code in Drip integration<\\/li>\\n<li>Fix: Removed Weibo and WeChat social networks due to website and links inactivity from Share Buttons widget<\\/li>\\n<li>Fix: Removed redundant code from Portfolio and Post Navigation widgets<\\/li>\\n<\\/ul>\\n<h4>3.0.5 - 2020-09-23<\\/h4>\\n<ul>\\n<li>Fix: If the default page layout is set to &quot;Canvas&quot; Headers and Footers cannot be edited<\\/li>\\n<li>Fix: Product Image Dynamic Tag throws an error when no image is set<\\/li>\\n<li>Fix: Missing Single document placeholder in Theme Builder<\\/li>\\n<li>Fix: Document editing handles inherit the <code>font-family<\\/code> from 3rd party source<\\/li>\\n<li>Fix: Can\'t add linebreaks to Textarea input when used as Multi Step Form<\\/li>\\n<li>Fix: Incorrect width in Facebook Page widget<\\/li>\\n<li>Fix: Added compatibility to allow the use of \'get_create_url\' in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.4 - 2020-09-09<\\/h4>\\n<ul>\\n<li>Fix: Autogenerated screenshots appear in WP Media Library modal (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12304\\\">#12304<\\/a>)<\\/li>\\n<li>Fix: Make sure Elementor Posts widget Pagination doesn\'t interfere with 3rd party plugins (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Shrinking conditions indicator in Theme Builder<\\/li>\\n<li>Fix: Column can\'t be dragged and dropped if it populates a Global widget<\\/li>\\n<li>Fix: Styles are missing from Single templates in some edge cases<\\/li>\\n<\\/ul>\\n<h4>3.0.3 - 2020-09-02<\\/h4>\\n<ul>\\n<li>Fix: Pagination doesn\'t work in WordPress 5.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Change delete template action to &quot;Move to Trash&quot; in the new Theme Builder view<\\/li>\\n<\\/ul>\\n<h4>3.0.2 - 2020-08-31<\\/h4>\\n<ul>\\n<li>Tweak: Replaced WordPress &quot;Learn More&quot; links with dynamic links for better control over time (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12312\\\">#12312<\\/a>)<\\/li>\\n<li>Tweak: UI tweaks to the Conditions screen In the new Theme Builder<\\/li>\\n<li>Fix: Motion Effects not working when assigned to a column and throws JS error when DOM optimization is disabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12299\\\">#12299<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12275\\\">#12275<\\/a>)<\\/li>\\n<li>Fix: Multiple Galleries display all the images in the Lightbox slideshow (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11809\\\">#11809<\\/a>)<\\/li>\\n<li>Fix: Old Theme Builder is being opened when accessing through the Finder<\\/li>\\n<li>Fix: Mixed templates import glitch in Theme Builder<\\/li>\\n<li>Fix: Card icon sizes in Theme Builder<\\/li>\\n<li>Fix: Preview button leads to <code>render_mode<\\/code> instead of preview when importing a template from the new Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.1 - 2020-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Keep previous Theme Builder when accessing from the WP Dashboard for legacy support<\\/li>\\n<li>Tweak: Updated video tutorials in Theme Builder<\\/li>\\n<li>Tweak: Don\'t show auto-screenshots in the Media Library (Props <a href=\\\"https:\\/\\/github.com\\/black-eye\\\">@black-eye<\\/a>)<\\/li>\\n<li>Fix: Repeater items throws <code>childView<\\/code> is undefined message in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12239\\\">#12239<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12221\\\">#12221<\\/a>)<\\/li>\\n<li>Fix: Misspelling of the word &quot;occurred&quot; in Form widget default error message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12137\\\">#12137<\\/a>)<\\/li>\\n<li>Fix: Facebook comments not showing up (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12157\\\">#12157<\\/a>)<\\/li>\\n<li>Fix: Check for conflicts in Theme Builder doesn\'t work properly<\\/li>\\n<li>Fix: Minor UI fixes in Theme Builder<\\/li>\\n<li>Fix: Dark mode glitches in Theme Builder<\\/li>\\n<li>Fix: Global Site Part toaster appears when you publish a Popup<\\/li>\\n<li>Fix: Site Parts aren\'t in the correct order in Theme Builder<\\/li>\\n<li>Fix: Date field caused forms to get corrupted in Forms widget<\\/li>\\n<li>Fix: Theme Builder application page is forbidden<\\/li>\\n<\\/ul>\\n<h4>3.0.0 - 2020-08-23<\\/h4>\\n<ul>\\n<li>New: Introducing the new and improved Theme Builder<\\/li>\\n<li>Tweak: Removed <code>.elementor-inner<\\/code> and <code>.elementor-column-wrap<\\/code> from DOM output to improve performance (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7351\\\">#7351<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7817\\\">#7817<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/dom-improvements-ahead-html-wrappers-removal-from-v3-0\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added contextual anchors ID support to Table of Contents widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10052\\\">#10052<\\/a>)<\\/li>\\n<li>Tweak: Added WeChat and Weibo social networks to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11554\\\">#11554<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Redirect after Login\\/Logout in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11343\\\">#11343<\\/a>)<\\/li>\\n<li>Tweak: Added Blend Mode and CSS Filters controls to adjust the Background Overlay in Flipbox widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11653\\\">#11653<\\/a>)<\\/li>\\n<li>Tweak: Added responsive capabilities to Toggle Button styling in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8269\\\">#8269<\\/a>)<\\/li>\\n<li>Tweak: Added responsive Text Alignment control in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11968\\\">#11968<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic content to Ribbon element in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10364\\\">#10364<\\/a>)<\\/li>\\n<li>Tweak: Converted uses of Color and Typography Schemes to Global Colors and Fonts<\\/li>\\n<li>Tweak: Separated Title and Description control fields labels in Call to Action widget<\\/li>\\n<li>Tweak: Removed unnecessary style in WC Product with variations<\\/li>\\n<li>Tweak: Converted Portfolio, Posts and Share Buttons widgets to use CSS Variable-based Elementor Grid (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-dropping-support-ie\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Date Modified option to Posts widget metadata<\\/li>\\n<li>Fix: PHP 7.4 compatibility to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11355\\\">#11355<\\/a>)<\\/li>\\n<li>Fix: Divider alignment issue in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11628\\\">#11628<\\/a>)<\\/li>\\n<li>Fix: Color doesn\\u2019t change in Products Archive Description widget<\\/li>\\n<li>Fix: WC Product variations layout breaks when using Variation Swatches plugin<\\/li>\\n<li>Fix: WC Product variations layout issue<\\/li>\\n<li>Fix: WC Product variations mobile zoom-in glitch<\\/li>\\n<li>Fix: Can\'t edit a Popup after accessing Theme Style<\\/li>\\n<li>Fix: Twitter icon missing in Blockquote widget<\\/li>\\n<li>Fix: Removed redundant default text color from Share Buttons minimal skin<\\/li>\\n<li>Fix: UI glitch in Display Conditions modal<\\/li>\\n<li>Fix: Insert template button UI glitch in Templates Library<\\/li>\\n<li>Fix: Added sanitization to post titles in WordPress dashboard for better security<\\/li>\\n<li>Fix: Show when arriving from search engines rule doesn\'t work in Popup<\\/li>\\n<li>Fix: Child categories are shown with a different parent category in Query control<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.10.3 - 2020-06-29<\\/h4>\\n<ul>\\n<li>Fix: Form not being submitted when using &quot;Progress Bar&quot; and &quot;None&quot; view types in Multi Step Form (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11596\\\">#11596<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11610\\\">#11610<\\/a>)<\\/li>\\n<li>Fix: Missing &quot;for&quot; attribute in Password field label in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8646\\\">#8646<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.2 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Fix: Run step events only when in Multi Step Form mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11644\\\">#11644<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.1 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Changed control labels and ordering in Price Table, Lottie and Form widgets<\\/li>\\n<li>Fix: Popup close button vertical position glitch (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10921\\\">#10921<\\/a>)<\\/li>\\n<li>Fix: Radio field placement glitch when in Multi Step mode in Form widget<\\/li>\\n<li>Fix: Clicking <code>Enter<\\/code> key submits the form in Multi Step Form<\\/li>\\n<li>Fix: Hardened sanitization in Custom Attributes to avoid security issues<\\/li>\\n<\\/ul>\\n<h4>2.10.0 - 2020-06-07<\\/h4>\\n<ul>\\n<li>New: Introducing Multi-Step Forms - Breakdown long forms into simple steps (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5975\\\">#5975<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3911\\\">#3911<\\/a>)<\\/li>\\n<li>New: Introducing Lottie widget - easily add Lottie animations to your site, no coding needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11026\\\">#11026<\\/a>)<\\/li>\\n<li>Tweak: Added spacing option to Posts widget pagination (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5682\\\">#5682<\\/a>)<\\/li>\\n<li>Tweak: Changed texts and logic for administrator plugin renewal notices<\\/li>\\n<li>Tweak: Added new Scroll Util for improved scrolling handling<\\/li>\\n<li>Tweak: Improved Motion Effects animation performance<\\/li>\\n<\\/ul>\\n<h4>2.9.5 - 2020-05-24<\\/h4>\\n<ul>\\n<li>Fix: Added sanitization to Custom Attributes control to avoid security issue<\\/li>\\n<\\/ul>\\n<h4>2.9.4 - 2020-05-07<\\/h4>\\n<ul>\\n<li>Fix: Hardened user role that is allowed to upload icon sets and unzip only allowed files in Custom Icons to prevent security vulnerability<\\/li>\\n<\\/ul>\\n<h4>2.9.3 - 2020-04-19<\\/h4>\\n<ul>\\n<li>Fix: Form shortcode IDs are not wrapped in double-quotes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11023\\\">#11023<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10932\\\">#10932<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10967\\\">#10967<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11000\\\">#11000<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11049\\\">#11049<\\/a>)<\\/li>\\n<li>Fix: Escaped Form records metadata to prevent security vulnerability<\\/li>\\n<li>Fix: Closing &quot;Save Changes&quot; document confirmation modal causes Panel infinite loading<\\/li>\\n<li>Fix: Ken Burns effect not working when there is only one slide in Slides widget<\\/li>\\n<li>Fix: Document handles UI glitch<\\/li>\\n<\\/ul>\\n<h4>2.9.2 - 2020-03-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility with WordPress v5.4 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10745\\\">#10745<\\/a>)<\\/li>\\n<li>Fix: Image ratio number is displayed under the Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10874\\\">#10874<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color setting overrides the Table of Content list style<\\/li>\\n<li>Fix: PHP notice when using dynamic user info <code>id<\\/code><\\/li>\\n<li>Fix: Navigation arrows direction is crossed on first drag in Slides Widget<\\/li>\\n<li>Fix: &quot;No headings were found on this page&quot; message was not displayed in the frontend in Table of Contents widget<\\/li>\\n<li>Fix: Container includes Popup tags by default in Table of Contents widget<\\/li>\\n<li>Fix: Twitter icon display issue when Font Awesome 4 support is disabled in Blockquote widget<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<\\/ul>\\n<h4>2.9.1 - 2020-03-16<\\/h4>\\n<ul>\\n<li>Fix: Can\'t access Elementor Editor when there is Page Title widget in the page<\\/li>\\n<li>Fix: Applying styling to Post Content widget affects the Page and Post editing handles<\\/li>\\n<\\/ul>\\n<h4>2.9.0 - 2020-03-15<\\/h4>\\n<ul>\\n<li>New: Introducing Full Site Editing: Design header, footer, and content all in one place! (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4985\\\">#4985<\\/a>)<\\/li>\\n<li>New: Added Global Custom CSS for Your Entire Site in Theme Style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3345\\\">#3345<\\/a>)<\\/li>\\n<li>New: Added Dynamic Colors tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6485\\\">#6485<\\/a>)<\\/li>\\n<li>Tweak: Added option to set the Site Part HTML Wrapper Tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9293\\\">#9293<\\/a>)<\\/li>\\n<li>Tweak: Added Link Attributes support to Pro widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5716\\\">#5716<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3642\\\">#3642<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9225\\\">#9225<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9079\\\">#9079<\\/a>)<\\/li>\\n<li>Tweak: Added Theme Style support in Theme Builder parts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10564\\\">#10564<\\/a>)<\\/li>\\n<li>Tweak: Avoid creating empty Custom Font<\\/li>\\n<li>Tweak: Added <code>aria-expanded<\\/code> attribute to Menu Cart widget<\\/li>\\n<li>Tweak: Moved Link Actions module to Core plugin<\\/li>\\n<li>Tweak: Changed the name of \\u201cTypeKit Web Fonts by Adobe\\u201d to \\u201cAdobe Fonts\\u201d<\\/li>\\n<li>Tweak: Removed redundant display conditions from Blockquote, Flipbox, Price Table, and Search Form widgets<\\/li>\\n<li>Tweak: Pro widgets are not draggable unless Elementor license has been activated<\\/li>\\n<li>Tweak: Remove redundant <code>label_block<\\/code> parameters from several controls<\\/li>\\n<li>Tweak: Converted controls selectors to CSS variables in Gallery widget<\\/li>\\n<li>Tweak: Replaced Stumbleupon with Mix in Reviews widget recommended icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added Mix to the Share Buttons network list (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Open in new tab&quot; option to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7924\\\">#7924<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.12.0<\\/li>\\n<li>Tweak: Added new Lightbox compatibility for Gallery and Media Carousel widgets<\\/li>\\n<li>Tweak: Expose external API for Swiper instances<\\/li>\\n<li>Tweak: Added compatibility to JS API in Theme Builder, Popups, Form widget and Global widget<\\/li>\\n<li>Tweak: Replaced nerd icons with new Elementor emojis<\\/li>\\n<li>Tweak: Added specific <code>color<\\/code> attribute to header title in Table of Contents widget<\\/li>\\n<li>Fix: Line break issues in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10585\\\">#10585<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color overrides the Table of Content list style<\\/li>\\n<li>Fix: Active state glitches when using Table of contents widget with Sticky mode<\\/li>\\n<li>Fix: &quot;Graphic Element&quot; section appears as empty in case of unmarked Graphic Element in Call to Action widget<\\/li>\\n<li>Fix: Page Title widget render glitches in the Editor<\\/li>\\n<li>Fix: Image ratio parameter visible in some edge cases in Posts widget<\\/li>\\n<li>Fix: Image missing when sharing to Pinterest using Share Buttons widget<\\/li>\\n<li>Fix: Theme Style Link color setting override the list style in Table of Contents widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v2-9-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.8.5 - 2020-03-08<\\/h4>\\n<ul>\\n<li>Tweak: Added new Swiper parameter to all Pro carousels to allow 3rd party integration<\\/li>\\n<li>Fix: Missing closing bracket in Animated Headline widget<\\/li>\\n<li>Fix: Share buttons widgets show Font Awesome 4 icons on first drag in Editor<\\/li>\\n<\\/ul>\\n<h4>2.8.4 - 2020-02-16<\\/h4>\\n<ul>\\n<li>Tweak: Added Lightbox Title &amp; Description support to Gallery widget<\\/li>\\n<li>Tweak: Added RTL support for Slides widget<\\/li>\\n<li>Tweak: Display Lightbox images in Full size in Gallery widget<\\/li>\\n<li>Fix: Template with Slides widget not working properly when placed inside Tabs, Accordion and Toggle widget<\\/li>\\n<li>Fix: Dropdown menu lost styling after Elementor Pro v2.8 upgrade in Nav Menu widget<\\/li>\\n<li>Fix: Indent doesn\'t work on RTL websites in Table of Contents widget<\\/li>\\n<li>Fix: Query Control throws <code>Undefined index: q<\\/code> error<\\/li>\\n<li>Fix: Typography control not affecting dropdown menu in Nav Menu widget<\\/li>\\n<li>Fix: Discord forms integration fails to send submissions in some server configurations<\\/li>\\n<li>Fix: Rotating headlines don\'t align center in Animated Headline widget<\\/li>\\n<li>Fix: Custom secondary color displayed when not needed in Share buttons widget<\\/li>\\n<li>Fix: Motion Effects of certain objects are not functioning properly on Safari browser<\\/li>\\n<li>Fix: Missing eye icon in Single template footer preview button<\\/li>\\n<\\/ul>\\n<h4>2.8.3 - 2020-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Updated Table of Contents widget panel location<\\/li>\\n<li>Fix: ACF URL Dynamic field throws <code>undefined index<\\/code> PHP notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9929\\\">#9929<\\/a>)<\\/li>\\n<li>Fix: Gallery lightbox pagination shows images from all tabs<\\/li>\\n<li>Fix: &quot;Reply To&quot; option not working in Form widget &quot;Email 2&quot; Action<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<li>Fix: Underline option not working in Table of Contents widget Normal state<\\/li>\\n<li>Fix: Query Control <code>Undefined index: autocomplete<\\/code> notice in some cases<\\/li>\\n<li>Fix: Missing display condition to Read More Spacing control in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.8.2 - 2019-12-19<\\/h4>\\n<ul>\\n<li>Tweak: Improved scroll-spy and collapsing functionality in Table of Contents widget<\\/li>\\n<li>Fix: &quot;No products were found&quot; message not being displayed in an empty Products Archive<\\/li>\\n<li>Fix: Redundant <code>&lt;br&gt;<\\/code> tags in Single theme template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9927\\\">#9927<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9928\\\">#9928<\\/a>)<\\/li>\\n<li>Fix: Draft Popup shows up in Dynamic tag dropdown<\\/li>\\n<\\/ul>\\n<h4>2.8.1 - 2019-12-18<\\/h4>\\n<ul>\\n<li>Fix: Share Buttons widget not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9920\\\">#9920<\\/a>)<\\/li>\\n<li>Fix: Redundant <code>&lt;p&gt;<\\/code> tags added to Single Template posts<\\/li>\\n<\\/ul>\\n<h4>2.8.0 - 2019-12-18<\\/h4>\\n<ul>\\n<li>New: Table of Contents Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5171\\\">#5171<\\/a>)<\\/li>\\n<li>New: Added Font Awesome Pro Duotone font family support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added Lazy Load option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9763\\\">#9763<\\/a>)<\\/li>\\n<li>Tweak: Added Random order option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9269\\\">#9269<\\/a>)<\\/li>\\n<li>Tweak: Updated Font Awesome Pro to v5.11.2 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added preselect support for multiple default select values in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9324\\\">#9324<\\/a>)<\\/li>\\n<li>Tweak: Avoid duplicate queries for Custom Icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9579\\\">#9579<\\/a>)<\\/li>\\n<li>Tweak: Major performance improvements to Gallery widget<\\/li>\\n<li>Tweak: Avoid non-existing images in Gallery widget<\\/li>\\n<li>Tweak: Added <code>tabindex<\\/code>, <code>aria-expanded<\\/code>, <code>aria-hidden<\\/code> and <code>role=\\\"navigation\\\"<\\/code> accessibility attributes to Nav Menu widget<\\/li>\\n<li>Tweak: Changed button HTML tag from <code>button<\\/code> to <code>span<\\/code> in Call to Action and Flip Box widgets for better W3C compliance and accessibility<\\/li>\\n<li>Tweak: Removed Google+ from default networks in Share Buttons widget<\\/li>\\n<li>Tweak: Added compatibility for Library Connect<\\/li>\\n<li>Tweak: Added i18n to Toolset date dynamic tag<\\/li>\\n<li>Tweak: Added external link support to Gallery widget<\\/li>\\n<li>Tweak: Changed the link external attributes implementation to use <code>add_link_attributes()<\\/code> in Gallery widget<\\/li>\\n<li>Tweak: Updated references to the new Schemes system location<\\/li>\\n<li>Tweak: Avoid running Gallery handler when the gallery is empty<\\/li>\\n<li>Tweak: UI Tweaks in Editor Panel<\\/li>\\n<li>Tweak: Added responsive capabilities to Pointer Width control in Nav Menu widget<\\/li>\\n<li>Tweak: Added mobile support for responsive controls in Nav Menu widget<\\/li>\\n<li>Tweak: Refactor <code>register_controls()<\\/code> method in Posts widget skin trait<\\/li>\\n<li>Fix: ACF URL &quot;undefined Index&quot; notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7646\\\">#7646<\\/a>)<\\/li>\\n<li>Fix: WooCommerce Mini-Cart widget causes fatal error in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9304\\\">#9304<\\/a>)<\\/li>\\n<li>Fix: <code>PHP Notice: Undefined index<\\/code> display for Author query (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9864\\\">#9864<\\/a>)<\\/li>\\n<li>Fix: Added compatibility for Button widget placed inside Swiper carousel (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/broken-buttons-since-elementor-2-8\\/\\\">Topic<\\/a>)<\\/li>\\n<li>Fix: Avoid empty spaces in Post info widget<\\/li>\\n<li>Tweak: Always show &quot;Custom label&quot; control in Login widget<\\/li>\\n<li>Fix: Nav Menu item typography selector in Nav Menu widget<\\/li>\\n<li>Fix: Facebook Like Button widget causes flickering<\\/li>\\n<li>Fix: WooCommerce mini-cart behaviour when using <code>plain<\\/code> permalinks format<\\/li>\\n<li>Fix: Avoid running Popup triggers when set without conditions<\\/li>\\n<li>Fix: Removed &quot;Date&quot; query from Products widget<\\/li>\\n<li>Fix: Slides widget when used as a Shortcode and is hidden<\\/li>\\n<li>Fix: Custom URL being accessed on swipe in Media Carousel<\\/li>\\n<li>Fix: Media Carousel widget Cube effect glitch<\\/li>\\n<li>Fix: Lightbox shows images from multiple Gallery widgets in the same page<\\/li>\\n<li>Fix: Image <code>alt<\\/code> Text not displayed on overlay in Gallery widget<\\/li>\\n<li>Fix: Gallery widget not visible in Posts widget Full Content skin<\\/li>\\n<li>Fix: WooCommerce mini-cart remove unnecessary hooks registration when WooCommerce integration set to <code>Disable<\\/code><\\/li>\\n<li>Fix: Slides widget button wrapping breaks in mobile view<\\/li>\\n<li>Fix: Dynamic capabilities with the Reviews widget<\\/li>\\n<li>Fix: Disabling autoplay doesn\'t work in Slides widget<\\/li>\\n<li>Fix: Posts widget Full Content skin not working on Single template<\\/li>\\n<li>Fix: Autocomplete not working for &quot;By Author&quot; condition in Display Conditions screen<\\/li>\\n<li>Fix: Posts widget alignment issue<\\/li>\\n<li>Fix: Product Variations Clear button not working in edge cases<\\/li>\\n<li>Fix: Styling issues in Form widget submit button<\\/li>\\n<\\/ul>\\n<h4>2.7.3 - 2019-10-28<\\/h4>\\n<ul>\\n<li>Tweak: Added RTL support to Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9213\\\">#9213<\\/a>)<\\/li>\\n<li>Tweak: Added Custom Icons compatibility for WordPress 5.3<\\/li>\\n<li>Fix: Missing template function declaration causes fatal error in WC mini-cart widget<\\/li>\\n<li>Fix: Pause on hover doesn\'t work in Carousel widgets<\\/li>\\n<li>Fix: Link-actions conflict with <code>?action=<\\/code> parameter in the URL<\\/li>\\n<li>Fix: Lightbox navigation not working in Gallery widget Single mode<\\/li>\\n<li>Fix: Ken burns effect not working on the 1st slide if Infinite Loop option is turned off in Carousel widgets<\\/li>\\n<li>Fix: Popup Advanced Rules detects internal links as external if current URL starts with <code>www<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.7.2 - 2019-10-06<\\/h4>\\n<ul>\\n<li>Fix: Slide Overlay not working when applying Ken burns effect in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9209\\\">#9209<\\/a>)<\\/li>\\n<li>Fix: Content width glitch in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Horizontal Alignment not working when applying custom style per slide in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Missing semicolon in Custom Fonts <code>font-display<\\/code> CSS<\\/li>\\n<\\/ul>\\n<h4>2.7.1 - 2019-09-26<\\/h4>\\n<ul>\\n<li>Fix: Background Overlay layer is over the slide content in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Duplicate images under &quot;All&quot; filter in Multiple Gallery<\\/li>\\n<\\/ul>\\n<h4>2.7.0 - 2019-09-24<\\/h4>\\n<ul>\\n<li>New: Enhanced Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1898\\\">#1898<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3103\\\">#3103<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4279\\\">#4279<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7631\\\">#7631<\\/a>)<\\/li>\\n<li>New: Dynamic Number (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5952\\\">#5952<\\/a>)<\\/li>\\n<li>New: Full content skin for Posts and Archive-posts widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4617\\\">#4617<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic number capability to Price List, Price Table, Counter, Star Rating, Progress Bar widgets<\\/li>\\n<li>Tweak: Added tags support to forms Mailchimp action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5418\\\">#5418<\\/a>)<\\/li>\\n<li>Tweak: User Profile Picture Dynamic Tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7947\\\">#7947<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8740\\\">#8740<\\/a>)<\\/li>\\n<li>Tweak: Added <code>font-display<\\/code> support to custom fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5993\\\">#5993<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-custom-fonts-font-display-support\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Text Shadow control to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8800\\\">#8800<\\/a>)<\\/li>\\n<li>Tweak: Added Re-subscribe support to MailerLite (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8799\\\">#8799<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Facebook Embed widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9030\\\">#9030<\\/a>)<\\/li>\\n<li>Tweak: Use <code>swiper.js<\\/code> instead of <code>slick.js<\\/code> in Slides widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-2-7-moving-sliders-from-slick-to-swiper\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/before_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/after_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic support for Custom field key (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7789\\\">#7789<\\/a>)<\\/li>\\n<li>Tweak: Increased expired license notice bar frequency<\\/li>\\n<li>Tweak: Changed the icon name of Slides widget<\\/li>\\n<li>Tweak: Added designated Finder\'s Icons for Custom icons &amp; Custom fonts<\\/li>\\n<li>Tweak: Use Ken Burns Effect as an external module<\\/li>\\n<li>Tweak: Remove Fontello conflicting CSS on import to Custom Icons sets<\\/li>\\n<li>Tweak: Editor Panel UI tweaks<\\/li>\\n<li>Tweak: Added DOM events on Popup show\\/hide (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-popup-events\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added option to change the variations field width in Add to Cart widget<\\/li>\\n<li>Tweak: Use select control instead of select2 in Menu Cart widget<\\/li>\\n<li>Tweak: Added conditions to the tabs instead of to each control in Share Buttons widget<\\/li>\\n<li>Tweak: Added Typography controls to HTML field in Forms widget<\\/li>\\n<li>Tweak: Allow edit selected Font file in Custom Font<\\/li>\\n<li>Tweak: Changed reCAPTCHA v3 error message<\\/li>\\n<li>Tweak: Remove the &quot;Save as Global&quot; option on Global widget context menu<\\/li>\\n<li>Fix: Corrected selector for <code>removeControlSpinner()<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8790\\\">#8790<\\/a>)<\\/li>\\n<li>Fix: Slides widget navigation icons misplacement (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8533\\\">#8533<\\/a>)<\\/li>\\n<li>Fix: Horizontal Scrollbar when Slider widget is set to Full Width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8527\\\">#8527<\\/a>)<\\/li>\\n<li>Fix: Inconsistent behavior when &quot;Infinite Loop&quot; enabled with &quot;Autoplay&quot; in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Ken Burns effect on Chrome transition glitches (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1671\\\">#1671<\\/a>)<\\/li>\\n<li>Fix: Nothing found message shows up inside the columns set in Posts Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7347\\\">#7347<\\/a>)<\\/li>\\n<li>Fix: Responsive UI glitch in Popup Conditions modal tabs<\\/li>\\n<li>Fix: Removed unnecessary divider in Call to Action widget<\\/li>\\n<li>Fix: Custom Add To Cart * button style (size, position and background color) when <code>quantity<\\/code> is enabled.<\\/li>\\n<li>Fix: Add support for Document\\/PageBase in Theme Builder (Core &gt;=2.7.0)<\\/li>\\n<li>Fix: Ampersand character breaks email link in Share Buttons widget<\\/li>\\n<li>Fix: Correct custom font attachment <code>mime-type<\\/code> to show uploaded Custom Fonts<\\/li>\\n<li>Fix: Mini-Cart not refreshing in Menu Cart widget<\\/li>\\n<li>Fix: Cart drawer not working when WC Subscriptions plugin is activated<\\/li>\\n<li>Fix:  Querying CPT with custom taxonomies does not show the taxonomies before saving<\\/li>\\n<li>Fix: Double rendering on change caused console error in Theme Builder\'s conditions screen<\\/li>\\n<li>Fix: Translations and Strings in Share Buttons widget<\\/li>\\n<li>Fix: Avoid using offset if the source is Manual selection in Query Control<\\/li>\\n<li>Fix: Form being submitted although reCAPTCHA v3 validation failed in Forms widget<\\/li>\\n<\\/ul>\\n<h4>2.6.5 - 2019-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Button style not working when <code>quantity<\\/code> is enabled in Custom Add To Cart widget<\\/li>\\n<li>Fix: Updated minified JS file fixed WhatsApp base URL in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>2.6.4 - 2019-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Changed WhatsApp base URL in Share Buttons widget for cross-device compatibility<\\/li>\\n<li>Fix: Random slides order after several clicks on pagination in Testimonial Carousel widget<\\/li>\\n<\\/ul>\\n<h4>2.6.3 - 2019-08-18<\\/h4>\\n<ul>\\n<li>Fix: Core version rollback to <code>&gt;2.6.0<\\/code> causes a fatal error<\\/li>\\n<li>Fix: Duplicate images when slideshow skin is selected in Media Carousel lightbox<\\/li>\\n<li>Fix: Default bottom margin added to reCAPTCHA V3 badge<\\/li>\\n<li>Fix: Input glitch in reCAPTCHA V3 threshold settings<\\/li>\\n<\\/ul>\\n<h4>2.6.2 - 2019-07-30<\\/h4>\\n<ul>\\n<li>Tweak: Better accessibility support in Search Form widget<\\/li>\\n<li>Fix: UI glitched in Popup publish screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8616\\\">#8616<\\/a>)<\\/li>\\n<li>Fix: &quot;Child of Term&quot; and &quot;Any child of term&quot; conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8695\\\">#8695<\\/a>)<\\/li>\\n<li>Fix: Restored <code>library_widget_templates<\\/code> action hook for 3rd party compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8687\\\">#8687<\\/a>)<\\/li>\\n<li>Fix: Twitter Icon missing in Blockquote widget<\\/li>\\n<li>Fix: Form reCAPTCHA v3 badge position not working<\\/li>\\n<li>Fix: Renewal notice bar appears in wrong situations<\\/li>\\n<li>Fix: Draft Icon Set loads empty Icon Library<\\/li>\\n<\\/ul>\\n<h4>2.6.1 - 2019-07-24<\\/h4>\\n<ul>\\n<li>Fix: Query Control autocomplete not retrieving results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8672\\\">#8672<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8661\\\">#8661<\\/a>)<\\/li>\\n<li>Fix: Price Table features section not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8660\\\">#8660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.6.0 - 2019-07-23<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Icon sets - including Fontello, IcoMoon and Fontastic support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/110\\\">#110<\\/a>)<\\/li>\\n<li>New: Added Font Awesome 5 Pro integration including 5,300+ icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4430\\\">#4430<\\/a>)<\\/li>\\n<li>New: Added reCAPTCHA v3 integration to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8213\\\">#8213<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6039\\\">#6039<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7165\\\">#7165<\\/a>)<\\/li>\\n<li>Tweak: Added Exit Animation for Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7063\\\">#7063<\\/a>)<\\/li>\\n<li>Tweak: Added ACF Dynamic tag support for archive pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5147\\\">#5147<\\/a>)<\\/li>\\n<li>Tweak: Added Navigator Indicators for Custom CSS &amp; Motion Effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2180\\\">#2180<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Form Redirect action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7552\\\">#7552<\\/a>)<\\/li>\\n<li>Tweak: Added Logged In Message styling options for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7928\\\">#7928<\\/a>)<\\/li>\\n<li>Tweak: Added <code>none<\\/code> breakpoint option to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7916\\\">#7916<\\/a>)<\\/li>\\n<li>Tweak: Added option to place Post Terms dynamic tag without links (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8366\\\">#8366<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor\\/query\\/query_results<\\/code> hook to Query Control to allow full control over results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7912\\\">#7912<\\/a>)<\\/li>\\n<li>Tweak: Allow choosing Heading HTML tag in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8090\\\">#8090<\\/a>)<\\/li>\\n<li>Tweak: Show popup on dynamic click even when <code>Avoid Multiple Popups<\\/code> option is selected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8189\\\">#8189<\\/a>)<\\/li>\\n<li>Tweak: Added condition option to all of archive child pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8256\\\">#8256<\\/a>)<\\/li>\\n<li>Tweak: Added <code>Effects Relative To<\\/code> control to Scrolling Effects<\\/li>\\n<li>Tweak: Allow shortcodes in HTML Form field<\\/li>\\n<li>Tweak: Removed donReach integration from Share Buttons widget due to service inconsistent stability<\\/li>\\n<li>Tweak: Changed MailChimp <code>List<\\/code> label to <code>Audience<\\/code><\\/li>\\n<li>Tweak: Improved Entrance and Exit animation behavior in Popup<\\/li>\\n<li>Tweak: Added <code>Deprecated Notice<\\/code> control to <code>Archive Products<\\/code> and <code>Woo Products<\\/code> widgets<\\/li>\\n<li>Tweak: Added default dynamic title for archives in Theme Builder<\\/li>\\n<li>Tweak: Added condition to show <code>Centered Slides<\\/code> control in Media Carousel widget<\\/li>\\n<li>Tweak: Added notice bar in the Editor when the license is expired or not activated<\\/li>\\n<li>Tweak: Replaced <code>select<\\/code> control with <code>choose<\\/code> control in Price List widget<\\/li>\\n<li>Tweak: Removed Font Awesome 4 dependencies from the Editor<\\/li>\\n<li>Tweak: Minor styling tweaks in the Popup publish modal<\\/li>\\n<li>Tweak: Hide ordering form in Products widget on front page<\\/li>\\n<li>Tweak: Removed page title markup when \'Hide Title\' is active<\\/li>\\n<li>Tweak: Added style controls for HTML field in Form widget<\\/li>\\n<li>Fix: Form widget Date picker makes the Popup builder disappear (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7240\\\">#7240<\\/a>)<\\/li>\\n<li>Fix: Sticky element stop point stops working on viewport resize (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7884\\\">#7884<\\/a>)<\\/li>\\n<li>Fix: Copy-Paste style not pasting the Pointer option in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8497\\\">#8497<\\/a>)<\\/li>\\n<li>Fix: Missing Print icon in Share Buttons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8506\\\">#8506<\\/a>)<\\/li>\\n<li>Fix: UI style glitch in Blockquote widget when viewing from iPad<\\/li>\\n<li>Deprecated: <code>DB::save_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<li>Deprecated: <code>DB::get_plain_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.14 - 2019-07-14<\\/h4>\\n<ul>\\n<li>Fix: Better WC Related Product grid support to various themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8555\\\">#8555<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.13 - 2019-07-11<\\/h4>\\n<ul>\\n<li>Fix: Better WC grid support to various themes<\\/li>\\n<\\/ul>\\n<h4>2.5.12 - 2019-07-10<\\/h4>\\n<ul>\\n<li>Fix: Grid for WooCommerce Archive Product widget<\\/li>\\n<li>Fix: Remove redundant <code>whitespace<\\/code> CSS property causes style glitch in iPad<\\/li>\\n<li>Tweak: Added more compatibility for Elementor v2.6<\\/li>\\n<\\/ul>\\n<h4>2.5.11 - 2019-07-02<\\/h4>\\n<ul>\\n<li>Fix: Close icon missing from Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8460\\\">#8460<\\/a>)<\\/li>\\n<li>Fix: Elementor Pro v2.5.10 shows PHP notice regarding notice bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8461\\\">#8461<\\/a>)<\\/li>\\n<li>Fix: Fatal error when deleting used Pods fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8396\\\">#8396<\\/a>)<\\/li>\\n<li>Fix: Missing dropdown icon in conditions screen<\\/li>\\n<\\/ul>\\n<h4>2.5.10 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.6<\\/li>\\n<li>Tweak: Error caused by empty Rows &amp; Columns values in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8261\\\">#8261<\\/a>)<\\/li>\\n<li>Fix: Do not unset <code>product<\\/code> CPT if it\'s not from WooCommerce (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8160\\\">#8160<\\/a>)<\\/li>\\n<li>Fix: Column Spacing not working in WooCommerce Archive Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8285\\\">#8285<\\/a>)<\\/li>\\n<li>Fix: Title styling not working in Products Categories widget<\\/li>\\n<li>Fix: Empty value in Dynamic Pods Gallery dropdown using Safari browser<\\/li>\\n<li>Fix: WooCommerce archives included in &quot;All Archives&quot; condition<\\/li>\\n<\\/ul>\\n<h4>2.5.9 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>auto-confirm<\\/code> control from MailPoet to support new version of MailPoet<\\/li>\\n<li>Fix: Multiple Custom Fonts not rendered in the editor<\\/li>\\n<li>Fix: Products <code>sale<\\/code> query - handle exclude by manual selection.<\\/li>\\n<li>Fix: Product Categories grid row &amp; column style<\\/li>\\n<li>Fix: Form integration AJAX cache override<\\/li>\\n<li>Fix: Removed redundant CSS on Canvas &amp; Header-Footer page templates<\\/li>\\n<\\/ul>\\n<h4>2.5.8 - 2019-05-06<\\/h4>\\n<ul>\\n<li>Fix: Popup entrance animation not working in frontend<\\/li>\\n<li>Fix: Popup Exit Intent trigger activated multiple times<\\/li>\\n<\\/ul>\\n<h4>2.5.7 - 2019-05-05<\\/h4>\\n<ul>\\n<li>Fix: Embedded video keeps playing after a Popup is closed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7875\\\">#7875<\\/a>)<\\/li>\\n<li>Fix: Maximum call stack size exceeded error in Safari (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7824\\\">#7824<\\/a>)<\\/li>\\n<li>Fix: Entrance animations not appearing on Popup reopen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7395\\\">#7395<\\/a>)<\\/li>\\n<li>Fix: WC variations select style glitch in several themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8008\\\">#8008<\\/a>)<\\/li>\\n<li>Fix: Theme Builder taxonomy conditions not retrieving proper results in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.5.6 - 2019-04-29<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>Shortcode<\\/code> dynamic from Image, Gallery and Media control<\\/li>\\n<li>Fix: Popup not inheriting entrance animation in responsive mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7809\\\">#7809<\\/a>)<\\/li>\\n<li>Fix: Terms autocomplete retrieves wrong results in Query Control<\\/li>\\n<li>Fix: Query Control Related by author glitches in edge cases<\\/li>\\n<li>Fix: Query Control using terms for Products widget<\\/li>\\n<li>Fix: Posts cards style glitch in small screens<\\/li>\\n<li>Fix: Display conditions delete icon missing in small screens<\\/li>\\n<li>Fix: Avoid rendering Menu Cart widget in WordPress native editor<\\/li>\\n<\\/ul>\\n<h4>2.5.5 - 2019-04-08<\\/h4>\\n<ul>\\n<li>Tweak: Allow text selection inside a Popup<\\/li>\\n<li>Fix: Added backwards compatibility for <code>tax_query<\\/code> in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7751\\\">#7751<\\/a>)<\\/li>\\n<li>Fix: Missing arguments for <code>widget_title<\\/code> filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7745\\\">#7745<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.4 - 2019-04-03<\\/h4>\\n<ul>\\n<li>Fix: Move Query from using <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<li>Fix: Offset manipulation hook removal in Query control<\\/li>\\n<li>Fix: Missing form field <code>ID<\\/code> in some edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7711\\\">#7711<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7660\\\">#7660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.3 - 2019-03-31<\\/h4>\\n<ul>\\n<li>Tweak: Updated Google Calendar dynamic tag URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7673\\\">#7673<\\/a>)<\\/li>\\n<li>Fix: Missing form field names (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7651\\\">#7651<\\/a>)<\\/li>\\n<li>Fix: PHP 5.4 backward compatibility in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7633\\\">#7633<\\/a>)<\\/li>\\n<li>Fix: <code>products_deprecated<\\/code> Query Control module compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7654\\\">#7654<\\/a>)<\\/li>\\n<li>Fix: Changed query method from <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.2 - 2019-03-27<\\/h4>\\n<ul>\\n<li>Fix: Overwrite parent widget type in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7632\\\">#7632<\\/a>)<\\/li>\\n<li>Fix: Avoid Duplicates option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7635\\\">#7635<\\/a>)<\\/li>\\n<li>Fix: Manual Selection option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7634\\\">#7634<\\/a>)<\\/li>\\n<li>Fix: Incorrect condition caused handlers issues inside popup<\\/li>\\n<\\/ul>\\n<h4>2.5.1 - 2019-03-26<\\/h4>\\n<ul>\\n<li>Fix: Query Control invalid call to deprecated action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7619\\\">#7619<\\/a>)<\\/li>\\n<li>Tweak: Renamed action hook from <code>elementor_pro\\/{$widget_name}\\/query\\/{$query_id}<\\/code> to <code>elementor\\/query\\/{$query_id}<\\/code><\\/li>\\n<li>Tweak: Renamed filter hook from <code>elementor_pro\\/query_control\\/get_query_args\\/current_query<\\/code> to <code>elementor\\/query\\/get_query_args\\/current_query<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.5.0 - 2019-03-26<\\/h4>\\n<ul>\\n<li>New: Introducing Motion Effects including Scrolling &amp; Mouse effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/72\\\">#72<\\/a>)<\\/li>\\n<li>New: Introducing Related Posts for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7306\\\">#7306<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7490\\\">#7490<\\/a>)<\\/li>\\n<li>New: Introducing Date query for Query Control<\\/li>\\n<li>New: Introducing Sticky Posts support for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2501\\\">#2501<\\/a>)<\\/li>\\n<li>Tweak: Added option to open a Popup by a custom selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6871\\\">#6871<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6876\\\">#6876<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Option to count when Popup is closed in &quot;Show up to X times&quot; Advanced Rule<\\/li>\\n<li>Tweak: Added full border radius control options inside Popup<\\/li>\\n<li>Tweak: Changed exit intent icon in Popups<\\/li>\\n<li>Tweak: Show only one popup in its own preview<\\/li>\\n<li>Tweak: Added responsive support to Popup entrance animation control<\\/li>\\n<li>Tweak: Conditions - Singular <code>All Pages<\\/code> string changed to <code>Pages<\\/code><\\/li>\\n<li>Tweak: Added form field shortcode support for Drip tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7000\\\">#7000<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6779\\\">#6779<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6986\\\">#6986<\\/a>)<\\/li>\\n<li>Tweak: Decrease <code>z-index<\\/code> for Nav Menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6869\\\">#6869<\\/a>)<\\/li>\\n<li>Tweak: Changed &quot;Scrolling Effects&quot; section label to &quot;Motion Effects&quot;<\\/li>\\n<li>Tweak: Use filter <code>get_meta_viewport<\\/code> for header templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7043\\\">#7043<\\/a>)<\\/li>\\n<li>Tweak: use filterable <code>Util::get_public_post_types()<\\/code> in Theme Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7172\\\">#7172<\\/a>)<\\/li>\\n<li>Tweak: Added Cloudflare rocket-loader support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7443\\\">#7443<\\/a>)<\\/li>\\n<li>Tweak: Added responsive support to WC Products Columns &amp; Rows Gap controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6913\\\">#6913<\\/a>)<\\/li>\\n<li>Tweak: WC Menu cart &quot;View Cart&quot; &amp; &quot;Checkout&quot; buttons styling<\\/li>\\n<li>Fix: Custom ID reset to default when dragging repeater<\\/li>\\n<li>Fix: Conflict between archive-products widget and WC customizer<\\/li>\\n<li>Fix: Add to Cart widget <code>spacing<\\/code> and <code>space-between<\\/code><\\/li>\\n<li>Fix: Library view when creating a new Header or Footer<\\/li>\\n<li>Fix: Post types labels missing on Add New Template modal<\\/li>\\n<\\/ul>\\n<h4>2.4.8 - 2019-03-11<\\/h4>\\n<ul>\\n<li>Fix: Missing query section in Products widget<\\/li>\\n<li>Fix: Missing Taxonomy controls in Products widget in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.7 - 2019-03-06<\\/h4>\\n<ul>\\n<li>Fix: Compatibility Global Widget with Elementor v2.5.0+<\\/li>\\n<\\/ul>\\n<h4>2.4.6 - 2019-03-04<\\/h4>\\n<ul>\\n<li>Fix: Pods gallery dynamic when empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7127\\\">#7127<\\/a>)<\\/li>\\n<li>Fix: Duplicate call for conditions screen issue<\\/li>\\n<li>Fix: Compatibility with Elementor v2.5.0<\\/li>\\n<\\/ul>\\n<h4>2.4.5 - 2019-02-18<\\/h4>\\n<ul>\\n<li>Fix: Image size issue in Testimonial Carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7058\\\">#7058<\\/a>)<\\/li>\\n<li>Fix: MailChimp groups not saved in a form integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7083\\\">#7083<\\/a>)<\\/li>\\n<li>Fix: Show popup preview only on it\'s own preview<\\/li>\\n<li>Fix: Elementor dashboard templates URL corrupted links in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.4 - 2019-02-11<\\/h4>\\n<ul>\\n<li>Tweak: Added ACF Date Time Picker field support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6690\\\">#6690<\\/a>)<\\/li>\\n<li>Tweak: Changed the term of <code>All Posts<\\/code> condition to <code>Posts<\\/code><\\/li>\\n<li>Fix: Added <code>&lt;IfModule&gt;<\\/code> to avoid 500 error when <code>mod-headers<\\/code> is missing (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7034\\\">#7034<\\/a>)<\\/li>\\n<li>Fix: Include post CSS deletion in Global Widget update (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6856\\\">#6856<\\/a>)<\\/li>\\n<li>Fix: <code>Textarea<\\/code> default value in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6934\\\">#6934<\\/a>)<\\/li>\\n<li>Fix: MailPoet latest version caused fatal error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6996\\\">#6996<\\/a>)<\\/li>\\n<li>Fix: Fatal Error caused by calling MailPoet deleted method<\\/li>\\n<li>Notice: MailPoet <code>Auto Confirm<\\/code> option will now default to &quot;On&quot;<\\/li>\\n<\\/ul>\\n<h4>2.4.3 - 2019-01-30<\\/h4>\\n<ul>\\n<li>Fix: Custom Add to Cart widget responsive alignment settings<\\/li>\\n<li>Fix: Links in Post Info widget<\\/li>\\n<li>Fix: WooCommerce <code>View Cart<\\/code> string translate<\\/li>\\n<li>Fix: Wrapper classes for header\\/footer templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6884\\\">#6884<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.4.2 - 2019-01-25<\\/h4>\\n<ul>\\n<li>Tweak: Added pixel units to Close Button position control in Popups<\\/li>\\n<li>Fix: Exclude error in WC Products widget<\\/li>\\n<\\/ul>\\n<h4>2.4.1 - 2019-01-24<\\/h4>\\n<ul>\\n<li>Tweak: Added CSS classes control to Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6826\\\">#6826<\\/a>)<\\/li>\\n<li>Tweak: Added responsive image size to Testimonial Carousel widget<\\/li>\\n<li>Fix: PHP warning when Toolset Date dynamic is empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6842\\\">#6842<\\/a>)<\\/li>\\n<li>Fix: Support of exclude-ids in WC Products widget<\\/li>\\n<li>Fix: Popup close button not clickable<\\/li>\\n<li>Fix: Alignment justify issue of Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6749\\\">#6749<\\/a>)<\\/li>\\n<li>Fix: Bad anchors breaks the page JS<\\/li>\\n<li>Fix: Popup overlay shown when turned off<\\/li>\\n<\\/ul>\\n<h4>2.4.0 - 2019-01-21<\\/h4>\\n<ul>\\n<li>New: Introducing Popup Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/628\\\">#628<\\/a>)<\\/li>\\n<li>New: Added <code>Popup<\\/code> Dynamic Tag<\\/li>\\n<li>New: Added <code>Popup<\\/code> forms action after submit<\\/li>\\n<li>New: Added User Info dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6322\\\">#6322<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for &quot;Nothing Found&quot; message<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/theme_builder\\/archive\\/escape_nothing_found_message<\\/code> Filter to avoid HTML escaping in &quot;Nothing Found&quot; message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6053\\\">#6053<\\/a>)<\\/li>\\n<li>Tweak: Added <code>add_doc_to_location<\\/code> method to Allow insertion of a document to a location<\\/li>\\n<li>Fix: <code>z-index<\\/code> issue with CTA widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6486\\\">#6486<\\/a>)<\\/li>\\n<li>Fix: Hide the Post Content widget and show it only in a Single document<\\/li>\\n<li>Fix: <code>selector<\\/code> replacement in Custom CSS<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> on the real content only<\\/li>\\n<li>Fix: CSS for WC products selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6559\\\">#6559<\\/a>)<\\/li>\\n<li>Fix: Odnoklassniki share URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6638\\\">#6638<\\/a>)<\\/li>\\n<li>Fix: Custom link new tab in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5766\\\">#5766<\\/a>)<\\/li>\\n<li>Fix: <code>nofollow<\\/code> link in Flip Box &amp; CTA widgets<\\/li>\\n<li>Fix: Post Terms in Post Info widget<\\/li>\\n<li>Fix: Added screen reader to some icons &amp; buttons for better accessibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5386\\\">#5386<\\/a>)<\\/li>\\n<li>Fix: Accessibility labels in Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6630\\\">#6630<\\/a>)<\\/li>\\n<li>Fix: Link to cart page not working when WooCommerce Subscriptions is active<\\/li>\\n<li>Fix: MailChimp Selected list not showing on reloading in Form widget<\\/li>\\n<li>Fix: Sub-menu arrow position in Nav Menu widget<\\/li>\\n<li>Fix: Conflict with WP Security Audit Log plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6648\\\">#6648<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.3.1 - 2018-12-19<\\/h4>\\n<ul>\\n<li>Fix: Template widget search functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6473\\\">#6473<\\/a>)<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> filter to post content in theme builder<\\/li>\\n<\\/ul>\\n<h4>2.3.0 - 2018-12-17<\\/h4>\\n<ul>\\n<li>New: Introducing Discord Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4218\\\">#4218<\\/a>)<\\/li>\\n<li>New: Introducing Slack Integration for Forms<\\/li>\\n<li>New: Introducing MailerLite Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4462\\\">#4462<\\/a>)<\\/li>\\n<li>New: Activate Elementor Pro plugin by connecting to Elementor account<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/utils\\/get_public_post_types<\\/code> filter hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5900\\\">#5900<\\/a>)<\\/li>\\n<li>Tweak: Added <code>loop_start<\\/code> &amp; <code>the_content<\\/code> hooks for Post Content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6173\\\">#6173<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from Page Settings<\\/li>\\n<li>Tweak: Always add the Custom CSS control to the Advanced tab<\\/li>\\n<li>Fix: In sub Term condition false positive in edge cases<\\/li>\\n<li>Fix: ToolSet Dynamic Image fallback<\\/li>\\n<li>Fix: Style glitch with the dropdown color in Nav Menu widget<\\/li>\\n<li>Fix: Style glitch in the Conditions screen in Safari browser<\\/li>\\n<li>Fix: Ribbon in the CTA widget obscures drop down menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6080\\\">#6080<\\/a>)<\\/li>\\n<li>Fix: The color of label won\'t change color in Widget login<\\/li>\\n<\\/ul>\\n<h4>2.2.5 - 2018-12-11<\\/h4>\\n<ul>\\n<li>New: Add Style Tab &amp; Custom CSS for Header &amp; Footer Templates.<\\/li>\\n<li>Tweak: Added a better identifier for subpages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6362\\\">#6362<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from page settings<\\/li>\\n<li>Fix: Yahoo event URL date issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Allow timezone settings in Google event URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Avoid <code>z-index<\\/code> changes by <code>nanocss<\\/code> in build process<\\/li>\\n<li>Fix: Added missing WC upsells products CSS<\\/li>\\n<li>Fix: Nav Menu dropdown losing color on hover<\\/li>\\n<li>Fix: WC Product Add-ons CSS compatibility<\\/li>\\n<\\/ul>\\n<h4>2.2.4 - 2018-12-04<\\/h4>\\n<ul>\\n<li>Fix: Global widget not saving changes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6340\\\">#6340<\\/a>)<\\/li>\\n<li>Fix: Dynamic tags support in Blockquote widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6334\\\">#6334<\\/a>)<\\/li>\\n<li>Fix: Forms Redirect URL action when using form field values with spaces<\\/li>\\n<\\/ul>\\n<h4>2.2.3 - 2018-11-29<\\/h4>\\n<ul>\\n<li>Fix: Missing &quot;Edit Template&quot; in Template widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Follow menu anchors with UTF8 characters in Nav Menu<\\/li>\\n<li>Fix: Show only supported templates in Template widget<\\/li>\\n<li>Fix: Revert conflicting fix for a default order for WC archive<\\/li>\\n<\\/ul>\\n<h4>2.2.2 - 2018-11-28<\\/h4>\\n<ul>\\n<li>Fix: Lightbox dynamic tag crashes the editor<\\/li>\\n<\\/ul>\\n<h4>2.2.1 - 2018-11-28<\\/h4>\\n<ul>\\n<li>New: Added <code>ACF File<\\/code> Dynamic tag to support text controls.<\\/li>\\n<li>Tweak: Added option to hide item count bubble when cart is empty in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6223\\\">#6223<\\/a>)<\\/li>\\n<li>Tweak: Added Actions group for Lightbox and Contact URL tags<\\/li>\\n<li>Tweak: Added filter <code>elementor_pro\\/dynamic_tags\\/shortcode\\/should_escape<\\/code> to avoid escaping in Shortcode dynamic tag<\\/li>\\n<li>Tweak: MailPoet3 integration allow Subscriber to to subscribe to multiple lists<\\/li>\\n<li>Tweak: Added front-end max file size validation for upload fields<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> per Post-Type condition for theme builder<\\/li>\\n<li>Fix: Template widget panel not showing the selected template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Conflict between ACF with Safari browser on Select option in Dynamic tag<\\/li>\\n<li>Fix: Add post classes only for the Single template<\\/li>\\n<li>Fix: Set document type as not editable for unsupported document like Global widget<\\/li>\\n<li>Fix: Avoid duplicate query for current WC product query<\\/li>\\n<li>Fix: Product Archive showing oldest products instead of latest<\\/li>\\n<li>Fix: CSS reset in Posts widget using cards skin<\\/li>\\n<\\/ul>\\n<h4>2.2.0 - 2018-11-19<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/290\\\">#290<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3990\\\">#3990<\\/a>)<\\/li>\\n<li>New: Added evergreen option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4459\\\">#4459<\\/a>)<\\/li>\\n<li>New: Added expire actions option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5242\\\">#5242<\\/a>)<\\/li>\\n<li>New: Introducing Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3854\\\">#3854<\\/a>)<\\/li>\\n<li>New: Introducing Sitemap widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5594\\\">#5594<\\/a>)<\\/li>\\n<li>New: Added Request Parameter dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4934\\\">#4934<\\/a>)<\\/li>\\n<li>New: Added Shortcode dynamic tag<\\/li>\\n<li>New: Added Image and Video Lightbox dynamic tag<\\/li>\\n<li>New: Added Contact URL dynamic tag<\\/li>\\n<li>New: Added Featured Image Data dynamic tag<\\/li>\\n<li>New: Added default value to each field in the Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4268\\\">#4268<\\/a>)<\\/li>\\n<li>New: Added &quot;Any Child Of&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5321\\\">#5321<\\/a>)<\\/li>\\n<li>New: Added &quot;In Child&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5587\\\">#5587<\\/a>)<\\/li>\\n<li>Tweak: Added Form Redirect URL with form values (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2564\\\">#2564<\\/a>)<\\/li>\\n<li>Tweak: Added default post classes to template wrapper (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5959\\\">#5959<\\/a>)<\\/li>\\n<li>Tweak: Better labels for terms in Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6092\\\">#6092<\\/a>)<\\/li>\\n<li>Tweak: Renamed &quot;Child Of&quot; templates condition to &quot;Direct Child Of&quot;<\\/li>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/condition_sub_id<\\/code> filter hook to allow template condition translations<\\/li>\\n<li>Tweak: Load the Template Library widget via Ajax for better performance<\\/li>\\n<li>Tweak: Added 404 page title for Page Title dynamic tag<\\/li>\\n<li>Fix: Menu Cart Toggle has # URL link (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6141\\\">#6141<\\/a>)<\\/li>\\n<li>Fix: Alignment issue in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5790\\\">#5790<\\/a>)<\\/li>\\n<li>Fix: Avoid potential security risk in forms<\\/li>\\n<li>Fix: Template By Author condition conflicts with 404 page<\\/li>\\n<li>Fix: Restored WC Product Content widget in Single Product template<\\/li>\\n<li>Fix: Theme Builder Preview URLs for date archives and 404 pages<\\/li>\\n<li>Fix: Highlight active menu anchor items only when scrolled into view<\\/li>\\n<li>Fix: Carousel Pagination Progress style to support new Swiper version<\\/li>\\n<\\/ul>\\n<h4>2.1.13 - 2018-11-12<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for new brand Finder in v2.3.0<\\/li>\\n<li>Fix: Settings conflict when there are multiple carousels in the page<\\/li>\\n<\\/ul>\\n<h4>2.1.12 - 2018-11-05<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.3<\\/li>\\n<li>Tweak: Better performance for Template Library widget<\\/li>\\n<li>Fix: Fatal error if a taxonomy used in a dynamic field is removed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6029\\\">#6029<\\/a>)<\\/li>\\n<li>Fix: Date Time dynamic tag now respect site language (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6001\\\">#6001<\\/a>)<\\/li>\\n<li>Fix: Custom CSS printed twice in the front-end<\\/li>\\n<li>Fix: ACF Image field PHP warning (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6051\\\">#6051<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.1.11 - 2018-10-22<\\/h4>\\n<ul>\\n<li>New: Added ACF local fields compatibility<\\/li>\\n<li>Tweak: Re-brand TypeKit by Adobe Fonts integration<\\/li>\\n<li>Fix: Exclude <code>is_embed<\\/code> from Singular condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5915\\\">#5915<\\/a>)<\\/li>\\n<li>Fix: Avoid conflict with Ad Blockers and Share Buttons<\\/li>\\n<li>Fix: Current date time dynamic tag now shows local time<\\/li>\\n<li>Fix: Avoid conflict with 3rd party plugins that filter the permalink<\\/li>\\n<li>Fix: Avoid PHP warning when no groups are selected for MailChimp integration<\\/li>\\n<li>Fix: Avoid PHP warning if checkbox field is empty for ACF<\\/li>\\n<li>Fix: Respect password protected for a WC single product template<\\/li>\\n<li>Fix: Respect <code>order<\\/code> settings for WC archive also without pagination<\\/li>\\n<\\/ul>\\n<h4>2.1.10 - 2018-10-09<\\/h4>\\n<ul>\\n<li>Tweak: Added responsive alignment control for Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5821\\\">#5821<\\/a>)<\\/li>\\n<li>Tweak: Added link control to Animated Headline widget<\\/li>\\n<li>Fix: Mobile nav menu jump on RTL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5711\\\">#5711<\\/a>)<\\/li>\\n<li>Fix: Responsive alignment control in Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5830\\\">#5830<\\/a>)<\\/li>\\n<li>Fix: Added IE compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Post Content widget is now shown only on <code>Single<\\/code> templates<\\/li>\\n<li>Fix: Query Control Pagination with offset<\\/li>\\n<\\/ul>\\n<h4>2.1.9 - 2018-09-17<\\/h4>\\n<ul>\\n<li>Tweak: Added Centered Slides option for Slideshow carousel<\\/li>\\n<li>Fix: Allow only public CPT for Manual Selection in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5091\\\">#5091<\\/a>)<\\/li>\\n<li>Fix: ACF Gallery option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: Page scrolling on resize when sticky is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5740\\\">#5740<\\/a>)<\\/li>\\n<li>Fix: Edit custom name for Global Widget in the Navigator (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5689\\\">#5689<\\/a>)<\\/li>\\n<li>Fix: Coverflow transition effect in Carousel<\\/li>\\n<li>Fix: Weird mobile behavior with Cube effect in Carousel<\\/li>\\n<li>Fix: Show the first thumbnail in the Slideshow carousel correctly<\\/li>\\n<\\/ul>\\n<h4>2.1.8 - 2018-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Added styling options for WC Additional Information widget<\\/li>\\n<li>Tweak: Added styling options for \'View Cart\' link in Products widget<\\/li>\\n<li>Fix: 3rd party plugin support for WC single product template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5338\\\">#5338<\\/a>)<\\/li>\\n<li>Fix: Layout of Related Product widget with WC native style<\\/li>\\n<\\/ul>\\n<h4>2.1.7 - 2018-09-03<\\/h4>\\n<ul>\\n<li>New: WC Archive Description widget<\\/li>\\n<li>Tweak: Added blend mode to Slides widget background overlay (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5555\\\">#5555<\\/a>)<\\/li>\\n<li>Tweak: Added \'Current Subcategories\' option to Product Categories widget<\\/li>\\n<li>Fix: Added default vertical alignment in Author Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5589\\\">#5589<\\/a>)<\\/li>\\n<li>Tweak: Added more blend mode options for CTA widget<\\/li>\\n<li>Tweak: Improved plugin updater method based on WordPress version<\\/li>\\n<li>Fix: Improved IE compatibility for Posts and Portfolio widgets<\\/li>\\n<li>Fix: Added default gap for products pagination<\\/li>\\n<li>Fix: Post thumbnail flickering in Safari browser<\\/li>\\n<li>Fix: Close mobile nav menu on click only in full-width mode<\\/li>\\n<li>Fix: Added trailing slash to pagination links in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.1.6 - 2018-08-28<\\/h4>\\n<ul>\\n<li>New: WC Product Category Image widget and Dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5117\\\">#5117<\\/a>)<\\/li>\\n<li>Tweak: Allow HTML in Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5491\\\">#5491<\\/a>)<\\/li>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Tweak: Deprecated Follow option in the Facebook Button widget<\\/li>\\n<li>Fix: Posts widget grid in Safari &amp; IE11 (Depended on Elementor v2.2)<\\/li>\\n<li>Fix: Posts widget CSS when using cards skin in masonry mode<\\/li>\\n<li>Fix: ACF Image &amp; ACF URL option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: WC product gallery links in RTL<\\/li>\\n<li>Fix: Dynamic tags in Call To Action widget<\\/li>\\n<\\/ul>\\n<h4>2.1.5 - 2018-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Fix: Posts Widget layout theme compatibility<\\/li>\\n<li>Fix: Added compatibility for WooCommerce native style<\\/li>\\n<\\/ul>\\n<h4>2.1.4 - 2018-08-19<\\/h4>\\n<ul>\\n<li>Fix: Layout issue compatibility with themes caused by v2.1 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5442\\\">#5442<\\/a>)<\\/li>\\n<li>Fix: Dynamic setting in Pricing Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5460\\\">#5460<\\/a>)<\\/li>\\n<li>Fix: Hide Target URL control if is not necessary in Blockquote widget<\\/li>\\n<li>Fix: Selector specificity for WooCommerce Products widget<\\/li>\\n<li>Fix: WooCommerce conflicts in the editor in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.3 - 2018-08-15<\\/h4>\\n<ul>\\n<li>Fix: Thumbnails in the Posts widget jumping (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5350\\\">#5350<\\/a>)<\\/li>\\n<li>Fix: Responsive grid in the Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5375\\\">#5375<\\/a>)<\\/li>\\n<li>Fix: Added missing <code>setup_postdata<\\/code> for Product Data Tabs widget<\\/li>\\n<li>Fix: Rollback to older version of Flip Box widget to resolve 3D depth issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5399\\\">#5399<\\/a>)<\\/li>\\n<li>Fix: Allowed types in the Upload File field are now case-insensitive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5254\\\">#5254<\\/a>)<\\/li>\\n<li>Fix: Carousel behavior when using a single slide<\\/li>\\n<\\/ul>\\n<h4>2.1.2 - 2018-08-12<\\/h4>\\n<ul>\\n<li>Fix: Error when ACF Pro is not installed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5367\\\">#5367<\\/a>)<\\/li>\\n<li>Fix: Edge cases in Inspector where document is a boolean<\\/li>\\n<li>Fix: Edge cases for incorrect file fields in PODS<\\/li>\\n<\\/ul>\\n<h4>2.1.1 - 2018-08-09<\\/h4>\\n<ul>\\n<li>Fix: Highlighted text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5345\\\">#5345<\\/a>)<\\/li>\\n<li>Fix: Flip Box effect issues<\\/li>\\n<li>Fix: ACF Options page fields support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5329\\\">#5329<\\/a>)<\\/li>\\n<li>Fix: Import Pro templates in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.0 - 2018-08-07<\\/h4>\\n<ul>\\n<li>New: Introducing WooCommerce Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1690\\\">#1690<\\/a>)<\\/li>\\n<li>New: Introducing 12 new dynamic tags &amp; widgets for WooCommerce: Gallery, Image, Price, Rating, Description, Breadcrumbs, Data Tabs, Stock, Related, Upsell, Title &amp; Archive<\\/li>\\n<li>New: Introducing Cart Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4220\\\">#4220<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4600\\\">#4600<\\/a>)<\\/li>\\n<li>New: Added integration with Toolset (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Added integration with Pods (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4129\\\">#4129<\\/a>)<\\/li>\\n<li>New: Added stick to bottom in scrolling effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4799\\\">#4799<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect to Widgets under advanced tab<\\/li>\\n<li>New: Introducing Internal URL Dynamic Tag<\\/li>\\n<li>Tweak: Added a Last Updated Date in the Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4597\\\">#4597<\\/a>)<\\/li>\\n<li>Tweak: Added Redirect after Logout option for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4447\\\">#4447<\\/a>)<\\/li>\\n<li>Tweak: Avoid repeating posts when using more than one in the Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1878\\\">#1878<\\/a>)<\\/li>\\n<li>Tweak: Add Custom Query hook for Query control (<a href=\\\"https:\\/\\/developers.elementor.com\\/custom-query-filter\\/\\\">More Info<\\/a>) (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1748\\\">#1748<\\/a>)<\\/li>\\n<li>Tweak: Added form-message style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for button on the Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for Call to action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4767\\\">#4767<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic Tags support for Google Map field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4602\\\">#4602<\\/a>)<\\/li>\\n<li>Tweak: Added an support for <code>label|value<\\/code> in options field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4594\\\">#4594<\\/a>)<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> condition for theme builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4681\\\">#4681<\\/a>)<\\/li>\\n<li>Tweak: Added Activate\\/Deactivate license key via WP-CLI command (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4149\\\">#4149<\\/a>)<\\/li>\\n<li>Tweak: Added <code>is_scroll<\\/code> trigger to scrolling effect (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4340\\\">#4340<\\/a>)<\\/li>\\n<li>Tweak: Added In Same Term support for Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4177\\\">#4177<\\/a>)<\\/li>\\n<li>Tweak: Added responsive control for Slides To Scroll control in all carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3697\\\">#3697<\\/a>)<\\/li>\\n<li>Tweak: Added style options for Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1335\\\">#1335<\\/a>)<\\/li>\\n<li>Tweak: Added button CSS ID for Forms widget<\\/li>\\n<li>Tweak: Added pixel units to Post-Info divider height control<\\/li>\\n<li>Tweak: Rewrite sticky library to handle with stretch section, auto scroller &amp; more bugs<\\/li>\\n<li>Tweak: Re-organize the panel categories per document type<\\/li>\\n<li>Tweak: Added ACF support for <code>options-page<\\/code> fields<\\/li>\\n<li>Tweak: Added dynamic tag for Animated headlines<\\/li>\\n<li>Tweak: Added dynamic tag for BlockQuote widget<\\/li>\\n<li>Fix: Elementor Full Width template in GeneratePress theme (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4817\\\">#4817<\\/a>)<\\/li>\\n<li>Fix: Checkbox fields can accidentally be set to required (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4324\\\">#4324<\\/a>)<\\/li>\\n<li>Fix: Initial slide in Carousel widget<\\/li>\\n<li>Fix: Stay on current slide while editing in Carousel widget<\\/li>\\n<li>Fix: Default slides per device in Carousel widget<\\/li>\\n<li>Deprecated: Woo Products, Woo Elements &amp; Single elements widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.18 - 2018-07-27<\\/h4>\\n<ul>\\n<li>Fix: Global widget error on saving page<\\/li>\\n<\\/ul>\\n<h4>2.0.17 - 2018-07-26<\\/h4>\\n<ul>\\n<li>Fix: Sub menu indicator direction in Nav Menu widget<\\/li>\\n<li>Fix: Change the title and icon for Global Widget when is moving<\\/li>\\n<li>Fix: CSS wrapper selector for Page Document<\\/li>\\n<\\/ul>\\n<h4>2.0.16 - 2018-07-16<\\/h4>\\n<ul>\\n<li>Tweak: CSS Filter Control module is now included in Elementor<\\/li>\\n<li>Fix: Border gap in Portfolio widget when item gap set as <code>0<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5077\\\">#5077<\\/a>)<\\/li>\\n<li>Fix: Restore current query after get Global Widget data<\\/li>\\n<li>Fix: Add action item in History on unlink Global widget<\\/li>\\n<\\/ul>\\n<h4>2.0.15 - 2018-07-10<\\/h4>\\n<ul>\\n<li>Fix: Dropdown menu items collapsing when activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4996\\\">#4996<\\/a>)<\\/li>\\n<li>Fix: GMT offset in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4997\\\">#4997<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.0.14 - 2018-07-08<\\/h4>\\n<ul>\\n<li>Tweak: Added set method to form record for developers (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4983\\\">#4983<\\/a>)<\\/li>\\n<li>Fix: Autoplay option for Carousels<\\/li>\\n<li>Fix: Close mobile menu on item click in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.13 - 2018-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for Elementor v2.1<\\/li>\\n<\\/ul>\\n<h4>2.0.12 - 2018-07-02<\\/h4>\\n<ul>\\n<li>Fix: Global widget PHP notices<\\/li>\\n<li>Fix: Slides widget active slide lost focus when clicking Editor tabs<\\/li>\\n<li>Fix: Form select field send all selected values on multiple selection<\\/li>\\n<li>Fix: Validate time field only if it\'s not empty<\\/li>\\n<li>Fix: ConvertKit API not saving name field<\\/li>\\n<\\/ul>\\n<h4>2.0.11 - 2018-06-12<\\/h4>\\n<ul>\\n<li>Fix: Theme Builder <code>author<\\/code> archive condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4593\\\">#4593<\\/a>)<\\/li>\\n<li>Fix: Respect password protected posts in Post Content widget<\\/li>\\n<li>Fix: Custom Fonts redirect to post edit screen in edge cases.<\\/li>\\n<\\/ul>\\n<h4>2.0.10 - 2018-06-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> filter hook for multi-language plugins<\\/li>\\n<li>Fix: Dynamic Post Terms missing taxonomies if the taxonomy is registered to more then one post types (#4386)<\\/li>\\n<li>Fix: Fields shortcode missing after removing a field in Form widget<\\/li>\\n<li>Deprecated: <code>get_theme_templates_by_location<\\/code> is replaced by <code>get_location_templates<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.0.9 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Fix: Compatibility for PHP version 5.4<\\/li>\\n<\\/ul>\\n<h4>2.0.8 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added Active state for Nav Menu dropdown<\\/li>\\n<li>Tweak: Added style for &quot;Nothing Found&quot; Message for Archive Posts widget<\\/li>\\n<li>Tweak: Removed caption control in Site Logo widget<\\/li>\\n<li>Tweak: Added option to position currency symbol before\\/after In Price Table widget<\\/li>\\n<li>Fix: Query control manual selection does not show more than 10 items (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4479\\\">#4479<\\/a>)<\\/li>\\n<li>Fix: Styling glitch with terms list in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4342\\\">#4342<\\/a>)<\\/li>\\n<li>Fix: Sub terms missing in Query control in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4527\\\">#4527<\\/a>)<\\/li>\\n<li>Fix: Avoid rendering a template if it\'s not published<\\/li>\\n<li>Fix: 404 Page style not working<\\/li>\\n<li>Fix: Price Table button with hover animation not working in editor<\\/li>\\n<li>Fix: Styling conflict in Call to Action widget<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Adding parent wrapper class to Site Title widget<\\/li>\\n<\\/ul>\\n<h4>2.0.7 - 2018-05-16<\\/h4>\\n<ul>\\n<li>Fix: Content not found on section when single is set to &quot;All Singular&quot;<\\/li>\\n<li>Fix: Open 404 template library for 404 page<\\/li>\\n<li>Tweak: Added CSS prefix for dev files<\\/li>\\n<li>Tweak: Removed product post type from display conditions<\\/li>\\n<\\/ul>\\n<h4>2.0.6 - 2018-05-15<\\/h4>\\n<ul>\\n<li>Tweak: Set type on create new single template<\\/li>\\n<li>Tweak: Always show the conditions dialog in the Draft status<\\/li>\\n<li>Tweak: Added document type <code>widget<\\/code><\\/li>\\n<li>Tweak: Added Post Custom Field tag to URL category<\\/li>\\n<li>Fix: When ACF Field Groups are Empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4428\\\">#4428<\\/a>)<\\/li>\\n<li>Fix: Links inside carousel in edge cases<\\/li>\\n<li>Fix: Responsive issue in My Templates area<\\/li>\\n<li>Fix: Image alignment for post content with text alignment<\\/li>\\n<li>Fix: Post Content widget when preview post is missing<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Style settings for Post \\/ Archive Title widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.5 - 2018-05-08<\\/h4>\\n<ul>\\n<li>Fix: Creating a CPT with name like document-type breaks the editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4203\\\">#4203<\\/a>)<\\/li>\\n<li>Fix: Added support for new version of reCAPTCHA<\\/li>\\n<li>Fix: Added fallback for controls after <code>post_status<\\/code><\\/li>\\n<li>Fix: Required field in forms widget<\\/li>\\n<li>Fix: Media Carousel in the Coverflow skin<\\/li>\\n<li>Fix: 404 Page show wrong template in edge cases<\\/li>\\n<li>Fix: Save the default menu in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.4 - 2018-05-02<\\/h4>\\n<ul>\\n<li>Tweak: Added parent\'s class for extended widgets<\\/li>\\n<li>Tweak: Set entire-site as default to avoid conflict with save without conditions<\\/li>\\n<li>Tweak: Initialize global model when it\'s needed<\\/li>\\n<li>Tweak: Removed some duplicate strings<\\/li>\\n<li>Tweak: Query control now includes empty terms<\\/li>\\n<li>Tweak: Design polish for conditions dialog<\\/li>\\n<li>Tweak: Decreasing <code>minimumInputLength<\\/code> to 1 of select2<\\/li>\\n<li>Fix: Editor not loading for single templates in edge cases<\\/li>\\n<li>Fix: Select2 in Safari takes it\'s time to get the original select width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4310\\\">#4310<\\/a>)<\\/li>\\n<li>Fix: Slides per view not working for some effects<\\/li>\\n<li>Fix: New slides not showing in the editor<\\/li>\\n<li>Fix: Editor for section without a defined location, defaults to content area<\\/li>\\n<\\/ul>\\n<h4>2.0.3 - 2018-04-24<\\/h4>\\n<ul>\\n<li>Tweak: Optimize CSS for Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4214\\\">#4214<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4216\\\">#4216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4225\\\">#4225<\\/a>)<\\/li>\\n<li>Fix: Double render on frontend view in core locations<\\/li>\\n<li>Fix: Masonry not working in edge cases<\\/li>\\n<li>Fix: Added default setting for Author Info tag<\\/li>\\n<\\/ul>\\n<h4>2.0.2 - 2018-04-18<\\/h4>\\n<ul>\\n<li>Fix: Regenerate conditions to include all templates<\\/li>\\n<\\/ul>\\n<h4>2.0.1 - 2018-04-17<\\/h4>\\n<ul>\\n<li>Tweak: Added div wrapper for Nothing Found massage (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4136\\\">#4136<\\/a>)<\\/li>\\n<li>Tweak: Show empty categories in Query Control &amp; Display Conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4127\\\">#4127<\\/a>)<\\/li>\\n<li>Tweak: Added Divider control for Post Info widget<\\/li>\\n<li>Fix: Update admin links in Yoast Breadcrumbs widget<\\/li>\\n<li>Fix: Sticky element conflict with clearfix CSS<\\/li>\\n<li>Fix: Compatibility for PHP version 5.4.32 &amp; 5.5.16 and below<\\/li>\\n<li>Fix: Avoid running <code>wp_head<\\/code> hooks twice<\\/li>\\n<\\/ul>\\n<h4>2.0.0 - 2018-04-16<\\/h4>\\n<ul>\\n<li>New: Introducing Theme Builder - <a href=\\\"https:\\/\\/elementor.com\\/introducing-theme-builder\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/417\\\">#417<\\/a>)<\\/li>\\n<li>New: Introducing Locations API to inject custom location templates<\\/li>\\n<li>New: Introducing Display Conditions for all dynamic templates<\\/li>\\n<li>New: Introducing Dynamic Tag feature - a new way to add dynamic content to your design<\\/li>\\n<li>New: Introducing Role manager to allow &quot;Content Only mode&quot; (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/483\\\">#483<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/653\\\">#653<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/885\\\">#885<\\/a>)<\\/li>\\n<li>New: Introducing 9 new dynamic widgets: Archive Posts, Archive Title, Post Content, Post Info, Post Title, Post Excerpt, Featured Image, Site Logo &amp; Site Name (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Introducing Developers area with guides and API documentation - <a href=\\\"https:\\/\\/elementor.com\\/introducing-elementor-developer-api\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/451\\\">#451<\\/a>)<\\/li>\\n<li>New: Introducing <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor-hello-theme\\\">Elementor Hello Theme<\\/a> - A demonstration theme for developers<\\/li>\\n<li>New: Added new type of templates: Header, Footer, Single and Archive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2761\\\">#2761<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2623\\\">#2623<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2109\\\">#2109<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2061\\\">#2061<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2439\\\">#2439<\\/a>)<\\/li>\\n<li>New: Design 404 page with Single template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1558\\\">#1558<\\/a>)<\\/li>\\n<li>New: Design Search Results with Archive template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3196\\\">#3196<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2590\\\">#2590<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect for sections including <em>Sticky Element<\\/em> per device (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2412\\\">#2412<\\/a>)<\\/li>\\n<li>New: Integration with Custom Fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2054\\\">#2054<\\/a>)<\\/li>\\n<li>New: Partial support for Toolset integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Partial support for Pods integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2169\\\">#2169<\\/a>)<\\/li>\\n<li>New: Partial support for ACF integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2041\\\">#2041<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2059\\\">#2059<\\/a>)<\\/li>\\n<li>Tweak: Add custom fields support for ActiveCampaign (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3531\\\">#3531<\\/a>)<\\/li>\\n<li>Tweak: Allow brackets in Forms Tel field<\\/li>\\n<li>Tweak: Added currency format control for Price Table widget<\\/li>\\n<li>Tweak: Reduced API request for some servers<\\/li>\\n<li>Fix: Dropdown <code>border-radius<\\/code> in Nav Menu widget<\\/li>\\n<li>Fix: Price List widget layout breaks in edge cases<\\/li>\\n<li>Note: This version requires Elementor v2.0.6<\\/li>\\n<\\/ul>\\n<h4>1.15.6 - 2018-03-28<\\/h4>\\n<ul>\\n<li>Fix: Removed duplicate Custom CSS section (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3938\\\">#3938<\\/a>)<\\/li>\\n<li>Fix: <code>box-shadow<\\/code> issue with cards skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3940\\\">#3940<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.5 - 2018-03-27<\\/h4>\\n<ul>\\n<li>Fix: Added global widget compatibility for Elementor v2.0<\\/li>\\n<li>Fix: Reduced API request for some servers<\\/li>\\n<\\/ul>\\n<h4>1.15.4 - 2018-03-26<\\/h4>\\n<ul>\\n<li>Tweak: Allow brackets in phone field<\\/li>\\n<li>Tweak: Added compatibility with Yoast 7.0.+<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Support for multiple carousel setting in editor<\\/li>\\n<li>Fix: <code>on_export<\\/code> issue in forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3890\\\">#3890<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.3 - 2018-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Added unique class to field group div (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3595\\\">#3595<\\/a>)<\\/li>\\n<li>Fix: Screen Options missing when Pro is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3622\\\">#3622<\\/a>)<\\/li>\\n<li>Fix: Allow label styling even when <code>show labels<\\/code> is set hide (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3544\\\">#3544<\\/a>)<\\/li>\\n<li>Fix: Typography control not working in edge cases<\\/li>\\n<li>Fix: Safari compatibility for Search widget<\\/li>\\n<\\/ul>\\n<h4>1.15.2 - 2018-02-27<\\/h4>\\n<ul>\\n<li>Fix: Only add support mine-type if needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3543\\\">#3543<\\/a>)<\\/li>\\n<li>Fix: Better support for Old Typekit kits<\\/li>\\n<\\/ul>\\n<h4>1.15.1 - 2018-02-21<\\/h4>\\n<ul>\\n<li>Tweak: Custom font title placeholder is not <code>enter font family<\\/code><\\/li>\\n<li>Tweak: Custom font title set as required<\\/li>\\n<li>Fix: Custom font, <code>font-face<\\/code> enqueued only once if used in global (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3513\\\">#3513<\\/a>)<\\/li>\\n<li>Fix: Added workaround for upload validation which relies on a PHP extension (fileinfo) with inconsistent reporting behavior.<\\/li>\\n<\\/ul>\\n<h4>1.15.0 - 2018-02-19<\\/h4>\\n<ul>\\n<li>New: Added custom fonts manager for self hosted fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/852\\\">#852<\\/a>)<\\/li>\\n<li>New: Integration with Adobe TypeKit fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/631\\\">#631<\\/a>)<\\/li>\\n<li>Tweak: Clear menu from Nav Menu widget on template export<\\/li>\\n<li>Tweak: Allow zero for GetResponse integration as <code>day of cycle<\\/code><\\/li>\\n<\\/ul>\\n<h4>1.14.2 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Fix: Global widget content that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.14.1 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>none<\\/code> option to content animation in CTA widget<\\/li>\\n<li>Tweak: Added <code>form_id<\\/code> to ActiveCampaign integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3422\\\">#3422<\\/a>)<\\/li>\\n<li>Fix: Page crashed when Global widget not found.<\\/li>\\n<\\/ul>\\n<h4>1.14.0 - 2018-02-12<\\/h4>\\n<ul>\\n<li>New: Added Call to Action widget<\\/li>\\n<li>Tweak: MailPoet pull field mapping from MailPoet instead of hardcoded<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Allow zero (0) to be accepted as a field value<\\/li>\\n<li>Fix: Login form when custom login URL is set<\\/li>\\n<li>Fix: Added Day of cycle control to GetResponse integration<\\/li>\\n<\\/ul>\\n<h4>1.13.2 - 2018-01-23<\\/h4>\\n<ul>\\n<li>Tweak: Added placeholder to Password field<\\/li>\\n<li>Tweak: Removed <code>subscriber_already_exists_message<\\/code> control to prevent potential data leakage<\\/li>\\n<li>Fix: MailPoet Subscriber Already Exists error validation against translated string directly from MailPoet<\\/li>\\n<li>Fix: Changed <code>imagesLoaded()<\\/code> to Vanilla JS to avoid compatibility issues with some themes<\\/li>\\n<li>Fix: Only validate Tel field if not empty<\\/li>\\n<li>Fix: Stop slider while editing<\\/li>\\n<\\/ul>\\n<h4>1.13.1 - 2018-01-16<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with old PHP versions<\\/li>\\n<\\/ul>\\n<h4>1.13.0 - 2018-01-16<\\/h4>\\n<ul>\\n<li>New: Added File Upload field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1482\\\">#1482<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Acceptance field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1693\\\">#1693<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Date field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1868\\\">#1868<\\/a>)<\\/li>\\n<li>New: Added Time field for Forms widget<\\/li>\\n<li>New: Added Password field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2164\\\">#2164<\\/a>)<\\/li>\\n<li>New: Added HTML field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1500\\\">#1500<\\/a>)<\\/li>\\n<li>Tweak: Added characters validation for Tel field<\\/li>\\n<li>Tweak: Added min &amp; max validation for Number field<\\/li>\\n<li>Tweak: Added multiple selection for Select field<\\/li>\\n<li>Tweak: Added donReach integration for Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.12.3 - 2018-01-09<\\/h4>\\n<ul>\\n<li>Fix: Render element plain content instead of parsed content when not needed in global widget<\\/li>\\n<li>Fix: Apply <code>url-encoding<\\/code> to &quot;Tweet&quot; button text in Blockquote widget to prevent unexpected corruption of the tweet text<\\/li>\\n<li>Fix: Removed My Account link from dashboard widget<\\/li>\\n<\\/ul>\\n<h4>1.12.2 - 2018-01-03<\\/h4>\\n<ul>\\n<li>Tweak: Added animation none for Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2964\\\">#2964<\\/a>)<\\/li>\\n<li>Fix: Active license button style<\\/li>\\n<\\/ul>\\n<h4>1.12.1 - 2018-01-02<\\/h4>\\n<ul>\\n<li>Tweak: Removed theme-element widgets from plain content<\\/li>\\n<li>Tweak: Set all theme-element widgets to extend same widget Base<\\/li>\\n<li>Tweak: Removed credit URL in forms meta data<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.9<\\/li>\\n<li>Fix: Validate Get response Error as real error<\\/li>\\n<li>Fix: Removed responsive height control from Facebook Page widget<\\/li>\\n<\\/ul>\\n<h4>1.12.0 - 2017-12-20<\\/h4>\\n<ul>\\n<li>New: Added Drip integration to Forms<\\/li>\\n<li>New: Added ActiveCampaign integration to Forms<\\/li>\\n<li>New: Added ConverKit integration to Forms<\\/li>\\n<li>New: Added GetResponse integration to Forms<\\/li>\\n<li>New: Added form <code>id<\\/code>, <code>name<\\/code> attributes to handle integration with auto collectors like HubSpot<\\/li>\\n<li>New: Added Global API key for MailChimp to improve the workflow<\\/li>\\n<li>Tweak: Better error handling and message display for Forms<\\/li>\\n<li>Fix: PHP notice Undefined variable <code>$cc_header<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2934\\\">#2934<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.11.0 - 2017-12-11<\\/h4>\\n<ul>\\n<li>New: Added a native Comments widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Added an Author Box widget<\\/li>\\n<li>New: Added a Post Navigation widget<\\/li>\\n<li>New: Added a Yoast Breadcrumbs widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2749\\\">#2749<\\/a>)<\\/li>\\n<li>Tweak: Added a close button to search widget under Full Screen skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2762\\\">#2762<\\/a>)<\\/li>\\n<li>Fix: Allow currency symbol to appear even if price isn\'t numeric<\\/li>\\n<li>Fix: Edge cases when the nav menu is empty in a stretched section<\\/li>\\n<li>Fix: Added fallback when you remove the <code>space-between<\\/code> on Swiper carousel<\\/li>\\n<\\/ul>\\n<h4>1.10.2 - 2017-12-03<\\/h4>\\n<ul>\\n<li>Fix: Missing save widget icon (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2878\\\">#2878<\\/a>)<\\/li>\\n<li>Fix: Global widgets not saving edits (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2874\\\">#2874<\\/a>)<\\/li>\\n<li>Fix: Removed <code>white-space: nowrap;<\\/code> property from vertical menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2815\\\">#2815<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.10.1 - 2017-11-30<\\/h4>\\n<ul>\\n<li>Tweak: Added default value for search form<\\/li>\\n<li>Tweak: Order template list A-Z in the library widget<\\/li>\\n<li>Tweak: get_users\\/authors query is now done using AJAX only, for better performance in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2865\\\">#2865<\\/a>)<\\/li>\\n<li>Fix: When adding <code>.00<\\/code> it is not displayed on the front<\\/li>\\n<li>Fix: Make sure space between is numeric for carousel control<\\/li>\\n<li>Fix: Added space for radio &amp; checkbox fields in form widget<\\/li>\\n<\\/ul>\\n<h4>1.10.0 - 2017-11-15<\\/h4>\\n<ul>\\n<li>New: Added native Search form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2576\\\">#2576<\\/a>)<\\/li>\\n<li>Tweak: Added Slides To Scroll &amp; Loop controls to Media Carousel and Testimonials widgets<\\/li>\\n<li>Tweak: Added Inline editing to Blockquote widget<\\/li>\\n<li>Fix: Animated Headline color bug (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2516\\\">#2516<\\/a>)<\\/li>\\n<li>Fix: Animated Headline with Rotating skin<\\/li>\\n<li>Fix: RTL fix for Animated Headline widget in \'typing\' and \'clip\' animations<\\/li>\\n<li>Fix: Empty menu cause jQuery to crash in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2662\\\">#2662<\\/a>)<\\/li>\\n<li>Fix: Custom CSS gone after reloading the editor<\\/li>\\n<\\/ul>\\n<h4>1.9.5 - 2017-10-27<\\/h4>\\n<ul>\\n<li>Fix: Broken Global widget with JS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2639\\\">#2639<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.9.4 - 2017-10-24<\\/h4>\\n<ul>\\n<li>Tweak: Improved UI for notices and license page<\\/li>\\n<li>Fix: Update system conflict with other EDD plugins<\\/li>\\n<li>Fix: WooCommerce frontend hooks on Elementor editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2577\\\">#2577<\\/a>)<\\/li>\\n<li>Fix: Removed default border left in Nav Menu dropdown CSS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2496\\\">#2496<\\/a>)<\\/li>\\n<li>Fix: Increased submenu max-width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2558\\\">#2558<\\/a>)<\\/li>\\n<li>Fix: Save global templates without their defaults<\\/li>\\n<li>Fix: Horizontal scrolling issue with posts grid<\\/li>\\n<\\/ul>\\n<h4>1.9.3 - 2017-10-03<\\/h4>\\n<ul>\\n<li>Fix: Condition slide style that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.9.2 - 2017-10-02<\\/h4>\\n<ul>\\n<li>New: Added integration with MailPoet 3 for Forms actions<\\/li>\\n<li>Fix: Removed height control from Testimonial carousel in mobile editing mode<\\/li>\\n<li>Fix: Removed bottom padding when there\'s no pagination in Testimonial carousel<\\/li>\\n<li>Fix: Added condition for slides style section in skin bubble mode<\\/li>\\n<li>Fix: Slides per view control for mobile editing in Testimonial carousel<\\/li>\\n<li>Fix: Navigation Arrows icons matched with common Elementor Navigation Arrows<\\/li>\\n<\\/ul>\\n<h4>1.9.1 - 2017-09-28<\\/h4>\\n<ul>\\n<li>Fix: Slides per view for slideshow carousel<\\/li>\\n<li>Fix: Final polish for the new Testimonial Carousel widget<\\/li>\\n<li>Fix: Don\'t play video if slide type is not video<\\/li>\\n<li>Fix: Removed slides style section condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2497\\\">#2497<\\/a>)<\\/li>\\n<li>Fix: Set cursor as pointer for slideshow thumbnails<\\/li>\\n<\\/ul>\\n<h4>1.9.0 - 2017-09-26<\\/h4>\\n<ul>\\n<li>New: Added Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/216\\\">#216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/347\\\">#347<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2209\\\">#2209<\\/a>)<\\/li>\\n<li>New: Added Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/715\\\">#715<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.3 - 2017-09-24<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility for WordPress 4.8.2 &amp; 4.7.6<\\/li>\\n<li>Fix: Remove slashes from Form sent data<\\/li>\\n<\\/ul>\\n<h4>1.8.2 - 2017-09-19<\\/h4>\\n<ul>\\n<li>Tweak: Added target URL for the tweet message in Blockquote widget<\\/li>\\n<li>Tweak: Render the slide height before the slider is finished loading<\\/li>\\n<li>Fix: Space between words for Animated Headline widget<\\/li>\\n<li>Fix: RTL compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Italic font style for Animated Headline widget<\\/li>\\n<li>Fix: Excluded Menu widget from the WP Editor text rendering<\\/li>\\n<\\/ul>\\n<h4>1.8.1 - 2017-09-18<\\/h4>\\n<ul>\\n<li>Fix: WCAG Compatible &quot;required&quot; field attribute for W3C validation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2391\\\">#2391<\\/a>)<\\/li>\\n<li>Fix: Print the main menu only when is necessary in Menu widget<\\/li>\\n<li>Fix: Use CSS media query instead of JS to hide items in Menu widget to avoid flickering on page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2381\\\">#2381<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.0 - 2017-09-12<\\/h4>\\n<ul>\\n<li>New: Added Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1406\\\">#1406<\\/a>)<\\/li>\\n<li>Fix: Field ID for checkbox control in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2279\\\">#2279<\\/a>)<\\/li>\\n<li>Fix: Style for Blockquote widget included<\\/li>\\n<\\/ul>\\n<h4>1.7.2 - 2017-09-07<\\/h4>\\n<ul>\\n<li>Tweak: Loading Facebook SDK via JS for better compatibility with caching plugins<\\/li>\\n<li>Fix: Responsive Embed Facebook post widget for Safari iOS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2340\\\">#2340<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.7.1 - 2017-09-05<\\/h4>\\n<ul>\\n<li>Fix: Facebook SDK version<\\/li>\\n<\\/ul>\\n<h4>1.7.0 - 2017-09-05<\\/h4>\\n<ul>\\n<li>New: Added Facebook Button widget for Like, Recommend, Share and Follow<\\/li>\\n<li>New: Added Facebook Embed widget for Post, Video and Comment<\\/li>\\n<li>New: Added Facebook Comments widget<\\/li>\\n<li>New: Added Facebook Page widget (Previously known as Like Box)<\\/li>\\n<li>New: Added Blockquote widget with Tweet button<\\/li>\\n<li>Tweak: Added Facebook SDK integration for all Facebook widgets<\\/li>\\n<li>Fix: Animated headline rotating with long words<\\/li>\\n<\\/ul>\\n<h4>1.6.1 - 2017-08-28<\\/h4>\\n<ul>\\n<li>Fix: Animated Headline marker gets in front of neighboring spans even when &quot;Bring to Front&quot; is not set<\\/li>\\n<li>Fix: Stroke animation in Animated Headline for MS Edge browser<\\/li>\\n<li>Fix: Animated headline with more than 1-word per rotation<\\/li>\\n<li>Fix: Animated Headline in two lines<\\/li>\\n<li>Fix: Some errors in Global widget<\\/li>\\n<\\/ul>\\n<h4>1.6.0 - 2017-08-22<\\/h4>\\n<ul>\\n<li>New: Added Animated Headline widget<\\/li>\\n<li>New: Added Hidden field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2038\\\">#2038<\\/a>)<\\/li>\\n<li>Tweak: Added notice to update Elementor to v1.6.5 or higher<\\/li>\\n<li>Fix: CSS Animations names no longer minified, in order to prevent unexpected conflicts<\\/li>\\n<\\/ul>\\n<h4>1.5.9 - 2017-08-16<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.7<\\/li>\\n<li>Fix: Portfolio compatibility for GeneratePress theme<\\/li>\\n<li>Fix: Portfolio filter compatibility for RTL<\\/li>\\n<li>Fix: Pagination apply for all posts widget in the page<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.8 - 2017-07-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.6<\\/li>\\n<li>Fix: Improved backward compatibility for query control rename<\\/li>\\n<\\/ul>\\n<h4>1.5.7 - 2017-07-24<\\/h4>\\n<ul>\\n<li>Tweak: Moved JS render of reCAPTCHA to a separate file<\\/li>\\n<li>Tweak: Display the label in the reCAPTCHA field for better experience<\\/li>\\n<li>Tweak: Rename <code>panel-posts-control<\\/code> to <code>query-control<\\/code> and added fallback support<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor with history feature<\\/li>\\n<li>Fix: reCAPTCHA preview on the editor<\\/li>\\n<li>Fix: Manual selection (query control) has stopped working after saving (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2000\\\">#2000<\\/a>)<\\/li>\\n<li>Fix: Added condition for icon size control in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.5.6 - 2017-07-12<\\/h4>\\n<ul>\\n<li>Fix: Query Control correction for taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1963\\\">#1963<\\/a>)<\\/li>\\n<li>Fix: Custom CSS override scheme color in the editor<\\/li>\\n<li>Fix: Added order by Menu Order for Query Control in WC widget<\\/li>\\n<li>Fix: Glitch with Flip Box background overlay<\\/li>\\n<\\/ul>\\n<h4>1.5.5 - 2017-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Moved reCAPTCHA render to handler &amp; load only if a form is exist<\\/li>\\n<li>Fix: MailChimp integration: Default number of items returned by API increased to 999<\\/li>\\n<li>Fix: MailChimp integration: Refresh the groups list if API is changed<\\/li>\\n<li>Fix: Sorted items in filter bar by A-Z<\\/li>\\n<li>Fix: Editor glitch with Elementor v1.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1927\\\">#1927<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.5.4 - 2017-06-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved compatibility for Elementor v1.5<\\/li>\\n<li>Fix: URL default for Add To Cart widget<\\/li>\\n<li>Fix: Allowed <code>date<\\/code> and <code>birthday<\\/code> fields as text for MailChimp integration<\\/li>\\n<\\/ul>\\n<h4>1.5.3 - 2017-06-19<\\/h4>\\n<ul>\\n<li>Tweak: Make flip-box height responsive control<\\/li>\\n<li>Fix: Facebook share count now gets retrieved by Elementor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1829\\\">#1829<\\/a>)<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.2 - 2017-06-13<\\/h4>\\n<ul>\\n<li>Fix: Custom CSS panel location compatibility for the old versions<\\/li>\\n<\\/ul>\\n<h4>1.5.1 - 2017-06-12<\\/h4>\\n<ul>\\n<li>Fix: MailChimp update existing user registration<\\/li>\\n<li>Fix: Global widget with JS in the editor mode<\\/li>\\n<li>Fix: Label section condition in Login widget<\\/li>\\n<li>Fix: Changes to unlinked global widget do not appear in the editor<\\/li>\\n<\\/ul>\\n<h4>1.5.0 - 2017-05-23<\\/h4>\\n<ul>\\n<li>New: Added Cards, a new skin for Posts widget<\\/li>\\n<li>New: Added Exclude option to post query control group<\\/li>\\n<li>Tweak: Added <code>post_class()<\\/code> for each post in the loop<\\/li>\\n<li>Tweak: Added <code>.elementor-posts-masonry<\\/code> class when Masonry layout is enabled<\\/li>\\n<li>Tweak: Added compatibility for the next release of Elementor v1.5.0<\\/li>\\n<li>Tweak: CSS <code>autoprefixer<\\/code> now supports last 5 versions of browsers<\\/li>\\n<li>Tweak: Added <code>imageLoaded<\\/code> library for Posts &amp; Portfolio widgets<\\/li>\\n<\\/ul>\\n<h4>1.4.4 - 2017-05-18<\\/h4>\\n<ul>\\n<li>Fix: Force Mailchimp API to return all lists and not just 10 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1683\\\">#1683<\\/a>)<\\/li>\\n<li>Fix: Added <code>.elementor-form<\\/code> class to Login form to fix style glitch<\\/li>\\n<\\/ul>\\n<h4>1.4.3 - 2017-05-14<\\/h4>\\n<ul>\\n<li>Tweak: Added Redirect After Login option to Login widget<\\/li>\\n<li>Tweak: Stay in the current page after logout in Login widget<\\/li>\\n<li>Tweak: Preparation for Elementor settings tabs in future version<\\/li>\\n<li>Fix: Pinterest in Share Buttons widget now sharing the URL alone<\\/li>\\n<li>Fix: Bug with <code>active<\\/code> class in portfolio filter item<\\/li>\\n<li>Fix: Higher specific list-style-type <code>none<\\/code> for filter items to override some theme style<\\/li>\\n<\\/ul>\\n<h4>1.4.2 - 2017-05-06<\\/h4>\\n<ul>\\n<li>Fix: Temporary patch for form field shortcode in some servers<\\/li>\\n<\\/ul>\\n<h4>1.4.1 - 2017-05-03<\\/h4>\\n<ul>\\n<li>Fix: Bug with custom success message in form widget<\\/li>\\n<li>Fix: Bug with meta data in email action<\\/li>\\n<\\/ul>\\n<h4>1.4.0 - 2017-05-03<\\/h4>\\n<ul>\\n<li>New: Forms: integration with MailChimp<\\/li>\\n<li>New: Forms: integration with MailPoet<\\/li>\\n<li>New: Forms: Added Email 2 action for email confirmation<\\/li>\\n<li>New: Forms: Added shortcodes for fields<\\/li>\\n<li>New: Forms: Added custom ID for fields<\\/li>\\n<li>New: Forms: Added option to edit email HTML template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>New: Added Login widget<\\/li>\\n<li>Tweak: Move <code>send_html<\\/code> control to <code>email_content_type<\\/code><\\/li>\\n<li>Fix: Email still sent even if validation failed in form widget<\\/li>\\n<\\/ul>\\n<h4>1.3.2 - 2017-05-01<\\/h4>\\n<ul>\\n<li>New: Added action <code>elementor_pro\\/init<\\/code> for better integration with Elementor Pro<\\/li>\\n<li>Fix: Posts without featured image in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1234\\\">#1234<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1382\\\">#1382<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA &amp; Honeypot fields with new method<\\/li>\\n<li>Fix: Added border width control in Share Buttons to avoid a glitch on Chrome browser<\\/li>\\n<li>Fix: Border radius glitch on hover in Share Buttons<\\/li>\\n<\\/ul>\\n<h4>1.3.1 - 2017-04-25<\\/h4>\\n<ul>\\n<li>Fix: Conflict update with revision history module<\\/li>\\n<\\/ul>\\n<h4>1.3.0 - 2017-04-25<\\/h4>\\n<ul>\\n<li>New: Added Share Buttons widget (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/social-sharing-buttons-is-it-possible\\/\\\">Topic<\\/a>)<\\/li>\\n<li>New: Added Custom CSS for Page Settings<\\/li>\\n<li>New: Added Masonry layout for Portfolio widget<\\/li>\\n<li>New: Added Cc &amp; Bcc options to email action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1181\\\">#1181<\\/a>)<\\/li>\\n<li>New: Introduced <code>ElementorProModulesFormsClassesAction_Base<\\/code> class for better 3rd party integration for forms<\\/li>\\n<li>Tweak: Debugger module now also shows errors from Pro<\\/li>\\n<li>Tweak: Added options for Elementor Library<\\/li>\\n<li>Tweak: New base posts module for optimized performance<\\/li>\\n<li>Tweak: Adjusting Posts \\/ Portfolio to the new structure<\\/li>\\n<li>Fix: Export for posts \\/ portfolio<\\/li>\\n<li>Fix: Duplicate repeater field with switcher control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1442\\\">#1442<\\/a>)<\\/li>\\n<li>Fix: Post per Page in the query control<\\/li>\\n<li>Fix: Metadata does not come through on form emails (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1566\\\">#1566<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.2.6 - 2017-04-19<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with WooCommerce 3.0 - Products &amp; Add to Cart widgets<\\/li>\\n<\\/ul>\\n<h4>1.2.5 - 2017-04-18<\\/h4>\\n<ul>\\n<li>Fix: Offset query for posts widgets (Posts, Portfolio and Products)<\\/li>\\n<\\/ul>\\n<h4>1.2.4 - 2017-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added Indian Rupee sign to Price Table widget<\\/li>\\n<li>Fix: Portfolio grid for IE11<\\/li>\\n<li>Fix: Link target blank in Price List widget<\\/li>\\n<li>Fix: Active item for filter bar in Portfolio widget<\\/li>\\n<\\/ul>\\n<h4>1.2.3 - 2017-03-06<\\/h4>\\n<ul>\\n<li>Tweak: Fully compatible with Elementor v1.3.0<\\/li>\\n<li>Tweak: Added trigger for after form submission in Forms widget<\\/li>\\n<li>Tweak: Changed handle name in reCAPTCHA field to avoid conflict with other contact forms<\\/li>\\n<li>Fix: Portfolio filter syntax in Non-Latin languages<\\/li>\\n<li>Fix: Added <code>no-repeat<\\/code> property for slide with <code>background-size:contain<\\/code><\\/li>\\n<li>Fix: Condition control &amp; Import value in Posts widgets<\\/li>\\n<li>Fix: Offset and Pagination in WordPress (<a href=\\\"https:\\/\\/codex.wordpress.org\\/Making_Custom_Queries_using_Offset_and_Pagination\\\">More Info<\\/a>)<\\/li>\\n<li>Fix: Submit handler bubbling for custom events in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.2.2 - 2017-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Change name from Side A\\/B to Front and Back in Flip Box widget<\\/li>\\n<li>Fix: Error when saving third party widgets in the global widget<\\/li>\\n<li>Fix: Image position &quot;none&quot; remains visible in editor preview (Posts)<\\/li>\\n<li>Fix: Hide the pagination when there are no links<\\/li>\\n<\\/ul>\\n<h4>1.2.1 - 2017-02-21<\\/h4>\\n<ul>\\n<li>Fix: Firefox Flip Box 3D compatibility<\\/li>\\n<\\/ul>\\n<h4>1.2.0 - 2017-02-21<\\/h4>\\n<ul>\\n<li>New: Added Flip Box widget<\\/li>\\n<li>New: Added Ken Burns effect for slides<\\/li>\\n<li>New: Added Masonry layout for Posts widget<\\/li>\\n<li>New: Added Pagination option for Posts widget<\\/li>\\n<li>Tweak: Added background size contain to slides<\\/li>\\n<li>Tweak: Improve Query control by preload items<\\/li>\\n<li>Fix: Text color for Checkbox and Radio fields<\\/li>\\n<\\/ul>\\n<h4>1.1.2 - 2017-02-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>aria-required<\\/code> for better accessibility in forms widget<\\/li>\\n<li>Fix: Conflict Call to <code>undefined<\\/code> method in Posts &amp; Portfolio widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1271\\\">#1271<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1266\\\">#1266<\\/a>)<\\/li>\\n<li>Fix: Submit button HTML after error sending<\\/li>\\n<li>Fix: Success message for <code>skip_email<\\/code> function<\\/li>\\n<li>Notice: Elementor 1.2.0 or later now required<\\/li>\\n<\\/ul>\\n<h4>1.1.1 - 2017-01-24<\\/h4>\\n<ul>\\n<li>Fix: Can\'t save global widgets when <code>WP_DEBUG<\\/code> is <code>true<\\/code><\\/li>\\n<li>Fix: Undefined variable in WC widgets<\\/li>\\n<li>Fix: Removed duplicate strings<\\/li>\\n<\\/ul>\\n<h4>1.1.0 - 2017-01-24<\\/h4>\\n<ul>\\n<li>New: Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/102\\\">#102<\\/a>)<\\/li>\\n<li>New: WooCommerce Add to Cart widget<\\/li>\\n<li>New: WooCommerce Categories widget<\\/li>\\n<li>New: WooCommerce Elements widget<\\/li>\\n<li>New: Honeypot field for Forms widgets<\\/li>\\n<li>Tweak: Added inline options for taxonomies &amp; authors if is less than 15 items<\\/li>\\n<li>Tweak: Added Required Mark for fields in Forms widget<\\/li>\\n<li>Fix: CSS selectors priority in Slides widget<\\/li>\\n<li>Fix: CSS bug in Price List widget<\\/li>\\n<li>Fix: Update all Post CSS files that includes specific Global Widget<\\/li>\\n<\\/ul>\\n<h4>1.0.9 - 2017-01-18<\\/h4>\\n<ul>\\n<li>Fix: Auto complete bug in query controls<\\/li>\\n<li>Fix: Render template with escaping slashes<\\/li>\\n<li>Fix: Reply-to field in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.0.8 - 2017-01-11<\\/h4>\\n<ul>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Removed go pro link from plugins page in admin<\\/li>\\n<\\/ul>\\n<h4>1.0.7 - 2017-01-05<\\/h4>\\n<ul>\\n<li>Tweak: Added filter by featured \\/ sale for WC Products widget<\\/li>\\n<li>Tweak: Added author control in Portfolio widget<\\/li>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Added support for empty image ratio<\\/li>\\n<li>Fix: Avoid nesting a sidebar within a template that will appear in the sidebar itself<\\/li>\\n<\\/ul>\\n<h4>1.0.6 - 2017-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Added Auto-updates for local translation files<\\/li>\\n<li>Fix: Custom CSS for Global widgets<\\/li>\\n<li>Fix: Remove <code>nonce<\\/code> field (Fix some cache plugins)<\\/li>\\n<\\/ul>\\n<h4>1.0.5 - 2016-12-27<\\/h4>\\n<ul>\\n<li>Fix: Slide element bug fix - \'Link apply on\' logic<\\/li>\\n<li>Fix: Removed unique wrapper for Custom CSS in order to allow media queries (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1086\\\">#1086<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.0.4 - 2016-12-21<\\/h4>\\n<ul>\\n<li>Tweak: Mobile Editing for fields in the form widget<\\/li>\\n<li>Tweak: Mobile Editing for posts<\\/li>\\n<li>Tweak: Allow send form as HTML<\\/li>\\n<li>Tweak: Improved auto upgrades for Multisite installation<\\/li>\\n<li>Tweak: Improve editor rendering experience for Portfolio widget<\\/li>\\n<li>Fix: Posts widget check if image exist<\\/li>\\n<li>Fix: Changed the clone method for global widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1042\\\">#1042<\\/a>)<\\/li>\\n<li>Fix: Bug slides in RTL (removed direction control)<\\/li>\\n<li>Fix: Slides with no height jumps when changing slides<\\/li>\\n<\\/ul>\\n<h4>1.0.3 - 2016-12-13<\\/h4>\\n<ul>\\n<li>Fix: Added escape placeholder for HTML Entities in form widget<\\/li>\\n<li>Fix: Countdown widget RTL bug<\\/li>\\n<li>Fix: Remove redundant #elementor selector for control style<\\/li>\\n<li>Fix: Added prefixing with \'0\' for one digit number in Countdown widget<\\/li>\\n<\\/ul>\\n<h4>1.0.2 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: Page layout collapses when inserting reCAPTCHA field in Form<\\/li>\\n<\\/ul>\\n<h4>1.0.1 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: WordPress widgets disappear from Editor when Elementor Pro active<\\/li>\\n<\\/ul>\\n<h4>1.0.0 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Initial release<\\/li>\\n<\\/ul>\\\";}\",\"new_version\":\"3.8.1\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.1\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v1\\/plugin\\/package_download\\/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTpjMzVhOWI0OWEwOTI3ZTFjZWZmY2IzNzJhNzU4ZGQ0NDpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29tOjA=\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v1\\/plugin\\/package_download\\/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTpjMzVhOWI0OWEwOTI3ZTFjZWZmY2IzNzJhNzU4ZGQ0NDpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29tOjA=\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"},\"canary_deployment\":{\"plugin_info\":{\"new_version\":\"3.7.0\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.1\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v1\\/plugin\\/previous_download\\/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTozLjcuMDpiMTcxODRiNjA1ODY3ZDQ5ZjE4OWY1M2VlYWNhNGRhNTpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29t\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v1\\/plugin\\/previous_download\\/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTozLjcuMDpiMTcxODRiNjA1ODY3ZDQ5ZjE4OWY1M2VlYWNhNGRhNTpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29t\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"}},\"conditions\":[[{\"type\":\"language\",\"languages\":[\"he_IL\",\"nl_NL\",\"en_GB\",\"en_NZ\",\"en_ZA\",\"en_AU\",\"en_CA\",\"sv_SE\",\"da_DK\",\"fr_FR\",\"nl_NL\",\"nb_NO\",\"de_AT\",\"fi\",\"it_IT\",\"nn_NO\",\"de_CH\",\"en_GB\",\"is_IS\",\"ga\",\"fr_BE\",\"nl_BE\",\"ast\",\"lb_LU\",\"es_ES\",\"pt_PT\",\"mlt\"],\"operator\":\"in\"}]]},\"cloud\":false}\";}", "no");
INSERT INTO `wpky_options` VALUES("4713", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1668102700;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:20:{s:33:\"classic-editor/classic-editor.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/classic-editor\";s:4:\"slug\";s:14:\"classic-editor\";s:6:\"plugin\";s:33:\"classic-editor/classic-editor.php\";s:11:\"new_version\";s:5:\"1.6.2\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/classic-editor/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/classic-editor.1.6.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-256x256.png?rev=1998671\";s:2:\"1x\";s:67:\"https://ps.w.org/classic-editor/assets/icon-128x128.png?rev=1998671\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:70:\"https://ps.w.org/classic-editor/assets/banner-1544x500.png?rev=1998671\";s:2:\"1x\";s:69:\"https://ps.w.org/classic-editor/assets/banner-772x250.png?rev=1998676\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.9\";}s:43:\"custom-post-type-ui/custom-post-type-ui.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:33:\"w.org/plugins/custom-post-type-ui\";s:4:\"slug\";s:19:\"custom-post-type-ui\";s:6:\"plugin\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:11:\"new_version\";s:6:\"1.13.1\";s:3:\"url\";s:50:\"https://wordpress.org/plugins/custom-post-type-ui/\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/plugin/custom-post-type-ui.1.13.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-256x256.png?rev=2744389\";s:2:\"1x\";s:72:\"https://ps.w.org/custom-post-type-ui/assets/icon-128x128.png?rev=2744389\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:75:\"https://ps.w.org/custom-post-type-ui/assets/banner-1544x500.png?rev=2744389\";s:2:\"1x\";s:74:\"https://ps.w.org/custom-post-type-ui/assets/banner-772x250.png?rev=2744389\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.9\";}s:32:\"duplicate-page/duplicatepage.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:28:\"w.org/plugins/duplicate-page\";s:4:\"slug\";s:14:\"duplicate-page\";s:6:\"plugin\";s:32:\"duplicate-page/duplicatepage.php\";s:11:\"new_version\";s:5:\"4.4.9\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-page/\";s:7:\"package\";s:57:\"https://downloads.wordpress.org/plugin/duplicate-page.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:67:\"https://ps.w.org/duplicate-page/assets/icon-128x128.jpg?rev=1412874\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/duplicate-page/assets/banner-772x250.jpg?rev=1410328\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"3.4\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"1.5.0\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.1.5.0.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2605836\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2605835\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2085472\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:23:\"elementor/elementor.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.8.0\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.8.0.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=2622511\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=2597493\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=2597493\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.0\";}s:57:\"global-elementor-buttons/tmx_global_elementor_buttons.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:38:\"w.org/plugins/global-elementor-buttons\";s:4:\"slug\";s:24:\"global-elementor-buttons\";s:6:\"plugin\";s:57:\"global-elementor-buttons/tmx_global_elementor_buttons.php\";s:11:\"new_version\";s:5:\"1.1.0\";s:3:\"url\";s:55:\"https://wordpress.org/plugins/global-elementor-buttons/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/global-elementor-buttons.1.1.0.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:77:\"https://ps.w.org/global-elementor-buttons/assets/icon-256x256.png?rev=2114246\";s:2:\"1x\";s:77:\"https://ps.w.org/global-elementor-buttons/assets/icon-128x128.png?rev=2114246\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:80:\"https://ps.w.org/global-elementor-buttons/assets/banner-1544x500.png?rev=2114246\";s:2:\"1x\";s:79:\"https://ps.w.org/global-elementor-buttons/assets/banner-772x250.png?rev=2114246\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:23:\"loginizer/loginizer.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/loginizer\";s:4:\"slug\";s:9:\"loginizer\";s:6:\"plugin\";s:23:\"loginizer/loginizer.php\";s:11:\"new_version\";s:5:\"1.7.5\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/loginizer/\";s:7:\"package\";s:52:\"https://downloads.wordpress.org/plugin/loginizer.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:62:\"https://ps.w.org/loginizer/assets/icon-256x256.png?rev=1381093\";s:2:\"1x\";s:62:\"https://ps.w.org/loginizer/assets/icon-128x128.png?rev=1381093\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/loginizer/assets/banner-1544x500.jpg?rev=2668035\";s:2:\"1x\";s:64:\"https://ps.w.org/loginizer/assets/banner-772x250.jpg?rev=2668037\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"3.0\";}s:27:\"ocean-extra/ocean-extra.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/ocean-extra\";s:4:\"slug\";s:11:\"ocean-extra\";s:6:\"plugin\";s:27:\"ocean-extra/ocean-extra.php\";s:11:\"new_version\";s:5:\"2.0.6\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/ocean-extra/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/ocean-extra.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:64:\"https://ps.w.org/ocean-extra/assets/icon-256x256.png?rev=2814940\";s:2:\"1x\";s:56:\"https://ps.w.org/ocean-extra/assets/icon.svg?rev=2814940\";s:3:\"svg\";s:56:\"https://ps.w.org/ocean-extra/assets/icon.svg?rev=2814940\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/ocean-extra/assets/banner-1544x500.png?rev=2814940\";s:2:\"1x\";s:66:\"https://ps.w.org/ocean-extra/assets/banner-772x250.png?rev=2814940\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.6\";}s:30:\"seo-by-rank-math/rank-math.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:30:\"w.org/plugins/seo-by-rank-math\";s:4:\"slug\";s:16:\"seo-by-rank-math\";s:6:\"plugin\";s:30:\"seo-by-rank-math/rank-math.php\";s:11:\"new_version\";s:7:\"1.0.101\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/seo-by-rank-math/\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/plugin/seo-by-rank-math.1.0.101.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:69:\"https://ps.w.org/seo-by-rank-math/assets/icon-256x256.png?rev=2654292\";s:2:\"1x\";s:61:\"https://ps.w.org/seo-by-rank-math/assets/icon.svg?rev=2654292\";s:3:\"svg\";s:61:\"https://ps.w.org/seo-by-rank-math/assets/icon.svg?rev=2654292\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/seo-by-rank-math/assets/banner-1544x500.png?rev=2639678\";s:2:\"1x\";s:71:\"https://ps.w.org/seo-by-rank-math/assets/banner-772x250.png?rev=2639678\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.6\";}s:41:\"sogo-accessibility/sogo_accessibility.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/sogo-accessibility\";s:4:\"slug\";s:18:\"sogo-accessibility\";s:6:\"plugin\";s:41:\"sogo-accessibility/sogo_accessibility.php\";s:11:\"new_version\";s:3:\"2.1\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/sogo-accessibility/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/sogo-accessibility.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/sogo-accessibility/assets/icon-256x256.jpg?rev=1336980\";s:2:\"1x\";s:71:\"https://ps.w.org/sogo-accessibility/assets/icon-128x128.png?rev=1336980\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:73:\"https://ps.w.org/sogo-accessibility/assets/banner-772x250.jpg?rev=1336980\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:5:\"3.0.1\";}s:23:\"wordfence/wordfence.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/wordfence\";s:4:\"slug\";s:9:\"wordfence\";s:6:\"plugin\";s:23:\"wordfence/wordfence.php\";s:11:\"new_version\";s:5:\"7.7.1\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/wordfence/\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/wordfence.7.7.1.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/wordfence/assets/icon-256x256.png?rev=2070855\";s:2:\"1x\";s:54:\"https://ps.w.org/wordfence/assets/icon.svg?rev=2070865\";s:3:\"svg\";s:54:\"https://ps.w.org/wordfence/assets/icon.svg?rev=2070865\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/wordfence/assets/banner-1544x500.jpg?rev=2124102\";s:2:\"1x\";s:64:\"https://ps.w.org/wordfence/assets/banner-772x250.jpg?rev=2124102\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"3.9\";}s:24:\"wpforms-lite/wpforms.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:26:\"w.org/plugins/wpforms-lite\";s:4:\"slug\";s:12:\"wpforms-lite\";s:6:\"plugin\";s:24:\"wpforms-lite/wpforms.php\";s:11:\"new_version\";s:5:\"1.7.8\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wpforms-lite/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wpforms-lite.1.7.8.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:65:\"https://ps.w.org/wpforms-lite/assets/icon-256x256.png?rev=2574201\";s:2:\"1x\";s:57:\"https://ps.w.org/wpforms-lite/assets/icon.svg?rev=2574198\";s:3:\"svg\";s:57:\"https://ps.w.org/wpforms-lite/assets/icon.svg?rev=2574198\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:68:\"https://ps.w.org/wpforms-lite/assets/banner-1544x500.png?rev=2602491\";s:2:\"1x\";s:67:\"https://ps.w.org/wpforms-lite/assets/banner-772x250.png?rev=2602491\";}s:11:\"banners_rtl\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/wpforms-lite/assets/banner-1544x500-rtl.png?rev=2602491\";s:2:\"1x\";s:71:\"https://ps.w.org/wpforms-lite/assets/banner-772x250-rtl.png?rev=2602491\";}s:8:\"requires\";s:3:\"5.2\";}s:19:\"wpforms/wpforms.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:19:\"wpforms/wpforms.php\";s:4:\"slug\";s:7:\"wpforms\";s:6:\"plugin\";s:19:\"wpforms/wpforms.php\";s:11:\"new_version\";s:5:\"1.7.8\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:6:\"plugin\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";s:11:\"new_version\";s:5:\"2.0.4\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:6:\"plugin\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";s:11:\"new_version\";s:5:\"2.3.0\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:45:\"ocean-footer-callout/ocean-footer-callout.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";s:4:\"slug\";s:20:\"ocean-footer-callout\";s:6:\"plugin\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";s:11:\"new_version\";s:5:\"2.0.4\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:27:\"ocean-hooks/ocean-hooks.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:27:\"ocean-hooks/ocean-hooks.php\";s:4:\"slug\";s:11:\"ocean-hooks\";s:6:\"plugin\";s:27:\"ocean-hooks/ocean-hooks.php\";s:11:\"new_version\";s:5:\"2.0.2\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:35:\"ocean-portfolio/ocean-portfolio.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:35:\"ocean-portfolio/ocean-portfolio.php\";s:4:\"slug\";s:15:\"ocean-portfolio\";s:6:\"plugin\";s:35:\"ocean-portfolio/ocean-portfolio.php\";s:11:\"new_version\";s:5:\"2.1.0\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:43:\"ocean-sticky-header/ocean-sticky-header.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";s:4:\"slug\";s:19:\"ocean-sticky-header\";s:6:\"plugin\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";s:11:\"new_version\";s:5:\"2.0.5\";s:3:\"url\";s:0:\"\";s:7:\"package\";s:0:\"\";s:5:\"icons\";a:0:{}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:0:\"\";s:12:\"requires_php\";s:0:\"\";s:13:\"compatibility\";O:8:\"stdClass\":0:{}}s:31:\"elementor-pro/elementor-pro.php\";O:8:\"stdClass\":17:{s:14:\"stable_version\";s:5:\"3.8.1\";s:12:\"last_updated\";s:19:\"2022-05-10 14:03:37\";s:11:\"new_version\";s:5:\"3.8.1\";s:4:\"name\";s:13:\"Elementor Pro\";s:4:\"slug\";s:13:\"elementor-pro\";s:3:\"url\";s:36:\"https://elementor.com/pro/changelog/\";s:8:\"homepage\";s:26:\"https://elementor.com/pro/\";s:8:\"requires\";s:3:\"5.0\";s:6:\"tested\";s:3:\"6.1\";s:18:\"elementor_requires\";s:5:\"3.0.1\";s:7:\"package\";s:230:\"https://plugin-downloads.elementor.com/v1/plugin/package_download/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTpjMzVhOWI0OWEwOTI3ZTFjZWZmY2IzNzJhNzU4ZGQ0NDpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29tOjA=\";s:13:\"download_link\";s:230:\"https://plugin-downloads.elementor.com/v1/plugin/package_download/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTpjMzVhOWI0OWEwOTI3ZTFjZWZmY2IzNzJhNzU4ZGQ0NDpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29tOjA=\";s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:5:\"icons\";a:1:{s:3:\"svg\";s:75:\"https://storage.googleapis.com/web-public-files/Web%20Assets/icons/icon.svg\";}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:12:{s:11:\"new_version\";s:5:\"3.7.0\";s:4:\"name\";s:13:\"Elementor Pro\";s:4:\"slug\";s:13:\"elementor-pro\";s:3:\"url\";s:36:\"https://elementor.com/pro/changelog/\";s:8:\"homepage\";s:26:\"https://elementor.com/pro/\";s:8:\"requires\";s:3:\"5.0\";s:6:\"tested\";s:3:\"6.1\";s:18:\"elementor_requires\";s:5:\"3.0.1\";s:7:\"package\";s:235:\"https://plugin-downloads.elementor.com/v1/plugin/previous_download/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTozLjcuMDpiMTcxODRiNjA1ODY3ZDQ5ZjE4OWY1M2VlYWNhNGRhNTpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29t\";s:13:\"download_link\";s:235:\"https://plugin-downloads.elementor.com/v1/plugin/previous_download/MTY2ODE4OTA5NzplcC1uMFI4Zzh0ZlRqOFNqamhlbGV6cTE2MTkwOTg4NTQ1QzFxUUlqc3NyNlE6MTozLjcuMDpiMTcxODRiNjA1ODY3ZDQ5ZjE4OWY1M2VlYWNhNGRhNTpodHRwc0AvL3Rlc3QuYWpkZW1icm9za3kuY29t\";s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:5:\"icons\";a:1:{s:3:\"svg\";s:75:\"https://storage.googleapis.com/web-public-files/Web%20Assets/icons/icon.svg\";}}s:10:\"conditions\";a:1:{i:0;a:1:{i:0;a:3:{s:4:\"type\";s:8:\"language\";s:9:\"languages\";a:27:{i:0;s:5:\"he_IL\";i:1;s:5:\"nl_NL\";i:2;s:5:\"en_GB\";i:3;s:5:\"en_NZ\";i:4;s:5:\"en_ZA\";i:5;s:5:\"en_AU\";i:6;s:5:\"en_CA\";i:7;s:5:\"sv_SE\";i:8;s:5:\"da_DK\";i:9;s:5:\"fr_FR\";i:10;s:5:\"nl_NL\";i:11;s:5:\"nb_NO\";i:12;s:5:\"de_AT\";i:13;s:2:\"fi\";i:14;s:5:\"it_IT\";i:15;s:5:\"nn_NO\";i:16;s:5:\"de_CH\";i:17;s:5:\"en_GB\";i:18;s:5:\"is_IS\";i:19;s:2:\"ga\";i:20;s:5:\"fr_BE\";i:21;s:5:\"nl_BE\";i:22;s:3:\"ast\";i:23;s:5:\"lb_LU\";i:24;s:5:\"es_ES\";i:25;s:5:\"pt_PT\";i:26;s:3:\"mlt\";}s:8:\"operator\";s:2:\"in\";}}}}s:5:\"cloud\";b:0;s:6:\"plugin\";s:31:\"elementor-pro/elementor-pro.php\";}}s:7:\"checked\";a:19:{s:33:\"classic-editor/classic-editor.php\";s:5:\"1.6.2\";s:43:\"custom-post-type-ui/custom-post-type-ui.php\";s:6:\"1.13.1\";s:32:\"duplicate-page/duplicatepage.php\";s:5:\"4.4.9\";s:25:\"duplicator/duplicator.php\";s:5:\"1.5.0\";s:23:\"elementor/elementor.php\";s:5:\"3.8.0\";s:31:\"elementor-pro/elementor-pro.php\";s:5:\"3.8.1\";s:57:\"global-elementor-buttons/tmx_global_elementor_buttons.php\";s:5:\"1.1.0\";s:23:\"loginizer/loginizer.php\";s:5:\"1.7.5\";s:43:\"ocean-cookie-notice/ocean-cookie-notice.php\";s:5:\"2.0.4\";s:51:\"ocean-elementor-widgets/ocean-elementor-widgets.php\";s:5:\"2.3.0\";s:27:\"ocean-extra/ocean-extra.php\";s:5:\"2.0.6\";s:45:\"ocean-footer-callout/ocean-footer-callout.php\";s:5:\"2.0.4\";s:27:\"ocean-hooks/ocean-hooks.php\";s:5:\"2.0.2\";s:35:\"ocean-portfolio/ocean-portfolio.php\";s:5:\"2.1.0\";s:43:\"ocean-sticky-header/ocean-sticky-header.php\";s:5:\"2.0.5\";s:30:\"seo-by-rank-math/rank-math.php\";s:7:\"1.0.101\";s:41:\"sogo-accessibility/sogo_accessibility.php\";s:3:\"2.1\";s:23:\"wordfence/wordfence.php\";s:5:\"7.7.1\";s:19:\"wpforms/wpforms.php\";s:5:\"1.7.8\";}}", "no");
INSERT INTO `wpky_options` VALUES("4716", "cptui_new_install", "false", "yes");
INSERT INTO `wpky_options` VALUES("4717", "cptui_post_types", "a:1:{s:7:\"reviews\";a:34:{s:4:\"name\";s:7:\"reviews\";s:5:\"label\";s:7:\"Reviews\";s:14:\"singular_label\";s:6:\"Review\";s:11:\"description\";s:0:\"\";s:6:\"public\";s:4:\"true\";s:18:\"publicly_queryable\";s:4:\"true\";s:7:\"show_ui\";s:4:\"true\";s:17:\"show_in_nav_menus\";s:4:\"true\";s:16:\"delete_with_user\";s:5:\"false\";s:12:\"show_in_rest\";s:4:\"true\";s:9:\"rest_base\";s:0:\"\";s:21:\"rest_controller_class\";s:0:\"\";s:14:\"rest_namespace\";s:0:\"\";s:11:\"has_archive\";s:5:\"false\";s:18:\"has_archive_string\";s:0:\"\";s:19:\"exclude_from_search\";s:5:\"false\";s:15:\"capability_type\";s:4:\"post\";s:12:\"hierarchical\";s:5:\"false\";s:10:\"can_export\";s:5:\"false\";s:7:\"rewrite\";s:4:\"true\";s:12:\"rewrite_slug\";s:0:\"\";s:17:\"rewrite_withfront\";s:4:\"true\";s:9:\"query_var\";s:4:\"true\";s:14:\"query_var_slug\";s:0:\"\";s:13:\"menu_position\";s:0:\"\";s:12:\"show_in_menu\";s:4:\"true\";s:19:\"show_in_menu_string\";s:0:\"\";s:9:\"menu_icon\";s:22:\"dashicons-format-quote\";s:20:\"register_meta_box_cb\";N;s:8:\"supports\";a:7:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:9:\"thumbnail\";i:3;s:7:\"excerpt\";i:4;s:13:\"custom-fields\";i:5;s:15:\"page-attributes\";i:6;s:12:\"post-formats\";}s:10:\"taxonomies\";a:2:{i:0;s:8:\"category\";i:1;s:8:\"post_tag\";}s:6:\"labels\";a:29:{s:9:\"menu_name\";s:0:\"\";s:9:\"all_items\";s:0:\"\";s:7:\"add_new\";s:0:\"\";s:12:\"add_new_item\";s:0:\"\";s:9:\"edit_item\";s:0:\"\";s:8:\"new_item\";s:0:\"\";s:9:\"view_item\";s:0:\"\";s:10:\"view_items\";s:0:\"\";s:12:\"search_items\";s:0:\"\";s:9:\"not_found\";s:0:\"\";s:18:\"not_found_in_trash\";s:0:\"\";s:17:\"parent_item_colon\";s:0:\"\";s:14:\"featured_image\";s:0:\"\";s:18:\"set_featured_image\";s:0:\"\";s:21:\"remove_featured_image\";s:0:\"\";s:18:\"use_featured_image\";s:0:\"\";s:8:\"archives\";s:0:\"\";s:16:\"insert_into_item\";s:0:\"\";s:21:\"uploaded_to_this_item\";s:0:\"\";s:17:\"filter_items_list\";s:0:\"\";s:21:\"items_list_navigation\";s:0:\"\";s:10:\"items_list\";s:0:\"\";s:10:\"attributes\";s:0:\"\";s:14:\"name_admin_bar\";s:0:\"\";s:14:\"item_published\";s:0:\"\";s:24:\"item_published_privately\";s:0:\"\";s:22:\"item_reverted_to_draft\";s:0:\"\";s:14:\"item_scheduled\";s:0:\"\";s:12:\"item_updated\";s:0:\"\";}s:15:\"custom_supports\";s:0:\"\";s:16:\"enter_title_here\";s:0:\"\";}}", "yes");
INSERT INTO `wpky_options` VALUES("4724", "_transient_timeout_elementor_rollback_versions_3.8.0", "1668707633", "no");
INSERT INTO `wpky_options` VALUES("4725", "_transient_elementor_rollback_versions_3.8.0", "a:30:{i:0;s:5:\"3.7.8\";i:1;s:5:\"3.7.7\";i:2;s:5:\"3.7.6\";i:3;s:5:\"3.7.5\";i:4;s:5:\"3.7.4\";i:5;s:5:\"3.7.3\";i:6;s:5:\"3.7.2\";i:7;s:5:\"3.7.1\";i:8;s:5:\"3.7.0\";i:9;s:5:\"3.6.8\";i:10;s:5:\"3.6.7\";i:11;s:5:\"3.6.6\";i:12;s:5:\"3.6.5\";i:13;s:5:\"3.6.4\";i:14;s:5:\"3.6.3\";i:15;s:5:\"3.6.2\";i:16;s:5:\"3.6.1\";i:17;s:5:\"3.6.0\";i:18;s:5:\"3.5.6\";i:19;s:5:\"3.5.5\";i:20;s:5:\"3.5.4\";i:21;s:5:\"3.5.3\";i:22;s:5:\"3.5.2\";i:23;s:5:\"3.5.1\";i:24;s:5:\"3.5.0\";i:25;s:5:\"3.4.8\";i:26;s:5:\"3.4.7\";i:27;s:5:\"3.4.6\";i:28;s:5:\"3.4.5\";i:29;s:5:\"3.4.4\";}", "no");
INSERT INTO `wpky_options` VALUES("4726", "_transient_timeout_elementor_pro_rollback_versions_3.8.1", "1668707633", "no");
INSERT INTO `wpky_options` VALUES("4727", "_transient_elementor_pro_rollback_versions_3.8.1", "a:30:{i:0;s:5:\"3.7.7\";i:1;s:5:\"3.7.6\";i:2;s:5:\"3.7.5\";i:3;s:5:\"3.7.4\";i:4;s:5:\"3.7.3\";i:5;s:5:\"3.7.2\";i:6;s:5:\"3.7.1\";i:7;s:5:\"3.7.0\";i:8;s:5:\"3.6.5\";i:9;s:5:\"3.6.4\";i:10;s:5:\"3.6.3\";i:11;s:5:\"3.6.2\";i:12;s:5:\"3.6.1\";i:13;s:5:\"3.6.0\";i:14;s:5:\"3.5.2\";i:15;s:5:\"3.5.1\";i:16;s:5:\"3.5.0\";i:17;s:5:\"3.4.2\";i:18;s:5:\"3.4.1\";i:19;s:5:\"3.4.0\";i:20;s:5:\"3.3.8\";i:21;s:5:\"3.3.7\";i:22;s:5:\"3.3.6\";i:23;s:5:\"3.3.5\";i:24;s:5:\"3.3.4\";i:25;s:5:\"3.3.3\";i:26;s:5:\"3.3.2\";i:27;s:5:\"3.3.1\";i:28;s:5:\"3.3.0\";i:29;s:5:\"3.2.2\";}", "no");
INSERT INTO `wpky_options` VALUES("4729", "elementor_google_maps_api_key", "", "yes");
INSERT INTO `wpky_options` VALUES("4730", "elementor_pro_stripe_test_secret_key", "", "yes");
INSERT INTO `wpky_options` VALUES("4731", "elementor_validate_stripe_api_test_secret_key_button", "", "yes");
INSERT INTO `wpky_options` VALUES("4732", "elementor_pro_stripe_live_secret_key", "", "yes");
INSERT INTO `wpky_options` VALUES("4733", "elementor_validate_stripe_api_live_secret_key_button", "", "yes");
INSERT INTO `wpky_options` VALUES("4734", "elementor_stripe_legal_disclaimer", "", "yes");
INSERT INTO `wpky_options` VALUES("4735", "elementor_unfiltered_files_upload", "1", "yes");
INSERT INTO `wpky_options` VALUES("4736", "elementor_font_display", "auto", "yes");
INSERT INTO `wpky_options` VALUES("4737", "elementor_experiment-e_optimized_css_loading", "default", "yes");
INSERT INTO `wpky_options` VALUES("4738", "elementor_experiment-e_font_icon_svg", "default", "yes");
INSERT INTO `wpky_options` VALUES("4739", "elementor_experiment-container", "default", "yes");
INSERT INTO `wpky_options` VALUES("4740", "elementor_experiment-page-transitions", "default", "yes");
INSERT INTO `wpky_options` VALUES("4741", "elementor_experiment-loop", "default", "yes");
INSERT INTO `wpky_options` VALUES("4742", "elementor_experiment-e_dom_optimization", "default", "yes");
INSERT INTO `wpky_options` VALUES("4743", "elementor_experiment-e_optimized_assets_loading", "default", "yes");
INSERT INTO `wpky_options` VALUES("4744", "elementor_experiment-a11y_improvements", "default", "yes");
INSERT INTO `wpky_options` VALUES("4745", "elementor_experiment-additional_custom_breakpoints", "default", "yes");
INSERT INTO `wpky_options` VALUES("4746", "elementor_experiment-e_import_export", "default", "yes");
INSERT INTO `wpky_options` VALUES("4747", "elementor_experiment-e_hidden_wordpress_widgets", "default", "yes");
INSERT INTO `wpky_options` VALUES("4748", "elementor_experiment-theme_builder_v2", "default", "yes");
INSERT INTO `wpky_options` VALUES("4749", "elementor_experiment-landing-pages", "default", "yes");
INSERT INTO `wpky_options` VALUES("4750", "elementor_experiment-elements-color-picker", "default", "yes");
INSERT INTO `wpky_options` VALUES("4751", "elementor_experiment-favorite-widgets", "default", "yes");
INSERT INTO `wpky_options` VALUES("4752", "elementor_experiment-admin-top-bar", "default", "yes");
INSERT INTO `wpky_options` VALUES("4753", "elementor_experiment-notes", "default", "yes");
INSERT INTO `wpky_options` VALUES("4754", "elementor_experiment-form-submissions", "default", "yes");
INSERT INTO `wpky_options` VALUES("4755", "elementor_experiment-e_scroll_snap", "default", "yes");
INSERT INTO `wpky_options` VALUES("4771", "oe_metabox_posttypes_settings", "a:7:{s:4:\"post\";s:4:\"true\";s:4:\"page\";s:4:\"true\";s:7:\"product\";s:4:\"true\";s:17:\"elementor_library\";s:4:\"true\";s:15:\"oceanwp_library\";s:4:\"true\";s:15:\"ocean_portfolio\";s:4:\"true\";s:7:\"reviews\";s:4:\"true\";}", "yes");
INSERT INTO `wpky_options` VALUES("4772", "_transient_timeout_wpforms_dash_widget_pro_entries_by_form_0", "1668124800", "no");
INSERT INTO `wpky_options` VALUES("4773", "_transient_wpforms_dash_widget_pro_entries_by_form_0", "a:1:{i:0;a:4:{s:7:\"form_id\";i:827;s:5:\"count\";i:0;s:5:\"title\";s:17:\"Contact Page Form\";s:8:\"edit_url\";s:90:\"https://test.ajdembrosky.com/wp-admin/admin.php?page=wpforms-entries&view=list&form_id=827\";}}", "no");
INSERT INTO `wpky_options` VALUES("4782", "_site_transient_timeout_theme_roots", "1668105152", "no");
INSERT INTO `wpky_options` VALUES("4783", "_site_transient_theme_roots", "a:2:{s:26:\"oceanwp-child-theme-master\";s:7:\"/themes\";s:7:\"oceanwp\";s:7:\"/themes\";}", "no");
INSERT INTO `wpky_options` VALUES("4789", "_elementor_global_css", "a:7:{s:4:\"time\";i:1668103379;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:5:\"empty\";i:0;b:0;s:3:\"css\";s:0:\"\";}", "yes");
INSERT INTO `wpky_options` VALUES("4830", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wpky_options` VALUES("4832", "category_children", "a:0:{}", "yes");
INSERT INTO `wpky_options` VALUES("4935", "_transient_timeout_global_styles_oceanwp-child-theme-master", "1668109024", "no");
INSERT INTO `wpky_options` VALUES("4936", "_transient_global_styles_oceanwp-child-theme-master", "body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--duotone--dark-grayscale: url(\'#wp-duotone-dark-grayscale\');--wp--preset--duotone--grayscale: url(\'#wp-duotone-grayscale\');--wp--preset--duotone--purple-yellow: url(\'#wp-duotone-purple-yellow\');--wp--preset--duotone--blue-red: url(\'#wp-duotone-blue-red\');--wp--preset--duotone--midnight: url(\'#wp-duotone-midnight\');--wp--preset--duotone--magenta-yellow: url(\'#wp-duotone-magenta-yellow\');--wp--preset--duotone--purple-green: url(\'#wp-duotone-purple-green\');--wp--preset--duotone--blue-orange: url(\'#wp-duotone-blue-orange\');--wp--preset--font-size--small: 13px;--wp--preset--font-size--medium: 20px;--wp--preset--font-size--large: 36px;--wp--preset--font-size--x-large: 42px;--wp--preset--spacing--20: 0.44rem;--wp--preset--spacing--30: 0.67rem;--wp--preset--spacing--40: 1rem;--wp--preset--spacing--50: 1.5rem;--wp--preset--spacing--60: 2.25rem;--wp--preset--spacing--70: 3.38rem;--wp--preset--spacing--80: 5.06rem;}:where(.is-layout-flex){gap: 0.5em;}body .is-layout-flow > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-flow > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-flow > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-constrained > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-constrained > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)){max-width: var(--wp--style--global--content-size);margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignwide{max-width: var(--wp--style--global--wide-size);}body .is-layout-flex{display: flex;}body .is-layout-flex{flex-wrap: wrap;align-items: center;}body .is-layout-flex > *{margin: 0;}:where(.wp-block-columns.is-layout-flex){gap: 2em;}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}", "no");
INSERT INTO `wpky_options` VALUES("4937", "_transient_timeout_global_styles_svg_filters_oceanwp-child-theme-master", "1668109024", "no");
INSERT INTO `wpky_options` VALUES("4938", "_transient_global_styles_svg_filters_oceanwp-child-theme-master", "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-dark-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncG type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncB type=\"table\" tableValues=\"0 0.49803921568627\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-grayscale\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.54901960784314 0.98823529411765\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.71764705882353 0.25490196078431\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-red\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 1\" /><feFuncG type=\"table\" tableValues=\"0 0.27843137254902\" /><feFuncB type=\"table\" tableValues=\"0.5921568627451 0.27843137254902\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-midnight\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0 0\" /><feFuncG type=\"table\" tableValues=\"0 0.64705882352941\" /><feFuncB type=\"table\" tableValues=\"0 1\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-magenta-yellow\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.78039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.94901960784314\" /><feFuncB type=\"table\" tableValues=\"0.35294117647059 0.47058823529412\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-purple-green\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.65098039215686 0.40392156862745\" /><feFuncG type=\"table\" tableValues=\"0 1\" /><feFuncB type=\"table\" tableValues=\"0.44705882352941 0.4\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 0 0\" width=\"0\" height=\"0\" focusable=\"false\" role=\"none\" style=\"visibility: hidden; position: absolute; left: -9999px; overflow: hidden;\" ><defs><filter id=\"wp-duotone-blue-orange\"><feColorMatrix color-interpolation-filters=\"sRGB\" type=\"matrix\" values=\" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 \" /><feComponentTransfer color-interpolation-filters=\"sRGB\" ><feFuncR type=\"table\" tableValues=\"0.098039215686275 1\" /><feFuncG type=\"table\" tableValues=\"0 0.66274509803922\" /><feFuncB type=\"table\" tableValues=\"0.84705882352941 0.41960784313725\" /><feFuncA type=\"table\" tableValues=\"1 1\" /></feComponentTransfer><feComposite in2=\"SourceGraphic\" operator=\"in\" /></filter></defs></svg>", "no");

/* INSERT TABLE DATA: wpky_postmeta */
INSERT INTO `wpky_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("30", "11", "_edit_last", "1");
INSERT INTO `wpky_postmeta` VALUES("31", "11", "_edit_lock", "1565368099:1");
INSERT INTO `wpky_postmeta` VALUES("32", "11", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("33", "11", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("34", "11", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("35", "11", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("36", "11", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("37", "11", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("38", "11", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("39", "11", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("40", "11", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("41", "11", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("42", "11", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("43", "11", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("44", "11", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("45", "11", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("46", "11", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("47", "11", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("48", "11", "ofc_enable_fullscreen", "disable");
INSERT INTO `wpky_postmeta` VALUES("49", "11", "ofc_fullscreen_nav", "enable");
INSERT INTO `wpky_postmeta` VALUES("50", "11", "ofc_fullscreen_nav_pos", "right");
INSERT INTO `wpky_postmeta` VALUES("51", "11", "oh_enable_hook", "enable");
INSERT INTO `wpky_postmeta` VALUES("52", "11", "oh_hook_location", "wp_head");
INSERT INTO `wpky_postmeta` VALUES("53", "11", "oh_hook_priority", "10");
INSERT INTO `wpky_postmeta` VALUES("54", "11", "oh_hook_php", "disable");
INSERT INTO `wpky_postmeta` VALUES("55", "11", "oh_hook_cond_logic", "");
INSERT INTO `wpky_postmeta` VALUES("56", "11", "oh_hook_user_roles", "");
INSERT INTO `wpky_postmeta` VALUES("57", "11", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("58", "11", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("59", "11", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("60", "11", "php_data", "<?php\r\n	// Add your snippet here.\r\n?>");
INSERT INTO `wpky_postmeta` VALUES("95", "28", "_edit_lock", "1668101295:5");
INSERT INTO `wpky_postmeta` VALUES("96", "28", "_edit_last", "3");
INSERT INTO `wpky_postmeta` VALUES("97", "28", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("99", "28", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("100", "28", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("101", "28", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("102", "28", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("103", "28", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("104", "28", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("105", "28", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("106", "28", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("107", "28", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("108", "28", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("109", "28", "ocean_disable_title", "on");
INSERT INTO `wpky_postmeta` VALUES("110", "28", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("111", "28", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("112", "28", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("113", "28", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("114", "28", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("115", "28", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("116", "28", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("117", "28", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("118", "28", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("119", "29", "_edit_lock", "1668104180:5");
INSERT INTO `wpky_postmeta` VALUES("120", "28", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("121", "28", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("122", "28", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("123", "28", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("124", "29", "_edit_last", "3");
INSERT INTO `wpky_postmeta` VALUES("125", "29", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("127", "29", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("128", "29", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("129", "29", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("130", "29", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("131", "29", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("132", "29", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("133", "29", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("134", "29", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("135", "29", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("136", "29", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("137", "29", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("138", "29", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("139", "29", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("140", "29", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("141", "29", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("142", "29", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("143", "29", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("144", "29", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("145", "29", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("146", "29", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("148", "29", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("149", "29", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("150", "29", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("151", "32", "_edit_lock", "1668108903:5");
INSERT INTO `wpky_postmeta` VALUES("152", "32", "_edit_last", "2");
INSERT INTO `wpky_postmeta` VALUES("153", "32", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("155", "32", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("156", "32", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("157", "32", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("158", "32", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("159", "32", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("160", "32", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("161", "32", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("162", "32", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("163", "32", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("164", "32", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("165", "32", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("166", "32", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("167", "32", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("168", "32", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("169", "32", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("170", "32", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("171", "32", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("172", "32", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("173", "32", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("174", "32", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("175", "32", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("176", "32", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("177", "32", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("178", "32", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("417", "53", "_edit_lock", "1646848121:4");
INSERT INTO `wpky_postmeta` VALUES("418", "53", "_edit_last", "2");
INSERT INTO `wpky_postmeta` VALUES("419", "53", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("421", "53", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("422", "53", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("423", "53", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("424", "53", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("425", "53", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("426", "53", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("427", "53", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("428", "53", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("429", "53", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("430", "53", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("431", "53", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("432", "53", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("433", "53", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("434", "53", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("435", "53", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("436", "53", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("437", "53", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("438", "53", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("439", "53", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("440", "53", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("441", "53", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("442", "53", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("443", "53", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("444", "53", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("448", "28", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\",\"title_tag\":\"h2\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\",\"title_tag\":\"h2\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\",\"title_tag\":\"h2\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("449", "57", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("450", "57", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("451", "57", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("452", "57", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("453", "57", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("454", "57", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("455", "57", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\"},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Add Your Heading Text Here\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("456", "58", "_menu_item_type", "post_type");
INSERT INTO `wpky_postmeta` VALUES("457", "58", "_menu_item_menu_item_parent", "0");
INSERT INTO `wpky_postmeta` VALUES("458", "58", "_menu_item_object_id", "32");
INSERT INTO `wpky_postmeta` VALUES("459", "58", "_menu_item_object", "page");
INSERT INTO `wpky_postmeta` VALUES("460", "58", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("461", "58", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("462", "58", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("463", "58", "_menu_item_url", "");
INSERT INTO `wpky_postmeta` VALUES("465", "58", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("466", "58", "_menu_item_mega_template", "0");
INSERT INTO `wpky_postmeta` VALUES("467", "58", "_menu_item_nolink", "");
INSERT INTO `wpky_postmeta` VALUES("468", "58", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("469", "58", "_menu_item_megamenu", "");
INSERT INTO `wpky_postmeta` VALUES("470", "58", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("471", "58", "_menu_item_megamenu_col", "");
INSERT INTO `wpky_postmeta` VALUES("472", "58", "_menu_item_megamenu_heading", "");
INSERT INTO `wpky_postmeta` VALUES("473", "58", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("474", "58", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("535", "58", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("536", "62", "_menu_item_type", "post_type");
INSERT INTO `wpky_postmeta` VALUES("538", "62", "_menu_item_menu_item_parent", "0");
INSERT INTO `wpky_postmeta` VALUES("540", "62", "_menu_item_object_id", "28");
INSERT INTO `wpky_postmeta` VALUES("542", "62", "_menu_item_object", "page");
INSERT INTO `wpky_postmeta` VALUES("544", "62", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("546", "62", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("548", "62", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("550", "62", "_menu_item_url", "");
INSERT INTO `wpky_postmeta` VALUES("554", "62", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("556", "62", "_menu_item_mega_template", "0");
INSERT INTO `wpky_postmeta` VALUES("558", "62", "_menu_item_nolink", "");
INSERT INTO `wpky_postmeta` VALUES("560", "62", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("562", "62", "_menu_item_megamenu", "");
INSERT INTO `wpky_postmeta` VALUES("564", "62", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("566", "62", "_menu_item_megamenu_col", "");
INSERT INTO `wpky_postmeta` VALUES("568", "62", "_menu_item_megamenu_heading", "");
INSERT INTO `wpky_postmeta` VALUES("570", "62", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("572", "62", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("574", "64", "_menu_item_type", "post_type");
INSERT INTO `wpky_postmeta` VALUES("575", "64", "_menu_item_menu_item_parent", "0");
INSERT INTO `wpky_postmeta` VALUES("576", "64", "_menu_item_object_id", "29");
INSERT INTO `wpky_postmeta` VALUES("577", "64", "_menu_item_object", "page");
INSERT INTO `wpky_postmeta` VALUES("578", "64", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("579", "64", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("580", "64", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("581", "64", "_menu_item_url", "");
INSERT INTO `wpky_postmeta` VALUES("583", "64", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("584", "64", "_menu_item_mega_template", "0");
INSERT INTO `wpky_postmeta` VALUES("585", "64", "_menu_item_nolink", "");
INSERT INTO `wpky_postmeta` VALUES("586", "64", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("587", "64", "_menu_item_megamenu", "");
INSERT INTO `wpky_postmeta` VALUES("588", "64", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("589", "64", "_menu_item_megamenu_col", "");
INSERT INTO `wpky_postmeta` VALUES("590", "64", "_menu_item_megamenu_heading", "");
INSERT INTO `wpky_postmeta` VALUES("591", "64", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("592", "64", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("593", "65", "_menu_item_type", "custom");
INSERT INTO `wpky_postmeta` VALUES("594", "65", "_menu_item_menu_item_parent", "0");
INSERT INTO `wpky_postmeta` VALUES("595", "65", "_menu_item_object_id", "65");
INSERT INTO `wpky_postmeta` VALUES("596", "65", "_menu_item_object", "custom");
INSERT INTO `wpky_postmeta` VALUES("597", "65", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("598", "65", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("599", "65", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("600", "65", "_menu_item_url", "#");
INSERT INTO `wpky_postmeta` VALUES("602", "65", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("603", "65", "_menu_item_mega_template", "0");
INSERT INTO `wpky_postmeta` VALUES("604", "65", "_menu_item_nolink", "nolink");
INSERT INTO `wpky_postmeta` VALUES("605", "65", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("606", "65", "_menu_item_megamenu", "megamenu");
INSERT INTO `wpky_postmeta` VALUES("607", "65", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("608", "65", "_menu_item_megamenu_col", "1");
INSERT INTO `wpky_postmeta` VALUES("609", "65", "_menu_item_megamenu_heading", "megamenu_heading");
INSERT INTO `wpky_postmeta` VALUES("610", "65", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("611", "65", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("726", "62", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("727", "64", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("728", "65", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("792", "83", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("793", "83", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("794", "83", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("795", "83", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("796", "83", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("797", "83", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\"},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#000000\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#000000\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#000000\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("800", "84", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("801", "84", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("802", "84", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("803", "84", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("804", "84", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("805", "84", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#000000\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#000000\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#000000\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("829", "90", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("844", "97", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("845", "97", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("846", "97", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("847", "97", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("848", "97", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("849", "97", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#000000\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#000000\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#000000\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"align\":\"flex-start\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"custom_css\":\".white-on-hover:hover {\\n    color: #fff!important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("856", "99", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("857", "99", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("858", "99", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("859", "99", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("860", "99", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("861", "99", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"align\":\"flex-start\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"custom_css\":\".white-on-hover:hover {\\n    color: #fff!important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("868", "102", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("869", "102", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("870", "102", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("871", "102", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("872", "102", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("873", "102", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"align\":\"flex-start\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"custom_css\":\".white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\\n    transition: .3s;\\n}\\n\\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\\n    color: #fff!important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("907", "117", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("908", "117", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("909", "117", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("910", "117", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("911", "117", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("912", "117", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"align\":\"flex-start\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("925", "124", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("926", "124", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("927", "124", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("928", "124", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("929", "124", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("930", "124", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("938", "127", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("939", "127", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("940", "127", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("941", "127", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("942", "127", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("943", "127", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("947", "128", "_edit_lock", "1608310000:3");
INSERT INTO `wpky_postmeta` VALUES("948", "128", "_edit_last", "2");
INSERT INTO `wpky_postmeta` VALUES("949", "128", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("951", "128", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("952", "128", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("953", "128", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("954", "128", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("955", "128", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("956", "128", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("957", "128", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("958", "128", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("959", "128", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("960", "128", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("961", "128", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("962", "128", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("963", "128", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("964", "128", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("965", "128", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("966", "128", "oh_enable_hook", "disable");
INSERT INTO `wpky_postmeta` VALUES("967", "128", "oh_hook_location", "0");
INSERT INTO `wpky_postmeta` VALUES("968", "128", "oh_hook_priority", "10");
INSERT INTO `wpky_postmeta` VALUES("969", "128", "oh_hook_php", "disable");
INSERT INTO `wpky_postmeta` VALUES("970", "128", "oh_hook_cond_logic", "");
INSERT INTO `wpky_postmeta` VALUES("971", "128", "oh_hook_user_roles", "");
INSERT INTO `wpky_postmeta` VALUES("972", "128", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("973", "128", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("974", "128", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("975", "128", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("976", "128", "php_data", "<?php\r\n	// Add your snippet here.\r\n?>");
INSERT INTO `wpky_postmeta` VALUES("977", "128", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("978", "128", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("979", "128", "_elementor_version", "3.0.14");
INSERT INTO `wpky_postmeta` VALUES("980", "128", "_elementor_pro_version", "3.0.8");
INSERT INTO `wpky_postmeta` VALUES("981", "130", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("982", "130", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("983", "130", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("984", "130", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("985", "130", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("986", "130", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("990", "131", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("991", "131", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("992", "131", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("993", "131", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("994", "131", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("995", "131", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("999", "132", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1000", "132", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1001", "132", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1002", "132", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1003", "132", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1004", "132", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1008", "133", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1009", "133", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1010", "133", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1011", "133", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1012", "133", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1013", "133", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1017", "134", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1018", "134", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1019", "134", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1020", "134", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1021", "134", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1022", "134", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1026", "128", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[],\"__globals__\":{\"background_hover_color\":\"globals\\/colors?id=primary\"}},\"elements\":[{\"id\":\"987908c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_hover_background_color\":\"#999999\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_hover_background\":\"classic\",\"__globals__\":{\"background_hover_color\":\"globals\\/colors?id=primary\"}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[]},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1027", "135", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1028", "135", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("1029", "135", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1030", "135", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1031", "135", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1032", "135", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1033", "135", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1035", "136", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1036", "136", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1037", "136", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1038", "136", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1039", "136", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1040", "136", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1044", "137", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1045", "137", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1046", "137", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1047", "137", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1048", "137", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1049", "137", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1054", "139", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1055", "139", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1056", "139", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1057", "139", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1058", "139", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1059", "139", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1066", "140", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1067", "140", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1068", "140", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1069", "140", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1070", "140", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1071", "140", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1075", "141", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1076", "141", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1077", "141", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1078", "141", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1079", "141", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1080", "141", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1092", "143", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1093", "143", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1094", "143", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1095", "143", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1096", "143", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1097", "143", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-80\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1107", "146", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1108", "146", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1109", "146", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1110", "146", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1111", "146", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1112", "146", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1116", "147", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1117", "147", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1118", "147", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1119", "147", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1120", "147", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1121", "147", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1133", "149", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1134", "149", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1135", "149", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1136", "149", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1137", "149", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1138", "149", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1153", "152", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1154", "152", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1155", "152", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1156", "152", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1157", "152", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1158", "152", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'hi\';\\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1164", "154", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1165", "154", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1166", "154", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1167", "154", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1168", "154", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1169", "154", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.png\",\"id\":153},\"img_width\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1173", "155", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1174", "155", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1175", "155", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1176", "155", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1177", "155", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1178", "155", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 40px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    right: 50%!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'hi\';\\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1184", "157", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1185", "157", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1186", "157", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1187", "157", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1188", "157", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1189", "157", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.png\",\"id\":153},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1193", "158", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1194", "158", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1195", "158", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1196", "158", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1197", "158", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1198", "158", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 40px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 40px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'hi\';\\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1202", "159", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1203", "159", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1204", "159", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1205", "159", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1206", "159", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1207", "159", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 40px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 40px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'\';\\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1212", "161", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1213", "161", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1214", "161", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1215", "161", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1216", "161", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1217", "161", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.png\",\"id\":160},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1222", "162", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1223", "162", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1224", "162", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1225", "162", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1226", "162", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1227", "162", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 40px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 40px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'\';\\n    display: block;\\n    height: 20px;\\n    width: 50px;\\n    background: red;\\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1232", "164", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1233", "164", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1234", "164", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1235", "164", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1236", "164", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1237", "164", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.png\",\"id\":163},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1244", "166", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1245", "166", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1246", "166", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1247", "166", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1248", "166", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1249", "166", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline-gray.png\",\"id\":165},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1262", "169", "_wp_attached_file", "2019/12/arrow-right.png");
INSERT INTO `wpky_postmeta` VALUES("1263", "169", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:40;s:6:\"height\";i:9;s:4:\"file\";s:23:\"2019/12/arrow-right.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wpky_postmeta` VALUES("1277", "172", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1278", "172", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1279", "172", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1280", "172", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1281", "172", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1282", "172", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n    transition: .4s;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 40px);\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-right.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n    left: calc(50% + 50px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 40px)!important;\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-left.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n    left: calc(50% - 50px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'\';\\n    display: block;\\n    height: 9px;\\n    width: 40px;\\n  \\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1285", "173", "_wp_attached_file", "2019/12/arrow-left.png");
INSERT INTO `wpky_postmeta` VALUES("1286", "173", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:40;s:6:\"height\";i:9;s:4:\"file\";s:22:\"2019/12/arrow-left.png\";s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wpky_postmeta` VALUES("1293", "176", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1294", "176", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1295", "176", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1296", "176", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1297", "176", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1298", "176", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n    transition: .4s;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 30px);\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-right.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n    left: calc(50% + 35px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 30px)!important;\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-left.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n    left: calc(50% - 35px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'\';\\n    display: block;\\n    height: 9px;\\n    width: 40px;\\n  \\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1304", "178", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1305", "178", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1306", "178", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1307", "178", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1308", "178", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1309", "178", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n    transition: .4s;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 25px);\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-right.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n    left: calc(50% + 30px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 70px)!important;\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-left.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n    left: calc(50% - 75px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'\';\\n    display: block;\\n    height: 9px;\\n    width: 40px;\\n  \\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1313", "179", "_wp_attached_file", "2019/12/fb-outline.svg");
INSERT INTO `wpky_postmeta` VALUES("1315", "180", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1316", "180", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1317", "180", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1318", "180", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1319", "180", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1320", "180", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1323", "181", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1324", "181", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1325", "181", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1326", "181", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1327", "181", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1328", "181", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"custom_css\":\".testimonial-slider .elementor-swiper-button {\\n    position: absolute;\\n    top: calc(100% + 15px);\\n    transition: .4s;\\n    opacity: .8;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    left: calc(50% + 25px);\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-right.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n    left: calc(50% + 30px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    left: calc(50% - 70px)!important;\\n    background: url(\'https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/arrow-left.png\') no-repeat;\\n        background-size: contain;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n    left: calc(50% - 75px)!important;\\n}\\n\\n.testimonial-slider .elementor-swiper-button i:before {\\n    content: \'\';\\n    display: block;\\n    height: 9px;\\n    width: 40px;\\n  \\n}\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1339", "186", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1340", "186", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1341", "186", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1342", "186", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1343", "186", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1344", "186", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<img src=\\\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\\\">\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1347", "187", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1348", "187", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1349", "187", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1350", "187", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1351", "187", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1352", "187", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"img_width\":{\"unit\":\"%\",\"size\":26.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1354", "188", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1355", "188", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1356", "188", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1357", "188", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1358", "188", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1359", "188", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1364", "189", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1365", "189", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1366", "189", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1367", "189", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1368", "189", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1369", "189", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"c195f72\",\"elType\":\"widget\",\"settings\":{\"type\":\"image\",\"text\":\"\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-facebook-f\",\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"img_width\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1373", "190", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1374", "190", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1375", "190", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1376", "190", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1377", "190", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1378", "190", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1382", "191", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1383", "191", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1384", "191", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1385", "191", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1386", "191", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1387", "191", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1393", "193", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1394", "193", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1395", "193", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1396", "193", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1397", "193", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1398", "193", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"452523b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1402", "194", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1403", "194", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1404", "194", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1405", "194", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1406", "194", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1407", "194", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1410", "195", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1411", "195", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1412", "195", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1413", "195", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1414", "195", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1415", "195", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_css_classes\":\"white-on-hover\",\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1423", "198", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1424", "198", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1425", "198", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1426", "198", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1427", "198", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1428", "198", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 10px;\\n    top: 10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1432", "199", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1433", "199", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1434", "199", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1435", "199", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1436", "199", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1437", "199", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"css_classes\":\"white-on-hover\"},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1440", "200", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1441", "200", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1442", "200", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1443", "200", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1444", "200", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1445", "200", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 10px;\\n    top: 10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1450", "201", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1451", "201", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1452", "201", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1453", "201", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1454", "201", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1455", "201", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\"},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1458", "202", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1459", "202", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1460", "202", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1461", "202", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1462", "202", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1463", "202", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -30px;\\n    right: -10px;\\n    top: 100px;\\n    bottom: 100px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1468", "203", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1469", "203", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1470", "203", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1471", "203", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1472", "203", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1473", "203", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -20px;\\n    right: -10px;\\n    top: 100px;\\n    bottom: 50px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1477", "204", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1478", "204", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1479", "204", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1480", "204", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1481", "204", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1482", "204", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -20px;\\n    right: -10px;\\n    top: 100px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1489", "207", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1490", "207", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1491", "207", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1492", "207", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1493", "207", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1494", "207", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -20px;\\n    right: -10px;\\n    top: 100px;\\n    bottom: 30px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1498", "208", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1499", "208", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1500", "208", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1501", "208", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1502", "208", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1503", "208", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -20px;\\n    right: -20px;\\n    top: 100px;\\n    bottom: 30px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1511", "211", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1512", "211", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1513", "211", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1514", "211", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1515", "211", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1516", "211", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -40px;\\n    right: -10px;\\n    top: 100px;\\n    bottom: 5px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1523", "214", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1524", "214", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1525", "214", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1526", "214", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1527", "214", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1528", "214", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -40px;\\n    right: -10px;\\n    top: 100px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1531", "215", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1532", "215", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1533", "215", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1534", "215", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1535", "215", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1536", "215", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -40px;\\n    right: -10px;\\n    top: 150px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1539", "216", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1540", "216", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1541", "216", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1542", "216", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1543", "216", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1544", "216", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -30px;\\n    right: 50px;\\n    top: -20px;\\n    bottom: -20px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1548", "217", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1549", "217", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1550", "217", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1551", "217", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1552", "217", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1553", "217", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -30px;\\n    right: 100px;\\n    top: -20px;\\n    bottom: -20px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1560", "219", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1561", "219", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1562", "219", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1563", "219", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1564", "219", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1565", "219", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -50px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1569", "220", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1570", "220", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1571", "220", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1572", "220", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1573", "220", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1574", "220", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1578", "221", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1579", "221", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1580", "221", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1581", "221", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1582", "221", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1583", "221", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\"},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1587", "222", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1588", "222", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1589", "222", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1590", "222", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1591", "222", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1592", "222", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":[],\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\"},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1595", "223", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1596", "223", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1597", "223", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1598", "223", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1599", "223", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1600", "223", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\"},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1611", "225", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1612", "225", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1613", "225", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1614", "225", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1615", "225", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1616", "225", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\"},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1634", "232", "_edit_lock", "1668105097:5");
INSERT INTO `wpky_postmeta` VALUES("1635", "232", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("1636", "232", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1638", "232", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("1639", "232", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("1640", "232", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("1641", "232", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("1642", "232", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("1643", "232", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("1644", "232", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("1645", "232", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("1646", "232", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("1647", "232", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("1648", "232", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("1649", "232", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("1650", "232", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("1651", "232", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("1652", "232", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("1653", "232", "oh_enable_hook", "disable");
INSERT INTO `wpky_postmeta` VALUES("1654", "232", "oh_hook_location", "0");
INSERT INTO `wpky_postmeta` VALUES("1655", "232", "oh_hook_priority", "10");
INSERT INTO `wpky_postmeta` VALUES("1656", "232", "oh_hook_php", "disable");
INSERT INTO `wpky_postmeta` VALUES("1657", "232", "oh_hook_cond_logic", "");
INSERT INTO `wpky_postmeta` VALUES("1658", "232", "oh_hook_user_roles", "");
INSERT INTO `wpky_postmeta` VALUES("1659", "232", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("1660", "232", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("1661", "232", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("1662", "232", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("1663", "232", "php_data", "<?php\r\n	// Add your snippet here.\r\n?>");
INSERT INTO `wpky_postmeta` VALUES("1664", "232", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1665", "232", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1666", "232", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("1667", "232", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("1668", "234", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1669", "234", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1670", "234", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1671", "234", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1672", "234", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1673", "234", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1678", "236", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1679", "236", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1680", "236", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1681", "236", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1682", "236", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1683", "236", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1690", "237", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1691", "237", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1692", "237", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1693", "237", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1694", "237", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1695", "237", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1699", "238", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1700", "238", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1701", "238", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1702", "238", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1703", "238", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1704", "238", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1707", "239", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1708", "239", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1709", "239", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1710", "239", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1711", "239", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1712", "239", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1715", "240", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1716", "240", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1717", "240", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1718", "240", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1719", "240", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1720", "240", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1724", "241", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1725", "241", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1726", "241", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1727", "241", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1728", "241", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1729", "241", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_weight\":\"700\"},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1733", "242", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1734", "242", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1735", "242", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1736", "242", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1737", "242", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1738", "242", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1744", "244", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1745", "244", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1746", "244", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1747", "244", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1748", "244", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1749", "244", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1753", "232", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6466991\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":1300}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1754", "245", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1755", "245", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("1756", "245", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1757", "245", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1758", "245", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1759", "245", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1760", "245", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#000000\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1761", "246", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1762", "246", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1763", "246", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1764", "246", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1765", "246", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1766", "246", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1772", "248", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1773", "248", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1774", "248", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1775", "248", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1776", "248", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1777", "248", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1781", "249", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1782", "249", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1783", "249", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1784", "249", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1785", "249", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1786", "249", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"List Item #1\",\"selected_icon\":{\"value\":\"fas fa-check\",\"library\":\"fa-solid\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"List Item #2\",\"selected_icon\":{\"value\":\"fas fa-times\",\"library\":\"fa-solid\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"List Item #2\",\"selected_icon\":{\"value\":\"fas fa-times\",\"library\":\"fa-solid\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"List Item #2\",\"selected_icon\":{\"value\":\"fas fa-times\",\"library\":\"fa-solid\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"List Item #2\",\"selected_icon\":{\"value\":\"fas fa-times\",\"library\":\"fa-solid\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"List Item #3\",\"selected_icon\":{\"value\":\"fas fa-dot-circle\",\"library\":\"fa-solid\"},\"_id\":\"410681d\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1790", "250", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1791", "250", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1792", "250", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1793", "250", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1794", "250", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1795", "250", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1802", "253", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1803", "253", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1804", "253", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1805", "253", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1806", "253", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1807", "253", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\\n\\n.image-border.shorten-border:after {\\n    right: 350px;\\n}\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1813", "256", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1814", "256", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1815", "256", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1816", "256", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1817", "256", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1818", "256", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1821", "257", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1822", "257", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1823", "257", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1824", "257", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1825", "257", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1826", "257", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#FFFFFF\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1830", "258", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1831", "258", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1832", "258", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1833", "258", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1834", "258", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1835", "258", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#FFFFFF\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"d313b86\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1839", "259", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1840", "259", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1841", "259", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1842", "259", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1843", "259", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1844", "259", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1848", "260", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1849", "260", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1850", "260", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1851", "260", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1852", "260", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1853", "260", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#FFFFFF\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#FFFFFF\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#111111\",\"button_background_hover_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1861", "263", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1862", "263", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1863", "263", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1864", "263", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1865", "263", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1866", "263", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#111111\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#FFFFFF\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#FFFFFF\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#111111\",\"button_background_hover_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1872", "265", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1873", "265", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1874", "265", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1875", "265", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1876", "265", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1877", "265", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1883", "267", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1884", "267", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1885", "267", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1886", "267", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1887", "267", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1888", "267", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\"},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1892", "268", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1893", "268", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1894", "268", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1895", "268", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1896", "268", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1897", "268", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\"},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1904", "270", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1905", "270", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1906", "270", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1907", "270", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1908", "270", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1909", "270", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1912", "271", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("1913", "271", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1914", "271", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("1915", "271", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1916", "271", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1917", "271", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1920", "272", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1921", "272", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1922", "272", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1923", "272", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1924", "272", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1925", "272", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1929", "273", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1930", "273", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1931", "273", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1932", "273", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1933", "273", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1934", "273", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1938", "274", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("1939", "274", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1940", "274", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1941", "274", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1942", "274", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1943", "274", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1971", "53", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"posts_orderby\":\"post_title\",\"posts_order\":\"asc\",\"__globals__\":{\"typography_title_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b863d5d\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d1a4c78\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"719ee82\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("1972", "277", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("1973", "277", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("1974", "277", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("1975", "277", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("1976", "277", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("1977", "277", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("1978", "277", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(28, 83, 140, 0.43)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2125", "314", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2126", "314", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("2128", "314", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2129", "314", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2130", "315", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2131", "315", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("2132", "315", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("2133", "315", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2134", "315", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2135", "314", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2136", "314", "_elementor_data", "[{\"id\":\"5dd3bcff\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5c544c3b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"196c2c98\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#85CC74\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#1C538C\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2137", "316", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2138", "316", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("2139", "316", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("2140", "316", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2141", "316", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2142", "316", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2143", "316", "_elementor_data", "[{\"id\":\"5dd3bcff\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5c544c3b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"196c2c98\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#85CC74\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#1C538C\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2350", "363", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2351", "363", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2352", "363", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2353", "363", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2354", "363", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2355", "363", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"footer-btn\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2477", "383", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2478", "383", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2479", "383", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2480", "383", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2481", "383", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2482", "383", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2494", "385", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2495", "385", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2496", "385", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2497", "385", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2498", "385", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2499", "385", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-130\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2521", "395", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2522", "395", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2523", "395", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2524", "395", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2525", "395", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2526", "395", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-155\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2534", "398", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2535", "398", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2536", "398", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2537", "398", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2538", "398", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2539", "398", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2598", "403", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2599", "403", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2600", "403", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2601", "403", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2602", "403", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2603", "403", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2728", "433", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("2729", "433", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2730", "433", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2731", "433", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2732", "433", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2733", "433", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(28, 83, 140, 0.43)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"posts_per_page\":20},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2739", "434", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2740", "434", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2741", "434", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2742", "434", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2743", "434", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2744", "434", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"501c9a2\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2757", "436", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2758", "436", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2759", "436", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2760", "436", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2761", "436", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2762", "436", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"501c9a2\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2766", "437", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2767", "437", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2768", "437", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2769", "437", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2770", "437", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2771", "437", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"501c9a2\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"a01651a\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2776", "438", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2777", "438", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2778", "438", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2779", "438", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2780", "438", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2781", "438", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"501c9a2\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"bcb9b21\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"a01651a\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"559bfba\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"768297a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null},\"elements\":[{\"id\":\"781a425\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2785", "439", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2786", "439", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2787", "439", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2788", "439", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2789", "439", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2790", "439", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2794", "440", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2795", "440", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2796", "440", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2797", "440", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2798", "440", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2799", "440", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2819", "443", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2820", "443", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2821", "443", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2822", "443", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2823", "443", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2824", "443", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2828", "444", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2829", "444", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2830", "444", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2831", "444", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2832", "444", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2833", "444", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2837", "445", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2838", "445", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2839", "445", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2840", "445", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2841", "445", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2842", "445", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":32},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2845", "446", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2846", "446", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2847", "446", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2848", "446", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2849", "446", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2850", "446", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2855", "447", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2856", "447", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2857", "447", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2858", "447", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2859", "447", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2860", "447", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2864", "448", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2865", "448", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2866", "448", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2867", "448", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2868", "448", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2869", "448", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":32},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2873", "449", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2874", "449", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2875", "449", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2876", "449", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2877", "449", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2878", "449", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2882", "450", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2883", "450", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2884", "450", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2885", "450", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2886", "450", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2887", "450", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":32},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2894", "452", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2895", "452", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2896", "452", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2897", "452", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2898", "452", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2899", "452", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":32},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2903", "453", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2904", "453", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2905", "453", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2906", "453", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2907", "453", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2908", "453", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":32},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2911", "454", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("2912", "454", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2913", "454", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("2914", "454", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2915", "454", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2916", "454", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2921", "455", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2922", "455", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2923", "455", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2924", "455", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2925", "455", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2926", "455", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":18},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2930", "456", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2931", "456", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2932", "456", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2933", "456", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2934", "456", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2935", "456", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":30},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":27},\"elements\":[{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2939", "457", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2940", "457", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2941", "457", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2942", "457", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2943", "457", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2944", "457", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":22},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":14},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"13\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2956", "459", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2957", "459", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2958", "459", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2959", "459", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2960", "459", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2961", "459", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":22},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":14},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"13\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2966", "460", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2967", "460", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2968", "460", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2969", "460", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2970", "460", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2971", "460", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":22},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":14},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2975", "461", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2976", "461", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2977", "461", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2978", "461", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2979", "461", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2980", "461", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":22},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":14},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2984", "462", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2985", "462", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2986", "462", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2987", "462", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2988", "462", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2989", "462", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":22},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":14},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("2993", "463", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("2994", "463", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("2995", "463", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("2996", "463", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("2997", "463", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("2998", "463", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":18,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":22},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":14},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3003", "464", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3004", "464", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3005", "464", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3006", "464", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3007", "464", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3008", "464", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"content_position\":\"center\"},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":23},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3012", "465", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3013", "465", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3014", "465", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3015", "465", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3016", "465", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3017", "465", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"15\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":23},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3021", "466", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3022", "466", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3023", "466", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3024", "466", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3025", "466", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3026", "466", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":23},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3030", "467", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3031", "467", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3032", "467", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3033", "467", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3034", "467", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3035", "467", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":23},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3039", "468", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3040", "468", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3041", "468", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3042", "468", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3043", "468", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3044", "468", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":23},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":19},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3048", "469", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3049", "469", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3050", "469", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3051", "469", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3052", "469", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3053", "469", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":23},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":27},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3057", "470", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3058", "470", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3059", "470", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3060", "470", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3061", "470", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3062", "470", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":26},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3066", "471", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3067", "471", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3068", "471", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3069", "471", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3070", "471", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3071", "471", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project?\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3076", "472", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3077", "472", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3078", "472", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3079", "472", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3080", "472", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3081", "472", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3085", "473", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3086", "473", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3087", "473", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3088", "473", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3089", "473", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3090", "473", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3094", "474", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3095", "474", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3096", "474", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3097", "474", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3098", "474", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3099", "474", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3103", "475", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3104", "475", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3105", "475", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3106", "475", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3107", "475", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3108", "475", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3112", "476", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3113", "476", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3114", "476", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3115", "476", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3116", "476", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3117", "476", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":33},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":67},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":42,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":58,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3121", "477", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3122", "477", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3123", "477", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3124", "477", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3125", "477", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3126", "477", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":33},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":67},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":33,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":67,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3130", "478", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3131", "478", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3132", "478", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3133", "478", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3134", "478", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3135", "478", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":35},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":65},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":35,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":65,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3139", "479", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3140", "479", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3141", "479", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3142", "479", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3143", "479", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3144", "479", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"rgba(133, 204, 116, 0)\",\"icon_secondary_color\":\"#111111\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"7\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6.5\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3153", "482", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3154", "482", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3155", "482", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3156", "482", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3157", "482", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3158", "482", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"9.5\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3162", "483", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3163", "483", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3164", "483", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3165", "483", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3166", "483", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3167", "483", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3175", "486", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3176", "486", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3177", "486", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3178", "486", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3179", "486", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3180", "486", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3191", "490", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3192", "490", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3193", "490", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3194", "490", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3195", "490", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3196", "490", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"This site is protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> and <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | This site designed and hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3211", "493", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3212", "493", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3213", "493", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3214", "493", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3215", "493", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3216", "493", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9c89464\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6c27594\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8cf4450\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"_id\":\"d21eb82\",\"type\":\"image\",\"image_link_to_type\":\"custom\",\"image_link_to\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"video\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"type\":\"image\",\"image_link_to_type\":\"custom\",\"image_link_to\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"video\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"0ee39eb\"},{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"type\":\"image\",\"image_link_to_type\":\"custom\",\"image_link_to\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"video\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"61e1e61\"}],\"slides_per_view\":\"4\",\"slides_to_scroll\":\"4\",\"height\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"pagination\":\"\",\"autoplay\":\"\",\"image_fit\":\"contain\"},\"elements\":[],\"widgetType\":\"media-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3221", "494", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3222", "494", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3223", "494", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3224", "494", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3225", "494", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3226", "494", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> & <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3230", "495", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3231", "495", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3232", "495", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3233", "495", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3234", "495", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3235", "495", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> & <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3239", "496", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3240", "496", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3241", "496", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3242", "496", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3243", "496", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3244", "496", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> & <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3255", "501", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3256", "501", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3257", "501", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3258", "501", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3259", "501", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3260", "501", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> & <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. \\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3264", "502", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3265", "502", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3266", "502", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3267", "502", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3268", "502", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3269", "502", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> & <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3273", "503", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3274", "503", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3275", "503", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3276", "503", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3277", "503", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3278", "503", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8f21465\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"f779e70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"77844c4\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> & <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"d270dba\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"c1b28ac\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"\\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3282", "504", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3283", "504", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3284", "504", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3285", "504", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3286", "504", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3287", "504", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-logo.png\",\"id\":243},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3312", "512", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3313", "512", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3314", "512", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3315", "512", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3316", "512", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3317", "512", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3321", "513", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3322", "513", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3323", "513", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3324", "513", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3325", "513", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3326", "513", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"4794 S Dixie Dr\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Suite A, Moraine, OH 45439\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"937-938-6911\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:inquiry@racooks.com\\\">inquiry@racooks.com<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3333", "515", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3334", "515", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3335", "515", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3336", "515", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3337", "515", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3338", "515", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9c89464\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6c27594\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9f11d36\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"0884bd6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dd80f03\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"6cb5f4e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a2ccbed\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"eda84f8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d305dd9\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"1bfe39b\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6160c0e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3342", "516", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3343", "516", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3344", "516", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3345", "516", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3346", "516", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3347", "516", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9c89464\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6c27594\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9f11d36\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"0884bd6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"dd80f03\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"6cb5f4e\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a2ccbed\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"eda84f8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d305dd9\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"1bfe39b\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6160c0e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3350", "517", "_edit_lock", "1668104967:5");
INSERT INTO `wpky_postmeta` VALUES("3351", "517", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("3352", "517", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3354", "517", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("3355", "517", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("3356", "517", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("3357", "517", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("3358", "517", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("3359", "517", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("3360", "517", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("3361", "517", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("3362", "517", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("3363", "517", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("3364", "517", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("3365", "517", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("3366", "517", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("3367", "517", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("3368", "517", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("3369", "517", "oh_enable_hook", "disable");
INSERT INTO `wpky_postmeta` VALUES("3370", "517", "oh_hook_location", "0");
INSERT INTO `wpky_postmeta` VALUES("3371", "517", "oh_hook_priority", "10");
INSERT INTO `wpky_postmeta` VALUES("3372", "517", "oh_hook_php", "disable");
INSERT INTO `wpky_postmeta` VALUES("3373", "517", "oh_hook_cond_logic", "");
INSERT INTO `wpky_postmeta` VALUES("3374", "517", "oh_hook_user_roles", "");
INSERT INTO `wpky_postmeta` VALUES("3375", "517", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("3376", "517", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("3377", "517", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("3378", "517", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("3379", "517", "php_data", "<?php\r\n	// Add your snippet here.\r\n?>");
INSERT INTO `wpky_postmeta` VALUES("3380", "517", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3381", "517", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3382", "517", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("3383", "517", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("3384", "517", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | Affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.89099999999999823785401531495153903961181640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | Affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667000000000001591615728102624416351318359375,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.66499999999999914734871708787977695465087890625,\"_inline_size_tablet\":33.332999999999998408384271897375583648681640625,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3385", "519", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3386", "519", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("3387", "519", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3388", "519", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3389", "519", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3390", "519", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3391", "519", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3392", "520", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3393", "520", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3394", "520", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3395", "520", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3396", "520", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3397", "520", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3404", "522", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3405", "522", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3406", "522", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3407", "522", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3408", "522", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3409", "522", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#1C538C\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3413", "523", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3414", "523", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3415", "523", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3416", "523", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3417", "523", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3418", "523", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#1C538C\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3425", "525", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3426", "525", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3427", "525", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3428", "525", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3429", "525", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3430", "525", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3441", "530", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3442", "530", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3443", "530", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3444", "530", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3445", "530", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3446", "530", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3449", "531", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3450", "531", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3451", "531", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3452", "531", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3453", "531", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3454", "531", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3459", "532", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3460", "532", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3461", "532", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3462", "532", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3463", "532", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3464", "532", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3467", "533", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3468", "533", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3469", "533", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3470", "533", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3471", "533", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3472", "533", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3477", "534", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3478", "534", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3479", "534", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3480", "534", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3481", "534", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3482", "534", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":39,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3487", "535", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3488", "535", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3489", "535", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3490", "535", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3491", "535", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3492", "535", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3496", "536", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3497", "536", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3498", "536", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3499", "536", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3500", "536", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3501", "536", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3505", "537", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3506", "537", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3507", "537", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3508", "537", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3509", "537", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3510", "537", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3514", "538", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3515", "538", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3516", "538", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3517", "538", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3518", "538", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3519", "538", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3523", "539", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3524", "539", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3525", "539", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3526", "539", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3527", "539", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3528", "539", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3538", "543", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3539", "543", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3540", "543", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3541", "543", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3542", "543", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3543", "543", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-5.jpg\",\"id\":541},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3546", "544", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3547", "544", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3548", "544", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3549", "544", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3550", "544", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3551", "544", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-5.jpg\",\"id\":541},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3554", "545", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3555", "545", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3556", "545", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3557", "545", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3558", "545", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3559", "545", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3563", "546", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3564", "546", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3565", "546", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3566", "546", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3567", "546", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3568", "546", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3572", "547", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3573", "547", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3574", "547", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3575", "547", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3576", "547", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3577", "547", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3590", "550", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3591", "550", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3592", "550", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3593", "550", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3594", "550", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3595", "550", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3597", "551", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3598", "551", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3599", "551", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3600", "551", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3601", "551", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3602", "551", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3604", "552", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3605", "552", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3606", "552", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3607", "552", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3608", "552", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3609", "552", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3612", "553", "_edit_lock", "1668104988:5");
INSERT INTO `wpky_postmeta` VALUES("3613", "553", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("3614", "553", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3616", "553", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("3617", "553", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("3618", "553", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("3619", "553", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("3620", "553", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("3621", "553", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("3622", "553", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("3623", "553", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("3624", "553", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("3625", "553", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("3626", "553", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("3627", "553", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("3628", "553", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("3629", "553", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("3630", "553", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("3631", "553", "oh_enable_hook", "disable");
INSERT INTO `wpky_postmeta` VALUES("3632", "553", "oh_hook_location", "0");
INSERT INTO `wpky_postmeta` VALUES("3633", "553", "oh_hook_priority", "10");
INSERT INTO `wpky_postmeta` VALUES("3634", "553", "oh_hook_php", "disable");
INSERT INTO `wpky_postmeta` VALUES("3635", "553", "oh_hook_cond_logic", "");
INSERT INTO `wpky_postmeta` VALUES("3636", "553", "oh_hook_user_roles", "");
INSERT INTO `wpky_postmeta` VALUES("3637", "553", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("3638", "553", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("3639", "553", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("3640", "553", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("3641", "553", "php_data", "<?php\r\n	// Add your snippet here.\r\n?>");
INSERT INTO `wpky_postmeta` VALUES("3642", "553", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3643", "553", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3644", "553", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("3645", "553", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("3646", "555", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3647", "555", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3648", "555", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3649", "555", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3650", "555", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3651", "555", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3654", "556", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3655", "556", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3656", "556", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3657", "556", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3658", "556", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3659", "556", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3662", "557", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3663", "557", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3664", "557", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3665", "557", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3666", "557", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3667", "557", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3671", "558", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3672", "558", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3673", "558", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3674", "558", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3675", "558", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3676", "558", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3680", "553", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #1\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"4b38596\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #2\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"51614cb\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #3\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"28e6e1b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #4\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3681", "559", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3682", "559", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("3683", "559", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3684", "559", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3685", "559", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3686", "559", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3687", "559", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3695", "562", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3696", "562", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3697", "562", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3698", "562", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3699", "562", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3700", "562", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3713", "564", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3714", "564", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3715", "564", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3716", "564", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3717", "564", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3718", "564", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3722", "565", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3723", "565", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3724", "565", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3725", "565", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3726", "565", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3727", "565", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"custom_css\":\".wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.wpforms-submit-container {\\n\\twidth: 129px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3731", "566", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3732", "566", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3733", "566", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3734", "566", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3735", "566", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3736", "566", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"custom_css\":\".wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3750", "573", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3751", "573", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3752", "573", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3753", "573", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3754", "573", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3755", "573", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 129px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3765", "578", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3766", "578", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3767", "578", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3768", "578", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3769", "578", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3770", "578", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 129px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3775", "580", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3776", "580", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3777", "580", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3778", "580", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3779", "580", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3780", "580", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3784", "581", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3785", "581", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3786", "581", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3787", "581", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3788", "581", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3789", "581", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3796", "583", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3797", "583", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3798", "583", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3799", "583", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3800", "583", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3801", "583", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"17\",\"bottom\":\"17\",\"left\":\"17\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3808", "586", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3809", "586", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3810", "586", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3811", "586", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3812", "586", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3813", "586", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3820", "589", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3821", "589", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3822", "589", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3823", "589", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3824", "589", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3825", "589", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3830", "591", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3831", "591", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3832", "591", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3833", "591", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3834", "591", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3835", "591", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3842", "593", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3843", "593", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3844", "593", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3845", "593", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3846", "593", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3847", "593", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3854", "596", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3855", "596", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3856", "596", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3857", "596", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3858", "596", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3859", "596", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\\n\\n@media only screen and (max-width: 600px) {\\n    \\n    .subscribe .wpforms-field-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n\\tclear: both !important;\\n\\ttext-align: left !important;\\n}\\n    \\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3863", "597", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("3864", "597", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3865", "597", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("3866", "597", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3867", "597", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3868", "597", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-5.jpg\",\"id\":541},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-chimney\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3873", "598", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3874", "598", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3875", "598", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3876", "598", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3877", "598", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3878", "598", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\\n\\n@media only screen and (max-width: 600px) {\\n    \\n    .subscribe .wpforms-field-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n\\tclear: both !important;\\n\\ttext-align: left !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: 100% !important;\\n\\tmargin-left: 0px !important;\\n}\\n\\n    \\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3882", "599", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3883", "599", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3884", "599", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3885", "599", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3886", "599", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3887", "599", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\\n\\n@media only screen and (max-width: 600px) {\\n    \\n    .subscribe .wpforms-field-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n\\tclear: both !important;\\n\\ttext-align: left !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: 100% !important;\\n\\tmargin-left: 0px !important;\\n}\\n\\n.subscribe .wpforms-submit {\\n    width: 100% !important;\\n}\\n\\n    \\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3891", "600", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3892", "600", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3893", "600", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3894", "600", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3895", "600", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3896", "600", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\\n\\n@media only screen and (max-width: 600px) {\\n    \\n    .subscribe .wpforms-field-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n\\tclear: both !important;\\n\\ttext-align: left !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: 100% !important;\\n\\tmargin-left: 0px !important;\\n}\\n\\n.subscribe .wpforms-submit {\\n    width: 100% !important;\\n}\\n\\n    \\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3900", "601", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3901", "601", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3902", "601", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3903", "601", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3904", "601", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3905", "601", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\",\"custom_css\":\".subscribe .wpforms-field-container {\\n\\twidth: calc(100% - 140px) !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 140px !important;\\n\\tfloat: left !important;\\n\\tclear: none !important;\\n\\ttext-align: right !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: calc(50% - 5px) !important;\\n\\tmargin-left: 10px !important;\\n}\\n\\n@media only screen and (max-width: 600px) {\\n    \\n    .subscribe .wpforms-field-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n}\\n\\n.subscribe .wpforms-submit-container {\\n\\twidth: 100% !important;\\n\\tfloat: left !important;\\n\\tclear: both !important;\\n\\ttext-align: left !important;\\n}\\n\\n.subscribe .wpforms-one-half {\\n\\twidth: 100% !important;\\n\\tmargin-left: 0px !important;\\n}\\n\\n.subscribe .wpforms-submit {\\n    width: 100% !important;\\n}\\n\\n    \\n}\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3913", "604", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3914", "604", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3915", "604", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3916", "604", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3917", "604", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3918", "604", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_focus_background_background\":\"classic\",\"inputs_focus_background_color\":\"#E7E7E7\",\"inputs_focus_color\":\"#444444\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3922", "605", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3923", "605", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3924", "605", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3925", "605", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3926", "605", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3927", "605", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_focus_background_background\":\"classic\",\"inputs_focus_background_color\":\"#E7E7E7\",\"inputs_focus_color\":\"#444444\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12.5\",\"right\":\"12.5\",\"bottom\":\"12.5\",\"left\":\"12.5\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("3944", "610", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("3945", "610", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("3946", "610", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("3947", "610", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("3948", "610", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("3949", "610", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":30,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-nari.png\",\"id\":484},\"width\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":42,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/BBB-Logo.png\",\"id\":485},\"width\":{\"unit\":\"px\",\"size\":230,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":27.557,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/logo-dayton.png\",\"id\":492},\"width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_focus_background_background\":\"classic\",\"inputs_focus_background_color\":\"#E7E7E7\",\"inputs_focus_color\":\"#444444\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12.5\",\"right\":\"12.5\",\"bottom\":\"12.5\",\"left\":\"12.5\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4010", "620", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("4011", "620", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4012", "620", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4013", "620", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4014", "620", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("4015", "620", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4039", "623", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("4040", "623", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4041", "623", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4042", "623", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4043", "623", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("4044", "623", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4130", "646", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4131", "646", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4132", "646", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4133", "646", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4134", "646", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("4135", "646", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-house.png\",\"id\":645},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":6,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"6\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4144", "649", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4145", "649", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4146", "649", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4147", "649", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4148", "649", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("4149", "649", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-house.png\",\"id\":645},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\" 4794 S Dixie Dr Suite A<br \\/>Moraine, OH 45439\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"937-938-6911\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"inquiry@racooks.com\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4167", "655", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4168", "655", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4169", "655", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4170", "655", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4171", "655", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("4172", "655", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-5.jpg\",\"id\":541},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-caret-up\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4175", "656", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4176", "656", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4177", "656", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4178", "656", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4179", "656", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4180", "656", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-5.jpg\",\"id\":541},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-caret-up\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":52,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4184", "657", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4185", "657", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4186", "657", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4187", "657", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4188", "657", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("4189", "657", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-caret-up\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":52,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4193", "658", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4194", "658", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4195", "658", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4196", "658", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4197", "658", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4198", "658", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-caret-up\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":52,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-2\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4202", "659", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4203", "659", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4204", "659", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4205", "659", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4206", "659", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4207", "659", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-caret-up\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":52,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-3\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4211", "660", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4212", "660", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4213", "660", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4214", "660", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4215", "660", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4216", "660", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-house\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"-4\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4219", "661", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("4220", "661", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4221", "661", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("4222", "661", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4223", "661", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4224", "661", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-house\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"-6\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4227", "662", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4228", "662", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4229", "662", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4230", "662", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4231", "662", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4232", "662", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/slider-bg.jpg\",\"id\":55},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Committed to superior quality and results.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.<\\/p>\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-1.jpg\",\"id\":229},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-2.jpg\",\"id\":230},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-5.jpg\",\"id\":541},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Kitchen-details_Sm_DSC_5391.jpg\",\"id\":192},\"background_position\":\"center left\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"You\\u2019ve got big home remodeling plans. Maybe you\\u2019d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don\\u2019t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-house\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"-6\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4276", "29", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d58400f\",\"elType\":\"widget\",\"settings\":{\"post_type\":\"reviews\",\"title_tag\":\"h3\",\"meta\":\"\",\"author\":\"\",\"date\":\"\",\"cat\":\"\",\"comments\":\"\",\"excerpt_length\":30,\"readmore_text\":\"Read More\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"content_bg_\":\"#FFFFFF\",\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4277", "673", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4278", "673", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("4279", "673", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4280", "673", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4281", "673", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4282", "673", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4283", "673", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":[],\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4285", "674", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4286", "674", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4287", "674", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4288", "674", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4289", "674", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4290", "674", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-343,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4294", "675", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4295", "675", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4296", "675", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4297", "675", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4298", "675", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4299", "675", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4303", "676", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4304", "676", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4305", "676", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4306", "676", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4307", "676", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4308", "676", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"align\":\"center\",\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4311", "677", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4312", "677", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4313", "677", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4314", "677", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4315", "677", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4316", "677", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4319", "678", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4320", "678", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4321", "678", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4322", "678", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4323", "678", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4324", "678", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4328", "679", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4329", "679", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4330", "679", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4331", "679", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4332", "679", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4333", "679", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4347", "682", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4348", "682", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4349", "682", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4350", "682", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4351", "682", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4352", "682", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4354", "683", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4355", "683", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4356", "683", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4357", "683", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4358", "683", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4359", "683", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4398", "687", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4399", "687", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4400", "687", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4401", "687", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4402", "687", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4403", "687", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4405", "688", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4406", "688", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4407", "688", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4408", "688", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4409", "688", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4410", "688", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"400a46e\",\"elType\":\"widget\",\"settings\":{\"count\":\"6\",\"grid_equal_heights\":\"yes\",\"pagination\":\"yes\",\"post_type\":\"post\",\"include_categories\":\"Testimonials\",\"readmore_text\":\"Continue Reading\",\"author\":\"\",\"comments\":\"\",\"cat\":\"\",\"excerpt_length\":\"50\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-grid\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4488", "707", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4489", "707", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4490", "707", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4491", "707", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4492", "707", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4493", "707", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"400a46e\",\"elType\":\"widget\",\"settings\":{\"count\":\"6\",\"grid_equal_heights\":\"yes\",\"pagination\":\"yes\",\"post_type\":\"post\",\"include_categories\":\"Testimonials\",\"readmore_text\":\"Continue Reading\",\"author\":\"\",\"comments\":\"\",\"cat\":\"\",\"excerpt_length\":\"50\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-grid\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":50,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4497", "708", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4498", "708", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4499", "708", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4500", "708", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4501", "708", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4502", "708", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":50,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4731", "725", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4732", "725", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4733", "725", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4734", "725", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4735", "725", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4736", "725", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4746", "730", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4747", "730", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4748", "730", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4749", "730", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4750", "730", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4751", "730", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4755", "731", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4756", "731", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4757", "731", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4758", "731", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4759", "731", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4760", "731", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4764", "732", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4765", "732", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4766", "732", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4767", "732", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4768", "732", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4769", "732", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("4773", "733", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("4774", "733", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("4775", "733", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("4776", "733", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4777", "733", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("4778", "733", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5899", "807", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5900", "807", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5901", "807", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("5902", "807", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5903", "807", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5904", "807", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"45\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5914", "812", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5915", "812", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5916", "812", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("5917", "812", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5918", "812", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5919", "812", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"45\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5923", "813", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5924", "813", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5925", "813", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("5926", "813", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5927", "813", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5928", "813", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"45\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5932", "815", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5933", "815", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5934", "815", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("5935", "815", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5936", "815", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5937", "815", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"45\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5953", "819", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5954", "819", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5955", "819", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("5956", "819", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5957", "819", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5958", "819", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/NARI-Award-Picture-1-scaled.jpeg\",\"id\":671},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers\\u2019 complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bg.jpg\",\"id\":672},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Vision\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"To Transform homes and communities by inspiring and empowering people to make their dream home a reality.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our Mission\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hammer\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Quality Services\",\"description\":\"Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-briefcase\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Reputation\",\"description\":\"Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-money-bill\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Competitive Pricing\",\"description\":\"We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/small-Kitchen1_DSC_2499.png\",\"id\":681},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-stars\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.<\\/strong><\\/p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1e3d60e\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\",\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5963", "821", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5964", "821", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("5966", "821", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5967", "821", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5968", "822", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5969", "822", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("5970", "822", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("5971", "822", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5972", "822", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5973", "821", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5974", "821", "_elementor_data", "[{\"id\":\"278bf750\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"42e36443\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2faced8\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"573a6b4c\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"73f5cea6\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("5975", "823", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("5976", "823", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("5977", "823", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("5978", "823", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5979", "823", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("5980", "823", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("5981", "823", "_elementor_data", "[{\"id\":\"278bf750\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"42e36443\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2faced8\",\"elType\":\"widget\",\"settings\":{\"title\":\"Here\\u2019s what our customers are saying about our Renovations in the Dayton, Ohio area.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"573a6b4c\",\"elType\":\"widget\",\"settings\":{\"classic_thumbnail\":\"none\",\"classic_title_tag\":\"h2\",\"classic_excerpt_length\":45,\"classic_meta_data\":[],\"classic_meta_separator\":\"\\/\\/\\/\",\"classic_read_more_text\":\"Continue Reading \\u00bb\",\"cards_meta_separator\":\"\\u2022\",\"cards_read_more_text\":\"Read More \\u00bb\",\"full_content_meta_separator\":\"\\/\\/\\/\",\"posts_include\":[\"terms\"],\"posts_include_term_ids\":[\"5\"],\"classic_box_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"classic_box_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"classic_box_bg_color\":\"#F8F8F8\",\"classic_box_border_color\":\"#DDDDDD\",\"classic_title_typography_typography\":\"custom\",\"classic_title_typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"classic_title_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"classic_excerpt_color\":\"#444444\",\"classic_excerpt_typography_typography\":\"custom\",\"classic_excerpt_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"classic_excerpt_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"classic_excerpt_spacing\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"classic_read_more_typography_typography\":\"custom\",\"classic_read_more_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"classic_read_more_typography_font_weight\":\"800\",\"classic_read_more_typography_text_transform\":\"uppercase\",\"classic_read_more_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"classic_read_more_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_type\":\"numbers_and_prev_next\",\"pagination_page_limit\":\"5\",\"pagination_prev_label\":\"&laquo; Previous\",\"pagination_next_label\":\"Next &raquo;\"},\"elements\":[],\"widgetType\":\"posts\"},{\"id\":\"73f5cea6\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Learn More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6009", "827", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6064", "32", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\\n\\n@media only screen and (max-width: 1024px) {\\n    .social-icon-side-icon {\\n        width:61px!important;\\n    }\\n    \\n    .social-icon-side-text {\\n        width: calc(100% - 61px)!important;\\n    }\\n\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"content_position\":\"center\",\"space_between_widgets\":5,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6065", "844", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6066", "844", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6067", "844", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6068", "844", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6069", "844", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6070", "844", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6071", "844", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"1674dcc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"51e18d4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0017ea9\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0768130\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1bdf215\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6072", "845", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6073", "845", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6074", "845", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6075", "845", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6076", "845", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6077", "845", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"1674dcc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\"},\"elements\":[{\"id\":\"51e18d4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0017ea9\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0768130\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1bdf215\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6079", "846", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6080", "846", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6081", "846", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6082", "846", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6083", "846", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6084", "846", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"1674dcc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_color\":\"#FFFFFF\"},\"elements\":[{\"id\":\"51e18d4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0017ea9\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0768130\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1bdf215\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6090", "848", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6091", "848", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6092", "848", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6093", "848", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6094", "848", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6095", "848", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"1674dcc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"center\",\"background_color\":\"#FFFFFF\"},\"elements\":[{\"id\":\"51e18d4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0017ea9\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0768130\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1bdf215\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"cc7c868\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"1f3c6a4\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"505aa50\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"cebbb50\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7c4ec5c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6098", "849", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6099", "849", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6100", "849", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6101", "849", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6102", "849", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6103", "849", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"1674dcc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"center\",\"space_between_widgets\":40,\"background_color\":\"#FFFFFF\"},\"elements\":[{\"id\":\"51e18d4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0017ea9\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"0768130\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1bdf215\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"cc7c868\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"1f3c6a4\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"505aa50\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"cebbb50\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7c4ec5c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6130", "856", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6131", "856", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6132", "856", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6133", "856", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6134", "856", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6135", "856", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"reverse_order_tablet\":\"reverse-tablet\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#FFFFFF\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"bbc06df\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"hide_desktop\":\"hidden-desktop\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"43393f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"b29d459\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"76e875f\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"7c95930\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"3a96a99\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"40a3541\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6137", "857", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6138", "857", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6139", "857", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6140", "857", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6141", "857", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6142", "857", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"reverse_order_tablet\":\"reverse-tablet\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#FFFFFF\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"bbc06df\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"43393f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"b29d459\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"76e875f\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"7c95930\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"3a96a99\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"40a3541\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6147", "858", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6148", "858", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6149", "858", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6150", "858", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6151", "858", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6152", "858", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"reverse_order_tablet\":\"reverse-tablet\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#FFFFFF\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"bbc06df\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"43393f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"b29d459\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"76e875f\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"7c95930\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"3a96a99\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"40a3541\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6352", "894", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6353", "894", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("6355", "894", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6356", "894", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6357", "895", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6358", "895", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("6359", "895", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6360", "895", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6361", "895", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6362", "894", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6363", "894", "_elementor_data", "[{\"id\":\"7099a326\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"47f1845c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"1a69ef3f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"62e42a8a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7832ade8\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2a60820f\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"9b43fee\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5cba86f0\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"4ec60cbf\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6364", "896", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6365", "896", "_elementor_template_type", "section");
INSERT INTO `wpky_postmeta` VALUES("6366", "896", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6367", "896", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6368", "896", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6369", "896", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6370", "896", "_elementor_data", "[{\"id\":\"7099a326\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"47f1845c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"1a69ef3f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"62e42a8a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"7832ade8\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2a60820f\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"9b43fee\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5cba86f0\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"4ec60cbf\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6470", "910", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6471", "910", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6472", "910", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6473", "910", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6474", "910", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6475", "910", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"reverse_order_tablet\":\"reverse-tablet\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"bbc06df\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"43393f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"b29d459\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"76e875f\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"7c95930\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null},\"elements\":[{\"id\":\"3a96a99\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"40a3541\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6479", "911", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6480", "911", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6481", "911", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6482", "911", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6483", "911", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6484", "911", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6488", "912", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6489", "912", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6490", "912", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6491", "912", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6492", "912", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6493", "912", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6497", "913", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6498", "913", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6499", "913", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6500", "913", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6501", "913", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6502", "913", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6506", "914", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6507", "914", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6508", "914", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6509", "914", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6510", "914", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6511", "914", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6515", "915", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6516", "915", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6517", "915", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6518", "915", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6519", "915", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6520", "915", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6524", "916", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6525", "916", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6526", "916", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6527", "916", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6528", "916", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6529", "916", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Moraine, OH\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"937-938-6911\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"inquiry@racooks.com\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"https:\\/\\/www.facebook.com\\/RACOOKSRENO\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/www.instagram.com\\/racooksrenovations\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6569", "919", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6570", "919", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6571", "919", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6572", "919", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6573", "919", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6574", "919", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("6576", "29", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6584", "922", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6585", "922", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6586", "922", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6587", "922", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6588", "922", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6589", "922", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-map-marker\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-phone\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-envelope\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"icon\":\"fa fa-calendar\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6599", "924", "_wp_attached_file", "2020/01/iStock-1040250650.jpg");
INSERT INTO `wpky_postmeta` VALUES("6600", "924", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:2309;s:6:\"height\";i:1299;s:4:\"file\";s:29:\"2020/01/iStock-1040250650.jpg\";s:5:\"sizes\";a:6:{s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"iStock-1040250650-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:30:\"iStock-1040250650-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"iStock-1040250650-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"iStock-1040250650-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:30:\"iStock-1040250650-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"2048x2048\";a:4:{s:4:\"file\";s:31:\"iStock-1040250650-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:24:\"Getty Images/iStockphoto\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:63:\"Gray Background, Paper, Flooring, Backgrounds, White Background\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:23:\"White studio background\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wpky_postmeta` VALUES("6601", "925", "_wp_attached_file", "2020/01/iStock-1147544807.jpg");
INSERT INTO `wpky_postmeta` VALUES("6602", "925", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1732;s:6:\"height\";i:1732;s:4:\"file\";s:29:\"2020/01/iStock-1147544807.jpg\";s:5:\"sizes\";a:5:{s:6:\"medium\";a:4:{s:4:\"file\";s:29:\"iStock-1147544807-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:29:\"iStock-1147544807-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:29:\"iStock-1147544807-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:24:\"Getty Images/iStockphoto\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:37:\"Vector graphic of no thumbnail symbol\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:36:\"(No) Thumbnail image, vector graphic\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:1:{i:0;s:64:\"thumbnail,image,placeholder,preview,gif,vector graphic,digital,c\";}}}");
INSERT INTO `wpky_postmeta` VALUES("6603", "926", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6604", "926", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6605", "926", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6606", "926", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6607", "926", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6608", "926", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-home\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a9d0d36\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"adc2b9d\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"c087e86\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"90904ea\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"7d5ffa2\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-house\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"-6\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-hard-hat\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"We work with our clients to ensure that all of their needs are met in a timely and efficient manner.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/testimonial-bg.jpg\",\"id\":144},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!\",\"name\":\"Martha Meyer\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.\",\"name\":\"Renise Marsh\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"274289c\"},{\"content\":\"RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!\",\"name\":\"Nancy Riley\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"b30f0d9\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-6.jpg\",\"id\":542},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-4.jpg\",\"id\":540},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/accent-image-3.jpg\",\"id\":231},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"When you are looking to start a construction or remodeling project of significant size, you don\\u2019t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/about-bgimg-home.jpg\",\"id\":264},\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6617", "928", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6618", "928", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6619", "928", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6620", "928", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6621", "928", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6622", "928", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6625", "929", "_wp_attached_file", "2020/01/placeholder-logo.png");
INSERT INTO `wpky_postmeta` VALUES("6626", "929", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1515;s:6:\"height\";i:300;s:4:\"file\";s:28:\"2020/01/placeholder-logo.png\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"placeholder-logo-300x59.png\";s:5:\"width\";i:300;s:6:\"height\";i:59;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:29:\"placeholder-logo-1024x203.png\";s:5:\"width\";i:1024;s:6:\"height\";i:203;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"placeholder-logo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:28:\"placeholder-logo-768x152.png\";s:5:\"width\";i:768;s:6:\"height\";i:152;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wpky_postmeta` VALUES("6627", "930", "_wp_attached_file", "2020/01/placeholder-logo-white.png");
INSERT INTO `wpky_postmeta` VALUES("6628", "930", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1515;s:6:\"height\";i:300;s:4:\"file\";s:34:\"2020/01/placeholder-logo-white.png\";s:5:\"sizes\";a:4:{s:6:\"medium\";a:4:{s:4:\"file\";s:33:\"placeholder-logo-white-300x59.png\";s:5:\"width\";i:300;s:6:\"height\";i:59;s:9:\"mime-type\";s:9:\"image/png\";}s:5:\"large\";a:4:{s:4:\"file\";s:35:\"placeholder-logo-white-1024x203.png\";s:5:\"width\";i:1024;s:6:\"height\";i:203;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:34:\"placeholder-logo-white-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:34:\"placeholder-logo-white-768x152.png\";s:5:\"width\";i:768;s:6:\"height\";i:152;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wpky_postmeta` VALUES("6640", "934", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6641", "934", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6642", "934", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6643", "934", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6644", "934", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("6645", "934", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-house.png\",\"id\":645},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/about\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Our Process\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/process\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Budget\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/budget\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Kitchen Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Bathroom Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Basement Remodeling\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Storm Damage\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Flooring Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Roofing Work\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\\/\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6648", "935", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6649", "935", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6650", "935", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6651", "935", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6652", "935", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6653", "935", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-house.png\",\"id\":645},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/paper-texture.jpg\",\"id\":266},\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6673", "941", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6674", "941", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6675", "941", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6676", "941", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6677", "941", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6678", "941", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/footer-house.png\",\"id\":645},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6682", "942", "_wp_attached_file", "2019/12/placeholder-mark.png");
INSERT INTO `wpky_postmeta` VALUES("6683", "942", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:335;s:6:\"height\";i:300;s:4:\"file\";s:28:\"2019/12/placeholder-mark.png\";s:5:\"sizes\";a:2:{s:6:\"medium\";a:4:{s:4:\"file\";s:28:\"placeholder-mark-300x269.png\";s:5:\"width\";i:300;s:6:\"height\";i:269;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:28:\"placeholder-mark-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wpky_postmeta` VALUES("6684", "943", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6685", "943", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6686", "943", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6687", "943", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6688", "943", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6689", "943", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2aa47d3\",\"elType\":\"widget\",\"settings\":{\"text\":\"Free Consultation\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/contact\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"800\",\"typography_text_transform\":\"uppercase\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"button_text_color\":\"#111111\",\"background_color\":\"rgba(0, 0, 0, 0)\",\"hover_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#111111\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6693", "944", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6694", "944", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6695", "944", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6696", "944", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6697", "944", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("6698", "944", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.nari.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.891,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/www.bbb.org\\/us\\/oh\\/dayton\\/profile\\/general-contractor\\/ra-cooks-renovations-0322-21974\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"https:\\/\\/daytonchamber.org\\/\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"_inline_size_tablet\":100,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Subscribe to RA Cooks\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Get the latest news, downloads, specials and other exciting information when you sign up.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"41dca70\",\"elType\":\"widget\",\"settings\":{\"form\":\"549\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#E0E0E0\",\"inputs_focus_background_background\":\"classic\",\"inputs_focus_background_color\":\"#E7E7E7\",\"inputs_focus_color\":\"#444444\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"12.5\",\"right\":\"12.5\",\"bottom\":\"12.5\",\"left\":\"12.5\",\"isLinked\":true},\"button_hover_background_background\":\"classic\",\"button_hover_background_color\":\"#F3F3F3\",\"button_hover_color\":\"#111111\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"_css_classes\":\"subscribe\"},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6702", "945", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6703", "945", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6704", "945", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6705", "945", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6706", "945", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6707", "945", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.891,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.665,\"_inline_size_tablet\":33.333,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"17bd454\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Get Started\",\"link\":{\"url\":\"#\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false},\"align\":\"right\",\"align_mobile\":\"left\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6711", "946", "_menu_item_type", "post_type");
INSERT INTO `wpky_postmeta` VALUES("6712", "946", "_menu_item_menu_item_parent", "0");
INSERT INTO `wpky_postmeta` VALUES("6713", "946", "_menu_item_object_id", "53");
INSERT INTO `wpky_postmeta` VALUES("6714", "946", "_menu_item_object", "page");
INSERT INTO `wpky_postmeta` VALUES("6715", "946", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("6716", "946", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("6717", "946", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("6718", "946", "_menu_item_url", "");
INSERT INTO `wpky_postmeta` VALUES("6720", "946", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("6721", "946", "_menu_item_mega_template", "0");
INSERT INTO `wpky_postmeta` VALUES("6722", "946", "_menu_item_nolink", "");
INSERT INTO `wpky_postmeta` VALUES("6723", "946", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("6724", "946", "_menu_item_megamenu", "");
INSERT INTO `wpky_postmeta` VALUES("6725", "946", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("6726", "946", "_menu_item_megamenu_col", "");
INSERT INTO `wpky_postmeta` VALUES("6727", "946", "_menu_item_megamenu_heading", "");
INSERT INTO `wpky_postmeta` VALUES("6728", "946", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("6729", "946", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("6730", "946", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6739", "948", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("6740", "948", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6741", "948", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6742", "948", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6743", "948", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("6744", "948", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":\"fa fa-instagram\",\"icon_color_hover\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6775", "950", "_edit_lock", "1646846891:4");
INSERT INTO `wpky_postmeta` VALUES("6776", "950", "_edit_last", "3");
INSERT INTO `wpky_postmeta` VALUES("6777", "950", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("6778", "950", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("6779", "950", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("6780", "950", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("6781", "950", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("6782", "950", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("6783", "950", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("6784", "950", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("6785", "950", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("6786", "950", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("6787", "950", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("6788", "950", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("6789", "950", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("6790", "950", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("6791", "950", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("6792", "950", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("6793", "950", "op_external_url_target", "self");
INSERT INTO `wpky_postmeta` VALUES("6794", "950", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("6795", "950", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("6796", "950", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("6797", "950", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("6798", "950", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6799", "950", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6800", "950", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("6801", "950", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("6802", "950", "_elementor_data", "[{\"id\":\"e1967c2\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4322fb5\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"472a3f7\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"d10d93f\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"4ab4bcf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6803", "950", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("6805", "950", "_wp_old_slug", "marsh-bathroom");
INSERT INTO `wpky_postmeta` VALUES("6806", "951", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("6807", "951", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6808", "951", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("6809", "951", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6810", "951", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("6811", "951", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":386,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath-Detail_Sm_DSC_3130.jpg\"},{\"id\":387,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath-Detail_Sm_DSC_3137.jpg\"},{\"id\":388,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath-Detail_Sm_DSC_3139.jpg\"},{\"id\":389,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath-Detail_Sm_DSC_3147.jpg\"},{\"id\":390,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath-Detail_Sm_DSC_3151.jpg\"},{\"id\":391,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath1_Sm_DSC_3091.jpg\"},{\"id\":396,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Bath5_Sm_DSC_3123.jpg\"},{\"id\":397,\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/Shower-Area_Sm_DSC_3107.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6812", "951", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("6813", "951", "_elementor_controls_usage", "a:4:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:4:{s:4:\"type\";i:2;s:4:\"icon\";i:2;s:8:\"position\";i:2;s:17:\"vertical_position\";i:2;}s:15:\"section_content\";a:4:{s:5:\"title\";i:2;s:11:\"description\";i:2;s:9:\"link_type\";i:2;s:4:\"link\";i:2;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:6:{s:30:\"info_box_background_background\";i:2;s:25:\"info_box_background_color\";i:2;s:36:\"info_box_hover_background_background\";i:2;s:31:\"info_box_hover_background_color\";i:2;s:27:\"info_box_hover_border_width\";i:2;s:16:\"info_box_padding\";i:2;}s:19:\"section_title_style\";a:1:{s:11:\"title_color\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;}}}}s:17:\"oew-image-gallery\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:21:\"section_image_gallery\";a:3:{s:14:\"gallery_images\";i:1;s:14:\"thumbnail_size\";i:1;s:10:\"item_ratio\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("6939", "964", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6940", "964", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6941", "964", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6942", "964", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("6943", "964", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("6944", "964", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6945", "964", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("6947", "965", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("6948", "965", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("6949", "965", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6950", "965", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("6951", "965", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("6952", "965", "_elementor_controls_usage", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("6953", "965", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7015", "969", "_wp_attached_file", "2020/01/iStock-1147544807-1.jpg");
INSERT INTO `wpky_postmeta` VALUES("7016", "969", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1732;s:6:\"height\";i:1732;s:4:\"file\";s:31:\"2020/01/iStock-1147544807-1.jpg\";s:5:\"sizes\";a:5:{s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-1-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"iStock-1147544807-1-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-1-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:33:\"iStock-1147544807-1-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:24:\"Getty Images/iStockphoto\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:37:\"Vector graphic of no thumbnail symbol\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:36:\"(No) Thumbnail image, vector graphic\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:1:{i:0;s:64:\"thumbnail,image,placeholder,preview,gif,vector graphic,digital,c\";}}}");
INSERT INTO `wpky_postmeta` VALUES("7017", "970", "_wp_attached_file", "2020/01/iStock-1147544807-2.jpg");
INSERT INTO `wpky_postmeta` VALUES("7018", "970", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1732;s:6:\"height\";i:1732;s:4:\"file\";s:31:\"2020/01/iStock-1147544807-2.jpg\";s:5:\"sizes\";a:5:{s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-2-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"iStock-1147544807-2-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-2-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-2-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:33:\"iStock-1147544807-2-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:24:\"Getty Images/iStockphoto\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:37:\"Vector graphic of no thumbnail symbol\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:36:\"(No) Thumbnail image, vector graphic\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:1:{i:0;s:64:\"thumbnail,image,placeholder,preview,gif,vector graphic,digital,c\";}}}");
INSERT INTO `wpky_postmeta` VALUES("7019", "971", "_wp_attached_file", "2020/01/iStock-1147544807-3.jpg");
INSERT INTO `wpky_postmeta` VALUES("7020", "971", "_wp_attachment_metadata", "a:5:{s:5:\"width\";i:1732;s:6:\"height\";i:1732;s:4:\"file\";s:31:\"2020/01/iStock-1147544807-3.jpg\";s:5:\"sizes\";a:5:{s:6:\"medium\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-3-300x300.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:33:\"iStock-1147544807-3-1024x1024.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-3-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:31:\"iStock-1147544807-3-768x768.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:9:\"1536x1536\";a:4:{s:4:\"file\";s:33:\"iStock-1147544807-3-1536x1536.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:24:\"Getty Images/iStockphoto\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:37:\"Vector graphic of no thumbnail symbol\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:36:\"(No) Thumbnail image, vector graphic\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:1:{i:0;s:64:\"thumbnail,image,placeholder,preview,gif,vector graphic,digital,c\";}}}");
INSERT INTO `wpky_postmeta` VALUES("7021", "972", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7022", "972", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7023", "972", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7024", "972", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("7025", "972", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("7026", "972", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7027", "972", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7029", "973", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7030", "973", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7031", "973", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7032", "973", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7033", "973", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7034", "973", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7035", "973", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7126", "978", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7127", "978", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7128", "978", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7129", "978", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7130", "978", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7131", "978", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7132", "978", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7140", "979", "_edit_lock", "1646846812:4");
INSERT INTO `wpky_postmeta` VALUES("7141", "979", "_edit_last", "3");
INSERT INTO `wpky_postmeta` VALUES("7142", "979", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7143", "979", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("7144", "979", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("7145", "979", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("7146", "979", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("7147", "979", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("7148", "979", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("7149", "979", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("7150", "979", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("7151", "979", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("7152", "979", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("7153", "979", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("7154", "979", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("7155", "979", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("7156", "979", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("7157", "979", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("7158", "979", "op_external_url_target", "self");
INSERT INTO `wpky_postmeta` VALUES("7159", "979", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("7160", "979", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("7161", "979", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("7162", "979", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("7163", "979", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7164", "979", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7165", "979", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7166", "979", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7167", "979", "_elementor_data", "[{\"id\":\"e737002\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c03ea7a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"c3c94a9\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b67724a\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3c272dd\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7168", "979", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7169", "979", "_wp_old_slug", "marsh-bathroom");
INSERT INTO `wpky_postmeta` VALUES("7171", "980", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7172", "980", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7173", "980", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7174", "980", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7175", "980", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7176", "980", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7177", "980", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7178", "980", "_elementor_controls_usage", "a:4:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:4:{s:4:\"type\";i:2;s:4:\"icon\";i:2;s:8:\"position\";i:2;s:17:\"vertical_position\";i:2;}s:15:\"section_content\";a:4:{s:5:\"title\";i:2;s:11:\"description\";i:2;s:9:\"link_type\";i:2;s:4:\"link\";i:2;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:6:{s:30:\"info_box_background_background\";i:2;s:25:\"info_box_background_color\";i:2;s:36:\"info_box_hover_background_background\";i:2;s:31:\"info_box_hover_background_color\";i:2;s:27:\"info_box_hover_border_width\";i:2;s:16:\"info_box_padding\";i:2;}s:19:\"section_title_style\";a:1:{s:11:\"title_color\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;}}}}s:17:\"oew-image-gallery\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:1:{s:7:\"content\";a:2:{s:21:\"section_image_gallery\";a:4:{s:14:\"gallery_images\";i:1;s:14:\"thumbnail_size\";i:1;s:10:\"item_ratio\";i:1;s:17:\"item_ratio_mobile\";i:1;}s:22:\"section_gallery_layout\";a:2:{s:14:\"columns_tablet\";i:1;s:14:\"columns_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("7179", "981", "_edit_lock", "1646846927:4");
INSERT INTO `wpky_postmeta` VALUES("7180", "981", "_edit_last", "3");
INSERT INTO `wpky_postmeta` VALUES("7181", "981", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7182", "981", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("7183", "981", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("7184", "981", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("7185", "981", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("7186", "981", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("7187", "981", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("7188", "981", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("7189", "981", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("7190", "981", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("7191", "981", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("7192", "981", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("7193", "981", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("7194", "981", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("7195", "981", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("7196", "981", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("7197", "981", "op_external_url_target", "self");
INSERT INTO `wpky_postmeta` VALUES("7198", "981", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("7199", "981", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("7200", "981", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("7201", "981", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("7202", "981", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7203", "981", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7204", "981", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7205", "981", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7206", "981", "_elementor_data", "[{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3847fb0\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7207", "981", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7208", "981", "_wp_old_slug", "marsh-bathroom");
INSERT INTO `wpky_postmeta` VALUES("7210", "982", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7211", "982", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7212", "982", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7213", "982", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7214", "982", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7215", "982", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"icon\":\"fa fa-angle-left\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_background_color\":\"#111111\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7216", "982", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7217", "982", "_elementor_controls_usage", "a:4:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:3;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:4:{s:4:\"type\";i:2;s:4:\"icon\";i:2;s:8:\"position\";i:2;s:17:\"vertical_position\";i:2;}s:15:\"section_content\";a:4:{s:5:\"title\";i:2;s:11:\"description\";i:2;s:9:\"link_type\";i:2;s:4:\"link\";i:2;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:6:{s:30:\"info_box_background_background\";i:2;s:25:\"info_box_background_color\";i:2;s:36:\"info_box_hover_background_background\";i:2;s:31:\"info_box_hover_background_color\";i:2;s:27:\"info_box_hover_border_width\";i:2;s:16:\"info_box_padding\";i:2;}s:19:\"section_title_style\";a:1:{s:11:\"title_color\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;}}}}s:17:\"oew-image-gallery\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:1:{s:7:\"content\";a:2:{s:21:\"section_image_gallery\";a:4:{s:14:\"gallery_images\";i:1;s:14:\"thumbnail_size\";i:1;s:10:\"item_ratio\";i:1;s:17:\"item_ratio_mobile\";i:1;}s:22:\"section_gallery_layout\";a:2:{s:14:\"columns_tablet\";i:1;s:14:\"columns_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("7371", "988", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7372", "988", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("7395", "991", "_edit_last", "3");
INSERT INTO `wpky_postmeta` VALUES("7396", "991", "_edit_lock", "1588360429:3");
INSERT INTO `wpky_postmeta` VALUES("7397", "998", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7398", "998", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7399", "998", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7400", "998", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7401", "998", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7402", "998", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":\"\",\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7403", "998", "_elementor_controls_usage", "a:10:{s:7:\"heading\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:5:\"title\";i:5;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:9:{s:11:\"title_color\";i:1;s:21:\"typography_typography\";i:5;s:20:\"typography_font_size\";i:5;s:22:\"typography_font_weight\";i:5;s:27:\"typography_font_size_tablet\";i:5;s:27:\"typography_font_size_mobile\";i:1;s:22:\"typography_line_height\";i:4;s:25:\"typography_letter_spacing\";i:4;s:29:\"typography_line_height_tablet\";i:4;}}s:8:\"advanced\";a:2:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:4;s:14:\"_margin_tablet\";i:4;}s:19:\"_section_responsive\";a:3:{s:11:\"hide_tablet\";i:2;s:11:\"hide_mobile\";i:2;s:12:\"hide_desktop\";i:2;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:3;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:10:\"text_color\";i:1;s:21:\"typography_typography\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_line_height\";i:1;s:25:\"typography_letter_spacing\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:11:\"oew-buttons\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:8;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:15:\"section_buttons\";a:1:{s:7:\"buttons\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:20:{s:5:\"space\";i:2;s:29:\"buttons_typography_typography\";i:2;s:28:\"buttons_typography_font_size\";i:2;s:30:\"buttons_typography_font_weight\";i:2;s:33:\"buttons_typography_text_transform\";i:2;s:33:\"buttons_typography_letter_spacing\";i:2;s:24:\"buttons_background_color\";i:2;s:30:\"buttons_background_hover_color\";i:2;s:19:\"buttons_hover_color\";i:2;s:26:\"buttons_hover_border_color\";i:2;s:21:\"buttons_border_border\";i:2;s:20:\"buttons_border_width\";i:2;s:20:\"buttons_border_color\";i:2;s:21:\"buttons_border_radius\";i:2;s:20:\"buttons_text_padding\";i:2;s:12:\"space_mobile\";i:2;s:35:\"buttons_typography_font_size_mobile\";i:2;s:27:\"buttons_border_width_mobile\";i:2;s:27:\"buttons_text_padding_mobile\";i:2;s:21:\"buttons_margin_mobile\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:13;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:5:{s:12:\"_inline_size\";i:13;s:16:\"content_position\";i:2;s:5:\"align\";i:3;s:21:\"space_between_widgets\";i:2;s:19:\"_inline_size_tablet\";i:2;}}s:8:\"advanced\";a:3:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:13;s:7:\"padding\";i:13;s:13:\"margin_tablet\";i:4;s:13:\"margin_mobile\";i:8;s:11:\"css_classes\";i:3;s:14:\"padding_mobile\";i:5;s:14:\"padding_tablet\";i:3;}s:15:\"section_effects\";a:5:{s:9:\"animation\";i:10;s:16:\"animation_mobile\";i:10;s:18:\"animation_duration\";i:2;s:16:\"animation_tablet\";i:1;s:15:\"animation_delay\";i:2;}s:18:\"section_custom_css\";a:1:{s:10:\"custom_css\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:21:\"background_background\";i:5;s:16:\"background_image\";i:2;s:19:\"background_position\";i:2;s:15:\"background_size\";i:2;s:16:\"background_color\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:8;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:5:{s:6:\"height\";i:2;s:13:\"custom_height\";i:2;s:13:\"content_width\";i:1;s:20:\"custom_height_tablet\";i:1;s:20:\"custom_height_mobile\";i:1;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:4;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:11:{s:21:\"background_background\";i:3;s:16:\"background_image\";i:2;s:19:\"background_position\";i:2;s:21:\"background_attachment\";i:2;s:17:\"background_repeat\";i:1;s:15:\"background_size\";i:2;s:16:\"background_color\";i:1;s:21:\"background_color_stop\";i:1;s:18:\"background_color_b\";i:1;s:23:\"background_color_b_stop\";i:1;s:25:\"background_gradient_angle\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:2;s:24:\"background_overlay_color\";i:2;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:8:{s:7:\"padding\";i:8;s:14:\"padding_mobile\";i:5;s:6:\"margin\";i:5;s:14:\"padding_tablet\";i:5;s:7:\"z_index\";i:1;s:13:\"margin_tablet\";i:2;s:11:\"css_classes\";i:1;s:13:\"margin_mobile\";i:1;}s:19:\"_section_responsive\";a:1:{s:20:\"reverse_order_mobile\";i:1;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:3:{s:5:\"image\";i:6;s:10:\"image_size\";i:6;s:5:\"align\";i:6;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:6:{s:5:\"width\";i:6;s:12:\"width_mobile\";i:6;s:19:\"image_border_border\";i:6;s:18:\"image_border_width\";i:6;s:18:\"image_border_color\";i:6;s:19:\"image_border_radius\";i:6;}}s:8:\"advanced\";a:2:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:6;s:14:\"_margin_mobile\";i:6;}s:17:\"_section_position\";a:1:{s:14:\"_element_width\";i:6;}}}}s:6:\"spacer\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:0;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:2:{s:12:\"space_mobile\";i:2;s:12:\"space_tablet\";i:1;}}s:8:\"advanced\";a:1:{s:19:\"_section_responsive\";a:2:{s:11:\"hide_tablet\";i:1;s:11:\"hide_mobile\";i:1;}}}}s:4:\"icon\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:2:{s:13:\"selected_icon\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_style_icon\";a:2:{s:13:\"primary_color\";i:1;s:4:\"size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:1;}}}}s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:8;s:15:\"control_percent\";i:6;s:8:\"controls\";a:3:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:4:{s:4:\"type\";i:8;s:4:\"text\";i:8;s:8:\"position\";i:3;s:5:\"align\";i:3;}s:15:\"section_content\";a:4:{s:5:\"title\";i:8;s:11:\"description\";i:8;s:9:\"link_type\";i:4;s:4:\"link\";i:5;}}s:5:\"style\";a:3:{s:13:\"section_style\";a:6:{s:30:\"info_box_background_background\";i:5;s:36:\"info_box_hover_background_background\";i:5;s:31:\"info_box_hover_background_color\";i:5;s:16:\"info_box_padding\";i:5;s:23:\"info_box_padding_tablet\";i:5;s:25:\"info_box_background_color\";i:1;}s:18:\"section_icon_style\";a:5:{s:26:\"text_typography_typography\";i:5;s:25:\"text_typography_font_size\";i:5;s:10:\"icon_color\";i:8;s:12:\"icon_padding\";i:5;s:11:\"icon_margin\";i:5;}s:19:\"section_title_style\";a:10:{s:27:\"title_typography_typography\";i:8;s:28:\"title_typography_font_family\";i:5;s:26:\"title_typography_font_size\";i:5;s:28:\"title_typography_font_weight\";i:5;s:31:\"title_typography_text_transform\";i:5;s:31:\"title_typography_letter_spacing\";i:5;s:12:\"title_margin\";i:5;s:33:\"title_typography_font_size_tablet\";i:3;s:38:\"title_typography_letter_spacing_tablet\";i:3;s:11:\"title_color\";i:1;}}s:8:\"advanced\";a:3:{s:14:\"_section_style\";a:3:{s:12:\"_css_classes\";i:5;s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;}s:17:\"_section_position\";a:4:{s:14:\"_element_width\";i:5;s:21:\"_element_custom_width\";i:5;s:21:\"_element_width_mobile\";i:5;s:28:\"_element_custom_width_mobile\";i:5;}s:15:\"section_effects\";a:2:{s:10:\"_animation\";i:4;s:17:\"_animation_mobile\";i:4;}}}}s:20:\"testimonial-carousel\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"content\";a:2:{s:14:\"section_slides\";a:1:{s:6:\"slides\";i:1;}s:26:\"section_additional_options\";a:1:{s:10:\"pagination\";i:1;}}s:5:\"style\";a:1:{s:21:\"section_content_style\";a:14:{s:13:\"content_color\";i:1;s:29:\"content_typography_typography\";i:1;s:28:\"content_typography_font_size\";i:1;s:29:\"content_typography_font_style\";i:1;s:30:\"content_typography_line_height\";i:1;s:37:\"content_typography_line_height_mobile\";i:1;s:33:\"content_typography_letter_spacing\";i:1;s:40:\"content_typography_letter_spacing_mobile\";i:1;s:10:\"name_color\";i:1;s:26:\"name_typography_typography\";i:1;s:27:\"name_typography_font_family\";i:1;s:25:\"name_typography_font_size\";i:1;s:32:\"name_typography_font_size_mobile\";i:1;s:27:\"name_typography_font_weight\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:14:\"_margin_mobile\";i:1;s:15:\"_padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("7405", "28", "main_color", "#999999");
INSERT INTO `wpky_postmeta` VALUES("7406", "28", "_main_color", "field_5eac673850e2b");
INSERT INTO `wpky_postmeta` VALUES("7407", "28", "main_color_darker", "#333333");
INSERT INTO `wpky_postmeta` VALUES("7408", "28", "_main_color_darker", "field_5eac676350e2c");
INSERT INTO `wpky_postmeta` VALUES("7409", "28", "accent_color", "#555555");
INSERT INTO `wpky_postmeta` VALUES("7410", "28", "_accent_color", "field_5eac679650e2d");
INSERT INTO `wpky_postmeta` VALUES("7411", "28", "accent_color_-_darker", "#000000");
INSERT INTO `wpky_postmeta` VALUES("7412", "28", "_accent_color_-_darker", "field_5eac67ac50e2e");
INSERT INTO `wpky_postmeta` VALUES("7413", "28", "text_gray", "#5e5e5e");
INSERT INTO `wpky_postmeta` VALUES("7414", "28", "_text_gray", "field_5eac67cc50e2f");
INSERT INTO `wpky_postmeta` VALUES("7415", "28", "dark_gray", "#222222");
INSERT INTO `wpky_postmeta` VALUES("7416", "28", "_dark_gray", "field_5eac67f350e30");
INSERT INTO `wpky_postmeta` VALUES("7417", "998", "main_color", "#999999");
INSERT INTO `wpky_postmeta` VALUES("7418", "998", "_main_color", "field_5eac673850e2b");
INSERT INTO `wpky_postmeta` VALUES("7419", "998", "main_color_darker", "#333333");
INSERT INTO `wpky_postmeta` VALUES("7420", "998", "_main_color_darker", "field_5eac676350e2c");
INSERT INTO `wpky_postmeta` VALUES("7421", "998", "accent_color", "#555555");
INSERT INTO `wpky_postmeta` VALUES("7422", "998", "_accent_color", "field_5eac679650e2d");
INSERT INTO `wpky_postmeta` VALUES("7423", "998", "accent_color_-_darker", "#000000");
INSERT INTO `wpky_postmeta` VALUES("7424", "998", "_accent_color_-_darker", "field_5eac67ac50e2e");
INSERT INTO `wpky_postmeta` VALUES("7425", "998", "text_gray", "#5e5e5e");
INSERT INTO `wpky_postmeta` VALUES("7426", "998", "_text_gray", "field_5eac67cc50e2f");
INSERT INTO `wpky_postmeta` VALUES("7427", "998", "dark_gray", "#222222");
INSERT INTO `wpky_postmeta` VALUES("7428", "998", "_dark_gray", "field_5eac67f350e30");
INSERT INTO `wpky_postmeta` VALUES("7432", "1000", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7433", "1000", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7434", "1000", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7435", "1000", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7436", "1000", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7437", "1000", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"accent-color-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7442", "1003", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7443", "1003", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7444", "1003", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7445", "1003", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7446", "1003", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7447", "1003", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-small-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"accent-color-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-small-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7450", "1004", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7451", "1004", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7452", "1004", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7453", "1004", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7454", "1004", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7455", "1004", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"accent-color-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7462", "1007", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7463", "1007", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7464", "1007", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7465", "1007", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7466", "1007", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7467", "1007", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"a99464a\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},{\"text\":\"Free Consultation\",\"link\":{\"url\":\".\\/contact\"},\"_id\":\"8a291f4\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"rgba(0, 0, 0, 0)\",\"button_text_color\":\"#FFFFFF\",\"button_background_hover_color\":\"#111111\",\"hover_color\":\"#FFFFFF\",\"button_hover_border_color\":\"#111111\",\"hover_animation\":\"\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"02\",\"right\":\"02\",\"bottom\":\"02\",\"left\":\"02\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#FFFFFF\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#FFFFFF\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7474", "1010", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7475", "1010", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7476", "1010", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7477", "1010", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7478", "1010", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7479", "1010", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4b229a2\",\"elType\":\"widget\",\"settings\":{\"buttons\":[{\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\"},\"_id\":\"d956659\",\"icon\":{\"value\":\"\",\"library\":\"solid\"},\"icon_align\":\"left\",\"icon_indent\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"button_id\":\"\",\"button_classes\":\"\",\"min_width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"min_width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"background_color\":\"\",\"button_text_color\":\"\",\"button_background_hover_color\":\"\",\"hover_color\":\"\",\"button_hover_border_color\":\"\",\"hover_animation\":\"\",\"border_border\":\"\",\"border_width\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"border_color\":\"\",\"border_radius\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"px\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}}],\"space\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_typography\":\"custom\",\"buttons_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"buttons_typography_font_weight\":\"800\",\"buttons_typography_text_transform\":\"uppercase\",\"buttons_typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"buttons_background_color\":\"#111111\",\"buttons_background_hover_color\":\"#F3F3F3\",\"buttons_hover_color\":\"#111111\",\"buttons_hover_border_color\":\"#F3F3F3\",\"buttons_border_border\":\"solid\",\"buttons_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"buttons_border_color\":\"#111111\",\"buttons_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"buttons_text_padding\":{\"unit\":\"px\",\"top\":\"17\",\"right\":\"30\",\"bottom\":\"17\",\"left\":\"30\",\"isLinked\":false},\"space_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"buttons_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"buttons_border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"buttons_text_padding_mobile\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"20\",\"bottom\":\"14\",\"left\":\"20\",\"isLinked\":false},\"buttons_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-buttons\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7483", "1011", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7484", "1011", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7485", "1011", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7486", "1011", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7487", "1011", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7488", "1011", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"aac4ab9\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#F3F3F3\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"af776b1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"62fb6e7\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"ccfd079\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"name_color\":\"[elementor-tag id=\\\"2f2873a\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":{\"info_box_background_color\":\"[elementor-tag id=\\\"9700fe1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac67f350e30%3Adark_gray%22%7D\\\"]\",\"info_box_hover_background_color\":\"[elementor-tag id=\\\"30839a6\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7491", "1012", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7492", "1012", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7493", "1012", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7494", "1012", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7495", "1012", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7496", "1012", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"aac4ab9\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#F3F3F3\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"af776b1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"62fb6e7\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"ccfd079\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"name_color\":\"[elementor-tag id=\\\"2f2873a\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":{\"info_box_background_color\":\"[elementor-tag id=\\\"9700fe1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac67f350e30%3Adark_gray%22%7D\\\"]\",\"info_box_hover_background_color\":\"[elementor-tag id=\\\"30839a6\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7499", "1013", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7500", "1013", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7501", "1013", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7502", "1013", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7503", "1013", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7504", "1013", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"aac4ab9\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#F3F3F3\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"af776b1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"62fb6e7\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"ccfd079\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"image\":{\"url\":\"\",\"id\":\"\"},\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"name_color\":\"[elementor-tag id=\\\"2f2873a\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.333,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"info_box_background_color\":\"#111111\",\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":{\"info_box_background_color\":\"[elementor-tag id=\\\"9700fe1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac67f350e30%3Adark_gray%22%7D\\\"]\",\"info_box_hover_background_color\":\"[elementor-tag id=\\\"30839a6\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7528", "1028", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7529", "1028", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7530", "1028", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7531", "1028", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7532", "1028", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7533", "1028", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.891,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.665,\"_inline_size_tablet\":33.333,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7536", "1029", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7537", "1029", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7538", "1029", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7539", "1029", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7540", "1029", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7541", "1029", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7548", "1032", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7549", "1032", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7550", "1032", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7551", "1032", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7552", "1032", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7553", "1032", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"icon_primary_color\":\"[elementor-tag id=\\\"37a3966\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\",\"hover_primary_color\":\"[elementor-tag id=\\\"fa3d97c\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac676350e2c%3Amain_color_darker%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7561", "1036", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7562", "1036", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7563", "1036", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7564", "1036", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7565", "1036", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7566", "1036", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#85CC74\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_primary_color\":\"#85CC74\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"icon_primary_color\":\"[elementor-tag id=\\\"37a3966\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\",\"hover_primary_color\":\"[elementor-tag id=\\\"fa3d97c\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac676350e2c%3Amain_color_darker%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.6,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"text_color_hover\":\"#85CC74\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":{\"text_color\":\"[elementor-tag id=\\\"f4898b5\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac67cc50e2f%3Atext_gray%22%7D\\\"]\",\"text_color_hover\":\"[elementor-tag id=\\\"bc1ec4b\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":{\"text_color\":\"[elementor-tag id=\\\"32d1cac\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac67cc50e2f%3Atext_gray%22%7D\\\"]\",\"text_color_hover\":\"[elementor-tag id=\\\"d7b826b\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7578", "1040", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7579", "1040", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7580", "1040", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7581", "1040", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7582", "1040", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7583", "1040", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"cf38d12\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"e8b2742\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"__dynamic__\":[]},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"d86819d\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7587", "1041", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7588", "1041", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7589", "1041", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7590", "1041", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7591", "1041", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7592", "1041", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"cf38d12\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"987908c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"d86819d\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"d86819d\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7596", "1042", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7597", "1042", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7598", "1042", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7599", "1042", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7600", "1042", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7601", "1042", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"39ef8b3\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"6332b54\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"d3c0905\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"2906efd\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"8b96efb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"title_text\":\"Facebook\",\"description_text\":\"\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"icon_space\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_bottom_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7605", "1043", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7606", "1043", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7607", "1043", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7608", "1043", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7609", "1043", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7610", "1043", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"39ef8b3\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"6332b54\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"d3c0905\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"2906efd\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7614", "1044", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7615", "1044", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7616", "1044", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7617", "1044", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7618", "1044", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7619", "1044", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"39ef8b3\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"6332b54\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"d3c0905\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_background\":\"#1C538C\",\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]},\"__dynamic__\":{\"icon_background\":\"[elementor-tag id=\\\"2906efd\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac679650e2d%3Aaccent_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7622", "1045", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7623", "1045", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7624", "1045", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7625", "1045", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7626", "1045", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"icon_color\":\"#1E1E1E\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.4,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"primary_color\":\"#F3F3F3\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7627", "1045", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7630", "1046", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7631", "1046", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7632", "1046", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7633", "1046", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("7634", "1046", "_elementor_pro_version", "2.7.3");
INSERT INTO `wpky_postmeta` VALUES("7635", "1046", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7645", "988", "_elementor_page_settings", "a:17:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:5:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}i:4;a:3:{s:3:\"_id\";s:7:\"943367e\";s:5:\"title\";s:3:\"DDD\";s:5:\"color\";s:7:\"#DDDDDD\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:16:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_tablet\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.3000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}}i:1;a:16:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.200000000000000011102230246251565404236316680908203125;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:16:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:30:\"typography_word_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:1;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:5;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;s:15:\"viewport_mobile\";i:767;s:15:\"viewport_tablet\";i:1024;}");
INSERT INTO `wpky_postmeta` VALUES("7652", "1052", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7653", "1052", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7654", "1052", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7655", "1052", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7656", "1052", "_elementor_data", "[{\"id\":\"3dc3bb26\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"72fae7c1\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"30816935\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"67d0d951\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7657", "1053", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7658", "1053", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7659", "1053", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7660", "1053", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7661", "1053", "_elementor_data", "[{\"id\":\"3dc3bb26\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"72fae7c1\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"30816935\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"67d0d951\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7662", "1052", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:3;s:13:\"margin_tablet\";i:3;s:13:\"margin_mobile\";i:3;s:7:\"padding\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("7663", "1054", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7664", "1054", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7665", "1054", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("7666", "1054", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("7667", "1054", "_elementor_data", "[{\"id\":\"36c9a79a\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3187bac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"13c0daf9\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"72f7c8ae\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"010\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"739ceac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7668", "1055", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7669", "1055", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7670", "1055", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7671", "1055", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7672", "1055", "_elementor_data", "[{\"id\":\"36c9a79a\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3187bac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"13c0daf9\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"72f7c8ae\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"010\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"739ceac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7674", "1056", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7675", "1056", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7676", "1056", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7677", "1056", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7678", "1056", "_elementor_data", "[{\"id\":\"2e753322\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"95352e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"16\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"2490f58a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"012\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"23148f4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"8\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"2ec1ca8c\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"04\",\"bottom\":\"0\",\"left\":\"12\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"6f2818d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"16\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7679", "1057", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7680", "1057", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7681", "1057", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7682", "1057", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7683", "1057", "_elementor_data", "[{\"id\":\"2e753322\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"95352e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"16\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"2490f58a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"012\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"23148f4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"8\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"2ec1ca8c\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"04\",\"bottom\":\"0\",\"left\":\"12\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"6f2818d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"16\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7684", "1056", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:5;s:19:\"_inline_size_tablet\";i:5;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:5;s:13:\"margin_tablet\";i:5;s:13:\"margin_mobile\";i:5;s:7:\"padding\";i:5;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("7685", "1058", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7686", "1058", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7687", "1058", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7688", "1058", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7689", "1058", "_elementor_data", "[{\"id\":\"36cc60bd\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6cbb5c1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6c58c571\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"9e5db82\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"5459dc01\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"50499df0\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true},{\"id\":\"753829fe\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"67addde3\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"387f5857\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"6ba8e93f\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7690", "1059", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7691", "1059", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7692", "1059", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7693", "1059", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7694", "1059", "_elementor_data", "[{\"id\":\"36cc60bd\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6cbb5c1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6c58c571\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"9e5db82\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"5459dc01\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"50499df0\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true},{\"id\":\"753829fe\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"67addde3\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"387f5857\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"6ba8e93f\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7695", "1058", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:7;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:7;s:13:\"margin_tablet\";i:7;s:13:\"margin_mobile\";i:7;s:7:\"padding\";i:7;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;s:13:\"margin_tablet\";i:1;s:13:\"margin_mobile\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("7696", "1060", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7697", "1060", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7698", "1060", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7699", "1060", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7700", "1060", "_elementor_data", "[{\"id\":\"1573beee\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"427fc109\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"353f8978\",\"elType\":\"widget\",\"settings\":{\"title\":\"Coming Soon!\",\"align\":\"center\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1ba24bc3\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>This page is currently under construction. Check back later for more information, or contact us today to learn more. We appreciate your interest in our company!<\\/p>\",\"align\":\"center\",\"align_mobile\":\"left\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3722ebdf\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Contact Us\",\"align\":\"center\",\"align_mobile\":\"left\",\"size\":\"square-small-btn\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7701", "1061", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7702", "1061", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("7703", "1061", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7704", "1061", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7705", "1061", "_elementor_data", "[{\"id\":\"1573beee\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"427fc109\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"353f8978\",\"elType\":\"widget\",\"settings\":{\"title\":\"Coming Soon!\",\"align\":\"center\",\"align_mobile\":\"left\",\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1ba24bc3\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>This page is currently under construction. Check back later for more information, or contact us today to learn more. We appreciate your interest in our company!<\\/p>\",\"align\":\"center\",\"align_mobile\":\"left\",\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3722ebdf\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Contact Us\",\"align\":\"center\",\"align_mobile\":\"left\",\"size\":\"square-small-btn\",\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[]},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7708", "988", "_edit_lock", "1668101282:5");
INSERT INTO `wpky_postmeta` VALUES("7709", "1062", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7710", "1062", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("7711", "1062", "_elementor_page_settings", "a:8:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"global_image_lightbox\";s:3:\"yes\";s:21:\"space_between_widgets\";a:2:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";}s:11:\"viewport_md\";s:0:\"\";s:11:\"viewport_lg\";s:0:\"\";s:13:\"custom_colors\";a:3:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:14:\"Saved Color #1\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:14:\"Saved Color #2\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:14:\"Saved Color #3\";s:5:\"color\";s:4:\"#FFF\";}}s:15:\"viewport_mobile\";s:0:\"\";s:15:\"viewport_tablet\";s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("7713", "988", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7714", "988", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("7715", "1063", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7716", "1063", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("7717", "1063", "_elementor_page_settings", "a:14:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:11:\"viewport_md\";s:0:\"\";s:11:\"viewport_lg\";s:0:\"\";s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:9:\"Secondary\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"Roboto Slab\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:4:\"Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"Accent\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:4;s:15:\"viewport_mobile\";s:0:\"\";s:15:\"viewport_tablet\";s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("7719", "1063", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7720", "1063", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("7721", "988", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("7722", "988", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("7723", "1064", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7724", "1064", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7725", "1064", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7726", "1064", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7727", "1064", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7728", "1064", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"aac4ab9\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#F3F3F3\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"af776b1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"62fb6e7\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"ccfd079\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"name_color\":\"[elementor-tag id=\\\"2f2873a\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"30839a6\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7734", "1065", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7735", "1065", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7736", "1065", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7737", "1065", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7738", "1065", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7739", "1065", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7742", "1066", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7743", "1066", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7744", "1066", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7745", "1066", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7746", "1066", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7747", "1066", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"aac4ab9\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#F3F3F3\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"af776b1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"62fb6e7\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"ccfd079\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_color\":\"#85CC74\",\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"name_color\":\"[elementor-tag id=\\\"2f2873a\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7749", "1067", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7750", "1067", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7751", "1067", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7752", "1067", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7753", "1067", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7754", "1067", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"aac4ab9\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#F3F3F3\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"af776b1\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"62fb6e7\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"ccfd079\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7761", "1070", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7762", "1070", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7763", "1070", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7764", "1070", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7765", "1070", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7766", "1070", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7771", "1071", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7772", "1071", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7773", "1071", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7774", "1071", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7775", "1071", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7776", "1071", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7777", "1071", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7783", "1072", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7784", "1072", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7785", "1072", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7786", "1072", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7787", "1072", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7788", "1072", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7789", "1072", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7793", "1073", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("7794", "1073", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7795", "1073", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7796", "1073", "_elementor_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7797", "1073", "_elementor_pro_version", "2.8.3");
INSERT INTO `wpky_postmeta` VALUES("7798", "1073", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7799", "1073", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("7804", "1074", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7805", "1074", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7806", "1074", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7807", "1074", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7808", "1074", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7809", "1074", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"9831571\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7812", "1075", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7813", "1075", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7814", "1075", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7815", "1075", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7816", "1075", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7817", "1075", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7820", "1076", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7821", "1076", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7822", "1076", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7823", "1076", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7824", "1076", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7825", "1076", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7836", "1078", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7837", "1078", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7838", "1078", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7839", "1078", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("7840", "1078", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("7841", "1078", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"cf38d12\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"987908c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#999999\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"d86819d\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7851", "1080", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7852", "1080", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7853", "1080", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7854", "1080", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7855", "1080", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7856", "1080", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=text\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7858", "1081", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7859", "1081", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7860", "1081", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7861", "1081", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7862", "1081", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7863", "1081", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7866", "1082", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7867", "1082", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7868", "1082", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7869", "1082", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7870", "1082", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7871", "1082", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7884", "1086", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7885", "1086", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7886", "1086", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7887", "1086", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7888", "1086", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7889", "1086", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"cf38d12\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"987908c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#999999\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"d86819d\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7891", "1087", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7892", "1087", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7893", "1087", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7894", "1087", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7895", "1087", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7896", "1087", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"cf38d12\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"987908c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#999999\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":{\"info_box_hover_background_color\":\"[elementor-tag id=\\\"d86819d\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7898", "1088", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("7899", "1088", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7900", "1088", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("7901", "1088", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7902", "1088", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7903", "1088", "_elementor_data", "[{\"id\":\"3570979\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]}},\"elements\":[{\"id\":\"d097afb\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"6900bf8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"8e44d4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7f7bc75\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"54b1c7d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Address Line 1\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"75de4c6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Address Line 2<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6597164\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f2ebb5d\",\"elType\":\"widget\",\"settings\":{\"title\":\"Give Us A Call\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d729a4c\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>xxx-xxx-xxxx<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"8d953c8\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"8731e7f\",\"elType\":\"widget\",\"settings\":{\"title\":\"Send Us An Email\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"87cf5d7\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<a href=\\\"mailto:webteam@enter.net\\\">webteam@enter.net<\\/a>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3c2c273\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-70\",\"left\":\"-20\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"4adb88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"Business Hours\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e9c2d6\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Mon-Fri: 8:30am-4:30pm<br \\/>Sat-Sun: Closed<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"471ecdd\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"973c0a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[],\"__globals__\":{\"background_hover_color\":\"globals\\/colors?id=primary\"}},\"elements\":[{\"id\":\"987908c\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_hover_background_color\":\"#999999\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"a50b1bc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_hover_background\":\"classic\",\"__globals__\":{\"background_hover_color\":\"globals\\/colors?id=primary\"}},\"elements\":[{\"id\":\"1ce1a5b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#444444\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[]},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7918", "988", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("7934", "1091", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7935", "1091", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("7936", "1091", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"Roboto Slab\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:3;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("7937", "1091", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7938", "1091", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("7939", "1091", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7940", "1091", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7941", "1091", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("7942", "1092", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7943", "1092", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7944", "1092", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7945", "1092", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7946", "1092", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7947", "1092", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7948", "1093", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7949", "1093", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7950", "1093", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7951", "1093", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7952", "1093", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7953", "1093", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7954", "1094", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7955", "1094", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7956", "1094", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7957", "1094", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("7958", "1094", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("7959", "1094", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7960", "28", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("7962", "1095", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7963", "1095", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("7964", "1095", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"Roboto Slab\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("7965", "1095", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7966", "1095", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("7967", "1095", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7968", "1095", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7969", "1095", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("7970", "1096", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7971", "1096", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7972", "1096", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7973", "1096", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7974", "1096", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7975", "1096", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7976", "1096", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("7977", "1097", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7978", "1097", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7979", "1097", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7980", "1097", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7981", "1097", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7982", "1097", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7983", "1097", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("7984", "1098", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7985", "1098", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7986", "1098", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("7987", "1098", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7988", "1098", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7989", "1098", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("7990", "1098", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("7992", "1099", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("7993", "1099", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("7994", "1099", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"Roboto Slab\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("7995", "1099", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("7996", "1099", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("7997", "1099", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("7998", "1099", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("7999", "1099", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8000", "1100", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8001", "1100", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8002", "1100", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8003", "1100", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8004", "1100", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8005", "1100", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8006", "1100", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8007", "1101", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8008", "1101", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8009", "1101", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8010", "1101", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8011", "1101", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8012", "1101", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8013", "1101", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8014", "1102", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8015", "1102", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8016", "1102", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8017", "1102", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8018", "1102", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8019", "1102", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8020", "1102", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8022", "1103", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8023", "1103", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8024", "1103", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:24;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8025", "1103", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8026", "1103", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8027", "1103", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8028", "1103", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8029", "1103", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8030", "1104", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8031", "1104", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8032", "1104", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:24;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8033", "1104", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8034", "1104", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8035", "1104", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8036", "1104", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8037", "1104", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8048", "1108", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8049", "1108", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8050", "1108", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:6:\"Roboto\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8051", "1108", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8052", "1108", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8053", "1108", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8054", "1108", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8055", "1108", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8062", "1109", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8063", "1109", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8064", "1109", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8065", "1109", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8066", "1109", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8067", "1109", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8068", "1109", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8070", "1110", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8071", "1110", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8072", "1110", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8073", "1110", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8074", "1110", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8075", "1110", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8076", "1110", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8078", "1111", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8079", "1111", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8080", "1111", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8081", "1111", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8082", "1111", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8083", "1111", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8084", "1111", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8087", "1112", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8088", "1112", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8089", "1112", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8090", "1112", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8091", "1112", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8092", "1112", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8093", "1112", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8094", "1113", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8095", "1113", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8096", "1113", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8097", "1113", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8098", "1113", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8099", "1113", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8100", "1113", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8101", "1114", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8102", "1114", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8103", "1114", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8104", "1114", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8105", "1114", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8106", "1114", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8107", "1114", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8109", "1115", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8110", "1115", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8111", "1115", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:12;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:1;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8112", "1115", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8113", "1115", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8114", "1115", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8115", "1115", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8116", "1115", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8118", "1116", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8119", "1116", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8120", "1116", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8121", "1116", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8122", "1116", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8123", "1116", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8124", "1116", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8125", "1116", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8126", "1117", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8127", "1117", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8128", "1117", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8129", "1117", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8130", "1117", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8131", "1117", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8132", "1117", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8133", "1118", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8134", "1118", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8135", "1118", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8136", "1118", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8137", "1118", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8138", "1118", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8139", "1118", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8140", "1119", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8141", "1119", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8142", "1119", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8143", "1119", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8144", "1119", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8145", "1119", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8146", "1119", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8156", "1122", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8157", "1122", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8158", "1122", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8159", "1122", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8160", "1122", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8161", "1122", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8162", "1122", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8164", "1123", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8165", "1123", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8166", "1123", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8167", "1123", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8168", "1123", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8169", "1123", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"content_typography_typography\":\"custom\",\"content_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"content_typography_font_style\":\"normal\",\"content_typography_line_height\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"content_typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"content_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"name_typography_typography\":\"custom\",\"name_typography_font_family\":\"Playfair Display\",\"name_typography_font_size\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"name_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"name_typography_font_weight\":\"700\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8170", "1123", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8172", "1124", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8173", "1124", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8174", "1124", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8175", "1124", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8176", "1124", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8177", "1124", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8178", "1124", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8187", "1129", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8188", "1129", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8189", "1129", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8190", "1129", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8191", "1129", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8192", "1129", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8193", "1129", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8195", "1130", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8196", "1130", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8197", "1130", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8198", "1130", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8199", "1130", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8200", "1130", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"993732c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f146fc6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"hide_desktop\":\"hidden-desktop\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8201", "1130", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8203", "1131", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8204", "1131", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8205", "1131", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8206", "1131", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8207", "1131", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8208", "1131", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8209", "1131", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8212", "1132", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8213", "1132", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8214", "1132", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8215", "1132", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8216", "1132", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8217", "1132", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8218", "1132", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8219", "1133", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8220", "1133", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8221", "1133", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8222", "1133", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8223", "1133", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8224", "1133", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8225", "1133", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8226", "1134", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8227", "1134", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8228", "1134", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8229", "1134", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8230", "1134", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8231", "1134", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8232", "1134", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8234", "1135", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8235", "1135", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8236", "1135", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8237", "1135", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8238", "1135", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8239", "1135", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8240", "1135", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8241", "1136", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8242", "1136", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8243", "1136", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8244", "1136", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8245", "1136", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8246", "1136", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\"},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"auto\",\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":32,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8247", "1136", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8248", "1137", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8249", "1137", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8250", "1137", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8251", "1137", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8252", "1137", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8253", "1137", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8254", "1137", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8256", "1138", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8257", "1138", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8258", "1138", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.200000000000000011102230246251565404236316680908203125;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:2:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";}i:1;a:2:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";}i:2;a:2:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8259", "1138", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8260", "1138", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8261", "1138", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8262", "1138", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8263", "1138", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8265", "1139", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8266", "1139", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8267", "1139", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"600\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.200000000000000011102230246251565404236316680908203125;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:16:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:30:\"typography_word_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:1;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8268", "1139", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8269", "1139", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8270", "1139", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8271", "1139", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8272", "1139", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8273", "1140", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8274", "1140", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8275", "1140", "_elementor_page_settings", "a:15:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:12:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.200000000000000011102230246251565404236316680908203125;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:16:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:30:\"typography_word_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:1;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wpky_postmeta` VALUES("8276", "1140", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8277", "1140", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8278", "1140", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8279", "1140", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8280", "1140", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8281", "1141", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8282", "1141", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8283", "1141", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8284", "1141", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("8285", "1141", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("8286", "1141", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.891,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.665,\"_inline_size_tablet\":33.333,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8287", "1142", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8288", "1142", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8289", "1142", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8290", "1142", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("8291", "1142", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("8292", "1142", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.33,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.67,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.891,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.333,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.665,\"_inline_size_tablet\":33.333,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8293", "1143", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8294", "1143", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8295", "1143", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8296", "1143", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("8297", "1143", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("8298", "1143", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.89099999999999823785401531495153903961181640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667000000000001591615728102624416351318359375,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.66499999999999914734871708787977695465087890625,\"_inline_size_tablet\":33.332999999999998408384271897375583648681640625,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8299", "517", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8301", "1144", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8302", "1144", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8303", "1144", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8304", "1144", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8305", "1144", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8306", "1144", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8307", "1145", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8308", "1145", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8309", "1145", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8310", "1145", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8311", "1145", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8312", "1145", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"ff3ed11\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply. | \\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\">Enter.Net<\\/a>.\",\"_css_classes\":\"footer-copyright\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8313", "1146", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8314", "1146", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8315", "1146", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8316", "1146", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8317", "1146", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8318", "1146", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8319", "232", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8321", "1147", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8322", "1147", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8323", "1147", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8324", "1147", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8325", "1147", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8326", "1147", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8327", "1147", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8328", "1148", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8329", "1148", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8330", "1148", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8331", "1148", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8332", "1148", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8333", "1148", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"9\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8334", "1148", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8335", "1149", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8336", "1149", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8337", "1149", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8338", "1149", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8339", "1149", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8340", "1149", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8341", "1149", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8343", "1150", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8344", "1150", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8345", "1150", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8346", "1150", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8347", "1150", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8348", "1150", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.89099999999999823785401531495153903961181640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667000000000001591615728102624416351318359375,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.66499999999999914734871708787977695465087890625,\"_inline_size_tablet\":33.332999999999998408384271897375583648681640625,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8349", "1150", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8350", "1151", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8351", "1151", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8352", "1151", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8353", "1151", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8354", "1151", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8355", "1151", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.89099999999999823785401531495153903961181640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667000000000001591615728102624416351318359375,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.66499999999999914734871708787977695465087890625,\"_inline_size_tablet\":33.332999999999998408384271897375583648681640625,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8356", "1151", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8357", "1152", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8358", "1152", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8359", "1152", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8360", "1152", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8361", "1152", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8362", "1152", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | Affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.89099999999999823785401531495153903961181640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | Affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667000000000001591615728102624416351318359375,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.66499999999999914734871708787977695465087890625,\"_inline_size_tablet\":33.332999999999998408384271897375583648681640625,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8363", "1152", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8364", "517", "_elementor_controls_usage", "a:6:{s:7:\"heading\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:2;s:12:\"align_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:2;s:14:\"_margin_tablet\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:7;s:16:\"content_position\";i:5;s:19:\"_inline_size_tablet\";i:4;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:5;s:7:\"padding\";i:7;s:13:\"margin_mobile\";i:3;s:14:\"padding_mobile\";i:3;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:1;}s:19:\"_section_responsive\";a:2:{s:11:\"hide_tablet\";i:1;s:11:\"hide_mobile\";i:1;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:3:{s:5:\"image\";i:3;s:7:\"link_to\";i:3;s:4:\"link\";i:3;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:2:{s:5:\"width\";i:3;s:12:\"width_mobile\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:3;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:2;}}s:5:\"style\";a:1:{s:18:\"section_background\";a:2:{s:21:\"background_background\";i:1;s:16:\"background_color\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:0;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:1:{s:12:\"align_mobile\";i:1;}}}}s:17:\"tmx-global-button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_button\";a:6:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:4:\"link\";i:1;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;s:4:\"size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8365", "1153", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8366", "1153", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8367", "1153", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8368", "1153", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8369", "1153", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8370", "1153", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8371", "1153", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8372", "1154", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8373", "1154", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8374", "1154", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8375", "1154", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8376", "1154", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8377", "1154", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8378", "1154", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8379", "1155", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8380", "1155", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8381", "1155", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8382", "1155", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8383", "1155", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8384", "1155", "_elementor_data", "[{\"id\":\"42bd5ff\",\"elType\":\"section\",\"settings\":{\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":750,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"rgba(0, 0, 0, 0.94)\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"0f35702\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInLeft\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\"},\"elements\":[{\"id\":\"3e071e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sopisticated Style.\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"typography_font_weight\":\"700\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"header_size\":\"h1\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"f201ece\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\",\"text_color\":\"#FFFFFF\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"38ed71a\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Our Work\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"},{\"id\":\"8d6c707\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"white-btn\",\"text\":\"Contact Us\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"8a904fa\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"5a6fee6\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ad988d1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3f7499f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"74c630b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"512f8be\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"30\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"z_index\":5},\"elements\":[{\"id\":\"3a5d356\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-153\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"css_classes\":\"image-border\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"5a181a8\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"ec113d8\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"163c6e4\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"hide_mobile\":\"hidden-phone\",\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"6647471\",\"elType\":\"widget\",\"settings\":{\"title\":\"Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"35ceb8b\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. \",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"64888c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#FFFFFF\",\"background_color_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_color_b\":\"#F3F3F3\",\"background_color_b_stop\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"remove-maxwidth\"},\"elements\":[{\"id\":\"c0cff67\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9796ae4\",\"elType\":\"widget\",\"settings\":{\"space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"b3a5c08\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"_inline_size_tablet\":100,\"align\":\"flex-start\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"none\",\"animation_mobile\":\"none\",\"animation_duration\":\"slow\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation_tablet\":\"none\"},\"elements\":[{\"id\":\"e029d52\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>One\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"35731e8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Two\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a4a7bbf\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Three\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a773665\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-star\\\"><\\/i>\",\"title\":\"Service<br>Four\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/services\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"_animation\":\"fadeIn\",\"_animation_mobile\":\"none\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7748202\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"ad32a6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"84c16e4\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\",\"title_tag\":\"h2\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9fce1ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":300},\"elements\":[{\"id\":\"bb52c57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\",\"title_tag\":\"h2\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"c1e6802\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeIn\",\"animation_mobile\":\"none\",\"animation_delay\":600},\"elements\":[{\"id\":\"3dbdae5\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon_color\":\"#444444\",\"title_tag\":\"h2\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f391bf0\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"e6e0b41\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"cf978c6\",\"elType\":\"widget\",\"settings\":{\"slides\":[{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer One\",\"title\":\"\",\"_id\":\"bb88b7a\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Two\",\"title\":\"\",\"_id\":\"3e482ce\"},{\"content\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\",\"name\":\"Reviewer Three\",\"title\":\"\",\"_id\":\"0103195\"}],\"pagination\":\"\",\"content_color\":\"#FFFFFF\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"-10\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"name_color\":\"globals\\/colors?id=primary\",\"content_typography_typography\":\"globals\\/typography?id=text\",\"name_typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"testimonial-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c4e1201\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"a72d52e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"content_position\":\"center\",\"align\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"-50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInDown\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"c9330a5\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"right\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"93e1ad0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f302ff7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"image_size\":\"full\",\"align\":\"center\",\"width\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"image_border_border\":\"solid\",\"image_border_width\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"4\",\"bottom\":\"4\",\"left\":\"4\",\"isLinked\":true},\"image_border_color\":\"#F3F3F3\",\"image_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"_element_width\":\"initial\",\"align_mobile\":\"left\",\"space\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"space_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":140,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9a8dd39\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"140\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\"},\"elements\":[{\"id\":\"f7def07\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.667000000000001591615728102624416351318359375,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\"},\"elements\":[{\"id\":\"9a8377b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"38f13e1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"4485b74\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Learn More\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false},{\"id\":\"7487f2e\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"margin\":{\"unit\":\"px\",\"top\":\"-100\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2af3cdb\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"title\":\"Award<br>Winning\",\"description\":\"\",\"link\":{\"url\":\".\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":120,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"title_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"-10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-10\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"-3\",\"isLinked\":false},\"__dynamic__\":[],\"__globals__\":{\"info_box_background_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\",\"title_typography_typography\":\"globals\\/typography?id=accent\"},\"info_box_background_color\":\"#444444\",\"info_box_hover_background_color\":\"#999999\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2080e1f\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8385", "1155", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:13:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";i:6;s:12:\"e-animations\";i:7;s:12:\"e-animations\";i:8;s:12:\"e-animations\";i:9;s:12:\"e-animations\";i:10;s:12:\"e-animations\";i:11;s:12:\"e-animations\";i:12;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8386", "28", "_elementor_controls_usage", "a:8:{s:7:\"heading\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:3;s:11:\"header_size\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_title_style\";a:6:{s:11:\"title_color\";i:1;s:21:\"typography_typography\";i:1;s:20:\"typography_font_size\";i:1;s:22:\"typography_font_weight\";i:1;s:27:\"typography_font_size_tablet\";i:1;s:27:\"typography_font_size_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:2;s:14:\"_margin_tablet\";i:2;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:3;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:1:{s:10:\"text_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:17:\"tmx-global-button\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_button\";a:4:{s:12:\"button_style\";i:3;s:4:\"text\";i:3;s:4:\"link\";i:3;s:4:\"size\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:7:\"_margin\";i:3;s:8:\"_padding\";i:3;s:14:\"_element_width\";i:3;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:13;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:5:{s:12:\"_inline_size\";i:13;s:16:\"content_position\";i:2;s:5:\"align\";i:3;s:21:\"space_between_widgets\";i:2;s:19:\"_inline_size_tablet\";i:2;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:13;s:7:\"padding\";i:13;s:13:\"margin_tablet\";i:4;s:13:\"margin_mobile\";i:8;s:11:\"css_classes\";i:3;s:14:\"padding_mobile\";i:5;s:14:\"padding_tablet\";i:3;}s:15:\"section_effects\";a:5:{s:9:\"animation\";i:10;s:16:\"animation_mobile\";i:10;s:18:\"animation_duration\";i:2;s:16:\"animation_tablet\";i:1;s:15:\"animation_delay\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:21:\"background_background\";i:5;s:16:\"background_image\";i:2;s:19:\"background_position\";i:2;s:15:\"background_size\";i:2;s:16:\"background_color\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:8;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:5:{s:6:\"height\";i:2;s:13:\"custom_height\";i:2;s:13:\"content_width\";i:1;s:20:\"custom_height_tablet\";i:1;s:20:\"custom_height_mobile\";i:1;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:4;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:11:{s:21:\"background_background\";i:3;s:16:\"background_image\";i:2;s:19:\"background_position\";i:2;s:21:\"background_attachment\";i:2;s:17:\"background_repeat\";i:1;s:15:\"background_size\";i:2;s:16:\"background_color\";i:1;s:21:\"background_color_stop\";i:1;s:18:\"background_color_b\";i:1;s:23:\"background_color_b_stop\";i:1;s:25:\"background_gradient_angle\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:2;s:24:\"background_overlay_color\";i:2;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:8:{s:7:\"padding\";i:8;s:14:\"padding_mobile\";i:5;s:6:\"margin\";i:5;s:14:\"padding_tablet\";i:5;s:7:\"z_index\";i:1;s:13:\"margin_tablet\";i:2;s:11:\"css_classes\";i:1;s:13:\"margin_mobile\";i:1;}s:19:\"_section_responsive\";a:1:{s:20:\"reverse_order_mobile\";i:1;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:4:{s:5:\"image\";i:6;s:10:\"image_size\";i:6;s:5:\"align\";i:6;s:12:\"align_mobile\";i:4;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:8:{s:5:\"width\";i:6;s:12:\"width_mobile\";i:6;s:19:\"image_border_border\";i:6;s:18:\"image_border_width\";i:6;s:18:\"image_border_color\";i:6;s:19:\"image_border_radius\";i:6;s:5:\"space\";i:6;s:12:\"space_mobile\";i:6;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:7:{s:7:\"_margin\";i:6;s:14:\"_margin_mobile\";i:6;s:14:\"_element_width\";i:6;s:21:\"_element_width_mobile\";i:6;s:21:\"_element_custom_width\";i:6;s:28:\"_element_custom_width_tablet\";i:6;s:28:\"_element_custom_width_mobile\";i:6;}}}}s:6:\"spacer\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:0;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:2:{s:12:\"space_mobile\";i:2;s:12:\"space_tablet\";i:1;}}s:8:\"advanced\";a:1:{s:19:\"_section_responsive\";a:2:{s:11:\"hide_tablet\";i:1;s:11:\"hide_mobile\";i:1;}}}}s:4:\"icon\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:2:{s:13:\"selected_icon\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_style_icon\";a:1:{s:4:\"size\";i:1;}}s:8:\"advanced\";a:2:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:1;}s:19:\"_section_responsive\";a:1:{s:11:\"hide_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8412", "946", "_wp_old_date", "2020-01-03");
INSERT INTO `wpky_postmeta` VALUES("8413", "58", "_wp_old_date", "2019-12-17");
INSERT INTO `wpky_postmeta` VALUES("8419", "1160", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8420", "1160", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8421", "1160", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8422", "1160", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8423", "1160", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8424", "1160", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8426", "1161", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8427", "1161", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8428", "1161", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8429", "1161", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8430", "1161", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"title_typography_typography\":\"custom\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"items\":\"3\",\"tablet\":\"2\",\"mobile\":\"1\",\"post_type\":\"post\",\"count\":\"6\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"title_typo_typography\":\"custom\",\"title_typo_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"excerpt_typo_typography\":\"custom\",\"excerpt_typo_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8431", "1161", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8433", "1162", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8434", "1162", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8435", "1162", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8436", "1162", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8437", "1162", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8438", "1162", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8440", "29", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8442", "1163", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8443", "1163", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8444", "1163", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8445", "1163", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8446", "1163", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8447", "1163", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8448", "1163", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8449", "1164", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8450", "1164", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8451", "1164", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8452", "1164", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8453", "1164", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":\"testimonials\",\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8454", "1164", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8455", "1164", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8456", "1165", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8457", "1165", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8458", "1165", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8459", "1165", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8460", "1165", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8461", "1165", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8462", "1165", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8464", "1166", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8465", "1166", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8466", "1166", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8467", "1166", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8468", "1166", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8469", "1166", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8470", "1166", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8471", "1167", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8472", "1167", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8473", "1167", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8474", "1167", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8475", "1167", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\"},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8476", "1167", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8477", "1167", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8478", "1168", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8479", "1168", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8480", "1168", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8481", "1168", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8482", "1168", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8483", "1168", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8484", "1168", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8486", "1169", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8487", "1169", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8488", "1169", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8489", "1169", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("8490", "1169", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("8491", "1169", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8492", "1170", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8493", "1170", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8494", "1170", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8495", "1170", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("8496", "1170", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("8497", "1170", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"typography_title_typography\":\"custom\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8498", "1171", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8499", "1171", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8500", "1171", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8501", "1171", "_elementor_version", "2.9.8");
INSERT INTO `wpky_postmeta` VALUES("8502", "1171", "_elementor_pro_version", "2.9.3");
INSERT INTO `wpky_postmeta` VALUES("8503", "1171", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"posts_orderby\":\"post_title\",\"posts_order\":\"asc\",\"__globals__\":{\"typography_title_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8504", "53", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8507", "1172", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8508", "1172", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8509", "1172", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8510", "1172", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8511", "1172", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8512", "1172", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8513", "1172", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8514", "1173", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8515", "1173", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8516", "1173", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8517", "1173", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8518", "1173", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8519", "1173", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8520", "1173", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8521", "1174", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8522", "1174", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8523", "1174", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8524", "1174", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8525", "1174", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8526", "1174", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\">Go Back<\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8527", "1174", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8528", "981", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8533", "1177", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8534", "1177", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8535", "1177", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8536", "1177", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8537", "1177", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8538", "1177", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\">Go Back<\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8539", "1177", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8540", "1177", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8541", "1178", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8542", "1178", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8543", "1178", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8544", "1178", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8545", "1178", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8546", "1178", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\">Go Back<\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8547", "1178", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8548", "1178", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8549", "1179", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8550", "1179", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8551", "1179", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8552", "1179", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8553", "1179", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8554", "1179", "_elementor_data", "[{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3847fb0\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8555", "1179", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8556", "1179", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8563", "1184", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8564", "1184", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8565", "1184", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8566", "1184", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8567", "1184", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8568", "1184", "_elementor_data", "[{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3847fb0\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8569", "1184", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8570", "1184", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8572", "1185", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8573", "1185", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8574", "1185", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8575", "1185", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8576", "1185", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8577", "1185", "_elementor_data", "[{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3847fb0\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8578", "1185", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8579", "1185", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8581", "1186", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8582", "1186", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8583", "1186", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8584", "1186", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8585", "1186", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8586", "1186", "_elementor_data", "[{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"95d86cf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b440172\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3847fb0\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8587", "1186", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8588", "1186", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8590", "981", "_elementor_controls_usage", "a:4:{s:4:\"html\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:0;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:4:\"html\";i:2;}}}}s:7:\"gallery\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:8:\"settings\";a:9:{s:7:\"gallery\";i:1;s:9:\"galleries\";i:1;s:14:\"columns_tablet\";i:1;s:14:\"columns_mobile\";i:1;s:3:\"gap\";i:1;s:10:\"gap_tablet\";i:1;s:10:\"gap_mobile\";i:1;s:12:\"aspect_ratio\";i:1;s:20:\"thumbnail_image_size\";i:1;}s:7:\"overlay\";a:1:{s:13:\"overlay_title\";i:1;}}s:5:\"style\";a:1:{s:21:\"overlay_content_style\";a:3:{s:25:\"content_vertical_position\";i:1;s:27:\"title_typography_typography\";i:1;s:26:\"title_typography_font_size\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:1;s:21:\"space_between_widgets\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8594", "1187", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8595", "1187", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8596", "1187", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8597", "1187", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8598", "1187", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8599", "1187", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8600", "1187", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8601", "1188", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8602", "1188", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8603", "1188", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8604", "1188", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8605", "1188", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8606", "1188", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8607", "1188", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8608", "1189", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8609", "1189", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8610", "1189", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8611", "1189", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8612", "1189", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8613", "1189", "_elementor_data", "[{\"id\":\"e737002\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c03ea7a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"c3c94a9\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"b67724a\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"3c272dd\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8614", "1189", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8615", "979", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8616", "979", "_elementor_controls_usage", "a:4:{s:4:\"html\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:0;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:4:\"html\";i:2;}}}}s:7:\"gallery\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:8:\"settings\";a:9:{s:7:\"gallery\";i:1;s:9:\"galleries\";i:1;s:14:\"columns_tablet\";i:1;s:14:\"columns_mobile\";i:1;s:3:\"gap\";i:1;s:10:\"gap_tablet\";i:1;s:10:\"gap_mobile\";i:1;s:12:\"aspect_ratio\";i:1;s:20:\"thumbnail_image_size\";i:1;}s:7:\"overlay\";a:1:{s:13:\"overlay_title\";i:1;}}s:5:\"style\";a:1:{s:21:\"overlay_content_style\";a:3:{s:25:\"content_vertical_position\";i:1;s:27:\"title_typography_typography\";i:1;s:26:\"title_typography_font_size\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:1;s:21:\"space_between_widgets\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8617", "1190", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8618", "1190", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8619", "1190", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8620", "1190", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8621", "1190", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8622", "1190", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8623", "1190", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8624", "1191", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8625", "1191", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8626", "1191", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8627", "1191", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8628", "1191", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8629", "1191", "_elementor_data", "[{\"id\":\"cd38ffc\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e88c6c\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8854d01\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"efa3ab6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"497aa0e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"8b431a5\",\"elType\":\"widget\",\"settings\":{\"gallery_images\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"thumbnail_size\":\"full\",\"item_ratio\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"item_ratio_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"columns_tablet\":\"2\",\"columns_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"oew-image-gallery\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c874ce6\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0b650e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4573d70\",\"elType\":\"widget\",\"settings\":{\"type\":\"none\",\"text\":\"1\",\"position\":\"left\",\"vertical_position\":\"middle\",\"title\":\"<i class=\\\"fas fa-angle-left\\\" style=\\\"padding-right: 5px;\\\"><\\/i> Back To Projects\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\".\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"info_box_padding\":{\"unit\":\"px\",\"top\":\"16\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":false},\"title_color\":\"#FFFFFF\",\"__globals__\":{\"info_box_background_color\":\"globals\\/colors?id=primary\",\"info_box_hover_background_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8630", "1191", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8631", "1192", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8632", "1192", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8633", "1192", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8634", "1192", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8635", "1192", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8636", "1192", "_elementor_data", "[{\"id\":\"e1967c2\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4322fb5\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"05\",\"right\":\"05\",\"bottom\":\"05\",\"left\":\"05\",\"isLinked\":true},\"space_between_widgets\":5},\"elements\":[{\"id\":\"472a3f7\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"},{\"id\":\"d10d93f\",\"elType\":\"widget\",\"settings\":{\"gallery\":[{\"id\":925,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\"},{\"id\":969,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-1.jpg\"},{\"id\":970,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-2.jpg\"},{\"id\":971,\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807-3.jpg\"}],\"galleries\":[{\"gallery_title\":\"New Gallery\",\"_id\":\"fcf6035\"}],\"columns_tablet\":3,\"columns_mobile\":2,\"gap\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"aspect_ratio\":\"1:1\",\"thumbnail_image_size\":\"large\",\"show_all_galleries_label\":\"All\",\"overlay_title\":\"caption\",\"content_vertical_position\":\"middle\",\"title_typography_typography\":\"custom\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"gallery\"},{\"id\":\"4ab4bcf\",\"elType\":\"widget\",\"settings\":{\"html\":\"<button onclick=\\\"goBack()\\\" class=\\\"go-back-button\\\"><i class=\\\"far fa-chevron-left\\\"><\\/i> Back To Projects<\\/button><\\/button>\"},\"elements\":[],\"widgetType\":\"html\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8637", "1192", "_thumbnail_id", "925");
INSERT INTO `wpky_postmeta` VALUES("8638", "950", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8639", "950", "_elementor_controls_usage", "a:4:{s:4:\"html\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:0;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:4:\"html\";i:2;}}}}s:7:\"gallery\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:8:\"settings\";a:9:{s:7:\"gallery\";i:1;s:9:\"galleries\";i:1;s:14:\"columns_tablet\";i:1;s:14:\"columns_mobile\";i:1;s:3:\"gap\";i:1;s:10:\"gap_tablet\";i:1;s:10:\"gap_mobile\";i:1;s:12:\"aspect_ratio\";i:1;s:20:\"thumbnail_image_size\";i:1;}s:7:\"overlay\";a:1:{s:13:\"overlay_title\";i:1;}}s:5:\"style\";a:1:{s:21:\"overlay_content_style\";a:3:{s:25:\"content_vertical_position\";i:1;s:27:\"title_typography_typography\";i:1;s:26:\"title_typography_font_size\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:1;s:21:\"space_between_widgets\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8649", "1194", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8650", "1194", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8651", "1194", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8652", "1194", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8653", "1194", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8654", "1194", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8655", "1195", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8656", "1195", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8657", "1195", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8658", "1195", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8659", "1195", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8660", "1195", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":{\"background_hover_color\":\"[elementor-tag id=\\\"d19fa63\\\" name=\\\"acf-color\\\" settings=\\\"%7B%22key%22%3A%22field_5eac673850e2b%3Amain_color%22%7D\\\"]\"}},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8661", "1196", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8662", "1196", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8663", "1196", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8664", "1196", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8665", "1196", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8666", "1196", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8667", "32", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8673", "1199", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8674", "1199", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8675", "1199", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8676", "1199", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8677", "1199", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8678", "1199", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8679", "1199", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8681", "1200", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8682", "1200", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8683", "1200", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8684", "1200", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8685", "1200", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8686", "1200", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_hover_background\":\"classic\",\"background_hover_color\":\"#85CC74\",\"css_classes\":\"white-on-hover\",\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8687", "1200", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8689", "1201", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8690", "1201", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8691", "1201", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8692", "1201", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8693", "1201", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8694", "1201", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8695", "1201", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8698", "1202", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8699", "1202", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8700", "1202", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8701", "1202", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8702", "1202", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8703", "1202", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8704", "1202", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8705", "1203", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8706", "1203", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8707", "1203", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8708", "1203", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8709", "1203", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8710", "1203", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":-4,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8711", "1203", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8712", "1204", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8713", "1204", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8714", "1204", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8715", "1204", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8716", "1204", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8717", "1204", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8718", "1204", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8720", "1205", "_edit_lock", "1646848083:4");
INSERT INTO `wpky_postmeta` VALUES("8721", "1205", "_edit_last", "4");
INSERT INTO `wpky_postmeta` VALUES("8722", "1205", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8723", "1205", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("8724", "1205", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("8725", "1205", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("8726", "1205", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("8727", "1205", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("8728", "1205", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("8729", "1205", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("8730", "1205", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("8731", "1205", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("8732", "1205", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("8733", "1205", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("8734", "1205", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("8735", "1205", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("8736", "1205", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("8737", "1205", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("8738", "1205", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("8739", "1205", "osp_disable_panel", "default");
INSERT INTO `wpky_postmeta` VALUES("8740", "1205", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("8741", "1205", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("8742", "1205", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("8743", "1205", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8744", "1205", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8745", "1205", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8746", "1205", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8747", "1207", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8748", "1207", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8749", "1207", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8750", "1207", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8751", "1207", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8752", "1208", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8753", "1208", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8754", "1208", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8755", "1208", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8756", "1208", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8757", "1205", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"813720c\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b753ff7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9dbf651\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"24cdea1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"134424b\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"dc97a64\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"24fa6a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"59f1c9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0ccf242\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"132ef93\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8758", "1209", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8759", "1209", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8760", "1209", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8761", "1209", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8762", "1209", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8763", "1209", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8764", "1205", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:5:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8766", "1210", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8767", "1210", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8768", "1210", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8769", "1210", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8770", "1210", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8771", "1210", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8772", "1210", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:4:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8773", "1211", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8774", "1211", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8775", "1211", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8776", "1211", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8777", "1211", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8778", "1211", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8779", "1211", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:4:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8780", "1212", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8781", "1212", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8782", "1212", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8783", "1212", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8784", "1212", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8785", "1212", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"813720c\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b753ff7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9dbf651\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"24cdea1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"134424b\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"dc97a64\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"24fa6a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8786", "1212", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:4:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8789", "1213", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8790", "1213", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8791", "1213", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8792", "1213", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8793", "1213", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8794", "1213", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"813720c\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b753ff7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9dbf651\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"24cdea1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"134424b\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"dc97a64\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"24fa6a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8795", "1213", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:5:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8796", "1214", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8797", "1214", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8798", "1214", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8799", "1214", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8800", "1214", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8801", "1214", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"813720c\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b753ff7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9dbf651\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"24cdea1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"134424b\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"dc97a64\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"24fa6a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8802", "1214", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:5:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8803", "1215", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8804", "1215", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8805", "1215", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8806", "1215", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8807", "1215", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8808", "1215", "_elementor_data", "[{\"id\":\"13cba5f\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"62e1dbb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"4beda5d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"af93e19\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"3a95683\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"3a9e349\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e0090f1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7a4ef14\",\"elType\":\"section\",\"settings\":{\"background_background\":\"gradient\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\",\"background_color_b\":\"globals\\/colors?id=1a8f8e18\"},\"background_color_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_color_b_stop\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]}},\"elements\":[{\"id\":\"b659249\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2186687\",\"elType\":\"widget\",\"settings\":{\"title\":\"More Details\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"01207fa\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a3dee56\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[{\"id\":\"5359d2e\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #1\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"4c9bc2a\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"2db0930\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #2\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"c271e12\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"7fe4503\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Detail #3\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"},\"icon\":{\"value\":\"fal fa-badge-check\",\"library\":\"fa-light\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"813720c\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b753ff7\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9dbf651\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"24cdea1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"134424b\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"dc97a64\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"24fa6a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"59f1c9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"0ccf242\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"132ef93\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8809", "1215", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:5:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8810", "1205", "_elementor_controls_usage", "a:6:{s:6:\"spacer\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:0;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:1:{s:12:\"space_mobile\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:9;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:9;s:21:\"space_between_widgets\";i:4;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:8:{s:21:\"background_background\";i:5;s:16:\"background_image\";i:2;s:19:\"background_position\";i:2;s:26:\"background_position_tablet\";i:2;s:26:\"background_position_mobile\";i:2;s:22:\"background_xpos_tablet\";i:2;s:15:\"background_size\";i:2;s:16:\"background_color\";i:3;}s:14:\"section_border\";a:2:{s:26:\"box_shadow_box_shadow_type\";i:3;s:21:\"box_shadow_box_shadow\";i:3;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:9;s:13:\"margin_mobile\";i:7;s:7:\"padding\";i:9;s:14:\"padding_mobile\";i:7;s:13:\"margin_tablet\";i:5;s:14:\"padding_tablet\";i:3;}s:15:\"section_effects\";a:3:{s:9:\"animation\";i:5;s:16:\"animation_mobile\";i:5;s:15:\"animation_delay\";i:2;}}}}s:4:\"icon\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:2:{s:13:\"selected_icon\";i:2;s:5:\"align\";i:2;}}s:5:\"style\";a:1:{s:18:\"section_style_icon\";a:1:{s:4:\"size\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:1:{s:5:\"title\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:3;s:14:\"_margin_tablet\";i:3;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:3;}s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:5:{s:6:\"margin\";i:4;s:7:\"padding\";i:4;s:14:\"padding_tablet\";i:3;s:14:\"padding_mobile\";i:3;s:11:\"css_classes\";i:3;}}s:5:\"style\";a:1:{s:18:\"section_background\";a:3:{s:21:\"background_background\";i:1;s:21:\"background_color_stop\";i:1;s:23:\"background_color_b_stop\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8811", "1216", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8812", "1216", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8813", "1216", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8814", "1216", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8815", "1216", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8816", "1216", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8817", "1216", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8819", "1217", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8820", "1217", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8821", "1217", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8822", "1217", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8823", "1217", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8824", "1217", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8825", "1217", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8827", "1218", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8828", "1218", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8829", "1218", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8830", "1218", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8831", "1218", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8832", "1218", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8833", "1218", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("8836", "1219", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8837", "1219", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8838", "1219", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8839", "1219", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8840", "1219", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8841", "1219", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"posts_orderby\":\"post_title\",\"posts_order\":\"asc\",\"__globals__\":{\"typography_title_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8842", "1219", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8844", "1220", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8845", "1220", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8846", "1220", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8847", "1220", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8848", "1220", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8849", "1220", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"posts_orderby\":\"post_title\",\"posts_order\":\"asc\",\"__globals__\":{\"typography_title_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8850", "1220", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8852", "1221", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wpky_postmeta` VALUES("8853", "1221", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8854", "1221", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8855", "1221", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8856", "1221", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8857", "1221", "_elementor_data", "[{\"id\":\"cd78ea9\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"f8a2b63\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"f3a1458\",\"elType\":\"widget\",\"settings\":{\"thumbnail_size_size\":\"full\",\"posts_post_type\":\"ocean_portfolio\",\"color_background\":\"rgba(0, 0, 0, 0.7)\",\"posts_per_page\":20,\"item_ratio\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"posts_orderby\":\"post_title\",\"posts_order\":\"asc\",\"__globals__\":{\"typography_title_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"portfolio\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b863d5d\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"d1a4c78\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"719ee82\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8858", "1221", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8860", "53", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:2;s:21:\"space_between_widgets\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:2;s:7:\"padding\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:5:{s:6:\"margin\";i:2;s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;s:11:\"css_classes\";i:1;}}s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8861", "1060", "_edit_lock", "1646848188:4");
INSERT INTO `wpky_postmeta` VALUES("8862", "1060", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8863", "1222", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8864", "1222", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("8865", "1222", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8866", "1222", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8867", "1222", "_elementor_data", "[{\"id\":\"1573beee\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":800,\"sizes\":[]},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"427fc109\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"353f8978\",\"elType\":\"widget\",\"settings\":{\"title\":\"Coming Soon!\",\"align\":\"center\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1ba24bc3\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>This page is currently under construction. Check back later for more information, or contact us today to learn more. We appreciate your interest in our company!<\\/p>\",\"align\":\"center\",\"align_mobile\":\"left\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"3722ebdf\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Contact Us\",\"align\":\"center\",\"align_mobile\":\"left\",\"size\":\"square-small-btn\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8869", "1222", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8870", "1060", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8871", "1060", "_elementor_controls_usage", "a:5:{s:7:\"heading\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:3:{s:5:\"title\";i:1;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:2:{s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;}}}}s:17:\"tmx-global-button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:6:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;s:4:\"size\";i:1;s:4:\"link\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:13:\"content_width\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8876", "1225", "_menu_item_type", "post_type");
INSERT INTO `wpky_postmeta` VALUES("8877", "1225", "_menu_item_menu_item_parent", "65");
INSERT INTO `wpky_postmeta` VALUES("8878", "1225", "_menu_item_object_id", "1205");
INSERT INTO `wpky_postmeta` VALUES("8879", "1225", "_menu_item_object", "page");
INSERT INTO `wpky_postmeta` VALUES("8880", "1225", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("8881", "1225", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("8882", "1225", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("8883", "1225", "_menu_item_url", "");
INSERT INTO `wpky_postmeta` VALUES("8885", "1225", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("8886", "1225", "_menu_item_mega_template", "553");
INSERT INTO `wpky_postmeta` VALUES("8887", "1225", "_menu_item_nolink", "");
INSERT INTO `wpky_postmeta` VALUES("8888", "1225", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("8889", "1225", "_menu_item_megamenu", "");
INSERT INTO `wpky_postmeta` VALUES("8890", "1225", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("8891", "1225", "_menu_item_megamenu_col", "");
INSERT INTO `wpky_postmeta` VALUES("8892", "1225", "_menu_item_megamenu_heading", "");
INSERT INTO `wpky_postmeta` VALUES("8893", "1225", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("8894", "1225", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("8895", "62", "_wp_old_date", "2019-12-17");
INSERT INTO `wpky_postmeta` VALUES("8896", "64", "_wp_old_date", "2019-12-17");
INSERT INTO `wpky_postmeta` VALUES("8897", "65", "_wp_old_date", "2019-12-17");
INSERT INTO `wpky_postmeta` VALUES("8899", "1226", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8900", "1226", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8901", "1226", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8902", "1226", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("8903", "1226", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("8904", "1226", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-house\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"-6\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8906", "1227", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8907", "1227", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8908", "1227", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8909", "1227", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("8910", "1227", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("8911", "1227", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Kitchen<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/kitchen-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\"},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2da582\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-bath\\\"><\\/i>\",\"title\":\"Bathroom<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/bathroom-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":200},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"34df506\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Basement<br>Remodeling\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/basement-remodeling\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.33,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":400},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"e091d57\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-cloud-rain\\\"><\\/i>\",\"title\":\"Storm<br>Damage\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/storm-damage-restoration\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":600},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"ac7a8aa\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-border-all\\\"><\\/i>\",\"title\":\"Flooring<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/flooring\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":800},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"a062530\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-house\\\"><\\/i>\",\"title\":\"Roofing<br>Work\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"https:\\/\\/c97021x1.entnet8.com\\/roofing\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_hover_background_color\":\"#85CC74\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"-6\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.6667,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.333,\"sizes\":[]},\"_animation_mobile\":\"none\",\"_animation_delay\":1000},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8913", "1228", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("8914", "1228", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8915", "1228", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("8916", "1228", "_elementor_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("8917", "1228", "_elementor_pro_version", "2.8.2");
INSERT INTO `wpky_postmeta` VALUES("8918", "1228", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #1\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"4b38596\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #2\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"51614cb\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #3\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"28e6e1b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #4\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8920", "553", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8921", "553", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:2:{s:4:\"text\";i:4;s:4:\"icon\";i:4;}s:15:\"section_content\";a:4:{s:5:\"title\";i:4;s:11:\"description\";i:4;s:9:\"link_type\";i:4;s:4:\"link\";i:4;}}s:5:\"style\";a:3:{s:13:\"section_style\";a:4:{s:30:\"info_box_background_background\";i:4;s:36:\"info_box_hover_background_background\";i:4;s:16:\"info_box_padding\";i:4;s:23:\"info_box_padding_tablet\";i:4;}s:18:\"section_icon_style\";a:6:{s:26:\"text_typography_typography\";i:4;s:25:\"text_typography_font_size\";i:4;s:10:\"icon_color\";i:4;s:12:\"icon_padding\";i:4;s:11:\"icon_margin\";i:4;s:9:\"icon_size\";i:4;}s:19:\"section_title_style\";a:7:{s:27:\"title_typography_typography\";i:4;s:28:\"title_typography_font_family\";i:4;s:26:\"title_typography_font_size\";i:4;s:28:\"title_typography_font_weight\";i:4;s:31:\"title_typography_text_transform\";i:4;s:31:\"title_typography_letter_spacing\";i:4;s:12:\"title_margin\";i:4;}}s:8:\"advanced\";a:3:{s:14:\"_section_style\";a:1:{s:12:\"_css_classes\";i:4;}s:17:\"_section_position\";a:4:{s:14:\"_element_width\";i:4;s:21:\"_element_custom_width\";i:4;s:21:\"_element_width_mobile\";i:4;s:28:\"_element_custom_width_mobile\";i:4;}s:15:\"section_effects\";a:1:{s:17:\"_animation_mobile\";i:4;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_background\";a:2:{s:21:\"background_background\";i:1;s:16:\"background_color\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8927", "1230", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8928", "1230", "_elementor_template_type", "kit");
INSERT INTO `wpky_postmeta` VALUES("8929", "1230", "_elementor_page_settings", "a:17:{s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:21:\"space_between_widgets\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:13:\"custom_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:8:\"3b905506\";s:5:\"title\";s:5:\"Black\";s:5:\"color\";s:4:\"#000\";}i:1;a:3:{s:3:\"_id\";s:8:\"2f7ae31a\";s:5:\"title\";s:4:\"Grey\";s:5:\"color\";s:7:\"#F3F3F3\";}i:2;a:3:{s:3:\"_id\";s:8:\"1a8f8e18\";s:5:\"title\";s:5:\"White\";s:5:\"color\";s:4:\"#FFF\";}i:3;a:3:{s:3:\"_id\";s:7:\"c68b921\";s:5:\"title\";s:4:\"Text\";s:5:\"color\";s:7:\"#444444\";}}s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:7:\"Primary\";s:5:\"color\";s:7:\"#999999\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"Primary Hover\";s:5:\"color\";s:7:\"#555555\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Secondary\";s:5:\"color\";s:7:\"#444444\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:15:\"Secondary Hover\";s:5:\"color\";s:7:\"#111111\";}}s:17:\"system_typography\";a:4:{i:0;a:16:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:14:\"Section Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_tablet\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.3000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}}i:1;a:16:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:14:\"Smaller Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:9:\"Body Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"400\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:16;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:3;a:12:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:11:\"Button Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:22:\"typography_font_weight\";s:3:\"900\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.200000000000000011102230246251565404236316680908203125;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:17:\"custom_typography\";a:3:{i:0;a:16:{s:3:\"_id\";s:7:\"243bb17\";s:5:\"title\";s:16:\"Description Text\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:27:\"typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:29:\"typography_line_height_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:32:\"typography_letter_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:30:\"typography_word_spacing_mobile\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:1;a:12:{s:3:\"_id\";s:7:\"017ee36\";s:5:\"title\";s:10:\"Sub Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:7:\"PT Sans\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:9:\"uppercase\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:1;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}i:2;a:12:{s:3:\"_id\";s:7:\"1d058a6\";s:5:\"title\";s:13:\"Footer Header\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:16:\"Playfair Display\";s:20:\"typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:22:\"typography_font_weight\";s:3:\"400\";s:25:\"typography_text_transform\";s:4:\"none\";s:21:\"typography_font_style\";s:6:\"normal\";s:26:\"typography_text_decoration\";s:4:\"none\";s:22:\"typography_line_height\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";d:1.1999999999999999555910790149937383830547332763671875;s:5:\"sizes\";a:0:{}}s:25:\"typography_letter_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.5;s:5:\"sizes\";a:0:{}}s:23:\"typography_word_spacing\";a:3:{s:4:\"unit\";s:2:\"em\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}}}s:9:\"site_name\";s:12:\"Company Name\";s:16:\"site_description\";s:22:\"Services | City, State\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1200;s:5:\"sizes\";a:0:{}}s:18:\"lightbox_title_src\";s:0:\"\";s:24:\"lightbox_description_src\";s:0:\"\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;s:15:\"viewport_mobile\";i:767;s:15:\"viewport_tablet\";i:1024;}");
INSERT INTO `wpky_postmeta` VALUES("8930", "1230", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8931", "1230", "_elementor_data", "[]");
INSERT INTO `wpky_postmeta` VALUES("8932", "1230", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8933", "1230", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8934", "1230", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8936", "1231", "oh_enable_hook", "enable");
INSERT INTO `wpky_postmeta` VALUES("8937", "1231", "oh_hook_php", "enable");
INSERT INTO `wpky_postmeta` VALUES("8938", "1231", "_edit_lock", "1668101227:5");
INSERT INTO `wpky_postmeta` VALUES("8939", "1231", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("8940", "1231", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8941", "1231", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("8942", "1231", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("8943", "1231", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("8944", "1231", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("8945", "1231", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("8946", "1231", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("8947", "1231", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("8948", "1231", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("8949", "1231", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("8950", "1231", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("8951", "1231", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("8952", "1231", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("8953", "1231", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("8954", "1231", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("8955", "1231", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("8956", "1231", "oh_hook_location", "wp_head");
INSERT INTO `wpky_postmeta` VALUES("8957", "1231", "oh_hook_priority", "0");
INSERT INTO `wpky_postmeta` VALUES("8958", "1231", "oh_hook_cond_logic", "");
INSERT INTO `wpky_postmeta` VALUES("8959", "1231", "oh_hook_user_roles", "");
INSERT INTO `wpky_postmeta` VALUES("8960", "1231", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("8961", "1231", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("8962", "1231", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("8963", "1231", "php_data", "<!-- Global site tag (gtag.js) - Google Analytics -->\r\n<script async src=\"https://www.googletagmanager.com/gtag/js?id=########\"></script>\r\n<script>\r\n  window.dataLayer = window.dataLayer || [];\r\n  function gtag(){dataLayer.push(arguments);}\r\n  gtag(\'js\', new Date());\r\n\r\n  gtag(\'config\', \'########\');\r\n</script>");
INSERT INTO `wpky_postmeta` VALUES("8971", "1233", "_edit_lock", "1668101731:5");
INSERT INTO `wpky_postmeta` VALUES("8972", "1054", "_edit_lock", "1668104745:5");
INSERT INTO `wpky_postmeta` VALUES("8973", "1054", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8974", "1234", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("8975", "1234", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("8976", "1234", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("8977", "1234", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("8978", "1234", "_elementor_data", "[{\"id\":\"36c9a79a\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3187bac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"13c0daf9\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"72f7c8ae\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"010\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"739ceac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8979", "1234", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8980", "1054", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("8981", "1054", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:4;s:19:\"_inline_size_tablet\";i:4;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:4;s:13:\"margin_tablet\";i:4;s:13:\"margin_mobile\";i:4;s:7:\"padding\";i:4;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("8982", "1233", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("8983", "1233", "_wp_trash_meta_time", "1668101781");
INSERT INTO `wpky_postmeta` VALUES("8984", "1236", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("8985", "1236", "_wp_trash_meta_time", "1668102017");
INSERT INTO `wpky_postmeta` VALUES("8986", "1238", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("8987", "1238", "_wp_trash_meta_time", "1668102106");
INSERT INTO `wpky_postmeta` VALUES("8989", "1240", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("8990", "1240", "_wp_trash_meta_time", "1668102185");
INSERT INTO `wpky_postmeta` VALUES("8991", "1241", "_edit_lock", "1668102214:5");
INSERT INTO `wpky_postmeta` VALUES("8992", "1241", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("8993", "1241", "_wp_trash_meta_time", "1668102223");
INSERT INTO `wpky_postmeta` VALUES("8994", "1243", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("8995", "1243", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("8996", "1243", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("8997", "1243", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("8998", "1243", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("8999", "1243", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9000", "1243", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9002", "1244", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9003", "1244", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9004", "1244", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9005", "1244", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9006", "1244", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9007", "1244", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9008", "1244", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9010", "1245", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9011", "1245", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9012", "1245", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9013", "1245", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9014", "1245", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9015", "1245", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9016", "1245", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9021", "821", "_edit_lock", "1668102294:5");
INSERT INTO `wpky_postmeta` VALUES("9022", "894", "_edit_lock", "1668102328:5");
INSERT INTO `wpky_postmeta` VALUES("9024", "988", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:2:{i:0;s:16:\"Playfair Display\";i:2;s:7:\"PT Sans\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9025", "553", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:1:{i:0;s:7:\"PT Sans\";}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9026", "517", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9027", "1246", "_edit_lock", "1668103378:5");
INSERT INTO `wpky_postmeta` VALUES("9028", "1246", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9029", "1246", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9030", "1246", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9031", "1246", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9032", "1246", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9033", "1246", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9034", "1248", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9035", "1248", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9036", "1248", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9037", "1248", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9038", "1248", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9039", "1249", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9040", "1249", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9041", "1249", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9042", "1249", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9043", "1249", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9044", "1246", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9045", "1250", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9046", "1250", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9047", "1250", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9048", "1250", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9049", "1250", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9050", "1250", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"left\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9051", "1246", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9053", "1251", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9054", "1251", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9055", "1251", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9056", "1251", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9057", "1251", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9058", "1251", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"left\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9059", "1251", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9060", "1252", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9061", "1252", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9062", "1252", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9063", "1252", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9064", "1252", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9065", "1252", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"left\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9066", "1252", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9067", "1253", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9068", "1253", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9069", "1253", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9070", "1253", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9071", "1253", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9072", "1253", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9073", "1253", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9074", "1246", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:2;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:1;s:5:\"align\";i:1;s:17:\"vertical_position\";i:1;s:15:\"position_mobile\";i:1;s:12:\"align_mobile\";i:1;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:1;s:9:\"link_type\";i:1;s:11:\"button_size\";i:1;s:4:\"link\";i:1;s:11:\"button_text\";i:1;s:20:\"button_icon_position\";i:1;s:19:\"button_icon_spacing\";i:1;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:1;s:17:\"icon_border_width\";i:1;s:18:\"icon_border_radius\";i:1;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:1;s:19:\"icon_padding_mobile\";i:1;s:18:\"icon_margin_tablet\";i:1;s:18:\"icon_margin_mobile\";i:1;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:1;s:27:\"button_border_normal_border\";i:1;s:26:\"button_border_normal_width\";i:1;s:20:\"button_border_radius\";i:1;s:13:\"button_margin\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9075", "28", "_elementor_css", "a:6:{s:4:\"time\";i:1668103379;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9076", "1254", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9077", "1254", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9078", "1254", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9079", "1254", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9080", "1254", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9081", "1254", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9082", "1254", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9083", "1254", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:2;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:1;s:5:\"align\";i:1;s:17:\"vertical_position\";i:1;s:15:\"position_mobile\";i:1;s:12:\"align_mobile\";i:1;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:1;s:9:\"link_type\";i:1;s:11:\"button_size\";i:1;s:4:\"link\";i:1;s:11:\"button_text\";i:1;s:20:\"button_icon_position\";i:1;s:19:\"button_icon_spacing\";i:1;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:1;s:17:\"icon_border_width\";i:1;s:18:\"icon_border_radius\";i:1;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:1;s:19:\"icon_padding_mobile\";i:1;s:18:\"icon_margin_tablet\";i:1;s:18:\"icon_margin_mobile\";i:1;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:1;s:27:\"button_border_normal_border\";i:1;s:26:\"button_border_normal_width\";i:1;s:20:\"button_border_radius\";i:1;s:13:\"button_margin\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9084", "1246", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("9085", "1246", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9086", "1246", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9087", "1246", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("9088", "1246", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("9089", "1246", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("9090", "1246", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9091", "1246", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9092", "1246", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9093", "1246", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("9094", "1246", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("9095", "1246", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("9096", "1246", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("9097", "1246", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("9098", "1246", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("9099", "1246", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9100", "1246", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9101", "1246", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9102", "1246", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("9103", "1246", "_elementor_css", "a:6:{s:4:\"time\";i:1668103429;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:2:{i:0;s:8:\"fa-light\";i:1;s:5:\"solid\";}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"c059fdf\";i:1;s:7:\"c059fdf\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9106", "1060", "_elementor_css", "a:6:{s:4:\"time\";i:1668103469;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9108", "1255", "_edit_lock", "1668103530:5");
INSERT INTO `wpky_postmeta` VALUES("9109", "1255", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9110", "1255", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9111", "1255", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9112", "1255", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9113", "1255", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9114", "1255", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9115", "1255", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9116", "1255", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9117", "1255", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:2;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:1;s:5:\"align\";i:1;s:17:\"vertical_position\";i:1;s:15:\"position_mobile\";i:1;s:12:\"align_mobile\";i:1;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:1;s:9:\"link_type\";i:1;s:11:\"button_size\";i:1;s:4:\"link\";i:1;s:11:\"button_text\";i:1;s:20:\"button_icon_position\";i:1;s:19:\"button_icon_spacing\";i:1;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:1;s:17:\"icon_border_width\";i:1;s:18:\"icon_border_radius\";i:1;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:1;s:19:\"icon_padding_mobile\";i:1;s:18:\"icon_margin_tablet\";i:1;s:18:\"icon_margin_mobile\";i:1;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:1;s:27:\"button_border_normal_border\";i:1;s:26:\"button_border_normal_width\";i:1;s:20:\"button_border_radius\";i:1;s:13:\"button_margin\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9118", "1255", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("9119", "1255", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9120", "1255", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9121", "1255", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("9122", "1255", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("9123", "1255", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("9124", "1255", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9125", "1255", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9126", "1255", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9127", "1255", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("9128", "1255", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("9129", "1255", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("9130", "1255", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("9131", "1255", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("9132", "1255", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("9133", "1255", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9134", "1255", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9135", "1255", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9136", "1255", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("9139", "1255", "_elementor_css", "a:6:{s:4:\"time\";i:1668103522;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"c059fdf\";i:1;s:7:\"c059fdf\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9140", "1256", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9141", "1256", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9142", "1256", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9143", "1256", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9144", "1256", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9145", "1256", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9146", "1256", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9147", "1256", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:2;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:1;s:5:\"align\";i:1;s:17:\"vertical_position\";i:1;s:15:\"position_mobile\";i:1;s:12:\"align_mobile\";i:1;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:1;s:9:\"link_type\";i:1;s:11:\"button_size\";i:1;s:4:\"link\";i:1;s:11:\"button_text\";i:1;s:20:\"button_icon_position\";i:1;s:19:\"button_icon_spacing\";i:1;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:1;s:17:\"icon_border_width\";i:1;s:18:\"icon_border_radius\";i:1;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:1;s:19:\"icon_padding_mobile\";i:1;s:18:\"icon_margin_tablet\";i:1;s:18:\"icon_margin_mobile\";i:1;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:1;s:27:\"button_border_normal_border\";i:1;s:26:\"button_border_normal_width\";i:1;s:20:\"button_border_radius\";i:1;s:13:\"button_margin\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9148", "1256", "_elementor_css", "a:6:{s:4:\"time\";i:1668103522;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"c059fdf\";i:1;s:7:\"c059fdf\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9149", "1257", "_edit_lock", "1668103539:5");
INSERT INTO `wpky_postmeta` VALUES("9150", "1257", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9151", "1257", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9152", "1257", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9153", "1257", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9154", "1257", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9155", "1257", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9156", "1257", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9157", "1257", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9158", "1257", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:2;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:1;s:5:\"align\";i:1;s:17:\"vertical_position\";i:1;s:15:\"position_mobile\";i:1;s:12:\"align_mobile\";i:1;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:1;s:9:\"link_type\";i:1;s:11:\"button_size\";i:1;s:4:\"link\";i:1;s:11:\"button_text\";i:1;s:20:\"button_icon_position\";i:1;s:19:\"button_icon_spacing\";i:1;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:1;s:17:\"icon_border_width\";i:1;s:18:\"icon_border_radius\";i:1;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:1;s:19:\"icon_padding_mobile\";i:1;s:18:\"icon_margin_tablet\";i:1;s:18:\"icon_margin_mobile\";i:1;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:1;s:27:\"button_border_normal_border\";i:1;s:26:\"button_border_normal_width\";i:1;s:20:\"button_border_radius\";i:1;s:13:\"button_margin\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9159", "1257", "ocean_post_layout", "full-screen");
INSERT INTO `wpky_postmeta` VALUES("9160", "1257", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9161", "1257", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9162", "1257", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("9163", "1257", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("9164", "1257", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("9165", "1257", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9166", "1257", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9167", "1257", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9168", "1257", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("9169", "1257", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("9170", "1257", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("9171", "1257", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("9172", "1257", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("9173", "1257", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("9174", "1257", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9175", "1257", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9176", "1257", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9177", "1257", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("9180", "1257", "_elementor_css", "a:6:{s:4:\"time\";i:1668103532;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"c059fdf\";i:1;s:7:\"c059fdf\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9181", "1258", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9182", "1258", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9183", "1258", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9184", "1258", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9185", "1258", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9186", "1258", "_elementor_data", "[{\"id\":\"dfc36d8\",\"elType\":\"section\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"e1685b8\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c059fdf\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-user\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Martha Meyer\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. \",\"title_tag\":\"h2\",\"link_type\":\"button\",\"button_size\":\"xs\",\"link\":{\"url\":\".\\/about\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Go Back\",\"icon_border_border\":\"solid\",\"icon_border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"icon_border_radius\":{\"unit\":\"%\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_margin\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"button_background\":\"rgba(0, 0, 0, 0)\",\"button_border_normal_border\":\"solid\",\"button_border_normal_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"button_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_margin\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"position_mobile\":\"top\",\"align_mobile\":\"center\",\"text_typography_typography\":\"custom\",\"text_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"icon_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"button_icon_position\":\"right\",\"button_icon_spacing\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"141eb15\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"button_text\":\"[elementor-tag id=\\\"c961e66\\\" name=\\\"post-custom-field\\\" settings=\\\"%7B%22fallback%22%3A%22Go%20Back%22%7D\\\"]\"},\"icon\":{\"value\":\"fal fa-user\",\"library\":\"fa-light\"},\"__globals__\":{\"title_typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\",\"button_typography_typography\":\"globals\\/typography?id=accent\",\"button_text_color\":\"globals\\/colors?id=primary\",\"button_border_normal_color\":\"globals\\/colors?id=primary\",\"button_hover_background\":\"globals\\/colors?id=primary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\",\"button_hover_border_color\":\"globals\\/colors?id=primary\",\"icon_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9187", "1258", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9188", "1258", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:5;s:8:\"controls\";a:3:{s:7:\"general\";a:1:{s:11:\"__dynamic__\";a:1:{s:5:\"count\";i:2;}}s:7:\"content\";a:2:{s:16:\"section_info_box\";a:7:{s:4:\"text\";i:1;s:8:\"position\";i:1;s:5:\"align\";i:1;s:17:\"vertical_position\";i:1;s:15:\"position_mobile\";i:1;s:12:\"align_mobile\";i:1;s:4:\"icon\";i:1;}s:15:\"section_content\";a:9:{s:5:\"title\";i:1;s:11:\"description\";i:1;s:9:\"title_tag\";i:1;s:9:\"link_type\";i:1;s:11:\"button_size\";i:1;s:4:\"link\";i:1;s:11:\"button_text\";i:1;s:20:\"button_icon_position\";i:1;s:19:\"button_icon_spacing\";i:1;}}s:5:\"style\";a:3:{s:18:\"section_icon_style\";a:10:{s:18:\"icon_border_border\";i:1;s:17:\"icon_border_width\";i:1;s:18:\"icon_border_radius\";i:1;s:12:\"icon_padding\";i:1;s:11:\"icon_margin\";i:1;s:26:\"text_typography_typography\";i:1;s:32:\"text_typography_font_size_mobile\";i:1;s:19:\"icon_padding_mobile\";i:1;s:18:\"icon_margin_tablet\";i:1;s:18:\"icon_margin_mobile\";i:1;}s:19:\"section_title_style\";a:1:{s:12:\"title_margin\";i:1;}s:20:\"section_button_style\";a:5:{s:17:\"button_background\";i:1;s:27:\"button_border_normal_border\";i:1;s:26:\"button_border_normal_width\";i:1;s:20:\"button_border_radius\";i:1;s:13:\"button_margin\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9189", "1258", "_elementor_css", "a:6:{s:4:\"time\";i:1668103532;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"c059fdf\";i:1;s:7:\"c059fdf\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9190", "1259", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9191", "1259", "_wp_trash_meta_time", "1668103634");
INSERT INTO `wpky_postmeta` VALUES("9192", "1261", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9193", "1261", "_wp_trash_meta_time", "1668103658");
INSERT INTO `wpky_postmeta` VALUES("9194", "1263", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9195", "1263", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9196", "1263", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9197", "1263", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9198", "1263", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9199", "1263", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9200", "1263", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9201", "1263", "_elementor_css", "a:6:{s:4:\"time\";i:1668103469;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9202", "1264", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9203", "1264", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9204", "1264", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9205", "1264", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9206", "1264", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9207", "1264", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9208", "1264", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9209", "1264", "_elementor_css", "a:6:{s:4:\"time\";i:1668103469;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9210", "1265", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9211", "1265", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9212", "1265", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9213", "1265", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9214", "1265", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"},\"post_type\":\"reviews\"},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9215", "1265", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9216", "1265", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9217", "1265", "_elementor_css", "a:6:{s:4:\"time\";i:1668103469;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9220", "1266", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9221", "1266", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9222", "1266", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9223", "1266", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9224", "1266", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"},\"post_type\":\"reviews\"},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9225", "1266", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9226", "1266", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9227", "1266", "_elementor_css", "a:6:{s:4:\"time\";i:1668103708;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9228", "1267", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9229", "1267", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9230", "1267", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9231", "1267", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9232", "1267", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"edd4755\",\"elType\":\"widget\",\"settings\":{\"tablet\":\"2\",\"mobile\":\"1\",\"include_categories\":[\"5\"],\"image_size\":\"full\",\"meta\":\"false\",\"author\":\"false\",\"date\":\"false\",\"cat\":\"false\",\"comments\":\"false\",\"excerpt_length\":\"30\",\"readmore_text\":\"Read More\",\"content_bg_\":\"#FFFFFF\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\"},\"post_type\":\"reviews\"},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9233", "1267", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9234", "1267", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9235", "1267", "_elementor_css", "a:6:{s:4:\"time\";i:1668103708;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9236", "1268", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9237", "1268", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9238", "1268", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9239", "1268", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9240", "1268", "_elementor_data", "[{\"id\":\"aa9389a\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"a53b7ed\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"c216dd4\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"6ebae06\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"1e345cb\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"f95c0f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c626c68\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"9eeb52b\",\"elType\":\"section\",\"settings\":{\"content_width\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"height\":\"min-height\",\"custom_height\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_tablet\":{\"unit\":\"px\",\"size\":600,\"sizes\":[]},\"custom_height_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]},\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1040250650.jpg\",\"id\":924},\"background_position\":\"center center\",\"background_attachment\":\"fixed\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#000000\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"060\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"100\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"2e64432\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"testimonial-slider\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"space_between_widgets\":0},\"elements\":[{\"id\":\"332d8ac\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c300173\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\",\"text_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9ff1c2b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Lorem Ipsum\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"header_size\":\"h3\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fd05b82\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"align\":\"center\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"94b80c4\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"content_position\":\"top\",\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"b8f345c\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"}},\"elements\":[{\"id\":\"6cefc9e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-award\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Award-Winning\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"13248c4\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"07.5\",\"bottom\":\"0\",\"left\":\"5.7\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":300,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.15)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"05\",\"isLinked\":false}},\"elements\":[{\"id\":\"d15b112\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-clipboard-check\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Experienced Professionals\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false},{\"id\":\"9b572e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"animation_delay\":600,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.151)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"-30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"831ba5e\",\"elType\":\"widget\",\"settings\":{\"type\":\"text\",\"text\":\"<i class=\\\"fal fa-thumbs-up\\\"><\\/i>\",\"position\":\"\",\"align\":\"left\",\"title\":\"Satisfied Clients\",\"description\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. \",\"button_text\":\"Learn More\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\",\"title_color\":\"globals\\/colors?id=3b905506\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_color\":\"globals\\/colors?id=c68b921\",\"description_typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"c85477b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"010\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"bf50c5d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/iStock-1147544807.jpg\",\"id\":925},\"background_position\":\"center center\",\"background_position_tablet\":\"initial\",\"background_position_mobile\":\"center center\",\"background_xpos_tablet\":{\"unit\":\"px\",\"size\":-35,\"sizes\":[]},\"background_size\":\"cover\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[{\"id\":\"9a34e9d\",\"elType\":\"widget\",\"settings\":{\"space_mobile\":{\"unit\":\"px\",\"size\":400,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false},{\"id\":\"c12e4f0\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"50\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"30\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"animation\":\"fadeInRight\",\"animation_mobile\":\"none\"},\"elements\":[{\"id\":\"ca1a738\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":150,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-60\",\"left\":\"-30\",\"isLinked\":false},\"__globals__\":{\"primary_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"bc8620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"70469e2\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.<\\/strong><\\/p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.<\\/p>\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f7ed254\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"template-hide about-testimonials\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=2f7ae31a\"}},\"elements\":[{\"id\":\"ec88312\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":40,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"c553773\",\"elType\":\"widget\",\"settings\":{\"title\":\"What Our Clients Say\",\"_margin\":{\"unit\":\"%\",\"top\":\"0\",\"right\":\"33.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d58400f\",\"elType\":\"widget\",\"settings\":{\"post_type\":\"reviews\",\"title_tag\":\"h3\",\"meta\":\"\",\"author\":\"\",\"date\":\"\",\"cat\":\"\",\"comments\":\"\",\"excerpt_length\":30,\"readmore_text\":\"Read More\",\"content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"content_bg_\":\"#FFFFFF\",\"button_typo_typography\":\"custom\",\"button_typo_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typo_font_weight\":\"800\",\"button_typo_text_transform\":\"uppercase\",\"button_typo_font_style\":\"normal\",\"button_typo_text_decoration\":\"none\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"title_typo_typography\":\"globals\\/typography?id=secondary\",\"excerpt_typo_typography\":\"globals\\/typography?id=text\",\"excerpt_color\":\"globals\\/colors?id=c68b921\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"oew-blog-carousel\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"523cf64\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"02c61d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"918a218\",\"elType\":\"widget\",\"settings\":{\"template_id\":\"1060\"},\"elements\":[],\"widgetType\":\"template\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9241", "1268", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9242", "1268", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:6:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";i:3;s:12:\"e-animations\";i:4;s:12:\"e-animations\";i:5;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9243", "1268", "_elementor_css", "a:6:{s:4:\"time\";i:1668103708;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9244", "29", "_elementor_controls_usage", "a:9:{s:6:\"spacer\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:0;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_spacer\";a:1:{s:12:\"space_mobile\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:10;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:10;s:21:\"space_between_widgets\";i:5;}}s:5:\"style\";a:2:{s:13:\"section_style\";a:8:{s:21:\"background_background\";i:5;s:16:\"background_image\";i:2;s:19:\"background_position\";i:2;s:26:\"background_position_tablet\";i:2;s:26:\"background_position_mobile\";i:2;s:22:\"background_xpos_tablet\";i:2;s:15:\"background_size\";i:2;s:16:\"background_color\";i:3;}s:14:\"section_border\";a:2:{s:26:\"box_shadow_box_shadow_type\";i:3;s:21:\"box_shadow_box_shadow\";i:3;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:10;s:13:\"margin_mobile\";i:7;s:7:\"padding\";i:10;s:14:\"padding_mobile\";i:7;s:13:\"margin_tablet\";i:5;s:11:\"css_classes\";i:1;s:14:\"padding_tablet\";i:3;}s:15:\"section_effects\";a:3:{s:9:\"animation\";i:6;s:16:\"animation_mobile\";i:6;s:15:\"animation_delay\";i:2;}}}}s:4:\"icon\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:2:{s:13:\"selected_icon\";i:2;s:5:\"align\";i:2;}}s:5:\"style\";a:1:{s:18:\"section_style_icon\";a:1:{s:4:\"size\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:2;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:3:{s:5:\"title\";i:5;s:5:\"align\";i:2;s:11:\"header_size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:3:{s:7:\"_margin\";i:5;s:14:\"_margin_tablet\";i:5;s:14:\"_margin_mobile\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:0;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:4;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:4;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:2:{s:5:\"align\";i:2;s:10:\"text_color\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:3;}s:14:\"section_layout\";a:7:{s:13:\"content_width\";i:1;s:6:\"height\";i:1;s:13:\"custom_height\";i:1;s:20:\"custom_height_tablet\";i:1;s:20:\"custom_height_mobile\";i:1;s:16:\"content_position\";i:1;s:6:\"layout\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:5;s:7:\"padding\";i:6;s:14:\"padding_tablet\";i:5;s:14:\"padding_mobile\";i:5;s:11:\"css_classes\";i:5;s:13:\"margin_tablet\";i:1;s:13:\"margin_mobile\";i:1;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:5:{s:21:\"background_background\";i:2;s:16:\"background_image\";i:1;s:19:\"background_position\";i:1;s:21:\"background_attachment\";i:1;s:15:\"background_size\";i:1;}s:26:\"section_background_overlay\";a:2:{s:29:\"background_overlay_background\";i:1;s:24:\"background_overlay_color\";i:1;}}}}s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:4:{s:4:\"type\";i:3;s:4:\"text\";i:3;s:8:\"position\";i:3;s:5:\"align\";i:3;}s:15:\"section_content\";a:2:{s:5:\"title\";i:3;s:11:\"description\";i:3;}}}}s:17:\"oew-blog-carousel\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:2:{s:13:\"section_query\";a:1:{s:9:\"post_type\";i:1;}s:16:\"section_elements\";a:8:{s:9:\"title_tag\";i:1;s:4:\"meta\";i:1;s:6:\"author\";i:1;s:4:\"date\";i:1;s:3:\"cat\";i:1;s:8:\"comments\";i:1;s:14:\"excerpt_length\";i:1;s:13:\"readmore_text\";i:1;}}s:5:\"style\";a:2:{s:15:\"section_content\";a:2:{s:15:\"content_padding\";i:1;s:11:\"content_bg_\";i:1;}s:14:\"section_button\";a:6:{s:22:\"button_typo_typography\";i:1;s:21:\"button_typo_font_size\";i:1;s:23:\"button_typo_font_weight\";i:1;s:26:\"button_typo_text_transform\";i:1;s:22:\"button_typo_font_style\";i:1;s:27:\"button_typo_text_decoration\";i:1;}}s:8:\"advanced\";a:1:{s:15:\"_section_border\";a:1:{s:13:\"_border_width\";i:1;}}}}s:8:\"template\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:0;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:16:\"section_template\";a:1:{s:11:\"template_id\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9245", "29", "_elementor_css", "a:6:{s:4:\"time\";i:1668103902;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9246", "1269", "_edit_lock", "1668104094:5");
INSERT INTO `wpky_postmeta` VALUES("9247", "1269", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9248", "1269", "_wp_trash_meta_time", "1668104117");
INSERT INTO `wpky_postmeta` VALUES("9249", "1271", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9250", "1271", "_wp_trash_meta_time", "1668104130");
INSERT INTO `wpky_postmeta` VALUES("9251", "1273", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9252", "1273", "_wp_trash_meta_time", "1668104148");
INSERT INTO `wpky_postmeta` VALUES("9262", "1275", "_edit_lock", "1668104358:5");
INSERT INTO `wpky_postmeta` VALUES("9263", "1275", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9264", "1275", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9267", "1275", "ocean_gallery_link_images", "off");
INSERT INTO `wpky_postmeta` VALUES("9268", "1275", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9269", "1275", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9270", "1275", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("9271", "1275", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("9272", "1275", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("9273", "1275", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9274", "1275", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9275", "1275", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9276", "1275", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("9277", "1275", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("9278", "1275", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("9279", "1275", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("9280", "1275", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("9281", "1275", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("9282", "1275", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9283", "1275", "ocean_link_format_target", "self");
INSERT INTO `wpky_postmeta` VALUES("9284", "1275", "ocean_quote_format_link", "post");
INSERT INTO `wpky_postmeta` VALUES("9285", "1275", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9286", "1275", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9287", "1275", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("9288", "1277", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9289", "1277", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9290", "1277", "ocean_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9291", "1277", "ocean_second_sidebar", "0");
INSERT INTO `wpky_postmeta` VALUES("9292", "1277", "ocean_disable_margins", "enable");
INSERT INTO `wpky_postmeta` VALUES("9293", "1277", "ocean_display_top_bar", "default");
INSERT INTO `wpky_postmeta` VALUES("9294", "1277", "ocean_display_header", "default");
INSERT INTO `wpky_postmeta` VALUES("9295", "1277", "ocean_center_header_left_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9296", "1277", "ocean_custom_header_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9297", "1277", "ocean_header_custom_menu", "0");
INSERT INTO `wpky_postmeta` VALUES("9298", "1277", "ocean_menu_typo_font_family", "0");
INSERT INTO `wpky_postmeta` VALUES("9299", "1277", "ocean_disable_title", "default");
INSERT INTO `wpky_postmeta` VALUES("9300", "1277", "ocean_disable_heading", "default");
INSERT INTO `wpky_postmeta` VALUES("9301", "1277", "ocean_disable_breadcrumbs", "default");
INSERT INTO `wpky_postmeta` VALUES("9302", "1277", "ocean_display_footer_widgets", "default");
INSERT INTO `wpky_postmeta` VALUES("9303", "1277", "ocean_display_footer_bottom", "default");
INSERT INTO `wpky_postmeta` VALUES("9304", "1277", "ocean_custom_footer_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9305", "1277", "osh_disable_topbar_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9306", "1277", "osh_disable_header_sticky", "default");
INSERT INTO `wpky_postmeta` VALUES("9307", "1277", "osh_sticky_header_style", "default");
INSERT INTO `wpky_postmeta` VALUES("9308", "1277", "_edit_lock", "1668104250:5");
INSERT INTO `wpky_postmeta` VALUES("9309", "1279", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9310", "1279", "_wp_trash_meta_time", "1668104387");
INSERT INTO `wpky_postmeta` VALUES("9311", "1280", "_menu_item_type", "post_type");
INSERT INTO `wpky_postmeta` VALUES("9312", "1280", "_menu_item_menu_item_parent", "0");
INSERT INTO `wpky_postmeta` VALUES("9313", "1280", "_menu_item_object_id", "1277");
INSERT INTO `wpky_postmeta` VALUES("9314", "1280", "_menu_item_object", "page");
INSERT INTO `wpky_postmeta` VALUES("9315", "1280", "_menu_item_target", "");
INSERT INTO `wpky_postmeta` VALUES("9316", "1280", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9317", "1280", "_menu_item_xfn", "");
INSERT INTO `wpky_postmeta` VALUES("9318", "1280", "_menu_item_url", "");
INSERT INTO `wpky_postmeta` VALUES("9320", "1280", "_menu_item_template", "");
INSERT INTO `wpky_postmeta` VALUES("9321", "1280", "_menu_item_mega_template", "0");
INSERT INTO `wpky_postmeta` VALUES("9322", "1280", "_menu_item_nolink", "");
INSERT INTO `wpky_postmeta` VALUES("9323", "1280", "_menu_item_category_post", "");
INSERT INTO `wpky_postmeta` VALUES("9324", "1280", "_menu_item_megamenu", "");
INSERT INTO `wpky_postmeta` VALUES("9325", "1280", "_menu_item_megamenu_auto_width", "");
INSERT INTO `wpky_postmeta` VALUES("9326", "1280", "_menu_item_megamenu_col", "");
INSERT INTO `wpky_postmeta` VALUES("9327", "1280", "_menu_item_megamenu_heading", "");
INSERT INTO `wpky_postmeta` VALUES("9328", "1280", "_menu_item_megamenu_widgetarea", "0");
INSERT INTO `wpky_postmeta` VALUES("9329", "1280", "_menu_item_icon", "");
INSERT INTO `wpky_postmeta` VALUES("9330", "946", "_wp_old_date", "2022-03-03");
INSERT INTO `wpky_postmeta` VALUES("9331", "58", "_wp_old_date", "2022-03-03");
INSERT INTO `wpky_postmeta` VALUES("9332", "1281", "_edit_lock", "1668104642:5");
INSERT INTO `wpky_postmeta` VALUES("9333", "1281", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9334", "1281", "_wp_trash_meta_time", "1668104648");
INSERT INTO `wpky_postmeta` VALUES("9335", "1058", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9336", "1058", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9337", "1282", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9338", "1282", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9339", "1282", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("9340", "1282", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("9341", "1282", "_elementor_data", "[{\"id\":\"36cc60bd\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6cbb5c1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6c58c571\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"9e5db82\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"5459dc01\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"50499df0\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true},{\"id\":\"753829fe\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"67addde3\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"387f5857\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"6ba8e93f\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9342", "1282", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:7;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:7;s:13:\"margin_tablet\";i:7;s:13:\"margin_mobile\";i:7;s:7:\"padding\";i:7;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;s:13:\"margin_tablet\";i:1;s:13:\"margin_mobile\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9343", "1282", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9344", "1058", "_edit_lock", "1668104729:5");
INSERT INTO `wpky_postmeta` VALUES("9345", "1283", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9346", "1283", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9347", "1283", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("9348", "1283", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("9349", "1283", "_elementor_data", "[{\"id\":\"36cc60bd\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6cbb5c1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6c58c571\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"9e5db82\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"5459dc01\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"50499df0\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true},{\"id\":\"753829fe\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"67addde3\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"387f5857\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true},{\"id\":\"6ba8e93f\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9350", "1283", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:7;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:7;s:13:\"margin_tablet\";i:7;s:13:\"margin_mobile\";i:7;s:7:\"padding\";i:7;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:3;s:7:\"padding\";i:3;s:13:\"margin_tablet\";i:1;s:13:\"margin_mobile\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9351", "1283", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9352", "1056", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9353", "1056", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9354", "1284", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9355", "1284", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9356", "1284", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("9357", "1284", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("9358", "1284", "_elementor_data", "[{\"id\":\"2e753322\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"95352e9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"16\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"2490f58a\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"012\",\"bottom\":\"0\",\"left\":\"4\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"23148f4d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"8\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"2ec1ca8c\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"04\",\"bottom\":\"0\",\"left\":\"12\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"6f2818d9\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"16\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9359", "1284", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:5;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:5;s:19:\"_inline_size_tablet\";i:5;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:5;s:13:\"margin_tablet\";i:5;s:13:\"margin_mobile\";i:5;s:7:\"padding\";i:5;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9360", "1284", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9361", "1056", "_edit_lock", "1668104736:5");
INSERT INTO `wpky_postmeta` VALUES("9362", "1054", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9363", "1285", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9364", "1285", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9365", "1285", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9366", "1285", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9367", "1285", "_elementor_data", "[{\"id\":\"36c9a79a\",\"elType\":\"section\",\"settings\":{\"structure\":\"40\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3187bac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"13c0daf9\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"72f7c8ae\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"05\",\"bottom\":\"0\",\"left\":\"010\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false},{\"id\":\"739ceac1\",\"elType\":\"column\",\"settings\":{\"_column_size\":25,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"5\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9368", "1285", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9369", "1285", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9370", "1285", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:2:{s:12:\"_inline_size\";i:4;s:19:\"_inline_size_tablet\";i:4;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:4;s:13:\"margin_tablet\";i:4;s:13:\"margin_mobile\";i:4;s:7:\"padding\";i:4;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9371", "1052", "_edit_last", "5");
INSERT INTO `wpky_postmeta` VALUES("9372", "1052", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9373", "1286", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9374", "1286", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9375", "1286", "_elementor_version", "3.0.12");
INSERT INTO `wpky_postmeta` VALUES("9376", "1286", "_elementor_pro_version", "3.0.5");
INSERT INTO `wpky_postmeta` VALUES("9377", "1286", "_elementor_data", "[{\"id\":\"3dc3bb26\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"72fae7c1\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"013.333\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"30816935\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"06.667\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"03.333\",\"bottom\":\"0\",\"left\":\"03.333\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"67d0d951\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"013.333\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"06.667\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9378", "1286", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:3;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:3;s:13:\"margin_tablet\";i:3;s:13:\"margin_mobile\";i:3;s:7:\"padding\";i:3;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9379", "1286", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9380", "1052", "_edit_lock", "1668104753:5");
INSERT INTO `wpky_postmeta` VALUES("9381", "314", "_edit_lock", "1668104762:5");
INSERT INTO `wpky_postmeta` VALUES("9382", "1287", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9383", "1287", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9384", "1287", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9385", "1287", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9386", "1287", "_elementor_data", "[{\"id\":\"79add9df\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"489f09cd\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"5a54a516\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9387", "1288", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9388", "1288", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9389", "1288", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9390", "1288", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9391", "1288", "_elementor_data", "[{\"id\":\"79add9df\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"489f09cd\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"5a54a516\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9392", "1287", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9393", "1287", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:6:\"margin\";i:2;s:13:\"margin_mobile\";i:2;s:7:\"padding\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9394", "1289", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9395", "1289", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9396", "1289", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9397", "1289", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9398", "1289", "_elementor_data", "[{\"id\":\"1ca735ec\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"5bf3ae09\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9399", "1290", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9400", "1290", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9401", "1290", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9402", "1290", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9403", "1290", "_elementor_data", "[{\"id\":\"1ca735ec\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"20\",\"bottom\":\"60\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"60\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"5bf3ae09\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9404", "1289", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9405", "1289", "_elementor_controls_usage", "a:2:{s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:6:\"margin\";i:1;s:13:\"margin_mobile\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9406", "1291", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9407", "1291", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9408", "1291", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9409", "1291", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9410", "1291", "_elementor_data", "[{\"id\":\"4eff8691\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"custom-sidebar\",\"layout\":\"full_width\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140},\"elements\":[{\"id\":\"1bf31e75\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6e4b9657\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140,\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"7b7ad3e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"67867ceb\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"placeholder\":\"Search Our Blog\",\"source\":\"post\",\"input_border_border\":\"solid\",\"input_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"input_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"input_bg\":\"globals\\/colors?id=2f7ae31a\",\"newsletter_input_typography\":\"\",\"btn_color\":\"globals\\/colors?id=5271331a\",\"btn_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-search\"},{\"id\":\"4ddf996c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Categories\",\"header_size\":\"h4\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"73eafec5\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"wp-widget-categories\"},{\"id\":\"659d1a47\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Posts\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5d8a4bf9\",\"elType\":\"widget\",\"settings\":{\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"wp-widget-ocean_recent_posts\"},{\"id\":\"29513c6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Connect\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"675338f\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9411", "1292", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9412", "1292", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9413", "1292", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9414", "1292", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9415", "1292", "_elementor_data", "[{\"id\":\"4eff8691\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"custom-sidebar\",\"layout\":\"full_width\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140,\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"1bf31e75\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6e4b9657\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140,\"sticky_parent\":\"yes\",\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"7b7ad3e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\"},\"background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"67867ceb\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"placeholder\":\"Search Our Blog\",\"source\":\"post\",\"input_border_border\":\"solid\",\"input_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"input_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"input_bg\":\"globals\\/colors?id=40a87286\",\"newsletter_input_typography\":\"globals\\/typography?id=df23512\",\"btn_color\":\"globals\\/colors?id=5271331a\",\"btn_color_hover\":\"globals\\/colors?id=primary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"oew-search\"},{\"id\":\"4ddf996c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Categories\",\"header_size\":\"h4\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"73eafec5\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"wp-widget-categories\"},{\"id\":\"659d1a47\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Posts\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5d8a4bf9\",\"elType\":\"widget\",\"settings\":{\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"wp-widget-ocean_recent_posts\"},{\"id\":\"29513c6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Connect\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"26c0cbde\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"7ebb6f6\",\"link\":{\"url\":\"#\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"shape\":\"circle\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#FFFFFF00\",\"icon_size\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"-2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"hover_animation\":\"grow\",\"__dynamic__\":[],\"__globals__\":{\"icon_secondary_color\":\"globals\\/colors?id=primary\",\"hover_secondary_color\":\"globals\\/colors?id=secondary\"},\"_element_vertical_align\":\"center\",\"_background_image\":{\"url\":\"\",\"id\":\"\"},\"_background_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_tablet\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_image_mobile\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9416", "1291", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9418", "1291", "_edit_lock", "1668105124:5");
INSERT INTO `wpky_postmeta` VALUES("9420", "1291", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9421", "1293", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9422", "1293", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9423", "1293", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9424", "1293", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9425", "1293", "_elementor_data", "[{\"id\":\"4eff8691\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"custom-sidebar\",\"layout\":\"full_width\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140},\"elements\":[{\"id\":\"1bf31e75\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6e4b9657\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140,\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"7b7ad3e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"67867ceb\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"placeholder\":\"Search Our Blog\",\"source\":\"post\",\"input_border_border\":\"solid\",\"input_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"input_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"input_bg\":\"globals\\/colors?id=2f7ae31a\",\"newsletter_input_typography\":\"\",\"btn_color\":\"globals\\/colors?id=5271331a\",\"btn_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-search\"},{\"id\":\"4ddf996c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Categories\",\"header_size\":\"h4\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"73eafec5\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"wp-widget-categories\"},{\"id\":\"659d1a47\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Posts\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5d8a4bf9\",\"elType\":\"widget\",\"settings\":{\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"wp-widget-ocean_recent_posts\"},{\"id\":\"29513c6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Connect\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"26c0cbde\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"7ebb6f6\",\"link\":{\"url\":\"#\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"shape\":\"circle\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#FFFFFF00\",\"icon_size\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_padding\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"-2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"hover_animation\":\"grow\",\"__dynamic__\":[],\"__globals__\":{\"icon_secondary_color\":\"globals\\/colors?id=primary\",\"hover_secondary_color\":\"globals\\/colors?id=secondary\"},\"_element_vertical_align\":\"center\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9426", "1293", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9427", "1293", "_elementor_css", "a:6:{s:4:\"time\";i:1668104886;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9428", "1293", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9430", "128", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9431", "128", "_wp_trash_meta_time", "1668104942");
INSERT INTO `wpky_postmeta` VALUES("9432", "128", "_wp_desired_post_slug", "side-panel");
INSERT INTO `wpky_postmeta` VALUES("9433", "11", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9434", "11", "_wp_trash_meta_time", "1668104946");
INSERT INTO `wpky_postmeta` VALUES("9435", "11", "_wp_desired_post_slug", "disable-auto-phone-link");
INSERT INTO `wpky_postmeta` VALUES("9436", "1294", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9437", "1294", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9438", "1294", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9439", "1294", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9440", "1294", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9441", "1294", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9442", "1294", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9443", "1294", "_elementor_controls_usage", "a:8:{s:5:\"image\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:2:{s:5:\"image\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:2:{s:5:\"width\";i:1;s:12:\"width_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:12:\"_css_classes\";i:1;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:3;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:3:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:6;s:19:\"_inline_size_tablet\";i:6;s:19:\"_inline_size_mobile\";i:5;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:13:\"margin_mobile\";i:2;s:13:\"margin_tablet\";i:1;}}s:5:\"style\";a:1:{s:12:\"section_typo\";a:1:{s:10:\"text_align\";i:1;}}}}s:9:\"icon-list\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:1:{s:9:\"icon_list\";i:3;}}s:5:\"style\";a:3:{s:18:\"section_text_style\";a:6:{s:26:\"icon_typography_typography\";i:3;s:25:\"icon_typography_font_size\";i:3;s:10:\"text_color\";i:1;s:11:\"text_indent\";i:1;s:32:\"icon_typography_font_size_mobile\";i:3;s:27:\"icon_typography_line_height\";i:1;}s:17:\"section_icon_list\";a:2:{s:13:\"space_between\";i:1;s:20:\"space_between_mobile\";i:1;}s:18:\"section_icon_style\";a:2:{s:16:\"icon_size_mobile\";i:1;s:9:\"icon_size\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:1;s:11:\"header_size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:12:\"_css_classes\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:10:\"text_color\";i:1;s:21:\"typography_typography\";i:2;s:20:\"typography_font_size\";i:2;s:27:\"typography_font_size_mobile\";i:1;s:22:\"typography_line_height\";i:1;}}}}s:17:\"tmx-global-button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:4:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:4:\"link\";i:1;s:4:\"size\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:2;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:4:{s:21:\"background_background\";i:2;s:16:\"background_color\";i:2;s:19:\"background_position\";i:2;s:17:\"background_repeat\";i:2;}s:12:\"section_typo\";a:1:{s:10:\"text_align\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:2;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9444", "1294", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:3:{i:0;s:9:\"fa-brands\";i:2;s:8:\"fa-light\";i:6;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9445", "1295", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9446", "1295", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9447", "1295", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9448", "1295", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9449", "1295", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9450", "1295", "_elementor_data", "[{\"id\":\"864de72\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"40\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"40\",\"left\":\"0\",\"isLinked\":false},\"stretch_section\":\"section-stretched\"},\"elements\":[{\"id\":\"e6917df\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":33.3299999999999982946974341757595539093017578125,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"30\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-phone\"},\"elements\":[{\"id\":\"d9e8a2c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Proudly Affiliated With\",\"_margin\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"ec91fbf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66.6700000000000017053025658242404460906982421875,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"8d6fa52\",\"elType\":\"section\",\"settings\":{\"structure\":\"30\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"a856f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"88d6b95\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | Affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"85e5f73\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":32.89099999999999823785401531495153903961181640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6358c94\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | Affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"5885a95\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":33.332999999999998408384271897375583648681640625,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"91f6098\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2020\\/01\\/placeholder-logo.png\",\"id\":929},\"width\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"link_to\":\"custom\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"title | affiliate\"},\"width_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e1d0dfd\",\"elType\":\"section\",\"settings\":{\"stretch_section\":\"section-stretched\",\"structure\":\"21\",\"background_background\":\"classic\",\"background_color\":\"#D3D3D3\",\"padding\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"20\",\"bottom\":\"40\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"10\",\"bottom\":\"50\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"50\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"041c4e8\",\"elType\":\"column\",\"settings\":{\"_column_size\":33,\"_inline_size\":50,\"_inline_size_tablet\":66.667000000000001591615728102624416351318359375,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"d115293\",\"elType\":\"widget\",\"settings\":{\"title\":\"Request a Consultation\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"02623a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.\",\"align_mobile\":\"left\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=text\"}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false},{\"id\":\"8a13b1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":66,\"_inline_size\":49.66499999999999914734871708787977695465087890625,\"_inline_size_tablet\":33.332999999999998408384271897375583648681640625,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"40\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"content_position\":\"center\"},\"elements\":[{\"id\":\"28758c5\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"main-color-btn\",\"text\":\"Get Started\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"right\",\"align_mobile\":\"left\",\"size\":\"square-large-btn\",\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9451", "1295", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9452", "1295", "_elementor_controls_usage", "a:6:{s:7:\"heading\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:2;s:12:\"align_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:2;s:14:\"_margin_tablet\";i:2;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:7;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:7;s:16:\"content_position\";i:5;s:19:\"_inline_size_tablet\";i:4;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:5;s:7:\"padding\";i:7;s:13:\"margin_mobile\";i:3;s:14:\"padding_mobile\";i:3;s:13:\"margin_tablet\";i:1;s:14:\"padding_tablet\";i:1;}s:19:\"_section_responsive\";a:2:{s:11:\"hide_tablet\";i:1;s:11:\"hide_mobile\";i:1;}}}}s:5:\"image\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:3:{s:5:\"image\";i:3;s:7:\"link_to\";i:3;s:4:\"link\";i:3;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:2:{s:5:\"width\";i:3;s:12:\"width_mobile\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:3;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:4:{s:6:\"margin\";i:1;s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:2;}}s:5:\"style\";a:1:{s:18:\"section_background\";a:2:{s:21:\"background_background\";i:1;s:16:\"background_color\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:0;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:1:{s:12:\"align_mobile\";i:1;}}}}s:17:\"tmx-global-button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_button\";a:6:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:4:\"link\";i:1;s:5:\"align\";i:1;s:12:\"align_mobile\";i:1;s:4:\"size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9453", "1295", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9454", "1296", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9455", "1296", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9456", "1296", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9457", "1296", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9458", "1296", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9459", "1296", "_elementor_data", "[{\"id\":\"8760db1\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\"},\"elements\":[{\"id\":\"5fcb4fa\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6a3d260\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #1\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"4b38596\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #2\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"51614cb\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #3\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"28e6e1b\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-utensils\\\"><\\/i>\",\"title\":\"Service #4\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_color\":\"#111111\",\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"info_box_padding_tablet\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.332999999999998408384271897375583648681640625,\"sizes\":[]},\"_animation_mobile\":\"none\",\"icon\":{\"value\":\"fal fa-star\",\"library\":\"fa-light\"},\"icon_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"__globals__\":{\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9460", "1296", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9461", "1296", "_elementor_controls_usage", "a:3:{s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:2:{s:4:\"text\";i:4;s:4:\"icon\";i:4;}s:15:\"section_content\";a:4:{s:5:\"title\";i:4;s:11:\"description\";i:4;s:9:\"link_type\";i:4;s:4:\"link\";i:4;}}s:5:\"style\";a:3:{s:13:\"section_style\";a:4:{s:30:\"info_box_background_background\";i:4;s:36:\"info_box_hover_background_background\";i:4;s:16:\"info_box_padding\";i:4;s:23:\"info_box_padding_tablet\";i:4;}s:18:\"section_icon_style\";a:6:{s:26:\"text_typography_typography\";i:4;s:25:\"text_typography_font_size\";i:4;s:10:\"icon_color\";i:4;s:12:\"icon_padding\";i:4;s:11:\"icon_margin\";i:4;s:9:\"icon_size\";i:4;}s:19:\"section_title_style\";a:7:{s:27:\"title_typography_typography\";i:4;s:28:\"title_typography_font_family\";i:4;s:26:\"title_typography_font_size\";i:4;s:28:\"title_typography_font_weight\";i:4;s:31:\"title_typography_text_transform\";i:4;s:31:\"title_typography_letter_spacing\";i:4;s:12:\"title_margin\";i:4;}}s:8:\"advanced\";a:3:{s:14:\"_section_style\";a:1:{s:12:\"_css_classes\";i:4;}s:17:\"_section_position\";a:4:{s:14:\"_element_width\";i:4;s:21:\"_element_custom_width\";i:4;s:21:\"_element_width_mobile\";i:4;s:28:\"_element_custom_width_mobile\";i:4;}s:15:\"section_effects\";a:1:{s:17:\"_animation_mobile\";i:4;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:1;s:7:\"padding\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_background\";a:2:{s:21:\"background_background\";i:1;s:16:\"background_color\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9462", "1296", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:1:{i:0;s:7:\"PT Sans\";}s:5:\"icons\";a:1:{i:0;s:8:\"fa-light\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9463", "1297", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9464", "1297", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9465", "1297", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9466", "1297", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9467", "1297", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9468", "1297", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9469", "1297", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9470", "1297", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:3:{i:0;s:9:\"fa-brands\";i:2;s:8:\"fa-light\";i:6;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9471", "1298", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9472", "1298", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9473", "1298", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9474", "1298", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9475", "1298", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9476", "1298", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"align\":\"left\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"17\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9477", "1298", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9478", "1298", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:3:{i:0;s:9:\"fa-brands\";i:2;s:8:\"fa-light\";i:6;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9479", "1299", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9480", "1299", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9481", "1299", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9482", "1299", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9483", "1299", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9484", "1299", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9485", "1299", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9486", "1299", "_elementor_css", "a:6:{s:4:\"time\";i:1668102868;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:3:{i:0;s:9:\"fa-brands\";i:2;s:8:\"fa-light\";i:6;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9488", "1300", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9489", "1300", "_elementor_template_type", "widget");
INSERT INTO `wpky_postmeta` VALUES("9490", "1301", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9491", "1301", "_elementor_template_type", "widget");
INSERT INTO `wpky_postmeta` VALUES("9492", "1300", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9493", "1300", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9494", "1300", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9495", "1300", "_elementor_data", "[{\"id\":\"6b0d0135\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}]");
INSERT INTO `wpky_postmeta` VALUES("9496", "1302", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9497", "1302", "_elementor_template_type", "widget");
INSERT INTO `wpky_postmeta` VALUES("9498", "1302", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9499", "1302", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9500", "1302", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9501", "1302", "_elementor_data", "[{\"id\":\"6b0d0135\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}]");
INSERT INTO `wpky_postmeta` VALUES("9502", "1300", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9503", "1300", "_elementor_controls_usage", "a:1:{s:12:\"social-icons\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9504", "1300", "_elementor_template_widget_type", "social-icons");
INSERT INTO `wpky_postmeta` VALUES("9505", "1303", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9506", "1303", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9507", "1303", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9508", "1303", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9509", "1303", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9510", "1303", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9511", "1303", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9512", "1304", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9513", "1304", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9514", "1304", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9515", "1304", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9516", "1304", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9517", "1304", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2445d37\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9518", "1304", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9519", "1305", "_wp_page_template", "elementor_canvas");
INSERT INTO `wpky_postmeta` VALUES("9520", "1305", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9521", "1305", "_elementor_template_type", "wp-post");
INSERT INTO `wpky_postmeta` VALUES("9522", "1305", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9523", "1305", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9524", "1305", "_elementor_data", "[{\"id\":\"5457822\",\"elType\":\"section\",\"settings\":{\"structure\":\"50\",\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"20\",\"bottom\":\"10\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"cb7452d\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":16,\"_inline_size_tablet\":20,\"_inline_size_mobile\":37},\"elements\":[{\"id\":\"90a9a8e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/placeholder-mark.png\",\"id\":942},\"align\":\"left\",\"width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"20\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6466991\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":1300}],\"isInner\":false},{\"id\":\"39ce626\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":24,\"_inline_size_tablet\":33,\"_inline_size_mobile\":63},\"elements\":[{\"id\":\"450ca66\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Address Line 1<br>Address Line 2\",\"selected_icon\":{\"value\":\"fal fa-map-marker-alt\",\"library\":\"fa-light\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"xxx.xxx.xxxx\",\"selected_icon\":{\"value\":\"fal fa-phone\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"f876d95\"},{\"text\":\"webteam@enter.net\",\"selected_icon\":{\"value\":\"fal fa-envelope\",\"library\":\"fa-light\"},\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"47f52c5\"},{\"text\":\"Mon-Fri: 8:30am-4:30pm\",\"selected_icon\":{\"value\":\"fal fa-clock\",\"library\":\"fa-light\"},\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"2fe986a\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"text_color\":\"#444444\",\"space_between\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"text_indent\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_typography_line_height\":{\"unit\":\"em\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"8651520\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":15,\"_inline_size_tablet\":22,\"_inline_size_mobile\":37,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"61df2e6\",\"elType\":\"widget\",\"settings\":{\"title\":\"Navigation\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"7\",\"left\":\"0\",\"isLinked\":false},\"_css_classes\":\"no-margin\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=1d058a6\",\"title_color\":\"globals\\/colors?id=3b905506\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d565291\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"About Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Our Projects\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"b4474df\"},{\"text\":\"Option 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"3ee84f4\"},{\"text\":\"Option 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"8b14511\"},{\"text\":\"Contact Us\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"810d384\"}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"fbac58f\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":20,\"_inline_size_tablet\":25,\"_inline_size_mobile\":63,\"margin_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c9fcfa\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"Service 1\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"2d2a635\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 2\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"a997f59\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}},{\"text\":\"Service 3\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"67fa667\"},{\"text\":\"Service 4\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"182e9f3\"},{\"text\":\"Option 5\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"},\"_id\":\"7187547\"},{\"text\":\"Option 6\",\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"410681d\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\"}}],\"icon_typography_typography\":\"custom\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"text_color\":\"globals\\/colors?id=c68b921\",\"text_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":false},{\"id\":\"05c6743\",\"elType\":\"column\",\"settings\":{\"_column_size\":20,\"_inline_size\":25,\"_inline_size_tablet\":100,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9dfe1a1\",\"elType\":\"widget\",\"settings\":{\"editor\":\"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.\",\"text_color\":\"#444444\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"ace9595\",\"elType\":\"widget\",\"settings\":{\"button_style\":\"gray-btn\",\"text\":\"Request Quote\",\"link\":{\"url\":\".\\/contact\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"size\":\"square-large-btn\"},\"elements\":[],\"widgetType\":\"tmx-global-button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"b91a524\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"stretch_section\":\"section-stretched\",\"background_position\":\"center center\",\"background_repeat\":\"repeat\",\"padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"30\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"0\",\"bottom\":\"30\",\"left\":\"0\",\"isLinked\":false},\"text_align\":\"center\"},\"elements\":[{\"id\":\"c9c06a1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":100,\"text_align\":\"center\"},\"elements\":[{\"id\":\"a367e88\",\"elType\":\"widget\",\"settings\":{\"editor\":\"<p>Protected by reCAPTCHA and the Google <a href=\\\"https:\\/\\/policies.google.com\\/privacy\\\">Privacy Policy<\\/a> &amp; <a href=\\\"https:\\/\\/policies.google.com\\/terms\\\">Terms of Service<\\/a> apply.<br \\/>\\u00a9 Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\\\"http:\\/\\/www2.enter.net\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">Enter.Net<\\/a>.<\\/p>\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9525", "1305", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wpky_postmeta` VALUES("9526", "1300", "_elementor_global_widget_included_posts", "a:3:{i:232;b:1;i:1291;b:1;i:32;b:1;}");
INSERT INTO `wpky_postmeta` VALUES("9527", "232", "_elementor_controls_usage", "a:8:{s:5:\"image\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:13:\"section_image\";a:2:{s:5:\"image\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:1:{s:19:\"section_style_image\";a:2:{s:5:\"width\";i:1;s:12:\"width_mobile\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:12:\"_css_classes\";i:1;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:6;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:3:{s:12:\"_inline_size\";i:6;s:19:\"_inline_size_tablet\";i:6;s:19:\"_inline_size_mobile\";i:5;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:13:\"margin_mobile\";i:2;s:13:\"margin_tablet\";i:1;}}s:5:\"style\";a:1:{s:12:\"section_typo\";a:1:{s:10:\"text_align\";i:1;}}}}s:9:\"icon-list\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:1:{s:9:\"icon_list\";i:3;}}s:5:\"style\";a:3:{s:18:\"section_text_style\";a:6:{s:26:\"icon_typography_typography\";i:3;s:25:\"icon_typography_font_size\";i:3;s:10:\"text_color\";i:1;s:11:\"text_indent\";i:1;s:32:\"icon_typography_font_size_mobile\";i:3;s:27:\"icon_typography_line_height\";i:1;}s:17:\"section_icon_list\";a:2:{s:13:\"space_between\";i:1;s:20:\"space_between_mobile\";i:1;}s:18:\"section_icon_style\";a:2:{s:16:\"icon_size_mobile\";i:1;s:9:\"icon_size\";i:2;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:14:\"_margin_mobile\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:1;s:11:\"header_size\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:12:\"_css_classes\";i:1;}}}}s:11:\"text-editor\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_editor\";a:1:{s:6:\"editor\";i:2;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:5:{s:10:\"text_color\";i:1;s:21:\"typography_typography\";i:2;s:20:\"typography_font_size\";i:2;s:27:\"typography_font_size_mobile\";i:1;s:22:\"typography_line_height\";i:1;}}}}s:17:\"tmx-global-button\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:14:\"section_button\";a:4:{s:12:\"button_style\";i:1;s:4:\"text\";i:1;s:4:\"link\";i:1;s:4:\"size\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:17:\"section_structure\";a:1:{s:9:\"structure\";i:1;}s:14:\"section_layout\";a:1:{s:15:\"stretch_section\";i:2;}}s:5:\"style\";a:2:{s:18:\"section_background\";a:4:{s:21:\"background_background\";i:2;s:16:\"background_color\";i:2;s:19:\"background_position\";i:2;s:17:\"background_repeat\";i:2;}s:12:\"section_typo\";a:1:{s:10:\"text_align\";i:1;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:3:{s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:2;s:14:\"padding_mobile\";i:2;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9528", "232", "_elementor_css", "a:6:{s:4:\"time\";i:1668105110;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:3:{i:0;s:9:\"fa-brands\";i:2;s:8:\"fa-light\";i:6;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9529", "1306", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9530", "1306", "_elementor_template_type", "page");
INSERT INTO `wpky_postmeta` VALUES("9531", "1306", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9532", "1306", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9533", "1306", "_elementor_data", "[{\"id\":\"4eff8691\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"custom-sidebar\",\"layout\":\"full_width\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140},\"elements\":[{\"id\":\"1bf31e75\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"6e4b9657\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":140,\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"7b7ad3e7\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"67867ceb\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"placeholder\":\"Search Our Blog\",\"source\":\"post\",\"input_border_border\":\"solid\",\"input_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"input_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__globals__\":{\"input_bg\":\"globals\\/colors?id=2f7ae31a\",\"newsletter_input_typography\":\"\",\"btn_color\":\"globals\\/colors?id=5271331a\",\"btn_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"oew-search\"},{\"id\":\"4ddf996c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Categories\",\"header_size\":\"h4\",\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"},\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"73eafec5\",\"elType\":\"widget\",\"settings\":{\"wp\":{\"title\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"wp-widget-categories\"},{\"id\":\"659d1a47\",\"elType\":\"widget\",\"settings\":{\"title\":\"Recent Posts\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5d8a4bf9\",\"elType\":\"widget\",\"settings\":{\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"wp-widget-ocean_recent_posts\"},{\"id\":\"29513c6c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Connect\",\"header_size\":\"h4\",\"_margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"typography_typography\":\"globals\\/typography?id=0c12dc1\",\"title_color\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"675338f\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9534", "1306", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9535", "1306", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9536", "1291", "_elementor_controls_usage", "a:7:{s:10:\"oew-search\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:14:\"section_search\";a:6:{s:5:\"width\";i:1;s:12:\"width_tablet\";i:1;s:12:\"width_mobile\";i:1;s:6:\"height\";i:1;s:11:\"placeholder\";i:1;s:6:\"source\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_input\";a:3:{s:19:\"input_border_border\";i:1;s:18:\"input_border_width\";i:1;s:19:\"input_border_radius\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:3;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:3;s:11:\"header_size\";i:3;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:1:{s:7:\"_margin\";i:3;}}}}s:20:\"wp-widget-categories\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}s:28:\"wp-widget-ocean_recent_posts\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:2:{s:7:\"_margin\";i:1;s:8:\"_padding\";i:1;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:6:\"layout\";a:1:{s:12:\"_inline_size\";i:2;}}s:8:\"advanced\";a:1:{s:16:\"section_advanced\";a:2:{s:6:\"margin\";i:2;s:7:\"padding\";i:2;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:1;s:8:\"controls\";a:2:{s:6:\"layout\";a:1:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:2;}}s:8:\"advanced\";a:2:{s:16:\"section_advanced\";a:3:{s:6:\"margin\";i:2;s:7:\"padding\";i:2;s:11:\"css_classes\";i:1;}s:15:\"section_effects\";a:3:{s:9:\"sticky_on\";i:2;s:13:\"sticky_offset\";i:2;s:13:\"sticky_parent\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9537", "179", "_elementor_inline_svg", "<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path class=\"cls-1\" d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>");
INSERT INTO `wpky_postmeta` VALUES("9538", "1307", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9539", "1307", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9540", "1307", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9541", "1307", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9542", "1307", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9543", "1307", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9544", "1307", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9545", "1308", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9546", "1308", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9547", "1308", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9548", "1308", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9549", "1308", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9550", "1308", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"f2f1578\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"a11dd22\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"__dynamic__\":[]},\"elements\":[{\"id\":\"a5b94a6\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Facebook\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":{\"url\":\"https:\\/\\/test.ajdembrosky.com\\/wp-content\\/uploads\\/2019\\/12\\/fb-outline.svg\",\"id\":179},\"library\":\"svg\"},\"icon_color_hover\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true},{\"id\":\"3b24022\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"background_background\":\"classic\",\"background_color\":\"#F3F3F3\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[{\"id\":\"7e18ed9\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"fal fa-loveseat\\\"><\\/i>\",\"title\":\"Instagram\",\"description\":\"\",\"link_type\":\"box\",\"link\":{\"url\":\"#\",\"is_external\":\"on\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"info_box_background_background\":\"classic\",\"info_box_hover_background_background\":\"classic\",\"info_box_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"10\",\"bottom\":\"20\",\"left\":\"10\",\"isLinked\":false},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"icon_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"PT Sans\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"800\",\"title_typography_text_transform\":\"uppercase\",\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_css_classes\":\"white-on-hover\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":16.66669999999999873807610129006206989288330078125,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":33.3299999999999982946974341757595539093017578125,\"sizes\":[]},\"icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"icon_color_hover\":\"#FFFFFF\",\"__dynamic__\":[],\"__globals__\":{\"icon_color\":\"\",\"info_box_hover_background_color\":\"globals\\/colors?id=primary\"},\"info_box_hover_background_color\":\"#999999\",\"icon_color\":\"#444444\"},\"elements\":[],\"widgetType\":\"oew-info-box\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9551", "1308", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9552", "1309", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9553", "1309", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9554", "1309", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9555", "1309", "_elementor_version", "3.5.6");
INSERT INTO `wpky_postmeta` VALUES("9556", "1309", "_elementor_pro_version", "3.6.3");
INSERT INTO `wpky_postmeta` VALUES("9557", "1309", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9558", "1309", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9560", "1310", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9561", "1310", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9562", "1310", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9563", "1310", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9564", "1310", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9565", "1310", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9566", "1310", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9567", "1311", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9568", "1311", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9569", "1311", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9570", "1311", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9571", "1311", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9572", "1311", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9573", "1311", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9574", "1312", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9575", "1312", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9576", "1312", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9577", "1312", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9578", "1312", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9579", "1312", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\\n\\n@media only screen and (max-width: 1024px) {\\n    .social-icon-side-icon {\\n        width:61px!important;\\n    }\\n    \\n    .social-icon-side-text {\\n        width: calc(100% - 61px)!important;\\n    }\\n\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9580", "1312", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9582", "1313", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9583", "1313", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9584", "1313", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9585", "1313", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9586", "1313", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9587", "1313", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\\n\\n@media only screen and (max-width: 1024px) {\\n    .social-icon-side-icon {\\n        width:61px!important;\\n    }\\n    \\n    .social-icon-side-text {\\n        width: calc(100% - 61px)!important;\\n    }\\n\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9588", "1313", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9589", "1314", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9590", "1314", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9591", "1314", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9592", "1314", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9593", "1314", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9594", "1314", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\\n\\n@media only screen and (max-width: 1024px) {\\n    .social-icon-side-icon {\\n        width:61px!important;\\n    }\\n    \\n    .social-icon-side-text {\\n        width: calc(100% - 61px)!important;\\n    }\\n\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9595", "1314", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9596", "1315", "_wp_page_template", "default");
INSERT INTO `wpky_postmeta` VALUES("9597", "1315", "_elementor_edit_mode", "builder");
INSERT INTO `wpky_postmeta` VALUES("9598", "1315", "_elementor_template_type", "wp-page");
INSERT INTO `wpky_postmeta` VALUES("9599", "1315", "_elementor_version", "3.8.0");
INSERT INTO `wpky_postmeta` VALUES("9600", "1315", "_elementor_pro_version", "3.8.1");
INSERT INTO `wpky_postmeta` VALUES("9601", "1315", "_elementor_data", "[{\"id\":\"cec01b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"padding\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"20\",\"bottom\":\"100\",\"left\":\"20\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"10\",\"bottom\":\"60\",\"left\":\"10\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"0\",\"bottom\":\"60\",\"left\":\"0\",\"isLinked\":false},\"reverse_order_mobile\":\"reverse-mobile\",\"background_color\":\"#F3F3F3\",\"z_index\":1,\"css_classes\":\"template-hide\"},\"elements\":[{\"id\":\"9fa64ea\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":66,\"space_between_widgets\":0,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"50\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"image-border shorten-border\",\"_inline_size_tablet\":60,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false}},\"elements\":[{\"id\":\"38d8844\",\"elType\":\"widget\",\"settings\":{\"form\":\"827\",\"hide_form_title_description\":\"yes\",\"inputs_background_background\":\"classic\",\"inputs_background_color\":\"#F3F3F3\",\"inputs_color\":\"#AAAAAA\",\"inputs_focus_color\":\"#333333\",\"inputs_border_border\":\"solid\",\"inputs_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"inputs_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"button_background_background\":\"classic\",\"button_hover_background_background\":\"classic\",\"button_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"30\",\"bottom\":\"20\",\"left\":\"30\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=primary\",\"button_color\":\"globals\\/colors?id=1a8f8e18\",\"button_typo_typography\":\"globals\\/typography?id=accent\",\"button_hover_background_color\":\"globals\\/colors?id=secondary\",\"button_hover_color\":\"globals\\/colors?id=1a8f8e18\"}},\"elements\":[],\"widgetType\":\"oew-wpforms\"}],\"isInner\":false},{\"id\":\"45ad3bb\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":34,\"margin\":{\"unit\":\"px\",\"top\":\"-40\",\"right\":\"0\",\"bottom\":\"-40\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"35\",\"bottom\":\"25\",\"left\":\"35\",\"isLinked\":false},\"background_background\":\"classic\",\"background_position\":\"center left\",\"background_size\":\"cover\",\"animation\":\"fadeInUp\",\"animation_mobile\":\"none\",\"custom_css\":\".image-border:after {\\n    content:\'\';\\n    display: block;\\n    left: -10px;\\n    right: 100px;\\n    top: -10px;\\n    bottom: -10px;\\n    background: #1b538c;\\n    position: absolute;\\n    z-index: -1;\\n}\",\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_inline_size_tablet\":40,\"content_position\":\"center\",\"space_between_widgets\":40,\"space_between_widgets_tablet\":20,\"background_color\":\"#F3F3F3\",\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"c2a88a8\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-map-marker-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Proudly Serving\",\"description\":\"Location\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-map-marker-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"2532b66\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-phone\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Give Us A Call\",\"description\":\"xxx.xxx.xxxx\",\"link_type\":\"box\",\"link\":{\"url\":\"tel:937-938-6911\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-phone-alt\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"00a31fd\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-envelope\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Send Us A Message\",\"description\":\"webteam@enter.net\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:webteam@enter.net\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-envelope\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"1d7ff42\",\"elType\":\"widget\",\"settings\":{\"text\":\"<i class=\\\"far fa-calendar-alt\\\"><\\/i>\",\"position\":\"left\",\"align\":\"left\",\"vertical_position\":\"middle\",\"title\":\"Business Hours\",\"description\":\"Mon-Fri: 8:30am-4:30pm\",\"link_type\":\"box\",\"link\":{\"url\":\"mailto:inquiry@racooks.com\",\"is_external\":\"\",\"nofollow\":\"\"},\"button_text\":\"Learn More\",\"icon_size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"text_typography_typography\":\"custom\",\"text_typography_font_size\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"icon_color\":\"#FFFFFF\",\"icon_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"icon_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"title_margin\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_line_height\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_background\":\"globals\\/colors?id=text\",\"title_typography_typography\":\"globals\\/typography?id=secondary\",\"description_typography_typography\":\"\",\"title_color\":\"globals\\/colors?id=3b905506\",\"description_color\":\"globals\\/colors?id=c68b921\"},\"icon\":{\"value\":\"far fa-clock\",\"library\":\"fa-regular\"},\"vertical_position_tablet\":\"top\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"icon_background\":\"#444444\",\"icon_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"icon_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Playfair Display\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_weight\":\"400\",\"title_typography_text_transform\":\"none\",\"title_typography_font_style\":\"normal\",\"title_typography_text_decoration\":\"none\",\"title_typography_line_height\":{\"unit\":\"em\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"title_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"title_typography_letter_spacing_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"title_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"title_margin_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"description_typography_font_family\":\"PT Sans\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_text_transform\":\"none\",\"description_typography_font_style\":\"normal\",\"description_typography_text_decoration\":\"none\",\"description_typography_letter_spacing\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"description_typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"oew-info-box\"},{\"id\":\"b1bfa9a\",\"elType\":\"section\",\"settings\":{\"layout\":\"full_width\",\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\".social-icon-side-icon {\\n    width:85px!important;\\n}\\n\\n.social-icon-side-text {\\n    width: calc(100% - 85px)!important;\\n}\\n\\n@media only screen and (max-width: 1024px) {\\n    .social-icon-side-icon {\\n        width:61px!important;\\n    }\\n    \\n    .social-icon-side-text {\\n        width: calc(100% - 61px)!important;\\n    }\\n\\n}\"},\"elements\":[{\"id\":\"cd093c6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"content_position\":\"center\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-icon\"},\"elements\":[{\"id\":\"3bcf36d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"far fa-phone-laptop\",\"library\":\"fa-regular\"},\"view\":\"stacked\",\"align\":\"left\",\"size\":{\"unit\":\"px\",\"size\":35,\"sizes\":[]},\"size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"20\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"015\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"auto\",\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=1a8f8e18\",\"primary_color\":\"globals\\/colors?id=text\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true},{\"id\":\"4b9332d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"content_position\":\"center\",\"space_between_widgets\":5,\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"css_classes\":\"social-icon-side-text\"},\"elements\":[{\"id\":\"89cf429\",\"elType\":\"widget\",\"settings\":{\"title\":\"Follow Us\",\"header_size\":\"h3\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=3b905506\",\"typography_typography\":\"globals\\/typography?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f39eb0\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook-f\",\"library\":\"fa-brands\"},\"_id\":\"29a37b3\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"41b8cea\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\"}}],\"shape\":\"square\",\"icon_color\":\"custom\",\"icon_secondary_color\":\"#FFFFFF\",\"icon_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"image_border_color\":\"#111111\",\"hover_secondary_color\":\"#FFFFFF\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"icon_spacing_mobile\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"__dynamic__\":[],\"__globals__\":{\"icon_primary_color\":\"globals\\/colors?id=primary\",\"hover_primary_color\":\"globals\\/colors?id=secondary\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":110,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"global\",\"templateID\":\"1300\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wpky_postmeta` VALUES("9602", "1315", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wpky_postmeta` VALUES("9603", "32", "_elementor_controls_usage", "a:7:{s:11:\"oew-wpforms\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:2:{s:7:\"content\";a:1:{s:15:\"section_wpforms\";a:2:{s:4:\"form\";i:1;s:27:\"hide_form_title_description\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_inputs_style\";a:8:{s:28:\"inputs_background_background\";i:1;s:23:\"inputs_background_color\";i:1;s:12:\"inputs_color\";i:1;s:18:\"inputs_focus_color\";i:1;s:20:\"inputs_border_border\";i:1;s:19:\"inputs_border_width\";i:1;s:20:\"inputs_border_radius\";i:1;s:14:\"inputs_padding\";i:1;}s:20:\"section_button_style\";a:5:{s:20:\"button_border_border\";i:1;s:19:\"button_border_width\";i:1;s:28:\"button_background_background\";i:1;s:34:\"button_hover_background_background\";i:1;s:14:\"button_padding\";i:1;}}}}s:6:\"column\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:6:\"layout\";a:1:{s:6:\"layout\";a:5:{s:12:\"_inline_size\";i:4;s:21:\"space_between_widgets\";i:3;s:19:\"_inline_size_tablet\";i:2;s:16:\"content_position\";i:3;s:28:\"space_between_widgets_tablet\";i:1;}}s:8:\"advanced\";a:3:{s:16:\"section_advanced\";a:7:{s:6:\"margin\";i:4;s:7:\"padding\";i:4;s:13:\"margin_mobile\";i:2;s:14:\"padding_mobile\";i:1;s:11:\"css_classes\";i:3;s:13:\"margin_tablet\";i:2;s:14:\"padding_tablet\";i:1;}s:15:\"section_effects\";a:2:{s:9:\"animation\";i:1;s:16:\"animation_mobile\";i:1;}s:18:\"section_custom_css\";a:1:{s:10:\"custom_css\";i:1;}}s:5:\"style\";a:1:{s:13:\"section_style\";a:4:{s:21:\"background_background\";i:2;s:16:\"background_color\";i:2;s:19:\"background_position\";i:1;s:15:\"background_size\";i:1;}}}}s:12:\"oew-info-box\";a:3:{s:5:\"count\";i:4;s:15:\"control_percent\";i:7;s:8:\"controls\";a:2:{s:7:\"content\";a:2:{s:16:\"section_info_box\";a:6:{s:4:\"text\";i:4;s:8:\"position\";i:4;s:5:\"align\";i:4;s:17:\"vertical_position\";i:4;s:4:\"icon\";i:4;s:24:\"vertical_position_tablet\";i:4;}s:15:\"section_content\";a:4:{s:5:\"title\";i:4;s:11:\"description\";i:4;s:4:\"link\";i:4;s:9:\"link_type\";i:3;}}s:5:\"style\";a:2:{s:18:\"section_icon_style\";a:11:{s:9:\"icon_size\";i:4;s:26:\"text_typography_typography\";i:4;s:25:\"text_typography_font_size\";i:4;s:10:\"icon_color\";i:4;s:18:\"icon_border_radius\";i:4;s:12:\"icon_padding\";i:4;s:32:\"text_typography_font_size_tablet\";i:4;s:16:\"icon_size_tablet\";i:4;s:15:\"icon_background\";i:4;s:19:\"icon_padding_tablet\";i:4;s:18:\"icon_margin_tablet\";i:4;}s:19:\"section_title_style\";a:26:{s:12:\"title_margin\";i:4;s:33:\"description_typography_typography\";i:4;s:34:\"description_typography_line_height\";i:4;s:27:\"title_typography_typography\";i:4;s:28:\"title_typography_font_family\";i:4;s:26:\"title_typography_font_size\";i:4;s:33:\"title_typography_font_size_tablet\";i:4;s:33:\"title_typography_font_size_mobile\";i:4;s:28:\"title_typography_font_weight\";i:4;s:31:\"title_typography_text_transform\";i:4;s:27:\"title_typography_font_style\";i:4;s:32:\"title_typography_text_decoration\";i:4;s:28:\"title_typography_line_height\";i:4;s:31:\"title_typography_letter_spacing\";i:4;s:38:\"title_typography_letter_spacing_tablet\";i:4;s:38:\"title_typography_letter_spacing_mobile\";i:4;s:29:\"title_typography_word_spacing\";i:4;s:19:\"title_margin_tablet\";i:4;s:34:\"description_typography_font_family\";i:4;s:32:\"description_typography_font_size\";i:4;s:34:\"description_typography_font_weight\";i:4;s:37:\"description_typography_text_transform\";i:4;s:33:\"description_typography_font_style\";i:4;s:38:\"description_typography_text_decoration\";i:4;s:37:\"description_typography_letter_spacing\";i:4;s:35:\"description_typography_word_spacing\";i:4;}}}}s:4:\"icon\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:12:\"section_icon\";a:3:{s:13:\"selected_icon\";i:1;s:4:\"view\";i:1;s:5:\"align\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_style_icon\";a:2:{s:4:\"size\";i:1;s:11:\"size_tablet\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_tablet\";i:1;s:8:\"_padding\";i:1;s:14:\"_element_width\";i:1;}}}}s:7:\"heading\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:1;s:8:\"controls\";a:1:{s:7:\"content\";a:1:{s:13:\"section_title\";a:2:{s:5:\"title\";i:1;s:11:\"header_size\";i:1;}}}}s:12:\"social-icons\";a:3:{s:5:\"count\";i:1;s:15:\"control_percent\";i:4;s:8:\"controls\";a:3:{s:7:\"content\";a:1:{s:19:\"section_social_icon\";a:2:{s:16:\"social_icon_list\";i:1;s:5:\"shape\";i:1;}}s:5:\"style\";a:2:{s:20:\"section_social_style\";a:7:{s:10:\"icon_color\";i:1;s:20:\"icon_secondary_color\";i:1;s:9:\"icon_size\";i:1;s:12:\"icon_spacing\";i:1;s:18:\"image_border_width\";i:1;s:18:\"image_border_color\";i:1;s:19:\"icon_spacing_mobile\";i:1;}s:20:\"section_social_hover\";a:1:{s:21:\"hover_secondary_color\";i:1;}}s:8:\"advanced\";a:1:{s:14:\"_section_style\";a:4:{s:7:\"_margin\";i:1;s:14:\"_margin_mobile\";i:1;s:14:\"_element_width\";i:1;s:21:\"_element_custom_width\";i:1;}}}}s:7:\"section\";a:3:{s:5:\"count\";i:2;s:15:\"control_percent\";i:2;s:8:\"controls\";a:3:{s:6:\"layout\";a:2:{s:14:\"section_layout\";a:1:{s:6:\"layout\";i:1;}s:17:\"section_structure\";a:1:{s:9:\"structure\";i:2;}}s:8:\"advanced\";a:3:{s:16:\"section_advanced\";a:6:{s:6:\"margin\";i:1;s:7:\"padding\";i:2;s:14:\"padding_tablet\";i:1;s:14:\"padding_mobile\";i:1;s:7:\"z_index\";i:1;s:11:\"css_classes\";i:1;}s:18:\"section_custom_css\";a:1:{s:10:\"custom_css\";i:1;}s:19:\"_section_responsive\";a:1:{s:20:\"reverse_order_mobile\";i:1;}}s:5:\"style\";a:1:{s:18:\"section_background\";a:1:{s:16:\"background_color\";i:1;}}}}}");
INSERT INTO `wpky_postmeta` VALUES("9604", "1291", "_elementor_css", "a:6:{s:4:\"time\";i:1668106259;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9605", "32", "_elementor_css", "a:6:{s:4:\"time\";i:1668108787;s:5:\"fonts\";a:1:{i:0;s:7:\"PT Sans\";}s:5:\"icons\";a:2:{i:0;s:10:\"fa-regular\";i:5;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9606", "53", "_elementor_css", "a:6:{s:4:\"time\";i:1668108896;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9607", "981", "_elementor_css", "a:6:{s:4:\"time\";i:1668108899;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wpky_postmeta` VALUES("9608", "894", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9609", "894", "_wp_trash_meta_time", "1668108921");
INSERT INTO `wpky_postmeta` VALUES("9610", "894", "_wp_desired_post_slug", "template");
INSERT INTO `wpky_postmeta` VALUES("9611", "821", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9612", "821", "_wp_trash_meta_time", "1668108921");
INSERT INTO `wpky_postmeta` VALUES("9613", "821", "_wp_desired_post_slug", "original-testimonial");
INSERT INTO `wpky_postmeta` VALUES("9614", "314", "_wp_trash_meta_status", "publish");
INSERT INTO `wpky_postmeta` VALUES("9615", "314", "_wp_trash_meta_time", "1668108921");
INSERT INTO `wpky_postmeta` VALUES("9616", "314", "_wp_desired_post_slug", "back-button");

/* INSERT TABLE DATA: wpky_posts */
INSERT INTO `wpky_posts` VALUES("3", "3", "2019-05-03 18:27:20", "2019-05-03 18:27:20", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Our website address is: https://c97021x1.entnet8.com.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What personal data we collect and why we collect it</h2><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>Comments</h3><!-- /wp:heading --><!-- wp:paragraph --><p>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>Media</h3><!-- /wp:heading --><!-- wp:paragraph --><p>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>Contact forms</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>Cookies</h3><!-- /wp:heading --><!-- wp:paragraph --><p>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you have an account and you log in to this site, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>Embedded content from other websites</h3><!-- /wp:heading --><!-- wp:paragraph --><p>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading {\"level\":3} --><h3>Analytics</h3><!-- /wp:heading --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where we send your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Your contact information</h2><!-- /wp:heading --><!-- wp:heading --><h2>Additional information</h2><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>How we protect your data</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>What data breach procedures we have in place</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>What third parties we receive data from</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>What automated decision making and/or profiling we do with user data</h3><!-- /wp:heading --><!-- wp:heading {\"level\":3} --><h3>Industry regulatory disclosure requirements</h3><!-- /wp:heading -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2019-05-03 18:27:20", "2019-05-03 18:27:20", "", "0", "https://c97021x1.entnet8.com/?page_id=3", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("11", "3", "2019-08-09 16:02:54", "2019-08-09 16:02:54", "<meta name=\"format-detection\" content=\"telephone=no\">", "Disable Auto Phone Link", "", "trash", "closed", "closed", "", "disable-auto-phone-link__trashed", "", "", "2022-11-10 18:29:06", "2022-11-10 18:29:06", "", "0", "https://c97021x1.entnet8.com/?post_type=oceanwp_library&#038;p=11", "0", "oceanwp_library", "", "0");
INSERT INTO `wpky_posts` VALUES("12", "3", "2019-08-09 16:02:54", "2019-08-09 16:02:54", "<meta name=\"format-detection\" content=\"telephone=no\">", "Disable Auto Phone Link", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2019-08-09 16:02:54", "2019-08-09 16:02:54", "", "11", "https://c97021x1.entnet8.com/2019/08/09/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("15", "3", "2019-08-09 16:07:36", "2019-08-09 16:07:36", "", "Disable Auto Phone Link", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2019-08-09 16:07:36", "2019-08-09 16:07:36", "", "11", "https://c97021x1.entnet8.com/2019/08/09/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("16", "3", "2019-08-09 16:08:36", "2019-08-09 16:08:36", "<meta name=\"format-detection\" content=\"telephone=no\">", "Disable Auto Phone Link", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2019-08-09 16:08:36", "2019-08-09 16:08:36", "", "11", "https://c97021x1.entnet8.com/2019/08/09/11-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("28", "3", "2019-12-17 19:39:21", "2019-12-17 19:39:21", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h2>\n							Award-Winning						</h2>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h2>\n							Experienced Professionals						</h2>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h2>\n							Satisfied Clients						</h2>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "publish", "closed", "closed", "", "home-page", "", "", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "", "0", "https://c97021x1.entnet8.com/?page_id=28", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("29", "3", "2019-12-17 19:39:27", "2019-12-17 19:39:27", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h3>\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h3>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h3>\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h3>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h3>\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-one/\" title=\"Reviewer One\">Reviewer One</a>\n												</h3>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-one/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>					\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>					\n			<!-- .oew-carousel -->", "About", "", "publish", "closed", "closed", "", "about", "", "", "2022-11-10 18:11:28", "2022-11-10 18:11:28", "", "0", "https://c97021x1.entnet8.com/?page_id=29", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("30", "3", "2019-12-17 19:39:21", "2019-12-17 19:39:21", "", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 19:39:21", "2019-12-17 19:39:21", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("31", "3", "2019-12-17 19:39:27", "2019-12-17 19:39:27", "", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-17 19:39:27", "2019-12-17 19:39:27", "", "29", "https://c97021x1.entnet8.com/2019/12/17/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("32", "3", "2019-12-17 19:41:31", "2019-12-17 19:41:31", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "publish", "closed", "closed", "", "contact", "", "", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "", "0", "https://c97021x1.entnet8.com/?page_id=32", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("33", "3", "2019-12-17 19:41:31", "2019-12-17 19:41:31", "", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-17 19:41:31", "2019-12-17 19:41:31", "", "32", "https://c97021x1.entnet8.com/2019/12/17/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("53", "3", "2019-12-17 19:45:57", "2019-12-17 19:45:57", "", "Projects", "", "publish", "closed", "closed", "", "projects", "", "", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "0", "https://c97021x1.entnet8.com/?page_id=53", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("54", "3", "2019-12-17 19:45:57", "2019-12-17 19:45:57", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2019-12-17 19:45:57", "2019-12-17 19:45:57", "", "53", "https://c97021x1.entnet8.com/2019/12/17/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("57", "3", "2019-12-17 19:48:46", "2019-12-17 19:48:46", "<h2>Add Your Heading Text Here</h2>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 19:48:46", "2019-12-17 19:48:46", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("58", "3", "2022-11-10 18:20:10", "2019-12-17 19:49:28", " ", "", "", "publish", "closed", "closed", "", "58", "", "", "2022-11-10 18:20:10", "2022-11-10 18:20:10", "", "0", "https://c97021x1.entnet8.com/?p=58", "3", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("62", "3", "2022-03-09 17:57:06", "2019-12-17 19:50:38", "", "Home", "", "publish", "closed", "closed", "", "home", "", "", "2022-03-09 17:57:06", "2022-03-09 17:57:06", "", "0", "https://c97021x1.entnet8.com/?p=62", "1", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("64", "3", "2022-03-09 17:57:06", "2019-12-17 19:50:38", " ", "", "", "publish", "closed", "closed", "", "64", "", "", "2022-03-09 17:57:06", "2022-03-09 17:57:06", "", "0", "https://c97021x1.entnet8.com/?p=64", "2", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("65", "3", "2022-03-09 17:57:06", "2019-12-17 19:50:38", "", "Services", "", "publish", "closed", "closed", "", "services", "", "", "2022-03-09 17:57:06", "2022-03-09 17:57:06", "", "0", "https://c97021x1.entnet8.com/?p=65", "3", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("83", "3", "2019-12-17 20:01:24", "2019-12-17 20:01:24", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:01:24", "2019-12-17 20:01:24", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("84", "3", "2019-12-17 20:02:14", "2019-12-17 20:02:14", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:02:14", "2019-12-17 20:02:14", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("90", "3", "2019-12-17 20:10:10", "2019-12-17 20:10:10", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\nbody.reviews-template-default h1.page-header-title {\n	visibility: hidden;\n	height: 0;\n	padding-bottom: 1.4em;\n}\n\nbody.reviews-template-default h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n	width: 100%!important;\n	display: block!important;\n	\n}\n\nbody.reviews-template-default.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "publish", "closed", "closed", "", "oceanwp-child-theme-master", "", "", "2022-11-10 18:15:48", "2022-11-10 18:15:48", "", "0", "https://c97021x1.entnet8.com/2019/12/17/oceanwp-child-theme-master/", "0", "custom_css", "", "0");
INSERT INTO `wpky_posts` VALUES("91", "3", "2019-12-17 20:10:10", "2019-12-17 20:10:10", "/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:10:10", "2019-12-17 20:10:10", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("93", "3", "2019-12-17 20:13:54", "2019-12-17 20:13:54", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 10px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 10px !important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:13:54", "2019-12-17 20:13:54", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("96", "3", "2019-12-17 20:18:49", "2019-12-17 20:18:49", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:18:49", "2019-12-17 20:18:49", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("97", "3", "2019-12-17 20:19:41", "2019-12-17 20:19:41", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:19:41", "2019-12-17 20:19:41", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("99", "3", "2019-12-17 20:20:28", "2019-12-17 20:20:28", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:20:28", "2019-12-17 20:20:28", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("101", "3", "2019-12-17 20:20:45", "2019-12-17 20:20:45", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:20:45", "2019-12-17 20:20:45", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("102", "3", "2019-12-17 20:22:30", "2019-12-17 20:22:30", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:22:30", "2019-12-17 20:22:30", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("104", "3", "2019-12-17 20:22:36", "2019-12-17 20:22:36", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 340px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:22:36", "2019-12-17 20:22:36", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("107", "3", "2019-12-17 20:23:46", "2019-12-17 20:23:46", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 340px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:23:46", "2019-12-17 20:23:46", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("109", "3", "2019-12-17 20:24:41", "2019-12-17 20:24:41", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #85CC74;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:24:41", "2019-12-17 20:24:41", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("112", "3", "2019-12-17 20:28:16", "2019-12-17 20:28:16", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a {\n	color: #111;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a:hover {\n	color: #85CC74;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:28:16", "2019-12-17 20:28:16", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("114", "3", "2019-12-17 20:28:43", "2019-12-17 20:28:43", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:28:43", "2019-12-17 20:28:43", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("116", "3", "2019-12-17 20:29:06", "2019-12-17 20:29:06", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .side-panel-btn .oceanwp-mobile-menu-icon a {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .side-panel-btn .oceanwp-mobile-menu-icon a:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:29:06", "2019-12-17 20:29:06", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("117", "3", "2019-12-17 20:29:12", "2019-12-17 20:29:12", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n	            			        		<h3>\n							Roofing<br>Work						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:29:12", "2019-12-17 20:29:12", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("119", "3", "2019-12-17 20:29:47", "2019-12-17 20:29:47", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .side-panel-btn a {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .side-panel-btn a:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:29:47", "2019-12-17 20:29:47", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("121", "3", "2019-12-17 20:30:03", "2019-12-17 20:30:03", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:30:03", "2019-12-17 20:30:03", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("123", "3", "2019-12-17 20:31:08", "2019-12-17 20:31:08", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:31:08", "2019-12-17 20:31:08", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("124", "3", "2019-12-17 20:32:21", "2019-12-17 20:32:21", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:32:21", "2019-12-17 20:32:21", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("126", "3", "2019-12-17 20:33:34", "2019-12-17 20:33:34", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 20:33:34", "2019-12-17 20:33:34", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("127", "3", "2019-12-17 20:34:10", "2019-12-17 20:34:10", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:34:10", "2019-12-17 20:34:10", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("128", "3", "2019-12-17 20:34:31", "2019-12-17 20:34:31", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "trash", "closed", "closed", "", "side-panel__trashed", "", "", "2022-11-10 18:29:02", "2022-11-10 18:29:02", "", "0", "https://c97021x1.entnet8.com/?post_type=oceanwp_library&#038;p=128", "0", "oceanwp_library", "", "0");
INSERT INTO `wpky_posts` VALUES("129", "3", "2019-12-17 20:34:31", "2019-12-17 20:34:31", "", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:34:31", "2019-12-17 20:34:31", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("130", "3", "2019-12-17 20:34:49", "2019-12-17 20:34:49", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:34:49", "2019-12-17 20:34:49", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("131", "3", "2019-12-17 20:36:20", "2019-12-17 20:36:20", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:36:20", "2019-12-17 20:36:20", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("132", "3", "2019-12-17 20:37:54", "2019-12-17 20:37:54", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:37:54", "2019-12-17 20:37:54", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("133", "3", "2019-12-17 20:39:38", "2019-12-17 20:39:38", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:39:38", "2019-12-17 20:39:38", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("134", "3", "2019-12-17 20:40:37", "2019-12-17 20:40:37", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:40:37", "2019-12-17 20:40:37", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("135", "3", "2019-12-17 20:41:02", "2019-12-17 20:41:02", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:41:02", "2019-12-17 20:41:02", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("136", "3", "2019-12-17 20:41:36", "2019-12-17 20:41:36", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:41:36", "2019-12-17 20:41:36", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("137", "3", "2019-12-17 20:41:52", "2019-12-17 20:41:52", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:41:52", "2019-12-17 20:41:52", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("139", "3", "2019-12-17 20:42:20", "2019-12-17 20:42:20", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:42:20", "2019-12-17 20:42:20", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("140", "3", "2019-12-17 20:43:31", "2019-12-17 20:43:31", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:43:31", "2019-12-17 20:43:31", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("141", "3", "2019-12-17 20:44:00", "2019-12-17 20:44:00", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:44:00", "2019-12-17 20:44:00", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("143", "3", "2019-12-17 20:44:58", "2019-12-17 20:44:58", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:44:58", "2019-12-17 20:44:58", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("146", "3", "2019-12-17 20:45:55", "2019-12-17 20:45:55", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:45:55", "2019-12-17 20:45:55", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("147", "3", "2019-12-17 20:48:47", "2019-12-17 20:48:47", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:48:47", "2019-12-17 20:48:47", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("149", "3", "2019-12-17 20:50:13", "2019-12-17 20:50:13", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:50:13", "2019-12-17 20:50:13", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("152", "3", "2019-12-17 20:57:27", "2019-12-17 20:57:27", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:57:27", "2019-12-17 20:57:27", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("154", "3", "2019-12-17 20:57:40", "2019-12-17 20:57:40", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"284\" height=\"522\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png 284w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-163x300.png 163w\" sizes=\"(max-width: 284px) 100vw, 284px\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:57:40", "2019-12-17 20:57:40", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("155", "3", "2019-12-17 20:59:08", "2019-12-17 20:59:08", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 20:59:08", "2019-12-17 20:59:08", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("157", "3", "2019-12-17 20:59:32", "2019-12-17 20:59:32", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"284\" height=\"522\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png 284w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-163x300.png 163w\" sizes=\"(max-width: 284px) 100vw, 284px\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 20:59:32", "2019-12-17 20:59:32", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("158", "3", "2019-12-17 21:00:23", "2019-12-17 21:00:23", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:00:23", "2019-12-17 21:00:23", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("159", "3", "2019-12-17 21:00:44", "2019-12-17 21:00:44", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:00:44", "2019-12-17 21:00:44", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("161", "3", "2019-12-17 21:00:49", "2019-12-17 21:00:49", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"284\" height=\"492\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png 284w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-173x300.png 173w\" sizes=\"(max-width: 284px) 100vw, 284px\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:00:49", "2019-12-17 21:00:49", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("162", "3", "2019-12-17 21:01:13", "2019-12-17 21:01:13", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:01:13", "2019-12-17 21:01:13", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("164", "3", "2019-12-17 21:01:36", "2019-12-17 21:01:36", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"284\" height=\"522\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.png 284w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-163x300.png 163w\" sizes=\"(max-width: 284px) 100vw, 284px\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:01:36", "2019-12-17 21:01:36", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("166", "3", "2019-12-17 21:03:37", "2019-12-17 21:03:37", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"284\" height=\"522\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-gray.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-gray.png 284w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline-gray-163x300.png 163w\" sizes=\"(max-width: 284px) 100vw, 284px\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:03:37", "2019-12-17 21:03:37", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("169", "3", "2019-12-17 21:05:08", "2019-12-17 21:05:08", "", "arrow-right", "", "inherit", "open", "closed", "", "arrow-right", "", "", "2019-12-17 21:05:08", "2019-12-17 21:05:08", "", "28", "https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png", "0", "attachment", "image/png", "0");
INSERT INTO `wpky_posts` VALUES("171", "3", "2019-12-17 21:05:40", "2019-12-17 21:05:40", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:05:40", "2019-12-17 21:05:40", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("172", "3", "2019-12-17 21:06:27", "2019-12-17 21:06:27", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:06:27", "2019-12-17 21:06:27", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("173", "3", "2019-12-17 21:06:57", "2019-12-17 21:06:57", "", "arrow-left", "", "inherit", "open", "closed", "", "arrow-left", "", "", "2019-12-17 21:06:57", "2019-12-17 21:06:57", "", "28", "https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png", "0", "attachment", "image/png", "0");
INSERT INTO `wpky_posts` VALUES("175", "3", "2019-12-17 21:07:52", "2019-12-17 21:07:52", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title, .white-on-hover img {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n.white-on-hover:hover img {\n	filter: brightness(9999);\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:07:52", "2019-12-17 21:07:52", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("176", "3", "2019-12-17 21:07:57", "2019-12-17 21:07:57", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:07:57", "2019-12-17 21:07:57", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("178", "3", "2019-12-17 21:10:35", "2019-12-17 21:10:35", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:10:35", "2019-12-17 21:10:35", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("179", "3", "2019-12-17 21:10:45", "2019-12-17 21:10:45", "", "fb-outline", "", "inherit", "open", "closed", "", "fb-outline-3", "", "", "2019-12-17 21:10:45", "2019-12-17 21:10:45", "", "128", "https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wpky_posts` VALUES("180", "3", "2019-12-17 21:10:51", "2019-12-17 21:10:51", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"1\" height=\"1\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.svg\" alt=\"\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:10:51", "2019-12-17 21:10:51", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("181", "3", "2019-12-17 21:10:56", "2019-12-17 21:10:56", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:10:56", "2019-12-17 21:10:56", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("183", "3", "2019-12-17 21:11:21", "2019-12-17 21:11:21", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:11:21", "2019-12-17 21:11:21", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("185", "3", "2019-12-17 21:12:01", "2019-12-17 21:12:01", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:12:01", "2019-12-17 21:12:01", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("186", "3", "2019-12-17 21:13:36", "2019-12-17 21:13:36", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                                <img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.svg\">	                            \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:13:36", "2019-12-17 21:13:36", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("187", "3", "2019-12-17 21:13:45", "2019-12-17 21:13:45", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"1\" height=\"1\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.svg\" alt=\"\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:13:45", "2019-12-17 21:13:45", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("188", "3", "2019-12-17 21:14:39", "2019-12-17 21:14:39", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:14:39", "2019-12-17 21:14:39", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("189", "3", "2019-12-17 21:14:52", "2019-12-17 21:14:52", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <img width=\"1\" height=\"1\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/fb-outline.svg\" alt=\"\" />	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:14:52", "2019-12-17 21:14:52", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("190", "3", "2019-12-17 21:17:23", "2019-12-17 21:17:23", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:17:23", "2019-12-17 21:17:23", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("191", "3", "2019-12-17 21:17:45", "2019-12-17 21:17:45", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img src=\"https://c97021x1.entnet8.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:17:45", "2019-12-17 21:17:45", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("193", "3", "2019-12-17 21:21:16", "2019-12-17 21:21:16", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"750\" height=\"955\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Kitchen-details_Sm_DSC_5391.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Kitchen-details_Sm_DSC_5391.jpg 750w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Kitchen-details_Sm_DSC_5391-236x300.jpg 236w\" sizes=\"(max-width: 750px) 100vw, 750px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:21:16", "2019-12-17 21:21:16", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("194", "3", "2019-12-17 21:22:06", "2019-12-17 21:22:06", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:22:06", "2019-12-17 21:22:06", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("195", "3", "2019-12-17 21:22:09", "2019-12-17 21:22:09", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:22:09", "2019-12-17 21:22:09", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("197", "3", "2019-12-17 21:23:07", "2019-12-17 21:23:07", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg {\n    color: #fff!important;\n}\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:23:07", "2019-12-17 21:23:07", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("198", "3", "2019-12-17 21:23:13", "2019-12-17 21:23:13", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:23:13", "2019-12-17 21:23:13", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("199", "3", "2019-12-17 21:23:32", "2019-12-17 21:23:32", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:23:32", "2019-12-17 21:23:32", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("200", "3", "2019-12-17 21:23:32", "2019-12-17 21:23:32", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:23:32", "2019-12-17 21:23:32", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("201", "3", "2019-12-17 21:24:13", "2019-12-17 21:24:13", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:24:13", "2019-12-17 21:24:13", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("202", "3", "2019-12-17 21:24:15", "2019-12-17 21:24:15", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:24:15", "2019-12-17 21:24:15", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("203", "3", "2019-12-17 21:24:28", "2019-12-17 21:24:28", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:24:28", "2019-12-17 21:24:28", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("204", "3", "2019-12-17 21:24:43", "2019-12-17 21:24:43", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:24:43", "2019-12-17 21:24:43", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("206", "3", "2019-12-17 21:24:46", "2019-12-17 21:24:46", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg, .white-on-hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:24:46", "2019-12-17 21:24:46", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("207", "3", "2019-12-17 21:24:52", "2019-12-17 21:24:52", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:24:52", "2019-12-17 21:24:52", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("208", "3", "2019-12-17 21:25:11", "2019-12-17 21:25:11", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:25:11", "2019-12-17 21:25:11", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("210", "3", "2019-12-17 21:25:51", "2019-12-17 21:25:51", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg {\n    fill: #fff!important;\n}\n\n.white-on-hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:25:51", "2019-12-17 21:25:51", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("211", "3", "2019-12-17 21:26:12", "2019-12-17 21:26:12", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:26:12", "2019-12-17 21:26:12", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("213", "3", "2019-12-17 21:26:20", "2019-12-17 21:26:20", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #111 !important;\n}\n\n#side-panel-wrap a.close-panel:hover, .oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:26:20", "2019-12-17 21:26:20", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("214", "3", "2019-12-17 21:26:30", "2019-12-17 21:26:30", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:26:30", "2019-12-17 21:26:30", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("215", "3", "2019-12-17 21:26:34", "2019-12-17 21:26:34", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:26:34", "2019-12-17 21:26:34", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("216", "3", "2019-12-17 21:27:12", "2019-12-17 21:27:12", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:27:12", "2019-12-17 21:27:12", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("217", "3", "2019-12-17 21:27:23", "2019-12-17 21:27:23", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:27:23", "2019-12-17 21:27:23", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("219", "3", "2019-12-17 21:27:38", "2019-12-17 21:27:38", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:27:38", "2019-12-17 21:27:38", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("220", "3", "2019-12-17 21:27:55", "2019-12-17 21:27:55", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:27:55", "2019-12-17 21:27:55", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("221", "3", "2019-12-17 21:27:58", "2019-12-17 21:27:58", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:27:58", "2019-12-17 21:27:58", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("222", "3", "2019-12-17 21:29:26", "2019-12-17 21:29:26", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:29:26", "2019-12-17 21:29:26", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("223", "3", "2019-12-17 21:30:00", "2019-12-17 21:30:00", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:30:00", "2019-12-17 21:30:00", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("225", "3", "2019-12-17 21:30:19", "2019-12-17 21:30:19", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-17 21:30:19", "2019-12-17 21:30:19", "", "128", "https://c97021x1.entnet8.com/2019/12/17/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("228", "3", "2019-12-17 21:32:19", "2019-12-17 21:32:19", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:32:19", "2019-12-17 21:32:19", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("232", "3", "2019-12-17 21:33:38", "2019-12-17 21:33:38", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "publish", "closed", "closed", "", "footer", "", "", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "", "0", "https://c97021x1.entnet8.com/?post_type=oceanwp_library&#038;p=232", "0", "oceanwp_library", "", "0");
INSERT INTO `wpky_posts` VALUES("233", "3", "2019-12-17 21:33:38", "2019-12-17 21:33:38", "", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:33:38", "2019-12-17 21:33:38", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("234", "3", "2019-12-17 21:34:06", "2019-12-17 21:34:06", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:34:06", "2019-12-17 21:34:06", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("236", "3", "2019-12-17 21:34:25", "2019-12-17 21:34:25", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:34:25", "2019-12-17 21:34:25", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("237", "3", "2019-12-17 21:35:24", "2019-12-17 21:35:24", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:35:24", "2019-12-17 21:35:24", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("238", "3", "2019-12-17 21:36:01", "2019-12-17 21:36:01", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:36:01", "2019-12-17 21:36:01", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("239", "3", "2019-12-17 21:36:47", "2019-12-17 21:36:47", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:36:47", "2019-12-17 21:36:47", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("240", "3", "2019-12-17 21:36:59", "2019-12-17 21:36:59", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:36:59", "2019-12-17 21:36:59", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("241", "3", "2019-12-17 21:37:40", "2019-12-17 21:37:40", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:37:40", "2019-12-17 21:37:40", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("242", "3", "2019-12-17 21:38:22", "2019-12-17 21:38:22", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:38:22", "2019-12-17 21:38:22", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("244", "3", "2019-12-17 21:38:56", "2019-12-17 21:38:56", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:38:56", "2019-12-17 21:38:56", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("245", "3", "2019-12-17 21:39:28", "2019-12-17 21:39:28", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:39:28", "2019-12-17 21:39:28", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("246", "3", "2019-12-17 21:39:40", "2019-12-17 21:39:40", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:39:40", "2019-12-17 21:39:40", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("248", "3", "2019-12-17 21:40:46", "2019-12-17 21:40:46", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:40:46", "2019-12-17 21:40:46", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("249", "3", "2019-12-17 21:42:30", "2019-12-17 21:42:30", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										List Item #1\n									</li>\n								<li >\n										List Item #2\n									</li>\n								<li >\n										List Item #2\n									</li>\n								<li >\n										List Item #2\n									</li>\n								<li >\n										List Item #2\n									</li>\n								<li >\n										List Item #3\n									</li>\n						</ul>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:42:30", "2019-12-17 21:42:30", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("250", "3", "2019-12-17 21:42:42", "2019-12-17 21:42:42", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:42:42", "2019-12-17 21:42:42", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("252", "3", "2019-12-17 21:44:00", "2019-12-17 21:44:00", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:44:00", "2019-12-17 21:44:00", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("253", "3", "2019-12-17 21:44:23", "2019-12-17 21:44:23", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:44:23", "2019-12-17 21:44:23", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("255", "3", "2019-12-17 21:44:53", "2019-12-17 21:44:53", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:44:53", "2019-12-17 21:44:53", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("256", "3", "2019-12-17 21:44:53", "2019-12-17 21:44:53", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:44:53", "2019-12-17 21:44:53", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("257", "3", "2019-12-17 21:45:46", "2019-12-17 21:45:46", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:45:46", "2019-12-17 21:45:46", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("258", "3", "2019-12-17 21:46:39", "2019-12-17 21:46:39", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		<ul>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:46:39", "2019-12-17 21:46:39", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("259", "3", "2019-12-17 21:47:57", "2019-12-17 21:47:57", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:47:57", "2019-12-17 21:47:57", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("260", "3", "2019-12-17 21:49:14", "2019-12-17 21:49:14", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:49:14", "2019-12-17 21:49:14", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("262", "3", "2019-12-17 21:50:15", "2019-12-17 21:50:15", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-17 21:50:15", "2019-12-17 21:50:15", "", "90", "https://c97021x1.entnet8.com/2019/12/17/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("263", "3", "2019-12-17 21:50:54", "2019-12-17 21:50:54", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:50:54", "2019-12-17 21:50:54", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("265", "3", "2019-12-17 21:52:24", "2019-12-17 21:52:24", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:52:24", "2019-12-17 21:52:24", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("267", "3", "2019-12-17 21:53:20", "2019-12-17 21:53:20", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:53:20", "2019-12-17 21:53:20", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("268", "3", "2019-12-17 21:53:36", "2019-12-17 21:53:36", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:53:36", "2019-12-17 21:53:36", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("270", "3", "2019-12-17 21:54:10", "2019-12-17 21:54:10", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:54:10", "2019-12-17 21:54:10", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("271", "3", "2019-12-17 21:54:17", "2019-12-17 21:54:17", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-17 21:54:17", "2019-12-17 21:54:17", "", "232", "https://c97021x1.entnet8.com/2019/12/17/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("272", "3", "2019-12-17 21:54:27", "2019-12-17 21:54:27", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:54:27", "2019-12-17 21:54:27", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("273", "3", "2019-12-17 21:55:06", "2019-12-17 21:55:06", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:55:06", "2019-12-17 21:55:06", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("274", "3", "2019-12-17 21:55:24", "2019-12-17 21:55:24", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-17 21:55:24", "2019-12-17 21:55:24", "", "28", "https://c97021x1.entnet8.com/2019/12/17/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("277", "3", "2019-12-18 13:36:48", "2019-12-18 13:36:48", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2019-12-18 13:36:48", "2019-12-18 13:36:48", "", "53", "https://c97021x1.entnet8.com/2019/12/18/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("314", "3", "2019-12-18 13:50:31", "2019-12-18 13:50:31", "<a href=\"https://c97021x1.entnet8.com/projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Back Button", "", "trash", "closed", "closed", "", "back-button__trashed", "", "", "2022-11-10 19:35:21", "2022-11-10 19:35:21", "", "0", "https://c97021x1.entnet8.com/?elementor_library=back-button", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("315", "3", "2019-12-18 13:50:32", "2019-12-18 13:50:32", "", "Back Button", "", "inherit", "closed", "closed", "", "314-revision-v1", "", "", "2019-12-18 13:50:32", "2019-12-18 13:50:32", "", "314", "https://c97021x1.entnet8.com/2019/12/18/314-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("316", "3", "2019-12-18 13:50:32", "2019-12-18 13:50:32", "<a href=\"https://c97021x1.entnet8.com/projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Back Button", "", "inherit", "closed", "closed", "", "314-revision-v1", "", "", "2019-12-18 13:50:32", "2019-12-18 13:50:32", "", "314", "https://c97021x1.entnet8.com/2019/12/18/314-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("363", "3", "2019-12-18 14:07:25", "2019-12-18 14:07:25", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:07:25", "2019-12-18 14:07:25", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("367", "3", "2019-12-18 14:08:28", "2019-12-18 14:08:28", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n.footer-btn .elementor-button {\n	color: #FFF;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 14:08:28", "2019-12-18 14:08:28", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("376", "3", "2019-12-18 14:08:58", "2019-12-18 14:08:58", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n.footer-btn .elementor-button:hover {\n	color: #FFF !important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 14:08:58", "2019-12-18 14:08:58", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("382", "3", "2019-12-18 14:10:21", "2019-12-18 14:10:21", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 14:10:21", "2019-12-18 14:10:21", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("383", "3", "2019-12-18 14:10:25", "2019-12-18 14:10:25", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:10:25", "2019-12-18 14:10:25", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("385", "3", "2019-12-18 14:10:44", "2019-12-18 14:10:44", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:10:44", "2019-12-18 14:10:44", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("395", "3", "2019-12-18 14:11:21", "2019-12-18 14:11:21", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:11:21", "2019-12-18 14:11:21", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("398", "3", "2019-12-18 14:11:41", "2019-12-18 14:11:41", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:11:41", "2019-12-18 14:11:41", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("403", "3", "2019-12-18 14:13:51", "2019-12-18 14:13:51", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:13:51", "2019-12-18 14:13:51", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("433", "3", "2019-12-18 14:18:08", "2019-12-18 14:18:08", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2019-12-18 14:18:08", "2019-12-18 14:18:08", "", "53", "https://c97021x1.entnet8.com/2019/12/18/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("434", "3", "2019-12-18 14:18:48", "2019-12-18 14:18:48", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:18:48", "2019-12-18 14:18:48", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("436", "3", "2019-12-18 14:19:28", "2019-12-18 14:19:28", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:19:28", "2019-12-18 14:19:28", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("437", "3", "2019-12-18 14:24:39", "2019-12-18 14:24:39", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:24:39", "2019-12-18 14:24:39", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("438", "3", "2019-12-18 14:25:11", "2019-12-18 14:25:11", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:25:11", "2019-12-18 14:25:11", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("439", "3", "2019-12-18 14:27:14", "2019-12-18 14:27:14", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:27:14", "2019-12-18 14:27:14", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("440", "3", "2019-12-18 14:27:43", "2019-12-18 14:27:43", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:27:43", "2019-12-18 14:27:43", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("443", "3", "2019-12-18 14:34:16", "2019-12-18 14:34:16", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:34:16", "2019-12-18 14:34:16", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("444", "3", "2019-12-18 14:35:50", "2019-12-18 14:35:50", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:35:50", "2019-12-18 14:35:50", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("445", "3", "2019-12-18 14:36:31", "2019-12-18 14:36:31", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:36:31", "2019-12-18 14:36:31", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("446", "3", "2019-12-18 14:36:31", "2019-12-18 14:36:31", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:36:31", "2019-12-18 14:36:31", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("447", "3", "2019-12-18 14:36:53", "2019-12-18 14:36:53", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:36:53", "2019-12-18 14:36:53", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("448", "3", "2019-12-18 14:37:18", "2019-12-18 14:37:18", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:37:18", "2019-12-18 14:37:18", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("449", "3", "2019-12-18 14:37:35", "2019-12-18 14:37:35", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:37:35", "2019-12-18 14:37:35", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("450", "3", "2019-12-18 14:37:47", "2019-12-18 14:37:47", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:37:47", "2019-12-18 14:37:47", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("452", "3", "2019-12-18 14:39:00", "2019-12-18 14:39:00", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:39:00", "2019-12-18 14:39:00", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("453", "3", "2019-12-18 14:39:18", "2019-12-18 14:39:18", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:39:18", "2019-12-18 14:39:18", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("454", "3", "2019-12-18 14:39:28", "2019-12-18 14:39:28", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 14:39:28", "2019-12-18 14:39:28", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("455", "3", "2019-12-18 14:39:43", "2019-12-18 14:39:43", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:39:43", "2019-12-18 14:39:43", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("456", "3", "2019-12-18 14:39:56", "2019-12-18 14:39:56", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:39:56", "2019-12-18 14:39:56", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("457", "3", "2019-12-18 14:42:25", "2019-12-18 14:42:25", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:42:25", "2019-12-18 14:42:25", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("459", "3", "2019-12-18 14:43:47", "2019-12-18 14:43:47", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:43:47", "2019-12-18 14:43:47", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("460", "3", "2019-12-18 14:44:36", "2019-12-18 14:44:36", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:44:36", "2019-12-18 14:44:36", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("461", "3", "2019-12-18 14:44:48", "2019-12-18 14:44:48", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:44:48", "2019-12-18 14:44:48", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("462", "3", "2019-12-18 14:45:02", "2019-12-18 14:45:02", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:45:02", "2019-12-18 14:45:02", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("463", "3", "2019-12-18 14:45:10", "2019-12-18 14:45:10", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:45:10", "2019-12-18 14:45:10", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("464", "3", "2019-12-18 14:46:05", "2019-12-18 14:46:05", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:46:05", "2019-12-18 14:46:05", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("465", "3", "2019-12-18 14:49:38", "2019-12-18 14:49:38", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:49:38", "2019-12-18 14:49:38", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("466", "3", "2019-12-18 14:51:04", "2019-12-18 14:51:04", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:51:04", "2019-12-18 14:51:04", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("467", "3", "2019-12-18 14:51:23", "2019-12-18 14:51:23", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:51:23", "2019-12-18 14:51:23", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("468", "3", "2019-12-18 14:51:39", "2019-12-18 14:51:39", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:51:39", "2019-12-18 14:51:39", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("469", "3", "2019-12-18 14:52:18", "2019-12-18 14:52:18", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:52:18", "2019-12-18 14:52:18", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("470", "3", "2019-12-18 14:52:46", "2019-12-18 14:52:46", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:52:46", "2019-12-18 14:52:46", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("471", "3", "2019-12-18 14:53:22", "2019-12-18 14:53:22", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project?		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:53:22", "2019-12-18 14:53:22", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("472", "3", "2019-12-18 14:54:10", "2019-12-18 14:54:10", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:54:10", "2019-12-18 14:54:10", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("473", "3", "2019-12-18 14:55:32", "2019-12-18 14:55:32", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:55:32", "2019-12-18 14:55:32", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("474", "3", "2019-12-18 14:55:54", "2019-12-18 14:55:54", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:55:54", "2019-12-18 14:55:54", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("475", "3", "2019-12-18 14:56:08", "2019-12-18 14:56:08", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:56:08", "2019-12-18 14:56:08", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("476", "3", "2019-12-18 14:59:20", "2019-12-18 14:59:20", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 14:59:20", "2019-12-18 14:59:20", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("477", "3", "2019-12-18 15:05:13", "2019-12-18 15:05:13", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:05:13", "2019-12-18 15:05:13", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("478", "3", "2019-12-18 15:06:19", "2019-12-18 15:06:19", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:06:19", "2019-12-18 15:06:19", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("479", "3", "2019-12-18 15:07:57", "2019-12-18 15:07:57", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:07:57", "2019-12-18 15:07:57", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("481", "3", "2019-12-18 15:13:20", "2019-12-18 15:13:20", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 15:13:20", "2019-12-18 15:13:20", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("482", "3", "2019-12-18 15:15:57", "2019-12-18 15:15:57", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:15:57", "2019-12-18 15:15:57", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("483", "3", "2019-12-18 15:17:00", "2019-12-18 15:17:00", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:17:00", "2019-12-18 15:17:00", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("486", "3", "2019-12-18 15:18:03", "2019-12-18 15:18:03", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:18:03", "2019-12-18 15:18:03", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("489", "3", "2019-12-18 15:26:53", "2019-12-18 15:26:53", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: right;\n}\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 15:26:53", "2019-12-18 15:26:53", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("490", "3", "2019-12-18 15:26:57", "2019-12-18 15:26:57", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		This site is protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> and <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | This site designed and hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:26:57", "2019-12-18 15:26:57", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("493", "3", "2019-12-18 15:29:46", "2019-12-18 15:29:46", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>\n							<a href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">		\n		</a>						\n							<a href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">		\n		</a>						\n							<a href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">		\n		</a>						\n							Previous\n							Next", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 15:29:46", "2019-12-18 15:29:46", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("494", "3", "2019-12-18 15:30:59", "2019-12-18 15:30:59", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> & <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:30:59", "2019-12-18 15:30:59", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("495", "3", "2019-12-18 15:31:21", "2019-12-18 15:31:21", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> & <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:31:21", "2019-12-18 15:31:21", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("496", "3", "2019-12-18 15:33:04", "2019-12-18 15:33:04", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> & <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:33:04", "2019-12-18 15:33:04", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("498", "3", "2019-12-18 15:33:28", "2019-12-18 15:33:28", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: right;\n}\n\n\n@media only screen and (max-width: 768px) {\n	\n	.footer-copyright {\n		text-align: left;\n	}\n	\n}\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 15:33:28", "2019-12-18 15:33:28", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("500", "3", "2019-12-18 15:34:14", "2019-12-18 15:34:14", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: right;\n}\n\n\n@media only screen and (max-width: 1024px) {\n	\n	.footer-copyright {\n		text-align: left;\n	}\n	\n}\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 15:34:14", "2019-12-18 15:34:14", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("501", "3", "2019-12-18 15:35:00", "2019-12-18 15:35:00", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> & <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. © Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:35:00", "2019-12-18 15:35:00", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("502", "3", "2019-12-18 15:35:28", "2019-12-18 15:35:28", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> & <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:35:28", "2019-12-18 15:35:28", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("503", "3", "2019-12-18 15:36:28", "2019-12-18 15:36:28", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> & <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.© Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:36:28", "2019-12-18 15:36:28", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("504", "3", "2019-12-18 15:37:18", "2019-12-18 15:37:18", "<img width=\"477\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo.png 477w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-logo-286x300.png 286w\" sizes=\"(max-width: 477px) 100vw, 477px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 15:37:18", "2019-12-18 15:37:18", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("506", "3", "2019-12-18 15:37:29", "2019-12-18 15:37:29", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 15:37:29", "2019-12-18 15:37:29", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("508", "3", "2019-12-18 15:38:11", "2019-12-18 15:38:11", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 15:38:11", "2019-12-18 15:38:11", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("512", "3", "2019-12-18 15:49:59", "2019-12-18 15:49:59", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-18 15:49:59", "2019-12-18 15:49:59", "", "128", "https://c97021x1.entnet8.com/2019/12/18/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("513", "3", "2019-12-18 15:50:38", "2019-12-18 15:50:38", "<h2>4794 S Dixie Dr</h2>		\n		Suite A, Moraine, OH 45439		\n			<h2>Give Us A Call</h2>		\n		937-938-6911		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:inquiry@racooks.com\">inquiry@racooks.com</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2019-12-18 15:50:38", "2019-12-18 15:50:38", "", "128", "https://c97021x1.entnet8.com/2019/12/18/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("515", "3", "2019-12-18 15:56:55", "2019-12-18 15:56:55", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>\n			<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 15:56:55", "2019-12-18 15:56:55", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("516", "3", "2019-12-18 15:57:15", "2019-12-18 15:57:15", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>\n			<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 15:57:15", "2019-12-18 15:57:15", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("517", "3", "2019-12-18 15:58:29", "2019-12-18 15:58:29", "<h2>Proudly Affiliated With</h2>		\n													<a href=\"#\" target=\"_blank\" title=\"Affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" title=\"Affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" title=\"affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA - Template", "", "publish", "closed", "closed", "", "cta", "", "", "2022-11-10 18:29:26", "2022-11-10 18:29:26", "", "0", "https://c97021x1.entnet8.com/?post_type=oceanwp_library&#038;p=517", "0", "oceanwp_library", "", "0");
INSERT INTO `wpky_posts` VALUES("518", "3", "2019-12-18 15:58:29", "2019-12-18 15:58:29", "", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 15:58:29", "2019-12-18 15:58:29", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("519", "3", "2019-12-18 15:58:44", "2019-12-18 15:58:44", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 15:58:44", "2019-12-18 15:58:44", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("520", "3", "2019-12-18 15:58:48", "2019-12-18 15:58:48", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 15:58:48", "2019-12-18 15:58:48", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("522", "3", "2019-12-18 16:02:34", "2019-12-18 16:02:34", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:02:34", "2019-12-18 16:02:34", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("523", "3", "2019-12-18 16:02:53", "2019-12-18 16:02:53", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:02:53", "2019-12-18 16:02:53", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("525", "3", "2019-12-18 16:10:27", "2019-12-18 16:10:27", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:10:27", "2019-12-18 16:10:27", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("527", "3", "2019-12-18 16:12:19", "2019-12-18 16:12:19", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 16:12:19", "2019-12-18 16:12:19", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("529", "3", "2019-12-18 16:13:00", "2019-12-18 16:13:00", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 16:13:00", "2019-12-18 16:13:00", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("530", "3", "2019-12-18 16:13:54", "2019-12-18 16:13:54", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:13:54", "2019-12-18 16:13:54", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("531", "3", "2019-12-18 16:13:59", "2019-12-18 16:13:59", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 16:13:59", "2019-12-18 16:13:59", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("532", "3", "2019-12-18 16:14:16", "2019-12-18 16:14:16", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 16:14:16", "2019-12-18 16:14:16", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("533", "3", "2019-12-18 16:14:25", "2019-12-18 16:14:25", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 16:14:25", "2019-12-18 16:14:25", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("534", "3", "2019-12-18 16:16:58", "2019-12-18 16:16:58", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:16:58", "2019-12-18 16:16:58", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("535", "3", "2019-12-18 16:18:04", "2019-12-18 16:18:04", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:18:04", "2019-12-18 16:18:04", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("536", "3", "2019-12-18 16:19:02", "2019-12-18 16:19:02", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:19:02", "2019-12-18 16:19:02", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("537", "3", "2019-12-18 16:19:25", "2019-12-18 16:19:25", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:19:25", "2019-12-18 16:19:25", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("538", "3", "2019-12-18 16:19:38", "2019-12-18 16:19:38", "<h2>Proudly Affiliated With</h2>		\n										<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />											\n										<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />											\n										<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:19:38", "2019-12-18 16:19:38", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("539", "3", "2019-12-18 16:21:25", "2019-12-18 16:21:25", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:21:25", "2019-12-18 16:21:25", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("543", "3", "2019-12-18 16:22:27", "2019-12-18 16:22:27", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 16:22:27", "2019-12-18 16:22:27", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("544", "3", "2019-12-18 16:23:03", "2019-12-18 16:23:03", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 16:23:03", "2019-12-18 16:23:03", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("545", "3", "2019-12-18 16:23:06", "2019-12-18 16:23:06", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:23:06", "2019-12-18 16:23:06", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("546", "3", "2019-12-18 16:25:58", "2019-12-18 16:25:58", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:25:58", "2019-12-18 16:25:58", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("547", "3", "2019-12-18 16:26:22", "2019-12-18 16:26:22", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:26:22", "2019-12-18 16:26:22", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("550", "3", "2019-12-18 16:41:21", "2019-12-18 16:41:21", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:41:21", "2019-12-18 16:41:21", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("551", "3", "2019-12-18 16:41:56", "2019-12-18 16:41:56", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:41:56", "2019-12-18 16:41:56", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("552", "3", "2019-12-18 16:48:46", "2019-12-18 16:48:46", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:48:46", "2019-12-18 16:48:46", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("553", "3", "2019-12-18 16:49:11", "2019-12-18 16:49:11", "<a href=\"#\">\n	            			        		<h3>\n							Service #1						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #2						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #3						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #4						</h3>\n        </a>", "HEADER - Mega Menu Template", "", "publish", "closed", "closed", "", "mega-menu", "", "", "2022-11-10 18:29:48", "2022-11-10 18:29:48", "", "0", "https://c97021x1.entnet8.com/?post_type=oceanwp_library&#038;p=553", "0", "oceanwp_library", "", "0");
INSERT INTO `wpky_posts` VALUES("554", "3", "2019-12-18 16:49:11", "2019-12-18 16:49:11", "", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-18 16:49:11", "2019-12-18 16:49:11", "", "553", "https://c97021x1.entnet8.com/2019/12/18/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("555", "3", "2019-12-18 16:49:21", "2019-12-18 16:49:21", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:49:21", "2019-12-18 16:49:21", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("556", "3", "2019-12-18 16:49:32", "2019-12-18 16:49:32", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:49:32", "2019-12-18 16:49:32", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("557", "3", "2019-12-18 16:49:48", "2019-12-18 16:49:48", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:49:48", "2019-12-18 16:49:48", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("558", "3", "2019-12-18 16:49:58", "2019-12-18 16:49:58", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 16:49:58", "2019-12-18 16:49:58", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("559", "3", "2019-12-18 16:53:51", "2019-12-18 16:53:51", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-18 16:53:51", "2019-12-18 16:53:51", "", "553", "https://c97021x1.entnet8.com/2019/12/18/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("562", "3", "2019-12-18 17:00:33", "2019-12-18 17:00:33", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:00:33", "2019-12-18 17:00:33", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("564", "3", "2019-12-18 17:01:33", "2019-12-18 17:01:33", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:01:33", "2019-12-18 17:01:33", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("565", "3", "2019-12-18 17:02:39", "2019-12-18 17:02:39", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:02:39", "2019-12-18 17:02:39", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("566", "3", "2019-12-18 17:03:24", "2019-12-18 17:03:24", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:03:24", "2019-12-18 17:03:24", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("568", "3", "2019-12-18 17:04:20", "2019-12-18 17:04:20", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 1200px;\n    margin-top: 10px;\n    position: fixed;\n    top: 140px;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:04:20", "2019-12-18 17:04:20", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("570", "3", "2019-12-18 17:04:44", "2019-12-18 17:04:44", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 1200px;\n    margin-top: 10px;\n    position: fixed;\n    top: 140px;\n	border-top: 0!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:04:44", "2019-12-18 17:04:44", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("572", "3", "2019-12-18 17:04:59", "2019-12-18 17:04:59", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 1200px;\n    margin-top: 10px;\n    position: fixed!important;\n    top: 140px;\n	border-top: 0!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:04:59", "2019-12-18 17:04:59", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("573", "3", "2019-12-18 17:05:08", "2019-12-18 17:05:08", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:05:08", "2019-12-18 17:05:08", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("575", "3", "2019-12-18 17:05:18", "2019-12-18 17:05:18", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    margin-top: 10px;\n    position: fixed!important;\n    top: 140px!important;\n	border-top: 0!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:05:18", "2019-12-18 17:05:18", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("577", "3", "2019-12-18 17:05:51", "2019-12-18 17:05:51", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    margin-top: 10px;\n    position: fixed!important;\n    top: 140px!important;\n	border-top: 0!important;\n	z-index: 1!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:05:51", "2019-12-18 17:05:51", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("578", "3", "2019-12-18 17:05:56", "2019-12-18 17:05:56", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:05:56", "2019-12-18 17:05:56", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("580", "3", "2019-12-18 17:06:36", "2019-12-18 17:06:36", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:06:36", "2019-12-18 17:06:36", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("581", "3", "2019-12-18 17:06:56", "2019-12-18 17:06:56", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:06:56", "2019-12-18 17:06:56", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("582", "3", "2019-12-18 17:07:40", "2019-12-18 17:07:40", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    margin-top: 10px;\n    position: fixed!important;\n    top: 140px!important;\n	border-top: 0!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:07:40", "2019-12-18 17:07:40", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("583", "3", "2019-12-18 17:07:55", "2019-12-18 17:07:55", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:07:55", "2019-12-18 17:07:55", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("585", "3", "2019-12-18 17:08:27", "2019-12-18 17:08:27", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    margin-top: 150px!important;\n    position: fixed!important;\n	border-top: 0!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:08:27", "2019-12-18 17:08:27", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("586", "3", "2019-12-18 17:08:56", "2019-12-18 17:08:56", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:08:56", "2019-12-18 17:08:56", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("588", "3", "2019-12-18 17:09:10", "2019-12-18 17:09:10", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:09:10", "2019-12-18 17:09:10", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("589", "3", "2019-12-18 17:10:10", "2019-12-18 17:10:10", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:10:10", "2019-12-18 17:10:10", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("591", "3", "2019-12-18 17:10:30", "2019-12-18 17:10:30", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:10:30", "2019-12-18 17:10:30", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("592", "3", "2019-12-18 17:11:23", "2019-12-18 17:11:23", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\nul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:11:23", "2019-12-18 17:11:23", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("593", "3", "2019-12-18 17:11:38", "2019-12-18 17:11:38", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:11:38", "2019-12-18 17:11:38", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("595", "3", "2019-12-18 17:12:51", "2019-12-18 17:12:51", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:12:51", "2019-12-18 17:12:51", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("596", "3", "2019-12-18 17:13:05", "2019-12-18 17:13:05", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:13:05", "2019-12-18 17:13:05", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("597", "3", "2019-12-18 17:13:10", "2019-12-18 17:13:10", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-18 17:13:10", "2019-12-18 17:13:10", "", "28", "https://c97021x1.entnet8.com/2019/12/18/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("598", "3", "2019-12-18 17:13:37", "2019-12-18 17:13:37", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:13:37", "2019-12-18 17:13:37", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("599", "3", "2019-12-18 17:14:28", "2019-12-18 17:14:28", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:14:28", "2019-12-18 17:14:28", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("600", "3", "2019-12-18 17:15:12", "2019-12-18 17:15:12", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:15:12", "2019-12-18 17:15:12", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("601", "3", "2019-12-18 17:15:44", "2019-12-18 17:15:44", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:15:44", "2019-12-18 17:15:44", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("603", "3", "2019-12-18 17:17:16", "2019-12-18 17:17:16", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:17:16", "2019-12-18 17:17:16", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("604", "3", "2019-12-18 17:17:20", "2019-12-18 17:17:20", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:17:20", "2019-12-18 17:17:20", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("605", "3", "2019-12-18 17:17:43", "2019-12-18 17:17:43", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:17:43", "2019-12-18 17:17:43", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("608", "3", "2019-12-18 17:19:26", "2019-12-18 17:19:26", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:19:26", "2019-12-18 17:19:26", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("610", "3", "2019-12-18 17:24:39", "2019-12-18 17:24:39", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"600\" height=\"315\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari.png 600w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-nari-300x158.png 300w\" sizes=\"(max-width: 600px) 100vw, 600px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"523\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1024x523.png 1024w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-300x153.png 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-768x392.png 768w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo-1536x785.png 1536w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/BBB-Logo.png 1673w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"491\" height=\"373\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton.png 491w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/logo-dayton-300x228.png 300w\" sizes=\"(max-width: 491px) 100vw, 491px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2019-12-18 17:24:39", "2019-12-18 17:24:39", "", "517", "https://c97021x1.entnet8.com/2019/12/18/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("612", "3", "2019-12-18 17:24:53", "2019-12-18 17:24:53", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1140px !important;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:24:53", "2019-12-18 17:24:53", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("620", "3", "2019-12-18 17:32:46", "2019-12-18 17:32:46", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2019-12-18 17:32:46", "2019-12-18 17:32:46", "", "53", "https://c97021x1.entnet8.com/2019/12/18/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("623", "3", "2019-12-18 17:34:59", "2019-12-18 17:34:59", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2019-12-18 17:34:59", "2019-12-18 17:34:59", "", "53", "https://c97021x1.entnet8.com/2019/12/18/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("628", "3", "2019-12-18 17:38:50", "2019-12-18 17:38:50", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 17:38:50", "2019-12-18 17:38:50", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("646", "3", "2019-12-18 20:25:39", "2019-12-18 20:25:39", "<img width=\"185\" height=\"160\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-house.png\" alt=\"\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 20:25:39", "2019-12-18 20:25:39", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("649", "3", "2019-12-18 20:29:02", "2019-12-18 20:29:02", "<img width=\"185\" height=\"160\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/footer-house.png\" alt=\"\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										 4794 S Dixie Dr Suite A<br />Moraine, OH 45439\n									</li>\n								<li >\n										937-938-6911\n									</li>\n								<li >\n					<a href=\"mailto:inquiry@racooks.com\">						\n										inquiry@racooks.com\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] RA Cooks Renovations | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2019-12-18 20:29:02", "2019-12-18 20:29:02", "", "232", "https://c97021x1.entnet8.com/2019/12/18/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("651", "3", "2019-12-18 20:31:31", "2019-12-18 20:31:31", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 20:31:31", "2019-12-18 20:31:31", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("654", "3", "2019-12-18 20:33:39", "2019-12-18 20:33:39", "/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-18 20:33:39", "2019-12-18 20:33:39", "", "90", "https://c97021x1.entnet8.com/2019/12/18/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("655", "3", "2019-12-19 20:24:27", "2019-12-19 20:24:27", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-19 20:24:27", "2019-12-19 20:24:27", "", "28", "https://c97021x1.entnet8.com/2019/12/19/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("656", "3", "2019-12-19 20:25:44", "2019-12-19 20:25:44", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-19 20:25:44", "2019-12-19 20:25:44", "", "28", "https://c97021x1.entnet8.com/2019/12/19/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("657", "3", "2019-12-19 20:28:15", "2019-12-19 20:28:15", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-19 20:28:15", "2019-12-19 20:28:15", "", "553", "https://c97021x1.entnet8.com/2019/12/19/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("658", "3", "2019-12-19 20:29:09", "2019-12-19 20:29:09", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-19 20:29:09", "2019-12-19 20:29:09", "", "553", "https://c97021x1.entnet8.com/2019/12/19/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("659", "3", "2019-12-19 20:29:22", "2019-12-19 20:29:22", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-19 20:29:22", "2019-12-19 20:29:22", "", "553", "https://c97021x1.entnet8.com/2019/12/19/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("660", "3", "2019-12-19 20:35:00", "2019-12-19 20:35:00", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-19 20:35:00", "2019-12-19 20:35:00", "", "553", "https://c97021x1.entnet8.com/2019/12/19/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("661", "3", "2019-12-19 20:35:05", "2019-12-19 20:35:05", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2019-12-19 20:35:05", "2019-12-19 20:35:05", "", "553", "https://c97021x1.entnet8.com/2019/12/19/553-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("662", "3", "2019-12-19 20:35:44", "2019-12-19 20:35:44", "<h2>Committed to superior quality and results.</h2>		\n		<p>RA Cooks is the best home renovator in the Dayton, Ohio area. Choose us to help you elevate your home space and let your style shine.</p>		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-1-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-2-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-5-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n			<h2>As Dayton Ohio\'s premier home renovations company, we specialize in kitchen remodeling, bathroom remodeling, and basement remodeling as well as flooring, roofing, and home restoration.</h2>		\n		You’ve got big home remodeling plans. Maybe you’d like to finish your basement, expand your kitchen or update your bathrooms. If you want to complete all of these projects at once, you don’t have to call multiple contractors to get the job done. Leave your home improvement to-do list with RA Cooks Renovations.		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://c97021x1.entnet8.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2019-12-19 20:35:44", "2019-12-19 20:35:44", "", "28", "https://c97021x1.entnet8.com/2019/12/19/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("664", "3", "2019-12-19 20:38:48", "2019-12-19 20:38:48", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-19 20:38:48", "2019-12-19 20:38:48", "", "90", "https://c97021x1.entnet8.com/2019/12/19/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("667", "3", "2019-12-19 20:41:58", "2019-12-19 20:41:58", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 120px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-19 20:41:58", "2019-12-19 20:41:58", "", "90", "https://c97021x1.entnet8.com/2019/12/19/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("669", "3", "2019-12-19 20:45:16", "2019-12-19 20:45:16", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-19 20:45:16", "2019-12-19 20:45:16", "", "90", "https://c97021x1.entnet8.com/2019/12/19/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("673", "3", "2019-12-23 15:13:19", "2019-12-23 15:13:19", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:13:19", "2019-12-23 15:13:19", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("674", "3", "2019-12-23 15:16:10", "2019-12-23 15:16:10", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:16:10", "2019-12-23 15:16:10", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("675", "3", "2019-12-23 15:16:28", "2019-12-23 15:16:28", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:16:28", "2019-12-23 15:16:28", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("676", "3", "2019-12-23 15:16:48", "2019-12-23 15:16:48", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:16:48", "2019-12-23 15:16:48", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("677", "3", "2019-12-23 15:31:04", "2019-12-23 15:31:04", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:31:04", "2019-12-23 15:31:04", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("678", "3", "2019-12-23 15:31:49", "2019-12-23 15:31:49", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:31:49", "2019-12-23 15:31:49", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("679", "3", "2019-12-23 15:32:59", "2019-12-23 15:32:59", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:32:59", "2019-12-23 15:32:59", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("682", "3", "2019-12-23 15:42:23", "2019-12-23 15:42:23", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:42:23", "2019-12-23 15:42:23", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("683", "3", "2019-12-23 15:42:53", "2019-12-23 15:42:53", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 15:42:53", "2019-12-23 15:42:53", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("687", "3", "2019-12-23 16:16:50", "2019-12-23 16:16:50", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 16:16:50", "2019-12-23 16:16:50", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("688", "3", "2019-12-23 16:19:31", "2019-12-23 16:19:31", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n						<article id=\"post-684\">\n												<h2>\n													<a href=\"https://c97021x1.entnet8.com/2019/12/23/martha-meyer/\" title=\"Martha Meyer\">Martha Meyer</a>\n												</h2>\n													RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done&hellip;												\n										<!-- .oew-grid-details -->\n						</article>\n			<!-- .oew-blog-grid -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 16:19:31", "2019-12-23 16:19:31", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("690", "3", "2019-12-23 16:22:13", "2019-12-23 16:22:13", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n\n\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 16:22:13", "2019-12-23 16:22:13", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("695", "3", "2019-12-23 16:39:26", "2019-12-23 16:39:26", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 16:39:26", "2019-12-23 16:39:26", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("700", "3", "2019-12-23 16:46:10", "2019-12-23 16:46:10", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 16:46:10", "2019-12-23 16:46:10", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("704", "3", "2019-12-23 16:54:01", "2019-12-23 16:54:01", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n.single-post .oew-info-box {\n	display: block!important;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 16:54:01", "2019-12-23 16:54:01", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("706", "3", "2019-12-23 16:54:43", "2019-12-23 16:54:43", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 16:54:43", "2019-12-23 16:54:43", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("707", "3", "2019-12-23 17:01:50", "2019-12-23 17:01:50", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n						<article id=\"post-684\">\n												<h2>\n													<a href=\"https://c97021x1.entnet8.com/2019/12/23/martha-meyer/\" title=\"Martha Meyer\">Martha Meyer</a>\n												</h2>\n													Martha Meyer RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job&hellip;												\n										<!-- .oew-grid-details -->\n						</article>\n			<!-- .oew-blog-grid -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:01:50", "2019-12-23 17:01:50", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("708", "3", "2019-12-23 17:02:44", "2019-12-23 17:02:44", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:02:44", "2019-12-23 17:02:44", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("725", "3", "2019-12-23 17:39:34", "2019-12-23 17:39:34", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:39:34", "2019-12-23 17:39:34", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("727", "3", "2019-12-23 17:40:17", "2019-12-23 17:40:17", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .elementor-post__excerpt:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 17:40:17", "2019-12-23 17:40:17", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("729", "3", "2019-12-23 17:40:31", "2019-12-23 17:40:31", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 17:40:31", "2019-12-23 17:40:31", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("730", "3", "2019-12-23 17:42:14", "2019-12-23 17:42:14", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:42:14", "2019-12-23 17:42:14", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("731", "3", "2019-12-23 17:42:56", "2019-12-23 17:42:56", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:42:56", "2019-12-23 17:42:56", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("732", "3", "2019-12-23 17:43:08", "2019-12-23 17:43:08", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:43:08", "2019-12-23 17:43:08", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("733", "3", "2019-12-23 17:44:17", "2019-12-23 17:44:17", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 17:44:17", "2019-12-23 17:44:17", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("788", "3", "2019-12-23 20:57:09", "2019-12-23 20:57:09", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-grid-title, .about-testimonials .oew-grid-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.float-right.elementor-section .elementor-container {\n	float: right!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n.float-left.elementor-section .elementor-container {\n	float: left!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 20:57:09", "2019-12-23 20:57:09", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("807", "3", "2019-12-23 21:07:53", "2019-12-23 21:07:53", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy with all work done.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he had our interest at heart and really wanted to do the work. His estimate was&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done in a very reasonable amount of time. When the work was finished, Ronnie was very&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck etc. Stayed in my budget as well.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 21:07:53", "2019-12-23 21:07:53", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("809", "3", "2019-12-23 21:08:36", "2019-12-23 21:08:36", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.float-right.elementor-section .elementor-container {\n	float: right!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n.float-left.elementor-section .elementor-container {\n	float: left!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:08:36", "2019-12-23 21:08:36", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("811", "3", "2019-12-23 21:09:11", "2019-12-23 21:09:11", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.float-right.elementor-section .elementor-container {\n	float: right!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n.float-left.elementor-section .elementor-container {\n	float: left!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:09:11", "2019-12-23 21:09:11", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("812", "3", "2019-12-23 21:09:15", "2019-12-23 21:09:15", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy with all work done.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he had our interest at heart and really wanted to do the work. His estimate was&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done in a very reasonable amount of time. When the work was finished, Ronnie was very&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck etc. Stayed in my budget as well.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 21:09:15", "2019-12-23 21:09:15", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("813", "3", "2019-12-23 21:09:54", "2019-12-23 21:09:54", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy with all work done.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he had our interest at heart and really wanted to do the work. His estimate was&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done in a very reasonable amount of time. When the work was finished, Ronnie was very&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck etc. Stayed in my budget as well.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 21:09:54", "2019-12-23 21:09:54", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("815", "3", "2019-12-23 21:11:02", "2019-12-23 21:11:02", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy with all work done.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he had our interest at heart and really wanted to do the work. His estimate was&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done in a very reasonable amount of time. When the work was finished, Ronnie was very&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck etc. Stayed in my budget as well.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 21:11:02", "2019-12-23 21:11:02", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("816", "3", "2019-12-23 21:11:38", "2019-12-23 21:11:38", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.float-right.elementor-section .elementor-container {\n	float: right!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n.float-left.elementor-section .elementor-container {\n	float: left!important;\n	display: block!important;\n	margin: 0!important;\n}\n\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:11:38", "2019-12-23 21:11:38", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("819", "3", "2019-12-23 21:28:51", "2019-12-23 21:28:51", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2019-12-23 21:28:51", "2019-12-23 21:28:51", "", "29", "https://c97021x1.entnet8.com/2019/12/23/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("821", "3", "2019-12-23 21:29:39", "2019-12-23 21:29:39", "<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "Original Testimonial", "", "trash", "closed", "closed", "", "original-testimonial__trashed", "", "", "2022-11-10 19:35:21", "2022-11-10 19:35:21", "", "0", "https://c97021x1.entnet8.com/?elementor_library=original-testimonial", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("822", "3", "2019-12-23 21:29:39", "2019-12-23 21:29:39", "", "Original Testimonial", "", "inherit", "closed", "closed", "", "821-revision-v1", "", "", "2019-12-23 21:29:39", "2019-12-23 21:29:39", "", "821", "https://c97021x1.entnet8.com/2019/12/23/821-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("823", "3", "2019-12-23 21:29:39", "2019-12-23 21:29:39", "<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "Original Testimonial", "", "inherit", "closed", "closed", "", "821-revision-v1", "", "", "2019-12-23 21:29:39", "2019-12-23 21:29:39", "", "821", "https://c97021x1.entnet8.com/2019/12/23/821-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("827", "3", "2019-12-23 21:32:44", "2019-12-23 21:32:44", "{\"id\":\"827\",\"field_id\":6,\"fields\":{\"0\":{\"id\":\"0\",\"type\":\"name\",\"label\":\"Name\",\"format\":\"first-last\",\"description\":\"\",\"required\":\"1\",\"size\":\"large\",\"simple_placeholder\":\"\",\"simple_default\":\"\",\"first_placeholder\":\"\",\"first_default\":\"\",\"middle_placeholder\":\"\",\"middle_default\":\"\",\"last_placeholder\":\"\",\"last_default\":\"\",\"css\":\"\"},\"3\":{\"id\":\"3\",\"type\":\"phone\",\"label\":\"Phone\",\"format\":\"smart\",\"description\":\"\",\"required\":\"1\",\"size\":\"large\",\"placeholder\":\"\",\"default_value\":\"\",\"css\":\"wpforms-one-half wpforms-first\"},\"1\":{\"id\":\"1\",\"type\":\"email\",\"label\":\"Email\",\"description\":\"\",\"required\":\"1\",\"size\":\"large\",\"placeholder\":\"\",\"confirmation_placeholder\":\"\",\"default_value\":\"\",\"css\":\"wpforms-one-half\",\"filter_type\":\"\",\"allowlist\":\"\",\"denylist\":\"\"},\"5\":{\"id\":\"5\",\"type\":\"checkbox\",\"label\":\"What service(s) are you interested in?\",\"choices\":{\"1\":{\"label\":\"Service 1\",\"value\":\"\",\"image\":\"\"},\"2\":{\"label\":\"Service 2\",\"value\":\"\",\"image\":\"\"},\"3\":{\"label\":\"Service 3\",\"value\":\"\",\"image\":\"\"}},\"description\":\"\",\"choices_images_style\":\"modern\",\"input_columns\":\"inline\",\"choice_limit\":\"\",\"css\":\"\",\"dynamic_choices\":\"\"},\"2\":{\"id\":\"2\",\"type\":\"textarea\",\"label\":\"Comment or Message\",\"description\":\"\",\"required\":\"1\",\"size\":\"medium\",\"placeholder\":\"\",\"limit_count\":\"1\",\"limit_mode\":\"characters\",\"default_value\":\"\",\"css\":\"\"}},\"settings\":{\"form_title\":\"Contact Page Form\",\"form_desc\":\"\",\"form_class\":\"\",\"submit_text\":\"Submit\",\"submit_text_processing\":\"Sending...\",\"submit_class\":\"\",\"honeypot\":\"1\",\"notification_enable\":\"1\",\"notifications\":{\"1\":{\"notification_name\":\"Default Notification\",\"email\":\"{admin_email}\",\"subject\":\"Message Sent From [COMPANY NAME] Contact Form\",\"sender_name\":\"{field_id=\\\"0\\\"}\",\"sender_address\":\"{field_id=\\\"1\\\"}\",\"replyto\":\"{field_id=\\\"1\\\"}\",\"message\":\"{all_fields}\\r\\n\\r\\nThis email was sent from a contact form on [COMPANY NAME] (COMPANY URL)\"}},\"confirmations\":{\"1\":{\"name\":\"Default Confirmation\",\"type\":\"message\",\"message\":\"<p>Thanks for contacting us! We will be in touch with you shortly.<\\/p>\",\"message_scroll\":\"1\",\"page\":\"29\",\"redirect\":\"\"}}},\"meta\":{\"template\":\"contact\"}}", "Contact Page Form", "", "publish", "closed", "closed", "", "simple-contact-form", "", "", "2020-11-03 21:17:36", "2020-11-03 21:17:36", "", "0", "https://c97021x1.entnet8.com/?post_type=wpforms&#038;p=827", "0", "wpforms", "", "0");
INSERT INTO `wpky_posts` VALUES("829", "3", "2019-12-23 21:34:28", "2019-12-23 21:34:28", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.image-bg-grow:before {\n	content: \'\';\n	display: block;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:34:28", "2019-12-23 21:34:28", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("831", "3", "2019-12-23 21:34:41", "2019-12-23 21:34:41", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.image-bg-grow:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 50%;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:34:41", "2019-12-23 21:34:41", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("833", "3", "2019-12-23 21:37:02", "2019-12-23 21:37:02", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.image-bg-grow img:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:37:02", "2019-12-23 21:37:02", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("835", "3", "2019-12-23 21:39:08", "2019-12-23 21:39:08", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.image-bg-grow .elementor-image {\n	max-width: 300px;\n	margin: 0 auto;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:39:08", "2019-12-23 21:39:08", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("837", "3", "2019-12-23 21:39:25", "2019-12-23 21:39:25", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.image-bg-grow .elementor-image {\n	max-width: 300px;\n	margin: 0 auto;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:39:25", "2019-12-23 21:39:25", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("840", "3", "2019-12-23 21:41:27", "2019-12-23 21:41:27", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.scroll-down-process-image {\n	width: 100%;\n	max-width: 250px;\n	display: block;\n	margin: 0 auto;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:41:27", "2019-12-23 21:41:27", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("844", "3", "2019-12-23 21:47:52", "2019-12-23 21:47:52", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:47:52", "2019-12-23 21:47:52", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("845", "3", "2019-12-23 21:51:38", "2019-12-23 21:51:38", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:51:38", "2019-12-23 21:51:38", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("846", "3", "2019-12-23 21:51:58", "2019-12-23 21:51:58", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:51:58", "2019-12-23 21:51:58", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("848", "3", "2019-12-23 21:53:12", "2019-12-23 21:53:12", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:53:12", "2019-12-23 21:53:12", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("849", "3", "2019-12-23 21:53:49", "2019-12-23 21:53:49", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:53:49", "2019-12-23 21:53:49", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("852", "3", "2019-12-23 21:54:43", "2019-12-23 21:54:43", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.scroll-down-process-image {\n	width: 100%;\n	max-width: 250px;\n	display: block;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:54:43", "2019-12-23 21:54:43", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("855", "3", "2019-12-23 21:55:23", "2019-12-23 21:55:23", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.scroll-down-process-image {\n	width: 100%;\n	max-width: 250px;\n	display: block;\n	margin: 0 auto;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-23 21:55:23", "2019-12-23 21:55:23", "", "90", "https://c97021x1.entnet8.com/2019/12/23/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("856", "3", "2019-12-23 21:57:04", "2019-12-23 21:57:04", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:57:04", "2019-12-23 21:57:04", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("857", "3", "2019-12-23 21:57:17", "2019-12-23 21:57:17", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-23 21:57:17", "2019-12-23 21:57:17", "", "32", "https://c97021x1.entnet8.com/2019/12/23/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("858", "3", "2019-12-24 15:50:00", "2019-12-24 15:50:00", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-24 15:50:00", "2019-12-24 15:50:00", "", "32", "https://c97021x1.entnet8.com/2019/12/24/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("872", "3", "2019-12-27 17:24:22", "2019-12-27 17:24:22", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.scroll-down-process-image {\n	width: 100%;\n	max-width: 280px;\n	display: block;\n	margin: 0 auto;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-27 17:24:22", "2019-12-27 17:24:22", "", "90", "https://c97021x1.entnet8.com/2019/12/27/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("894", "3", "2019-12-30 21:25:49", "2019-12-30 21:25:49", "<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "template", "", "trash", "closed", "closed", "", "template__trashed", "", "", "2022-11-10 19:35:21", "2022-11-10 19:35:21", "", "0", "https://c97021x1.entnet8.com/?elementor_library=template", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("895", "3", "2019-12-30 21:25:49", "2019-12-30 21:25:49", "", "template", "", "inherit", "closed", "closed", "", "894-revision-v1", "", "", "2019-12-30 21:25:49", "2019-12-30 21:25:49", "", "894", "https://c97021x1.entnet8.com/2019/12/30/894-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("896", "3", "2019-12-30 21:25:49", "2019-12-30 21:25:49", "<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "template", "", "inherit", "closed", "closed", "", "894-revision-v1", "", "", "2019-12-30 21:25:49", "2019-12-30 21:25:49", "", "894", "https://c97021x1.entnet8.com/2019/12/30/894-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("902", "3", "2019-12-31 14:27:30", "2019-12-31 14:27:30", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.scroll-down-process-image {\n	width: 100%;\n	max-width: 280px;\n	display: block;\n	margin: 0 auto;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	\n}\n\n\n\n/* BUDGET PAGE */\n\n.budget-prices .oew-price-list-item:nth-child(even) {\n	background: #ededed!important;\n}\n\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-31 14:27:30", "2019-12-31 14:27:30", "", "90", "https://c97021x1.entnet8.com/2019/12/31/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("910", "3", "2019-12-31 14:52:46", "2019-12-31 14:52:46", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:52:46", "2019-12-31 14:52:46", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("911", "3", "2019-12-31 14:54:56", "2019-12-31 14:54:56", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:54:56", "2019-12-31 14:54:56", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("912", "3", "2019-12-31 14:55:18", "2019-12-31 14:55:18", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:55:18", "2019-12-31 14:55:18", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("913", "3", "2019-12-31 14:55:42", "2019-12-31 14:55:42", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:55:42", "2019-12-31 14:55:42", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("914", "3", "2019-12-31 14:56:41", "2019-12-31 14:56:41", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:56:41", "2019-12-31 14:56:41", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("915", "3", "2019-12-31 14:57:47", "2019-12-31 14:57:47", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Comment</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:57:47", "2019-12-31 14:57:47", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("916", "3", "2019-12-31 14:58:20", "2019-12-31 14:58:20", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Moraine, OH		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			937-938-6911		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			inquiry@racooks.com		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"https://www.facebook.com/RACOOKSRENO/\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"https://www.instagram.com/racooksrenovations/\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2019-12-31 14:58:20", "2019-12-31 14:58:20", "", "32", "https://c97021x1.entnet8.com/2019/12/31/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("918", "3", "2019-12-31 14:59:12", "2019-12-31 14:59:12", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'https://c97021x1.entnet8.com/wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: left;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* OUR PROCESS PAGE */\n\n.scroll-down-process-image {\n	width: 100%;\n	max-width: 280px;\n	display: block;\n	margin: 0 auto;\n	background: rgb(0,0,0) fixed;\n	background: linear-gradient(180deg, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 50%) fixed;\n}\n\n.image-bg-grow .elementor-image:before {\n	content: \'\';\n	display: block;\n	top: 0;\n	left: 0;\n	right: 0;\n	bottom: 0;\n	position:absolute;\n	z-index: -1;\n	\n}\n\n\n\n/* BUDGET PAGE */\n\n.budget-prices .oew-price-list-item:nth-child(even) {\n	background: #ededed!important;\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2019-12-31 14:59:12", "2019-12-31 14:59:12", "", "90", "https://c97021x1.entnet8.com/2019/12/31/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("919", "3", "2020-01-03 16:28:53", "2020-01-03 16:28:53", "", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2020-01-03 16:28:53", "2020-01-03 16:28:53", "", "29", "https://test.ajdembrosky.com/2020/01/03/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("922", "3", "2020-01-03 16:33:52", "2020-01-03 16:33:52", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-jordyn/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_4\">What service are you interested in</label><ul id=\"wpforms-827-field_4\"><li><input type=\"checkbox\" id=\"wpforms-827-field_4_4\" name=\"wpforms[fields][4][]\" value=\"Kitchen Remodeling\"  ><label for=\"wpforms-827-field_4_4\">Kitchen Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_5\" name=\"wpforms[fields][4][]\" value=\"Bathroom Remodeling\"  ><label for=\"wpforms-827-field_4_5\">Bathroom Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_6\" name=\"wpforms[fields][4][]\" value=\"Basement Remodeling\"  ><label for=\"wpforms-827-field_4_6\">Basement Remodeling</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_7\" name=\"wpforms[fields][4][]\" value=\"Storm Damage\"  ><label for=\"wpforms-827-field_4_7\">Storm Damage</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_8\" name=\"wpforms[fields][4][]\" value=\"Flooring Work\"  ><label for=\"wpforms-827-field_4_8\">Flooring Work</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_4_9\" name=\"wpforms[fields][4][]\" value=\"Roofing Work\"  ><label for=\"wpforms-827-field_4_9\">Roofing Work</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-01-03 16:33:52", "2020-01-03 16:33:52", "", "32", "https://test.ajdembrosky.com/2020/01/03/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("924", "3", "2020-01-03 16:41:39", "2020-01-03 16:41:39", "", "White studio background", "Gray Background, Paper, Flooring, Backgrounds, White Background", "inherit", "open", "closed", "", "white-studio-background", "", "", "2020-01-03 16:41:39", "2020-01-03 16:41:39", "", "28", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1040250650.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wpky_posts` VALUES("925", "3", "2020-01-03 16:42:28", "2020-01-03 16:42:28", "", "(No) Thumbnail image, vector graphic", "<i class=\"far fa-search\"></i>", "inherit", "open", "closed", "", "no-thumbnail-image-vector-graphic", "", "", "2022-03-03 21:54:04", "2022-03-03 21:54:04", "", "28", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wpky_posts` VALUES("926", "3", "2020-01-03 16:44:58", "2020-01-03 16:44:58", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"./bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"./basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"./storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"./flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"./roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			We are recognized by the National Association of the Remodeling Industry (NARI) as a contractor of the year.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Our experience, combined skill set, and commitment are second to none in our field here in the greater Dayton area.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			We work with our clients to ensure that all of their needs are met in a timely and efficient manner.		        		\n						RA Cooks Renovations did an excellent job renovating my kitchen. I was able to choose exactly what I wanted and I just love the results. I know have a kitchen that I am proud of thanks to Ronnie and his crew. The price was right and the job was done before I knew it. Ronnie and I will be setting up arrangements for my bathroom next. Great job Ronnie!					\n								<cite>Martha Meyer</cite>			\n						This is a shop that deserves high marks for their attention to detail and diligence. We recently used them to remodel much of our bathroom. This included work on the bathroom vents, floors, and most significantly--replacing a bath shower combo with a tile shower that has a bench. They did a beautiful job on the shower tiling. They were concerned about our happiness every step of the way and considerate about our family\'s needs as far as scheduling.					\n								<cite>Renise Marsh</cite>			\n						RA Cooks Renovations made a vision I had into a reality when they constructed my master spa shower! All involved were very professional and completed the project with minimal inconvenience to me. I am extremely happy with the final product!					\n								<cite>Nancy Riley</cite>			\n							Previous\n							Next\n										<img width=\"500\" height=\"500\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-6.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-6.jpg 500w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-6-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-6-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-4.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-4.jpg 500w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-4-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-4-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n										<img width=\"500\" height=\"500\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-3.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-3.jpg 500w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-3-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/accent-image-3-150x150.jpg 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" />											\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n			<h2>Our experience, combined skill set and commitment are second to none in our field here in the greater Dayton area. </h2>		\n		When you are looking to start a construction or remodeling project of significant size, you don’t have to settle for a company that will leave your job site without delivering what you wanted to be completed. We have been recognized by the National Association of the Remodeling Industry (NARI) as a 2019 Contractor of the Year.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-01-03 16:44:58", "2020-01-03 16:44:58", "", "28", "https://test.ajdembrosky.com/2020/01/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("928", "3", "2020-01-03 16:54:03", "2020-01-03 16:54:03", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-01-03 16:54:03", "2020-01-03 16:54:03", "", "28", "https://test.ajdembrosky.com/2020/01/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("929", "3", "2020-01-03 17:08:44", "2020-01-03 17:08:44", "", "placeholder-logo", "", "inherit", "open", "closed", "", "placeholder-logo", "", "", "2020-01-03 17:08:44", "2020-01-03 17:08:44", "", "0", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wpky_posts` VALUES("930", "3", "2020-01-03 17:08:46", "2020-01-03 17:08:46", "", "placeholder-logo-white", "", "inherit", "open", "closed", "", "placeholder-logo-white", "", "", "2020-01-03 17:08:46", "2020-01-03 17:08:46", "", "0", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-white.png", "0", "attachment", "image/png", "0");
INSERT INTO `wpky_posts` VALUES("934", "3", "2020-01-03 17:12:52", "2020-01-03 17:12:52", "<img width=\"185\" height=\"160\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/footer-house.png\" alt=\"\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/about/\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/projects/\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/process/\">					Our Process\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/budget/\">					Budget\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/contact/\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling/\">					Kitchen Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling/\">					Bathroom Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/basement-remodeling/\">					Basement Remodeling\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration/\">					Storm Damage\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/flooring/\">					Flooring Work\n											</a>\n									</li>\n								<li >\n					<a href=\"https://c97021x1.entnet8.com/roofing/\">					Roofing Work\n											</a>\n									</li>\n						</ul>\n		Want a free estimate on your basement, kitchen or bathroom remodeling project? Get in touch with our team today!		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-01-03 17:12:52", "2020-01-03 17:12:52", "", "232", "https://test.ajdembrosky.com/2020/01/03/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("935", "3", "2020-01-03 17:16:55", "2020-01-03 17:16:55", "<img width=\"185\" height=\"160\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/footer-house.png\" alt=\"\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-01-03 17:16:55", "2020-01-03 17:16:55", "", "232", "https://test.ajdembrosky.com/2020/01/03/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("938", "3", "2020-01-03 17:20:59", "2020-01-03 17:20:59", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-01-03 17:20:59", "2020-01-03 17:20:59", "", "90", "https://test.ajdembrosky.com/2020/01/03/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("940", "3", "2020-01-03 17:21:59", "2020-01-03 17:21:59", ".is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-01-03 17:21:59", "2020-01-03 17:21:59", "", "90", "https://test.ajdembrosky.com/2020/01/03/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("941", "3", "2020-01-03 17:23:23", "2020-01-03 17:23:23", "<img width=\"185\" height=\"160\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/footer-house.png\" alt=\"\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-01-03 17:23:23", "2020-01-03 17:23:23", "", "232", "https://test.ajdembrosky.com/2020/01/03/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("942", "3", "2020-01-03 17:24:38", "2020-01-03 17:24:38", "", "placeholder-mark", "", "inherit", "open", "closed", "", "placeholder-mark", "", "", "2020-01-03 17:24:38", "2020-01-03 17:24:38", "", "232", "https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png", "0", "attachment", "image/png", "0");
INSERT INTO `wpky_posts` VALUES("943", "3", "2020-01-03 17:24:46", "2020-01-03 17:24:46", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a href=\"\" target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"https://c97021x1.entnet8.com/contact/\" role=\"button\">\n						Free Consultation\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-01-03 17:24:46", "2020-01-03 17:24:46", "", "232", "https://test.ajdembrosky.com/2020/01/03/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("944", "3", "2020-01-03 17:26:30", "2020-01-03 17:26:30", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.nari.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://www.bbb.org/us/oh/dayton/profile/general-contractor/ra-cooks-renovations-0322-21974\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"https://daytonchamber.org/\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Subscribe to RA Cooks</h2>		\n		Get the latest news, downloads, specials and other exciting information when you sign up.		\n			<form id=\"wpforms-form-549\" data-formid=\"549\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-jordyn/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-549-field_2\">Name *</label><input type=\"text\" id=\"wpforms-549-field_2\" name=\"wpforms[fields][2]\" placeholder=\"Name *\" required><label for=\"wpforms-549-field_3\">Email *</label><input type=\"email\" id=\"wpforms-549-field_3\" name=\"wpforms[fields][3]\" placeholder=\"Email *\" required><label for=\"wpforms-549-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-549-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"549\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"2\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-549\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Subscribe\">Subscribe</button></form>  <!-- .wpforms-container -->", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2020-01-03 17:26:30", "2020-01-03 17:26:30", "", "517", "https://test.ajdembrosky.com/2020/01/03/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("945", "3", "2020-01-03 17:29:13", "2020-01-03 17:29:13", "<h2>Proudly Affiliated With</h2>		\n											<a data-elementor-open-lightbox=\"\" href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a data-elementor-open-lightbox=\"\" href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n		<ul>\n				<li>\n					<a href=\"#\">\n						Get Started\n											</a>\n				</li>\n					</ul>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2020-01-03 17:29:13", "2020-01-03 17:29:13", "", "517", "https://test.ajdembrosky.com/2020/01/03/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("946", "3", "2022-11-10 18:20:10", "2020-01-03 17:30:43", " ", "", "", "publish", "closed", "closed", "", "946", "", "", "2022-11-10 18:20:10", "2022-11-10 18:20:10", "", "0", "https://test.ajdembrosky.com/?p=946", "1", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("948", "3", "2020-01-03 17:41:10", "2020-01-03 17:41:10", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-01-03 17:41:10", "2020-01-03 17:41:10", "", "128", "https://test.ajdembrosky.com/2020/01/03/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("950", "3", "2020-01-03 17:43:37", "2020-01-03 17:43:37", "<button onclick=\"goBack()\"> Back To Projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtZDEwZDkzZiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1kMTBkOTNmIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1kMTBkOTNmIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1kMTBkOTNmIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To Projects</button></button>", "Album 2", "", "publish", "closed", "closed", "", "album-2", "", "", "2022-03-09 17:29:37", "2022-03-09 17:29:37", "", "0", "https://test.ajdembrosky.com/?post_type=ocean_portfolio&#038;p=950", "0", "ocean_portfolio", "", "0");
INSERT INTO `wpky_posts` VALUES("951", "3", "2020-01-03 17:43:45", "2020-01-03 17:43:45", "<a href=\"https://c97021x1.entnet8.com/projects\">\r\n	            			        		<h3>\r\n							 Back To Projects						</h3>\r\n        </a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3130.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3130.jpg\" alt=\"Bath Detail_Sm_DSC_3130\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3137.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3137.jpg\" alt=\"Bath Detail_Sm_DSC_3137\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3139.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3139.jpg\" alt=\"Bath Detail_Sm_DSC_3139\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3147.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3147.jpg\" alt=\"Bath Detail_Sm_DSC_3147\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3151.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath-Detail_Sm_DSC_3151.jpg\" alt=\"Bath Detail_Sm_DSC_3151\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath1_Sm_DSC_3091.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath1_Sm_DSC_3091.jpg\" alt=\"Bath1_Sm_DSC_3091\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath5_Sm_DSC_3123.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Bath5_Sm_DSC_3123.jpg\" alt=\"Bath5_Sm_DSC_3123\">\r\n											</a>\r\n					<a href=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Shower-Area_Sm_DSC_3107.jpg\" data-elementor-open-lightbox=\"no\">\r\n							<img src=\"https://c97021x1.entnet8.com/wp-content/uploads/2019/12/Shower-Area_Sm_DSC_3107.jpg\" alt=\"Shower Area_Sm_DSC_3107\">\r\n											</a>\r\n		<a href=\"https://c97021x1.entnet8.com/projects/\">\r\n	            			        		<h3>\r\n							 Back To Projects						</h3>\r\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2020-01-03 17:43:45", "2020-01-03 17:43:45", "", "950", "https://test.ajdembrosky.com/2020/01/03/950-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("964", "3", "2020-01-03 17:53:16", "2020-01-03 17:53:16", "<h2>RA Cooks Renovations is an Ohio based, General Contracting Company and we pride ourselves in offering the best service to our customers.</h2>		\n		RA Cooks Renovations is a family-owned, General Contracting Company based in Ohio. In business since 2008, RA Cooks Renovations has built a solid reputation for quality work and reliable services among homeowners and businesses throughout the Miami Valley area. As a fully-licensed and insured contractor, we provide our customers’ complete protection and  peace of mind along with a professional commitment to not only meet but exceed their overall expectations time and time again.		\n			<h2>Our Vision</h2>		\n		To Transform homes and communities by inspiring and empowering people to make their dream home a reality.		\n			<h2>Our Mission</h2>		\n		RA Cooks Renovations provides affordable, high-quality home and business renovations and improvement and remains committed to building an honest, fair and lasting working relationship with subcontractors and homeowners throughout the Miami Valley area.		\n	            			        		<h3>\n							Quality Services						</h3>\n		        			Instead of treating our clients like just another number, we believe in one-on-one personal service, getting to know our clients and working to exceed expectations with every job.		        		\n	            			        		<h3>\n							Reputation						</h3>\n		        			Our relationships set us apart, creating a reputation of excellence and reliable services we strive to exceed for homeowners and businesses in Miami Valley and beyond.		        		\n	            			        		<h3>\n							Competitive Pricing						</h3>\n		        			We realize that your budget is important, which is why we work hard to keep overhead low to make prices to you affordable and accessible.		        		\n			<h2>We are committed to providing our customers with quality service with honesty, integrity, and an assurance that each customer will be pleased with our top-notch workmanship.</h2>		\n		<p><strong>We pride ourselves in the work we do and the superior customer service we provide, so there is no need for you to settle for the rest when you can hire the best.</strong></p><p>Our years of experience, combined with our excellent skills and performance and overall commitment, is second to none in our industry. Whether you are considering a new addition or a complete renovation to transform your current house into your dream home, our team at RA Cooks Renovations is here to assist you today! We are so confident that our customers will be so pleased with the work, that we provide a 5-year warranty guarantee and a 6-month maintenance check-in to ensure satisfaction and discuss any issues.</p>		\n			<h2>Here’s what our customers are saying about our Renovations in the Dayton, Ohio area.</h2>		\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/terrance-s/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/j-hughey/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/mike-and-marilyn-stall/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/harry-m/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/bruce-a/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://c97021x1.entnet8.com/2019/12/23/kimberly-ulrich/\">Learn More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2020-01-03 17:53:16", "2020-01-03 17:53:16", "", "29", "https://test.ajdembrosky.com/2020/01/03/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("965", "3", "2020-01-03 17:57:51", "2020-01-03 17:57:51", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h2>Lorem Ipsum</h2>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/terrance-s/\" title=\"Terrance S.\">Terrance S.</a>\n										</h2>\n											We had two separate work crews ,doing our new front porch and new floors , both crews were very professional and their goals were to make sure we were happy&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/terrance-s/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/j-hughey/\" title=\"J. Hughey\">J. Hughey</a>\n										</h2>\n											When Ronnie came out to give us the estimate, he was very personable and gave us other suggestions about other materials we hadn&#8217;t thought about. He acted as if he&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/j-hughey/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/mike-and-marilyn-stall/\" title=\"Mike and Marilyn Stall\">Mike and Marilyn Stall</a>\n										</h2>\n											We went through Lowe&#8217;s and they recommend them. They did a fantastic job. They were punctual and focused on detail. They made it fantastic.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/mike-and-marilyn-stall/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/harry-m/\" title=\"Harry M.\">Harry M.</a>\n										</h2>\n											I think their leader on the job, Don, is fantastic! He keeps the whole project going.										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/harry-m/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/bruce-a/\" title=\"Bruce A.\">Bruce A.</a>\n										</h2>\n											RA Cooks put a glass tile backsplash up in our kitchen in the fall. Ronnie was very attentive to our requests and easy to work with. The work was done&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/bruce-a/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/kimberly-ulrich/\" title=\"Kimberly Ulrich\">Kimberly Ulrich</a>\n										</h2>\n											Ronnie and his team did a great job renovating my condo. His associates were very professional. I would definitely recommend this company to anyone needing a new kitchen, flooring, deck&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/kimberly-ulrich/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2020-01-03 17:57:51", "2020-01-03 17:57:51", "", "29", "https://test.ajdembrosky.com/2020/01/03/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("969", "3", "2020-01-03 18:49:22", "2020-01-03 18:49:22", "", "(No) Thumbnail image, vector graphic", "<i class=\"far fa-search\"></i>", "inherit", "open", "closed", "", "no-thumbnail-image-vector-graphic-2", "", "", "2022-03-03 21:54:04", "2022-03-03 21:54:04", "", "0", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wpky_posts` VALUES("970", "3", "2020-01-03 18:49:23", "2020-01-03 18:49:23", "", "(No) Thumbnail image, vector graphic", "<i class=\"far fa-search\"></i>", "inherit", "open", "closed", "", "no-thumbnail-image-vector-graphic-3", "", "", "2022-03-03 21:54:05", "2022-03-03 21:54:05", "", "0", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wpky_posts` VALUES("971", "3", "2020-01-03 18:49:25", "2020-01-03 18:49:25", "", "(No) Thumbnail image, vector graphic", "<i class=\"far fa-search\"></i>", "inherit", "open", "closed", "", "no-thumbnail-image-vector-graphic-4", "", "", "2022-03-03 21:54:06", "2022-03-03 21:54:06", "", "0", "https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wpky_posts` VALUES("972", "3", "2020-01-03 18:49:40", "2020-01-03 18:49:40", "<a href=\"https://c97021x1.entnet8.com/projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"https://c97021x1.entnet8.com/projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2020-01-03 18:49:40", "2020-01-03 18:49:40", "", "950", "https://test.ajdembrosky.com/2020/01/03/950-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("973", "3", "2020-01-03 18:50:15", "2020-01-03 18:50:15", "<a href=\"https://c97021x1.entnet8.com/projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"https://c97021x1.entnet8.com/projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2020-01-03 18:50:15", "2020-01-03 18:50:15", "", "950", "https://test.ajdembrosky.com/2020/01/03/950-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("978", "3", "2020-01-03 18:52:29", "2020-01-03 18:52:29", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2020-01-03 18:52:29", "2020-01-03 18:52:29", "", "950", "https://test.ajdembrosky.com/2020/01/03/950-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("979", "3", "2020-01-03 18:53:01", "2020-01-03 18:53:01", "<button onclick=\"goBack()\"> Back To Projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjY3NzI0YSJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNjc3MjRhIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNjc3MjRhIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNjc3MjRhIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To Projects</button></button>", "Album 3", "", "publish", "closed", "closed", "", "album-3", "", "", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "", "0", "https://test.ajdembrosky.com/?post_type=ocean_portfolio&#038;p=979", "0", "ocean_portfolio", "", "0");
INSERT INTO `wpky_posts` VALUES("980", "3", "2020-01-03 18:53:08", "2020-01-03 18:53:08", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 3", "", "inherit", "closed", "closed", "", "979-revision-v1", "", "", "2020-01-03 18:53:08", "2020-01-03 18:53:08", "", "979", "https://test.ajdembrosky.com/2020/01/03/979-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("981", "3", "2020-01-03 18:53:14", "2020-01-03 18:53:14", "<button onclick=\"goBack()\"> Back To Projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To Projects</button></button>", "Album 1", "", "publish", "closed", "closed", "", "album-1", "", "", "2022-03-03 21:58:33", "2022-03-03 21:58:33", "", "0", "https://test.ajdembrosky.com/?post_type=ocean_portfolio&#038;p=981", "0", "ocean_portfolio", "", "0");
INSERT INTO `wpky_posts` VALUES("982", "3", "2020-01-03 18:53:20", "2020-01-03 18:53:20", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2020-01-03 18:53:20", "2020-01-03 18:53:20", "", "981", "https://test.ajdembrosky.com/2020/01/03/981-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("988", "0", "2020-05-01 16:06:09", "2020-05-01 16:06:09", "", "Default Kit", "", "publish", "closed", "closed", "", "default-kit", "", "", "2022-11-10 17:27:56", "2022-11-10 17:27:56", "", "0", "https://test.ajdembrosky.com/?elementor_library=default-kit", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("991", "3", "2020-05-01 18:11:41", "2020-05-01 18:11:41", "a:7:{s:8:\"location\";a:4:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:9:\"post_type\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:4:\"post\";}}i:1;a:1:{i:0;a:3:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:7:\"default\";}}i:2;a:1:{i:0;a:3:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:16:\"elementor_canvas\";}}i:3;a:1:{i:0;a:3:{s:5:\"param\";s:13:\"page_template\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:23:\"elementor_header_footer\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}", "Theme Colors", "theme-colors", "publish", "closed", "closed", "", "group_5eac558ad6a67", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "0", "https://test.ajdembrosky.com/?post_type=acf-field-group&#038;p=991", "0", "acf-field-group", "", "0");
INSERT INTO `wpky_posts` VALUES("992", "3", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#999999\";}", "Main Color", "main_color", "publish", "closed", "closed", "", "field_5eac673850e2b", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "991", "https://test.ajdembrosky.com/?post_type=acf-field&p=992", "0", "acf-field", "", "0");
INSERT INTO `wpky_posts` VALUES("993", "3", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:34:\"Darker/Lighter Shade of Main Color\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#333333\";}", "Main Color - Darker", "main_color_darker", "publish", "closed", "closed", "", "field_5eac676350e2c", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "991", "https://test.ajdembrosky.com/?post_type=acf-field&p=993", "1", "acf-field", "", "0");
INSERT INTO `wpky_posts` VALUES("994", "3", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#555555\";}", "Accent Color", "accent_color", "publish", "closed", "closed", "", "field_5eac679650e2d", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "991", "https://test.ajdembrosky.com/?post_type=acf-field&p=994", "2", "acf-field", "", "0");
INSERT INTO `wpky_posts` VALUES("995", "3", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:36:\"Darker/Lighter Shade of Accent Color\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#000000\";}", "Accent Color - Darker", "accent_color_-_darker", "publish", "closed", "closed", "", "field_5eac67ac50e2e", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "991", "https://test.ajdembrosky.com/?post_type=acf-field&p=995", "3", "acf-field", "", "0");
INSERT INTO `wpky_posts` VALUES("996", "3", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#5e5e5e\";}", "Text Gray", "text_gray", "publish", "closed", "closed", "", "field_5eac67cc50e2f", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "991", "https://test.ajdembrosky.com/?post_type=acf-field&p=996", "4", "acf-field", "", "0");
INSERT INTO `wpky_posts` VALUES("997", "3", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#222222\";}", "Dark Gray", "dark_gray", "publish", "closed", "closed", "", "field_5eac67f350e30", "", "", "2020-05-01 18:19:10", "2020-05-01 18:19:10", "", "991", "https://test.ajdembrosky.com/?post_type=acf-field&p=997", "5", "acf-field", "", "0");
INSERT INTO `wpky_posts` VALUES("998", "3", "2020-05-01 19:24:30", "2020-05-01 19:24:30", "<h2>Sopisticated Style.</h2>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.\r\n<ul>\r\n 	<li><a href=\"./projects\">\r\nOur Work\r\n</a></li>\r\n 	<li><a href=\"./contact\">\r\nFree Consultation\r\n</a></li>\r\n</ul>\r\n<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" sizes=\"(max-width: 1732px) 100vw, 1732px\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" alt=\"\" width=\"1732\" height=\"1732\" />\r\n<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" sizes=\"(max-width: 1732px) 100vw, 1732px\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" alt=\"\" width=\"1732\" height=\"1732\" />\r\n<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" sizes=\"(max-width: 1732px) 100vw, 1732px\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" alt=\"\" width=\"1732\" height=\"1732\" />\r\n<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>\r\n<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>\r\nMaecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.\r\n<h3>Service\r\nOne</h3>\r\n&nbsp;\r\n<h3>Service\r\nTwo</h3>\r\n&nbsp;\r\n<h3>Service\r\nThree</h3>\r\n&nbsp;\r\n<h3>Service\r\nFour</h3>\r\n&nbsp;\r\n<h3>Award-Winning</h3>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\r\n<h3>Experienced Professionals</h3>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\r\n<h3>Satisfied Clients</h3>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.\r\nMaecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\r\n<cite>Reviewer One</cite>\r\nMaecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\r\n<cite>Reviewer Two</cite>\r\nMaecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.\r\n<cite>Reviewer Three</cite>\r\nPrevious\r\nNext\r\n<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" sizes=\"(max-width: 1732px) 100vw, 1732px\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" alt=\"\" width=\"1732\" height=\"1732\" />\r\n<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" sizes=\"(max-width: 1732px) 100vw, 1732px\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" alt=\"\" width=\"1732\" height=\"1732\" />\r\n<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" sizes=\"(max-width: 1732px) 100vw, 1732px\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" alt=\"\" width=\"1732\" height=\"1732\" />\r\n<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>\r\n<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>\r\nCurabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.\r\n<ul>\r\n 	<li><a href=\"./about\">\r\nLearn More\r\n</a></li>\r\n</ul>\r\n<h3>Award\r\nWinning</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:24:30", "2020-05-01 19:24:30", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1000", "3", "2020-05-01 19:28:07", "2020-05-01 19:28:07", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:28:07", "2020-05-01 19:28:07", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1002", "3", "2020-05-01 19:31:06", "2020-05-01 19:31:06", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n	border-bottom: 3px solid #00000066 !important;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: #fff!important;\n	color: #333!important;\n}\n.btn-white-btn:hover {\n	background: #ededed!important;\n}\n\n\n\n\n\n\n.is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 19:31:06", "2020-05-01 19:31:06", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1003", "3", "2020-05-01 19:34:04", "2020-05-01 19:34:04", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:34:04", "2020-05-01 19:34:04", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1004", "3", "2020-05-01 19:37:56", "2020-05-01 19:37:56", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:37:56", "2020-05-01 19:37:56", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1006", "3", "2020-05-01 19:40:47", "2020-05-01 19:40:47", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n}\n\n\n\n\n\n\n.is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 19:40:47", "2020-05-01 19:40:47", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1007", "3", "2020-05-01 19:40:53", "2020-05-01 19:40:53", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n		<ul>\n				<li>\n					<a href=\"./projects\">\n						Our Work\n											</a>\n				</li>\n				<li>\n					<a href=\"./contact\">\n						Free Consultation\n											</a>\n				</li>\n					</ul>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:40:53", "2020-05-01 19:40:53", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1009", "3", "2020-05-01 19:42:11", "2020-05-01 19:42:11", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n.is-sticky #site-header, .is-sticky #top-bar-wrap, .is-sticky .header-top {\n    opacity: 1;\n}\n\n#site-header {\n	margin-top: -1px !important;\n}\n\n.opl-login-li, .sidr-class-opl-logout-link, .sidr-class-opl-login-li {\n	display: none!important;\n}\n\n.topbar-content i {\n	width: 20px;\n	height: 20px;\n	text-align: center;\n	line-height: 19px;\n	display: inline-block;\n	margin-left: 10px;\n	margin-right: 3px;\n	font-size: 10px;\n  	transition: .4s;\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n.m-only {\n  display: none;\n}\n\n@media only screen and (max-width: 768px) {\n	.m-only {\n      display: inline-block;\n  }\n  .d-only {\n    display: none;\n  }\n}\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 19:42:11", "2020-05-01 19:42:11", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1010", "3", "2020-05-01 19:42:28", "2020-05-01 19:42:28", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n		<ul>\n				<li>\n					<a href=\"./about\">\n						Learn More\n											</a>\n				</li>\n					</ul>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:42:28", "2020-05-01 19:42:28", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1011", "3", "2020-05-01 19:45:36", "2020-05-01 19:45:36", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:45:36", "2020-05-01 19:45:36", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1012", "3", "2020-05-01 19:46:44", "2020-05-01 19:46:44", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:46:44", "2020-05-01 19:46:44", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1013", "3", "2020-05-01 19:47:17", "2020-05-01 19:47:17", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-05-01 19:47:17", "2020-05-01 19:47:17", "", "28", "https://test.ajdembrosky.com/2020/05/01/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1015", "3", "2020-05-01 19:51:17", "2020-05-01 19:51:17", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n/* MENU STYLES */\n\n#site-header.center-header #site-navigation-wrap .right-menu {\n	margin-left: 15px !important;\n}\n\n#site-header.center-header #site-navigation-wrap .left-menu {\n	margin-right: 15px !important;\n}\n\n\n.mobile-menu .fa-bars {\n	font-size: 26px;\n	vertical-align: middle;\n}\n\n@media only screen and (max-width: 1105px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n	\n}\n\n\n@media only screen and (max-width: 600px) {\n	\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n	\n}\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* SIDE PANEL */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	#side-panel-wrap a.side-panel-btn {\n		display: block!important;\n	}\n	.side-panel-btn {\n		position: fixed;\n		top: calc(50vh - 25px);\n		height: 50px!important;\n		width: 50px;\n		background-color: #fff;\n		margin-right: 0;\n		line-height: 53px!important;\n		padding: 0!important;\n		text-align: center;\n		border-radius: 5px 0 0 5px;\n		transition: right .33s ease-in-out;\n		right: 0;\n	}\n\n	.side-panel-btn .side-panel-icon {\n		font-size: 20px!important;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n		transition: right .33s ease-in-out;\n	}\n}\n\n.white-on-hover .elementor-icon-box-icon svg .cls-1, .white-on-hover .elementor-icon-box-title a {\n    transition: .3s;\n}\n\n.white-on-hover:hover .elementor-icon-box-icon svg .cls-1 {\n    fill: #fff!important;\n}\n\n.white-on-hover:hover .elementor-icon-box-title a {\n    color: #fff!important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 19:51:17", "2020-05-01 19:51:17", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1017", "3", "2020-05-01 19:59:00", "2020-05-01 19:59:00", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 19:59:00", "2020-05-01 19:59:00", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1019", "3", "2020-05-01 20:00:31", "2020-05-01 20:00:31", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n\n.image-border:after {\n    content:\'\';\n    display: block;\n    left: -10px;\n    right: 100px;\n    top: -10px;\n    bottom: -10px;\n    background: #1b538c;\n    position: absolute;\n    z-index: -1;\n}\n\n.image-border.shorten-border:after {\n    right: 350px;\n}\n\n@media only screen and (max-width: 768px) {\n	\n	.image-border.shorten-border:after {\n		display: none!important;\n	}\n	\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:00:31", "2020-05-01 20:00:31", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1021", "3", "2020-05-01 20:02:40", "2020-05-01 20:02:40", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #1b538c;\n}\n\n\n\n\n/* SERVICES SECTION */\n.white-on-hover .oew-icon-text, .white-on-hover .oew-info-box-icon, .white-on-hover .oew-info-box-title {\n    transition: .3s;\n}\n\n.white-on-hover:hover .oew-icon-text, .white-on-hover:hover .oew-info-box-icon, .white-on-hover:hover .oew-info-box-title {\n    color: #fff!important;\n}\n\n\n\n@media only screen and (max-width: 960px) {\n	\n	.remove-maxwidth .elementor-container {\nmax-width: 100%!important;\n}\n	\n}\n\n\n\n\n\n\n\n\n/* TESTIMONIAL */\n\n.testimonial-slider .elementor-swiper-button {\n    position: absolute;\n    top: calc(100% + 15px);\n    transition: .4s;\n    opacity: .8;\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    left: calc(50% + 25px);\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n    left: calc(50% + 30px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    left: calc(50% - 70px)!important;\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n        background-size: contain;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n    left: calc(50% - 75px)!important;\n}\n\n.testimonial-slider .elementor-swiper-button i:before {\n    content: \'\';\n    display: block;\n    height: 9px;\n    width: 40px;\n  \n}\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:02:40", "2020-05-01 20:02:40", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1023", "3", "2020-05-01 20:03:58", "2020-05-01 20:03:58", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #1b538c;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:03:58", "2020-05-01 20:03:58", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1025", "3", "2020-05-01 20:05:05", "2020-05-01 20:05:05", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #1b538c;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n/* CTA SECTION */\n\n.subscribe .wpforms-field-container {\n	width: calc(100% - 140px) !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 140px !important;\n	float: left !important;\n	clear: none !important;\n	text-align: right !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: calc(50% - 5px) !important;\n	margin-left: 10px !important;\n}\n\n@media only screen and (max-width: 600px) {\n    \n    .subscribe .wpforms-field-container {\n	width: 100% !important;\n	float: left !important;\n}\n\n.subscribe .wpforms-submit-container {\n	width: 100% !important;\n	float: left !important;\n	clear: both !important;\n	text-align: left !important;\n}\n\n.subscribe .wpforms-one-half {\n	width: 100% !important;\n	margin-left: 0px !important;\n}\n\n.subscribe .wpforms-submit {\n    width: 100% !important;\n}\n\n    \n}\n\n\n\n\n\n\n/* FOOTER STYLES */\n\nul.elementor-icon-list-items a span, ul.elementor-icon-list-items span {\n    transition: .3s;\n}\n\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n.page-header .container {\n	max-width: 1180px !important;\n	padding-left: 20px;\n	padding-right: 20px;\n}\n\n@media only screen and (max-width: 960px) {\n\n\n.page-header .container {\n	max-width: 90% !important;\n	padding-left: 0px;\n	padding-right: 0px;\n}\n\n}\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n/* CONTACT PAGE */\n\ninput[type=\"radio\"]:checked::before, input[type=\"checkbox\"]:checked::before {\n	font-family: \'Font Awesome 5 Pro\' !important;\n}\n\n\n#scroll-top {\n	border-radius: 0!important;\n}\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:05:05", "2020-05-01 20:05:05", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1027", "3", "2020-05-01 20:08:01", "2020-05-01 20:08:01", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #1b538c;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:08:01", "2020-05-01 20:08:01", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1028", "3", "2020-05-01 20:09:10", "2020-05-01 20:09:10", "<h2>Proudly Affiliated With</h2>		\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2020-05-01 20:09:10", "2020-05-01 20:09:10", "", "517", "https://test.ajdembrosky.com/2020/05/01/517-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1029", "3", "2020-05-01 20:09:53", "2020-05-01 20:09:53", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-05-01 20:09:53", "2020-05-01 20:09:53", "", "232", "https://test.ajdembrosky.com/2020/05/01/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1031", "3", "2020-05-01 20:10:30", "2020-05-01 20:10:30", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: none!important;\n	color: #333!important;\n	border: 2px solid #333!important;\n	padding: 20px 28px!important;\n}\n.btn-gray-btn:hover {\n	background: #333!important;\n	color: #fff!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #85CC74 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #1b538c;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n.footer-copyright {\n	font-size: 12px;\n	text-align: center;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n	.footer-copyright {\n		font-size: 12px;\n		text-align: left;\n	}\n}\n\n\n\n\n\n@media only screen and (max-width: 480px) {\n\n.elementor-widget .elementor-icon-list-icon i {\n    width: .8em !important;\n}\n\n}\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:10:30", "2020-05-01 20:10:30", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1032", "3", "2020-05-01 20:11:26", "2020-05-01 20:11:26", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-05-01 20:11:26", "2020-05-01 20:11:26", "", "232", "https://test.ajdembrosky.com/2020/05/01/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1034", "3", "2020-05-01 20:12:52", "2020-05-01 20:12:52", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: none!important;\n	color: #333!important;\n	border: 2px solid #333!important;\n	padding: 20px 28px!important;\n}\n.btn-gray-btn:hover {\n	background: #333!important;\n	color: #fff!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #333;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:12:52", "2020-05-01 20:12:52", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1036", "3", "2020-05-01 20:15:50", "2020-05-01 20:15:50", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Facebook-f\n									</a>\n							<a target=\"_blank\" rel=\"noopener noreferrer\">\n					Instagram\n									</a>\n					<ul>\n							<li >\n										Address Line 1<br>Address Line 2\n									</li>\n								<li >\n										xxx.xxx.xxxx\n									</li>\n								<li >\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li >\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li >\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li >\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li >\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-05-01 20:15:50", "2020-05-01 20:15:50", "", "232", "https://test.ajdembrosky.com/2020/05/01/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1040", "3", "2020-05-01 20:19:08", "2020-05-01 20:19:08", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n				<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-05-01 20:19:08", "2020-05-01 20:19:08", "", "128", "https://test.ajdembrosky.com/2020/05/01/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1041", "3", "2020-05-01 20:20:44", "2020-05-01 20:20:44", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-05-01 20:20:44", "2020-05-01 20:20:44", "", "128", "https://test.ajdembrosky.com/2020/05/01/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1042", "3", "2020-05-01 20:22:34", "2020-05-01 20:22:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-jordyn/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n				<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n				<svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>				</a>\n				<h3>\n					<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">Facebook</a>\n				</h3>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-05-01 20:22:34", "2020-05-01 20:22:34", "", "32", "https://test.ajdembrosky.com/2020/05/01/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1043", "3", "2020-05-01 20:23:09", "2020-05-01 20:23:09", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-jordyn/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-05-01 20:23:09", "2020-05-01 20:23:09", "", "32", "https://test.ajdembrosky.com/2020/05/01/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1044", "3", "2020-05-01 20:33:00", "2020-05-01 20:33:00", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-jordyn/wp-admin/admin-ajax.php\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-05-01 20:33:00", "2020-05-01 20:33:00", "", "32", "https://test.ajdembrosky.com/2020/05/01/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1045", "3", "2020-05-01 20:33:56", "2020-05-01 20:33:56", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h2>Lorem Ipsum</h2>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2020-05-01 20:33:56", "2020-05-01 20:33:56", "", "29", "https://test.ajdembrosky.com/2020/05/01/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1046", "3", "2020-05-01 20:34:11", "2020-05-01 20:34:11", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2020-05-01 20:34:11", "2020-05-01 20:34:11", "", "53", "https://test.ajdembrosky.com/2020/05/01/53-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1048", "3", "2020-05-01 20:34:25", "2020-05-01 20:34:25", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: none!important;\n	color: #333!important;\n	border: 2px solid #333!important;\n	padding: 20px 28px!important;\n}\n.btn-gray-btn:hover {\n	background: #333!important;\n	color: #fff!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* MEGA MENU */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #333;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:34:25", "2020-05-01 20:34:25", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1050", "3", "2020-05-01 20:38:35", "2020-05-01 20:38:35", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: none!important;\n	color: #333!important;\n	border: 2px solid #333!important;\n	padding: 20px 28px!important;\n}\n.btn-gray-btn:hover {\n	background: #333!important;\n	color: #fff!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #333;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-05-01 20:38:35", "2020-05-01 20:38:35", "", "90", "https://test.ajdembrosky.com/2020/05/01/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1052", "3", "2020-11-03 21:13:19", "2020-11-03 21:13:19", "", "SECTION TEMPLATE - Columns in Thirds", "", "publish", "closed", "closed", "", "columns-in-thirds", "", "", "2022-11-10 18:25:53", "2022-11-10 18:25:53", "", "0", "https://test.ajdembrosky.com/?elementor_library=columns-in-thirds", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1053", "3", "2020-11-03 21:13:19", "2020-11-03 21:13:19", "", "Columns in Thirds", "", "inherit", "closed", "closed", "", "1052-revision-v1", "", "", "2020-11-03 21:13:19", "2020-11-03 21:13:19", "", "1052", "https://test.ajdembrosky.com/2020/11/03/1052-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1054", "3", "2020-11-03 21:13:28", "2020-11-03 21:13:28", "", "SECTION TEMPLATE - Columns in Fourths", "", "publish", "closed", "closed", "", "columns-in-fourths", "", "", "2022-11-10 18:25:45", "2022-11-10 18:25:45", "", "0", "https://test.ajdembrosky.com/?elementor_library=columns-in-fourths", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1055", "3", "2020-11-03 21:13:28", "2020-11-03 21:13:28", "", "Columns in Fourths", "", "inherit", "closed", "closed", "", "1054-revision-v1", "", "", "2020-11-03 21:13:28", "2020-11-03 21:13:28", "", "1054", "https://test.ajdembrosky.com/2020/11/03/1054-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1056", "3", "2020-11-03 21:13:35", "2020-11-03 21:13:35", "", "SECTION TEMPLATE - Columns in Fifths", "", "publish", "closed", "closed", "", "columns-in-fifths", "", "", "2022-11-10 18:25:36", "2022-11-10 18:25:36", "", "0", "https://test.ajdembrosky.com/?elementor_library=columns-in-fifths", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1057", "3", "2020-11-03 21:13:35", "2020-11-03 21:13:35", "", "Columns in Fifths", "", "inherit", "closed", "closed", "", "1056-revision-v1", "", "", "2020-11-03 21:13:35", "2020-11-03 21:13:35", "", "1056", "https://test.ajdembrosky.com/2020/11/03/1056-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1058", "3", "2020-11-03 21:14:11", "2020-11-03 21:14:11", "", "SECTION TEMPLATE - Columns in Thirds &#8211; Multiple Rows", "", "publish", "closed", "closed", "", "columns-in-thirds-multiple-rows", "", "", "2022-11-10 18:25:29", "2022-11-10 18:25:29", "", "0", "https://test.ajdembrosky.com/?elementor_library=columns-in-thirds-multiple-rows", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1059", "3", "2020-11-03 21:14:11", "2020-11-03 21:14:11", "", "Columns in Thirds &#8211; Multiple Rows", "", "inherit", "closed", "closed", "", "1058-revision-v1", "", "", "2020-11-03 21:14:11", "2020-11-03 21:14:11", "", "1058", "https://test.ajdembrosky.com/2020/11/03/1058-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1060", "3", "2020-11-03 21:14:18", "2020-11-03 21:14:18", "<h2>Coming Soon!</h2>		\n		<p>This page is currently under construction. Check back later for more information, or contact us today to learn more. We appreciate your interest in our company!</p>		\n			<a href=\"./contact\" role=\"button\">\n						Contact Us\n					</a>", "Coming Soon Template", "", "publish", "closed", "closed", "", "coming-soon-template", "", "", "2022-03-09 17:51:38", "2022-03-09 17:51:38", "", "0", "https://test.ajdembrosky.com/?elementor_library=coming-soon-template", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1061", "3", "2020-11-03 21:14:18", "2020-11-03 21:14:18", "<h2>Coming Soon!</h2>		\n		<p>This page is currently under construction. Check back later for more information, or contact us today to learn more. We appreciate your interest in our company!</p>		\n			<a href=\"#\" role=\"button\">\n						Contact Us\n					</a>", "Coming Soon Template", "", "inherit", "closed", "closed", "", "1060-revision-v1", "", "", "2020-11-03 21:14:18", "2020-11-03 21:14:18", "", "1060", "https://test.ajdembrosky.com/2020/11/03/1060-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1062", "3", "2020-11-03 21:23:45", "2020-11-03 21:23:45", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2020-11-03 21:23:45", "2020-11-03 21:23:45", "", "988", "https://test.ajdembrosky.com/2020/11/03/988-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1063", "3", "2020-11-03 21:23:45", "2020-11-03 21:23:45", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2020-11-03 21:23:45", "2020-11-03 21:23:45", "", "988", "https://test.ajdembrosky.com/2020/11/03/988-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1064", "3", "2020-11-03 21:27:45", "2020-11-03 21:27:45", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-11-03 21:27:45", "2020-11-03 21:27:45", "", "28", "https://test.ajdembrosky.com/2020/11/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1065", "3", "2020-11-03 21:29:08", "2020-11-03 21:29:08", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n					<a target=\"_blank\" rel=\"noopener noreferrer\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener noreferrer\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2020-11-03 21:29:08", "2020-11-03 21:29:08", "", "232", "https://test.ajdembrosky.com/2020/11/03/232-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1066", "3", "2020-11-03 21:29:33", "2020-11-03 21:29:33", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-11-03 21:29:33", "2020-11-03 21:29:33", "", "28", "https://test.ajdembrosky.com/2020/11/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1067", "3", "2020-11-03 21:29:59", "2020-11-03 21:29:59", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-11-03 21:29:59", "2020-11-03 21:29:59", "", "28", "https://test.ajdembrosky.com/2020/11/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1069", "3", "2020-11-03 21:31:41", "2020-11-03 21:31:41", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW\n\n.template-hide {\n	display: none;\n}\n */\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: none!important;\n	color: #333!important;\n	border: 2px solid #333!important;\n	padding: 20px 28px!important;\n}\n.btn-gray-btn:hover {\n	background: #333!important;\n	color: #fff!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #333;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-11-03 21:31:41", "2020-11-03 21:31:41", "", "90", "https://test.ajdembrosky.com/2020/11/03/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1070", "3", "2020-11-03 21:33:00", "2020-11-03 21:33:00", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h2>Lorem Ipsum</h2>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2020-11-03 21:33:00", "2020-11-03 21:33:00", "", "29", "https://test.ajdembrosky.com/2020/11/03/29-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1071", "3", "2020-11-03 21:34:24", "2020-11-03 21:34:24", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2020-11-03 21:34:24", "2020-11-03 21:34:24", "", "981", "https://test.ajdembrosky.com/2020/11/03/981-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1072", "3", "2020-11-03 21:35:14", "2020-11-03 21:35:14", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 3", "", "inherit", "closed", "closed", "", "979-revision-v1", "", "", "2020-11-03 21:35:14", "2020-11-03 21:35:14", "", "979", "https://test.ajdembrosky.com/2020/11/03/979-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1073", "3", "2020-11-03 21:36:36", "2020-11-03 21:36:36", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2020-11-03 21:36:36", "2020-11-03 21:36:36", "", "950", "https://test.ajdembrosky.com/2020/11/03/950-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1074", "3", "2020-11-03 21:38:21", "2020-11-03 21:38:21", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-melissa/wp-admin/admin-ajax.php\" data-token=\"44bb11fc2817de615fb116b85acd4cc7\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-11-03 21:38:21", "2020-11-03 21:38:21", "", "32", "https://test.ajdembrosky.com/2020/11/03/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1075", "3", "2020-11-03 21:39:01", "2020-11-03 21:39:01", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-melissa/wp-admin/admin-ajax.php\" data-token=\"44bb11fc2817de615fb116b85acd4cc7\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-11-03 21:39:01", "2020-11-03 21:39:01", "", "32", "https://test.ajdembrosky.com/2020/11/03/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1076", "3", "2020-11-03 21:40:10", "2020-11-03 21:40:10", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-11-03 21:40:10", "2020-11-03 21:40:10", "", "28", "https://test.ajdembrosky.com/2020/11/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1078", "3", "2020-11-03 21:42:35", "2020-11-03 21:42:35", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-11-03 21:42:35", "2020-11-03 21:42:35", "", "128", "https://test.ajdembrosky.com/2020/11/03/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1080", "3", "2020-11-03 21:45:16", "2020-11-03 21:45:16", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-11-03 21:45:16", "2020-11-03 21:45:16", "", "28", "https://test.ajdembrosky.com/2020/11/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1081", "3", "2020-11-03 21:49:42", "2020-11-03 21:49:42", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2020-11-03 21:49:42", "2020-11-03 21:49:42", "", "28", "https://test.ajdembrosky.com/2020/11/03/28-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1082", "3", "2020-11-03 21:50:21", "2020-11-03 21:50:21", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-melissa/wp-admin/admin-ajax.php\" data-token=\"44bb11fc2817de615fb116b85acd4cc7\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2020-11-03 21:50:21", "2020-11-03 21:50:21", "", "32", "https://test.ajdembrosky.com/2020/11/03/32-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1084", "3", "2020-11-03 21:50:53", "2020-11-03 21:50:53", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	text-transform: uppercase;\n	font-weight: 900;\n	letter-spacing: 1px;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: #555!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: #333!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: #000!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: none!important;\n	color: #333!important;\n	border: 2px solid #333!important;\n	padding: 20px 28px!important;\n}\n.btn-gray-btn:hover {\n	background: #333!important;\n	color: #fff!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #333;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2020-11-03 21:50:53", "2020-11-03 21:50:53", "", "90", "https://test.ajdembrosky.com/2020/11/03/90-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1086", "3", "2020-12-18 16:46:24", "2020-12-18 16:46:24", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-12-18 16:46:24", "2020-12-18 16:46:24", "", "128", "https://test.ajdembrosky.com/2020/12/18/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1087", "3", "2020-12-18 16:46:25", "2020-12-18 16:46:25", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-12-18 16:46:25", "2020-12-18 16:46:25", "", "128", "https://test.ajdembrosky.com/2020/12/18/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1088", "3", "2020-12-18 16:46:25", "2020-12-18 16:46:25", "<h2>Address Line 1</h2>		\n		<p>Address Line 2</p>		\n			<h2>Give Us A Call</h2>		\n		<p>xxx-xxx-xxxx</p>		\n			<h2>Send Us An Email</h2>		\n		<a href=\"mailto:webteam@enter.net\">webteam@enter.net</a>		\n			<h2>Business Hours</h2>		\n		<p>Mon-Fri: 8:30am-4:30pm<br />Sat-Sun: Closed</p>		\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Side Panel", "", "inherit", "closed", "closed", "", "128-revision-v1", "", "", "2020-12-18 16:46:25", "2020-12-18 16:46:25", "", "128", "https://test.ajdembrosky.com/2020/12/18/128-revision-v1/", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1091", "3", "2022-03-03 21:06:55", "2022-03-03 21:06:55", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:06:55", "2022-03-03 21:06:55", "", "988", "https://test.ajdembrosky.com/?p=1091", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1092", "3", "2022-03-03 21:07:15", "2022-03-03 21:07:15", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:07:15", "2022-03-03 21:07:15", "", "28", "https://test.ajdembrosky.com/?p=1092", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1093", "3", "2022-03-03 21:07:15", "2022-03-03 21:07:15", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n							Previous\n							Next\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n										<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />											\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:07:15", "2022-03-03 21:07:15", "", "28", "https://test.ajdembrosky.com/?p=1093", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1094", "3", "2022-03-03 21:07:16", "2022-03-03 21:07:16", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:07:16", "2022-03-03 21:07:16", "", "28", "https://test.ajdembrosky.com/?p=1094", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1095", "3", "2022-03-03 21:07:27", "2022-03-03 21:07:27", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:07:27", "2022-03-03 21:07:27", "", "988", "https://test.ajdembrosky.com/?p=1095", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1096", "3", "2022-03-03 21:08:15", "2022-03-03 21:08:15", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:08:15", "2022-03-03 21:08:15", "", "28", "https://test.ajdembrosky.com/?p=1096", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1097", "3", "2022-03-03 21:08:15", "2022-03-03 21:08:15", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:08:15", "2022-03-03 21:08:15", "", "28", "https://test.ajdembrosky.com/?p=1097", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1098", "3", "2022-03-03 21:08:15", "2022-03-03 21:08:15", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:08:15", "2022-03-03 21:08:15", "", "28", "https://test.ajdembrosky.com/?p=1098", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1099", "3", "2022-03-03 21:08:47", "2022-03-03 21:08:47", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:08:47", "2022-03-03 21:08:47", "", "988", "https://test.ajdembrosky.com/?p=1099", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1100", "3", "2022-03-03 21:09:14", "2022-03-03 21:09:14", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:09:14", "2022-03-03 21:09:14", "", "28", "https://test.ajdembrosky.com/?p=1100", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1101", "3", "2022-03-03 21:09:14", "2022-03-03 21:09:14", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:09:14", "2022-03-03 21:09:14", "", "28", "https://test.ajdembrosky.com/?p=1101", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1102", "3", "2022-03-03 21:09:15", "2022-03-03 21:09:15", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:09:15", "2022-03-03 21:09:15", "", "28", "https://test.ajdembrosky.com/?p=1102", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1103", "3", "2022-03-03 21:09:45", "2022-03-03 21:09:45", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:09:45", "2022-03-03 21:09:45", "", "988", "https://test.ajdembrosky.com/?p=1103", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1104", "3", "2022-03-03 21:09:51", "2022-03-03 21:09:51", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:09:51", "2022-03-03 21:09:51", "", "988", "https://test.ajdembrosky.com/?p=1104", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1107", "3", "2022-03-03 21:12:08", "2022-03-03 21:12:08", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: #333;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:12:08", "2022-03-03 21:12:08", "", "90", "https://test.ajdembrosky.com/?p=1107", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1108", "3", "2022-03-03 21:12:36", "2022-03-03 21:12:36", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:12:36", "2022-03-03 21:12:36", "", "988", "https://test.ajdembrosky.com/?p=1108", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1109", "3", "2022-03-03 21:13:00", "2022-03-03 21:13:00", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:13:00", "2022-03-03 21:13:00", "", "28", "https://test.ajdembrosky.com/?p=1109", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1110", "3", "2022-03-03 21:13:00", "2022-03-03 21:13:00", "<h2>Sopisticated Style.</h2>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:13:00", "2022-03-03 21:13:00", "", "28", "https://test.ajdembrosky.com/?p=1110", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1111", "3", "2022-03-03 21:13:00", "2022-03-03 21:13:00", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:13:00", "2022-03-03 21:13:00", "", "28", "https://test.ajdembrosky.com/?p=1111", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1112", "3", "2022-03-03 21:13:45", "2022-03-03 21:13:45", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:13:45", "2022-03-03 21:13:45", "", "28", "https://test.ajdembrosky.com/?p=1112", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1113", "3", "2022-03-03 21:13:45", "2022-03-03 21:13:45", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:13:45", "2022-03-03 21:13:45", "", "28", "https://test.ajdembrosky.com/?p=1113", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1114", "3", "2022-03-03 21:13:45", "2022-03-03 21:13:45", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:13:45", "2022-03-03 21:13:45", "", "28", "https://test.ajdembrosky.com/?p=1114", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1115", "3", "2022-03-03 21:15:00", "2022-03-03 21:15:00", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:15:00", "2022-03-03 21:15:00", "", "988", "https://test.ajdembrosky.com/?p=1115", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1116", "3", "2022-03-03 21:15:06", "2022-03-03 21:15:06", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:15:06", "2022-03-03 21:15:06", "", "988", "https://test.ajdembrosky.com/?p=1116", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1117", "3", "2022-03-03 21:15:33", "2022-03-03 21:15:33", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:15:33", "2022-03-03 21:15:33", "", "28", "https://test.ajdembrosky.com/?p=1117", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1118", "3", "2022-03-03 21:15:34", "2022-03-03 21:15:34", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:15:34", "2022-03-03 21:15:34", "", "28", "https://test.ajdembrosky.com/?p=1118", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1119", "3", "2022-03-03 21:15:34", "2022-03-03 21:15:34", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:15:34", "2022-03-03 21:15:34", "", "28", "https://test.ajdembrosky.com/?p=1119", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1121", "3", "2022-03-03 21:16:23", "2022-03-03 21:16:23", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n  }\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:16:23", "2022-03-03 21:16:23", "", "90", "https://test.ajdembrosky.com/?p=1121", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1122", "3", "2022-03-03 21:17:58", "2022-03-03 21:17:58", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:17:58", "2022-03-03 21:17:58", "", "28", "https://test.ajdembrosky.com/?p=1122", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1123", "3", "2022-03-03 21:17:58", "2022-03-03 21:17:58", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:17:58", "2022-03-03 21:17:58", "", "28", "https://test.ajdembrosky.com/?p=1123", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1124", "3", "2022-03-03 21:17:59", "2022-03-03 21:17:59", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:17:59", "2022-03-03 21:17:59", "", "28", "https://test.ajdembrosky.com/?p=1124", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1126", "3", "2022-03-03 21:24:43", "2022-03-03 21:24:43", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 60px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:24:43", "2022-03-03 21:24:43", "", "90", "https://test.ajdembrosky.com/?p=1126", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1128", "3", "2022-03-03 21:25:38", "2022-03-03 21:25:38", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:25:38", "2022-03-03 21:25:38", "", "90", "https://test.ajdembrosky.com/?p=1128", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1129", "3", "2022-03-03 21:27:31", "2022-03-03 21:27:31", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:27:31", "2022-03-03 21:27:31", "", "28", "https://test.ajdembrosky.com/?p=1129", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1130", "3", "2022-03-03 21:27:31", "2022-03-03 21:27:31", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo. </h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:27:31", "2022-03-03 21:27:31", "", "28", "https://test.ajdembrosky.com/?p=1130", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1131", "3", "2022-03-03 21:27:31", "2022-03-03 21:27:31", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:27:31", "2022-03-03 21:27:31", "", "28", "https://test.ajdembrosky.com/?p=1131", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1132", "3", "2022-03-03 21:29:38", "2022-03-03 21:29:38", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:29:38", "2022-03-03 21:29:38", "", "28", "https://test.ajdembrosky.com/?p=1132", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1133", "3", "2022-03-03 21:29:38", "2022-03-03 21:29:38", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:29:38", "2022-03-03 21:29:38", "", "28", "https://test.ajdembrosky.com/?p=1133", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1134", "3", "2022-03-03 21:29:39", "2022-03-03 21:29:39", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:29:39", "2022-03-03 21:29:39", "", "28", "https://test.ajdembrosky.com/?p=1134", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1135", "3", "2022-03-03 21:33:43", "2022-03-03 21:33:43", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:33:43", "2022-03-03 21:33:43", "", "28", "https://test.ajdembrosky.com/?p=1135", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1136", "3", "2022-03-03 21:33:44", "2022-03-03 21:33:44", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:33:44", "2022-03-03 21:33:44", "", "28", "https://test.ajdembrosky.com/?p=1136", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1137", "3", "2022-03-03 21:33:44", "2022-03-03 21:33:44", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:33:44", "2022-03-03 21:33:44", "", "28", "https://test.ajdembrosky.com/?p=1137", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1138", "3", "2022-03-03 21:35:11", "2022-03-03 21:35:11", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:35:11", "2022-03-03 21:35:11", "", "988", "https://test.ajdembrosky.com/?p=1138", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1139", "3", "2022-03-03 21:35:21", "2022-03-03 21:35:21", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:35:21", "2022-03-03 21:35:21", "", "988", "https://test.ajdembrosky.com/?p=1139", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1140", "3", "2022-03-03 21:36:48", "2022-03-03 21:36:48", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-03-03 21:36:48", "2022-03-03 21:36:48", "", "988", "https://test.ajdembrosky.com/?p=1140", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1141", "3", "2022-03-03 21:37:32", "2022-03-03 21:37:32", "<h2>Proudly Affiliated With</h2>		\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-03-03 21:37:32", "2022-03-03 21:37:32", "", "517", "https://test.ajdembrosky.com/?p=1141", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1142", "3", "2022-03-03 21:37:32", "2022-03-03 21:37:32", "<h2>Proudly Affiliated With</h2>		\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n											<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-03-03 21:37:32", "2022-03-03 21:37:32", "", "517", "https://test.ajdembrosky.com/?p=1142", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1143", "3", "2022-03-03 21:37:32", "2022-03-03 21:37:32", "<h2>Proudly Affiliated With</h2>		\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-03-03 21:37:32", "2022-03-03 21:37:32", "", "517", "https://test.ajdembrosky.com/?p=1143", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1144", "3", "2022-03-03 21:38:37", "2022-03-03 21:38:37", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n					<a target=\"_blank\" rel=\"noopener noreferrer\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener noreferrer\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-03-03 21:38:37", "2022-03-03 21:38:37", "", "232", "https://test.ajdembrosky.com/?p=1144", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1145", "3", "2022-03-03 21:38:37", "2022-03-03 21:38:37", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />											\n					<a target=\"_blank\" rel=\"noopener noreferrer\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener noreferrer\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n					<a href=\"mailto:webteam@enter.net\">						\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n					<a href=\"#\">					About Us\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Our Projects\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 3\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 4\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n					<a href=\"#\">					Service 1\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 2\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 3\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Service 4\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 5\n											</a>\n									</li>\n								<li>\n					<a href=\"#\">					Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply. | © Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed & hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener noreferrer\">Enter.Net</a>.", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-03-03 21:38:37", "2022-03-03 21:38:37", "", "232", "https://test.ajdembrosky.com/?p=1145", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1146", "3", "2022-03-03 21:38:37", "2022-03-03 21:38:37", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-03-03 21:38:37", "2022-03-03 21:38:37", "", "232", "https://test.ajdembrosky.com/?p=1146", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1147", "3", "2022-03-03 21:38:53", "2022-03-03 21:38:53", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-03-03 21:38:53", "2022-03-03 21:38:53", "", "232", "https://test.ajdembrosky.com/?p=1147", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1148", "3", "2022-03-03 21:38:53", "2022-03-03 21:38:53", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-03-03 21:38:53", "2022-03-03 21:38:53", "", "232", "https://test.ajdembrosky.com/?p=1148", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1149", "3", "2022-03-03 21:38:53", "2022-03-03 21:38:53", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "Footer", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-03-03 21:38:53", "2022-03-03 21:38:53", "", "232", "https://test.ajdembrosky.com/?p=1149", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1150", "3", "2022-03-03 21:39:52", "2022-03-03 21:39:52", "<h2>Proudly Affiliated With</h2>		\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-03-03 21:39:52", "2022-03-03 21:39:52", "", "517", "https://test.ajdembrosky.com/?p=1150", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1151", "3", "2022-03-03 21:39:52", "2022-03-03 21:39:52", "<h2>Proudly Affiliated With</h2>		\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-03-03 21:39:52", "2022-03-03 21:39:52", "", "517", "https://test.ajdembrosky.com/?p=1151", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1152", "3", "2022-03-03 21:39:52", "2022-03-03 21:39:52", "<h2>Proudly Affiliated With</h2>		\n													<a href=\"#\" target=\"_blank\" title=\"Affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" title=\"Affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" title=\"affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-03-03 21:39:52", "2022-03-03 21:39:52", "", "517", "https://test.ajdembrosky.com/?p=1152", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1153", "3", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "", "28", "https://test.ajdembrosky.com/?p=1153", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1154", "3", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "", "28", "https://test.ajdembrosky.com/?p=1154", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1155", "3", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "<h1>Sopisticated Style.</h1>		\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus.		\n			<a href=\"./projects\" role=\"button\">\n						Our Work\n					</a>\n			<a href=\"./projects\" role=\"button\">\n						Contact Us\n					</a>\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien. 		\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>One						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Two						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Three						</h3>\n        </a>\n		<a href=\"./services\">\n	            			        		<h3>\n							Service<br>Four						</h3>\n        </a>\n	            			        		<h2>\n							Award-Winning						</h2>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h2>\n							Experienced Professionals						</h2>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n	            			        		<h2>\n							Satisfied Clients						</h2>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.		        		\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer One</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Two</cite>			\n						Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque.					\n								<cite>Reviewer Three</cite>			\n														Previous\n														Next\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n												<img width=\"1732\" height=\"1732\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg 1732w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-300x300.jpg 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1024x1024.jpg 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-150x150.jpg 150w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-768x768.jpg 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1536x1536.jpg 1536w\" sizes=\"(max-width: 1732px) 100vw, 1732px\" />														\n			<h2>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</h2>		\n		Curabitur hendrerit lacinia purus ut tempus. Duis consequat ligula odio, a condimentum enim sodales eget. Phasellus quis risus sit amet velit dignissim auctor vitae vitae tortor. In hac habitasse platea dictumst. Morbi mattis dapibus dolor id sagittis. Nulla sit amet odio id mi hendrerit rutrum. Nullam non augue eu arcu euismod cursus. Aenean molestie nibh quis mattis tincidunt. Cras in viverra dui, sed pretium velit.		\n			<a href=\"./about\" role=\"button\">\n						Learn More\n					</a>\n	            			        		<h3>\n							Award<br>Winning						</h3>", "Home Page", "", "inherit", "closed", "closed", "", "28-revision-v1", "", "", "2022-03-03 21:41:40", "2022-03-03 21:41:40", "", "28", "https://test.ajdembrosky.com/?p=1155", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1159", "3", "2022-03-03 21:44:49", "2022-03-03 21:44:49", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:44:49", "2022-03-03 21:44:49", "", "90", "https://test.ajdembrosky.com/?p=1159", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1160", "3", "2022-03-03 21:47:28", "2022-03-03 21:47:28", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h2>Lorem Ipsum</h2>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:47:28", "2022-03-03 21:47:28", "", "29", "https://test.ajdembrosky.com/?p=1160", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1161", "3", "2022-03-03 21:47:28", "2022-03-03 21:47:28", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h2>Lorem Ipsum</h2>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n										<h2>\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n										</h2>\n											Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;										<!-- .oew-carousel-entry-excerpt -->\n											<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n										<!-- .oew-carousel-entry-excerpt -->\n								<!-- .oew-carousel-entry-details -->\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:47:28", "2022-03-03 21:47:28", "", "29", "https://test.ajdembrosky.com/?p=1161", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1162", "3", "2022-03-03 21:47:29", "2022-03-03 21:47:29", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n			<p>It seems we can&rsquo;t find what you&rsquo;re looking for.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:47:29", "2022-03-03 21:47:29", "", "29", "https://test.ajdembrosky.com/?p=1162", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1163", "3", "2022-03-03 21:47:57", "2022-03-03 21:47:57", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n			<p>It seems we can&rsquo;t find what you&rsquo;re looking for.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:47:57", "2022-03-03 21:47:57", "", "29", "https://test.ajdembrosky.com/?p=1163", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1164", "3", "2022-03-03 21:47:57", "2022-03-03 21:47:57", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n			<p>It seems we can&rsquo;t find what you&rsquo;re looking for.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:47:57", "2022-03-03 21:47:57", "", "29", "https://test.ajdembrosky.com/?p=1164", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1165", "3", "2022-03-03 21:47:57", "2022-03-03 21:47:57", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:47:57", "2022-03-03 21:47:57", "", "29", "https://test.ajdembrosky.com/?p=1165", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1166", "3", "2022-03-03 21:48:57", "2022-03-03 21:48:57", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:48:57", "2022-03-03 21:48:57", "", "29", "https://test.ajdembrosky.com/?p=1166", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1167", "3", "2022-03-03 21:48:57", "2022-03-03 21:48:57", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:48:57", "2022-03-03 21:48:57", "", "29", "https://test.ajdembrosky.com/?p=1167", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1168", "3", "2022-03-03 21:48:57", "2022-03-03 21:48:57", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-03 21:48:57", "2022-03-03 21:48:57", "", "29", "https://test.ajdembrosky.com/?p=1168", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1169", "3", "2022-03-03 21:50:01", "2022-03-03 21:50:01", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2022-03-03 21:50:01", "2022-03-03 21:50:01", "", "53", "https://test.ajdembrosky.com/?p=1169", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1170", "3", "2022-03-03 21:50:01", "2022-03-03 21:50:01", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2022-03-03 21:50:01", "2022-03-03 21:50:01", "", "53", "https://test.ajdembrosky.com/?p=1170", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1171", "3", "2022-03-03 21:50:02", "2022-03-03 21:50:02", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2022-03-03 21:50:02", "2022-03-03 21:50:02", "", "53", "https://test.ajdembrosky.com/?p=1171", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1172", "3", "2022-03-03 21:54:55", "2022-03-03 21:54:55", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:54:55", "2022-03-03 21:54:55", "", "981", "https://test.ajdembrosky.com/?p=1172", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1173", "3", "2022-03-03 21:54:55", "2022-03-03 21:54:55", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:54:55", "2022-03-03 21:54:55", "", "981", "https://test.ajdembrosky.com/?p=1173", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1174", "3", "2022-03-03 21:54:55", "2022-03-03 21:54:55", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n			<button onclick=\"goBack()\">Go Back</button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:54:55", "2022-03-03 21:54:55", "", "981", "https://test.ajdembrosky.com/?p=1174", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1176", "3", "2022-03-03 21:56:10", "2022-03-03 21:56:10", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 24px;\n	font-family: var(--e-global-color-primary);\n	font-weight: 800;\n	text-transform: uppercase;\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:56:10", "2022-03-03 21:56:10", "", "90", "https://test.ajdembrosky.com/?p=1176", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1177", "3", "2022-03-03 21:57:03", "2022-03-03 21:57:03", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n			<button onclick=\"goBack()\">Go Back</button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:57:03", "2022-03-03 21:57:03", "", "981", "https://test.ajdembrosky.com/?p=1177", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1178", "3", "2022-03-03 21:57:03", "2022-03-03 21:57:03", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n			<button onclick=\"goBack()\">Go Back</button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:57:03", "2022-03-03 21:57:03", "", "981", "https://test.ajdembrosky.com/?p=1178", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1179", "3", "2022-03-03 21:57:04", "2022-03-03 21:57:04", "<button onclick=\"goBack()\"> Back To projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To projects</button></button>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:57:04", "2022-03-03 21:57:04", "", "981", "https://test.ajdembrosky.com/?p=1179", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1181", "3", "2022-03-03 21:57:21", "2022-03-03 21:57:21", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 800;\n	text-transform: uppercase;\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:57:21", "2022-03-03 21:57:21", "", "90", "https://test.ajdembrosky.com/?p=1181", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1183", "3", "2022-03-03 21:57:53", "2022-03-03 21:57:53", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary );\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-03 21:57:53", "2022-03-03 21:57:53", "", "90", "https://test.ajdembrosky.com/?p=1183", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1184", "3", "2022-03-03 21:58:32", "2022-03-03 21:58:32", "<button onclick=\"goBack()\"> Back To projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To projects</button></button>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:58:32", "2022-03-03 21:58:32", "", "981", "https://test.ajdembrosky.com/?p=1184", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1185", "3", "2022-03-03 21:58:32", "2022-03-03 21:58:32", "<button onclick=\"goBack()\"> Back To projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To projects</button></button>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:58:32", "2022-03-03 21:58:32", "", "981", "https://test.ajdembrosky.com/?p=1185", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1186", "3", "2022-03-03 21:58:33", "2022-03-03 21:58:33", "<button onclick=\"goBack()\"> Back To Projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjQ0MDE3MiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b440172\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNDQwMTcyIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To Projects</button></button>", "Album 1", "", "inherit", "closed", "closed", "", "981-revision-v1", "", "", "2022-03-03 21:58:33", "2022-03-03 21:58:33", "", "981", "https://test.ajdembrosky.com/?p=1186", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1187", "3", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 3", "", "inherit", "closed", "closed", "", "979-revision-v1", "", "", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "", "979", "https://test.ajdembrosky.com/?p=1187", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1188", "3", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 3", "", "inherit", "closed", "closed", "", "979-revision-v1", "", "", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "", "979", "https://test.ajdembrosky.com/?p=1188", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1189", "3", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "<button onclick=\"goBack()\"> Back To Projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtYjY3NzI0YSJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNjc3MjRhIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNjc3MjRhIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-b67724a\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1iNjc3MjRhIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To Projects</button></button>", "Album 3", "", "inherit", "closed", "closed", "", "979-revision-v1", "", "", "2022-03-09 17:29:07", "2022-03-09 17:29:07", "", "979", "https://test.ajdembrosky.com/?p=1189", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1190", "3", "2022-03-09 17:29:36", "2022-03-09 17:29:36", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2022-03-09 17:29:36", "2022-03-09 17:29:36", "", "950", "https://test.ajdembrosky.com/?p=1190", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1191", "3", "2022-03-09 17:29:36", "2022-03-09 17:29:36", "<a href=\"./projects\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n					<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"no\">\n							<img src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" alt=\"(No) Thumbnail image, vector graphic\">\n											</a>\n		<a href=\"./projects/\">\n	            			        		<h3>\n							 Back To Projects						</h3>\n        </a>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2022-03-09 17:29:36", "2022-03-09 17:29:36", "", "950", "https://test.ajdembrosky.com/?p=1191", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1192", "3", "2022-03-09 17:29:37", "2022-03-09 17:29:37", "<button onclick=\"goBack()\"> Back To Projects</button></button>		\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTI1LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy5qcGciLCJzbGlkZXNob3ciOiJhbGwtZDEwZDkzZiJ9\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-1.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTY5LCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0xLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1kMTBkOTNmIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-2.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcwLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0yLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1kMTBkOTNmIn0%3D\">\n									</a>\n							<a href=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/iStock-1147544807-3.jpg\" data-elementor-open-lightbox=\"yes\" data-elementor-lightbox-slideshow=\"all-d10d93f\" e-action-hash=\"#elementor-action%3Aaction%3Dlightbox%26settings%3DeyJpZCI6OTcxLCJ1cmwiOiJodHRwczpcL1wvYzk3OTM0eDEuZW50bmV0Mi5jb21cL3dwLWNvbnRlbnRcL3VwbG9hZHNcLzIwMjBcLzAxXC9pU3RvY2stMTE0NzU0NDgwNy0zLmpwZyIsInNsaWRlc2hvdyI6ImFsbC1kMTBkOTNmIn0%3D\">\n									</a>\n			<button onclick=\"goBack()\"> Back To Projects</button></button>", "Album 2", "", "inherit", "closed", "closed", "", "950-revision-v1", "", "", "2022-03-09 17:29:37", "2022-03-09 17:29:37", "", "950", "https://test.ajdembrosky.com/?p=1192", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1194", "3", "2022-03-09 17:36:38", "2022-03-09 17:36:38", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-melissa/wp-admin/admin-ajax.php\" data-token=\"44bb11fc2817de615fb116b85acd4cc7\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:36:38", "2022-03-09 17:36:38", "", "32", "https://test.ajdembrosky.com/?p=1194", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1195", "3", "2022-03-09 17:36:38", "2022-03-09 17:36:38", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/install-template-melissa/wp-admin/admin-ajax.php\" data-token=\"44bb11fc2817de615fb116b85acd4cc7\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Phone</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\"><input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" value=\"wpforms-submit\" aria-live=\"assertive\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener noreferrer\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:36:38", "2022-03-09 17:36:38", "", "32", "https://test.ajdembrosky.com/?p=1195", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1196", "3", "2022-03-09 17:36:38", "2022-03-09 17:36:38", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:36:38", "2022-03-09 17:36:38", "", "32", "https://test.ajdembrosky.com/?p=1196", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1198", "3", "2022-03-09 17:41:39", "2022-03-09 17:41:39", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\nalign-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\nmargin-top: .4em;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-09 17:41:39", "2022-03-09 17:41:39", "", "90", "https://test.ajdembrosky.com/?p=1198", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1199", "3", "2022-03-09 17:42:52", "2022-03-09 17:42:52", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:42:52", "2022-03-09 17:42:52", "", "32", "https://test.ajdembrosky.com/?p=1199", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1200", "3", "2022-03-09 17:42:52", "2022-03-09 17:42:52", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:42:52", "2022-03-09 17:42:52", "", "32", "https://test.ajdembrosky.com/?p=1200", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1201", "3", "2022-03-09 17:42:52", "2022-03-09 17:42:52", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:42:52", "2022-03-09 17:42:52", "", "32", "https://test.ajdembrosky.com/?p=1201", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1202", "3", "2022-03-09 17:44:34", "2022-03-09 17:44:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:44:34", "2022-03-09 17:44:34", "", "32", "https://test.ajdembrosky.com/?p=1202", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1203", "3", "2022-03-09 17:44:34", "2022-03-09 17:44:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Website</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:44:34", "2022-03-09 17:44:34", "", "32", "https://test.ajdembrosky.com/?p=1203", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1204", "3", "2022-03-09 17:44:34", "2022-03-09 17:44:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-03-09 17:44:34", "2022-03-09 17:44:34", "", "32", "https://test.ajdembrosky.com/?p=1204", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1205", "3", "2022-03-09 17:45:00", "2022-03-09 17:45:00", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>", "Service #1", "", "publish", "closed", "closed", "", "service-1", "", "", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "", "0", "https://test.ajdembrosky.com/?page_id=1205", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("1206", "3", "2022-03-09 17:45:00", "2022-03-09 17:45:00", "", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:45:00", "2022-03-09 17:45:00", "", "1205", "https://test.ajdembrosky.com/?p=1206", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1207", "3", "2022-03-09 17:48:39", "2022-03-09 17:48:39", "", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:48:39", "2022-03-09 17:48:39", "", "1205", "https://test.ajdembrosky.com/?p=1207", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1208", "3", "2022-03-09 17:48:39", "2022-03-09 17:48:39", "", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:48:39", "2022-03-09 17:48:39", "", "1205", "https://test.ajdembrosky.com/?p=1208", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1209", "3", "2022-03-09 17:48:39", "2022-03-09 17:48:39", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:48:39", "2022-03-09 17:48:39", "", "1205", "https://test.ajdembrosky.com/?p=1209", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1210", "3", "2022-03-09 17:49:46", "2022-03-09 17:49:46", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:49:46", "2022-03-09 17:49:46", "", "1205", "https://test.ajdembrosky.com/?p=1210", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1211", "3", "2022-03-09 17:49:46", "2022-03-09 17:49:46", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum.", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:49:46", "2022-03-09 17:49:46", "", "1205", "https://test.ajdembrosky.com/?p=1211", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1212", "3", "2022-03-09 17:49:46", "2022-03-09 17:49:46", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:49:46", "2022-03-09 17:49:46", "", "1205", "https://test.ajdembrosky.com/?p=1212", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1213", "3", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "", "1205", "https://test.ajdembrosky.com/?p=1213", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1214", "3", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "", "1205", "https://test.ajdembrosky.com/?p=1214", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1215", "3", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>More Details</h2>		\n	            			        		<h3>\n							Detail #1						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #2						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Detail #3						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>", "Service #1", "", "inherit", "closed", "closed", "", "1205-revision-v1", "", "", "2022-03-09 17:50:18", "2022-03-09 17:50:18", "", "1205", "https://test.ajdembrosky.com/?p=1215", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1216", "3", "2022-03-09 17:50:42", "2022-03-09 17:50:42", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-09 17:50:42", "2022-03-09 17:50:42", "", "29", "https://test.ajdembrosky.com/?p=1216", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1217", "3", "2022-03-09 17:50:42", "2022-03-09 17:50:42", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-09 17:50:42", "2022-03-09 17:50:42", "", "29", "https://test.ajdembrosky.com/?p=1217", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1218", "3", "2022-03-09 17:50:42", "2022-03-09 17:50:42", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-03-09 17:50:42", "2022-03-09 17:50:42", "", "29", "https://test.ajdembrosky.com/?p=1218", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1219", "3", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "53", "https://test.ajdembrosky.com/?p=1219", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1220", "3", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "53", "https://test.ajdembrosky.com/?p=1220", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1221", "3", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "Projects", "", "inherit", "closed", "closed", "", "53-revision-v1", "", "", "2022-03-09 17:51:01", "2022-03-09 17:51:01", "", "53", "https://test.ajdembrosky.com/?p=1221", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1222", "3", "2022-03-09 17:51:38", "2022-03-09 17:51:38", "<h2>Coming Soon!</h2>		\n		<p>This page is currently under construction. Check back later for more information, or contact us today to learn more. We appreciate your interest in our company!</p>		\n			<a href=\"./contact\" role=\"button\">\n						Contact Us\n					</a>", "Coming Soon Template", "", "inherit", "closed", "closed", "", "1060-revision-v1", "", "", "2022-03-09 17:51:38", "2022-03-09 17:51:38", "", "1060", "https://test.ajdembrosky.com/?p=1222", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1224", "3", "2022-03-09 17:51:51", "2022-03-09 17:51:51", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\nalign-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\nmargin-top: .4em;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: #f8f8f8;\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid #ddd;\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-03-09 17:51:51", "2022-03-09 17:51:51", "", "90", "https://test.ajdembrosky.com/?p=1224", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1225", "3", "2022-03-09 17:57:06", "2022-03-09 17:57:06", " ", "", "", "publish", "closed", "closed", "", "1225", "", "", "2022-03-09 17:57:06", "2022-03-09 17:57:06", "", "0", "https://test.ajdembrosky.com/?p=1225", "4", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("1226", "3", "2022-03-09 18:00:07", "2022-03-09 18:00:07", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2022-03-09 18:00:07", "2022-03-09 18:00:07", "", "553", "https://test.ajdembrosky.com/?p=1226", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1227", "3", "2022-03-09 18:00:07", "2022-03-09 18:00:07", "<a href=\"https://c97021x1.entnet8.com/kitchen-remodeling\">\n	            			        		<h3>\n							Kitchen<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/bathroom-remodeling\">\n	            			        		<h3>\n							Bathroom<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/basement-remodeling\">\n	            			        		<h3>\n							Basement<br>Remodeling						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/storm-damage-restoration\">\n	            			        		<h3>\n							Storm<br>Damage						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/flooring\">\n	            			        		<h3>\n							Flooring<br>Work						</h3>\n        </a>\n		<a href=\"https://c97021x1.entnet8.com/roofing\">\n	            			        		<h3>\n							Roofing<br>Work						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2022-03-09 18:00:07", "2022-03-09 18:00:07", "", "553", "https://test.ajdembrosky.com/?p=1227", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1228", "3", "2022-03-09 18:00:07", "2022-03-09 18:00:07", "<a href=\"#\">\n	            			        		<h3>\n							Service #1						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #2						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #3						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #4						</h3>\n        </a>", "Mega Menu", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2022-03-09 18:00:07", "2022-03-09 18:00:07", "", "553", "https://test.ajdembrosky.com/?p=1228", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1229", "5", "2022-11-10 17:22:42", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2022-11-10 17:22:42", "0000-00-00 00:00:00", "", "0", "https://test.ajdembrosky.com/?p=1229", "0", "post", "", "0");
INSERT INTO `wpky_posts` VALUES("1230", "5", "2022-11-10 17:27:56", "2022-11-10 17:27:56", "", "Default Kit", "", "inherit", "closed", "closed", "", "988-revision-v1", "", "", "2022-11-10 17:27:56", "2022-11-10 17:27:56", "", "988", "https://test.ajdembrosky.com/?p=1230", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1231", "5", "2022-11-10 17:29:14", "2022-11-10 17:29:14", "", "HEAD - Google Analytics Code", "", "publish", "closed", "closed", "", "head-google-analytics-code", "", "", "2022-11-10 17:29:14", "2022-11-10 17:29:14", "", "0", "https://test.ajdembrosky.com/?post_type=oceanwp_library&#038;p=1231", "0", "oceanwp_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1232", "5", "2022-11-10 17:29:14", "2022-11-10 17:29:14", "", "HEAD - Google Analytics Code", "", "inherit", "closed", "closed", "", "1231-revision-v1", "", "", "2022-11-10 17:29:14", "2022-11-10 17:29:14", "", "1231", "https://test.ajdembrosky.com/?p=1232", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1233", "5", "2022-11-10 17:36:21", "2022-11-10 17:36:21", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n.template-hide {\\n\\tdisplay: none;\\n}\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\nalign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\nmargin-top: .4em;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\n.single-post h1.page-header-title {\\n\\tvisibility: hidden;\\n\\t\\n}\\n\\n.single-post h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n}\\n\\n.single-post.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 17:36:21\"\n    }\n}", "", "", "trash", "closed", "closed", "", "0323634f-ef12-404f-92c0-6994ef2d0bae", "", "", "2022-11-10 17:36:21", "2022-11-10 17:36:21", "", "0", "https://test.ajdembrosky.com/?p=1233", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1234", "5", "2022-11-10 17:33:13", "2022-11-10 17:33:13", "", "Columns in Fourths", "", "inherit", "closed", "closed", "", "1054-revision-v1", "", "", "2022-11-10 17:33:13", "2022-11-10 17:33:13", "", "1054", "https://test.ajdembrosky.com/?p=1234", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1235", "5", "2022-11-10 17:36:21", "2022-11-10 17:36:21", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\nalign-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\nmargin-top: .4em;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 17:36:21", "2022-11-10 17:36:21", "", "90", "https://test.ajdembrosky.com/?p=1235", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1236", "5", "2022-11-10 17:40:16", "2022-11-10 17:40:16", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n.template-hide {\\n\\tdisplay: none;\\n}\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\nalign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\nmargin-top: .4em;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\n.single-post h1.page-header-title {\\n\\tvisibility: hidden;\\n\\t\\n}\\n\\n.single-post h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n}\\n\\n.single-post.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 17:40:16\"\n    }\n}", "", "", "trash", "closed", "closed", "", "2e911f21-3a03-460c-9ac1-1e4f4c38d141", "", "", "2022-11-10 17:40:16", "2022-11-10 17:40:16", "", "0", "https://test.ajdembrosky.com/2022/11/10/2e911f21-3a03-460c-9ac1-1e4f4c38d141/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1237", "5", "2022-11-10 17:40:17", "2022-11-10 17:40:17", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\nalign-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\nmargin-top: .4em;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 17:40:17", "2022-11-10 17:40:17", "", "90", "https://test.ajdembrosky.com/?p=1237", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1238", "5", "2022-11-10 17:41:46", "2022-11-10 17:41:46", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n.template-hide {\\n\\tdisplay: none;\\n}\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\n.single-post h1.page-header-title {\\n\\tvisibility: hidden;\\n\\t\\n}\\n\\n.single-post h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n}\\n\\n.single-post.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 17:41:46\"\n    }\n}", "", "", "trash", "closed", "closed", "", "9c52fbb4-fcd6-4fca-9c15-22b85ba58f50", "", "", "2022-11-10 17:41:46", "2022-11-10 17:41:46", "", "0", "https://test.ajdembrosky.com/2022/11/10/9c52fbb4-fcd6-4fca-9c15-22b85ba58f50/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1239", "5", "2022-11-10 17:41:46", "2022-11-10 17:41:46", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n.template-hide {\n	display: none;\n}\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 17:41:46", "2022-11-10 17:41:46", "", "90", "https://test.ajdembrosky.com/?p=1239", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1240", "5", "2022-11-10 17:43:05", "2022-11-10 17:43:05", "{\n    \"oceanwp-child-theme-master::ocean_page_header_bg_title_breadcrumb_position\": {\n        \"value\": \"center\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 17:43:05\"\n    }\n}", "", "", "trash", "closed", "closed", "", "49985715-6ffa-481d-bb15-096c9a162f0b", "", "", "2022-11-10 17:43:05", "2022-11-10 17:43:05", "", "0", "https://test.ajdembrosky.com/2022/11/10/49985715-6ffa-481d-bb15-096c9a162f0b/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1241", "5", "2022-11-10 17:43:43", "2022-11-10 17:43:43", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n/*.template-hide {\\n\\tdisplay: none;\\n}*/\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\n.single-post h1.page-header-title {\\n\\tvisibility: hidden;\\n\\t\\n}\\n\\n.single-post h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n}\\n\\n.single-post.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 17:43:27\"\n    }\n}", "", "", "trash", "closed", "closed", "", "65cb25be-32a8-4679-92b5-42b85c6405f7", "", "", "2022-11-10 17:43:43", "2022-11-10 17:43:43", "", "0", "https://test.ajdembrosky.com/?p=1241", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1242", "5", "2022-11-10 17:43:43", "2022-11-10 17:43:43", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\n.single-post h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 17:43:43", "2022-11-10 17:43:43", "", "90", "https://test.ajdembrosky.com/?p=1242", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1243", "5", "2022-11-10 17:44:04", "2022-11-10 17:44:04", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 17:44:04", "2022-11-10 17:44:04", "", "29", "https://test.ajdembrosky.com/?p=1243", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1244", "5", "2022-11-10 17:44:04", "2022-11-10 17:44:04", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>		            \n                        <svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>		            \n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 17:44:04", "2022-11-10 17:44:04", "", "29", "https://test.ajdembrosky.com/?p=1244", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1245", "5", "2022-11-10 17:44:04", "2022-11-10 17:44:04", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>					\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>					\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 17:44:04", "2022-11-10 17:44:04", "", "29", "https://test.ajdembrosky.com/?p=1245", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1246", "5", "2022-11-10 17:54:59", "2022-11-10 17:54:59", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus.\r\n<a href=\"./about\">\r\n</a>", "Reviewer One", "", "publish", "closed", "closed", "", "reviewer-one", "", "", "2022-11-10 18:05:02", "2022-11-10 18:05:02", "", "0", "https://test.ajdembrosky.com/?post_type=reviews&#038;p=1246", "0", "reviews", "", "0");
INSERT INTO `wpky_posts` VALUES("1247", "5", "2022-11-10 17:54:59", "2022-11-10 17:54:59", "", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:54:59", "2022-11-10 17:54:59", "", "1246", "https://test.ajdembrosky.com/?p=1247", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1248", "5", "2022-11-10 17:57:19", "2022-11-10 17:57:19", "", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:57:19", "2022-11-10 17:57:19", "", "1246", "https://test.ajdembrosky.com/?p=1248", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1249", "5", "2022-11-10 17:57:19", "2022-11-10 17:57:19", "", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:57:19", "2022-11-10 17:57:19", "", "1246", "https://test.ajdembrosky.com/?p=1249", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1250", "5", "2022-11-10 17:57:19", "2022-11-10 17:57:19", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. 		        		\n	                        <a href=\"./about\">\n	                            	                        </a>", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:57:19", "2022-11-10 17:57:19", "", "1246", "https://test.ajdembrosky.com/?p=1250", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1251", "5", "2022-11-10 17:57:44", "2022-11-10 17:57:44", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. 		        		\n	                        <a href=\"./about\">\n	                            	                        </a>", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:57:44", "2022-11-10 17:57:44", "", "1246", "https://test.ajdembrosky.com/?p=1251", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1252", "5", "2022-11-10 17:57:44", "2022-11-10 17:57:44", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. 		        		\n	                        <a href=\"./about\">\n	                            	                        </a>", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:57:44", "2022-11-10 17:57:44", "", "1246", "https://test.ajdembrosky.com/?p=1252", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1253", "5", "2022-11-10 17:57:44", "2022-11-10 17:57:44", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus. 		        		\n	                        <a href=\"./about\">\n	                            	                        </a>", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 17:57:44", "2022-11-10 17:57:44", "", "1246", "https://test.ajdembrosky.com/?p=1253", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1254", "5", "2022-11-10 18:03:40", "2022-11-10 18:03:40", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus.\r\n<a href=\"./about\">\r\n</a>", "Reviewer One", "", "inherit", "closed", "closed", "", "1246-revision-v1", "", "", "2022-11-10 18:03:40", "2022-11-10 18:03:40", "", "1246", "https://test.ajdembrosky.com/?p=1254", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1255", "5", "2022-11-10 18:05:21", "2022-11-10 18:05:21", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus.\r\n<a href=\"./about\">\r\n</a>", "Reviewer Two", "", "publish", "closed", "closed", "", "reviewer-two", "", "", "2022-11-10 18:05:30", "2022-11-10 18:05:30", "", "0", "https://test.ajdembrosky.com/?post_type=reviews&#038;p=1255", "0", "reviews", "", "0");
INSERT INTO `wpky_posts` VALUES("1256", "5", "2022-11-10 18:05:30", "2022-11-10 18:05:30", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus.\r\n<a href=\"./about\">\r\n</a>", "Reviewer Two", "", "inherit", "closed", "closed", "", "1255-revision-v1", "", "", "2022-11-10 18:05:30", "2022-11-10 18:05:30", "", "1255", "https://test.ajdembrosky.com/?p=1256", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1257", "5", "2022-11-10 18:05:32", "2022-11-10 18:05:32", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus.\r\n<a href=\"./about\">\r\n</a>", "Reviewer Three", "", "publish", "closed", "closed", "", "reviewer-three", "", "", "2022-11-10 18:05:39", "2022-11-10 18:05:39", "", "0", "https://test.ajdembrosky.com/?post_type=reviews&#038;p=1257", "0", "reviews", "", "0");
INSERT INTO `wpky_posts` VALUES("1258", "5", "2022-11-10 18:05:39", "2022-11-10 18:05:39", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi. Nullam a luctus elit, eget rhoncus nisi. Donec viverra eros in nisi aliquet aliquam. Curabitur sit amet tortor eu nisi varius elementum a non risus.\r\n<a href=\"./about\">\r\n</a>", "Reviewer Three", "", "inherit", "closed", "closed", "", "1257-revision-v1", "", "", "2022-11-10 18:05:39", "2022-11-10 18:05:39", "", "1257", "https://test.ajdembrosky.com/?p=1258", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1259", "5", "2022-11-10 18:07:14", "2022-11-10 18:07:14", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n/*.template-hide {\\n\\tdisplay: none;\\n}*/\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\n.single-post h1.page-header-title {\\n\\tvisibility: hidden;\\n\\t\\n}\\n\\nbody.reviews-template-default h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n}\\n\\n.single-post.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:07:14\"\n    }\n}", "", "", "trash", "closed", "closed", "", "a90883fc-5f34-476a-8de8-9d2ecdc9c2e6", "", "", "2022-11-10 18:07:14", "2022-11-10 18:07:14", "", "0", "https://test.ajdembrosky.com/2022/11/10/a90883fc-5f34-476a-8de8-9d2ecdc9c2e6/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1260", "5", "2022-11-10 18:07:14", "2022-11-10 18:07:14", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\n.single-post h1.page-header-title {\n	visibility: hidden;\n	\n}\n\nbody.reviews-template-default h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\n.single-post.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 18:07:14", "2022-11-10 18:07:14", "", "90", "https://test.ajdembrosky.com/?p=1260", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1261", "5", "2022-11-10 18:07:38", "2022-11-10 18:07:38", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n/*.template-hide {\\n\\tdisplay: none;\\n}*/\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\nbody.reviews-template-default h1.page-header-title {\\n\\tvisibility: hidden;\\n\\t\\n}\\n\\nbody.reviews-template-default h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n}\\n\\nbody.reviews-template-default.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:07:38\"\n    }\n}", "", "", "trash", "closed", "closed", "", "fe6b62cd-cb5f-4617-b952-18f438438d25", "", "", "2022-11-10 18:07:38", "2022-11-10 18:07:38", "", "0", "https://test.ajdembrosky.com/2022/11/10/fe6b62cd-cb5f-4617-b952-18f438438d25/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1262", "5", "2022-11-10 18:07:38", "2022-11-10 18:07:38", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\nbody.reviews-template-default h1.page-header-title {\n	visibility: hidden;\n	\n}\n\nbody.reviews-template-default h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n}\n\nbody.reviews-template-default.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 18:07:38", "2022-11-10 18:07:38", "", "90", "https://test.ajdembrosky.com/?p=1262", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1263", "5", "2022-11-10 18:08:23", "2022-11-10 18:08:23", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>					\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>					\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 18:08:23", "2022-11-10 18:08:23", "", "29", "https://test.ajdembrosky.com/?p=1263", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1264", "5", "2022-11-10 18:08:23", "2022-11-10 18:08:23", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2020/01/03/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h2>\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\" title=\"Reviewer One\">Reviewer One</a>\n												</h2>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/2019/12/23/martha-meyer/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>					\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>					\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 18:08:23", "2022-11-10 18:08:23", "", "29", "https://test.ajdembrosky.com/?p=1264", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1265", "5", "2022-11-10 18:08:23", "2022-11-10 18:08:23", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n			<p>It seems we can&rsquo;t find what you&rsquo;re looking for.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 18:08:23", "2022-11-10 18:08:23", "", "29", "https://test.ajdembrosky.com/?p=1265", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1266", "5", "2022-11-10 18:11:27", "2022-11-10 18:11:27", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n			<p>It seems we can&rsquo;t find what you&rsquo;re looking for.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 18:11:27", "2022-11-10 18:11:27", "", "29", "https://test.ajdembrosky.com/?p=1266", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1267", "5", "2022-11-10 18:11:28", "2022-11-10 18:11:28", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n			<p>It seems we can&rsquo;t find what you&rsquo;re looking for.</p>", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 18:11:28", "2022-11-10 18:11:28", "", "29", "https://test.ajdembrosky.com/?p=1267", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1268", "5", "2022-11-10 18:11:28", "2022-11-10 18:11:28", "<h2>Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.</h2>		\n		Maecenas condimentum tempus urna, ut porta tortor sollicitudin non. Aliquam accumsan nibh eu mauris semper bibendum. Duis purus enim, pellentesque eu justo vitae, lobortis sollicitudin neque. Suspendisse sagittis tortor non venenatis consectetur. Donec mattis iaculis dolor tempus volutpat. Sed id leo a urna dignissim scelerisque. Sed eget dui id augue lobortis sollicitudin in a sapien.		\n			<h2>Lorem Ipsum</h2>		\n		Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.		\n			<h3>Lorem Ipsum</h3>		\n		<p>Curabitur ac molestie orci, id laoreet lacus. Nam elit lorem, rhoncus sit amet molestie et, semper in justo. Quisque elit orci, commodo dapibus elit vitae, suscipit iaculis justo.</p>		\n	            			        		<h3>\n							Award-Winning						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Experienced Professionals						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n	            			        		<h3>\n							Satisfied Clients						</h3>\n		        			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. 		        		\n			<h2>Morbi tincidunt venenatis sapien eu commodo. Nam suscipit porttitor accumsan. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris et justo turpis. Nullam id accumsan nisl.</h2>		\n		<p><strong>Nunc malesuada, sapien sed hendrerit rhoncus, est est accumsan ante, faucibus imperdiet libero nisi quis risus.</strong></p><p>Suspendisse vel ipsum rutrum, tincidunt neque lobortis, facilisis leo. Suspendisse dignissim egestas tellus, id tempor libero molestie facilisis. Aliquam erat volutpat. Sed molestie, nisl et interdum blandit, turpis elit pellentesque massa, ut iaculis nunc tellus eget enim. Etiam sem dolor, gravida non elementum vel, ultricies vitae felis. Aliquam posuere ipsum malesuada rutrum scelerisque. Nam posuere aliquam sodales. In ut dui eu eros consectetur finibus vehicula quis sapien.</p>		\n			<h2>What Our Clients Say</h2>		\n												<h3>\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-three/\" title=\"Reviewer Three\">Reviewer Three</a>\n												</h3>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-three/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h3>\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-two/\" title=\"Reviewer Two\">Reviewer Two</a>\n												</h3>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-two/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n												<h3>\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-one/\" title=\"Reviewer One\">Reviewer One</a>\n												</h3>\n													Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat. Cras pellentesque ornare ligula eu interdum. Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse&hellip;												<!-- .oew-carousel-entry-excerpt -->\n													<a href=\"https://test.ajdembrosky.com/reviews/reviewer-one/\">Read More</a>\n												<!-- .oew-carousel-entry-excerpt -->\n										<!-- .oew-carousel-entry-details -->\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 512.002 512.002\" xml:space=\"preserve\"><path d=\"M388.425,241.951L151.609,5.79c-7.759-7.733-20.321-7.72-28.067,0.04c-7.74,7.759-7.72,20.328,0.04,28.067l222.72,222.105L123.574,478.106c-7.759,7.74-7.779,20.301-0.04,28.061c3.883,3.89,8.97,5.835,14.057,5.835c5.074,0,10.141-1.932,14.017-5.795l236.817-236.155c3.737-3.718,5.834-8.778,5.834-14.05S392.156,245.676,388.425,241.951z\"/></svg>					\n						<svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\" viewBox=\"0 0 443.52 443.52\" xml:space=\"preserve\"><path d=\"M143.492,221.863L336.226,29.129c6.663-6.664,6.663-17.468,0-24.132c-6.665-6.662-17.468-6.662-24.132,0l-204.8,204.8c-6.662,6.664-6.662,17.468,0,24.132l204.8,204.8c6.78,6.548,17.584,6.36,24.132-0.42c6.387-6.614,6.387-17.099,0-23.712L143.492,221.863z\"/></svg>					\n			<!-- .oew-carousel -->", "About", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2022-11-10 18:11:28", "2022-11-10 18:11:28", "", "29", "https://test.ajdembrosky.com/?p=1268", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1269", "5", "2022-11-10 18:15:17", "2022-11-10 18:15:17", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n/*.template-hide {\\n\\tdisplay: none;\\n}*/\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\nbody.reviews-template-default h1.page-header-title {\\n\\tvisibility: hidden;\\n\\theight: 0;\\n\\tpadding-bottom: 1em;\\n}\\n\\nbody.reviews-template-default h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n\\twidth: 100%!important;\\n\\tdisplay: block!important;\\n\\t\\n}\\n\\nbody.reviews-template-default.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:15:17\"\n    }\n}", "", "", "trash", "closed", "closed", "", "d20f1941-2a4f-405d-9cac-4409a377da68", "", "", "2022-11-10 18:15:17", "2022-11-10 18:15:17", "", "0", "https://test.ajdembrosky.com/?p=1269", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1270", "5", "2022-11-10 18:15:17", "2022-11-10 18:15:17", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\nbody.reviews-template-default h1.page-header-title {\n	visibility: hidden;\n	height: 0;\n	padding-bottom: 1em;\n}\n\nbody.reviews-template-default h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n	width: 100%!important;\n	display: block!important;\n	\n}\n\nbody.reviews-template-default.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 18:15:17", "2022-11-10 18:15:17", "", "90", "https://test.ajdembrosky.com/?p=1270", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1271", "5", "2022-11-10 18:15:30", "2022-11-10 18:15:30", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n/*.template-hide {\\n\\tdisplay: none;\\n}*/\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\nbody.reviews-template-default h1.page-header-title {\\n\\tvisibility: hidden;\\n\\theight: 0;\\n\\tpadding-bottom: 1.2em;\\n}\\n\\nbody.reviews-template-default h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n\\twidth: 100%!important;\\n\\tdisplay: block!important;\\n\\t\\n}\\n\\nbody.reviews-template-default.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:15:30\"\n    }\n}", "", "", "trash", "closed", "closed", "", "c2a6a395-0c16-4b83-84b1-55670528b29d", "", "", "2022-11-10 18:15:30", "2022-11-10 18:15:30", "", "0", "https://test.ajdembrosky.com/2022/11/10/c2a6a395-0c16-4b83-84b1-55670528b29d/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1272", "5", "2022-11-10 18:15:30", "2022-11-10 18:15:30", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\nbody.reviews-template-default h1.page-header-title {\n	visibility: hidden;\n	height: 0;\n	padding-bottom: 1.2em;\n}\n\nbody.reviews-template-default h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n	width: 100%!important;\n	display: block!important;\n	\n}\n\nbody.reviews-template-default.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 18:15:30", "2022-11-10 18:15:30", "", "90", "https://test.ajdembrosky.com/?p=1272", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1273", "5", "2022-11-10 18:15:48", "2022-11-10 18:15:48", "{\n    \"custom_css[oceanwp-child-theme-master]\": {\n        \"value\": \"/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\\n\\n/*.template-hide {\\n\\tdisplay: none;\\n}*/\\n\\n\\n\\n.main-color {\\n\\tcolor: var(--e-global-color-primary)!important;\\n}\\n\\n.accent-color {\\n\\tcolor: var(--e-global-color-text)!important;\\n}\\n\\n.mfp-bg {\\n    z-index: 10420;\\n}\\n.mfp-wrap {\\n    z-index: 10430;\\n}\\n\\na:focus {\\noutline: none !important;\\n}\\n\\n\\n\\n\\n\\n/* --- BUTTON STYLES --- */\\n\\n/* OVERALL BUTTONS COLORS */\\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\\n\\tfont-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\\n\\tfont-size: var( --e-global-typography-accent-font-size )!important;\\n\\tfont-weight: var( --e-global-typography-accent-font-weight )!important;\\n\\ttext-transform: var( --e-global-typography-accent-text-transform )!important;\\n\\tfont-style: var( --e-global-typography-accent-font-style )!important;\\n\\ttext-decoration: var( --e-global-typography-accent-text-decoration )!important;\\n\\tline-height: var( --e-global-typography-accent-line-height )!important;\\n\\tletter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\\n\\tborder: 0;\\n}\\n\\n/* MAIN COLOR BUTTON */\\n.btn-main-color-btn {\\n\\tbackground: var( --e-global-color-primary )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-main-color-btn:hover {\\n\\tbackground: var( --e-global-color-secondary )!important;\\n}\\n\\n/* ACCENT COLOR BUTTON */\\n.btn-accent-color-btn {\\n\\tbackground: var( --e-global-color-text )!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-accent-color-btn:hover {\\n\\tbackground: var( --e-global-color-accent )!important;\\n}\\n\\n/* GRAY BUTTON */\\n.btn-gray-btn {\\n\\tbackground: #333!important;\\n\\tcolor: #fff!important;\\n}\\n.btn-gray-btn:hover {\\n\\tbackground: #000!important;\\n}\\n\\n/* WHITE BUTTON */\\n.btn-white-btn {\\n\\tbackground: none!important;\\n\\tcolor: #fff!important;\\n\\tborder: 2px solid!important;\\n\\tpadding: 20px 28px!important;\\n}\\n.btn-white-btn:hover {\\n\\tbackground: #fff!important;\\n\\tcolor: #333!important;\\n\\tborder: 2px solid #fff!important;\\n}\\n\\n\\n\\n\\n\\n\\n/* --- TOP BAR --- */\\n\\n.topbar-content i {\\n\\tborder: 1px solid #1e1e1e;\\n}\\n\\n.topbar-content a i {\\n\\tcolor: #1e1e1e;\\n}\\n\\n.topbar-content a:hover i {\\n\\tcolor: #fff;\\n\\tbackground: #1e1e1e;\\n\\t\\n}\\n\\n\\n\\n\\n\\n/* --- NAVIGATION MENU --- */\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 1105px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 80px !important;\\n\\t}\\n}\\n\\n/* CHANGE HEIGHT OF LOGO */\\n@media only screen and (max-width: 600px) {\\n\\t#site-header #site-logo #site-logo-inner a img {\\n\\t\\tmax-height: 40px !important;\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- MEGA MENU - IF USING --- */\\n\\nul.megamenu {\\n    left: 0!important;\\n    width: 100%!important;\\n    top: 0px!important;\\n\\tmargin-top: 152px;\\n    position: fixed!important;\\n\\tborder-top: 0!important;\\n\\toverflow: hidden;\\n}\\n\\n.is-sticky ul.megamenu:before {\\n\\tcontent: \'\';\\n\\tdisplay: block;\\n\\twidth: 110%;\\n\\tleft: -5%;\\n\\tbackground: #000;\\n\\tposition: absolute;\\n\\theight: 3px;\\n\\tz-index: 10000;\\n\\tfilter: blur(5px);\\n\\topacity: .5;\\n}\\n\\n\\n\\n/* --- SIDE PANEL --- */\\n\\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\\n\\tcolor: #444 !important;\\n}\\n\\n#side-panel-wrap a.close-panel:hover {\\n\\tcolor: #FFF !important;\\n}\\n\\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\\n\\tcolor: #333 !important;\\n}\\n\\n/* SIDE PANEL ON MOBILE */\\n@media only screen and (max-width: 1105px) {\\n\\t.side-panel-btn {\\n\\t\\tbackground-color: #fff;\\n\\t}\\n\\t\\n\\t.side-panel-btn.opened {\\n\\t\\tright: 300px; /* WIDTH OF SIDE PANEL */\\n\\t}\\n}\\n\\n\\n\\n\\n/* --- HOME PAGE --- */\\n.image-border:after {\\n    background: var( --e-global-color-primary )!important;\\n}\\n\\n/* TESTIMONIALS */\\n.testimonial-slider .elementor-swiper-button i:before { \\n\\tdisplay: none;\\n}\\n\\n.testimonial-slider .elementor-swiper-button  {\\t\\n\\twidth: 40px;\\n\\theight: 9px;\\n\\ttransition: .3s ease;\\n\\tposition: absolute;\\n\\tleft: calc(50% - 60px);\\n\\ttop: calc(100% + 10px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-next {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\\n\\tleft: calc(50% + 20px);\\n  }\\n\\n.testimonial-slider .elementor-swiper-button-next:hover {\\n\\ttransform: translate(10px,-5px);\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev {\\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\\n}\\n\\n.testimonial-slider .elementor-swiper-button-prev:hover {\\n\\ttransform: translate(-10px,-5px);\\n}\\n\\n\\n\\n/* RESPONSIVE */\\n\\n.group-on-mobile {\\n    display: inline-block !important;\\n}\\n\\n\\n\\n\\n/* ADA COMPLIANCY */\\n\\n.menu-link .text-wrap {\\n\\tbackground: #00000002;\\n}\\n\\n.is-sticky .menu-link .text-wrap {\\n\\tbackground: #00000000;\\n}\\n\\n.ada-scroll {\\n\\tmargin-left: -1px;\\n}\\n\\n\\n\\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\\n\\n .oew-info-box-icon {\\n        line-height: 0px!important;\\n    }\\n\\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\\n\\talign-items: stretch;\\n}\\n\\n\\n.elementor-widget .elementor-icon-list-icon i {\\n\\tmargin-top: .3em;\\n}\\n\\n\\n\\n\\n\\n\\n/* RESPONSIVE BLOG FIX */\\n\\n@media only screen and (max-width: 960px) {\\n\\tbody.single-post #content-wrap.container {\\n\\t\\tpadding-left: 10px!important;\\n\\t\\tpadding-right: 10px!important;\\n\\t}\\n\\t#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\\n\\t\\tmax-width: 90%!important;\\n\\t}\\n\\t#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\\n\\t\\tmax-width: 100%!important;\\n\\t}\\n}\\n\\n\\n\\n\\n\\n\\n\\n\\n\\n/* FOOTER STYLES */\\n#footer-widgets .elementor-button:hover {\\n\\tcolor: #111 !important;\\n}\\n\\n#footer-widgets .elementor-button:hover {\\n    color: #FFF !important;\\n}\\n\\n\\n\\n\\n\\n\\n/* SUB PAGES */\\n\\n\\n\\n\\n/* ABOUT PAGE */\\n\\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\\n\\ttext-align: left;\\n}\\n\\n.about-testimonials .oew-grid-details {\\n\\tpadding: 20px!important;\\n\\tbackground: var(--e-global-color-2f7ae31a);\\n}\\n\\n.about-testimonials .oew-carousel-entry-details {\\n\\tborder: 1px solid var(--e-global-color-943367e);\\n}\\n\\n.about-testimonials .oew-carousel .readmore-btn a {\\n\\tborder: 0!important;\\n}\\n\\n.about-testimonials .elementor-post__excerpt p:after {\\n\\tcontent: \'...\';\\n}\\n\\n\\nbody.reviews-template-default h1.page-header-title {\\n\\tvisibility: hidden;\\n\\theight: 0;\\n\\tpadding-bottom: 1.4em;\\n}\\n\\nbody.reviews-template-default h1.page-header-title:before {\\n\\tcontent: \'Testimonials\';\\n\\tvisibility: visible!important;\\n\\twidth: 100%!important;\\n\\tdisplay: block!important;\\n\\t\\n}\\n\\nbody.reviews-template-default.content-max-width .entry-content h2 {\\n\\tpadding-left: 0;\\n}\\n\\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\\n@media only screen and (max-width: 768px) {\\n\\n\\t.single-post .oew-info-box {\\n\\t\\tdisplay: block!important;\\n\\t}\\n\\n}\\n\\n\\n/* PROJECTS PAGE */\\n\\n/* GO BACK BUTTON */\\n\\n\\n.go-back-button {\\n\\tborder: 0!important;\\n\\tdisplay: block;\\n\\twidth: 100%;\\n\\tbackground: var(--e-global-color-primary);\\n\\tcolor: #fff;\\n\\tfont-size: 20px;\\n\\tfont-family: var( --e-global-typography-primary-font-family );\\n\\tfont-weight: 400;\\n\\ttext-transform: var( --e-global-typography-primary-text-transform );\\n\\tletter-spacing: 2px;\\n\\tline-height: 2;\\n\\tpadding: 20px;\\n\\ttransition: .4s;\\n}\\n\\n.go-back-button:hover {\\n\\tbackground: var(--e-global-color-secondary);\\n}\\n\\n.sidebar-box {\\n\\tmargin-bottom: 0!important;\\n}\\n\\n\\n\\n\\n\\n\",\n        \"type\": \"custom_css\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:15:48\"\n    }\n}", "", "", "trash", "closed", "closed", "", "331d86a2-d04c-4cac-a4c2-afc2e1ed2fb5", "", "", "2022-11-10 18:15:48", "2022-11-10 18:15:48", "", "0", "https://test.ajdembrosky.com/2022/11/10/331d86a2-d04c-4cac-a4c2-afc2e1ed2fb5/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1274", "5", "2022-11-10 18:15:48", "2022-11-10 18:15:48", "/* DELETE THIS FOR SUB PAGE SECTIONS TO SHOW  */\n\n/*.template-hide {\n	display: none;\n}*/\n\n\n\n.main-color {\n	color: var(--e-global-color-primary)!important;\n}\n\n.accent-color {\n	color: var(--e-global-color-text)!important;\n}\n\n.mfp-bg {\n    z-index: 10420;\n}\n.mfp-wrap {\n    z-index: 10430;\n}\n\na:focus {\noutline: none !important;\n}\n\n\n\n\n\n/* --- BUTTON STYLES --- */\n\n/* OVERALL BUTTONS COLORS */\n.btn-main-color-btn, .btn-accent-color-btn, .btn-gray-btn, .btn-white-btn {\n	font-family: var( --e-global-typography-accent-font-family ), Sans-serif!important;\n	font-size: var( --e-global-typography-accent-font-size )!important;\n	font-weight: var( --e-global-typography-accent-font-weight )!important;\n	text-transform: var( --e-global-typography-accent-text-transform )!important;\n	font-style: var( --e-global-typography-accent-font-style )!important;\n	text-decoration: var( --e-global-typography-accent-text-decoration )!important;\n	line-height: var( --e-global-typography-accent-line-height )!important;\n	letter-spacing: var( --e-global-typography-accent-letter-spacing )!important;\n	border: 0;\n}\n\n/* MAIN COLOR BUTTON */\n.btn-main-color-btn {\n	background: var( --e-global-color-primary )!important;\n	color: #fff!important;\n}\n.btn-main-color-btn:hover {\n	background: var( --e-global-color-secondary )!important;\n}\n\n/* ACCENT COLOR BUTTON */\n.btn-accent-color-btn {\n	background: var( --e-global-color-text )!important;\n	color: #fff!important;\n}\n.btn-accent-color-btn:hover {\n	background: var( --e-global-color-accent )!important;\n}\n\n/* GRAY BUTTON */\n.btn-gray-btn {\n	background: #333!important;\n	color: #fff!important;\n}\n.btn-gray-btn:hover {\n	background: #000!important;\n}\n\n/* WHITE BUTTON */\n.btn-white-btn {\n	background: none!important;\n	color: #fff!important;\n	border: 2px solid!important;\n	padding: 20px 28px!important;\n}\n.btn-white-btn:hover {\n	background: #fff!important;\n	color: #333!important;\n	border: 2px solid #fff!important;\n}\n\n\n\n\n\n\n/* --- TOP BAR --- */\n\n.topbar-content i {\n	border: 1px solid #1e1e1e;\n}\n\n.topbar-content a i {\n	color: #1e1e1e;\n}\n\n.topbar-content a:hover i {\n	color: #fff;\n	background: #1e1e1e;\n	\n}\n\n\n\n\n\n/* --- NAVIGATION MENU --- */\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 1105px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 80px !important;\n	}\n}\n\n/* CHANGE HEIGHT OF LOGO */\n@media only screen and (max-width: 600px) {\n	#site-header #site-logo #site-logo-inner a img {\n		max-height: 40px !important;\n	}\n}\n\n\n\n\n/* --- MEGA MENU - IF USING --- */\n\nul.megamenu {\n    left: 0!important;\n    width: 100%!important;\n    top: 0px!important;\n	margin-top: 152px;\n    position: fixed!important;\n	border-top: 0!important;\n	overflow: hidden;\n}\n\n.is-sticky ul.megamenu:before {\n	content: \'\';\n	display: block;\n	width: 110%;\n	left: -5%;\n	background: #000;\n	position: absolute;\n	height: 3px;\n	z-index: 10000;\n	filter: blur(5px);\n	opacity: .5;\n}\n\n\n\n/* --- SIDE PANEL --- */\n\n#side-panel-wrap a.close-panel, .oceanwp-mobile-menu-icon a.side-panel-btn {\n	color: #444 !important;\n}\n\n#side-panel-wrap a.close-panel:hover {\n	color: #FFF !important;\n}\n\n.oceanwp-mobile-menu-icon a.side-panel-btn:hover {\n	color: #333 !important;\n}\n\n/* SIDE PANEL ON MOBILE */\n@media only screen and (max-width: 1105px) {\n	.side-panel-btn {\n		background-color: #fff;\n	}\n	\n	.side-panel-btn.opened {\n		right: 300px; /* WIDTH OF SIDE PANEL */\n	}\n}\n\n\n\n\n/* --- HOME PAGE --- */\n.image-border:after {\n    background: var( --e-global-color-primary )!important;\n}\n\n/* TESTIMONIALS */\n.testimonial-slider .elementor-swiper-button i:before { \n	display: none;\n}\n\n.testimonial-slider .elementor-swiper-button  {	\n	width: 40px;\n	height: 9px;\n	transition: .3s ease;\n	position: absolute;\n	left: calc(50% - 60px);\n	top: calc(100% + 10px);\n}\n\n.testimonial-slider .elementor-swiper-button-next {\n    background: url(\'./wp-content/uploads/2019/12/arrow-right.png\') no-repeat;\n	left: calc(50% + 20px);\n  }\n\n.testimonial-slider .elementor-swiper-button-next:hover {\n	transform: translate(10px,-5px);\n}\n\n.testimonial-slider .elementor-swiper-button-prev {\n    background: url(\'./wp-content/uploads/2019/12/arrow-left.png\') no-repeat;\n}\n\n.testimonial-slider .elementor-swiper-button-prev:hover {\n	transform: translate(-10px,-5px);\n}\n\n\n\n/* RESPONSIVE */\n\n.group-on-mobile {\n    display: inline-block !important;\n}\n\n\n\n\n/* ADA COMPLIANCY */\n\n.menu-link .text-wrap {\n	background: #00000002;\n}\n\n.is-sticky .menu-link .text-wrap {\n	background: #00000000;\n}\n\n.ada-scroll {\n	margin-left: -1px;\n}\n\n\n\n/* ALIGN ICONS TO THE TOP ON ICONS LISTS */\n\n .oew-info-box-icon {\n        line-height: 0px!important;\n    }\n\n.elementor-widget .elementor-icon-list-item, .elementor-widget .elementor-icon-list-item a {\n	align-items: stretch;\n}\n\n\n.elementor-widget .elementor-icon-list-icon i {\n	margin-top: .3em;\n}\n\n\n\n\n\n\n/* RESPONSIVE BLOG FIX */\n\n@media only screen and (max-width: 960px) {\n	body.single-post #content-wrap.container {\n		padding-left: 10px!important;\n		padding-right: 10px!important;\n	}\n	#footer-callout .elementor-container, #footer .elementor-section .elementor-container {\n		max-width: 90%!important;\n	}\n	#footer-callout .remove-maxwidth .elementor-container, #footer .remove-maxwidth.elementor-section .elementor-container {\n		max-width: 100%!important;\n	}\n}\n\n\n\n\n\n\n\n\n\n/* FOOTER STYLES */\n#footer-widgets .elementor-button:hover {\n	color: #111 !important;\n}\n\n#footer-widgets .elementor-button:hover {\n    color: #FFF !important;\n}\n\n\n\n\n\n\n/* SUB PAGES */\n\n\n\n\n/* ABOUT PAGE */\n\n.about-testimonials .oew-carousel-entry-title, .about-testimonials .oew-carousel-entry-excerpt, .about-testimonials .oew-carousel-entry-readmore {\n	text-align: left;\n}\n\n.about-testimonials .oew-grid-details {\n	padding: 20px!important;\n	background: var(--e-global-color-2f7ae31a);\n}\n\n.about-testimonials .oew-carousel-entry-details {\n	border: 1px solid var(--e-global-color-943367e);\n}\n\n.about-testimonials .oew-carousel .readmore-btn a {\n	border: 0!important;\n}\n\n.about-testimonials .elementor-post__excerpt p:after {\n	content: \'...\';\n}\n\n\nbody.reviews-template-default h1.page-header-title {\n	visibility: hidden;\n	height: 0;\n	padding-bottom: 1.4em;\n}\n\nbody.reviews-template-default h1.page-header-title:before {\n	content: \'Testimonials\';\n	visibility: visible!important;\n	width: 100%!important;\n	display: block!important;\n	\n}\n\nbody.reviews-template-default.content-max-width .entry-content h2 {\n	padding-left: 0;\n}\n\n/* SWITCH TO SMALL SIZE - MOBILE VERSION */\n@media only screen and (max-width: 768px) {\n\n	.single-post .oew-info-box {\n		display: block!important;\n	}\n\n}\n\n\n/* PROJECTS PAGE */\n\n/* GO BACK BUTTON */\n\n\n.go-back-button {\n	border: 0!important;\n	display: block;\n	width: 100%;\n	background: var(--e-global-color-primary);\n	color: #fff;\n	font-size: 20px;\n	font-family: var( --e-global-typography-primary-font-family );\n	font-weight: 400;\n	text-transform: var( --e-global-typography-primary-text-transform );\n	letter-spacing: 2px;\n	line-height: 2;\n	padding: 20px;\n	transition: .4s;\n}\n\n.go-back-button:hover {\n	background: var(--e-global-color-secondary);\n}\n\n.sidebar-box {\n	margin-bottom: 0!important;\n}\n\n\n\n\n\n", "oceanwp-child-theme-master", "", "inherit", "closed", "closed", "", "90-revision-v1", "", "", "2022-11-10 18:15:48", "2022-11-10 18:15:48", "", "90", "https://test.ajdembrosky.com/?p=1274", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1275", "5", "2022-11-10 18:17:29", "2022-11-10 18:17:29", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et metus at lorem laoreet venenatis. Nunc feugiat nunc sed magna placerat, congue imperdiet nisi lacinia. Duis porttitor, odio commodo bibendum tincidunt, neque dolor tempor ex, ut vestibulum tortor diam id arcu. Maecenas accumsan vehicula ipsum sit amet malesuada. Suspendisse viverra mauris eu augue facilisis vulputate. Proin fringilla odio in risus auctor, eget aliquet velit sagittis. Proin egestas velit iaculis nisi ultricies, aliquet viverra lectus convallis. Fusce hendrerit hendrerit orci a scelerisque. Quisque eleifend diam ac urna fermentum congue. Aenean placerat mattis accumsan.\r\n\r\nMaecenas eleifend consequat nunc eget aliquam. Nullam eleifend mollis neque sit amet convallis. Ut et ornare velit. Ut eget ultricies elit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc lorem eros, egestas ac ullamcorper sed, tincidunt eget ex. Aenean posuere dignissim mauris non placerat. Nullam dapibus lacus vehicula, porttitor felis sed, lobortis ante. Donec mi ante, pharetra vel porttitor venenatis, vulputate lacinia felis. Nulla vitae sapien lacus. Etiam gravida nisi nisl, sed porttitor nisl finibus vitae. Ut tempus aliquam augue eget tempus.", "Blog Post", "", "publish", "open", "open", "", "blog-post", "", "", "2022-11-10 18:17:29", "2022-11-10 18:17:29", "", "0", "https://test.ajdembrosky.com/?p=1275", "0", "post", "", "0");
INSERT INTO `wpky_posts` VALUES("1276", "5", "2022-11-10 18:17:29", "2022-11-10 18:17:29", "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent et metus at lorem laoreet venenatis. Nunc feugiat nunc sed magna placerat, congue imperdiet nisi lacinia. Duis porttitor, odio commodo bibendum tincidunt, neque dolor tempor ex, ut vestibulum tortor diam id arcu. Maecenas accumsan vehicula ipsum sit amet malesuada. Suspendisse viverra mauris eu augue facilisis vulputate. Proin fringilla odio in risus auctor, eget aliquet velit sagittis. Proin egestas velit iaculis nisi ultricies, aliquet viverra lectus convallis. Fusce hendrerit hendrerit orci a scelerisque. Quisque eleifend diam ac urna fermentum congue. Aenean placerat mattis accumsan.\r\n\r\nMaecenas eleifend consequat nunc eget aliquam. Nullam eleifend mollis neque sit amet convallis. Ut et ornare velit. Ut eget ultricies elit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc lorem eros, egestas ac ullamcorper sed, tincidunt eget ex. Aenean posuere dignissim mauris non placerat. Nullam dapibus lacus vehicula, porttitor felis sed, lobortis ante. Donec mi ante, pharetra vel porttitor venenatis, vulputate lacinia felis. Nulla vitae sapien lacus. Etiam gravida nisi nisl, sed porttitor nisl finibus vitae. Ut tempus aliquam augue eget tempus.", "Blog Post", "", "inherit", "closed", "closed", "", "1275-revision-v1", "", "", "2022-11-10 18:17:29", "2022-11-10 18:17:29", "", "1275", "https://test.ajdembrosky.com/?p=1276", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1277", "5", "2022-11-10 18:19:26", "2022-11-10 18:19:26", "", "Blog", "", "publish", "closed", "closed", "", "blog", "", "", "2022-11-10 18:19:26", "2022-11-10 18:19:26", "", "0", "https://test.ajdembrosky.com/?page_id=1277", "0", "page", "", "0");
INSERT INTO `wpky_posts` VALUES("1278", "5", "2022-11-10 18:19:26", "2022-11-10 18:19:26", "", "Blog", "", "inherit", "closed", "closed", "", "1277-revision-v1", "", "", "2022-11-10 18:19:26", "2022-11-10 18:19:26", "", "1277", "https://test.ajdembrosky.com/?p=1278", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1279", "5", "2022-11-10 18:19:47", "2022-11-10 18:19:47", "{\n    \"page_for_posts\": {\n        \"value\": \"1277\",\n        \"type\": \"option\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:19:47\"\n    }\n}", "", "", "trash", "closed", "closed", "", "6a6be3d2-06f1-42cd-abb0-f3acbc517e16", "", "", "2022-11-10 18:19:47", "2022-11-10 18:19:47", "", "0", "https://test.ajdembrosky.com/2022/11/10/6a6be3d2-06f1-42cd-abb0-f3acbc517e16/", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1280", "5", "2022-11-10 18:20:10", "2022-11-10 18:20:10", " ", "", "", "publish", "closed", "closed", "", "1280", "", "", "2022-11-10 18:20:10", "2022-11-10 18:20:10", "", "0", "https://test.ajdembrosky.com/?p=1280", "2", "nav_menu_item", "", "0");
INSERT INTO `wpky_posts` VALUES("1281", "5", "2022-11-10 18:24:08", "2022-11-10 18:24:08", "{\n    \"oceanwp-child-theme-master::ocean_blog_image_overlay\": {\n        \"value\": false,\n        \"type\": \"theme_mod\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:22:19\"\n    },\n    \"oceanwp-child-theme-master::ocean_blog_style\": {\n        \"value\": \"thumbnail-entry\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:22:30\"\n    },\n    \"oceanwp-child-theme-master::ocean_blog_single_layout\": {\n        \"value\": \"right-sidebar\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:23:00\"\n    },\n    \"oceanwp-child-theme-master::ocean_blog_single_content_width\": {\n        \"value\": \"700\",\n        \"type\": \"theme_mod\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:23:15\"\n    },\n    \"oceanwp-child-theme-master::ocean_blog_single_elements_positioning\": {\n        \"value\": [\n            \"featured_image\",\n            \"title\",\n            \"meta\",\n            \"content\",\n            \"social_share\",\n            \"tags\",\n            \"next_prev\",\n            \"related_posts\",\n            \"single_comments\"\n        ],\n        \"type\": \"theme_mod\",\n        \"user_id\": 5,\n        \"date_modified_gmt\": \"2022-11-10 18:23:54\"\n    }\n}", "", "", "trash", "closed", "closed", "", "0a40b11b-5dbf-4d51-8c44-3b90848b23c3", "", "", "2022-11-10 18:24:08", "2022-11-10 18:24:08", "", "0", "https://test.ajdembrosky.com/?p=1281", "0", "customize_changeset", "", "0");
INSERT INTO `wpky_posts` VALUES("1282", "5", "2022-11-10 18:25:17", "2022-11-10 18:25:17", "", "TEMPLATE - Columns in Thirds &#8211; Multiple Rows", "", "inherit", "closed", "closed", "", "1058-revision-v1", "", "", "2022-11-10 18:25:17", "2022-11-10 18:25:17", "", "1058", "https://test.ajdembrosky.com/?p=1282", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1283", "5", "2022-11-10 18:25:29", "2022-11-10 18:25:29", "", "SECTION TEMPLATE - Columns in Thirds &#8211; Multiple Rows", "", "inherit", "closed", "closed", "", "1058-revision-v1", "", "", "2022-11-10 18:25:29", "2022-11-10 18:25:29", "", "1058", "https://test.ajdembrosky.com/?p=1283", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1284", "5", "2022-11-10 18:25:36", "2022-11-10 18:25:36", "", "SECTION TEMPLATE - Columns in Fifths", "", "inherit", "closed", "closed", "", "1056-revision-v1", "", "", "2022-11-10 18:25:36", "2022-11-10 18:25:36", "", "1056", "https://test.ajdembrosky.com/?p=1284", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1285", "5", "2022-11-10 18:25:45", "2022-11-10 18:25:45", "", "SECTION TEMPLATE - Columns in Fourths", "", "inherit", "closed", "closed", "", "1054-revision-v1", "", "", "2022-11-10 18:25:45", "2022-11-10 18:25:45", "", "1054", "https://test.ajdembrosky.com/?p=1285", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1286", "5", "2022-11-10 18:25:53", "2022-11-10 18:25:53", "", "SECTION TEMPLATE - Columns in Thirds", "", "inherit", "closed", "closed", "", "1052-revision-v1", "", "", "2022-11-10 18:25:53", "2022-11-10 18:25:53", "", "1052", "https://test.ajdembrosky.com/?p=1286", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1287", "5", "2022-11-10 18:26:50", "2022-11-10 18:26:50", "", "SECTION TEMPLATE - Columns in Half", "", "publish", "closed", "closed", "", "section-template-columns-in-half", "", "", "2022-11-10 18:26:50", "2022-11-10 18:26:50", "", "0", "https://test.ajdembrosky.com/?elementor_library=section-template-columns-in-half", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1288", "5", "2022-11-10 18:26:50", "2022-11-10 18:26:50", "", "SECTION TEMPLATE - Columns in Half", "", "inherit", "closed", "closed", "", "1287-revision-v1", "", "", "2022-11-10 18:26:50", "2022-11-10 18:26:50", "", "1287", "https://test.ajdembrosky.com/?p=1288", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1289", "5", "2022-11-10 18:27:00", "2022-11-10 18:27:00", "", "SECTION TEMPLATE - Single Column", "", "publish", "closed", "closed", "", "section-template-single-column", "", "", "2022-11-10 18:27:00", "2022-11-10 18:27:00", "", "0", "https://test.ajdembrosky.com/?elementor_library=section-template-single-column", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1290", "5", "2022-11-10 18:27:00", "2022-11-10 18:27:00", "", "SECTION TEMPLATE - Single Column", "", "inherit", "closed", "closed", "", "1289-revision-v1", "", "", "2022-11-10 18:27:00", "2022-11-10 18:27:00", "", "1289", "https://test.ajdembrosky.com/?p=1290", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1291", "5", "2022-11-10 18:27:07", "2022-11-10 18:27:07", "<form method=\"get\" id=\"searchform\" action=\"https://test.ajdembrosky.com/\">\n				<input type=\"text\" name=\"s\" id=\"s\" placeholder=\"Search Our Blog\">\n				<button type=\"submit\" value=\"\"></button>\n									<input type=\"hidden\" name=\"post_type\" value=\"post\">\n							</form>\n			<h4>Categories</h4>		\n			<h4>Recent Posts</h4>		\n			<h4>Connect</h4>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "SIDEBAR TEMPLATE - Blog Pages", "", "publish", "closed", "closed", "", "sidebar-template-blog-pages", "", "", "2022-11-10 18:32:03", "2022-11-10 18:32:03", "", "0", "https://test.ajdembrosky.com/?elementor_library=sidebar-template-blog-pages", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1292", "5", "2022-11-10 18:27:07", "2022-11-10 18:27:07", "<form method=\"get\" id=\"searchform\" action=\"https://test.ajdembrosky.com/\">\n				<input type=\"text\" name=\"s\" id=\"s\" placeholder=\"Search Our Blog\">\n				<button type=\"submit\" value=\"\"></button>\n									<input type=\"hidden\" name=\"post_type\" value=\"post\">\n							</form>\n			<h4>Categories</h4>		\n			<h4>Recent Posts</h4>		\n			<h4>Connect</h4>		\n					<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>", "SIDEBAR TEMPLATE - Blog Pages", "", "inherit", "closed", "closed", "", "1291-revision-v1", "", "", "2022-11-10 18:27:07", "2022-11-10 18:27:07", "", "1291", "https://test.ajdembrosky.com/?p=1292", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1293", "5", "2022-11-10 18:28:42", "2022-11-10 18:28:42", "<form method=\"get\" id=\"searchform\" action=\"https://test.ajdembrosky.com/\">\n				<input type=\"text\" name=\"s\" id=\"s\" placeholder=\"Search Our Blog\">\n				<button type=\"submit\" value=\"\"></button>\n									<input type=\"hidden\" name=\"post_type\" value=\"post\">\n							</form>\n			<h4>Categories</h4>		\n			<h4>Recent Posts</h4>		\n			<h4>Connect</h4>		\n					<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>", "SIDEBAR TEMPLATE - Blog Pages", "", "inherit", "closed", "closed", "", "1291-revision-v1", "", "", "2022-11-10 18:28:42", "2022-11-10 18:28:42", "", "1291", "https://test.ajdembrosky.com/?p=1293", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1294", "5", "2022-11-10 18:29:21", "2022-11-10 18:29:21", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:29:21", "2022-11-10 18:29:21", "", "232", "https://test.ajdembrosky.com/?p=1294", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1295", "5", "2022-11-10 18:29:26", "2022-11-10 18:29:26", "<h2>Proudly Affiliated With</h2>		\n													<a href=\"#\" target=\"_blank\" title=\"Affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" title=\"Affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n													<a href=\"#\" target=\"_blank\" title=\"affiliate\" rel=\"noopener\">\n							<img width=\"1024\" height=\"203\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-1024x203.png 1024w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-300x59.png 300w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo-768x152.png 768w, https://test.ajdembrosky.com/wp-content/uploads/2020/01/placeholder-logo.png 1515w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" />								</a>\n			<h2>Request a Consultation</h2>		\n		Ut sodales turpis maximus, ornare tellus in, sodales purus. Suspendisse vehicula mi sed tortor cursus ultrices sit amet sit amet turpis. Nulla facilisi.		\n			<a href=\"./contact\" role=\"button\">\n						Get Started\n					</a>", "CTA - Template", "", "inherit", "closed", "closed", "", "517-revision-v1", "", "", "2022-11-10 18:29:26", "2022-11-10 18:29:26", "", "517", "https://test.ajdembrosky.com/?p=1295", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1296", "5", "2022-11-10 18:29:48", "2022-11-10 18:29:48", "<a href=\"#\">\n	            			        		<h3>\n							Service #1						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #2						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #3						</h3>\n        </a>\n		<a href=\"#\">\n	            			        		<h3>\n							Service #4						</h3>\n        </a>", "HEADER - Mega Menu Template", "", "inherit", "closed", "closed", "", "553-revision-v1", "", "", "2022-11-10 18:29:48", "2022-11-10 18:29:48", "", "553", "https://test.ajdembrosky.com/?p=1296", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1297", "5", "2022-11-10 18:30:32", "2022-11-10 18:30:32", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:30:32", "2022-11-10 18:30:32", "", "232", "https://test.ajdembrosky.com/?p=1297", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1298", "5", "2022-11-10 18:30:32", "2022-11-10 18:30:32", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:30:32", "2022-11-10 18:30:32", "", "232", "https://test.ajdembrosky.com/?p=1298", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1299", "5", "2022-11-10 18:30:33", "2022-11-10 18:30:33", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:30:33", "2022-11-10 18:30:33", "", "232", "https://test.ajdembrosky.com/?p=1299", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1300", "5", "2022-11-10 18:31:30", "2022-11-10 18:31:30", "<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Social Media Icons", "", "publish", "closed", "closed", "", "social-media-icons", "", "", "2022-11-10 18:31:30", "2022-11-10 18:31:30", "", "0", "https://test.ajdembrosky.com/?elementor_library=social-media-icons", "0", "elementor_library", "", "0");
INSERT INTO `wpky_posts` VALUES("1301", "5", "2022-11-10 18:31:30", "2022-11-10 18:31:30", "", "Social Media Icons", "", "inherit", "closed", "closed", "", "1300-revision-v1", "", "", "2022-11-10 18:31:30", "2022-11-10 18:31:30", "", "1300", "https://test.ajdembrosky.com/?p=1301", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1302", "5", "2022-11-10 18:31:30", "2022-11-10 18:31:30", "<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Social Media Icons", "", "inherit", "closed", "closed", "", "1300-revision-v1", "", "", "2022-11-10 18:31:30", "2022-11-10 18:31:30", "", "1300", "https://test.ajdembrosky.com/?p=1302", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1303", "5", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "", "232", "https://test.ajdembrosky.com/?p=1303", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1304", "5", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "", "232", "https://test.ajdembrosky.com/?p=1304", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1305", "5", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "<img width=\"335\" height=\"300\" src=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark.png 335w, https://test.ajdembrosky.com/wp-content/uploads/2019/12/placeholder-mark-300x269.png 300w\" sizes=\"(max-width: 335px) 100vw, 335px\" />														\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<ul>\n							<li>\n										Address Line 1<br>Address Line 2\n									</li>\n								<li>\n										xxx.xxx.xxxx\n									</li>\n								<li>\n											<a href=\"mailto:webteam@enter.net\">\n										webteam@enter.net\n											</a>\n									</li>\n								<li>\n										Mon-Fri: 8:30am-4:30pm\n									</li>\n						</ul>\n			<h4>Navigation</h4>		\n					<ul>\n							<li>\n											<a href=\"#\">\n											About Us\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Our Projects\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Contact Us\n											</a>\n									</li>\n						</ul>\n					<ul>\n							<li>\n											<a href=\"#\">\n											Service 1\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 2\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 3\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Service 4\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 5\n											</a>\n									</li>\n								<li>\n											<a href=\"#\">\n											Option 6\n											</a>\n									</li>\n						</ul>\n		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam tincidunt sapien at hendrerit placerat.		\n			<a href=\"./contact\" role=\"button\">\n						Request Quote\n					</a>\n		<p>Protected by reCAPTCHA and the Google <a href=\"https://policies.google.com/privacy\">Privacy Policy</a> &amp; <a href=\"https://policies.google.com/terms\">Terms of Service</a> apply.<br />© Copyright [oceanwp_date] COMPANY | All Rights Reserved | Designed &amp; hosted by <a href=\"http://www2.enter.net/\" target=\"_blank\" rel=\"noopener\">Enter.Net</a>.</p>", "FOOTER - Template", "", "inherit", "closed", "closed", "", "232-revision-v1", "", "", "2022-11-10 18:31:34", "2022-11-10 18:31:34", "", "232", "https://test.ajdembrosky.com/?p=1305", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1306", "5", "2022-11-10 18:32:03", "2022-11-10 18:32:03", "<form method=\"get\" id=\"searchform\" action=\"https://test.ajdembrosky.com/\">\n				<input type=\"text\" name=\"s\" id=\"s\" placeholder=\"Search Our Blog\">\n				<button type=\"submit\" value=\"\"></button>\n									<input type=\"hidden\" name=\"post_type\" value=\"post\">\n							</form>\n			<h4>Categories</h4>		\n			<h4>Recent Posts</h4>		\n			<h4>Connect</h4>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "SIDEBAR TEMPLATE - Blog Pages", "", "inherit", "closed", "closed", "", "1291-revision-v1", "", "", "2022-11-10 18:32:03", "2022-11-10 18:32:03", "", "1291", "https://test.ajdembrosky.com/?p=1306", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1307", "5", "2022-11-10 18:38:04", "2022-11-10 18:38:04", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:38:04", "2022-11-10 18:38:04", "", "32", "https://test.ajdembrosky.com/?p=1307", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1308", "5", "2022-11-10 18:38:04", "2022-11-10 18:38:04", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"21052e3f444343f78f5ead1435405088\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Name</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"403c1d7f6e\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	                        <svg id=\"Layer_1\" data-name=\"Layer 1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 319.22 557\"><defs><style>.cls-1{fill:#444;}</style></defs><title>fb-outline</title><path d=\"M226.56,557H81.39V333H0V195.34H81.39V147.22c0-44.94,13.72-82.42,39.67-108.39C146.43,13.43,182.37,0,225,0c36.56,0,74,6.31,75.54,6.58l18.71,3.19V130.15H256.3c-21.12,0-29.74,8-29.74,27.56v37.63h92.63L298.06,333h-71.5ZM126.39,512h55.17V288h77.88l7.31-47.66H181.56V157.71c0-19.61,5.76-36.64,16.67-49.25C207.42,97.82,225,85.15,256.3,85.15h17.92V48.32A427.71,427.71,0,0,0,225,45c-30.4,0-55.33,8.86-72.08,25.63-17.34,17.35-26.5,43.84-26.5,76.59v93.12H45V288h81.39Z\"/></svg>	                    \n	            			        		<h3>\n							Facebook						</h3>\n        </a>\n		<a href=\"#\" target=\"_blank\" rel=\"noopener\">\n	            			        		<h3>\n							Instagram						</h3>\n        </a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:38:04", "2022-11-10 18:38:04", "", "32", "https://test.ajdembrosky.com/?p=1308", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1309", "5", "2022-11-10 18:38:04", "2022-11-10 18:38:04", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:38:04", "2022-11-10 18:38:04", "", "32", "https://test.ajdembrosky.com/?p=1309", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1310", "5", "2022-11-10 18:39:34", "2022-11-10 18:39:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:39:34", "2022-11-10 18:39:34", "", "32", "https://test.ajdembrosky.com/?p=1310", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1311", "5", "2022-11-10 18:39:34", "2022-11-10 18:39:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:39:34", "2022-11-10 18:39:34", "", "32", "https://test.ajdembrosky.com/?p=1311", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1312", "5", "2022-11-10 18:39:34", "2022-11-10 18:39:34", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:39:34", "2022-11-10 18:39:34", "", "32", "https://test.ajdembrosky.com/?p=1312", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1313", "5", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "", "32", "https://test.ajdembrosky.com/?p=1313", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1314", "5", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Email</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "", "32", "https://test.ajdembrosky.com/?p=1314", "0", "revision", "", "0");
INSERT INTO `wpky_posts` VALUES("1315", "5", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "<form id=\"wpforms-form-827\" data-formid=\"827\" method=\"post\" enctype=\"multipart/form-data\" action=\"/wp-admin/admin-ajax.php\" data-token=\"065cedfde5369dcc10157a3ff7b387fd\"><noscript>Please enable JavaScript in your browser to complete this form.</noscript><label for=\"wpforms-827-field_0\">Name *</label><input type=\"text\" id=\"wpforms-827-field_0\" name=\"wpforms[fields][0][first]\" required><label for=\"wpforms-827-field_0\">First</label><input type=\"text\" id=\"wpforms-827-field_0-last\" name=\"wpforms[fields][0][last]\" required><label for=\"wpforms-827-field_0-last\">Last</label><label for=\"wpforms-827-field_3\">Phone *</label><input type=\"tel\" id=\"wpforms-827-field_3\" data-rule-smart-phone-field=\"true\" name=\"wpforms[fields][3]\" required><label for=\"wpforms-827-field_1\">Email *</label><input type=\"email\" id=\"wpforms-827-field_1\" name=\"wpforms[fields][1]\" required><label for=\"wpforms-827-field_5\">What service(s) are you interested in?</label><ul id=\"wpforms-827-field_5\"><li><input type=\"checkbox\" id=\"wpforms-827-field_5_1\" name=\"wpforms[fields][5][]\" value=\"Service 1\"  ><label for=\"wpforms-827-field_5_1\">Service 1</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_2\" name=\"wpforms[fields][5][]\" value=\"Service 2\"  ><label for=\"wpforms-827-field_5_2\">Service 2</label></li><li><input type=\"checkbox\" id=\"wpforms-827-field_5_3\" name=\"wpforms[fields][5][]\" value=\"Service 3\"  ><label for=\"wpforms-827-field_5_3\">Service 3</label></li></ul><label for=\"wpforms-827-field_2\">Comment or Message *</label><textarea id=\"wpforms-827-field_2\" name=\"wpforms[fields][2]\" required></textarea><label for=\"wpforms-827-field-hp\">Message</label><input type=\"text\" name=\"wpforms[hp]\" id=\"wpforms-827-field-hp\"><input type=\"hidden\" name=\"wpforms[id]\" value=\"827\">			<input\n				type=\"hidden\"\n				name=\"wpforms[nonce]\"\n				value=\"3eebac5269\"\n			/>\n			<input type=\"hidden\" name=\"wpforms[author]\" value=\"3\"><button type=\"submit\" name=\"wpforms[submit]\" id=\"wpforms-submit-827\" data-alt-text=\"Sending...\" data-submit-text=\"Submit\" aria-live=\"assertive\" value=\"wpforms-submit\">Submit</button></form>  <!-- .wpforms-container -->		\n	            			        		<h3>\n							Proudly Serving						</h3>\n		        			Location		        		\n		<a href=\"tel:937-938-6911\">\n	            			        		<h3>\n							Give Us A Call						</h3>\n		        			xxx.xxx.xxxx		        		\n        </a>\n		<a href=\"mailto:webteam@enter.net\">\n	            			        		<h3>\n							Send Us A Message						</h3>\n		        			webteam@enter.net		        		\n        </a>\n		<a href=\"mailto:inquiry@racooks.com\">\n	            			        		<h3>\n							Business Hours						</h3>\n		        			Mon-Fri: 8:30am-4:30pm		        		\n        </a>\n			<h3>Follow Us</h3>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook-f\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>", "Contact", "", "inherit", "closed", "closed", "", "32-revision-v1", "", "", "2022-11-10 18:40:23", "2022-11-10 18:40:23", "", "32", "https://test.ajdembrosky.com/?p=1315", "0", "revision", "", "0");

/* INSERT TABLE DATA: wpky_term_relationships */
INSERT INTO `wpky_term_relationships` VALUES("58", "2", "0");
INSERT INTO `wpky_term_relationships` VALUES("62", "3", "0");
INSERT INTO `wpky_term_relationships` VALUES("64", "3", "0");
INSERT INTO `wpky_term_relationships` VALUES("65", "3", "0");
INSERT INTO `wpky_term_relationships` VALUES("314", "4", "0");
INSERT INTO `wpky_term_relationships` VALUES("821", "4", "0");
INSERT INTO `wpky_term_relationships` VALUES("894", "4", "0");
INSERT INTO `wpky_term_relationships` VALUES("946", "2", "0");
INSERT INTO `wpky_term_relationships` VALUES("1052", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1054", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1056", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1058", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1060", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1225", "3", "0");
INSERT INTO `wpky_term_relationships` VALUES("1275", "7", "0");
INSERT INTO `wpky_term_relationships` VALUES("1280", "2", "0");
INSERT INTO `wpky_term_relationships` VALUES("1287", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1289", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1291", "6", "0");
INSERT INTO `wpky_term_relationships` VALUES("1300", "8", "0");

/* INSERT TABLE DATA: wpky_term_taxonomy */
INSERT INTO `wpky_term_taxonomy` VALUES("1", "1", "category", "", "0", "0");
INSERT INTO `wpky_term_taxonomy` VALUES("2", "2", "nav_menu", "", "0", "3");
INSERT INTO `wpky_term_taxonomy` VALUES("3", "3", "nav_menu", "", "0", "4");
INSERT INTO `wpky_term_taxonomy` VALUES("4", "4", "elementor_library_type", "", "0", "0");
INSERT INTO `wpky_term_taxonomy` VALUES("5", "5", "category", "", "0", "0");
INSERT INTO `wpky_term_taxonomy` VALUES("6", "6", "elementor_library_type", "", "0", "8");
INSERT INTO `wpky_term_taxonomy` VALUES("7", "7", "category", "", "0", "1");
INSERT INTO `wpky_term_taxonomy` VALUES("8", "8", "elementor_library_type", "", "0", "1");

/* INSERT TABLE DATA: wpky_terms */
INSERT INTO `wpky_terms` VALUES("1", "Uncategorized", "uncategorized", "0");
INSERT INTO `wpky_terms` VALUES("2", "Right Menu", "right-menu", "0");
INSERT INTO `wpky_terms` VALUES("3", "Left Menu", "left-menu", "0");
INSERT INTO `wpky_terms` VALUES("4", "section", "section", "0");
INSERT INTO `wpky_terms` VALUES("5", "Testimonials", "testimonials", "0");
INSERT INTO `wpky_terms` VALUES("6", "page", "page", "0");
INSERT INTO `wpky_terms` VALUES("7", "Blog", "blog", "0");
INSERT INTO `wpky_terms` VALUES("8", "widget", "widget", "0");

/* INSERT TABLE DATA: wpky_usermeta */
INSERT INTO `wpky_usermeta` VALUES("66", "3", "wpky_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wpky_usermeta` VALUES("67", "3", "wpky_user_level", "10");
INSERT INTO `wpky_usermeta` VALUES("68", "3", "rich_editing", "true");
INSERT INTO `wpky_usermeta` VALUES("69", "3", "admin_color", "fresh");
INSERT INTO `wpky_usermeta` VALUES("70", "3", "nickname", "Enter.Net Web Team");
INSERT INTO `wpky_usermeta` VALUES("71", "3", "first_name", "");
INSERT INTO `wpky_usermeta` VALUES("72", "3", "last_name", "");
INSERT INTO `wpky_usermeta` VALUES("73", "3", "session_tokens", "a:2:{s:64:\"19a3a2a2cc4f240dc65637a13553c203502a2b7ef882dd71a15c59793a411814\";a:4:{s:10:\"expiration\";i:1608482429;s:2:\"ip\";s:15:\"216.164.143.162\";s:2:\"ua\";s:82:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:84.0) Gecko/20100101 Firefox/84.0\";s:5:\"login\";i:1608309629;}s:64:\"9d784458842341dc58e78cd058bd64782a4b71aea5c5d525876a13d02cc47fd2\";a:4:{s:10:\"expiration\";i:1608482694;s:2:\"ip\";s:15:\"216.164.143.162\";s:2:\"ua\";s:82:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:84.0) Gecko/20100101 Firefox/84.0\";s:5:\"login\";i:1608309894;}}");
INSERT INTO `wpky_usermeta` VALUES("74", "3", "wpky_elementor_connect_common_data", "a:7:{s:9:\"client_id\";s:32:\"GDVJFknXACT4vqSrvzbbH2ub2W0b5LsZ\";s:11:\"auth_secret\";s:32:\"fxEgGoRpPbK7dQB5qO5XnHEqML6cEn5P\";s:12:\"access_token\";s:32:\"DSpeAZSHTLk0Vt2d0nTYzO3bDRmnOzru\";s:19:\"access_token_secret\";s:32:\"Cskf4HrbCzQW2TxHGW3DkocMycHIbzcq\";s:10:\"token_type\";s:6:\"bearer\";s:4:\"user\";O:8:\"stdClass\":1:{s:5:\"email\";s:15:\"sales@enter.net\";}s:19:\"data_share_opted_in\";b:1;}");
INSERT INTO `wpky_usermeta` VALUES("75", "3", "wpky_dashboard_quick_press_last_post_id", "1085");
INSERT INTO `wpky_usermeta` VALUES("76", "3", "community-events-location", "a:1:{s:2:\"ip\";s:13:\"216.164.143.0\";}");
INSERT INTO `wpky_usermeta` VALUES("77", "3", "elementor_admin_notices", "a:1:{s:16:\"rate_us_feedback\";s:4:\"true\";}");
INSERT INTO `wpky_usermeta` VALUES("78", "3", "elementor_introduction", "a:2:{s:10:\"rightClick\";b:1;s:19:\"colorPickerDropping\";b:1;}");
INSERT INTO `wpky_usermeta` VALUES("79", "3", "wpky_user-settings", "libraryContent=browse");
INSERT INTO `wpky_usermeta` VALUES("80", "3", "wpky_user-settings-time", "1608309632");
INSERT INTO `wpky_usermeta` VALUES("81", "3", "nav_menu_recently_edited", "2");
INSERT INTO `wpky_usermeta` VALUES("82", "3", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wpky_usermeta` VALUES("83", "3", "metaboxhidden_nav-menus", "a:2:{i:0;s:12:\"add-post_tag\";i:1;s:15:\"add-post_format\";}");
INSERT INTO `wpky_usermeta` VALUES("84", "3", "tgmpa_dismissed_notice_oceanwp_theme", "1");
INSERT INTO `wpky_usermeta` VALUES("86", "3", "dismissed_wp_pointers", "theme_editor_notice");
INSERT INTO `wpky_usermeta` VALUES("104", "3", "description", "");
INSERT INTO `wpky_usermeta` VALUES("105", "3", "syntax_highlighting", "true");
INSERT INTO `wpky_usermeta` VALUES("106", "3", "comment_shortcuts", "false");
INSERT INTO `wpky_usermeta` VALUES("107", "3", "use_ssl", "0");
INSERT INTO `wpky_usermeta` VALUES("108", "3", "show_admin_bar_front", "true");
INSERT INTO `wpky_usermeta` VALUES("109", "3", "locale", "");
INSERT INTO `wpky_usermeta` VALUES("110", "5", "wpky_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wpky_usermeta` VALUES("111", "5", "wpky_user_level", "10");
INSERT INTO `wpky_usermeta` VALUES("112", "5", "rich_editing", "true");
INSERT INTO `wpky_usermeta` VALUES("113", "5", "admin_color", "fresh");
INSERT INTO `wpky_usermeta` VALUES("114", "5", "nickname", "c20665x1");
INSERT INTO `wpky_usermeta` VALUES("115", "5", "first_name", "");
INSERT INTO `wpky_usermeta` VALUES("116", "5", "last_name", "");
INSERT INTO `wpky_usermeta` VALUES("118", "5", "wpky_dashboard_quick_press_last_post_id", "1229");
INSERT INTO `wpky_usermeta` VALUES("119", "5", "community-events-location", "a:1:{s:2:\"ip\";s:11:\"73.130.81.0\";}");
INSERT INTO `wpky_usermeta` VALUES("120", "5", "elementor_admin_notices", "a:1:{s:20:\"experiment_promotion\";s:4:\"true\";}");
INSERT INTO `wpky_usermeta` VALUES("121", "5", "elementor_introduction", "a:1:{s:7:\"exit_to\";b:1;}");
INSERT INTO `wpky_usermeta` VALUES("122", "5", "elementor_preferences", "a:1:{s:7:\"exit_to\";s:9:\"all_posts\";}");
INSERT INTO `wpky_usermeta` VALUES("123", "5", "dismissed_wp_pointers", "theme_editor_notice");
INSERT INTO `wpky_usermeta` VALUES("124", "5", "session_tokens", "a:1:{s:64:\"2285719d488371940058d9feaeb82cac5de3c9b57e29883e48bb21f17256702e\";a:4:{s:10:\"expiration\";i:1668275981;s:2:\"ip\";s:12:\"73.130.81.52\";s:2:\"ua\";s:84:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:106.0) Gecko/20100101 Firefox/106.0\";s:5:\"login\";i:1668103181;}}");
INSERT INTO `wpky_usermeta` VALUES("125", "5", "nav_menu_recently_edited", "2");
INSERT INTO `wpky_usermeta` VALUES("126", "5", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wpky_usermeta` VALUES("127", "5", "metaboxhidden_nav-menus", "a:7:{i:0;s:28:\"add-post-type-e-landing-page\";i:1;s:21:\"add-post-type-reviews\";i:2;s:29:\"add-post-type-ocean_portfolio\";i:3;s:12:\"add-post_tag\";i:4;s:15:\"add-post_format\";i:5;s:28:\"add-ocean_portfolio_category\";i:6;s:23:\"add-ocean_portfolio_tag\";}");
INSERT INTO `wpky_usermeta` VALUES("128", "5", "description", "");
INSERT INTO `wpky_usermeta` VALUES("129", "5", "syntax_highlighting", "true");
INSERT INTO `wpky_usermeta` VALUES("130", "5", "comment_shortcuts", "false");
INSERT INTO `wpky_usermeta` VALUES("131", "5", "use_ssl", "0");
INSERT INTO `wpky_usermeta` VALUES("132", "5", "show_admin_bar_front", "true");
INSERT INTO `wpky_usermeta` VALUES("133", "5", "locale", "");
INSERT INTO `wpky_usermeta` VALUES("134", "5", "wpky_persisted_preferences", "a:2:{s:17:\"core/edit-widgets\";a:2:{s:26:\"isComplementaryAreaVisible\";b:1;s:12:\"welcomeGuide\";b:0;}s:9:\"_modified\";s:24:\"2022-11-10T18:27:36.902Z\";}");

/* INSERT TABLE DATA: wpky_users */
INSERT INTO `wpky_users` VALUES("3", "enternettests2", "$P$BelzZTTWR5XoXEfIucn5Fkyhv5vYhp1", "enternettests2", "webteam@enter.net", "", "2020-01-03 16:24:28", "", "0", "Enter.Net Web Team");
INSERT INTO `wpky_users` VALUES("5", "c20665x1", "$P$BeptLi7TfMcHJkbeKdLAV35.d5j1Rd.", "c20665x1", "supportteam@enter.net", "", "2022-11-10 17:21:39", "", "0", "c20665x1");

/* INSERT TABLE DATA: wpky_wfconfig */
INSERT INTO `wpky_wfconfig` VALUES("activatingIP", "131.106.226.60", "yes");
INSERT INTO `wpky_wfconfig` VALUES("actUpdateInterval", "2", "yes");
INSERT INTO `wpky_wfconfig` VALUES("addCacheComment", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("adminNoticeQueue", "a:0:{}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("adminUserList", "b:0;", "yes");
INSERT INTO `wpky_wfconfig` VALUES("advancedCommentScanning", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("ajaxWatcherDisabled_admin", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("ajaxWatcherDisabled_front", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertEmails", "support@enter.net", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_adminLogin", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_block", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_breachLogin", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_firstAdminLoginOnly", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_firstNonAdminLoginOnly", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_loginLockout", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_lostPasswdForm", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_nonAdminLogin", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_scanIssues", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_severityLevel", "25", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_throttle", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_update", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_wafDeactivated", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alertOn_wordfenceDeactivated", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("alert_maxHourly", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("allowed404s", "/favicon.ico\n/apple-touch-icon*.png\n/*@2x.png\n/browserconfig.xml", "yes");
INSERT INTO `wpky_wfconfig` VALUES("allowed404s6116Migration", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("allowHTTPSCaching", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("allowLegacy2FA", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("allowMySQLi", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("allScansScheduled", "a:0:{}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("apiKey", "117d7d47a2f48032dc780f6f0156d115e30d97e15f8944a2870dcbb54cf1057ca325df1135b48248f3d435d1811e7f8645b3d06659abc43dbc11a10d65246e9cede943890af81799138689755b29a67d", "yes");
INSERT INTO `wpky_wfconfig` VALUES("autoBlockScanners", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("autoUpdate", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("autoUpdateAttempts", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("autoUpdateChoice", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("bannedURLs", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("betaThreatDefenseFeed", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("blockCustomText", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("blockedTime", "300", "yes");
INSERT INTO `wpky_wfconfig` VALUES("blockFakeBots", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("blocks702Migration", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cacheType", "disabled", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_action", "block", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_bypassRedirDest", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_bypassRedirURL", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_bypassViewURL", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_cookieVal", "5ccc8ff4cdc99", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_loggedInBlocked", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_redirURL", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("cbl_restOfSiteBlocked", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("checkSpamIP", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("config701Migration", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("config720Migration", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("coreHashes", "\0\0\0\0\0\0\0a:2:{s:4:\"hash\";s:64:\"d653d0c99ac9ae43cabe9cd324f627cae0deb128f49fea56102b17a89cc20626\";s:6:\"hashes\";s:125536:\"\0W7ht#	q)d$\0\0(ZYY@Iqȗ#T@\04ߗt\\vQ޹\'_ajxҦ\0E=jȋ|p8.½֤SGp\0EqxPa>bvDo4VG;a<\0^N弘ae|K-ܰɜ=\0b&F%|w*Qr;|/=(A<\0#B5j$#j!bNj\0ۧ4(KI|0qD.^v\0>|;(߯\\W*7?\nN2=7[Uo\0iք\"]^XD2](\0/o):4]_+̔c\0e*@t\"q	ȐN5H\0T|̅_S8O0μ¸06\0-bsG\n(hr\Z.n!ez.YxUi5G$PuvATʦDIXVfEWeG]q)6	jnNؤ^}0[PKXs+ȉawS[U`|WSPD羟Nhb!#8i>kq6RE5:\"ϱT_^gyzGL\"1U}6:l|(㜦q{V~u<Dho*cϬ0xcl$	4mo`vA:`{rf_S3/sm?d^͔0X0#q-ml*#TcxEyũH>$2]%*6\\dpۛ!s%]ZYoݿr;G\"Gu&w]-H\rRW\\5\'=Q7ai\rICpEKykѩ}ˣ\\$p\"&p+^\Z{5|f㵅SLo3ExѥUq`q4uZ[n8Or70H01YL$RRAhJ6Mw:/7.ڏPh.BU-ї\'Tsz+pM˻yULKCWa\\ˁ\n;0Ġ\"fАΟ\'\r͍DdMsǿڴ$2j),\n\' #69\nږmK2efte4\ZGG.fVy`)\".o[`ϐ\rnjnviU\n@,+!%u	re4+JuP$,WNP2\"Ş,|^y޲/\Z(A1]/ƅBMj:@ѫG+SfdVi\n6Wԑ\\<OEj2Q\r|X6/46J?XGX~uic\rpQ활\r?cLTӊqgȫ?crȸtdB\rTJ,Q$TDh((ZdzvO_;ƀEpY.&}_	QoSnn̵v\0)Ӥ:DILV\0yZ)K\nܘD~%Roc7\rL>1݈]^]RɢNFMJ,iI.2 >1Z;ר1ԁ$!W:	SxDq5/w_W:+f1zg\\YmxGO0jo].㖽B=f~:NFa6ա\nY \'i+`fGYbmUPMJڡ0&CvM$O4-K	o6lb1E;7x?-ǱZzE*nkEm@1sY#1$\Z=IbXBr?ͥ-!i>`]wBκ@kp&h4ԛ2f\'GIS}}R⥅JЛZ[`mI$=D֛&Ǿ@+բz=i S\Z\Z4ڶ1523\r#?EQLIm$ZB\Z!&͖Ck`7\'/]i5\0%%-)^\\\0t`k@UOŔcp>!8HB6=b!nz\0OS~K|$TlJbOwf\nTEg\ZU\rl{SYD7I.`Ï}#٧JKNeӌ&ЎuѡIqtn~T	_j-%?70i}eiZO&E+rXe{emX<:KSz_oeŭy^/?h;@rK%LPfc(|_]U͒o~MEs@Z2]i](J~n3ϝـhjqo2kLJQc\08|VANں)\rmMADos,$gJ	Ŗ7l}aw|gRLh!1R&\'kD\':8Yߤ\'\\\0|8(]xZvJ+~S$ً6vgAќʋQ?j`J2r)rk+`NiM2]<	h\n˥O35F\\\0,vS+p\n.\rJ*RT	!A&UBtG=_:\\]>i?η@ڹaKպ*Խ+]ҮgƉ^62G\rS|;)$=Xn!l=@A:V56Ux5Px&:VV-qXA9M4-t\n{}MI	AE0N.T0b([oYd% +[B f<3)|xZq@51aIxMOYU\rZtKϭuJOyŹ&Ҹ*ܲus#t1#4䂹\Z\'&8\0m9;:ͼff)I;Poi=DᎯ0Slhsgܺ{,`h`P*ͤ!j1m!~J\rO]Y<y}\Z>ɺHI|PBbe^Έ;VT1cj] k^O9A9/\Z%@b.` podf?jrYe|Hh>,ecRes5-D=<:3ϩM>r6Ԥ%zuۇ7}F[yx]kݭYr9IV,C2\"Vlp]l2Pf>Kp֚Jbvw`*w}*ʘ)>2qe^)PnGfR@Ol,>iv:`tQ*8\'<\nJ;H`Q؝6pqa%\r	\"An3HIs:Yae0BҲyPp\nﭾ!Λ&Ʌ\'M4BS+\'4&$ءVggog~m//&t+s\"#:Zܯ4㓉&_&6\"xF|w`AZ_+vL\r}NP6_Ұݾl2bqÜ$Uv	l,s\"\rm`YדUX^Ms6RH@	&冾Bx@dR#UOPgsHo)nWrtZM?%VDFv@*9Vμ[EBu}<\Z#d4*?dQ]Bx.|9D:h@Q/U\0-|_ۢ1g-+}Ԙ!^iBJ\\W]f@@w=	.]kZ1љmG]x0	14\"1IxGL[	>(GA:	64 2DMM$\r澐i\0	8\\ŬjAʔ5+XoTm_|	Myu$1ck_Kofm%	g)[.r\noi{4Q\n\r8H\rfX	vlٮ!Pm\n6|ϔK	~Cȫ7:s&ujt	+{Rلnt,Ǟ`|U		#t̹p=I\")F	֓-\nqUi-$h*ml	VhLC»>U8.`@<Kh	ͿU%OHޡ@~x\\6~\n*<ӳ?HM\'VL\'[R\n@&[DqSBN#FB\n*An.]Btv!WҧMw9F\n+P_tQVo7n\nz#8J\nGk~ngm.3\\\n1ijgָ\nv?u	fh62B?2\03}\nxmnV=OD\0T)U\n\\_9()7\n/S\'g߃v\n9dg~@|B-ڐ6=\nT[Cp(,_V+L\rۨI(.\nsHчc -y//?\r$M̤j3\naqYKJҔ΀p\ZJj\\P\n\nڷtn\rEanJ;}(ҙ.9\nX:Q}+O\\_	{ܓC\'ay:\n W\"w\05S Nrh\nC0pFdl\0\"u~2\"Tp\Z\nv[\0XZppi.c;~&\n&)h4_`FL<:`#pf\nRW#ވ Qē4E[\'z61kK(]1zukpR!YC8`dfh.^8!{FNL{z),\"wWSJǲKSuᾒMcccdD(Q\\\ra[J?T?Gd(stBUI+uCRSF2>3`v\':js(-N֠N3:VS;CT\n]CrJ2m5CZ\0/@@11S.>UB|2ӜOU}(԰tc2ĒZVR顃[l#4>1εEl|lh]:Yň3	\\gm̻1)q+#b^0rR_ҲYn,J́TNB(-g\\ICڞ:rn̿>TwD\nQ!@iDrȭ!wzL{Jy7-mG鴞Y[kEn#XviwR:M7KkRD. L9%SJ*n\'ͪt^VɹO*(7Y(Vz|%\0\'jlص$hTC՞N8kȺym-BYVAlͼ2VS#nX6XDUT=1O@,x )\r&d5s/,\"d\r%PcW-:\'2U\'Ftݩz\r1?;IB=S\Z2֥͐&׆ZB\rQi^\ZB|fC-/rUY٢B\rX[cdpSs3%.X|Aw#(JL\ra{p9(A)ˡ̮SPVs6#i\rnu:Ft\Z\"P9qPRPA\rk<vWPvg(Hтc+d7\rYtW^}rIxۯu$/dMk\rU:w,&Kp&\Z\r7GٛrXylﳠ<U5p8n\rXd	D\nqbc\Zu\rٓC7,<p,L~rYs#\r\"(qq6ZNş&h\r\n*J6V^%W\\y\'h?II3z(BGQ#`pS:eJ&/ʝaɋ`\n}\Z\\x+G\\%RO6}㕓悫-FkRV6G_e\r\"}Q^uYtYsNldU|7tUFYnaIWRHjwHBBuXp\0bUe$OrΰYeJXpW	!L	oѦ?11]Q[7*a3Ǿh,Uc\\ki6uJ\n3*KviA&4=Dq!蓸֧f;4PZeO!vx.e8jY0\ZPP1S/0?U!͝6??Zvw=2H:)x.o\\JtLUoL~)6K5S$ʂ8⡧5gg73lsuؾyZwڠ0YE\0身i\\|7wq;,rLX\\35qv.R߼h<<thD$\\FM(b;ˏKg&\n-nzEja #[՝YdIdf@\\K2o؂/*~Hwc@2,P0x`ՁdZvs.k\Z5\0yX$j뤋I8@t={9v>:̷M\Zϵ\rBt\r3tC Y\nH$$T̞}^pfO]ǭN3%\r\\-AJKK7Pxe\'PHHP=,LN}\ZEO\\0uFOR\Z)ā;S\'bN<vwLSڻsT|>Qi}GD7OF5BNov:A_-3x\ZJB@ky50\nQ(;4.`Rw|lSPpkGM8ԹfEx;˝O[J`uOv&_-]E;|x$(t`\"/\Z=`>&oR֫	ڲ}Z	w%(4);\r;)6qi9C2td64KծAU)۳!Pdlw+>;O-dG;Ϸ6<wj;V4dkԷ܏>Dj,pk~*d}[H?iK[i/(^\\4c-Ȝ)͗۷@c.V_;q:uMXbWZ`Eض\rSky%/-u_EC?oTgNLC\"M61ɿ\\)ji]mb#6C2ao2ᨁFˁLW%\rVJ~p$P(q\0RS;\rs}o%XOwR	\\B;zb#qlESWDLex骴@m!~|dET9v,WыʀKK#\0f羀PP\0Aw:oHRRESGʏT-a*Qf,S7q̓<U*\";br^&7jFőұyZA\"Y!	=x`Jߩi.?w~/\"wU{Lf׏1:դy;&ۆ޹[rDbNv㤄\n\ZwrkHuEN/JYgSi)N]o}0<,eS</ܓ8CT2IUXjF\rPJ6\\d$Se=g۝JްS0ilww4:\"D=[Z\r#A@f31_<v(QNYCwo}z/+x\Z83ۀTё/*2^oܰ\n0\01x?F(8V/`8Іt2:]XK%	EL償t~nF^mKYN\"U[A7EOxƟ:Y{ 2gZ+j{hN.m۩+6r0qX{4a4=PҞ%^\\$~KObH$(\r_\ntl	6Ax	70)P;\01M{}i)-[\0=ֹ?+;Q/׬W/{lDAURprmm\rF6طi(\":@c:<R)%+:G%Cy*m?۴/\r!iAHK2w:%.;j@۴)H&RװRwciFz\r_c;QAJRQ6}%\0wQ1h~B׺ʌʤ!gy{8٢7\ngT1^0>\r劸֬+)7X[_u۱H]\"¡`nrXa;?~Rq3ٽR ar\0B<c=ORvBn|JIn;51VSK6ǐHiI (.fOdx,0XlJ.*Js9&$\rNZ/aUƏ`dL?>C|^vs_%W\rJ*fzKHvM,,z㡫?jk[0}FW@U0WgS2cFF|2`85SbG?e?q7#pjڥ|ɨ\0YO|aV3EFW^@l24K<\\/#\Zjp!CBڋTLX6jy\Z\nё4W\\\ZTM\\VdEබ|@])2ԕiqj\'Vp,KzMr#6hq	:@߮\r0lҞ6jZmc-kYxJ5_*]O\\sM\nT27oڠCg`c˰mupa\\|/Jy2fy2qt@WkmxGV͒׵pzk訍n!>x\\h|,e0?s4n,Lmu\Z^΅hU}1}=ziy\'\'|KW?[r(\r\Z3zػfW^P1Y2&ۑpAU%fG<+HH4ywy\'hzx\"v\\p$bo)cHvSn_(aWcʹA`kBʜѮ,2S^úD\Zѣ0?ޖft&!-U8<Gz<3\0R-k,u׼)\0\nk?R0}<̤. $^$mw޻`.A_[rE]J#+ߘ4D,EǡGfy5ܟ@nN	36M[yFRDm:m\\,T3y?PԈ+oKqraUWjj:MSC\0EpڎU=\\ف2%72B99k\r?rqQe-=Ozγ2z!.w\ZFPASӃPlZN!&Qw|c;\0,2aڢUPrYo:W3\"6uxhSئ3)]TCˎ1B\"$Ϥ_Y[^e\n41LHݩ̨<W`e	U&zտRB=PKqFu~\Z8W2\0	e`hp,-n};F \Z/q@Q!Xw>7.l8leQ,	naTߌCӀ#YU\"V1	]98}.@\rf[ɖ&1^g+fV`6)	5ESjrKuj%pA9Xc<_:l#(ǀv)ɣ,ĹvV-nzWE2DH!~\\ꩠFgJ\Zop\']Mi@P;VKiV(~n&^VTSn^Ey	u\0ci^Su%D{ox\\4\'10pG&oAMq5@= PxN^+5H9_r?MΩԴY5D`$BfyISWq؛rcW\nŒ+NA΢:W<\'dSB4,hܟ+{̗r~aAďcKAjTG/6\n]<E&@Ƿ(\0a{|,@haZݻN/F]\0cOJhÙLC	8׫hl2\"i\r2ӣ-୏XC +Ra,f6!\\I&C#2M8_6wsEUP[Wґ4L{4\ZUuw\'瞟hQi5z\r&Ђ`~\'\rQl;4ec1b0w~{wcj|m]a_d4N^\\~ʘ7q/\"]$&<Լ	QY)\ri\0\"4ߕml\"WKxI0$\r!L7K3@\"[q˯v1 K&.D,p	ڱ4zή)F\r8xNz$wFm$\"]Xe\"?|2Y	Ōt-	ࣟvTը2H`oHPOnuDpRֽRnOk2Ω@7 \'yUٙK;@I:7}.a	̑HMϩ:	qFCOc#y\r<եl4֬(w	]5Fn?`b8)k(S;wAq^;Tι[cJD_=$xB2냙$5)SjrxVIR-[ҟ1.;\"=1(C]e(d-|5QCv,?adkVlEWR*9)7mvXbڷ\'p	Z9@S\r0,t`2plsW)08aIpopABH7M) JOb\0!X+c͎Ǯԑ8@Ghar6rVB:\' 4-I9#\"iݔ[-l+\'2YU~nZcttMh?Dm%ʋd]\Z	MصB\Zr/O5%N̶\Z\nŬWOO,ԺNE\Z\r7hZBLG+vSd2\Zi\r/quVcx-ll8\ZÚZþި6W2lI96G\ZBXf\"ԭOݠ%K3ѓ93h\Z42o^iw$Se(I}P((\ZTcς6[LBcl\rxR()a?\Z[Iʙ`:}V\ZTDn+/`{\Z^\\%kOei:io\ZqRT=\0,\ZXD픚\ZhK8h\Zxy7{ zQ1+5:#Mu<\Zdhƨ,ȊaܑiK#A\ZtY-{RV ۷FR!%8`?O\ZIa^iJH:j:b\Z;4JpRӗڎXV\\2p&\n\ZmҴ`S|0	SsEAL\Z䜫:H2fם[Jm<x<0\Z7۴>0XϘ\ZKGUm0;A򳡆-vn\0]І{lCMvɾ@ƑT97C=yZ3Ήc3m!pr&,Y*l}Jpx5K5&\0CRdR5P,BiQf7Ꜯ&\'dWzғ|1Ɏz\"z|seQgJЭz-X+|@Vcx瘝s|0 )8m}.\rd_n5i?W):\\`^V=w=\"[<U܀ĵ9YCW-GMdz[gbꤼ&{737ki֐5є3N0P5y}@٪b1po4A{/\"ru0yLi(H\'v-3*3^c(^U#gphz{:7bc/LV9bar~D,?ѠGd)FAu``ڿoۭraچc,=sK>Pסe)9RB[|-s1ʎSPEGI45MCgY<-bO,w[6eJG7U]\\J5\\N(-\rX_j\r15-Q_Y\ng^ʸ\"|.Y|bO-b$t+8jK׹\ZX#[wwq51DjLH^t+?\Zci{íq@:[bdl9ր,ܱMS,elNr}6n\0O!\"j:(!b*C\rz\"{t\r =I)^sb\ZZ\nS\raL& v3+kCJI\Z<\0P>%@5v%( JaI\\ѓHO\'\n(Pӳ\nr	sJbmLh笇[\'{0luʒhkFNʨ\n,U|록X5)aTԩ %2Ryūi*%h%$)`v:#f.xd\n:xA-H>Jy;<I8w2A	ڸ؞02yK|_%d`29xmlQW薕U=dZ	ʒcWZ:wP{6Ly?طcI\n߾B2ߵzՠevz3ƘU{^qa%IBЛW<VA=lL^<kLsjҥ?bɖȒ|B?-(+xd6SPIjҗ:K-`UMun֧]BeIY\rf6y;6\r),P 6;\'6\" ds\r=V\"n*R-!`CG֋م\"^e\n|5.ް8!9:%\'&;CrAL*3q8$\"n$Foef$S4C\0}UJ5}&JmyNL5\r\Z0s3u6!$0KJ\r22ߖ]Ó\'L)NޢVB nLc\rʿ52BG3u*0oBǯh }CoG}BdgD؉$O<L#1OF14.+kc*9\'q.;FrP\'l1e^>b6chNE4#\\GYZ>AQb&YZo>Qr͡i9\0T9\\>$2ݲjrwhqMTUЩw͙CHN\0I<.OƏͧfh_2E_T.ZuiYk.\\{g:FhdaGI\0q׹a\Z}*3yXZjoy\\oCw=usn@=]N1%P0.\"pTӜq(%7NO2\"hkUvr޴\'r-AD^EcZWq85qr@7VRۘ]7NijR\"~RO|⺥f`S:\rb-\\|ۃ9Egf]Hh~wwO\0LhD:pJ̺γSy9s68rMڠc4boT,>\n?j/&b\"\n<5.Bzn1YY]}{6^\roʠaXܖ^	捄s0ɻsy01)fx X`[Z76.-*PU-8m@e05\\wMv1.ʞRfq\"^hS;X~YY^ϻjcTxFw7?D?Fa\0-@h1+K(a]DR:[_I3ywtן#F3=22I8JpL]]}0nP\rQcJYB=niQ=NeձunS,hX:_U-JrS5btLȒ|n 4\0ْ\'/XMK,f\"*Z$4 %-b#6u|Ė}bJs6 .,2F*z&@;`x^#.W(` :kYMjxRցִP=T_U~Q Hʱy4BW@c\\JqGC WaQxD2-q%ol(]?A l\n°&|\"wK~30,>P&w \'Ơ $nX37N<g YL&> G\Zu%X-) )>Q|	]vC, 7ćK4sNs	Q<s| \n	\Z?`%Tp6#IRlR ӌ[*ktC`x{c!ՙ\ZVWSst @W4n*tQ`EJ))e%C!Bw픴Q\r\Z-1O!Tvα!)u^)h\rȱ>uOK,hc$!,els\\055.fOte}!5AR/{CaF9Z_t%8,=۫!ZmNxI>W>%*r^#\\QD!]ͯ%uOb;Ͱ(2[\n_!i\\ ׌eQ\0rz.+;\0\Z)o53!\'o]tJ:soT!x6^q>F70VֵV>>!$1ŭ95\n2d\\aW\Zq3x!:qɴ&gz68֛d;tV;U!&x[w)ȃcNSa!>$wĜF\n%`IJM6o(!bFމg2oi\nNl+\nb!5Aà~I \\v(cF!(\'eЎ\r804@dD4KSkV!aZU/<rg$R4gZ0l!\r;m1ϼ.{r6@CHc^\"A!ĩtXQ\"ђm]2J\"TYKJ,/\\/ d\"h>:Q sikZ؝Ew}b\":+@b$TAt6r\":fnJ\"-vSX^\rˠ#\"JRIx9Wn\"aԙ\"L0]ӆ٥y)UeP^A\"S.87~96syjr\']s\0\"\\&S^\rxQf\"nNv?Kg^:mBlbZ\"$l}eX\\%\'AJ\"	.F͢Y\\gFy2\n\rMZ\"G$@PĹ\Z7~ԧOƦpdb\"):ze0E8=!7Ӻl<ZP\"/JK}uvaHQLE\"!zFۺ6&\ns|\"ʊǏ5\".Mp-zx)R.%.8\"،V2M.\\e#Nȡ>.:I\"_rЏMDZNa\"Lp6-@!#^kYڮXVFX65\"=\rB>\"H@Z#XVWΫ\"80#>nylvƩrK~8\";z`~g^_R5т(#ğ_ܵ?W/C+UKG#2s\'|x,q´ޣ\\\"\\*dq#Lj@P\\Eȼnx$Wҫr1پ6}#2;#/7\n QrsE&]IeYcg#Oyw;pӿzw,!:;umj)#SRm-zşQ\r: QV#fl~FcAmĽb\rV֯qP9iϯ#fW*o_\nU8_\r֣z#mbTɸ=V187>#_Ӂs(sxa{ۍ{A-##̨wA/c[&Ge\Zx%%=C[a#gCY<bIV?Ji^aUB#yĽTf<,9z,;P#ә>ho/>,Fm@`0#g#\06|РYD̰أwty#M+B*TvGǒ?oLJs#BoKmuqGKL5=O#V}驛F\'y#v	׼\"Ù6GJ#]=0\n\rĞ^\'<$_-\'8uPc6#	KEum$\rܷ2ݓϼ+BɡQ(-$F:6~QQ\':3~U$#\'b}$X:cľm]\"V$2	J8+n\nbO+92q$?\ZW7m(w{K\\۶׮jt$Cr{3;Ln,uw`7pE$Il;_W\Zd۩Έ\0fm$XA883k.b4DZ쥽$^W+NN	һ@yA$G+Z[($h/*ÅZOx+-롖HةTE$j^2	ܽ4`QQtyTr\'$l۵	ns}Z?|:$V&<% 旅.l㹯$E,_wMJI:W~$`5~VWClZ	|GN$۱lЯsF,ųeIx\Z:>;3$]:)~KF,B4w٨/c,H$ԑ<*Y+`p_/Ȟ)Od$`MHn#<K*\re%%klf;{݅T_<{x%[4d%S3BG\n9K\"Ufq*Aj5\'ϱ%Yy\Z@ڤ~&Ǩ1#2Qi׮%nMǮiD7@qV#vE>TCdW%v+4)%Oi+adgF2!T+%kr _SpE3%f3qEb<r]B[S@k1\'b%>fXJ&Ж>Zy2p#%07s\0\'zM|:9#h7dJa6!\\%ƲaU>ZZ	YD^@NN%%8X_Ҳ%$9ٔ*_[%܉`nTKxCt&Xy&̷-;בuH\\s!5\0&\nuOb&\"Mf?+AT(M&pj+Ҋ%s<\\$&am{[>Bv\\` :nwc)ߗ%Z0&|O	g)2*׫7o-r?&[on laϳtWLQOQc&ٖ`#tޙ,Q)D9&t*2~|1/U8VY}$&m4tXF@RʏbL&ӥYk\Zn߰XOڱhb)\'l_JVSu8VHJyC\'DĂD1`گ/5)F1\'+F.}M>W\nwJ]}&#V\n\'(\0*Pg\Z$\"PHG!5jN\'8_\Zafm(DW,}zx\'R#ʇF2\'@?B{uBti\'S?\n=PC\'F.1E)H;l/.n7|W*\'GLs\r+QN*+r;_1Y\'S{<?*f;/{\'v\'k7^Y6֨{J/՚ɺdN\'Q_+g*drVǠ\'*\'$1,;bL(˓̰O\rMgд\'iZ\"Ʈf=DFG\n_B>qY޴\'*ǋw)M>SY\nS4vna\'9_eZhZVa釦vu[*S\'N9rg_TȻkBy\'q&1,SNj64cG&Z_3j\'^5j%Vl{={m@\'m/lr8*l	=$枒=h79a\'j*,A.+-Tגּ*\'ٍNf[Og|\Z	+\'xrXk.~b5ǟ<M(:MQ =ߪyyLޢ(Cd?hvҺn*1ZV(=XtwɬD.=H\ZS\Z5w(?߾nT Z𦆽\\98vW\Z(E\0	73/>u0AH*$\\(\\ðw0#rF߼٥^GAcw,t(a8)~%cG:~\\\0p#tF?(fp\\3{?\"];>WqB5mo(nssTj+<$|rE~(y:wj51\Z!`<!_(wye\r63TQ-YT=G(Θ\\n lpuꑝ&]yiJ)(fqiIp,K(íļ\rC	vSKO]l]t(m}:փ{Fi\r~^`@2$(ڮwS4Blq`8zW:5HI)z4phziTv/԰x)!/PdtO;DCᤉ7P5)%^Vt_\"L&x?.Ҫ*|2OQ)JJQ%x\Z	r](R`)N\\nmE\ZkcQ(a)QF޶cBWk!)Z!YٍPA;]n)aQOhС/zàS\06`)}VOg-w/^w6!E~5On)!eФR݀zgg6эl[{)Q1٪p$2˝n#[z*/	*?|)X.\rjcT[q1ǿ]M:*&Sƽt0*9Be_^V{Ch2+QU0~n~*%ҹ-m\\(<`}yx	[l* jY6XAS͐\0t_B*0?\rYoXd	:@MFI)*N骱wju\r3*P|˿(WaOBAe:+*RNڔ%>+߮6n^wj98*en|ӗQDU[M!B\ZX2Ugy*j4m3:P0\0\0O9`*k /YlI>CK:xAn6[*mҰǕ(ySlSXL	3QnT*YD>)k\'YO+j*UY2F*(9͌v&5d2|ќo<v8*nTHSaQpGegz*.C)iXF89ю,*jlJ[ĸدiu*_	*wVS1Y\';n_b6+%<hat>++BPxP\'\"XpThw\"e+(Oi~.I%ƥ?\"~Y之boQ\\Y+I* \"2:Gflp=+^Hu߲֨nTZ7+kd\Z\'ȍ,GwwqN+ZP2lv,,2RV~I+Zr\\azk̧αk+ Wqz\"[נ˽_{,\rNMd_z_T3$7Xc.5AX,XمWvY9bԁ\'7 }\n,#|xIh܈G:`3{_^c,m\ZrbJ|&\\\"C8)O},~8׿K3k.FP?R()ojrt,1^7\rx6$\'.SWF,lTѕ%P~Ȝxq\r޶f,gE^\"5¸6FO,ڀ1f,Ms]B#^X=d`,ԀJ`j0A\n*LzG,iS~?:5^:b\\BGQoz!bvE|,㯢/z]_Wpd.f-7bkٚA53gFEk|^ڒn^)-#;ŹDoIYMAu-4akO67ZޡR)&~	-;i\\3.\'=Ϗrs\'1\0<-FP9Nf ;hl4E-HP{cܻ:n{2sZq:7A)l-ӌl^.ԫ;	><;nC\\-ת1:c&h	ֳ4VF-,h8faPjgW>q\\q0-kyn:Q2 ?x-vw\\yU+.$aWݕ2.F-{=mMzʶKzgR*(.(2GKzj\",55+%{	W.~\rB|\\}:tJsfZ.%%،kɐTaEQdu8ٍ~3.)y\ZJ\n*Fh,TTuԃ N.KnG\'z=_ĨK\nO`r9.d-vۺŒ#u7)ғ{.{fZ%{34`zo<\":qe5Ab..I)6Zn)\"6\Z]\r3CFZW.Bx~Cd\r(olv+k\n.SP*6;]XRCɆ\regf.:%q/}!*:r\Z^E/uC;,!0AA+Cǟg23/ssZ*j)iбeQ3>s</^W)H\\y=Z3%1q^QdaH/&dxG:IVt͆YjM?R\"/#ׄז4$ǽ~r>-h%8X/,b2H=XӲ\0DNb1/.٘ÇKv\\)wS/70/!BsݒoBͻe}y^/>wi`S{oF:i8/M4H&ol=|@uQD}Wp/_9^`5JҼ,YajKEl/v \'I5R/^\nBR701nQ=*Q/|w΅jRzZHcxS Jb͌/YlezIGzzss=\\}/ԣZg\0cVץvdZ/	43sx|\"@-8,^F/GO%<\"!5Ĩ`0<hCJ/\0NKoʩۭ詡{ngg/|`zZ\0^\n͎#0\"\0@/XŃY]IO/)˲jtS+KUVSx\\/?<@qv4?rcm5/FA@TZ5a )LOfWRl!\"t/JtR8֓9HdFأ80!Q+7`G#\r)S<\Z{b0C?Bk\0\'́<ג+F/&\ZC0o7Ԃ؝^\ZtU:+0COܢ6YyK8<GTJ0)5iKejՈT|F$4t0F6^ʤp	,wR}nlDoYDȌ\Z0J;;Qx*,Uľ<g_;o-H0X!ލ\nB\"`Á6D KP?_0X73S;\03m&)$K>7wtT\"0[nڕrwe&E_JC䒈0iG/+UW3Ii\r·8صS 80sa`\"*m(|-=9ƄA@0(<~U-t.&]%/w1Ro0Q9\'j\rpWCmg0bu+<0Sb]^Dd0gк}bIYwe.G0pʊR^=Yo(a*7`0,d9ɘG\n6P$JC97,nH0qeR1:\'QDuhVwχ0\rXyq\\d]jŉ: +R(7Η0?@\nQƟq0	2zRo@0YiѾc1ˁ\Z[^r0\rHCx^\n#QY4NX1!3Q*\nX}(bz=./1&ZV0c;dClξP`c1/pJVQ2v앀]L9e?4J15V^,gK|#0Idlo1E(|TVc-N¿-~zn}.1\\^8.ljЅ4x]|1]T2J\\+	i6SvS,E1e䅁8oNT:w8<:1h\n@ސEA:\"H98GE1u\'Y	/%\0B\01-#$p&h5hJm9m.17H}htqEu6x]1SP^&! !\r\nO6\'R 6a\n-1H\"gyц*&\Zb&fK1_X#/I*DN|qx ]\n\\t1f@g<g-vIP8ၳ16s4>gHTs*NVB26?ô%I8#AaW=ҀVONhE2AWB]b}cޏB#2BQb9L\'͛BBT2DlyO_!DFjF^=-vQ\"T2v2Hs|k-D`]^9c,2SLb{Xsǅ*@)Q2vziM%\\Xt#$e*2{yC$%BE;4>f&b=r2})vD$t2.P엳2AG8Q2ӆJJ/CC7N֍׌\rji2MmQf!=s*2\"!-2ؗČ_g[)@23>,.2ٹ<dI=@M8>4c!^i N3fKfY8~Dh_驪%*&zF0-3(J{*\r[ܽ}W33)\"K\\,h+\\\")`/W339DkNd\rF$O2>acc;S3E!ރXO+)\r^gPǁJ3Oj}.j	^W/Q(ϿиhBC3Z:2$FyP7bء: yM3r=	aԅ6~1t}k3i刍Z++<A&n?%3J~wUV.gD%ޠ.P	<Q37H00ԭ*:>a_r`g3լKYCX-kg9[۳҄4P\Z+KibEWВq`r\nQL4\r(HO_)yJwL4K\0$|%ܰ^qB۱&K4,jE6@9&YPd4-;*B_|TB !\'o\nQn4We.e>uɑyVc@4gѓ7G>\\JZl24H}AC{Hh/}sfY4%C]q@m7kDW*_4]]@w:yٺX)%ǀ[btbsm/94%_^^[2ɝis.Ǫ-4ˁY2˽5Mf՞v2,.\\~4\Zr}McP\\GϢl8E4g1g{w!Aw??Um`:_N5c[/8>8g1ZnBȥgx5IwNezվEs-M$g$5#_D؞;}6]&]&ig>W5$;/mkz 𙠓pA5*¨Po;,XȋyE[~5B`DSx|4q|ҭ^]5YY+W4~:j/:ّ,j5ox~,\ZF<H5ͱhYI&BiUI?ґ5	XxtB\Z}OL=\r6I5f`dP&r:]ﰻӏzW#[5`Hֺ>R5EOI6,:}u4!Z{Њw1&v1Ư?N@6=G!J|Gl̣8(xH,Q66G\rkH:\r,6Yէjh=Q$rFa6XW\r2Ya\nND;3>?)?V6k>׺	QHa[ב]{9F6tY~\'IY+65}jghy:6RPJÒ2]bD\r\0JnRiZ6}o\ZSuS4̀n\rh6\\楅Tb{)p2u,օɥ!wlb6ɕIңMka_G#1m6ռ|d5l¼g40\'B`V6\\\ntÝ\0`6͋&)nek\"Sh7ISXeiNn&役day7\n@3l,UlL԰XfRuDYRsm7MI.-*\r7ȧ\\ݱє@bdx?7)J2,\"\ZV#b{7\Z>Q;~ogYF7]UP*2Ҫ#bV EXj7b18!U=ɀm{YQ7m0 䞤3ţK7\nFg0bݕW 7nvhXd\"͉Jڈ7qp.}a\r`7nsB}@Ӆv7|\n636#6I? 7}>`J+iV]67ق\ZE.E{(YKhd`zk7IcH<==\"F)\0[!X\\7#q$TT)Foe\'&?Prj%o7@lDIR*)UҵR&\0e7|&,SWĦl~e|T5o8\0xq rgk*\"@TCRZ=f8K*}\"}uaک}#V^}^g8Kǖڴ\"-??,[{/Ou|Ep8`ѰMU8?i$\"O{8o0;ৗPj둪9I(hm~8~/S#WUD~c9uuTv8ړ1b;0eR juU``is92gK:raW;\'ӎ19fG3Csw[<h\\Ê;;OA(Ks9>|yɮ,naS>\\S9I<Ra~Te8JG,d[Js29P6ATa~R,~F\r։+o)\Za0p9PŠ`8_K#,lSVd*6T3-`~9T-Hȏ :91S\\\rb?FC9Wm\Z XQ?uM\0Gu7nO9Yd+B\Zbh7~Q,v9e9Dg2[Oe-DqTnoK-9f`Ewo{)Q1W<ɋ9pmRzmAq*Z3V\n-91Yz=&3.T QA[$ɤZq97TBR#[\rO:K)X95V]*sꈻjq7˨39æ%!bdV@O GaM㾨\n{d9n~AbHcx;Bo>1<9J|UA6@)Y>$Uٚ駥6b\"9~%q2^JD3]Z4qT9]6z*6ujL\0<)+\09$2!躏uΙ)\0Я9qBYaهsdyPù(Cl;]%:Z?SjMa\0yJc/E#8s:\n1.V\\dS=\"E,vv0|:$Uy\Z\n*+ž+cy533e3:k6ZJWj?vA^a-YE8.,%:k\n<(Q -gvv]蚢ieUN:O3֛KiD--*3K/:j\'}!}DD%X6D:\'\Z?D-Sp\'Lo\"u`p:y8{#տm6mz6Y(9:me0i7Y,<Yވ-|:d eU&\0WC}>a4:_ll|S\nv\"2$r):i=\ZYeu)m냭}s?:\n[vg%Gpa?>m_k5:U#?_jL2S2UH^;R^y]%a3_);te;JE]Nj.1*EgWM;Wͭ%H)w<~D|7V<J;dߩ,Zz^uXј8}l$Y;glSɹ\0G,i8M\0;zmpKm\0\']s\Z)MR!\\U<;\r\0osoB>Ô]ucrբT;\Zm}gO_t%nȅۯw?;0NU-\n$ΡJ;чQZ[h^2u*;7DnRWN4@Js`I;Pֺv}MZֵ&V<JS;ϟj\\%zv}d83e_;@_M-Յ,(gBC\'4/;]A(1x&̮^l_k8c<F࠴\0D;PwQtsρ<5ꩺպv\"Șڪ<:G&D]ԃE3 	uݜt< `2!l~sDU=TR@I<!{]wfְz=~SA>nJ<\'<\'[Oe0Րu!X	g<7SdT	{~}&(94Y_S#+T\Z<?ni6~ϊzӭDzm\'={?63T<m2[gC|0ڌ<q#;&p6fĂ^8+:H<x:wLdd|G%N=s<\0͐$5ŵǙ![G7]5+<H.<1zff:/|5F\"<^}<P,vuSk53lD TZ~O<.xnEej?\'o2\Zh<:-Rr{<ԫ!q2{Q:΅2U?=A@5Ӿ;\"vkkaϛa⵴.kgE=%x,\'}<*puXpsH#r=Mbg`<CX6.4x§{=Qsf#1\"C+3b5|<PC=]m\'OP0;&x\"Φe=ڹ\\0$[#b=$H3f4DVrj!?=.	ە &IgCq[OS=dtz\\IgN\nd%?8e%`s2I>\"8*S@-bH\"aiEx>\"eY-:037,jO>rf	/lٸ$\ny+b+0ZH0wbVǝ>@ZHӐǓ9)W|9^~>	tN}%7 6>Ў<g\\^_9K:>PTϻ7r`K˒#F>EoG0W^ڭ>&in\0Y9>xf?)SvRKZnR>ԹW^;a*qoic>G+GY/Cꕻ܀6r&?O>uz/Aǚ	n5E-IGUh߳?	]M.nb4sT+H?ڟ>!dE_5;$~$&Ơ\r?) wYxmN#\"( 0wiIٹ2i?!a0?+m!ZuC<:>Gq?\'Ѐ|8i{_z_)-2=wmowС?,guV-Ub<eAǩKN?3ͳD[qJŎg*hY?5K϶jB *DP?4^?>ec2uu?H\'SD><56̧5c#_{8cf?QOxR\"&Z-Cj\r?_6b%㻧֪KxLb͟?h]0\0	BLJ?\r۴<~S1.QEm?YꝤ;ܮS{Bv,J{9?W^z\0Y*`\\P+-Z lo@$yZΤT+Ifؒc#pC@vPo4OuY7jѤ@s\'b N9E=оS0V{K@kX$ΩPB	=PS@*5]Gր3)A{Aq@:xcÆPVqt(*@CARA5P}%bI^C3@Lo֟Gj_x0`8C{p@`@Z=sX/$Xv\0uy8=7@^<۬\'=fn+~w;\0@`7ZǛbvP2t@hlqҀ@qbjuO ;x\Z{%y	*]@vKިk%~|``<5P.@|INAY:_I⡤a*)gF@~bR鏒Z^g4t\\E[]x.@ll4w2lq3P\"@F3\\;e0ہNQP\Z@;ExS\r=KA-py@@ɦ =Kwٸ\rk)\\Xsʑ] ܈@Q4PlN،F!KA$0jg\03dhfGTG)̷!A92!Z9^v*\0D8\Z=Qy\ZAbAv{/Gg^6~F\nĖSA	Az#RH[`Y|Җ\rxҬA5Nkj(W{l9XIk.Q\"#Ac76QN^\"Bz͍NA2,0F\rv<qb9&ǰs&/AZ%6PÙH[h\n@ <A/eʣP3sEbz%xK#TAjڱ]Uf89byFvw1$eAN~mDD*W \ne\Z^Dhu]A@z$zYumpܔ^6/bA8OвOzyK\Zt\\Aiߤ^fW͊ßv#\ZgaA)6.k#a\rUAe[	v̛3kg\n\"݌Atx</YD:=o	uB\07r\n75HτK~+DBoB5}\r}dT/ШȐ؎,BBI\\ccx|c\rwHN,4?B&JP:olG|P:q_p!~B*/zn-TfYzO|EVBV\n,O{Ƃ9Ң,BMZrDgKZy{!dVB<=P\'\rl5hhH@Cp32ɭvCcBR*8ŘT/]s.9T(BۥD~ǖܬB>\\_EqlOxy\naB\nġ?}VxqAaIwA\'6BIq0q\Z* Z>%C!lC6m菛ml 2}$\\A/C>0,cJvy욓(T݄ICN6Z:cz15(Es{(MCnUc]L]Ģ6C1rCt[P9o&іcvCǡb;C]U:3<v=\r\\G)Cvm9)\0wlNd?>oC4)iǌ<1u\"CO5XW	NJ6C]ת.7fbʹo	$LpDC3(`e#b3Տ~;o4TCjU#HL\\Y%\"rS{tʪCܽ=#\\4C.f>)!\"gkCyԊJDoHy$+|C9~f~&%{	7ȡ[{aOyDg9ե+ww\'YJED2Pwr8IeW})sn\0D?j^*{2	Wc| ]ytDC\\N\ZK`ao2LJSw5:LTDHoBT\"/T[hN;*wo^DLSggݨ?猑ϞY1ћ hDk52o+פI0Dp\"bPmEN}^[:qfDTE)$Gets̮E\nD\"KꖌT+qr9tJv!!D%}ImF2=(\'+AXDƎ6SxhjﰌG]ii_D\0wVvRwo~MRDTX6_8T&\ZUc\Z~@Q3gTDz\nr#o8]q˩8gwD\nDKbu4iQ\':-!:	2Wi\\DN-I00?4zf<HnE(ڏK\"y69=a1c30mE*h5|y;f\rka퓤~NrE08L}qe%vB|:hwE73~K\027r\"U%-_:E:kfdtps*H@+I35_\Zr3EG-=|6W +xA0Icq_+EJVU2b7jMy8]nF}Z?4E`f;u\'wI$0Vo0H3]E}ZnՍ.G{$X(jyqo=E6x7nojah.e5E\'%Xm-QsĊKebbXpbE-8\nuT/§Ώixr& 3EQd8LܮŹ@#]sEЈ\ZT׵$;QE!!ͥ)r;n6EkS1$`^F ͥZZ(5JCk\"|dwqFkfSGK#:ݒmSk%FhޙHmkܲ=FwسY=!B\rJ9F!	P\r\'w:(Q\n=jlhjF+\"2|+FUÊ;YIፔ}f}|FCA>=h1XJWDX4\"=TXFVїa6yp\'3]\',F}&w=4qu\ZX?F{WB!F{KP:igF\\Z	(\0GpFy3n#;Fzgsf7BXзIwEFtv\Z:;`jʠBG^ЗαtGe)\\GnU>)_\Z1d/ڝ2>\ZJG\'AQhMVvS(Gl^~@yGB#(>+:Ծ\Zh/TGI}?\Z)[>\"n`CcfG]˽{0nّ)mwhnmTC&G^P[ְa+䂓݈mg ?Gsq\"qk,&u{ni>mGs}꣩~V/	ݭ[:Y\\Gt_!HXЫwcqe6>TkG~x%퍾˳>)d(\ZBNJ!G+8vͮ1g*=^5V逅\n\'G@PȃU! 91XYMQe \0׍`G?}o>UΌ5O*q&+v3\ZRmh@Ggr8,Bc]u_a\r̊;~GW\r\ZG$7iD>b^Ϯ4GĳYqU鄦l\"	,]fC\"sG\'Y75Tjd5:X}{GH{p<ZtMh`KALGc`B+91l%S;8B!G:}\\\r#}guHAf%1h*#\ZUEUh>B=rHp\r\0VQ]%<	&si\Z[HHeQe	=:2sO8OrȜŖH,o1@O>㍕R{5keH69ß$K&kѕ\0y}H9mPȥ\"Tթ/5{!#^HB]=|\rUJ¢ Iwj ~HN>+fVQщ2^H`kfNLh`o[agvEHaYB3GDۊY|_]H{8;sP%;q9\\}IWH٤]ê\0{/| odlJ/1HQ0z/t$ځ7)IH {\"!b(ArD]R;HJ` tHV{H5\"wqnG8xCZ(\07H3:Bk[e<KRT6uLbhI10%V`ޮfa8~(I;BSGlDkl,\0)IGQp5u\0c{}A>INE篏j4G\Z\Z}CJCIZ4ֻ{җ7taxВH1Iy\r|qSA*	}HPI|07ane;\\UI>ٽ^iliA$UM>l)$iIg-ӮP?{uORRr%~I?R`#C\'\'\"\\j\0aR_I3d7Z4U!VR\"߆Kod(IBqM 5{s6 liY,ɦde\reUI?5jn7+#IkScJR2_s{\n/vgLi:%JeN2\0Y by_BQJ(|\"Dw@΢w;`SE\']J0^iN餸yLms{(J;?[(*Q{84ᅶAfU5f;JWejJAU]1^s?Z\0JX#jwӚYUZ+v*+J]Ơ<SMvidz>অ&<dCJj;K;s\\2~4J~=;녞#	\"K\ZE+13J3AZ[;` 3˦oJ4+`b	\0Yy6WqDÅJ Vsf^0G\\JYF >%PMF?iOJ	p5vv8( Jbjb4Djw*4鱋p-:Vx@~JN@`P)@-8YX-JߏƁ}0.pe	G^~QyJ$E!\Z\"wONЇ^mJP#d	T먎=v*Qftz\nKI1Z.|=3S0\r8]+K3SxFHnZDa۳ws)*xK;PasznZ*dWđj]rKPF1)o47@VOfU5gKa;׾$(Ui{iN)hi\'T͌Y01KbC\ritꅣ\r?\Z6Ke]o?>M3<XKxd]p씟6r7q7nhXJ!KԴˑkHVAZ!ښ\\Khtâªx\0,\nywKzͼ3cޖ22?C@b_LKOEnAF>ڒd3\Z_0D)\'K\naڄh)Ĉ#巆BP$;L$QA\Z3oT֟xp\\Ci5L&z֏ͭ+	*&X&R&eLE\'JnE@lr!3Άv\rLOHTcK6.e;]Aes˿SFLS#Vo8ki.e\"kߦpLz7\ZUۼx{UW?EQK0\Z`hlL(pyp]&8,\"6$cM׳Z}uLf6=([х`#7~(aLO<e7j};h&K9< L&}Pܛ|b31ԁγLC해1%PǭVq{{r\"H.QLvQ4xA>krk-\0L:}%,\\}~8\\Oa8DsXLܨ\\H=c\ZIpbxn5IL*~ΠExI<\'ULhk_fBL]E;B/y/k]r\"< H$LRHxsq5]Mf9M\nA\'J@cVM|)=5c[!M\0(@hF(¨o\ZBFA\rw7M±MC-8V]\"?F/лMVsh$Cڝr+Bw&u&kM997V%lz[B6\nqʕMY~q_$19w`\ZM[i%MAD.l.\Zn pTtMyL;-ڛ%Iu\\K|,̞f] M;*jh\04\'u\r_`t\"O͝4MĮ.4jW[a`A>?6eXMq\0q.2ݾA/^G/QtrMӬP=ȍM>lwov\0M~Yk@L\"#\"/;cvj~\0dMϸ\ZP\\x\09F\'?Շ=MSp}T.!$|N\\YNݝEh\Z,P.gKN9]`T*L)w\0+Ã-r]NA;ַo5906lÆlyzNL2hګF$H[=NR2\rQ${)NU{Wkz\\mlf#7N`?g\Z؂ˀzrze=s%>Np.j샣f7F,D2٭:2+,Nzҡr9;,=䗈dGyNȩx=.ےGnca(N\"?XhLf?e!#+ov`nN:Ǝ>%,7	g`ez,NvޏLTgwR\\Gh,Ne>h@J|jlŷp>UЏNj$-GE)&J4GꝝTNkӲG\':2]F+NYGDbi\\iRL<&\'?<U3XNWNlN4~ J&R\\xd׾tR_ O	Y@9P->5Uw\n\'ORkg)eFèl,@O٨|e]|mK~Fӂː;J\"O({\\ǨU^D%!䶣XXJO:XZ%M;	;?՗l%OCdo^r?Ӳd8&VOGޣY8+]^wtX]ݯs6QzOV/~Z<)r!h=X4XOeIVi\\q<:mWDlK̈́\'BIOpb6<Fϻi䲯Hp\082C*Oe/<H}	JtJ3KO%zwvW8XF]lUOg6r\r\npHַ̐|OAR`qL?׬O3vv\0Uow\0KOW\Z9aq(:3+*+m;O~xwU.]bfW`hW\\ܭmP\nkH6w#rv{0=頻\0i.PzZboBL]+n@$G*QhtP\nO#~# |F:Q>݄GPkSZz0DϫI,1h]jP=q\"\\&4o0iPB1Bʍ8aSh@<^!|\nPBH<}FJg=rvqPD+ˢRƆ5BhX]lWP_M4WM$\r]\n]|a*PdM@:Af%C|2\0pPk:ESv\ZLa\"i\0SO2s=P~ؤX7LG0QdkL;}PV\nB^~Uh yr.F>6pNPps%\\* #Q=QCg8P1mK=Y4$	r֨\r(|/g˥$Pj\n\nhbZW>}noFb*RPĽ7_cZs82F%\ZFJ:7PP*HƲB?BnƤ1K ]sgP3JFÑm\0[l%$\rPK&O5\'RTˢ\"Lr<ϑ6P,\\Z` !s3PWJ\0w~\ry!R\Z[BE&@$\rPO\r\0݉U}$a)S~\'A\\KP%?kN&{(bG!㝨Q\rLd^!DG4gt׵ʚH\"QAYZbDeO0{Y0XvQ&g듣aI\Z5Ec&#M/Q8.f\Z`>z;+8$3Q>+]6\'Gq*r-UZ\\>#)MQJrZ#6\Zd&!;]sZ\ne7 QKP;XӦ_f)ӊC?*Qj4b$V7UM|RbBthQtAFB;<b|OPtgyWZQМhEcN0G	7=m0;]Q]Bἃr4?N&uZsQ^QJC}fL[`%%˚ſbiGQzzu}Ϙտ>g&98QH\'<~dhçr$uí0Q!tL7	\n,N{Nw9Q[#Tӯ`0QԎRIQN\\smGi&!0\'2QT\Z\"sԭZ\'@>=;FsP[Qˮ5w=Cz?\r.h+p\rW4UF0Q~uRkH%6tuY09|*/R|75I|f(j\0R(߳\\ߥH3U=NKRe{(TFQA	ǴNRr2+P;ʅr{\0L]ۇv+Ru8ip=J]wBRោa:hxE	gkA	+S֠ǃnDJH0h@ہ*Nt`JStBmۄ4t\\N9H6ÑSBdqRV+?򎻯0SKIr)},2xqj6+iDS^[m_,Y%q[GD=oS_RvFF5߳7s\"O\'GSh`.!1eUG19rj<b4$US,o5ȋ\0\'Yb-XjQ(,FS-yq./v5At*S1VDFET4fہNS\n@Gf_`IFaQm]-<S||I2!Vi趦AS̏[;cC\ZE4?6T	y^\n\\ew\ZKWrNe/{TX%Nuz~cƢC	W[Tz1PWj=bY\'ǪtNT)訓{\'TT2?%iI	`V-  ՊtTV\\-OKXǯ.ŹNЙu1^TY;GV\\7hW~O\\Q{\"T_ GlyN2Ni3Tge\\PMwQ{ki}\riTus)m[|lI\\³\ZɁmUTQ<Jhw)\n\\7<̽G\\TFHQX@fSBDh8VI?Tw_`zzv5`rP[}~3UːTϓ0.ð!hP1s0dTm9v.x9U9ț\ZA=CmYu\ZnUVΙpWx$?⇼PUcZal(+;\Z&E\"HyLU04+@qj?35Sr{ۈR;͎U;STS2.}1XSH&XE6UKCW͢/Z3\ZӶIqUW&k?un.No^Xۅ5PUi<T	,sTa6VUl6>8Sᒻfu8	q~$rUmPg[6m	ecY;UyB\'l;FVӸz`|\nC1BmUk\Z\"4i`FVm¬GXiEU۶B?wN -Čm\ZէUs(4>\0x}vX*WR\0>UWqPuUT=?V#20f~\\Uꚬ7EEԢn;魺9kUɧk)I)G55	fR7U𒃔`Λ)ͽHEl#ez@DUeDDkX5\\h=,U\Z8Z\0U.X}b,WsfyyEQF_[V,{+x}-\n uM8g>,l{TVA\0דDN`\n)Pk9WQҌŻ>VKaFqkNi7PVXWԖx@*kU?P6Ѣ\"5V_QZH؛N\\&IUb󚂇\Z|}VxG٘o)y0`cV࡛J[luXkUv\"PVXQ3L!h\"i#:@V̲D33>/Qu`ʤR@@V\nͳwœga\\~J8wN:mN+VEI0uX^@&2*֝XVbqPJ\0?HYzVq]5 .]@M*uǰbʝDLJ7V>Efw)\\QQ.Hz\rVU\\O8NOy!byAvZW\r5|aU͈3(|ɓkW֪2|0NҵxǣYO24pW;&c6pDX]`gP׌U]!Weō_ցݲ:Ɂ}@RWиEXWfC3Ku!7J!l7˾bԿWh?Cexl}$ӈOJc_WwR%G`{\\]3+G]l-`WyӀV]@aMxezEhsQgmgWx/4/\'x/֑-\ZzsyWo5ҁRj?UZ(O%zWxO`5$=U>oWѾ\r%,Z	A+u82,gL\Z_Ww~sR8Q,q!\\skMW9,P2e!X:^uIVnNYW} 8.tf0\'	WO}leVd`10bW@XXP H_0Nc\nZ`OX\Z?yv}hD.嬛Mv)X\Zp/}պ \r_<\"\Z!}X(覔7+Nb&1Y[; X(f\03Jm<\n%lrXHPpE%*+%tf`Xb}̿L,gCy~eb\'\n41Xc\"h.AbqKӹw_U@9Xp*-[DP<V8A#sAgSncƽXź= )e׎.xipXL]O}Fw	Vy\"#aq\"=rXe$<q>jM5̸z>6X!w4-<[EAbgzXPIJpe8 ,cm[X}wɗR67uMT!ܟʷ\r2XxEKƪ.,lX>w{oyi%UHqAcXr5yw]jγگzж\ZYE4eVLF/Uk,~Y?c*_a)\0|4St}-ʁYBRb-tsxco@ԾPɫYCϩϟ$p˯=qj=hs\"(\ZN)Y%FVOc$m3\rYl5pY=!\\^ox>S8Y-Y`x^.H#ƹ/24ēcY@e?W\\\'lm^9ďޮ-+Y7ɡܼa/c$ۮ7\rDr\\.FEY1n8DoXa0ɫqp&EZ4rB֏znբ> \'dRZG\n+:P|>sPc^M\"qZ%4\'\nC`Zó4cj/lZ6rUB!tRytJI0+dI\"1ZWjI\Zg*(T\n\\Lbr7tɀ\nEAZWr\\#͕	!^lt|oC lZ^x  -}:ɏ\\rNZb)VlJfdX#lW@ W ZS-`~nV\"\ZUMT;?ZӦ8yikP\Z3葊]Z֪m떕\"|OJ}^@ƻZՍZ/.)w}醶[\nxSSYP垫B_XK8Sa#[\n*k05Da4;\0/_7a[&(܇\0ΕljGn[\Z$k˹d?\\{\Zݐg/_,ip<[$r(ڛ8tbMq\0>5F[54(KL9&-kGRK$z,b6Fp[8si!@뮝{Bu$f<[D\nphSuo9a`\0B,\ri[e2<wt5Hm|ۯx#F)=h[e6S\"ñxakAyR[t;}n[ZVL[qTu!-.[u#\'KF}a~\ZY	1L.p[[8akI%\'n& G[)ߋT0uDWP\",Lǫ[I,޲ZF[\n)>l=lV;Ow~ [f\'TOTef==&i[6;]qdJ\n}ʂɥD[yV |t\r\Z/]X\\m$[ȊD1VyEM	e\n~%U,+\\ɭGͫFV6BZ@۪2X4Mw\\sa\nATT@{qZdTc\Z\\Jt.N4\08\"̥A;(R[l6\\^;hz{aTB{`ȵ\\sq)|IJ<ͧ,xLI2[K0Pd\\xc,kWba̎2\n[e]\rsJ\\|߯T(t2Dn\\3\Z#\\#G71\0nXsd\\?B:{Ӗ73LΔJ\\283=}f.p{磨ƭ:md\\ARZn9lr(XuOmCC\\_{[GD%@Xo[tOx1\\HODĨ{d}d2sI1eO:yѪ\\$m]IE#(\"sc1.\\lCv!Bwnsۘ%y\ZY(\\=0b򜩲2֚ `sTR<\\3SR\0NEu=ߘo\\yT{MPu|)?\0@\\1B\\U6ӡj݀]bz܎6x+}\'rҙ] |$,bEw`&uI\"5`a]F5&-]V4dB@F])SwMU՝XQ=X|]<rֽ4j\nhNRz/>]A.ɤz.j/z]HB	m3сhܯ0x!ek-]JebUf7b^p3KOF܍⼶]NqCNٓԁ}~<a]`~$mg[K5NdjsiRF]fC-\\Oa+밎#i4x$jK]FHrP-sen|Xq\rmf`y]CŀPy(c:C#8]vY\nu)SEE\\>A?]LV]r6|Ww\'Y]V05,MΌ9nrDUu7]ؕY\'Tҹ0 P=<q^TȺ^ķ>`}jNG\\\'̅^>\"5J+fi7h&CϭX2\ZK^7qUd>VNchap9k<^>r=`7\Z)x^AG^7 ;6`*$^v_^Nbu\Zx\'!T8o	yY|~C\'^W;s]-4V84^ͼ,i^g KcZ0(!~zW\":N^mm[(C,m.^vDG=msv^:UrUЬDUA6YfCb^Ujx{+\"&?5YpѵD?T^\n0{zs>Nz/@6R^̟LGZܯQ8VW9\nHb2^HR7-IAÿL#~{چUď~^݌)nTh):3\"WjEv9NnZ-mѵK^PK:`XYqpI~^e22eD\r/Vq^<,^.:%5)4Ncj,6|^׋܄yiTWaD#Fu2_2f\nw/ީ}\r<8Z$_M7ĘTf&%Z1S/-v_|BO\Z߭/Blk|S|dǈheP_,aLO0lӔB\\U{Er@4_-n2zYfy#ࡖVPM\"~_^_=>7b\n6h鶨Pj|\"xhy_?,Ibe}8\\Las/_T_:rcߘsN/]\n{zJ_duA#fE*.\nn9T\Z9pYbX_lbR,\'IheRD8}H_oYٱRQ_}GJ1m]~_8@zdf0p`oqqU:_7Q0WA-@\ZCTM2G_37~q/j\n9S#s_ՔJ\nZD.sA	1d Ͳ_64	PK_`I˨1?L_%MSK9$yg_G_$@\"4](XUjĳfIs҃_YUsEƹT4qPMDSF>C6_כ?&mH[JRc# M6E_,@\\S7loFPTިG9_3̥3*m	h\ZnM kX`>:6ԩf	µ(rP`>P͈˙$I+=ƛ0tW26S_<pH`>NgK)p&0L@e\Z`T.|	۞ĉ[bTI``tD;?^+ʓ5mP|&`{YhuAlTN-org`\nR ]s?Idi#8Gp`hs4DU.f$Ea<p[`\Z>f>-\n})ޞgGK!`!\r;^wjMRU\"&ݻIʝi<l^H`=Ix\'u|ΙK!`dIUgQ|X!f~jm%Zp`r{R.1BiKk)5M`S,Ы=3 R=hR1\ZM$a\\C҂LnU[ܠ{\'Ua\nU~Xs\\\r>cf\"a2>b[/Wtz\rlyoUda\'ɎDu9MJ5u|CmFhS00aC$qas6[`u֓@W]-ͧafKZX~ͺ3b]L<7a+J#\r/_TQPOl齎l?aE<2`\r_ra\n{!{Qدa~ͧZBvLj*Ah*bazC居Z݀;4r=Θ|aDmERBt\r?fQb\rC?DK}y/;|MT$?b-a?<\Z-r\r$Z|Y\nbG03⊼\rQQQ@vIF.3Mܲ%UbJm-ʧ553P#A{6\r54bgBxɖ)#B_ur߮+bW(:|[K0bKsmFdAیR$	bbٲJ4k&rhX+vOt$b0#ϦA*>pjqL*LN*\Z4b;ؽw\"S8\\z}N0bQ\ZBZQXNT6{hBqb􈀮9!X:\r3_:mcbqq[Jsآ_~4/`qc#ƈ|FwJ\0`w~^vEpLLcK͘G|\0wO>W! c:UeHCB\")Sε{c&~LRt j>گE@>Ǣ`cIH1Ũ?\"= \nw\"{xcSgy(0^xa&[5 fc`G٥T~zF+UȐY,cO`H;гCe]ϙTc9כaIaX8\rr,F\"C2Syc^\"쾓Ua?WSQgbɡcHoԓıRU~oϳ,P)RWFcj޾?l\'84F=/3;6)_qc.sH*-ب_:%;R\'KcʗBZ7;_Zevd$Gjw}XXyu2Z=Io*6d/e\\sS:짆$flmojd13\'mzU=&٪$?t׉$h\"wd5[&*%\rG8	pS-쩟q`97dBݑ\\EgE8\nƱz\\\rx/dPⱱX.]9FP+zdW\'MJe~vxh{s_|qaݴeͬdc3b[]	~?;\\[XkЗ`sdf/dBlهPQ=#djqe^1wK4IntfVC22@qdr\\=yZ].ɱ d|ImtP瀨96|d	Y@@+ғgʐ>$/d̃qx?\'?lJkS#dIX&܍s!,,\ZVwYLd0(X}v`\"dWi^$_fdri\"fvxʅeKA?S2dNWNVSCƨ!\\K;e!*Td902h,A*;3OAe4cr}cٸeKWCs$Xg-e5kyH~^}\\f#6e:iKp[8qBQě(3eTm?Uy7,K\rpSUn8ͷ@enR.	OFOXPhYC>WeY̻Ls{T=BrvIFUK:eEB	Lzt=F,faZ{ԲeJ*bV,CvbʃP~$eؓrJQ(O@_y\'+*&w\".eb|(G\ZrK<7f=EY\n2fVL$/DEfl/ioVL5rpHͅќ5!f1\')UɺO+pP\rkζf?sӊ1@cd`苲6fS~\'h,P.E1J>3&`B(Lfb\"=g.>{aۇaNl;)O&a,WfhP18jIU?7zju+j(>f9Ȇy7,W2)[*ogӦ\rW:Py}p!;\rc	%,g-Є#h;>	|3zBVg6BNp&\Zgq:sdg;74٣eZ=`7y!uT9V\ZgV|ӺgaWoE\"{QTS{>giI?F]	{[Ε$^#d	gAkD	dB(9Խ&gaaq$+q0k+&;\Z\nl$hg%b]Zjd)-pFj 9g >0n)X2)0?8yg>ٗYl\r\n	PmAg={wu2xj5?g;a¿]Xr~\nt¹n29g.$o8q;Z7tz?ǰ滬ڢ+gΪ#KQ]\n44wKgH7Iʊ|HiųlC޲ggdv|U=DFB;~jZfh\rʒ۩#jE;ի}Qe-6ĀCh\"n9(ah޿[GQ<\"h\'+:ugcYcg=hh0zNW:\\jX%@f;hBkD]{8h~-2q aZzh\\|qA\"_;^gcw\r{PhZ}bΔrӍ>hh<gs).זW0xZHCDh]3l%Y+!Fo^=hռo8u\Z:8N7IM!\Zlj#7hpS=T_k. >UCmiVir	!8@DaE{i+;N3̖ EݶA乴+i:;0$PvF\nSp2ֹi[-R[4̠/IwFE	UUxi`WVdgz\0 *N᷌^eipZ&`Un$P9xA	ӉĽ\0iyHEѵ3E\":L\rXۀ,$|uWpi~::lwˉΤի8Qi(wAi}eP.P|S[wW&w4xiMW@U}POOJjr4M_E{i0yNG\\89\'1+8*HdiiYS\'댵`R^yg4in\"}Vu3)!ƫZϼ~\\C^&$iʱL.1ju0u/&S0iv*+&&@kM&Q͒iқoHӝJ1p@tit.%-x;\n>r#,K+ȷic\'͔Ҟ>:2nQn^Sih0=]8YE\n*ӽnsjh\nј(&EeI\\s`|jS=s̼*a	j!iH4]eL8\rSlcbj041@EX<\0+&Yj$6gCj6vt5r#gAWFٞ#Y ~j<	ѩ*$*srM`eҋ!j=8PNT\r]LTC\0\njG\'C1Khb*|YFjI\n&U@4o=w|xӡ^jPV]g2LRSlwBqKje+=˵hOd\n:t(t%1j|TT*/#[;U[B?,ܐ`5j4Cu\"B(7\rXF4uNcÈjP.cHqI<;whBNb8\\8cj	-%ZL9I~xmHՃjo9\nՠΒy[1	Ij\ZpISbʟS}_Väj&Zy\nr[!đ֑I}	I+j~˴nBA-ԘFOZ*3yA^j֯cQ1\0Fo fyHD0@)Cj]I\ZKxz՝^!bujA\0.ShN}וF|YE\Z>NjSwKa^&4	tB۬iki85{?}\"!AW,@zUklqUsn3\\}%2?rzB̲k2{z$\0+3QӉX˼ PkH%|QeHz\rYo6Fpi0[節kNIP-\Z7}HDC;ή>Ek]^=u\Z;d2kXD\'wMC\nᎺ\'k3/B	ߪ\Zp\"JghkɷdZqNЛ\Z,F\\\ZD+kUۜ[9؀jL2u9?uk]70Tq#C֠Ҳ0jkZu,=\'СǗ:̨kP;N3p\ZxqRWlֻqS)?\\Zԭ!?l=Q>|ZɊ>F5Yl!}[zm󪧥W#	\ZlLU[dg.\r5p\rQ<[vr0l_](7e/6dpk#lH݇\r]0${	%O!lK$s0FP|P\\VS&6B=ѲRli4쿦rnu)Kj5W	l-Cjؒg\\rľϸCICla{!hPw{%&Y0Ғ|tm\0\r>ȑOv<kaeC@mO]^-,qsr6V%Fڻmeч_TG\"^jU@s=Fц5|m\rXC9Sguh~RkYmemN\nTmG#И}ZYՀ\"m9(Լy[EAI\"Be]m;A\rd+j7qNy	v\"Pm`6뽩%Hjl̬?.ml|,C+IbI$Ө\ZHΣ^\"lQAmlԟB:,%c5iN9mnm>ގQQ0504|$8]Wp_Ltsm|i)m`mI}IdKj+9V̀j|,ĥm~<]xL1A8z\0-)@ʅmbO-7°Oa$Lw?JEQU8moyfrGT^5\\kp0[*!mשs]S7LAZ&<섖v߂fPFmmG =~5OURD\\Wqem؊}BP\'|{M2gבYmMڽݩ=FV7RͶ}9dg=mӥ\'麙RҀҌ*z#:,`$cm`ek}âyF[u\ne^m<Fhv%Eϑ1^AԻ\rmj8tɗK\r?G*znDs&UCn},i\0v_l\rn4cyp}%4mb&+uvBn5jAx3fL{iƎ9nB%E¶>9d[[}3+hl_nLz<kɅ7k-\ZAADפ`(2nZ\rc %mGV@m@vTIJKn\\ /J-+\rX*JiHndk.Cz]9fi0jϏ\'YGg>npggz g5s.n5LW4nq0#O}\"ENt!CnuйoLϳSocoUFa[ױe\0\\nTĉIvyOiǒ4Mxn-Q1H.x(jի8XDn!5]X뭛S;u<}3U8\' n-yu_\":~I8*2Yr5n;N9@I-z̹>Gq n0oF!V_1\'xhs<z=njwc=јZ7V=urhnG0%E(G&WX1tF!niL&M٘x=Nf[y=/So+UYݵߛr0~xOs,2wohQdM\0;HՏp7Co\0EŤCwh#9\\铽|o2q\",Hf!OצwZ=PLo5r+}o38Jo:G$.\Z%БFFhSu<oKSc3YW$y6Vl21@9>ovQ\"c4yIARKSUoQt\'FOSژU.Ro}\nd֑%?M웪;oׅCHla՘qnF}uo֑R`#:֥6dǈ8\Zox6}DP\rMb1a|iNpW|bO<fc#_V|\\;Zp\n}\0]tt!x L\'m,ifK#$sppm+>\\#J2=)\ZXӮ=P	~rp%h7=APc(@Ƽp%{erB	d>HK5-c1>}p(%x5IYKfMQ	ڭL_:Gp+4NdJu\05H{7`S_Fvp7RVĊ:^L~һ:TWWp<D9ٌ	DpH2LReGMpLdvX3\">bǄY_[Mϵ\'p0pTc Oj-΢	suj4IT#pkxѥLҗ)DAzYnV8p~$\ZtB@gZz^LͥpyJz\\EHՠT`\n\\7p%јȮWz̀+QSr=:5pYѹ!eu0v?.j[,Ĩ!pmӘD.uIdn1wp=DY\'cqŭgaw Oa<;9pu-i,pWc}hpp2W|[MQWwv$|Cp+L,Wy4m|Cq,\0:>|ACzlq(Fl苗njpEr-R~O࿾SN+Kq*ODlW2a\\,D%1<ܭqq.\Zk؀E#q\"q=1#;+\\^p$qY3i\'GC?o(\0\"+I}lq[8dws#bj:75qijje*ZHG[?=?jzԄFaFqzLk\">EưzxQe6qz+kאFz37-R6>#n&q}bNOnYV8YR3SHC\rjqϑ\0d@Л0l,֦tDqCP !3а_ d	ǸuuiGq YƱe$irhNFIl,oiqʣuG(aV腐7fzLmĳqú٫&UzHkoV!+lVOq$1W֑=J=<-\\#r\ZW	ܿd,ֈL_@JJApb\\r<Ke2K{EÅOr,	RBf0z^*Ha*:r4(^0F1st\nr4rKX?kz^C9X\ZeFY38_rVj-jn[Mw\n=pɲd4cr_!LPpf<vs$\'orl[MÇ\'H$>Q_rbS䢈%VȟV[9n!ϏrY\0jo;q>w,uroZ`a%,@H\"J7xrm\"]=an$7-j\"\"4)NMrrNP_; b0fL\"9uS,r;/n#~؆p$`͚W}>rQ[OGO\'ԘLˇr]`8b@#TF\'w?ݒ6r߂CZZ{L!(;s#a\\8Q0sl}߯]6s\Zr:<[Rd}:Ydy(ѩP\"Ps\'j{FCh\'GMg0fs( 8(\Z>e6ARQ!3>φs+\rU\02#\Z~z݀hss.CU۠M^oSF86EsNlD\Z5̂2GWRFՖsP34	5>۲#vGpsP4ͮ4qo\"F\\	^:Qٷs#Xۖ+pFXT%??crSyNκ&I\\s_dYekP(HP6POsDVi߾[b*aVa	 sU$$Vgb\"lxms2il)1yjuHuMt5(I:E[t*̽vdW;1!lH9\'<	CftlT^7?1	[]#T#t:sr9ca>S|0+/\\3j@tByiC8ͿL4DQ\0oztG=9\0aʮb>\ZOzc1}tIq|\ZGwP8^6eNcf	trX#\'XlmRq{88F񀌋t2zvf#:M{%tЕs)WjDrDi<6NFtḹ]޸HZMmmu\r}[-BU`BErZnZ?*ufKM ]=_mA98\0u Nr8\r1\'p{qbs/u#gTd.CYgЋUWa{u)rB.pc=t\'s)<Iu-ѣAHZ64?ѧ:}u6,]g8MUd]87NXʢ}Mnu?|P4TVm+sqdm~)u@?Ԓ$p*%r(b=ϝAiu=ۦRnJ+^Z\'=U\'u@jh0/ \'0OMu;rjJ%0$UC:\ZY!u#eo^3|xPu	x{	_Eۏd(^6uHU?/:꺨Aw\0x2ښp>Bv\0WbmA[8iERS0E`7d~v\0kETv3dxeʙ\0z?`v7c\0|q[jQ[&LƗPNlv9\ZR\r2@]3z#\nq\r3v\'2Y./T}t bH<6Py-vxgggy)ΦҸs!@XQRc1Fv.ΡWԻlqHor\'Jm7bv26}۞\Z\nog$$@[C\\Vv3)<>ry(L1yU\nvfav4Z}k j>X˚WR/%j5tv6\\yvT\\M	FQKGu0v?Hmrq\0L>=e\nSRv@nL!ro\nڷĺv!zߨA1 `[-v;a\'\"s{Ct(~+~mu@v|Pu<>n4pR.sI<v2ςZ7QXwFu}v{_5[tZ;a+̝X\nx\\&va-iQYhJt	Hi2&i~v1RCօmמReV98xާwנ`g0O!+U\Z4jV9woHpÎ \"M^Y\"SՓwA!(v.Bc?[D\Z;vߍEUw&C}5Qْעu<4Uw+hLOw0?pn~(3e4B!QwƻLbw<[S%ln,-S~]MDpǌw=c^:^N[ X%%N,wDigk\Z#VJ PN]	Y\\8dʜwM.#S{.휜DG8q(FwP:B!n$d2e|6ӹѮ:0wSt+\ZאַHHܷzHo\'3{w]<	^JdOhYHמt.(@,wfƿtoXXG\nFĜcIs*ߤwlE\'~N\r4dAˎ@7j;.W[gwGTĈч_|\'K\r,#scwqX9\0V\\%tw~Bͣaը1ԝu?n \Zodwc4yO.~H{_ʗVГw>Sa	?̜sziþw\n~;H4ǜ/t_vi%]w^q92:_k_]z`=*1w߹xo\0(+%5BBSrl?!Gw/bݱ\n]\nANA\0vLGx#oC:[L6lrz|w3:B=x\ZE\\k!\n\\D6R~x3z	lrgRMq;âh0:Ӷx3M1w:̪xM(y/2,x5r#ЇXt%JFCD\rΜ\0xKP%LaڡUx\nGUTxP1vo0{WOI- zwCExh@jAέΰhY*~it\nw\0%xQnggW.6Yz#IĲx$P&}`\\QyGpr*}9Yxŷ(G*&IAvф_R!?xȈ\'eŎ4m#8uVhxo?!lN;8g_[jל3&΂q3ȦQxTn^Jn\rC@ԠG\\xSn]Br/u<\rxY\Z>kEMR6.\r[xl,B%\\O!S<yRxԴW%\'7&\\az< AKo%|7Ky ݣx#\rjۤETCIfnZy-8<@<]Je<w^ۄCY0By8Vx^kjONl\"3`y9t$JfƟ\n[dwyK6h+>AW[,1/yc++S&a1gխ[yᗃĩnyd-fr\\>X1ʠ-QNyr:\'?eOFZ诮\03y8e(@$k(\Zy㈔4tFKv9g>M@yǧ8=u<&(3e_`\0yUb\'d04to/\Z+]!d:y\r!\rs|kFa2ڼ@\ZyW@]aX%Tyu~61ZɁ\\/[l(yL$L	rjkKjVx\0IszF+1@,0CJO!zb֬۳ygFbeE=zLjR3Z\n\ZГ(nf\rz$p~=Pp\'eyK!v^kzP*$	e(WI![(ܚ>< zUm{ڿY>p֥xw\nTmw\Z~Izee `~wG$us4oō8z$Egg9K93)U:Sz_J?Q)ϐaL^;VzrOU]LWq$NAwNz\"|5ܗ:lW8]PbNC~z-6i	F<>LO<kԨ1\nr\\zkϤcQ=oJ)\0.e2 ,zHma~B;@l\'eۼsDő;{3lp^3k;\nk{2w\rOHSuܟnӟܢ{u)x!D@|HF9Bu2\r<[?{5yȆdj2& =IU,qC<mU{@न$g+Eg[r3{M3#_B?ng<vw-i{\n{i;|-#qYd_;QH\\B%{saVmH	ٱ+r<ĸT;[{\rś911T_P,[D:w{n]\0ֈn\r<w˷X):{,t4S)hd;}K1{g/\\Eǰ\ZI|\'ᄛDi!H{OW=!̏W\\\0vR&~Gʽ#{ЩN7!QZ\0E1ͦڤ!g|m{cD1\"D]]=-c\\|]o(jF\'*١ƗEF$K#|#vh`JOAx\'^|\'i\"%.T+|][xs@|(\\Q&j\"n	\nuѠ|4rcȐDV*{3F|Ed\rq#9\nJt|FYc~\'B _-dl0h|Qh[sob\"Af/$||U6s\ZJZ\r~5\Z|$ݚ|Y\r:l_ƙ=ݤ.M\n׺*|b)MGA\03Y\0QyL=|m!5zdlگ4uOln{+P;\r|q7rߍ{,\'̌\n_|&돕1`	B	Nt-se[|\Z$\"_wB&it\Z||@&o|X4Pu@Co9Rd|zp-vd.,[\Z|QbF|u_Nac:-;|pѨ7{͍+F;}U|ʃ[^Bcx͂Ő^@<=FD|ˆӰP<յ>DdA.G}}_|z,j=gȷ	TF!wd|N!xV$W8qIAC]1!	}^\Z%Eݷ2=c̃PF٫}_ئbqی(h=Fļ}CY҅8#j<Q\0Ƙ:/D}D	4?s.M*{TȇFd\r}c[/NHjnL\ZXm}eExI<gB\Z9skf(h}y#ũMssDj\"}{q}Pd,_P91+BwF~M}ʞ4!ʐY6Y%dXSٻ\0G}-6\'fnTY@y_{|n<	}m-+vi1s\nU8u})H@VbR\"\"ͥ0׹ok}	Wb2cfHByuP~e24x`Qx<C4_~\n-5RTw4}3}w3&y7~CpV_<rZJGԹ?ο\\~\"=Bc\Z\rzn3^~5:ܙFLWs@놘N7~>,O0F2vF\r}ɞkTZ;Ӣ~DZST̵p-7Eev_QymK\\)p~G686*\" f\Z=^\r~PjgkΖ	f:\"vEy0sߤd~QoE3RoJ9>Xε\"؇1~v~zS5ȢiyXpdH~x\"&/V!ca6ft^~r dKHq#%YZꗉ~^4**:rCs%uKhd~EUaqRh}?B@:䰧~Gl*h$*V{M&UlI\Z\\z~;Y줛NPl&4%\0~)+: 1Ŭ؈\"la@MSӽk~Մ:٫\rrq03aͽ!{-~v<gz_ݑ	RC	~5B[1E_\'&xmfR2Ih+Nq$,!%>o5&qZq-So4P9u,*3R WID[1hђ3X??$g`䶝`L\r9;`\\tMQDj7iDfba9S%,#̔c~rrwCpM\0wdJ]@ܶeu_(ujpP5\\֌(Dr3f!UHQ^3\nACsu<f8slpZ(Fc1\'\0$6i2nt_ov߉pjOYvqQ,|a6-=S֍Ipd%_#kCӠ! !ns`)^aLik8>:Gs^u`J=TN`Q5cUFa=OŌܰT\\hX8GR\0z_B?<(Ќeou:@Go5 {`dQz]<{#G	;c\\73!}\020͌Bi\\5,k?L*_Ȅbu%dNv3 tp>?X?l:\"x9lPyfIu&p32ƀOkhWSb^S\r)[eD<݀g/{>\\I6R5.vߋ f6*#6:cKx:1#٨݆=$O/KfԺ>8~3>׍ހ\rY35)>FS=(k)Ytו䩋ż8]c>%9\rϤfzU<Mh&EN+рہH O>06}#<QnwkVYԇ/ @|ۀ\'&Z˥~oƗZږ\'6gi0B<a0[\0=U0-TK#i>l.Z0K]<l>&އCy\Z|W	Y|z>6}\\ y\\FeS#lt^5:~/b]{.\\+B BZ3#f4.xi:pYAdBK\r!U3J݁yR^2v *PL<ŧSҙw8ث܇Si.=$#	b/:LV䁜{l_3t ny@8\ZfU[Y<Tiִ	J]8Nػ4mTd6Wok,Ӯ?aGˊB7J?n)p)=jk\"/%>;ےg%@tlsjjrƂr6yZ.\\Ξ\0?`b{C\"$vR9yۍo4h:	\n*fƊ2gn2I {C[HrA\Zbۖ܆lWGUaGb{\nikTvQ4E\r0E)l`&@򩚺`\'a1k̖VS+\nWyM9>U:\nբ\06\rQ\\lz?9yNqJf0[;P\0X-\'*\0Ie#C/M;K\nAt/cC\n]\\J=\\\rRqL腪p/ĤDQ.Gȗ{<)MP|yE^8}ؚnt&O8(d56GJ\'C:R,;Z,\ZFB>,\\	Xwl4>o\Z[_6.$Kyo_3D&QB2\0T\\\'_MEw^Tw[Xj4sG<\\&e\nP\\*Fy?|IhFIXFHE\Z*9ݶף/BF	>&уJ54A6#\"b2SvJ@\0{U1؝ڸ>)T}4:4SmVYW>\0\0qM[Ol\"o 舲3S\r(7_ Yo$bܤr924?y惀i>~fKJ` 3uxE梖^c|ٍ4|c8\\Þ9Y۳%L`N/~s܆4}?\\QC`Տ&m&=C}cS<%`	&IEibܱl@!C\'0:IWUsA@;J/8qڪgÃlDAבA=<h9)Alt©|yg8T:5,uڄFjX4\rW<0Y{V9\\.Ip?H[sBHxGqZ8/Z%Fw<+-;QngpՌplVNfVV.|vXN8D׉DGgB@]Byq+6ƀ=_7ky~mȝG|F:94uZ7>fثDiUgp٩v䪄{\0/9\'x~Ѱf7Qˊo ,|$Aߌ͝`s݄W_w\rz]޷vXք#bxN턦qFLg~~4Uڟ+\r ?ξz2l=!ߤ$x}܅e(866gPEt	sYkMcǳo1+Yl璻V#qϫp_jf?8omc5֒\\PM%ժ	T0J\0(=D*ۘӵ>\0Z(ׯ΂|\0#Ÿls@0jd2S*\rKT(g.كt}	zCS0j)wdV圥1J{hV \'Jb-i.9EA~+|%\0@mVw%%:3CQ#+g	e}@%s5FŒjfpvGVMvx!!90M֗y-t3oXDwX xTA]WeZ\0p7gKzXFDk5pB#:Np[Fd*n7d뷏1\Zh6x:i6Lf `Oz~\\Aj!^Eh{RPhO	gp3X|)F}h9P*K_	&Z2Ji;sb~~:~Uwi۫uEfIrqpEW?#܈*\\f}ժm۽24ji(S3\r25y\02ySСfU^x>p$!p[r\rf^nEi\0Fs\ZNaFRȫ?|Z=pU)\Z!:y4DY\06)|)0x;Q[5SɝȷdTK:oVLE2yE6_%Xc_+|V7T=ոN69\np=x/NӐFs/ȗ\ZCeܻiL$@V_%ņr(\rnb|8Қb^+򍭑MrV5-\r\rJ<\rWhn,+E(*$P~N{$jAb׹W\"0AE=cݶG/twv7K㛴oGǧvtaAXm4@x5g@Ost7zQw\0,7x/@69	ЊE*#/p?iQkgƱy {#\\o%E9Pˎs]h͂R;bE:\07&[/=scҴLHDl_d+%nG#Hд%ܘr܇J<\nӔw2{SU%	N3y֜#](Q\'nyzMa|Z83P#W(P)\n՜7|#|ig>=th@~1J#x9QbvL\n\'brL\r8֒\\8cI~(0;Zų481O ik(r.PƌؤxnGAhYI壈0v6-Wk)(yjRv5ӓUē*\Z\"Lv::	ȔjF@V:2Gۈ~O_iS\nJI>)D3j\nEI5xp*I\r!	PifVqlFDVS><ɧX[\"v-V!v[8eE:Bǉ8!>EaCteQs,MzX{\\[(HfCPAvy5FY^4}!?~nDmnC!ֺ4K)݅3_ʈ_1[F*J@-$ވT$TDMR녹~F-5陂{ت\0Wx&_	3g_`Bwi[\'\nTT\0\"-v	kYd4 w񪰋;/u)٢X\r/_o[B\nKKxm|T*H9K@kdfdQ0?W*歘fa9ُڇ]S΅HDWIF~<X1g9]=-Ҍ>š08(\r4hHŔHblXT\n\0y\"aRTfB-.Rc/nM,=g$(}BݮD9i@]dE^CAm7tbv[5S{GRi6K73!stiq)ոJ\\(\'UƉR/\nfJhvi5rr\\z\"6q%	!kQ*;MuO*-\\jmkew[pԥ1%7cp!L7wg~]\'=,79v/_!PwS5b#fJWneoRެAW_fER_\\e+! ho%9ӭك	KWe2P[, G7o\\;C(۔H\\ݘ9f/V|i3<Pin\ZEOVoCu	17,su͉v,KyJceFG2u]\"\\#3\nVdH-SL86ݶ;6	yO=PoУ?buה\0G\\%A\"^cίk܎oT+%$[[/tH/(ݎ2eq3۞H-Xt? LA$G?Cq꜆GGT|P:6hL6^EzPuK;l)c<S\"UBID\nm?5f𥋤\"M,O=:G>ꊴm`!l{_,DL+2i4ǄʊŅ.z;& qû9Ԁjփ7\nTtiCbOK̊㯦0NVɀkbX9Q\\\\m,zoFSIa)~aF=2\n)}$$N)ad*\'I<})ػP*lwKB}ޜs2C`h`W>!\"8zH0i V(+kaP)2\0Ւ\0U(rbwǋ9k\"m{R7a%,qJM0w)^_Π+\"g%甖O0[!<I9\"NEhܕAOk>f59%,<9;]9˲i0Ic;Ɗ@pХP\r{I\0(<Cy]1ԣ˿DGrc\nˋpC3Q3#9\\\n#Ihq24>M{us!Rd/hZSC	]_W-{WFvv4[i?irzGa׌/\nىpR?61.xl\">܁%|oʮo3dl݈s9?9:PkZI%-U?M$Le⢒U_F=`o^FpiO@^/X\r!h6Kw?o=7o|<ԛRSKVQLnwrzd^ЧGDC.%{?_z}+iU&4c?=ݽKD`($([䅠@h9<}R=-+K[;Ex,k x~6uz`؊ii7Rq3@nM5݁7-7#KT7n.=$qY\0\"M(\nOraHQ61%ٺxO[Aa\Z\"`҃=ȱRvHmf`lsWBB\nSd3WL+&쌑cD`_edvJNᕪ>bg2ZTHFS}!*rUjk$4mxYJ_\rk@7W	$w(MPXpC}ݪV.WPrE!oϦI]1PCN9\\fvq\r7jZ2)i8&<0~퀍ybiXfK׻Z HWrRkLCʝڛ/x\0s-Qہ#\0n{]\rWh0@=rIKԮ~gğ0ȣ)!ѱK&@<\n%	d>?Ggt!3]#޳jN7|&?ǰղb>Y>r]bχ3X>m>ÃOUyvH\n;Qıg\"WAҧ_gsUM-Gm\"cm#{t##!6\'D!\\֡q<pZq3gl󪙛#iUP(sPg/Dg}#&H3&XwҼY:zq{I<sUxtWgAO/mưBrb,}71O[\'Gd7z\r|q-[IvxD!fϖcDFC ]5XQ\nx!sTP¾T1!`BIrQq\"ZF~ަ-dlW]!rtT$MKP\0⶞lO\'d]<Hݧr@Xa\"cƎ|W00R嬶8Nh.s)7\0;X\\tI7Sc4,O/`һ[%pP\ZcF~cRˆViMJ\n12\0x1X؎\rT=2&{$Ʒ`z#?@\\\0uٍ@kry~ĺC9lxu@Hy>7HfF4<\ZŎ]sLoxEl!\0gUg\nGv\"@:~CGKE`^-B\'F*S1?||w~`Ua=\n3-:oRF*&\rJsJ\rd^ds=I<F\0j(OĺhYefmVr%)ӂx	c`9yD#o\rpj@\'%(\r\"`4-XolKk$ѯf7yӖus#i$	\\Xi </jս\nڦ*ϒ\0+ؔ%V黉yw\Z110+ޠ]  \\UC_s!)~ʹݭ>Q5ƾbs\Zp.(Y*釨u%yyeSh\':x\\F`fsBX#MlW\0#_EٜL]Z2} ~8fHݧOw$}jEkw$؏h|aXxNGZn7RstŰ06<WU.s:I>T-6fOlb]9P𽅌@1^xzoU5e2y)q n +⯐U0iq ,1øώ,㐕}@L(͙VZg|_}U)87^*S$ @K^/T\Z2\"\n@+\nV)-d C+v5ƿ^54Ales^ؐפRcgӀQۋc@yЮ*]a/>^o</9?s:)1\"{/pTjٖ\\\Z?Mn{1)\n-QG\Z?Z}/3\'l:9w):I)̒]OC{dvc^̟9eQ_Wo{_T7QʂwL.谇M=B֑\r\0AtȑN\r>--bmYUMeI_i VHY(oߠ!k{ustټƒl|az455@	^n4k=\r	_K\"X]4@NS	twҠaF^E!@Z[|i(~\nTMOmKw`J4/ww-6̒ qnJ0\"dJݍR\Z5,jd\'YBcH7*(ߒ,$ީk3`tm5^7}MR`-xɒcr-A$:TV8&E75qYjY9MHEX[X]@G3:Omo]?G[!Y֒Sߏ1֓}dQ*t/^Röb=9@dr 2H4ъJMBѦ}\r202h(G:?{r\"\0\'5wݳt3c4Y\0VI:>	X\"FqU{iM$̵<4lؤ80/\n}J`3cl6HW	9z^q-76,svńTe}5;u+,3.-Ï9#F}E\'$$It&k -8lZ6>FY\\38fGOp>Kes!2YfxMw|W$<&h70k7N2wFuO4-@ctɷ3(y\"/S5 M38i)BC[ܚ~ZWKi7/ZHz&0,?R-ej2#XH\nd5\0·x\"}v}u0\nM\nd>ᓎ@,z\n&@]D6NI\"\"{4:g\rISlУ/m~Ynr87EC\nj1sD)U@3k{];ĉaՌQd8k55ai*UWs⇸s{qKcBψ*\0&Ƽ\0?wo^HH^zS&^F޿hY;knݔ|TSOcwDٛOeij3O)Zݟi_L5>}R%ZA>%|@ւpw^o(fPk\"Eպl5zZ8q}\r2{$7F--s➛G2,a?dIu3mK=V\\ԇ|ޕ9PTnաc6\n{zt@;=JMZ}`෬e~vJ?\"/i\r<Hi5+:~p1KG{ƕ`ݸ¹\r? ytbg=!ӫQ69`\"-tP(cn/>)b@HO?5>PQ	F缃`;<v}\'P[Y%/?_@e&\'Gpp2[zDwNjÖ?Lu5Rev&-kUobE7ܼzL{{MTG.{})cI+@>H#qL=a.cU\ZMwJ× \'b\n}\ZQ!x\r5DQUK܅ޖ:(O.Xi+&	ME	zFgo1:ѳ\Z>A\rq70O|%6`	PIY;I(ϋYۖuf/Z\rGs<h4oWxۺ!Mz0V_.=*ym\0C{!YRa\"	`F?MUǭ[*a:&3ܸ<uLJP#=9+FsqIB:U{G@B=\'&ȖfC ~.n,1`o9]k\Zq4ٱxr*ӦwRZ	ZJh>E|7b{d8*YyїB.*	l2Q_d_,6QaA[ز=	2m@>@ATm~FmӠNll>hI2Y!ln}1dZחK7G?-U>tQ+qKz:pcuȺtV5Ȥm9\Z8q}u}o8>&V&NA,\rjYnxIvIvԚ!2q#&a;Ll$d3\Z&2	%\r%~W+n}`+j	QC[\"!vO\r#-SZ8(ɃAҷh/v.O2W\n\n\\yq#16&Z\n8ӊUuBੋ9ELa=T/8,i?D/ - &~\'ɋݱٌ]!zDW+jJ(r]\n=+WU}O/inj4u9ϯ\\-/O5dXS^`M.NSIw*/\riwl%7Rc(Z=mۗA\'j;LB\"^/:qQoBf lG2Ĝw`wnN3=͟hKrriJ8[C=Sѡk{[kF`Rl>)퓆o807MRnwK\\iUVD}3y(s$T琱a	Aa|;Trɯ(&o{!2oʪD^D1CoMt}qqXAiYQMޘ\"#EJp~&w _ڙ6=uqe4_oqtp^Ba@^#$gKd/ė5\\HR].H%Eq Ʃcn\0p\ZYv1]@ôy$]6o~܇] OLHPx	9lKS#n6@#Gbb5_*BpX[u\0T9<	c&Aw\ZENYqi6-%1L˭ݐ;\Z2uY@\nWܑк%?;`,CՋBxVu(|/9Jې@hy(K4\ZU+hA\"?_6GAm!3h\"Vj`+*G6jq`8&R1`\r\Z{5yG\\0Mx[-<P6YE[3oHSVИE]:S*˚D{vJ-C:IJ*H]9[F|A9x~dr[;#;.HAۣc<Ep&U\nOKErBʳgUa1/qX夞d9SyrCT\0ѫ.ʹYbjNZM<hsսI\\5\'НLIxXw&׳?/K$^ce?^ZdO#%Xxʆƛ-F8yd]3f^6Cwٛg~x! }+`a-Ӭ3+@wF_+x˷Ӏ+\'C`&oBh\066+u02ԭp\Z;Dibi\"r\Z@!:MuYSꥦ%Cp,\"GENNNL/4p`41Pcq271I^ЦDvnZUC7Upx,wÛ̀vNxklfB2QWkUڜ\"**RkhW`٭R|5nu-\\:ԜY\'KF\Z1ZS%4Vb*P[d8geͽC\Z\ZSj0134])ζK0қz\'uzu`̶$˜\"XMN͆&V\'#ǙO0-kq2wSc?dUH\nQ73hʫm<GM]3p+LKNǜHRf$|k|s\r̣64\rIbmH?C\nDԈt9! DW~<~J(u☵B&O瑊[m 7Am	,LCTNRщ@;COuJ9\"\ZOϧÉƓ{ONrXU镜Q٩\n i/$:tniKSf]cX\nn\ZFppJVA#\\1{A ûͥJOmO:ϙlW5T2DB$^Vygə~|\ZqQIW#(4\Zb=9-C/s#6ˮCۊ%G8q)ϥvǯj7Z\"Se($KVCm[;W8<{b\'ŏq`\n3o޳B@8Jcýn&Vɹ/[)ۻz[gE>b`*eNݓ\r	hHj	gQ.X]zѩ*gw/^xGq1%S9?R#B~::Xg5[mQӨCM.C\0W{4\\vkΝن#\Z>O;jGgR0GlY(\"y4h/E삡p4337-sգ+׫vC,T1>K)||yDp䏂Bנ#A.{Ari=M-?3u;\\#SR\\;YߵzCF#L!N@69jc@% ܞ?L$bmjT0)庠|l`$\\{\"?~cj:èƞǇ\0(8GfWipJpMbVgC/V!W3Թi9*mVwkZP[:UjB5E $\r(ԇ~YG=C\nw9G)\\M0xa$k٥4a&dkGS#<x>)\"&%q٣u4KM$oݭ{A\rQIQ\Z(B}O^Q4uTv1)\\Nzo\'\n]g\ZuF(:\rSlVl&r\\;;PϼOaJaE7dh|qB\\)6ѾpDW{ۓ۾!$ʤ5g[9SZ6 >),(E<~<k\"`	[\Z)^Ktz `t^u]58ipvk\Zܟ%T1#W$)z/WL-ZE{Kѭv__\"l&ԟ3I49qZYFU	-&\"(6]\':rQFGߵ#b?yg	ViW\ZXJxڵՍq*V8,xҸ$ݠIBS; ɕ81lL\'\\udjFוVQC3x)!TU33Ws/wqa_KB	.AYDZ<Xm\nc{m]RWrޙV Baן秦FzJO#%ĞI,SMV[u\ruBVo#Iv4d?QlHJ6\\2me8(\\0\Z%he[>K5\Z*V\\z%xĦY1xYf[FX6cǠ*uk;)gRIb~\Z4V +ucr>\0_s;ϸBs1M+J5C$r<0Ġɋ[!͇黟\\d5crFP2ur~o(MFS*:l5\Z>ZDrgoEIHPg^]n0/Ǭs?FώIs\n4^TXr&Ԓl(EC4)\ZrK(12e^Zr#jWy5-e	G_m r?gWՠr2ѥ@F?&s~ՠ($̻.LxkWNg<\\Rg_13)16Oރ^L;ˋ.#LI.]+Jp(9ٰXΌ\n\0*p̕^ XE1oO3rߠ1nv\0jHk7q-;C9R_i$Ԋ6tqm4_rnՉ$u*&?e`=89=\0ܥE݉X8Ym	㞉QlA\n!gCn|I#*0\'pT,RrءA5s֊soʊ/]O]8\0qg_\Z^E6{:,\';ZB cNء\"!gxuE\r̉8i&F?w[℟迢Z q!\\\'-Qx\0LD-Z#SЦ[%ɚlz*mҢPW1 \\>͞uLv}:wP([fޡ0[[\nudv8fRDlաe$*}֢Zh\\wOWwSi7G;xV\"\0ݤƫH2`zw`oi0Vj\0يlj.B\'|Zøs-p0p@[Lfd@a1kv<+r	HbXҞLW1&@rJڇǞsb_`6K+l|S.P^l	l9/Ȭx`:eu)n\'\ZcK]QРL!jRkV=~R[C;>fMBR+mvn	t;=%JyR%0\nf/eÖIL*ԟrWt&BmvWU#wI$Klh5b4:ѕWnw=\r0CUR\"$dé6)IS\nE]mY5c\rwcD4AqQixWD2oF0+vBJX\0TPO]\Z8UmVq^o#ZBaCuwIT-$e*1h)ٿ vSh_=XDpi-wFa\ZPN;ˮhJ4mBB;3ӯhP;)ړVz\0Dr?{.<n;V.RyRTx\\h~D@n\\ǹivz{\Z]_q|@TbsBzV&Τk<x%&yp5L&][RբYBѵ\0\\4:\rao|(;ҢL]검NjuzahpF3HO)->!\"\'$t-}M61p9ǡkTb:X%nܢxJ;vww|U-%=FM>gq=tGOwmjd)ߣ\0$Q%_{1ގ7څ\r,?zDx&fv8P?Alm :2MmX:~ڣ8,˴tT^ע+\0^U`<,MWt\\+TÄ\"^J%\'G,~Ifř֛NoYt;\ZܕAwWIIw	|d2Lu=#JR9:x\Zz\'#m:uZǸ>8|{KiE<z?eL<M\\}v6\Z8zRv`\\.).^pĔ/E{~2	Evh:mwWdӨ$B|S1,|KY$TTL_|h@P%HD>ٿff?_2Y\0d#vTUЦ[TmGnamqY\nTorqKKcr <#P5rhf_Dm֔mN+K{VOu-Qd;++O;vD)(P9h],vɮvJM(0(&#쟴>_Q7%l|[l|ߘAIy~k\'$ё^Y\"awE.뤮5]~o]bT\nç-G=[FJ4@ŷqabnd\0nXf6?,=ʤ K\'9od?pGZ{e&\"S\nTkN&(uu0!ϩ7$V9դ\\`toG\"*+cW d+ΊM?\ZLrZ%\0\"lӥYM2<	VTo^%F_Dt!䍥mu9uH| ܖaQLU0\Z~{vhƇwRjIyphgss&:C㿩\rm9>zo|.󮥔\rǩP\'RIR\0)$u	kf]W^\n<贡b_ćȸ[G&R92&DDcQEQӂ_ofIo	}B3&Y$PʥA]]hi{ ԃƧcJ}|\nͯްA(>j2Oƞ}VOצwD{so	kjLAR	V)ϵ9D[.NVKuZ\'ނ?0;J;\0j=\"(P]<X4m%̆\'?2[Q耐8/sG7mw){\\I \'Q}mˮ$R4U:k$Gw 1@uiL0Kĸ:@E^؛36v!l{PVwS!nH+\"\0Ud:\nO*SРLل.\r>֛n]9^	aZ_phRf}	PޯZ{֢JZbRu+$Jp)#蘥>XV%z_X@KOuKMFq:RSO uѝ|=o%-t,u. \rHxeUUHK^Ǆ_%ך*\'Blm&^/ر-Mp#<_˥d^5ěn+܂ˬ\ns5*D^k2mi^+Qf\'N,ntR&*\rSPK?x7.՞*LuK֍v2Zg,z[^ׅYgv⭤YZV%Is!бj8>\0ئnGUvi3DCA6D`Ls<ŢtE>Ps\n#HNo&WZMls`bF+u\0#\r LmNߌuuc^=¡DU{.į.տ]d0ӧzEvGL7t|%\'4%fp#eh-h8q9\Zx	VG%%h/%R/ήqeGF^6`vBI	|2PS?hFMaȂUE~zާ#^8Zy7Uܲ={s&FW\nR_	\'Hu)WC}D&7,H)m-ENMA͛	,_~Y?ck_\0T0ykM38W\\Q7F\\\'F|S=Ւ\\[8(YYVd7{m`C9+efү6U\Zazߏ[_K}P0;rɑB@?@[P^3D5Vw\0\r\'TP΢`eέuK>fL//\'F9r\Z!p\'6D;%^-xh%O4y:X0^YuGyDQb(gEpֆriݙhF=yZQO/L%@=-e-I+Rz<\' іrvqSKU7Wߤ_i9qQo	A4fgSh%=ZN=_Qu~ҿ$3GU4&\" KFjT(5o[wOP\\>03	{ɟa6]0\n*()\nǞ\0zvVMAJUla1 ƷŨrX>5SƤH[{Pg٨V!6\"	BЃh9.F8ve8:c;%t}5;F[?EXnG~Zݸ\\B[)z츍mO~B|A&݆BJ8?3^_͢opʫUCgw(i~L |F KGO]5^AG\"$A[?:M2(VA/|b.4L\'iWFTЎؙr775F|DFIJ53m,YlwNƋFe\\\\y2#niF3Nrb03jg\\mPPjx੄5P$j\"`\"vR\nl_9ȧn\\\ZrR\\갪[Oo\\.a84r5$	C\n\ntYwrc\'Sy:G`}.,]|օпеI۩b̚w[$QӬh,a\ZcNCCnø詑ouj>]7!Ӈk\'ȝ\'cL:b_LXx0Iʪ+Q;/hE;?T8VܒA#I%d{F\0+\"6ƹȪJIZ;w%!W9ѱS	}9nN->tB/ԣ(q[T&7,Ǽ]m+7^꫒vK7[Eu\r:&i|:50= SUu5^_w|)W6c*&Ī]Z\r4t\ZwMiƐG>B\\gѪv`(1in 5U{Io4B]Sf1Ю#8ZL}OBȫ[y}BxwIZЧ&*gH-#=a$--9\'cڪ?I&kEYB=b*ҿ3Ft5m{T<gF+j\'pQ\"}Fpz.T&lGMki_\ZQ\n](_,pgi1}.͇3wz$W<leP[?草p>H#j#E^C5őܔ)==mfht)\'z1*~6UE4[kP1wӮ\\^`Y~F9-a9RdlwjRaS(7Ʃ\r\'E^rn2ͪU?嗸W\\VeL,A/\" 4zX1][MT@JŁm4N2a0Nm).:Ҫ}]%vc݈(YUe%!TFo9j:Og7(dKQArU&Z~f,鷿ܻ\nd`4.{mϖS9\n]bG+\n(x7\"\"5nWIiaz_ݮo^2S\'VAFXj#[ͫ3H@!+siA$uN9T+ƺD=#wjxyӋhOB.h2;bIqS]B^	Q;fWV\0sl^}!/e*\'#Wl);*=$99Ocor]Ȭ-b`(d\n#D!άVeazUܞ|-T[7||Atuia20Ĭ]Fsf*M\'{Hsl\nmL7,M!mۖ\n=FK 	..>D(٪O-R6W=q;76o撴\rV>=5t[ߓ\0su1h,OTU̬$&^9]WgG\">Joe\'7Xw(ucJ[1\r\Z/yF&}=\\HV@r\"B3~YƼ\n\n.fd\\>8{ΆAHJE2>1}\0:aTM[-o	_\\f\\čjtz\"HPl缳?x4P,E宭}ab`Zn/^5)o嶏\05x%,_`@c?TDBu=781z`~R\')F]\r^n@h5⭱՘A-z򼂣.kѻ/񃭲V\"5PG7}j!mYZvrIƒp4{JYE܍xƵ(٫EƵ5d=?Nrs.PЁäO2:~,)ZUsk\\u$1JՖ31G3pRm珮<Ũ7iU\'z:	 6/z@6T&\0Cp˄($nTwV;LQ72N͋-m4|0\0;W4bQ(ɞ@tal2XcIRL 29^d6_V$C8t{S\\ Ib\'h5_\ZQɒi눙OsJ:h[ڮ	ۮ_/SttRʔWCUx~:rQ⨮wEpVѼsc`PEؑ]}܃wz,<?P&䮕#ssj6tvDzELZdM몶W9ITLcr\\h	=YkHTxDe:#o0mϿiyۂl|4hNO~%\n}\ZH[6aB2jf7fL~Elf\Z]ܤVB\0n%M/[;*&/_/!rz¾$et%Tn5?*BRgdm?*\r4&#4NeTsM!r٣0aT\0ڲ@ޮ.m)Nu40d0nh\"$\0$\rO;zjJ,nq U8cO\'xvW\"jC+o%~qO\rP\'GrHq\' [y-NIzc`#0ѿ߯;<	`>7Ts|46fB!{C*i΂\Z\"c9qLԬ *7pO6S`njVFmT`b3&.jݤ(qSjp!puzI0J\0&\\Ar־vW^ܨ/,Gpߜ@dß-ȧқxFkbszXh%MncCE+c:\0e\rު~\nMw_a<>VX\Zl5j~d3v_hi07ǧ?{e&ک\0͏\'4n@\Z.^di$Gٯ6-֢\0qxw&a\'vVҧ#cwr4w%}P,HR(T6a\"@Jm l/hSٰ &^Sh=.M\n6SQaHt8hs]\ZU*FRg:(B\\L|ԋ\Z/5Lr`[RBؙW*_5S!.!5C^ی	İ|vVuMM=rv^\"r-$ͰUq#\0HD`>v+OsCU)Ot߶/m3R?wZL 򣷢5cZS.^\'呰%J(V/+M餱\0.y36x> [/.tT]wpX%]~|4uoAf\\ĐQ(Ë\Z%|^]Y^F#c*(#\n=<e^ҷ\'#S=wW|K:\0kG%oC؂l\'N\np_Ď+$i7=I5iB4<ұ,FgMRhjYı/<)pQКP_sZ0TXA#6{K>~qI=!486>$VsyJy9D \Z_`X?4=!\\zRhp}@,rQ!UfY5uϱ\nEfaqZ:ұbLn-#[\"61zvi~3gF\Z4\Z/җ|CAb9g=><P0\r˵c+\r*+H\n$^ѱ&>HLi#a\"Of,8,M4a!_~њCO״&8Y:_؉\'qP#ŷ[`~;HkMXML`b:$d\r9\\+Ϳ<wC}\"	\nT)Q\\u:b&pű}BH.G;d\\ZCψ\Zo/bo#Wױ.]H>Z*0ooQwf<ɯ]qmf~pż=\n.5Y6}oџi-(~	Wρp`$<\\5wJkSf36ǧǛm0*@/WbowZl\'[ٔ\\6lUyu##ed	A3Q5Rp1\'rSlY(7wAO)FP]6~\"?BwMҳ(N`qدU]҆\0B]3۫#Cd5FC;ԩyN*)J-޴1vj.y1BǷqk\n*;z8jcq#c-aPF& \\(1(R^\rm)O7x{@*;=ۏ@s;Jʘ[ԗI>~4\r\Z$ACSwXZ{}ajD}b9-%\"!N_)\\*1ð5o3rX\Z&?V\n)K-M$A͌k	/mdӲjsEF<3g{\'mv~DEfM`GJy$:xty*Y߰%쳁^H\Z&E5CCq%.ABʣVڗC;7\"AbIYI\0:)ѷǥ`wcw\nNI+a\Zs Lzf#4C\rVv}iK4KTTb=2UኰOB`˳+T9]-!Ivs[h?Ƴ29{qKξД!I\0(I`ӷۯ	(hs-љG$%TBy uةxי;gdB]E\rr8ϳ+N+RfUPt	9xl2Ū[jƗIh*@I=hQۦх0rç\rbRvO~nw}߯gK3Տte$DvEZ6f+()!\"aDr9aC53{A{*эb2Kwwqҿo&GD͢a\\Lմ+^	pBJx7?Q[I!>@Y{<Na+⃞78c*QtS,8ν\0Y7tR~k{YD+)Y;]^e-+An5&_q4+SHx{?fm3`a󴻡.#,t\0W&;yc<qЌ25ݸ;Nk=xn%vA[y8n\n	(h!ekbHk[b0Qy7ǊE3Sjz$\ZM]68DzkTykm|-D68N?%aPŧ)]NC1CLW\\M!DJy7F(<\noM,Z`1OYﲆAQ2:*t\nhO|;z(\';wh{#6qY}6GWȏ!~Zãσ~SLKjJ|4<&Cn\roۼ0+ˍ>|PJP*ml@6Tѕ\"AlIH&dtM6&۵b8Z	k{<مJW~\\재2c\ntJmI!K3|M1j+H\\dyqE~߃!>\'cstZ*J^;6Գ\Z~IDծ$xPiAU-]=\rj1[Wf%>qp<Պ\n)^^c%Wm$:\'bL g}dA	,rwKw/>&zkʜjMU:~oh}5[;RfɈ5k_jQrQV\'dM2*^\0\nq#\Z䉩e޵ITv5܄Sy8#GyF$\nr`ZpGG*\rr\n>|Y&W4xW璪Z)\rԓ(ay{;˶2fQ,+<\\\0\\\'⮝	3Gd߬T*J\n^D1o=$(1\rۖ/zhT<]o:x<UqPJ}PII]y lH\npᶀu!4ߒjF\nz\\W|rbϒ\0E0+F7̚\r<!-:Z[Zjm`_2]\"{(40{֣}\rq;;)Dm[5!&`c>?`(ݮ>Hf=\\T-]gr{G[\ZxDsuͦޱ4EXD6\0ܗDCxbQfr03_LA_g20mz{T()1Z5-PqBҖMGx99d䁊N58\'Aз{}aБ8a;[\Z&+:3W뢅?\ryW$%[6Pm\\IY*%vbb<J<sjĺԴUz#Zv:.NMVrz$}9:qC>,|40F|=.2ǐ{E[rPE~P(^\\>]!r^8¥Z#u`x+I[0NM[xV\"2FqHƕ46#\r0J7\0[irB-p*iƭ1{(H ԌD /Clg9NvDB\"A@%\'+hL^^+#e).\\Q\"6z}_T4xma#E>uX$={+cܧloT\'.E]\"f)|nsMdm˸hiqŅm	wb{Ag/Ÿsä6I--mDW42V9X-ԁ^LG8㸭DC<WFNB\Z 	{yWPJi\Z<@kqsa,jJ!wSޙ)==)eFKx:5D9@؂Ϩ\'<Mtv$d]#짛߸X[nJ@zvT\Z0:t{^!=.`8G?|#C=(6כiuh\"KS1R+/;iY.7/XM7~Y+/\\1nX \ZA\r҆ErBЋg%3׳Eq=v,V\"/C꒹=8uP	kŉ/LAN3)ECC=\0{ק\"};龡tOm_jWG\\bojH]x!+>Ԏz4J1~J9Km`v؋^GRf﹘&vcDOvcQ]P=$aFjF&|uPUMeG1⹳߹bۥ!	9~Ggl򪾨ȹΐ3|o?D^a@ CCN&PStizr{cYG*3\0ȇz=Bl3u@ÿc1,)a)qټqfL1J|b(#}\\EպʾUL&6\\Y?+c2$)68*Ȱ:E@}zPWE4Rc	ĉۓjڔ\'nM}9`AR)y$*[|˺VB&ipU .Vitt]\\;HIdDppSsJǢ\ZC2]h?ֆ~8lȪ4,Ǟ?𴺈lkJ㙸3g>ڷdGzfwSC<v\0f{8:\Z\09AB-Hqgp0U9|wdG͐\\\"RLFvɩơ-&iNJ)s+Nmugh2%.g0K>⏺G.P@J3tBkD|$Ts	#ya\\ګ:KB8co4>G1J`ZI=cBfeƷC\022JnMF2x<ƌ6&FL\r<\ZR#캝Ldp=@fIWX\"MB1QwoX4bxc)@D˥ka˯|9Y\"i*UL<6\'I>b5p<eZps}[Y!m#j%0bNtR&y.sE$i/8&s3o,\n߰j<BH@? agj%a,?]/1{Ƅ/:Qv>rr)qAo\r:;(S>B!V5R_Bx< |9\'bL*^Z\n\\ȩ|kZ=\"C(k\"!~53\rϛ$Lt*13p8At#?]Dw_XY5hn.ce\"ӌ	\ZS:vBi7J7]1kk1G¼,`|]$9`,w\r>-W7*<:gj6Tz308Xh^~m~ u׵ބ22RYRP4H9O}Xc@P`2_PVbBȭItJ̀rcGJ˴`nؘU\n=In}\'`C5֚%{A/^r)prAJBQvep) RNyHy+3H(H^eE1oy֌HFY?\n}Vք魘nr\0v1sN>cID٦I0-*F:Å=IH\'x\\\"\':*;:jl30dsc\0q|KF0_qYsBKbַb(7^:˽2dl@WHw\0	wWK9ٝ3C,wW̑>\nc6iS!ຉY8V#rQ$[)znáW;WѠݥpW]BS7jY4ciAW\\~YW4#a0<g|.JDSy\0aeԦG9~rsjJO}5e33mhyDQ(Ĥg^L\\FqA\"@[;Kkq?By:P\r\0!EÐ#MOzq~Γ8,՟/޸j!TNTح	䅬+.S^Qiͦ&YX1\"I+r|wT1a>00nio+\Zoo`yfny=Cժ8:ξeZTW0w X$q/£1S4ij#D]Uu_(K-nD(@&6oZ&$bX\\mfkJړIB()&.}_jhF(֫]*|Wjut.!\Zf=>/\'^OoE;3\'(?G>cgxWʡ̍V-EArDx++`c`/[΂-JHnOQ_*}܌|QБ\rq-FV0@Tن\nZ~\Z,o{l[UEX}AJvd\Z<`eaX9$Go)ոr?S*8q¾m)qppJNnxh\Za? 4FsfY2X7\n@k%|/@J:y$Lqrh)uF@1˞oA<TQǿ\r94Jb r1LLdO^,RNsSn/ħotU$D_P!d\0LpOk7NlLn\nq&x2*n;Y{uDW[dg{d Bsn9iS*LDE$Apfl_:YT^,FdΔPgẼV@P8S0JȪ)Z/@*6yR7,䓡D\rm}Q4%{{`\"2nE*V$ʷxcRYKSMO-vY |Iƀ^Q.aW(f˿b\n;UBgn½E9[9|<C+~TRBEnH.VR3+ֽfjv5+i#\"iR,k2qX8	֠,It8҂YܧG8)N*蹉*01G9!1}WF8|VapV\Z2$R9LG&m[ӏp(f$RzXZ8t80pVۍg<\nE:0o?%ڡcO\\ޱDic,7[8NGs?3UQf~-X5\rJV-c%#ep~8Ϛ]kdnOEŢ7?>A2Np$up6Y`ȏ#vR0u^/\'~,sJ$Tl>6H<oBr[n׬*ªXz\"ʣY_<\'}@iX^kVQ=ʧ!d~+Oigi!H\n\nu+o}Яn[hDe(ޝfO[v\Zdq|j?RN>AA{z=\0tWs	a݁iiW[/;qP~Sr|L8eV@5 ]UV1NkԆ	3Oʂل9kǋL[S8,^+\\鏯\")>(J,eh=UP|?7TvA2YB\\_da!\"QYP56#*OyԬ,s2xpFT-ou	TT>&Wm_xИ4rk)Sd1DSZ\":4RsGWėT\ZZ%QaK0Rb=ѶX׮,c\n5ikhaߌ5>tٌ^8BrZ`^=1{K	~ظ1`\"L\\|w.Dk< drOj¼ڃ()#}GlJv)¿<~Ͱzuh,yqphO3A(Y)s0J/@(rO| A>m/[*nB_RG-YX/ZKq0$H]po=\'sX&͋E;\Z%*jf/i>;	Z\0*s\n7)]Vl^B>-t@^~W-O&4#h{Il1@lhbT7a+y$[7B7k;3Kd\0.e^7AAR&DGm1eE:âsl\\KǊmb\0V96 \'?nHÉvp\Z߾VۈZ6jjËH%fV֗M^^4\ZÝەt}y%Jn<~\Zjægmp(_YNjs>ESiò\"ӃƋT^ނw ]Eԫ.F=|V?\r&EHDu`F2<\"h	9ҭdЈVoc8Q1E/=\rX݃	h^/WXgjU@6%0I\rD4e6So5RZfޱ<Ÿv+vD>m\0a)7t2ͫA:yLª%XܚlYD};7s̻ƪ?ísͩ5D]#knn\r)1:\rxg	l!؜S\Zc/$.BEk\'ZFy|AvPUIEAL`L_2,Mt)of.z%ĕx\'u~ze|\\Ev2rĜv 7giUeޫtȾ!͓<AaOgĞǑK]Q_roXϳ.oA̳\r]y~1]	L(p_]p^8cLәnR\0R\Z\"\r hz\ZES)nnMRa\ZpK3=V#ejiN<V]\Zr?_}9zНfi`.=m\Zla<cGB\"$)8$W**fS/,Hk!]\ZjqBlGu%?ncfdvdGBwiJOZ@-.qJv\"(p{v;fˋ &UuuU^$d`v7fErR-yV*LgbJx.g0V샻ZesWTm^\"QќG(͢eK@^(1]!\'\\srKS#A/\\\n\Z\0c|ffś<=!-uW=T\0cᄒF`ŦO\r+\0A\nN85p BbtVV:Ϩ<(yk^m<e6amԮR%M1;@t!0%/;+(݀t\ZU)t	-b[)>\Z\rg6H\n w28+lroP@s>L{4`DMoaYmytP*\nDճ0AA\nkz}*$cS)KxX1Ӽ~bݥ9wEE3|:Gu,vlȾltdA4f@HeXqƁ\Zd%\n[Kn0!&^pƄ+nT\0o<\\?_.,OӔUƐfB䍎C<Zx0譃Ɯ5-Zdn3I\rC\ZHcAƨf}>^zTRsEy:vʋ8Ư<1ֳ-Pf@G\rGyƴ. g]Jz`$LKf<ƴsfOC|ut=)k% Ya@ųtF\\\r?vWCYnqC}8|M\\<d^\"ą9ޕANĔ򜜠\\bZ_uC,PI1[\02_H9znD	rY[\"?\"Zc񦱯g\r~ ǐV5?B $i1a0EQaQ2F\\>0/.\nw\'O-\\mo}%-\0{@\n{	ݒS/-6Rӊ\0Y\n痬}K³Z?A,\ZYum<slMaPL/+vwdǁSzQc\\N~(fZFJ~\n<ǔYMgE+UX57HEht6sǣ@x?LHexݸq*a.dNGkNךP\'hH>[Ұ[g-d9#	35{Gg{t<yS݀<N!)vX^\'P1|р8&dK]	E4v۬>t&gk\"\r+fUʰ4xY*RlգzUc\n5Kȷ84]$0T`1oF\"&\"9 (jqz&̱ȁuƧcujӄltȃogQfE-fȈIy\0]Qἣ(Ͳȵ08S9M\\1ִnហ/{4ȻIŔqd<Plm,9/,I;?%y[.]_zaZ%U$DW-{};y*0՛s:@&O\nov#Ͻ0D##a~7ԺMާ/<]Ft֏\"O`3vTlΎ\rGW6,΃_{*O%EHL\rjMDѝbSF\\vl%\'Ͱ^3E>ˑY,XRk2QLOP(m|9pYuc?-F=DqJkfɢ::Kq35Fpu@ɮamș@DmPJɯ	j[IY|ԲbX$nG>LIɴ߁10Rzʵg\Z߁ԑ7Ȳ%B]g\"`.Eq-C96q <R_\nYBbS\"B-+GQJ2~snm1+uf\'sOdNtk9^{sx*X\nbsQh\ZP?Ly8&>IB+awqˏ\\N];L?sBis(܀zHO?۷G۠ԙ>Z	~yg-Gyvm\"GB&i7qʥv2Z}K_	jIl09Rʱ~o2\0?SV=ZsLMk;PhJK{+f0|#8:k ߪGG0hdr鎄\nljs!~BOl;iKe?>VPbAy+L/SՌ$.bne͞BxMgFhW~d\\1a\nTp@ǘvDz|3E6E	j\\P(gC?#$/TA}\\DU^\\m$Io*ẾV\0![ #އ*\Zmhp6o8d9#Zѝo\nT#t9rd77:#!]6I03ѵ!RYBUxlrXwc<z!\nbOpL35pD^8DX#qֻ\'f.N!q?M*]- y3,4P9ƕˊ%(|⛩vq\0}\\lnˠ9HǱUhLgN{1W(w\n˺C\\=vpOW)[СM2SS{zb-ͨ4]?^Dk=3!Z=	kB§*PyX&%0V>\0VKN\"KPK/+R$f!띁>7Mi_\"4	Zg\"axh\"\'Mi55L)\\eVA7rdmĶbeT,WMz(=ǌ	<5/#PNgz\Z&x?49<c\'c:y4Og8ĲFG\0\nZ7|Aq+SO\rz~(fYaιy=A\r`]Ƣ V])#dOX1reT8k,Yh\\cYNiT7v1X~J=_[i\riJqo2ҋe}Xto|zJHް>̆Fñ#\rb48LI۵?2}̎1BSb`;\0&:Tu%f^ځ5̓>-Pc/srt)xK>l$,\Z̚Q\0u4J47:\"R,6\0\\̨tX\'Jܳaim>#Me̵ *o2d*_6c\nzpqJޱe X{~k\0a֒9pA&a&J_\"OTa\nS.7ĝX`j\nf}DErFJ?CNТr7eAVk];YE䙡m6%\\3de\nu8K8BTI)W\'|=]m8ŉn-`u&tߜSuj2kpW6{0@\n-t9$-VrTsYݥ/h)`63\n\0fByjZi\nFغ\0 µ#7fhCaT\"ё^>2^~\"-I-.\rQ1*a	D.6OG\npQj8.q}PҝJ:hQyyf\\u:66k<RV8:xȑ͈{g-Z}^0:~+>x[Pͨ8Q\\fMJJ8G\"獃N/6j)RV9 yORvnX3f%0y8x{No:KѰy+!1EÀ\'Uʏ %Ix`Lbɚ[_I%ǆm_|SLha\'\n	(\Z\"f_i\\G=X1!54V?g!٩!_#*B	:_$̻{ϛ@]ӎSC\03xS\ZN| \"hek>t3Sm*3^e9|#U6UOTbo~s/.yN+4[xV5+D\"G{\\u-TƩ\\Xi{ !7){d2SgzfĞMJKKY1ΎuL%\0M0@ΕN:9R}5U\\_^s\n|Η)nS&[{T.6Yi*HY_Ψ4OoaR˯^Nrk/5έwJ.ֹ҈r~w=4jӐήOOy#MPubT2.tٰ݉ή޸F\ZgTi0bwiIL\0ƚ|C	&M6\"E;i`n7(}9/#T?DPX`dӂ|ћ:D3CSCklStUa\"6kHDUxKU>5Jʧ-LE{_E\0	RB}NsEC%\'ۓߟRf?\rUne\"4\0Cp/5|X@㺪gp.\n5_Uqڠs?K3^kǧ!\0޼L޽\rbգݭ,luݚ>-:[BǓ|*Cǣ@χ87!\"(Rϋ2\r\ZaDD{oό=_}+~(ȞevrC[mKϸ$a5QcVjv`dmmYQ,|:Kʒ%DL#bXWbp?\nQ@xHc*XOLa/{ؒawn\nyLIF)|#pSRNbTismTJ{)Aon;9%n[:mtog87PvZ:EFMs,6Lb!G3Jv^5K`GCЎLX]\'kAm]J7MBЙBz\Zk Vwnl)\rМTсFC)k|WjNɩZ]/e{вe^K\rs;SeD+Vc,/Nо;c\0ׄ5s+{u7^߭kF5-n!x`Oksu=J$u	8@Zx`#)+poPˤhzY[|`;]X˖<Rh#IJ* Tq\0t<bCK7jBYCn»̹)B#)\n@}nF>k7X*ve{}bIP0ιo-jC-WBBusٿ	#g2&*<Ԟ1V=(sSl.B+u\\ۧ-;-R8kp4C9RWJ̡f+VUm9jODzq蔷g\rӒdK:DѬ.AQ%8;+[}2\0O\nqbm~	+jDŧɽ5h\n`\r$%eG\Z8	cb#k uh(\\F#jW7\"eKCds2R\'Y.đ3E9D>	.2,!YS[w\0m0H+\rq(2=]$ɆpLdGa2x~e_Za5ڹ-{UVdHrV(-W#Q?`GuGp~n-ғDjkh)fxwLQғsa\"o?Щc9CQ-yj$ieYi{p\\8ڪf.$FL6wfj\\iAxkʍ*^D.oR|D9O4[J	\"<Ɲ2,*5pGE?:zM$qeƭba2E!tdgj\"Xks	&Q=IjEN7\n;R}lpfVbmmhc\\J~9HJ$[x[֝~m/ȶ>ũT.),l;;o[ӆˉDgu\nY2.C0ÎM(Ӌ;sdO&hgC0u![+\0Ӟ*سjEW;>$:̈4dQ+aJӨ+`qs{9OFxvNms{Ӯ¾&j\0vS|.kӷĆ{线m-a.GB1n:sӸ9A!=׺a	LP:Ԝ̶:wyj=ҕī6xySy[9l:Z=?V2T%<΋̪ѬJb+/?B<\\|8W)\0j|(	yz633Wq\'x0`CAW\'>ݩK\"w-\0CV!)3UէyRԜI|y\' vdŌ#Ϯtԥ宂EO1\":9(TQ\"M4%&rOfA[Ȳ4ɏݐqU}R\"GǄLg+\0vQv1R2ߡ/Ɣ~Ϟ-\\ \Z@G>uyaxn`fw?6y}>m\nMR\ZVyf`TØ`s[|CImyu>j\"e[8%\Z\rˤ\rN}RmD<k1\n%D{RӢ\0M+2Ӣ;\rM@jc3.R2-OeZ}{ 7tBR#\r\n0f_`۽\\\n}(nawC9-AIQED^Yl2Jjf\"3zW0YP{{yTzwyjmˬ\'fښGĒGN2*RmWF~mK$QՎ1m.JM\\kV?1 [`u>\0!,Օ>o* ,_wE]I`[3Ֆr\rGVpGG݊X3;՜5Iˆ3էKnLm\\UkJصlLզ`A^{Bb\rN\ZJ>#\n\"7`)w10.^Rb괚fՎRS\rG4(!OX*7Al\"8sՂg\0[ L;:w?6)n\r}&ap6fK)^o灐Os<A63A߯%wZ5-Dڼ@JS\\<Cޏ=s\'WI&\Z(vaToO,\ry\"ƺHoSvP	SKwcpU%(lfU}hp2+nDʭֆvBǑdX 1fvHy)l֚ă3͒\rΝĹTN3_*.֞&ur|i+Q`ŸM1U֠)8l/ZR=YpO2Iu>&˷uUĖ{kdo\\o~(y&jF%@I(.#5U[֋DB@i~1\'7Ö\0W2jʙ{`/f4\'3Z\r701]!֥\nc3*aVֆeƗԟ9ROt\rC_4czSsTM)PHٹkώ%7f+$.~ӛMxkv\rns]%́Tĉҩ^{Ǝuj-{V=O\\j??f&:s[#RDs;ʅilbX.-t/ykOՇ|{W9mdJNRj8?|H!sђi{OT6{z480og3xFR.:+װ&䄇2C.aeE0,9\'ZS54G[\\e}*<|L;zxx?&WFf=x;Ҹ.uL)Ԝ2dL{035Y!U\nhq\\DGhB,;b&<C$H\n>TEGN`-*(q#ԜD]KXJnpiήo(F rr^$O5M&JDK0FNw0\\Ps-\"d,世n7z:nSKn؎\\X)Ш®4ʸcWþ#E5ӂe%/h]޲#ш9`vb9N/lRagLwԺQ\'b(c/:+~Z|\0u%rvBT iނNɫ/=1IDj0\\lM51(R;\\gՌe՞$_,j薶tC@ϊ&8Haq_/BuZ&?y=ӡC6d6m\\]vayT*fZ/8߬U(WU{-V͗8$4l\\L4y\rotf`8^`=@lTzŜ8)}~H}q٘\"[,T#H5\0F	\rRosٙ$ѰRej`^7葟%yٜM9\Z/\' ٞ4bVttkEp%~D`%\0;ٴ M\nWX\n躨||3ߜ++4,ٷ紱1]ֲlzbVPx̜=ŭ?/Č)-\'Lԗ x!Uw_nFa>e3;vztPi(d|\ZVw7BAzzMk+O5@&},pyF(%Ld\r*n=YNt,kL]*]>N5c	Ynl)\"qqpuu4F݆$ӕ_p~*60#?BTP|:X\Z@d\nf!B>j\\R^3VcZ=.\0܈\\\',(&M1^t&*/:7`P\nS!:b=.#R[$V<Z>f+mսRh_i;1zm6@d35(G\\ܧDoi	Pp*vw;X?=s|VFƢIdE<8mJ.Ewj#_\ZܞfnN7U//g#JKӒ]堹|MnYM\n}2 `Qv_\rzB^=څc:ܾ|@l\'e߲~چL-u5Zkw=03O* ;XJ\'z0ګŲT\"\\S@ޥ+0yrx9M,ڮ(\"Y<%I 0c+	Mv1ںQG䃞uGiԯg#dN,֢_5^W{KbFyPXp^Mƴs>\ZH.\rߏZ\\UDOtޔ&ŔLZO\Z4vdU==cx\\魞5\'ҵdջ`k_[aJ{p\ZE=(X\\s	pJTX~\\sAk\Z-=}Fb᜾TEw!}a}.& c-B\'Sj?t6SzåZ,jۂwT\\ +=ាb\'^xK.ۑ&\Z錷ې7~rbۣ԰<К~_m?##B	(ۥ~b%w\0 z9wsn>Dy1ۧ#)\"UGܑ]ۭM:EZ<v(@^eK\0۳}sYDk6M(kGNة\\B·Tj5D-8FQ\r%.m5R㖩\r;gPklr<CD0*\n)mx:.owpԴ6b@WFk-1q[42\Z@r: ӪNlTD,\';=%~	H``@}6[d=w\\+y%e-_+^J6^NihOJkfiBD̉I~.lvPgwv\r\"aMI\\P;b>꧒5>7Dublg=z^z)t?Ū鳊<)+$>S 4h\"hAD\'\'|6[kF=\nyifmR̗Ui؜!YhLa门b|\r,7@\\\'>0n+SK&sщ\\;Yq9wm3t	ЫQv#`i-1ٞUhܑǣg\n4 ]D$WܗEV8֋i;fe|ˤܝ.rYMDMKqĹzZpܣxL#!E~p#wp1[0L\nܱfXI`&:=^bKG\0.ܴ&#kpe`򷪱hfsIXNk:K:\"$_\ZgpSI{ǫ2jPfGi+YHK׀&f8Hk[%mrs+n0Of֠7yg\0x-8EmbE\rH	Zm\"6N`! B\'wCˮ.0{\'~K.sJIPګ&nR	2JX}k;\n5Vr4݊w?L)Kf4ٺ\ra~tnTݩzKuY.mi4*UTݴ\"cYO|D\0;.Ѵ*Nݿp\\/h#]\"\n=/MZփI33unM5Kh&bV\\%Z$iC1~s\\6rۘ\nΣ6tt|hfS?f_z`y(H2\nyπ8FpBkʫ.E\"y3(ɝO6Su՛Z&S,	p\nb!s!ͮ]>\nOj5RLCIeỔJe\0.SF>.wg:$\Z	V8{V9/jzbbhF+\0~XtǞC{%f\"Z_m=Z>D[{/m9qN9wN|\n֥sj*bTO5pp`)ޖp1iМ&19ޠ}D3̲ޚ$>*~wa\rxޥ\\}9QZ\rHO\Z+C3\r͇q,ޱ\n1$d8v^!*3#͜v@3&hN;yB\ZN 8	jxoXQl~?8ii8|LeI_y:&Rz<OT%x\Z܂it11EgU&21YI\nf	YᦊFrL7uSt֗pǯ$U-m ~V>򘀹EY\r,iՂ!\r2nD9T%T֖\r>ƾR<F{;xپ۶Ix3\nzǖ۝Qh-n&Ue\\Xj`nُ|&k2ʰS|I߆Ryrv@|z%Ӷp,ro;B5\0CyaFvVNcۊiBaTfX|jbdPCW>b$=Otǐ>G8jj48-sZԏsŝf?߅yRz5T\0DU磣	w̯ߌ\nrsgɴ5Z}̼ߌPܻ\0{QЩ#m,x\\`ar_ߔ}>&Iy	pby18gJ\nߠB.qf6*_-WI4K2ߧ)sg,He|\"j̋2(߹VNA=X\".\nŅi2~<gqԴTϗ~%>ԍ6m_5};[IFi|x7N*TZj\ru^kbڵ)P\0[\'.l7^\r?%RcIglQRx\ZˮR-SZo3ҳCAj	M^2ɖ<tfp\'P6߱)u@SCom94]2IeEkqh@N>އ͘RRSo sByc!l	MJh^`7Z=^ԯč1TgرDwhlԑ_x4\r[	\r+~\"j\\粃h_EV\"R҆c}oiӿFp&KIPʽD[E=3iJ[ax(aBtgP	B\"(QG<C<F\Zm_=|kBô4>]Ffw\'欚Evm8aĆJHڢ#eR7\"d|CC0v0K\r-p4,KY(I xDQ/tvǹU8-4J\0)Sִ?k\"4Z.Z9\rkXe_^q(ѵ/̹h22&Xt-aZnmsNQ\"?mFN8?pi\ZhHz᎞O,khiYe8;w*Aފ&\'D:5`v>dk}<6 ȀKB۵&|UB\0Y;@7GJ۽揷+I-i3<e\n!d>a%+eT7 ҧgяd,w=	{|\ZZoϢ.p]U\ZeOlP&A{5/w?Z)H%K-xrNpꔨ%$,5%m,\nu(ޞw0KoHJ,a	rU9\'s?|R0AtRWE )օuTRYT6r\ZIZ)[w[]=`LÞV GLmJafo\0We2`:Z?^X=Gγb<HGwE21wha3(J@‵`iz y}fWmhGmM]H\ru:4̩i7[G쳙r/a4v)w}U+谆{3⥾ϵ瑉N)]W1+Z*ʠu<e\n,&ͭ1:If	ڦ%5@Q85ʂ1-5ymn*$\\lG*EM\nl׭m[-B8YٺdJ6S.V594*fH	r*\0Y㱿;+h<RV_u&R:ƹW\rbCJ9nFB yJ/adVBZLC;wxY^-сo/@87?!c^H\0E*Iz3^MP4FlwRCH1\0H\rgf^Hq*v6Mg2IYg_,\ZI.&;ӾrV<SgU|4E+5C828ҝo\'?_8ۗ0]$47F\ZA#[RAr57{07f=9GcNyΟor|A\ZU\0jJΆPM6.\n?~oΥTXJ)*aL#Vŷ42B2,uʕn}~҂Z-36	>ӯ\Zz?<^޺%8\"yٱOlB=VGh!K<Jq;(5nOjnYZ5qPܠ4zgzBtWnW&c\'J@{Trq	*kJ+0}VLf6	ӆ`lI*H?6G}hoB %L@ĥbu(FHP\\ȯC9!cnN*NJg}Yv7Oh%.\"AX*䯂:roO\'7x9)yj?wk6(.Tv̯15Nb7ٳUw*)h	+ڞ\n)QNkU4JM\\V^1urYޥ1mwt&Cr\'BMFu\Zx/D9zH&U>+TKF(,`:7QǱ-FZQTƷn\r{Puυ~\r|FSa(J}ȟA\r1Pxzuѷ;gtS7Gn+Q1rgQ yg5.hfhm;k W8ˉntAbyMϐ;(uj?]$C&eZ%,zfw#nؔ50D*/rxPgb =#\0M)B\\eCAwwKHY\"0d~k:\nYïy.5 <ooP?DO%ڵN:({ZӌUJk#HT]^U\0Tją[ƷGֱ!IzA4N:ӊU	[y-)5_Ba\rc;pvgm-,_\"TP].힭j8\\3c\Z^@i# UcjHq.!۴	^U\rs;m幡F}I-6n$[$\n92%V0D2`qT&%q5y\nVڌHt:<k% (1.pIueIt9]\05^\Z!cxNdiGeAI@\'iۤz*bTJ-2<8Ko|nF&Q It-Z\r˅HF wb9ѿ\ZxRcI0{eQD {~aK\\-B\Z](5z!UN[a9{jB0PoUKjaWś\'yY曗>@-=	g_{-SP+fQp87i!*I6Kk	oyAw)}\\C	\n=Չ{o׶gbUh6XE.Run5jO\06\ntu=5Q%Ǜ|߂YM\\JabTjbGarU~\ZoZ\"Tɷ\rM +	`gOl:l}s1iJoZ3w/at?\\piEE,8)Tn,qSFzȲMRW3\\\rq1?XEGDfLSq`	ٷ炿E$>96g\0È];l\0l*\r\n%E\'tF䝆煶\Zf=?;[%j{jMa7痰fWeJSZwkXڱӍ~\n}@=\\YYC]Ǣ5cZ\rlYq\n\")\nSe]~&^vwŜv|چ`z`I{zC9]W9Ջʸoz=pr7\0H\n({S=gkyo?8Շ|BD137ţ遢\n<Yz\'jX`frQ\Zȿ4MF/-fr:CK\n8]PY5Hgb:<xݢX,s\Zi(6貿!gъk8-dxj)dmx́߻?9ݱ|X!l%1+w$5Jck!ԛHFfK\ZR$HZY\n~P.x꜃ Nî(gFw@Ya_^f^(\rO>踭,\\qr*Llf<w\'1m[Ί9 PxUrGEs;?ݚd t-8e0W~*>< *0V\04~tUgLQ磺1Zktx*5I鄳~㾥ݐnn\'-҉V>鈢ڛr],?i(R;}>QV!yvpc̒P`-e9rJK\'t>;髥ħgZCJo*^ɰ1NJRiBOӬBVhpC%Z}=s<۔[Z#g *\Z;1\ZE?Ic_c#ňM-[\"nE*9p:cZT\\:_&#`Q\n.	.E@ю.%Eg=N3>g|S(FjǕ\n;eX4PievWsoڋLQBWbexAj,prkjVi]A\"3#q Ɔ\Z)+l\0#<9\"ϕAvhzJ>AqW&zUV\nW8 `\0ayxHõנcΏͿͰ9O8^^]t*f%YE5<`Whj0g_MTJ\npc[_:E(.)&$*~(gf;c\0̢ce:Hb>R@\'=v@5)y&֫\r;&؛ƿػ5|V{׾A\rreAFzK`\"?EzcRz͞.V~!6k8W\'|ǘrfH	/A.ya餷#c^SA_7\'hcv]#\':zKl?Yk2W>-MPN`g?\\\n\rK\0J<ǘ3bxT:W*r-6fpxc,hoNI[\\`nB7$·#t\"Sm-C`ɊsE#)(A[h\'|kaOIh9A\08(?K\n͠ZNtaZf+Ǡ\nKbLDL94ݬJ݃ClE<aǈl.ēz]\n\Z:zs\0nĽ>e[7NJtt@`2Z\'SV\"*XAvkOxޡmdFFÅfa+6)rb4ʲg}SxvֻaʩD\05SS-*^Ӆ\\w%`0vl\r\n?4ɿr֍On_4`/-\'aYI|6`Z4\n\"l\'U8ykSlصA(GL8!<zKriImVe(iCx/?OEqi7A:3\r:?2=,+)̻ng3(Da!_y	QVGK҂sv@N\0}AvA$=08Qj`\Z98Ra>rZ!e%duH/l+ޠ.I6(웎yRj\nMx\r.s΂&쮝yY#ǳE	92vnjs,_Y{\Zk]ٛzJ^z{M9l+:A}00.@L3l囔\\HiܵxfLl#@Ťe+׹=So\nhѱً!J~ẞǡɹὙg\ryuCx;P{kyM#h.?t#ɠ\"z)`RI+_#ap[o|\':@A} E饬2,)w_DʉԶ͂6j40FSc\"~G8<\':M6/U9)OWT>S0\0;QO%$K	\'͕{)_ĝ#/q&O[O\"²,l?2j&,k$t3?iYϲYڷO5]I{ٚXLl#,\nWMbXzp)\'F{Pniq9o̳l5y9Mb&iKues<%qѬ6IF_\'Q73#5XNxL+֖}	gTj,)0f;7p>Dy(-s\'#֛XމΆ>풏9Fܐ𱐠dְH]@ePayŝ&)ԧ0x)/mۅrUz&[j}wREv{AG5Fi	y*dq]OX=>j*욬e3p]L}``DX1عWJ]cƈf	uJ0fj\0ցsZR~]*\"rdS2!{֣:=Nzg&$F,lK급/Í9zÜu\Z\"dm*\ZX͹[I|4r_xS*t^&/\\$r\\`ʳa7%eűCS6ǀh2.^Ww_NCnd,ypU~2ʩw:jU/t#L\"utPw\"Lx|(.ayѫu#\ZڄeuuI;o,1{[rѸ5b,B2+YGHQMp+i2vCm*iQLCH8RvJjo޼f2RFt	{[Ob4?fs^Y\0^%mp2X[j_aGv@2b\\\0~*JjT\Zw?/cg)eZ~&qN7 Z-r$E\Z3b\nNyoHNmQvaN/	Y!v46]3]3<ڗ<*=t󅡢pEKL[Mrx%\0b0qqĂ|x:_V5:USo2ҾPuA_*}~\'K9;4p\n+=UO}6Ԋ|}<yﭼ։Khxޫ(R1=~PwºT+In\r{M_໘`3x4L#\\rԹF \"$qc@\nCKnAO] `oCK.U8uiH<pShZذ/\r.O}9fPko2,=A}P#\r5k,PD+>J5딧n.\0URqk\'i_i,\nG+L.\rQ\0%\'ym_#?E1\0² 75mw>Z2Q2K=^NqQ\nIS}V#N7=ɷ5gD>h]3\n0_эWg1*VFIPxfvL@pR;KR[:[*w(1 yjL3ˇd\'V&}l]dOgV:5fHA~l!/6yԶ![^IٷO3E}{Yz#@XaͰ]()ck!~s~hq0X?8̅Hi,+x͵SE^>6\\V6 Ei*X,/6}%]v	\ZY<}]8c4=}Xj(	;wgָ,\\R0$koA{2#am\'Y#O(&\r\n0{z7jRv^0?2Dh4SG8RHe4ډ3z\ZrK,IޗOexџi}.kQ_39y\nb-5c,R3\'r.]9cxߚY9\\~:Mo\\K9r^K;IfǶhj}upIXpھΩT/6FkTE;H	#ߛ{C\'Vۨ/H_n{FW?^ծV N	-js\Zjh߽CșIEbUa9e׽RX?楐1ih\ZҕXT9Eߎiц	v&=GVkr2C5m~q~;rfXᅸeXtŪ.+[咩H{v./s|UZAh$DUsI{\'\01rkDac#kQbm(({ia^\\vJMC`QA6_~jc,1F\n)7䩾!@	nK^$NVjq`JBZޅJX0u9>!v1vą>Ш&D6X]`=(fy2Э9exkzB46Hy/=u4_c	ο\'M|4gE;+\\)Hq{@dX{a2H=G6Cm:|!%p8Ug𿌫ANyqoʅ#&]#mVەrȹL=6mzQhZC TαiߠPom\\D5~!ЗeW_6|T->{rC\n=kRdj6T\'3H_cxNpnx{V@f!D.SJ/xknZ~q6Lꂨ$?{II%&V(Aw<䩻c$a=!3CPY.c%0b?O)Mퟴ[%>xd]?Z񴝞15q)9W/`kWV*_i_\'hMaCQW~K0X~D<>5O!	U\'IaӴ9+6fF7r,?OP\Zr(gau;YR>v\\?sk\\ ~mV|ݐ\0!ٖX6av/%1UEd_w\'ޢKGs*<vu.SA`\n	tp\'\\ˑ+&*u4c	\Z{\r@l(2u-VJˀzا`*#jxZ&\Z{C\rB]Y#<\0!_M~(k_MWFi]iˍBl@j!\0@Ų3pv`r9H(cWޏK\"$Gϭ\'6I\"Vɜ=0\Zh݆֭<e1L!ӳ\ZDKi@*SĘRg	rz2,oQϕFUlt*gV☲ù۬BjLNhZe%D\'G}wEk*	W،j|K\'lȈ<fdUƬ\\fHvIIwd4\"醗0_h^1-cjHtfݬ?D)\'hcF,4|iQlpt>%y1PbBR[B}\n[;	I2qU>n)̈́IxVV$Z=qUOc\n4\r\'R28F(>F2 \"Qj6h\'Vh~Ad7DcA\ZHzyIQ]o%<DNNM^^/jC9tbp\r<!!dep\Z	0mz%\ZN:J0L2\"L⯜t%>:1WRͩQi~^Gvr`G̃S$ 2|>YwMW[ I/H-j\r%D+P4g.{^W/![quT &gɖ\r.:)Q7ݣ h\"bY(VW|/5[rɷ*MlrnzWm:fO&y(H\n#_FD:1I}U\"\0HB&`8m!Uc%rT.qx=\0\"I8c_;k6RrE?{dG_A7c0+^Eh1{9U,%k1X\r LcN;<K{*kLE,t*J.	*歁\\5c%aPTgxȻ5\"~R6>6)=|@ ԃ\\HVq2v5o,\07IѴE90.BAe4>]ySPk=9ifCu	l6E#Zt,#<\ZL4ZZ<&^SV?RÊ]	ͮ6RԤz8\\4wcysM)9@2.V/Bc5a\rRIG>?y;+\'SAED>qqa_؈K)A/YQ;#6ycȌʗjL2-[ 3]S.\\0הB/\njz\'aFL\ZH-L	`$p1/>:rVǙ=={OrRxgJ9G0>zc&IÆb4~*LQRkg!ifnb.*η$gwT#;?`?;\"AY|X;uaw?oabN$gI+R.e\Zptᣈ:\Z`\'8y`wW0PRƇ]Pd$*H9\n?g{gs	gOXI#n!F#Yȼv\"|:ݯCG#\nYE[Vwi%-%F\0[n1Sa+]BE2sŎ)?ԟB	*ZOےn+z`ߗ]^$dgGfmG8@~n?	x*ՑxkS략9URݼ\"EI {`z$쨀qZ6hֲCR=8Hΐ<>yy= ؃Gө&0*u\0u\r+M\nMƿ4f_MG%2q0/ғ:;eWGʈP,KA]H%AQD۞V蚹xRBBy%hWvǶm}nG. Ճg?rТjs$_D&֗H᝭s%vx-#?	T5)\\Np[>&]:.ѥׇ4UhnlhʫjF**\ZWnfrP#3w֢$¡桘3D\\[IwD=O$l\ZI9<0ox>L1\Z?f]t2Ј5IvC(߱wziC\038\'U$S(]4PcUv᢭(c̈́ɯTνڐ$_SЊ||nD~v-;&W0;7\"L~ޅLE`!)lʛhLO/̩3z4ΚC:Ufz^^Gn/pR1C̬202J΍<:_B!s*l6\"Q_ȹ2a7<\\U}\"As?C9`r0É\01yiN7,N]8ϪC,01Sͭ-abpYx{VcolNGqlkbañԟyb@Y(J5}׸dt`MuƂUz[w\\=ʼ\0[\nKix-b>,EdҔ\nN-\09pM0+~0:6r½c	h{M\\J,k\r?O\Z/ކf?xȃ9\rQP@\r\ZSz\nEOwF.P)n><WS)_]Ya\'kY_otr)CEIm/;ggŭƱ0`8^\\Ƌ~~J7$kSsYme(|.ŹzZ[몾lc읋qoןK֛+%؂!a29\n`F_h*y.ZۭP0\"j=xat\\Kh9wǏ;Z)K~Q[::js^Z@2nve)e_u!9]we<΁iJkNBSThZs*[?	POvDŌi*b*;ةDڨn/Nshwk1]\':&etbt*\n\'Z%$^*BR_~;Ak8\\=>J1~(Acqo%TFO-GzJTN>\'#.D=a:\'jK WHS`\ry~E~|\nRi)fl饔e})ld*ÀIF^ȯܒW@~ݘT`l 9睪PkKVd*bzHpf?@јݲIG]qM;>l\nA>khR8yOtldU^E%On޹~}qcs @\"/š|sP|0ô!J[h7e^JTuVڅ6bJR#ԲYunnOc\nizNy׊}˜.\Z^\nx+U1wz)\"4+B\\II%%\"ЖX~X4;;]*	&\"TQWvRid3m`a3\r45q$&Β9QO*zkBjdE,TgOrP~tgng(W{v^Z}ȐC6ݞ+?۸ZPd?P\\kO}H\"F+:̵LZKAxr^/\'D~4d`8`qr|\Zゐ5bT2ph=j#jR	𪏨|z03ܸOV1SlfwV1	l?.\rƨ;p-e*`[p5Uͳ{n!z[>ft4s^tE+WLկCҩχHhZ;P.s.1q+܋\r4$PduU18<KnspGRb:L0j}y슟WSh5GH;V((\ZB\0\rlŗBs#3?+WpPMk]<px_\"RLkiGGPP(ϞS3Q?(H|,;pH@yƄk}{[W{LG.vOǫ\"M\r6IcE,M+,ǖf MP[Y&\r,YDxxVތ\Z~VDZ6aW_tʩkgi\nB_[\074w5qy1Щ3&Ttȹ8=SPyYmmUIOF	!qO~þ`Ϸ7i.KK;3@\"_d/5%9U6>NcVMTpW \r0Z|\\T-BD\",Quܳn.A\ZXm,P\rJhxQ#\0tgFNv&W\"Ĳ}:kS-e&sc1hؗ]m3ĺXqÏj_y[+xEV0zxi\nF\n74欋\\M=OhL;-F\0U*/d.>z_MEMՏ-/v_څc?,U&\"R[R|L<uQRVxs	b[yiC\0Tq@W~{ṜgIU9\0ڡSwq\\(LpR^_mo<e{FEP\n-,5H:@\r%-,$yk\\3딢ߓ{B2AG<&%߼w$cTV¶\r|f7hCp\Z8wG+dUxXcѨV*6i(HXw6[|JaʹЖq^Oh;xA3-\rhM>kv7[ׇd̂zR<2K7II!1&j[656i8ntl*?/]\Z4tX*52.p·\"F6Zؙ\n$zz\r9`\\&S9~{-LKŝITi;u!7UeH> -%G(m\0DO;^Klظ!/?aFz#U%f{xi<f;KZ9ްNWj_H]͚VIR[냛Bk~P,oʂ-~Bʾi>1/##yXoa\\DŞhebh?)31us_sШd>V*R/\0ӷ~r%\"8lbκ\"7eE=n~͙\'2C/?	CQc2 Gehh݌^@˶\\},nۛ~AF,{<nн>!2_Ud~p7O\";}`#uT\0", "no");
INSERT INTO `wpky_wfconfig` VALUES("currentCronKey", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("dashboardData", "a:4:{s:9:\"generated\";i:1588357867;s:3:\"tdf\";a:3:{s:9:\"community\";i:5710;s:7:\"premium\";i:5711;s:9:\"blacklist\";i:23426;}s:10:\"attackdata\";a:3:{s:3:\"24h\";a:24:{i:0;a:2:{s:1:\"t\";i:1588269600;s:1:\"c\";i:7235615;}i:1;a:2:{s:1:\"t\";i:1588273200;s:1:\"c\";i:7349314;}i:2;a:2:{s:1:\"t\";i:1588276800;s:1:\"c\";i:7772331;}i:3;a:2:{s:1:\"t\";i:1588280400;s:1:\"c\";i:7736059;}i:4;a:2:{s:1:\"t\";i:1588284000;s:1:\"c\";i:6825989;}i:5;a:2:{s:1:\"t\";i:1588287600;s:1:\"c\";i:6929603;}i:6;a:2:{s:1:\"t\";i:1588291200;s:1:\"c\";i:7237989;}i:7;a:2:{s:1:\"t\";i:1588294800;s:1:\"c\";i:7290441;}i:8;a:2:{s:1:\"t\";i:1588298400;s:1:\"c\";i:7062095;}i:9;a:2:{s:1:\"t\";i:1588302000;s:1:\"c\";i:7082670;}i:10;a:2:{s:1:\"t\";i:1588305600;s:1:\"c\";i:7015487;}i:11;a:2:{s:1:\"t\";i:1588309200;s:1:\"c\";i:7151658;}i:12;a:2:{s:1:\"t\";i:1588312800;s:1:\"c\";i:6801324;}i:13;a:2:{s:1:\"t\";i:1588316400;s:1:\"c\";i:6973652;}i:14;a:2:{s:1:\"t\";i:1588320000;s:1:\"c\";i:7054878;}i:15;a:2:{s:1:\"t\";i:1588323600;s:1:\"c\";i:7198214;}i:16;a:2:{s:1:\"t\";i:1588327200;s:1:\"c\";i:7480652;}i:17;a:2:{s:1:\"t\";i:1588330800;s:1:\"c\";i:7450173;}i:18;a:2:{s:1:\"t\";i:1588334400;s:1:\"c\";i:7277398;}i:19;a:2:{s:1:\"t\";i:1588338000;s:1:\"c\";i:7107945;}i:20;a:2:{s:1:\"t\";i:1588341600;s:1:\"c\";i:6746414;}i:21;a:2:{s:1:\"t\";i:1588345200;s:1:\"c\";i:6697351;}i:22;a:2:{s:1:\"t\";i:1588348800;s:1:\"c\";i:6868486;}i:23;a:2:{s:1:\"t\";i:1588352400;s:1:\"c\";i:6724552;}}s:2:\"7d\";a:7:{i:0;a:2:{s:1:\"t\";i:1587686400;s:1:\"c\";i:158081258;}i:1;a:2:{s:1:\"t\";i:1587772800;s:1:\"c\";i:152067519;}i:2;a:2:{s:1:\"t\";i:1587859200;s:1:\"c\";i:184772596;}i:3;a:2:{s:1:\"t\";i:1587945600;s:1:\"c\";i:194843855;}i:4;a:2:{s:1:\"t\";i:1588032000;s:1:\"c\";i:184404802;}i:5;a:2:{s:1:\"t\";i:1588118400;s:1:\"c\";i:167215961;}i:6;a:2:{s:1:\"t\";i:1588204800;s:1:\"c\";i:163147875;}}s:3:\"30d\";a:30:{i:0;a:2:{s:1:\"t\";i:1585699200;s:1:\"c\";i:158944468;}i:1;a:2:{s:1:\"t\";i:1585785600;s:1:\"c\";i:169116093;}i:2;a:2:{s:1:\"t\";i:1585872000;s:1:\"c\";i:173525914;}i:3;a:2:{s:1:\"t\";i:1585958400;s:1:\"c\";i:179872698;}i:4;a:2:{s:1:\"t\";i:1586044800;s:1:\"c\";i:162589110;}i:5;a:2:{s:1:\"t\";i:1586131200;s:1:\"c\";i:177430177;}i:6;a:2:{s:1:\"t\";i:1586217600;s:1:\"c\";i:177629743;}i:7;a:2:{s:1:\"t\";i:1586304000;s:1:\"c\";i:173992931;}i:8;a:2:{s:1:\"t\";i:1586390400;s:1:\"c\";i:168184391;}i:9;a:2:{s:1:\"t\";i:1586476800;s:1:\"c\";i:168558971;}i:10;a:2:{s:1:\"t\";i:1586563200;s:1:\"c\";i:144428042;}i:11;a:2:{s:1:\"t\";i:1586649600;s:1:\"c\";i:158678402;}i:12;a:2:{s:1:\"t\";i:1586736000;s:1:\"c\";i:163391352;}i:13;a:2:{s:1:\"t\";i:1586822400;s:1:\"c\";i:153549431;}i:14;a:2:{s:1:\"t\";i:1586908800;s:1:\"c\";i:158704346;}i:15;a:2:{s:1:\"t\";i:1586995200;s:1:\"c\";i:150828784;}i:16;a:2:{s:1:\"t\";i:1587081600;s:1:\"c\";i:160397474;}i:17;a:2:{s:1:\"t\";i:1587168000;s:1:\"c\";i:159205876;}i:18;a:2:{s:1:\"t\";i:1587254400;s:1:\"c\";i:158516490;}i:19;a:2:{s:1:\"t\";i:1587340800;s:1:\"c\";i:187298431;}i:20;a:2:{s:1:\"t\";i:1587427200;s:1:\"c\";i:177725474;}i:21;a:2:{s:1:\"t\";i:1587513600;s:1:\"c\";i:161361226;}i:22;a:2:{s:1:\"t\";i:1587600000;s:1:\"c\";i:165528064;}i:23;a:2:{s:1:\"t\";i:1587686400;s:1:\"c\";i:158081258;}i:24;a:2:{s:1:\"t\";i:1587772800;s:1:\"c\";i:152067519;}i:25;a:2:{s:1:\"t\";i:1587859200;s:1:\"c\";i:184772596;}i:26;a:2:{s:1:\"t\";i:1587945600;s:1:\"c\";i:194843855;}i:27;a:2:{s:1:\"t\";i:1588032000;s:1:\"c\";i:184404802;}i:28;a:2:{s:1:\"t\";i:1588118400;s:1:\"c\";i:167215961;}i:29;a:2:{s:1:\"t\";i:1588204800;s:1:\"c\";i:163147875;}}}s:9:\"countries\";a:1:{s:2:\"7d\";a:10:{i:0;a:2:{s:2:\"cd\";s:2:\"US\";s:2:\"ct\";i:522011725;}i:1;a:2:{s:2:\"cd\";s:2:\"CN\";s:2:\"ct\";i:320293043;}i:2;a:2:{s:2:\"cd\";s:2:\"FR\";s:2:\"ct\";i:167138369;}i:3;a:2:{s:2:\"cd\";s:2:\"RU\";s:2:\"ct\";i:122591549;}i:4;a:2:{s:2:\"cd\";s:2:\"IN\";s:2:\"ct\";i:115242373;}i:5;a:2:{s:2:\"cd\";s:2:\"UA\";s:2:\"ct\";i:99945184;}i:6;a:2:{s:2:\"cd\";s:2:\"DE\";s:2:\"ct\";i:94588065;}i:7;a:2:{s:2:\"cd\";s:2:\"ZA\";s:2:\"ct\";i:87175008;}i:8;a:2:{s:2:\"cd\";s:2:\"SG\";s:2:\"ct\";i:80930815;}i:9;a:2:{s:2:\"cd\";s:2:\"CA\";s:2:\"ct\";i:78054576;}}}}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("dbTest", "a:1:{s:5:\"nonce\";s:64:\"c86208805fa37aa7d91ed41a44626d9c2e8a914ef08f1abe490c3386d6f2c280\";}", "no");
INSERT INTO `wpky_wfconfig` VALUES("dbVersion", "10.3.22-MariaDB", "yes");
INSERT INTO `wpky_wfconfig` VALUES("debugOn", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("deleteTablesOnDeact", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("detectProxyNextCheck", "1588965591", "no");
INSERT INTO `wpky_wfconfig` VALUES("detectProxyNonce", "94064ef26b791f60f75630f6905049a5ebb9463e1ab15b67c1fa4e2499d82c17", "no");
INSERT INTO `wpky_wfconfig` VALUES("detectProxyRecommendation", "", "no");
INSERT INTO `wpky_wfconfig` VALUES("diagnosticsWflogsRemovalHistory", "[]", "no");
INSERT INTO `wpky_wfconfig` VALUES("disableCodeExecutionUploads", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("disableConfigCaching", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("disableWAFIPBlocking", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("disclosureStates", "a:4:{s:31:\"wf-unified-global-options-alert\";b:0;s:39:\"wf-unified-global-options-email-summary\";b:0;s:33:\"wf-unified-global-options-license\";b:0;s:33:\"wf-unified-global-options-general\";b:0;}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("dismissAutoPrependNotice", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("displayAutomaticBlocks", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("displayTopLevelBlocking", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("displayTopLevelLiveTraffic", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("displayTopLevelOptions", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("email_summary_dashboard_widget_enabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("email_summary_enabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("email_summary_excluded_directories", "wp-content/cache,wp-content/wflogs", "yes");
INSERT INTO `wpky_wfconfig` VALUES("email_summary_interval", "monthly", "yes");
INSERT INTO `wpky_wfconfig` VALUES("encKey", "ac75f8b987e2d69a", "yes");
INSERT INTO `wpky_wfconfig` VALUES("fileContentsGSB6315Migration", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("firewallEnabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("geoIPVersionHash", "8a7dba97f41311dda2bfa98f60b77d6c930d3150560909850a22b80a732ecb36", "yes");
INSERT INTO `wpky_wfconfig` VALUES("howGetIPs", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("howGetIPs_trusted_proxies", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("isPaid", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("keyType", "free", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastAdminLogin", "a:6:{s:6:\"userID\";i:2;s:8:\"username\";s:8:\"c97021x1\";s:9:\"firstName\";s:0:\"\";s:8:\"lastName\";s:0:\"\";s:4:\"time\";s:30:\"Mon 23rd December @ 08:32:32PM\";s:2:\"IP\";s:14:\"216.164.194.10\";}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastAttackDataSendTime", "1561859054.706874", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastBlockAggregation", "1588360790", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastDailyCron", "1588360814", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastDashboardCheck", "1588360814", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastEmailHash", "1588360842:ff7988e733fc21107d5213af423cb420", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastNotificationID", "232", "no");
INSERT INTO `wpky_wfconfig` VALUES("lastPermissionsTemplateCheck", "1588360839", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastScanCompleted", "ok", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastScanFailureType", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lastScheduledScanStart", "1566875998", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveActivityPauseEnabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTrafficEnabled", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_displayExpandedRecords", "0", "no");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_ignoreIPs", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_ignorePublishers", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_ignoreUA", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_ignoreUsers", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_maxAge", "30", "yes");
INSERT INTO `wpky_wfconfig` VALUES("liveTraf_maxRows", "2000", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSecurityEnabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_blockAdminReg", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_breachPasswds", "admins", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_breachPasswds_enabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_countFailMins", "240", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_disableAuthorScan", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_disableOEmbedAuthor", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_enableSeparateTwoFactor", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_lockInvalidUsers", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_lockoutMins", "240", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_maskLoginErrors", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_maxFailures", "20", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_maxForgotPasswd", "20", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_requireAdminTwoFactor", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_strongPasswds", "pubs", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_strongPasswds_enabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("loginSec_userBlacklist", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("longEncKey", "cefb1e7676a1fa0a2d32560d6bfe3c675a2d01e74038c323931438e5d8b0ddc8", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lowResourceScansEnabled", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("lowResourceScanWaitStep", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("malwarePrefixes", "\0\0\0\0\0\0y8\0ٗΝ;˽sIYJBR$RI%QDZHJ!I+JHi!*)EE+&~yy33>ǌ\no>^\'_wBx1uO\Z %e\r?EC)M>8)}uׄ-X1ffm\0\0\0ra?\0xG7\0?)`\04DK@bH\0Y+ gZ\0p\Z\0@1Pt180\0v6. );ռ\Z@U	{\0u\'@p_F\\q4\0Z.=_\r0ht&:A!\0]߀\n@7\0b?g];al`,[0``x,0`00a$`d0ZU\\\0>K>&)/S5);0r=	7?`\\C`9*XXՐd`~`6LXK֗_W6$`tt/<$p87O\0`m0m.V!kH,\ZHf~x89u6~\\\\`w<:`^s0\0,?\0,H{\r,8,(N\0\\Y\0,x,x\0cOӀg#`-u७xxs/]\0,%|l0,Yg8`р]C\'v\0k܀\0& `O,:	X&\"@`H h4 8Z܁s`I\Z0XӺٛA@XPv/6\"J b\Z \"k\0X:\0Q U5dDG]\06=]lnX[V@.E$.-ض,; ~j >Nu灄@B#8H7H|;؁.v+$ i?s +\n	؍,v4{f7go`>w`^`_N`R<)A=qR M6f0\nH/\02Kg; c\"9P0%kӢ@D g= 3pdQ!p4pY@zs pN\Z\nt_Tp[B@Ipm\Z=(n1\ZY\Z{{%\'F|\0*^&)@(2(OR˧w&W\0`m=P2@k@F:P}|7:S[9Z]rә\05Gf6\0|}E$p@xxx82/4htxt8S4πcÀQG^@6y <xaj\rxi9x9Y	^^Kږmb൷=:$x1x;r)Юc\r	|hK:́O|ϻu/o]#[?@@=\r_ǾU7c\"oN)0KK 4M?Ч |c@ĺDh-/1\'qĝxx6$/E.8(Z;]ˢ@@k@$P2[߀2hPu:HDT3@f\'{ GܺP\0UAUR\0~P-En8Uj饁ZZ|AM~!Uj?j?{*\r:A-vpp)8DWZ;@Wh84-zq	8l0p4N\r_[\rp?8X\Z}M\0]A;A	@8.8\Z\\}Z м{*gpb8\0h9v>hh5JN\0@kh\rh}lmN^mAoE/@;~U8i?>&/\'?O\0|D@@\'pZz!<8=]#~3g3G35\r+GYnn_A!8XyE\r$%!o==Ꟁgp\0/yhApQ\ZK:R..n烾K=GKTkeWd+OW|7]W>G0آ4W]\0WX	{0?^Xuǀ#߂!Mu+>oQ>3F4\0^5	>	F>n\\]< \r\npLp+Vf=u7m2p[Wpۉ}\'0nb\0I`,p;Ll6GX)&\n&?w}H{{=\0߯*Sx-e`ڑ+`r0\r>hxpD0[=*p灇^\0RlUݞ\0\0s1c/U`\"38_R\n̛\0512 y6X,<x9*XX,`3%OMY+s<&<\r,60K@0<0lXe3JB0+.+g)7gxyE\\H+FEWo?E<kC9u5,ޮowuw^Ƹ\'Р	>\nj\0}qw=`S=-{(\'oi$l-#g/_$//Ԃ+W?u\0	sߵz{^Cct<1<\0vmONsۧO/ ~U>}8X	v]:X\nv{D{N?1bo2_WvWu6\Z#?࿲0k;W; 47Cp #\n{0\0v|!b9.y l1m#!r\'\Z\n!ѼXH%:+!驫[Hfɾ\\SŐ-D\ri\'!h)1Rj/w, ά!?H0	VG!a$49 wA4_HG{O\r\rt<{\r˟}Wwo@CAܞA|AJa Â+Ј5Yrh#\Z\n2%!Fi-FF\'L4Bcd%И+ 3dȜ\"]-8$Ȳp*dYBV@\'C,t $dmMX k ErHQBsSiِhڪ7ȹ;l\0\0M\'Ch.ճr]=rr}5*=$4O_<	-<C $IxAs]4hBo3h=Z4|=+Sȫv\'yZCK<AK%ի!! x}\Z  7wOfB+\r@+ch垅ʻáo@+{CP`;h;Z5Zդ\"h5v7VB/Ck\ZPH(t:_d(!;~hR	,	5brnAVB+>A[C[w|,=I$03J9\0%\nmjЎ(ɴJ%m/%\n%_vM\nqOA)g_@)/ڠTq%tVO|\0L	\neAfYP(9Opy(kHkCG8tditȓ(g{k	_\r?~ʷ̀#G@CwC\'_		YЉ[*Zj}	BCET9*>*	Ag\n~CŊPq*?*)̂JNι*swCcʠp|7tT2TAWA3%/	t	UM_Uqn]]MBGk	kC5\rPGtscLX9\0i: :׮ݏzj=5n\'BO@@uPwj3%Yk\rzMzmrԾ9zqeԑiu\nuz:ʠOZ~MЗoзFNr	u{_ks3zPoUsmgaWA<R>{пlFa4q0zm`Fuw`&/Är܂I`L(	[KM%\'Kɰ,\ne?a:*_F7`eV&0C`Ns`˰qXXΰt5,4\ZdXCk:\"u|&:mPx}>!]{C0<6t><\04\09\r`Ol\\k	|MY^$6wh-V6k`Ex|=غlS4m6¶_Rėn>~!<9v};\\4\rSoiӪ_ӞR(y\rعB?]*q	gN\r0gfngnR`bxN<P=w/ج=`]xx>xѹW?x}x[.|t}F$qx\r0PxCexxYjxY+OoU	\rKag\r\0^Yp	ژÁk\Z`>޸^=E}Aap[mሳYpy1	#oQ3]8t11l!ǂ;x[(x6sy\0ǏW-__;hxǑpҴhx\'>v#y;8x_{TISqkC74[N[_no[\rs78c6g	gfK:#M>Q>z>f>LyGpޣp	\"\n>p>>	,;§N]YE\"H̰ٚmK..Yu.9>r|<.cS\rp!pm\\u!|1Z%&g.|\rµpv-#62ckqku.sWe?q<m@>n7oÏVMZǧOfͻg5w~Q9n=L/=W+W?UH^]-߫w6XF;~)o5x*oMgwr\roww?6{\Z=s1ý:˫_#_\'?^K#_p?[<\0>\"@n>7So#h}=D^q!D<9\0ND$!/R9!&MDu$BO#JaL}؊poG_ sWNDQGDxv\nѲhE ZmLDn_h\rD GtCt~5\"ŝoDDG1{NF>@!!1\\w1\n@֚\"F}v蟦}bڸ\'2f>bVeK& ^o]\"u\'2[jX*G#g+ub	%Ґu}\\daȤc+{{	2eq{q(F!N:iayCc*|<q>qrq9}<^	2Պ%Y[713\Z2j\"2B\Z2)23D﹇̯Z,x!a%gsx,ܾY!^o@#KjZ	R}CdUC2h$gA +NBUYH*Yٽ	\\	FmU?U4(ІǝEOBVEV7CLđ5G	)XN[֤#KA$Zdnnsd\"YTl\0h$:]qqG6Ȗ)ȶÑm)xj$$,Z$$$Ew7J$,$\rsٹ|\"{!{uW {#{?mF]@Sϐ>  )\")\ZERCR7\"\" #i[ u$$sxиa.pb3uE: ٽ{޻ȱH6=!ybJ9y9YmiEhrr\0r&\n9S9k9;3rR<)EJ,s}<R:7R>P͡gHD8rI\\?\Z<B.!W^k# w*&*:aR%NmDjGjn#7:JZHHo䦤َ !QH]1r/[{\'r-4#U\"5H)G{ȓ7{ޅHȳ,Ke$1¿yyyE!mH8\Ze&NykyywyꁴK;H{m?8C\\v=D:_\"V|C>@>8B,[|)B@.B|ьF~h ހR7-4{>z}U@&; }KH3	_po(\'\nu:	Eʛ(\ZEk(tBq(YEŢش?ʮODB3PF/e>c(ېr#PpTsd5ܨA<~Pq*T/2ߠzPRT7?F٨Aj-BCGOGIq:lLPfQCPB-]j5:\":7\"j\Z@\\Va7{e脕5cQ}cщ>N޲ǡuPǙCQ:Tgixt=u)B]ζӱ2tz=x:Ctɖn[e;:Ξzu{	S΍[뚌|.0z {zT.=\rђ>Eo6[rkDW4EЕ+=+`te>ڄJnDգo/;!cסޛѰ\'4|G,\Z]k]?-!x\ZI8\'E7\Zi.B7E7/1hlc95e\Z*G_	S_/[Sѝ5hLc4%CwnE\r>}7no5wM1@SmBSXBSGѴ}Uhz0Vf|f@3բl|#\nѬ1uh֭hV4gM@s\"МX4e(a$zd4-E(F󲖡3t|h~4=qFOCOm@X-ЎEƬCNFOBO{FO?$%ZB0L\rZt-u-+G/eW\\޷UUaNh5rF+kk%{k_XzbZk֮qBoR^zv(Κ}}Wz?&\0}([>\\>hIa6GhmT>GuS3}Vb씢-wG9zOr\"5}5}e݇Z}}=	}=Q(nrm\ZmcOtED?G;lG/c,v}B?߃~<\Z~iFjMF_DFF\rhuȣݣCsў/ץFtBC!STo֍G@3\0RO0\ZcX{_~?\r#]0;vDyLl}0lLb`Ibw1نQyqS\Zĸ32/?jbNz-L}SaSO5ibU0	Ssln{ Ӄ0?1WIHSlhB\"6,~\r6[fZ\r/_*F[O5/ ̴&c/k{663\Z[gTY,1lLl|-6a	f3/f3f˿l1ۨ$66iYMYM)9ama7Ci6;2sHa?،#Y5 &ܨcn̝sgbs+ߞؼ7ؼo?6q)\0-h<as1=gR[SyŃa%?`>Kea&]b+z!tލ|5|q|{[5e4:\\g$Bta!XLª`gᳱuغu؆ǽ؆g\r_]XXXtq>܄mmmN8m>t۲=ǶfZI\rXxp=KmaU*x;K%ݷvŒYlbplϔ5؞ؾIkLK=i.\'`ðX4,3x\rvh찏?e˺nebi4c܃;N-:c<t\'婶byw\r|h!v;	N?\nDc-t`EqXu.&3ؙu,VJǊ-!XɡXIe\\Ft9+Ji꿼%Du!%V*n*KZإo[zؕ/Xen;]f?n`mOk\'7b\rcחbo.\rjb={\rU\rc؍;؍X-7\r}	]=!:Z%ѵX9X%5B_\']Xs%lt,<kV2ZX3bc/Wb//Ea-0[7wg}o>ľ*Xj+{2],~GҰQY/,\\vZ?N#HoB,܇;q\0G<q\\\'M\'q	\\rk.ҟSqhjYhӊsquF\\(݂kt\Zcmk߶5::p\rJ|>d5>d[\\Rz۾z{p6~]iB|>VGtōq~nnrt=>*<>D%>MOt`]8ռ͇|m,nm[؄p|l;|z\n<Oŭnu=w8v\'Tmln6z[M-n	]7vzpw`k|JO?w[;M;Mq#\rԘd|jZ݅O;]K>0n0ggE\0O|Vw%>;\Z>7n,>5>_e/y[/؏/|\n_qz{u^\Z0vƽ/V>ǃqOKR6|2\n)Skp\'^ʐx >_%_5z	i^p_p4:}_ãOj{3Ou:u:ay|	xuxd<xYaG7\ZN7޿Gs?1&5xg<&y\Zio|ee46|qxj|zi(m	^4t<a<6|GG<5s|g[%;OuW2:2h5|/ﻢ?O	SҏZTO-xz&~~0x%1Eg,3	OxfC<~ȁ-XdjO/ŏxŏ\\{y4E5۞ ʇɠ9T/?/Z\\?৭wOOiOwƋػxQ]nb\"xma_ey?~?	~+|\"__v_	Ư,}WjVU%3xx>:~=~m0yc[j\\8519,~SӉߜo෿Xw5;CsCxpk!~oP,8 8e.x*o𦵾xfiT7ݚ71,X??؅:l7[/q_xu-N\0qױq)t[W.ߗ<?<;|Ymz/϶3gS/Mg7_{,ook]\Z.gw6êqfk{7xoa\'i]>Պ~х?&[߁x_;*@1_r|A_G0Մ\0K)zw@?@v0N?Bh04\'-0!$d)Urw$&;Clg7p]|	>b/*^Pe00y}\ZCh%7ڃf_w`b\"1xbh11DaC}%\ZD,aP3ZVSE	\" ;NxK$#i[bH#CxUDv01!FFѫ>iHbEbLT\'aDX{NX|N~B|K/y\"a9O|OX~]IX|$񖫉			/1aA})%	΄nbʃ/ĔvC%ILwSSWN6#ӷQĴ	g넳+\\H\'\\FU.%,1#p=1h&fE\"Y\'r	7I۳ۛɀpv\"܏%	ĜpbT[	6S/t]Nx$/cX<=XbA,~J,$|W|X*#f KK\"t;	\")X9d\Z.lHk5ïk̈5	DR#\"$fO R:vXKl\\DDWQ?kE-Ħ@bAl>Nl2]1ݿZtضÜN=o&׉DEDd54̄H:<؅&vF#ݏ=6=SL\'܈+܉ډ)=Dc688p-qLfHDF#yDzaՏ!8dHr\'`k\"4i#eܡ\'ZoDfs_<8DdcD#DѴD(\n<OugADK(u\\BO7[O\'.&.ڏeDWJr\'(?辒XM\\|򕨨\'.!*)QQuh(Qd`FW7\\p	Q{ً9}q&ekEܺB>BMgNYO܉xCܩ_AMcN\'Mk)}wr)`\n⡍-oQ7oL&\ZDC\"Q;Ԛh|YL<YA<I< %!-̈gCY9keq%-xA@$xxxyO|\\FDԽEt.J|6#>Ӵoi7lKGt\'|Ӊw3DH@opG񻦛ӫE{}?~ӟS>1px.%/H ah.VZ 1q#q/AGWs$	986rS$֏= B8I?#3?d\ZHvh)ɾBy$簞X\\i3:T!)<Oj=!5NZ$R\r59ZI\Zމ$/%\"\rRQ ݚ4+\'-AHC>4O}\Z9brNrd0r!iIi|c:i|k7i\"MF&H2\'<si֑c\'_%ǥ+IѣH+Xrd9^JKlYO6&m mgoH5D9UM:yI:%1q;HNYDN%MNFN˯#wΩ^KNI׳WIHwc{S#i&LyD)Nέay<g4ҳdą\\dD.*\'<H䳤ס}b߿gZWN!}cҵɥ	{ȥ?-eeKI?ă\\fN.@CNhM\']ɀɕO:r䪿`?j#sr\rB\r C\"2w2ʜ᧋2\"4(|L/%>&וuGLf>O##GFndd/FFS(Kuȍ1h2:y4	#7JnOn*~FnlDƬLƴ-\'7;DnNYOƙ\"m$Jčdǟ5ɤ_dR73$ddr׶Nr7#&ɳBd-Εd=r9)@fUYdV+n\'S<RFc/=\\\rK^}HEk:O˴N\nd+Y$Rk#Ӽ-yD\ZY ~&<!-F`#ynZ\"yYC^M!/m\'&\'˶=\'lrJ<|-Y~=y1MNVKZ:䥩/JGd=y`yY=5YIVo!:\"%yXf+YSJֺe7N7k[M<${K>pJ\'\\t CcaiU{18Ml-&nM.Ko{\'kޓO=fY*lO6O Wo!zggg_Ed˟R;6d5|S|=|;||[n!\'ۯƐk5=ò0QD~6?D~N~9RJ~[]Fx]Mv?u&{r^h_JW=@Db?-ɿV{Ⱦɿ~(=\"pUR.dm\"TvPDL>\"Hlc.z+{k(|8QXFxKh\"fZuoD\"\"fע!;4!BDHޝ_\"g\"a\rEG&F:o;/2~/\ZA4vmhܰѢqwAxH\"\Z?\\#6!<Ed\',MM.s9\"G\"ǖ]Ѵ3ED.D3Df.#ro=&,;shޠyCψryg<NOytZ-(ZTghoF|2)Oȧmchoh\\sъ?\"7E+lD+?cEAC/T¾6o.w\'Z{VhCPhCц*R^ѦnGQLB9hx(Bx(	>+yRHh4D)!٢Wǋsg>>/0_+-x&:4Ht(c(B()T#dHmDGM\rEG:DG>rn!:(Q;щ(mQhpZQѲzQQP	kDDJFJf΋DD*kEeVʂD凵EgBD3EDWfU&鋮nUD׮]PtnF#,Ɖn~28.݉4YEQvQCRhOQ讨)XT0A8K*zq5+5\'E/bE/^NX.jm,zy^z,j)z3hM[\n;4QǖD>/[(BїD䑢gEE]D7x(o}Q&߃6ѿbJ,F&UQ1(&]bQX%K˶eّblX],8-2X1\\?=ż\"dXFVGJT<t5P	bCC<|xD\\#{xQ\rcYVYjتC<NUbkPlTl$X</WlJ<@?S;zb6bO.eltf`صP<kUxֳ/b=bb$9]kT=bۗ-^PKFkEK;։WmA_)Ł+~WIūj8tDCg4έfquxMvMcqx\\-qjSq<tC$|	\Zwz4K{!ޖ.ޟũQjiӒkO>Jggi֟#마w_>]\\,>(.*>e(.{G\\ء9nrnĥo։ƒC/}W*Wĉ/{/o._#R+ڔ ;!m-H|qqV[Cķwn9U|w(~P%~chq%\'nw7M7|7\nō[M:\'`q[73/_4:_ŭ6G-Ƈů7M;ix+ğx)kşdo[]wV{{>6l?:ſX&AK\Z$r	.K%xc	XB> !Z7HHiX\"\"~HD$[%bm=(]0A\n	{Or(Qs d\"d2dІ\'FƝx[n6^D ]%C?[\"1<m.NosIb{EbX2ꌣdTQhdd%=$G;I&Jl^Ml]3}dွq\'T#B2L4<NtĩadZYĹdF,dfnɬk	I.wK`$d$~CJGUd?bg$KgH_6KIDI<#Y<X$[+Z%Y͐!oLϑ8IV\\Jn\'Yg+	z\Z(	zMfed뽒5?%!%a֒$I{G%Iă\nZ,ɺ	h|d\0I6x\"umlJ^ml+I&iGHvKOHx{H\";do	%JǙHR}HL͐}-PK2Irl$QPrtXrtbLWI\\eܽŀ$i	}7ɉ풂SSHNeސ:Lr!ٙ$>I%n$>*IU%e+$e]\nT\\_RHrm^[o%wxS%u:5]{s%v~XwQ9I%vђےg%#s%ϯH^ yKbIɋˣ%\rݳ=씼,yIﳔ|0|^J>Ŭ|WK>7||&3HmHɷc$otkJzT;3K%?GI~<(m+*xzI\n٭BSl0u]I	iT$KO$KeCRER/I^\\;-՚(ZuKmX:\"wtD?ȩ#äF¥&`tK:J!5t̆*kff{R/.WwJǎI:6P:Uj͍$ڴImg6<Hv߂FK\'ڏ#V,JS-BS[Jfܗ:eNi\rJg:*uv礳Gq)TJ88K=)C-FH̥ORdԻO)m,]v8P\')&K-\Z0ĤU6KZ&i9i\"i{4DV#\r,\rJCuIC#>H^nuF\Z}F:ҨS1^I7IMɔ҄;&H&WJw.]]\"mI?ɔ\\֔JWK3͐fՌfߴu =zwI]\\z3i*=5ll}ܺ򃷤cii\'T-TZ&!\'޻Kzփf;K}uqҺ{pޥpaNfG+\"5QƺҦ	\'sNJߔ>Qi%i疑ofH_zIێJ_[%}kHvK̗߭~ ؽMy%BiZYK6Xua?T{ni_Ү\"eCiFߕ/*!GڏG/2J~<He3s~AK&ID\\.eҀ-2iL~PR/ϥʘrLbdKu?.cۗ3dOq2vLL;vlPt8`tlpcL7Ljllh0D6VxM	rG65>$35>=LY=#[,wZf	JGp|}h|lJ\'cH6mlIuled*@[B<D6y,$?>L6\'EF9XZ0{vw6bH\Z ÿɖo+m_<d\rͲgddk:uKdd?e3e;ɢɢO6.Ŭ/۲u,0Y(v]g,\'e	#e	˶{xwNDTK]Rgzad{\ne}).;Bv ;X\";X7D;L\'Yv=U#9cV~c{]e>ee\n<ܕ&;c(+\\ ;7gmم0Y	KsWv.PvœUɮjnzdw\'ꂞZeϔ=l {<]Dy[,)kt=KY\"k!\\e-]Ke!K쥱e -{Y<BxSZ&Q־CgCv]IY.l%V..v{%kdrd}5?Eoe]27|\rFn-GFQ09Np9~RN,\'~-nE%\\jeyrqGNXȕl69{\\-I7`\">kW5uNx9r{Aܰ|-#o}Ms&GdMM5MKjf?7\'Qe,J[g\'x[wm,Or1/*w:yLq@>mE*rW?9rkssNF{/\Z*_tY[ܣ\'HbܳH(E_(s˾@uZ{K>/5ZxA|B||]N&}<7y9y#y<\"|yn|LGQ1Jq<:I_ 4w|t?|X~<nyyvHyr|ׂ]74uSޥS%򃋶ź˳˳og~(>[<H0C~<OGMEcE/+Kgɋ\rS%ez\"/G~ixyeyiyub\Z&͆J́[\n6C|ߖ]?a*onʛCM5gfg_[Yem-WۻX;C3U-iOZO˝?}Y>X4#4Z\0 Зzޝ?*{OW.ם.=AeJ!\\\nPP\n_D/Ph=|\"Q)Ŕ8`<%$!JXJl)ٵ9Jn6@\r(AQ)HGQSӧC(.ŵPR\\K#(MbJ˚(7MXRCPC\\<NθB}I3)}`\0~FSCQRjX=j/k0{655b5Q 5\ZG|]CMM(K[(?5es\Ze\ZZK~F1\n%ٵT|yb=H=}\Zg\Zb+5nS?5n>j\reuv5~e̖lć(;]X85e25eLM	C9YH9lzSʩrEQ.))tEW_)<aCx~f-:H	{)7&mr?6ro79@_KDPRCKy-]R^\"))_p7廗nF-+EfP~wZ?((\n9*njTb*p<j\ZjrjuR\rj<\n;KP㩵Op𣛊,KE^ZLm2vNQѷMP>o6wRNR[&(-s8X*tc9XDZATҦ[T#uʞu&ۥ={\"@Dظ:pԗJKϒP鯏S\rSQ#⨃Y?MTEe8Σ0=L:#6PzaT~\\JoN0:zak:1$:q7:;:Ǎ*z::c!Ux:6:s+u@yR%ڨeT)*~:UvzUʏQ?QFbsr	uyU=j1uNFg:UfU$eQjQ;Nv]^?Rꁣ.`\r!S Ѳj`E5G5U$RSӔԓɁSG\rLϗz^HHnBkt՞jj/QǨ7è7qꝎ.v	.8Ju\"AԧA~N?Kd5&ɩoKo.OTWfMo~NAr-~Ϸ_Tr7*NRΕ\nhR*YK(^:[ARȂ\nY?ܨMAݲS(+wJ9\neBY٠`4M\n|G)<uCG+A\nu90\"\\=D(\\14TxVcz\nA-\no*F^B1⟛b\nM\nҏ\nkk&Tdp$xd)J1V+,W	Py>MaFlWyWy08(,VD+ƾ?7X1b\n˹\n	7:^+lM\nc/vZuI.*&}^7r9\ZR8{Ӳ(NR8Pq\n8ŌlL^Ŭi!\n7SFemF1[bybvHD<y\"\Z,(< X:Rp0Ţ1c($s[ދKV,鹦𭟤X{_qbYBdby|\ny\nP79cCuns(\\Q/Tr~MlB|=Wm\"T)l7+»+(\"녈q}*֮;X@*EM_+Ɋ<Em+6)+v0;MPH?ؕ)v\'J{GSu[*RWe+R7MVnQ7(;}(2|)26(22š&q*?YfAIw?GvKG\nRǅ3<%|4E~ɽ\'AEvbNQ8bӿE[Պb؇TeW]rZEQ\\ZtUq}JIEeE2_QuVQTÉj;Euz\nў(n\\TjwUNx*]Kum:ox pqqEchhj-R<zx**摊fpEs~ųEKsm6(^/tR(ޝxR~EGLsJSS_ŗ]	E~O{ů_y__a\"*!\ZVF\Zi\rͦCu4rI4\ZX\\\Z_/J\ZPAgh^-V=Ą%/ӒiYIMOgh,Ѳio:\04[Gsw_*/SѪhuH6qui!>Zњ˾I5}<=u1SC:Ѓmja[u\rZ衃uA0=4G>tiFzm\Z]H\\8cfƋhP/h\00m0ҾH[ҧ:	E=Tum5m2i_(m_MS*GSTj=uzٓyS=͹@DLF쩠]j.koӮXP/aJܧE϶8H~@Hhhh=\'@n=IzZE/O/	ʧ}nͼAO<?L~+\n\02:0HC\"yѫ5EZ:wPG5k-j@EM<zm\rA]MoP騭\r c:}z{5?YGHoHc7ӱNѱQӆtt/3:n]O\'-S:qR:8CC\'/}w,;g;͡wtrV!KG:L\n֢w8NT)3)Wt\n:uGs*}#~MN\ZDgN3҇sC^atVݢ	H?i>hIk_I&Tyq:tbw )]p.>ӧnӧkŮWȇ.KFL;s=9At];}>m8}*s]\rqmg1}jEթk=Zy}KM2עoOo_LE7uQ=>O~b,]x?5nؾ~$ʥя\Zҍ^ǟO=7}Π[-ޙt||E\0zNniD>w_n~AlJ2`O\rC;~үI􇃓sY4AwlKwННˏӝ·&\'Spuu25TBGdLw-@w-\"f]Gݿ=_c>|e%/؁>*k%:d[8BtS`RsE)ʵP?nRJyJ{J(Rh*ΉJBILQқLAwO*S*\\\ZT^TES\nfRxG)Rj)(GnQj?U~Z9$	]ޕJ}eHK9uʑF/)Jc;{(z㳔cw++ͼ&?cyrܔq7Z9{Қ6ً6o5ʉυ)\'<W0J{줜|A9sSN}R4S$+W:V:;vlrZr5>uҵLz~OÙ(g2WW7Q	3A9rsZl\\grIⲳJoJ\\϶J_7J__cnCXe˾+(וˋF+TDrp2HI*ە\'(Wo^\\}_FFU_QVʵ	2:Qsح\\7I^erSwU(c)ʘ-<߯fW[}Qn{F*>)づws+#b	m[@;ܾWnOߢL|3I(\'PjR?+wJUKKUʔ4seZeece̘hl<4Qyh}PBCQz;e#Vʣ1ʣ6ʣeWǰJe\"oe[2/(SZ̿(O٤,P)&+OǕ7+W1HyV<=Dyh/eHezdfħZYt]Y*<wyLy=,#*ˬo(/^Ɣo~SVX*+>Q^۫cJ}_+/.*tRVY+UٯU]էieu嵂O򖃧֮7qÔT\'̔w$m;Λʻ˗*lbVi򁡞reciS@D옋elEM+)_l3|=\'L\'W!廪Be{h^eR1SvʯǔW~?>O5EPvCʞweg`/3(ߗ*UKg\0faM`ۯ3ҥ4\'72qQ0ɌX:40Ji3a;ީQjHFؖh̓ߌdF[]h{3Ͼ23:%/g62C\'1F4Fo;F2{0	ڌ~)1t\\ˌc<c\\1r1IɌZ^\Z|gdX$a,Ǽd.`{ɘ{yu@c/d&3BII0p,35i1iٌӪ\0Ʃqze}eӭ2G;;n3:3;3x!`tffAbc(3jKx[1>W2_c	ko,ݪ,m\r`,[,YL@])r{J4Y)L\\&8	?΄Lτ3!LH.&.bɄ1aVQLX&-	7D|_Ϭ{Ĭkc}[ì7Dd\"C\"ՇWCUۙL*fcD11gօ9̶!Lw0IH$d3	LL+]&I/]Ic3{˘=v33)h5I2顣N2A9LfX&K5\rgnoc#F09cRY=9rm	s\rsoKerۘܛr&\'&R`^Oc=_0\'OdN2ɴɜLAsLJm38sf#SO`/0ŏ23B&3_`./}QLybL&b.Mg.aa\\T.`*L4su/S\0Szsc<\\?\\L:z L\"scndnVG37_52\"2e=e0,e}Oyy<|-g/0LLi9i_C\'3\'棝̳Og0-̋+K3/S6y}?y<¼ryqa͘sL\ṙ2M\\gwFL|y\0%ArȁK1_Sqk)|c1߷cg̮0]쥙c.< 7{ߙkFCfhb29B90]>BX(~\"h9bOo{<K ,2/V4+9 g~X/9KG׬26fi,~R\rX49|ebmYI#=U\rذjPVq+HpVKjX8|4a{?gCeZVWs5cusQV7̜շSzAX֠5x\ZZep;c_Ŏ O#,숻HȴaQ7c\'fYGk>\"5-6Ys}e͎5y5qq//V#CӤk=k}y%kژf6yZD֎NZe\'5d\'}du(ཟuֳNo&_XsX~D`N=a4`笟iy+Ʋ\nBXcX/ŬR].`\'׳KjjOe}GTsKel17wCͮήg%ӭ\rz%\Z]bCk\rƆΆi=aFapR6BkۿGf6BnamhO6:d;nncxx[۾q6s6.o-MMg.`lٝ-vgR6yR{2vϚCikB6u^6u&@$6my6r*qQffBCllN9q=:a9{tihJ>{M{li {l;6d){<7^ĞаcF^lahY\Z{:`\0/ٳgjŎ?ْZܖb[ܣ3H[ߏd/gTrryY`jd]daOސG7FH={j։uVWT{k{T%2܅}0<ia|GG͟ǚA9lsJ\\}6}ЃmS̶<7dLb/Ǿ7}yr<J5}˂}mnþ}Ɉ}kξ2mosf~=0r/y+	~~޻RZ~hد9$;|>aǲyl6Q̟]\Z`{}6k}d}qlj,_(-؁;9l́$栦\\X!w9d<{8s2#p/x)\')7꩜d\Z\'q20rPj)p3;1Mg9VgǾ8q|]Rp5a6n	9e\ZY4pN{g7(t0c\rtc93ATK7nؑP?nx7b=7d,7$yY͍lXM医q&Q߸Qm]nn׳8S3\r.4/qmCBшY9ǍO)ƧqZ-8M!`$g7.gtgoQMMl&_⦞খsS+h%sRMSdr,_87xxt7`	7wDn9[nn^1nL,-VqɜG.S&<&*VsfqcnrK<9͜[u90Л[\Z,pnr~zC?,8.8P\'r+>q,}2n&.XtB&qдR.[-֣?	OhnwcLb~Ŷq[ør,%]%UuqT=Nܞ;Krs\'_ʥ{q)4>K˥7wNeC?<37;(+c=[\\˻^]p\'mNÝZ\n>[iWaϝvsgΎ Y\\[WR;Ý>ʕR5W9++̕\r+ʦ[res~~pHWAsfusWor[ʯkڸ돓܍4W;6Y{UqwNquh&wO3b{rl\nÑ9gQW_kx{tk\\kx=+_=\Zõ,3b2g?\Z26vژkY̵>\'cil1]:pݟu5}t羖\'vp]Cչ֪+g7<p&qr8s}p}ڄ!<ZCR.LGz<Qw	5Q	o籧n<\'GI\"^4mE{xÿ%NR^SKTFO\nx4LxEIOlsymygl=kU\'_:s?7!GNS~󆧵x2~_L~Ğ ~{r7I+M:QFѱ4oZΛ>ď͔Spbzok[i-uWV8jl\"o	?f??-Pn[omjLy۠w)=%ϞOOYO);3si)He-eû3DyCcj~~V/»2y-n|K^[C\'G+\'NwJ ?ʄ~[#U`:`k8\"_χ!o/PlzvlL#bg~Z9_/G##Q_\nT^oju7uM7Gf[v4[~,>nA><K|o+D+6T%Bݦ3=^ OS-|ZAV?UgYe|>4v	SpϩiS1wU:2>.\'\'wz*`_pm_8/hOmO_G.K~Eu|QgI5%	ف|q;$2/)ß{__j/4MLeG\0!_Wvd+NzjmZG݅g7b[-em`vsgxg߭\'UV.;?,ׯ;77~7?\'\rS`*j9oHᛝ\\-U=/9|k:%/#3W6~\"f˿UoRos!}};cx=wVm\'^_<忶oo|.wGG__&z<_Uyo_ÿM\'kUy~FLV*p\n0DnvRU_BWaΩWU*QEhT{\\%\\%;o|\nT*<LE{9*dzU짗*J5P%0E*hJ)RiN<SiOUi\'ViWRt&lP\rƽTNLuK5Sҏ|ҿ`2\Z_e4|bdEjTըtըhT5ڋVS^WюPKRTmTTݪK.V$%IUeS|~DDpjN* [4ʱQ}jZ4y9C*Y*Cǅ7WMVX8_5stQٵTj{L{B{EjqTs|UsZUs~榾Q\\w^5j*;*#UR-\\QjQ?c\rUӎZC}!DdrϏ*_iʷF,bjV=ڵ#TT*Tl<Zy**8^Y4d@S>w^F*d2UHB*TK\nۤ\n\nTUk;W֫U\'ǫ6\rثb-͜*j/֪<U©oĊfՎ4ծ8վڥMcTݪKf\"ҵU#T{TO,l*;WѪcU^\\Un*}xTu<FuVt_*Xf*(:_\nPVuUmTJNfJ*uS\0򒛪&{b`b0Uv%+Pu)JuY[u4CueՕ=ꉪ>aT_TkCM\\>ZuYU榪oE{χ?Q=ϺjXjTMFI쟪ǋtTOE{T͉=KT^^f^f^<QO\r6Toՙ-|zU`U[9TufUL>Y\\[qo\r#TߞTu[8UOLՏ?OUq՟TSū~W3F_j\Z8`fj\ZITCǎW#qG5qA&^TE&jqF-s|SjzWV\'ՊjGLU+}j9\'jZpثf5?v\ndD=N_=qz,~jAB%uA:bCE#R4U|rFmqLmtF6NUM&i\rjWգ?MӖǘP7S[S?yV{Hm9az<)>jk&Em=[_mQmsPzģv[mPOQ=@zJBzJAK=՘UOR=\nyjmMicoޫ]3GS袞+U>4\\>}IzTQ;wz깝36=_4.T/V/+R/]TY^ڧ^|Bv>޴E$^$CTRWKwک2jڿ:`xzj:P.VSZ9W7Wk׫C­!y.PVk\'Q4TJG|UopxZVo\\j4zӼM\ZuBul:0Vփq\'[Iu\ZzV^Iu΅UꝗcCNQ8xLV-U;VN1SSU>bNox>UQ4R}h|v#+YzU6A\\=y!f\'6O<;> 2Y}Kuhua*CԧgYuc$S]ݧ>Ͽ/lTŰDE`ŷ\nH%9˳՗_R_9,2S_~[[ǫoLQ߈[q㶺v|\ncwW%g_W~`rF<Q?t$Y%Տ7^Hdq~wO~ʠ竛fUPܽMjoXn0Rn4j߾VTn_F~tc u@~ӽ{/\'Ww9Wh{Ҷ8mQtWk^=SԿ,PyQ7Wx/Q2| F	ZBr;k#`	8C#<o	$L%FAGj{l\'A>TP&8es\nA_P\"ό\"A褠\"LОD RA;EBd!wI~-AZd040G0<A_~Gހ\nFwqe0r-Xhc\ncwcc3f0qpaRaR0+^|{GZYo;*L.8\0K\'\\H;NS5VHp	fWsRyV~¼¼W<\rǸ\".,E2_\'xu7KG²$\\/	:3Boª4WS_Bpzauaͅz!DBD!th!4A=QV-DDl+!n&Mq6\\6\"BTFpT4#9&	1҅揃--2\"maBB\\8!+C8_o/{DB~RHH*l-l	YZ$ǗBl7agwa?=W{\n_!e!R\rT=!u;쒐&o	g|#dr2!cR!㷋%d˄CCӄ+:,OBVJM8	1#1Ocs{Q˅5p|XZ!O!Z!Q!?!QOsNoNbSnWB3sQ¹qB&rsBAPD(	.9\'\\9_l6K\\O(\\UZ(T	՟ٵ2frpjnlnDX	,-prR$Yr\\(Ed]npF\\w]Wgp\\xP?Us?BBc\'Oh\ZRx<Bxj7DxbtO,UhYVhyn$<*<+.	/\n8{Sk6cv-Vh,o-\"k B{~7CY)|>\nÄ\Z@:M/G6)BJ2Qv-H\Z@辒$z0B.gSUGY.!\\F}\0Q\ZvxOk\rdدj\rJנ^ha\Z\'\r9L#ھQ#H#Movȯ5hOfkk5~\r]sHTO(?k75\\3>M4_\ZZ-@#MhE4:4:/Ojt:?h?EFkNi5Nr0JK3l\"1+4F\ZQS(QQM5~֌\Z1Ќ	~,<|SƢCK3@fr͸K\Z\Zy	}C4I56\r5vNةk\\2f͔4{-5S4SM4Nssu/.L\ZK5LfR3kgqQqtT|f\\fGA͂ߗ544ς4sfhB4^5V;4͒ٴyMح۰S|fEtfE[&@{&i&Cf}ʥ5+hV~]Y5fռRMP*	xYy8oǑQܹsg:wI(JBD6!RfRJ}\r%T$K҂h~|><s=3!]7A8PL9N8uEQ%R^R8N]@8Ppc̯= B@,!`!m?g=\rz΄iKKM[.B	PD~p#BY\0!҂pãp7GvpXB/b-&@9+GHIH<KH,p%wwf>lB2EHr\0$zRkMV	na5[K+8C߻YDxH$<t[DxHx̛ݘ8?cF-Em%C6SBvBٕBIjBP~PoK=Pw{1FBEB}-pАGh&45|$<!<BxqţyY:Fhnr\'ZiVaBXBk,s\nՑτ	)Jτ%#ΈM,+[bKOJE6G.J>FY]Om!>&	}>K	}O	Ǭ	g\'	DƕU.v5âۄԣu	_	EI%?$	aϘ0N!ȯ&YM\\JN5@]XOs\nav0kGWB{y]$GZ\'Dv*Qˌ<@\\0CQ-v\'Q=%j~k$.٫JԚ!.ݕB~F&Hu^uuozzy+~>$~H\\mHྋDH\\dr~JDCo	D:n<!2䜉D=D\Z+\'\"#ȹ6!li@G(!_qmǈ(D(=E݆DY?@N4N\"\rDD#Zq:qͯ@:⺚h\r\'<qnR~܇QEq	h6CK|D@;-%-E^DQ%n4q[V&hAi nL0\'ڍLwEݿhNܳb%q*qϼ\"с#:\\8LwWiѱJtDt*#:] \\~&%G\'xL<N\r^7c-##zHy{\"%͉$p!,8Gر4@TA#S%[x^=x-\'\"b)ŷKcKpe!Uiblb%gbh1C\n<EFt=HatUx.Q-A%ƙ!9!ƽBL|ASELGL*OLDL~?_눩niG.i3֞\'fxČ/̣̽,ĻWW7<$fW9EGy/!J7tb~XXC,%!bm*cJ,? \Zx~bNbU&bUb=xX!sĦωϯ V_?\'Q$6o|Cl>Dl!x[u]_߸?#;U_[;ЁN%*+d9jbw>g,1Ԅ1\\@v=t+?(8j!=6op9#~ǉ6腝ѸR☑8*\"~&~m\"~{&G}8n%qR/qqj\rqjN@q\'N$\\nEiK&ZuG\\B5&:L2&΍k{aq~=\"\n\n\0%q@4P\nlT\n_@XxX	ŜFŚux@}깿\0\0͓\0NXAg\0+N^\014 ]\0p-\0oa\0L\0)( /m\0]PLz	!{g-ԷhszF]|Zi\0Sc#|0?\0v5`n7\0\0_g%  \\\Z^˿\0j#\0,C݀d: sdy*?5K	\ZrV8\r\0klku\n::;$ظ/1/00g\04r%`kf`I\nXf`CCۀ]\0۵iݭ+س;p꜁˾{]ـ|#8⁃=Ma8<\0\'O[156wN8>A/0[t;}8q8N> X~.ρE@`f>9Lf@6ຎp}kp3i\ZL?D~\"gK<[ JMZ	zD_KnG5\0d Vu%\"8% nj17$@$;`[@J g9Hii@xt<K\02a@m?apW	p&\0V,\09N\'{!@NHu|_\r䙎\0a@m`P|(<	P<%vR#L\r\'\0Ur@՟dfWPs#\0]C\r@cfiw<DOͷO󁧞sfݣ@\Z3EhSZ7~v@5c$xk~B.tځ=8^6+\03q@\\0З0U`\0YK5`q;0v+\0>_h$U^*Ni<&\"t`\"0Li?oo9`;`>A{Ag@hGPE(.]	A7@]+PTI5@@*9\\\r.p\\\0\0uՠ&ԣ3@h9p\"$AR4Ha$D|@%>iAy($fL @6d kf恼ϋAm$(E-(}7Aq\\6(1>J\n@)PT\0bUj\Z\Z@cuxKh	=ہk_p}q7pqpch11X<n5*?3rƛVW[u]hn?9MmO:9@.pϗ󠃠tx,^w\Z#|eNS34:MQ\0tz&2@a!𝏠9虙\0z--\n*Ǐ.7ǻV\'+dg6}\0f^r@N{П?ZOg7(3`w0R^\n^P\0T#BAo{4B	\\^;\rns`\r309\Z/oK؁`	{0>=>Ld̂wJ\r`ҏ\r`rB0E7_;`&\0<uJO)oY ay03[̭=>QL\r<8029o{\r,|,pYFq``,\0p,,Z-p.X\r,\n=y\0Xq+X|,NIS`dg,Xr\n,K/[y{כY:XX	%ei\n`XN\r\r}u,\0˿\r忽\nBU01+l++.TR`E5X1ZV.+?+|_+*f*$V~č`5:VՎ`u9=\0ןR:\roaXsft`J>OەN.X?\r6>\r;B>Pl`C>l;6l5&X\Zl:4[%%f\'҄H\Z+n#*\"|6|5	ofi>;\ZXc`J/ؽn\0~ ?~K{LYp`IbUC49d\n?G[\0d_j΃_7_ͪׯ[o?og\\N^0@/pJN?r@pp>Nӹ	מQw:s/;UW_B)In;NO$$fbؼq8h3I/wZ\ZICI84\"$$.>iɕs$-I+inRA;$$MWN$JZKZѝk|7#`V)V8#8yDH&$ L%A~%:DɧZDSN!1-IS$OHo$΢i\'Sc\0$50ZDII%$\\KyF20I緑Vk˓V%ou϶LT]I&ImH$K;IeI+HJI:6*̨Hf1>s$s5Җ$z\"ˌ(ɆEUdT@Y=gvKH$W%B!$GDoͿ$$ע$7]fJr1Gr\'R-$֎&~I:Āt<-H6}L>>H򾌑|^\Z|\"3#}$/K:e<C:uӗt*Ft)p#$[IcIAy3FVޤG\"I.!]yNȂtM@\nL%;HI들K[I?bHnVD8tg*)IRޠT-)3崒tWN@>D/zOoQEV}H^I_Dzh]Nz}h4!ID<FR޵rR?TqTōTpTvCL*kF* [IǤlTdTsAR@^OΐO\Z\"5#5n#5>\"5=!=\"={l,y}fV1:5zR#Lz\'N\"!u.\0R;H]Ioz\"yR]RRER+i\Zip}Ҡ;Ґ+ii84>/K\Z9<O\ZyK\Z4:N\Z\"M\"{H\Z#}9BY<$M,U#Cv\Z%M?%r$&H?n~a\"|ҟ3ڤYG5Ҝ\n47E˹I[|Q?\n$L\nc!9CoH^~#$Zp$	|7\rb\nRٺR5kT̓+Т!G5Ā4CK@KZ ֍VegHMH;ܔ\ZVIV\"6\"\0f\"{S5 Y\"/+CgB5(kl!tCfļOX[!o\'&C|\'x w4Ԇ!\0$X	<w@fHPAC$gM4!hgЪhՐdmd0c	&@&a\0d5d|,͆r5kКuh:)Z?C6(6t6C\'@f7bh?&dP	YBFVuж!ke:(	?mϿv,v8iA6 h;dG\rwB}:|hZh~vh<\n\\\\@n+C Pt\nt6\nY6<A^!/.\\Kg  qOdo|Aq.C~L!ծ)T:ÆN3MP\'\nr:{?].X*CfbRkХ&ՋբP6\nՖBa(I(,>\nk[sz\"~AInL_A7Z- %+lp({=o\n?%ЯA	롄PB_\'#J.R@\\(8q(\r<Ly\Z9rBw+lN4`\Z\rA	|q{喤@Oe}{oˀ\nAˠ`Uv*X@rr+Ty*C$T<U]7d5BiGz!>\r^f@BAo^7P[1~u8OC闠P\'u~?ϡЇP+d$>eB\'54/h*hhks4FCc[EЗa۠^ZMT;AФ,4=M]Q~&Aӟqh&?\n^B_Arddcd^Y?Yibb$Yy;NV.*1Yd;qdKaojXdM䥣e&5dm!N;d]-YʔB]\"zO&7Udp8=N #h:2S@f-2V8C摹:ܴd]52\"gy Y8N-ɢ\",dim,k\'˦2dlwCd\ZW&2\")zL^sky}yӦ>9\"yGl1lZ	ٺ-y{9N񢞼\"!W\"_$^6 ]N}LH޳ȃƇUG\rHv1\'￙L>p8GvN{.o%#Zn$dw7dc\ZdMd;ȇɇ?G@~ZqT_x\"O#|~C!T֓}\\oɧ#6\"_B\">1\'曑rVm}FM7E|j6j	rH\Z?z#9D%]bk/Rr˿HYOKȷhM=kI=M]GuCCGd6CN:MNFݔ)ryr9}rƏ=̀k̩rV)a|]H_|xlmȏ7M,#?n$?&*\'ٓsItrލIrAwb!(%\\lA.ɥay)O  W;u1Or\\B\'+k[-ɵ\rz\r{trH9A~1# T&_{m-,|	b9+W٪לHrr[-3=wC͉BGA=m^5&Wkv{{3<X<H]\'D^!\nG\rǚzxmq/׭;^\rwɓ|&y,K!I !m!&,IysΏkn;؉\'ҁ<6C@S&jJ?ߟcFfa)X[G_7Lp^`\0+߂=	Rb4|V.ԆUU,``եBx^h`҅55oKKla1Ͱ.5Xgy,cy^b#5um`b#y^iy\Z&`WW0{\r	#0US7ܵ0uj3LiiR;P30IS8c^0;/qp9/\\La-	(,¢*XTd	jG`1hX,KXjOUaUi%lZ_\n5eɞSxc\"xc&lo3\n/1`ؼXzm3l>[?]|xׯ-0lV;ax! \n;8os~z`y	츐;K&a\'	ؙ\nvj]vAcصvc1xRدq>e&xgogSG8 2\"pPR[\rx\0_˟ކ/ހ/K7\'gXwpuCá06tt07V~hXVc>qqR`8^!\rNR\'p2M\'Qp}}8\0Nl3P^NslZG٫\'{OUn	5^d\0E3^pI)\\\Z..{.?]\n*&R᪦pڷX\rW_>W5T\ZϗpL~d\nn\\7.4&,_/ptq_-֗	pk[\')*_׋On_n;N\"uLsr\'Ak_ܝp?-?\\2}+~;\"<СRZ<4֭tb/x<\0i߀/cR W\rظ׀]ɇ_gxnHc)mRQ)r(({,leeeA%eE)<\"褨lܱT_vS)\rP>BYEY{RAI,1֣,Sܵ)Z^]roΚocZ\"Eo8sⷄ2g3BL5Q\0G&8ATR_Z(f\nB>3HAQ&-m1IaS؇P؞w),O\nm7\"~Lms(k0E$*RD4\";7KѷmЧZɦ=ȥ^b(!O)F~Sv|]Q֦l΢4R֫Gٰی)(4eӬ!e!gś`e@,G|y5$PNXPl(6w)vNQRvSu)i)%\')({){;z(vR59PT\\8_S\\L\r).M(3CɑCo_Q<R<4)6y!	g&Au+8?儖rzr2{5{IQ|E;(KRw)FՔ/(g)g)g/SVavsU)O*P.|\\l̡\\2*\\r7LHBOeZ|#%TpZ4E	sC	{rˣ\\@IaNl`Sn\\Jr%smbG~1B״p%1<UGIJ次/(ՙ]LLJHg% dJ\0ʃd\r%Jv#	cI5q9J԰RңP*ʋ:*eJUy:کRR㺟ROI 羣4p)\r^*F5SJq[ZSE_)όHg{RS(R^>|Fi\rMi<CyBimmDiKi\'Pe:M_ROtS(={)=])R>>xJ8u+Qz7|[)fVQVQzS\"((|eGz2fQ\n);(gocɴ󔩃K(?2C(3E_kc(6~2;LQŔ*DNo)\"wJQ`Ŝ/Di\"32E.dQN\"jGO\"5RDcT,q܅,y,۪,;h!:_%D7	Y1\"Q;\01--,A_꫏*|!2E+L=0\"5kF؈>CTEnA9w\"AF~3	K5DDVE  K!#C9b11?u+/ .\nu3u}M}$1uEֻT!Mg7d|1ETqs)ȶ?ȶdJvG׌ ;8#NndndȮKkhĎmAݍMJE\nQ9=<G!/|D\\/f#G#GGc-Khnh#D ^\"#6 ꢑq+VDd[xz ޙg3\'FS`䴲=r7r	<Go?EH!=|?$Vr.|+rE\\phrdrmrm	]]~ a5ٍYDXO.k7uz6<ryg\ZUD@nk[\"Y3Hc67\rF~Dݑv$4t:#=?ېHF5d.dHf-$ rw(r};BHV ;<9yIG4F$s(RȯC\n\'\"j?R)rB E)HI		)%BJYqHRک) !H9)oD\rjf$RӁ#R!	Aj+!uH4<\"\'HRiwy\r\"\\qy錼:WYDƞ\"or7EHZtH\r6->^/y0yPtg/F>Ȑz+sS{h|,|Cz\n޻\0Q(==nO䳼o22>|	Do _o/D%F&#ں$RFd&dv#3yώLW}7z3>V!sB\'\'?fd~22h*gUG\n\'qwLQ肧QEbpUhDuʤ\\TUۊ.DA¢Œia>jF5jTOTˤ2.5D:!Ityg-;p8EWE?4B(ք{Q(0r˞M&J;\\P8Q3_D*THiGT?@EW7grXxRQ0T4]%|A\rNk>Q\rXE]sv3v6]H}]5yڅو]nfaC4D7?~k@FG-D-P+Ժ:jÊEwffv}/Ծg?a	3}럃3|K2EAOԱ6z`>n3Cu8yR\rPׄ cS8q-Г7\\ѓn5s\nIG}үDOztt\ZdWRA/^pF/X@4/[ge蕠\ZJ\Zz;^ݐV4g\r?/G-ш+\ZF$7n7J/Q4j4*mޜMFo\rDcKX^4mahM\\Tqމ&mAkДB4sM|дh	401[f^YnѻbW\"uRZhμ19&}q1+Cs\'h^Z-pE\rHwZgm@%hi6nZ.߇Ve0ZڌbMh}A&Z2mPjChӗV*6}}q5m^\\B[zV0Z}힊?\'iEhن]}~+>bJ%h=\nVGlv=hϫ}GګuE`D-ϯ-Б5蘬\rZ~I~tA+DB\r:ɜG\')iGO<gy~yй[X!2@ɳT9RQ^.ܐC]8^H]iL]OGQлK]jQ*Q?jZRWF_vTPT\0?\nETG&\\|\n8I¹7**%AE5vT-{*͒J5TwTB7KvP#T}KeGS9(snfPmnTnw*?#*Nb*T<ݗ*V;@J`*բEUT)Ao+qh(jB5n]J]O]sĀ.E5{jNj=Gݼpje:uDqբ5jSmrՃTb-+E5ԝ]#TۆT۶/TeA=4ui˩RR׶S>S\\DuVҤmUS-(TT!-ꑅ۩/SP=Wzz6K^FjT6c=z\"zK{h\rG\n7ϱT[ܷTߗTTu~iOqSY4=gLQB<\":nR/?@lA\r6QqQ/+QW0=Cԫrԫ*\n*qkЅotjX&5<5l5Bz&5*\ZU\Z7ztzs\Z-SK1X5޺\ZBM0GM7&:P=gr)5T~j=.5~<54~FڮBW- eESL	\\)5?jq2q.]:57x-5=Z0?E-tzP\"TS˩S++\\66rP󩍕&CjSO.ꋒ\"ͱ\nJj˨9e꫽CW_m7QjPSL5jUwY|껗R߯lvR6S?5~GXD;OoXG4utR\ZSﻨ#_⩣G1qoS\'7ݡԩiK4ɟ:#w:TRgܮSgAU?*?osEs?ߠP/;:oL?H;;BPɇTh\nCki4Řy4%o4C}4Oq4o\\J\rMe8M-z\\(fmx\"m6Iޣ@8J8H,-ὡ-~N[|ELӊͣiYӖ7fLVޢim\Z}[A#M5kh4DHCQRiԬl\ZݠFwס1L,h.\Zsv\Z3i7Pa#hŷ4$}Ii4\Z?M&J	\ZhƓ44Q?MfA[U@3Tҧnw;O3JB5ik\\7vmD^6hM6L3if3iiilymKmK|6bf0f9.m[Cۖ}IfeʣkI]\\DىShi\'hiv54\r=W{u2i\n42O˃4g47V-h1}@;_O yީyh\nh|.VS X1<<vfsȜ$N;ww-gAhW]\\J)M^IҤEmeH|MSHV5-2vwƁ[ci	JZ³tZb;ڝWaZ2Ԣ<FK[@8oD;HҒвVв.?e}=)ܣݏReKhwhZiqhEhrhO\'iy\0?VhyVUC+|G+ZB+j@CišiJZ\'FVM+OG7EZJZVZ5/&2VsilխDkW5t=54=_9ڋSh/ZVZWrVhNڼ\0Z{Z\'݌9u6֟m\"Z76d,Ck-wNZ\'6>qi$hiUh_цChM:@ykHg;w\rо*ӾӾ}}DJMWiS$ڏ)6ss+CDIU)=CI^ACi]\nOnҕҕte=[\nTCWqBtetɗŖg\nK\'Zz|Get]}y	k\n]om}@XG_yl}Gm9t\'ޡ{tM9EGSԀ::\':}AEgT=3/YWM%ʢ$ӹa\":r:oY)7YGtFt]vnxrbsn\0}MVVRL_N}$\'dގnz }>}}}ޕtf_]m[-ӷfsѷLѷq_;wHl;v:mvMtiO.%,>ɫAJwʠ;Hݠv<~s\rSLwǿݻvwEOLЏo=m@\\Bz@?J{QtSbw(ݯ6M?~JJ?@M\\Փ@{9/_Sbt}z)=BIҬG%oңj_|z)wzbjzby4=q-=)BO+룧}4gllg3>$3,GcTz.=g?-|?9F]O˷xLϛI?]H/?-zQ	08J^|2^	K87=geƉ.z^UJ^Clנ\ZJz<vVGDJoЛ7қ?<Go	W3]ߩLSmlz.\'B`17zezOVzϕ~}}	\n\r~jz9}`Ck#5%/N/>ѿjп{O={Tj\'4=1EAdyw5_kwCh/}Lw12^272,fd,|,P;X%eÆv{%%=Z#bƲmڌe1-)c(d.r::kfD9PwAc&Jw2򌁼hfPG3h$.wAOAOSY<`/18]8!3DnCt߉!aH~0O.jƪ+O1V??bna1/?c-e0acV9Waؔ2TBdl\nalؼ>1ƖːbckgƎ:C:İ*;w`a+`؎0v-bp0:_g-ؿ5\nNkƁQo0<88c8XBnn4xƑ9#7Gax&So;Ƿgqqozۣ#\'\\a2Ʃxeq3rgs\nge\0AW_A.Ռs޹2ծ0]fk$sKW31B;9Fx$#ǈǸ.7MFv	FFXF|OF|F #aF;F#HmgAt9FrqƸf-+d-`ܻq,x	a[i`e,b䯛a(c3\n3-Er\'5eA%)fQQ;((_(?KfT<F=FŗfFep9Q^ƨYɨ	b0j2j\\`.hf4b\'gf(F\rV.kNk=w7(ӌwZW]FuѭѽǗ񡼅2W[hc|2>e^Vdv2<@,ch(11ܓ?5Dc1/W:Mvb}U.dLSS?2~K㌙Lo]_:?dluc31(d̹1ާ336t0112d#LR#r)Se@TTb.0#1e.TgX%0>061ɖ3i3u3u⽙:N1&0L=VSsy\rsœ̕L=TLx	a\"UL:&Vdʝ`2i.a2K=LLɿLLc)f1k3嗙xr&^q)JafsLg檀@87LJLC!4tg\Z0ն0)ILML%LS݋L.2͎0737{d3h2p_2[0-3-o2-obZran2d`IIfĳ;;\\;FLLok71w;2?`Jf:0ǘo3.c]\'\ne43extjb:[,d:_He_ldtӼt_xt0).f\ngzy/aH&3=^`zfzY3ڙ\'G3}}g3O2O<ty:y}yaي^f|ftcy~Pgy!rm+!̐_b0f0fI*,qc32o7afb2V36^Ws1$92()<fjbffj32L>Lg{t03o`fu0q31KO1y1E,b̿EbcD`1ʙ31K4?2K^R%5̒i1\\mY.ęݻc55Z%z8flHlf60Mv̧^}ߙ/\n u)}Vf͓|kq컧=p`<2GC6oV̑1_JsL%vMP~9Y\01֨1<ΜY5 ;9{N99;97G9ߛ mg)<c)Q5XJy&,2\"KFKuab-*b-^Z<RzҀY\Z<K#(K`	kIkv0K(e-tڱt߶Vo`YD\'C0^ubX\']aQMYc1,?,,,mbUXX,2ަ8b\r/>oqr,HK%4:YxKː%Q{h-`IDX$KzK&eɜ4Yz,E^j-k,5fXkd[މe4,2?eq.ey,h\rk[.*ڎemy{lX6Otnd;*cmg9[Xο/\\8@ۋX^^+Y\'|Y~c,^Rcb^QcY㝬&Gwϲ.{̺$b]e]na]^zb]\rNaZ	Ye-u7Y+ƚu++zQ7+z?}/u{9.𓕸c5+i)+JX=܃(\\).ʺzఛ(	a=*c=9U*fceYݬBV1x=*fg/^1sU)Uu0XUϱ/vjijWjc%kKYtV4z`=3Lg=7Sgp`:zώ\\jea=z͟;={_Vł[5h=\Z\Z\Z\ZdFYaYc׬ klcww&*XSZJqTK\'뇚kztw/5f̔~	@֯gѬY7kr,kvfU(cͯe棻19L &oS?M1yST)J\0[h-_-:[ԶS#aj\nf/ԚʉLC40́dlllIBuJZ-8NW?.l1уPVlV`+展.bDJ1  1Ҋv]hl`{kɰǨ!%+Fnї8b̔Q9cm݂-`<ƸAyqfb9L ~D\Z1H&։I`V-lVpQlu*Či`F:fWǌs;ISִa&90eN!luf4fn\Z3O\Za[aV#6fv^a;0?)ۥ\rmR\n0l;pۻ	s\"*ylNl!_U\\肹pb.As\Zs>c~\n^;\ZՂW߅ñ#}a;݅Zkݢ=ag?ƂaT,x2,\'vI9D]:]7Bޟ)Ǘ;[{X\nna7˞bY,S,Vw%\\BbE3׋ݡbwRcIW+X\n[K4/,oTe:7cKE,Kpڣeð{S`33p	{o=r*cO\'QX~+aMX!샕8c%\nXZh\r&XͅzVbecK`\r5BkTÚb$Si5{܅5aX+kڈͥk;Z5z.֡܄oðw۱&XגXfM`c=eGX\ZֿwBcا6wlHAؘv.}_9}?}zMObӐ6wοD^fb3Ϭ\"\'z45wMo%3+amg+g/^^p~qc+ͱ=cl+w٪ZتEEl59Ɖ-l\n=lm7yw[φk;:+Re%W\\C+K+^]ef[6a&m`-Oؔ8q|F?lʦyiClN2پ*bc|M6ޏb+8߼e]%Ҥlv-kg_\rl\0h$hp9b{imr\ncMßHdd14fo69pa[nŶVNl+#mK~ٟmƶ^Ķ-wcۙU=hυWn-{_h{:{1bZUZ2/}H}HU+cl}y}Lo}\\&ؖ}bDvDw2r/S[Tc.f}f$K/<a\'/68}d_WwC?!d0ȎPgfߚ5c6g߾Îg1q7#qWofBI/\r4+vvoBݷv{ގ-{j4Kuj؏(UGv$c)\'\'Eb9vq]..y.}Pͮ44`WUjT̮ZȮAVg/$L݊\\b\n#mn3bgZg7;[2;:G=+=!1ؽ}[`	[;ѫb;=Vqm-[*{<TcQb	\\,{.p{f{570{B#g#wǑw(0pܞs.(prWsT|!x<FsTs8߼8p	sƝ8ws4.lhmhĿh\"!%-Pβ\0Β !Ί8+9+ۣ8+28!9$Mh1zpd*9AF96)C>;q{9Ly3aY9[\nn/ßA0WUKk8f8#3S6sd>9^c4qo9Z5uuԥ}:-gzsF7`(KgSc\'gm\rVű<ϱα]ʱ\'r6sM>g|Pyq9qՔrj8Vs<Vqn~Up\ZsIhW_rN:x{p|:8VtVY)I93Ӂ󜳢PYwNvι0sΥ&՜tN(q>q+\03Nd%\r)\r΍<smù\r*[qbo|Ļ$hqpWr>$>YIoIVȟᤄsRnDqҗ&q2G9YYz{o8&J8$9i#QJ#Σ\\vNnSΓW_9y~q^Np\n+9EF9Ŕ\'8%cRNhNySNũN5lƩIũ}S~nNqiqq&pzq)l<[yyBbgБ*À-pެ8op\'8/8S79oI9po}:9}˜ne85&@7Oew98^1!a	0k3?+}8\'8_||$r&7r&9O8?Vi241Tș)yzUUgUpL>l.Қ媛gj*|.jor8su\Zqsu\\\\T\n{J{.an.K.u l./wgq!yw.%_yͥR..3SRWjqC\\^mx?\n\rsVsq\\\ZJp%Lqk0]q:zzPk\\Ï\\㼧ܵu\\g۷s<n暑p7q7\ZrͯrrTv\nV\Z߸r?xryuȏ:p:szrøOzm܃܃u׸n/pݷJzC#\\Os\\ϊN	){l^4Ο\\Lv)6|L9Sݦ܀?czGn%Mx])6uZ({ۄ*\r=\r-m㆝\r{{q#u}܈!=no.7ώyc{$7jK2Vmu{[y{;(7unl?nIWnpo	7\07qW7q>{GM&eM\'+qӛH7\Z7k	͊5Ykɽ/ޭp/ν/<N}@>\\q^}2[d\0Ɉ7-Nܢ\"nQ\"n1j-qrYsܲ~ܲݮ\nCSn宽\'SܪܚZ\Znvީpޚ۔\'>}ś<3y+B;=%H15)f3m??0vJvL[rԹ]p?A܏wr{Oq{+r{E޾>.9nt;lw`ʚIuk6wI/{pk/sGrG~]~QcpN~WǝsdTrql3bx?&s~=2z!O9y>N2YOo2O1>Sn)[--2⩩+/XSPS~[mu[WeUV>i\nx<g-|\Zx+PqUyzǷk	<ȓdvV\\[g\"*xF;x6yGxk	u!o}f\no}\r/Bx[6KYͳt2YV{,?<m}DmoYE3l+y;/*v^~e|V31Ϯ$ϡ>o}q}JxN\Z<k,O]ANyg+o};wT=wtb\'+dU}s<y]_v\04;ёph/ b/(ЋT;w}ޅL^p5eOx\\y_]Cx\rxWثxWsyWxW4䅬YW¼2y^y\\8v#u\"Myzȋyċ}(xNyޝ$N^/侇ǽdo^\\/3x/3/k	/$w!޽ԇożjyxjyMi|yEwTyŢS\\W1+}+sKn**2yjt^?^tWƫ>ՅI[x&^s8k׼o%z\Zxlry]\ry]>md^ݼmއ=/zLy}`^ߚ#~OOxν\r\rxCyB0bv\r>>zV2~ϛX&MXϛb)ߟ|2xN95UQK޿?1o~b-o~ފ/L_\0\n:\nJzbR\nPW1DUz||5jں2V=W2k\Z>|._s&_c7,\'_WZ:W,3>q>1d-.󡓖|X݈O⣄A>Jʧ.$`\rƧ]3\"I|Ɠx>s\n~~g~s+d>/Մ/H%{l|	=/5kK^|UAy|m#||?|_|U56V5שL׭t䛘ק7?=⛕fu\"Y}-ӛFacs/;|mr*mV|3ٓGB;#=l]|[~06<; |I>CC*a\ri[*s|76}WQ:*cߣ <߫lG\"4Tyus|XuOUV%ԎӚpr/S\rM@K}~cu?E\Z?b<IǏ?ɏZGio*ouG?_Ï0?YD~\'qIFiNӗ3Zʿwf?<EostfP;__V//\r?Z/䗾WXW&S~ŷB~~-\ZWkVױZ&~}[o2--3CM7n;;:~w?)?WlNE}h-GQg1GfRf/5#/_W:qnooos+\'\'ou^Nk\nύ?\'SǟuBssqP@a^_X#(~(PaXT9w^,:c)Py\ZCG{%Z;hϞ,@{.G.	V0\nۿq\0V\0|* * 	cogb\0b/@X:uL@[A@K06	\r,\0]/nRs\'j\\[I|#|dfG xg.ѓ\0{F ɍH~/\".V%0|(06kK,p:o3\r`r\rO6>:\'03\"0&t5A`G`\n>X)֔!X%~?7gt6I˦][wVS]S^Sn`}:,~W;	5\n/on\nJ҇7m7=/BpX1YpXpBp䬞eEq//_XQxV;\'纮\'IKolhsG4ierraϠ \"OpmI> Tp]\"DR}AUB-`ALAt{v?]c7HsL\"H8E$l$f	e$$AR ?Uz[2HZ!Hd.\rdrh@}LL,ș\r\n<-x21!Ȼz]}f<AѹA%E&YPt6LP		Q;AyFAe9]PCPՒ qԦXGB\rPAö/\'!&:\n9.xN*IК:\"x*xMGоpS ~\'.xg<+xwQ[ΐ]M/A7\'Rmp[ᨇ\'@sN〇7EYwÐӉ\\>m?s}g#yyѕ)q@^A0?&7\')L~Snߏ~L	?wtI.fM	fi	措\n*%\'X(vG(n {pP(^(/Ti\n.!\\-T.\\}_P}PsQ(ԲZ¥~ƄiP;M$=tBLx@\Z?\nuB	I7	ɆBxKb$5!\'U	{\\Bla(BNr+\nENBiE(sx$M\Zw	\r盄FDUXhd^hg\'\\+	׎M2z+\\8 \\7.*Npn<Rh/VZZN<nY(EmNhRh}\'B]pQFfUpEp]n>eоE^x@5˖FKKНh&t\"<lHx8YxoᑵB@OsEõcVyc{\'>	OZmzG}k?M	hf	ԯ\nAgJA%#s[KGKE	/^1\";- 2[xBxTzh0,S$+?#	o,[\'A} S;H3]\'c	5m	;Iid߽&PVvS6O.\"L\'Lf`^	o&	l[.|\">>$|ذ]_a0O(;	7\\_#̟G{	ƄQae5aڮ^+Յ56υ\r˄#a§.=W!״{7AfP]awk	4]m®JawgAan}aUa_.Prvqoϋ\n?o~;X-@8e\n(\Zj\\)up֌\';> K*\nΟWr{p\ZW0+=+~VU6?|oK#\\EW\'\Z]Ɓ|i(tr\Za[:rKuzKp\n8R_]㄄8\ru\\a~#ѥ\"\ZMé~.8]Gΐ&qeCߊc\\pJ;ցδ㼚8nqA{<.gQq銋]Gq)Ue\\&ⲟq#C7:dkLkܦ5Sڶ7q7z-S|=o	77;f-pD,l)7ۧ:ŸEYn1-͛qK)VZ)ŭv	qk*o?mM	ߕjwwmcp\"\'|r/|wF{5z}Խ\'c|_3V;].\rpWBh!ڰ??!ډ{{}{VN^pK\ru<@ƽ	-G܏u9~W,?#\0x?6\\\ZŃ^sv~H?=_0\'jp:~1/5/OݻxȝxtᲧ\"XqxG~߈9Gi޾oDѺx|?<tO*>\'˫)?<ُ\\Y.-~O~|?Tsz	h?ك;y3G-xQV^2/mc?O?0/>Nx)\n^D6kx7ǟ;?ϐǟ\0x57ڊqkiXoZWnGn	x|_6;t»LzU[xlFV>؏];Ue)|G_VR\rד;>ᓬT\'xŭ\Z> >m\0=skEN{@b(R6\"KEOu^fm-6\ni-yZdJ Yiݽ\'Z4.Z\ZATlhYnhYLC 	-[)uiVpE+|dY#\"<; \":ω@ܡ!&1TQ9(BDTK1*D\"Ε1g _UPqc\"\"oqǬ2xzD|==HU$ ,	CD\"H4 uuEM\"q-\"=\"΋5;ք֡\"ɜxȤhh1h}/\r\\\rцu\rGEn6vN6^(2#։v|m2	m ڲG%_dj(X\"%\nX-ڶ]dUdO.ڵJdUd\'\"R\"ڳ(r8-rHI\\+G[\'ڷh_1Ѿ)%\"gD<DkDEس\r[٢ejI;Wɸw\rA\"o9+wsSeihe31Qi9(X((S(\n\rѥSk.P^QX}Q<Q:kJD#xǢEnݦD1jQ̦nQL5QQ\\P(Q莩(!J:+Q*(5K$JD{E7DiEU4QkѽgE|EE,D4n=+(\\&>%ѣE	QњLQQQgQsQQqXdQ뱨**owN*G.Ujd?DjlQ?NԔ=0=/==ϖZ<EbD36:袎F;ޔ]_7,_ݲC[G\r \Z\r}w}U4b*\ZՊ:BDckD_E_ݐ̻E?EZdLOwbOѬhh\ZaX7Y,3\'^pCH$V;(Vŋċڈ,ŋ4ċ+8b/\ZLwFbX.JR2ҁa%Abm$ֱX!^J$ֳ+^%&b\r1,õbxMLqS41r!fP11C.fg#41[.2|l!1{xDpN[L wEZg1n*NK2Œ?b)rF,$\'c7]ū]TĆ[֊\r\r͕\'k*뮠b{bbxIxV.\Zbv9٧(yko%;Ll)m[2[[7;ΉwP;|VkVNlGJSl(sV@t;X\\\\X;Nzb?u\\UG vC]nćŇkG={=_qH|\"VO|d~{wػ0(b{žiSBf?񩩭ħx&&_R\ni`~FՐVqZ8Ef/?7[pqHy+T|C8ͬk[WYűq;֟A=hq|%qZ,N/NH/Nk=Jĉ;\n=;IIw\Z2չh8 \\N_*gTE3|gY̊3wW|5,_Bg͈Q=ac?X)}G8/y+NŅ\nqap@Q\\4V\\<A\\∸L㹸uqy\"5X\\ٲC\\P\\Q\\{kAyq3]gsgp\ZK%%K \n/[8ׯmom}>7{Tdq\\FNikok8_a^ÉqOac̨cvH<p[<txE<&lD<RK<6\'Mēf\n-?3\Z♞r1\"gW^ϩ?\nĳs5⿫]hSw:KKOHJqD麶D鑪DF\nDug\rC5_Jl%$g[$;$owJ4B3%%K%ZNYcm^7]k8FK_B.!:Ks]h=	EH`-Dӻ%5q	}waCºXqJ8k$͗$=ޜP\"+xIIUZ%hpww1qĸ)Y#됬iO4ޒn\r]&YO&Y߃I6\'J6]LlKk%f%XHtI\rkGLu7+$6o$%՞؞؞.J5Kv+zHO=ל1\'qo8\\s>!qD8[J\\N$J6OJNI%%7hKH<$|Q/KrBPrҨKr[_ 	2$g6^rJ)iO$g əۇ%g>%g+$$	ssII씜+IΫ=\\(	/	.],	%H.HJIB3$a\ZɒDII亥$԰$q$\Z-\rJ$7e.ђ%1Z$I:KI2Iܡ`I<)sVUKҠ	I$]$+3Q$Hr*MPᬚ$jFqEk\\}S H\n$«ђxSIaҬhRR{,)I%ޒ1ICIEx2礤JARm%.4\"J\Z\\+$\r㪒F$H8yRt)iP(|9#i^\'iQ%i)*i}Kv3BfI{佋}C)CI|ɇE)mD#*/{#齬/ז.JD_%H>K>u&JVJ7\\[NH>JyJ$c%I_0LhޔL$dnH?%O]PL믒AP\\@ߒ.ߩ/R9T*HtRptaDHiNQ.:]Cf ]}T}Die#]AHHZInI^K\\juIvKsڟiR|TeT$]~TWt,%8}FR~D\nH\Z)8)%tKI{$ǍRȓ%%WKa8\\\n_&+˥)K*J[3RZlUÖbR,kD\rKyOܤ{yW/JdT*#KeER}tR㿇knK]o+ӖnH¥jI7nn֐?MRsz\\`\"b[ŗ\')\"CmS]j*ݾnՕnGCYU$q5@j\"ue&JjRwYVMm:Y8J\\Ǥ΂R>Kp\\zpQAmX&uڤt`K_WRF91Wғ5iM?\\gHKmi陧ۤgJ_ܥwJUl/\r,rHz\Z^I^uϔ^,\r寒PixH\Z-/Ko|@\Z5,C\ZjP\Z#KzH^HISU.KSeKӔy44%C,͌%͚sfۆI\Z}>FJ&-ɐ\rI`HrŶ2tRZ[ZK+b\0ii%<!}\"ZIVoVHKkNKz祵IkgWJҺ5Ҧ$]җQi:ikrmFQڮ[ mwI;VH߾!}7.}+Z*&~F4Iڳ6]T*QEVIl鐲t[:tt(U[:N~~{W:B:8IǔIǯJ|_`׀5	gX:qV:NfKgHґJ)z&-KWO:F:/SmQL))\\)9Ȕrɔ	eʏe*.}2ՏeEe$LT_P#[l٥!*NLOl9D{fLO;^Bl$/[claʀ<xtPF(AוdP^yℌ-lݝ2ꦅ2:妌~HFv1e̓2Qe&cyreg?dG\'U(5wKewd\02L|#5d\Z2y٪j#3ӻ$[]$3)T6~{,3{_)3׵WY,bdKeΡmG.ɶ.(GeKdzem2e{0_ٞ0ٞ22ӷ2W|yX,;\';tzFC/ȧ<ʎzʎz<IKd2/E츪TvDO/m^&-|8PHJd5T>|I\"*VHV\"#	EYY	HJ\"羯2\"!!^:Y*StEwCe!~U\0Ðڐ<Hl$r;$԰*|	~rG6rH]/zC<H͐(]MHDH4-\nr:q\0r\noIwd\nI:4I$[ARԑ܃G2GƋGdGQ*$-^>yjt/<<-$z-o3o,C\nLH P9R6R$Bl!E i /A^=)\0){)[H62yR\nQ\nZTx6ՀM)C\Z.hC\Z<`i	HHklzw	ZpqX\nQ Om{\\=\r2\r2dL]!Fad.=ȈdT^2v2_\0&])T2LǆAST!Ӄ<Ȍ[,d&䇴d\rTYyCm,{\rum+wd\n<uj[Y\rBV.B8C6ŐCsg!@>~\rwoȿ`D<*0%d\rTX*ׂ<SnZs*ݾkT${g	U#@\Zw\ZҡhPPP!P\\	T\nTwT7\n/=ow@2	5fN@Ͷ@<:=2(RZk\nje	=	=$8\r=y\0\nIBН(\n{bBg2qTbB3P>(F;\rJ@A(DJ2;jRuP(U	32P;>qʾ!rPn@\'*|\0>~G#良PkГ/ԘvnP[Pۋ2PG|C蹓fsE=+Pg6Թ\ruQut@]Kz*KJB//LB/A݄f\\0,j	ƀ2S.ַMPX%2z<U454pY\Z4m\r6\rƞ>\rBC#!;лfw_F>l\Z4Z\Z}94f@\0\r?j;O&.hshBh!hЇhJ%#\0*}&4mv@!xL*IB	4\0ͥ`y<\'h^|4\r7\0;o􀾈BRwhq\"8h+q9$DZ\0-~}	}AFeh94h!7rw76кsg\r,\rK&oЦh&ڲ&C̡n\'zeh=3G]ڇ]W]Ю!hwOhOh\r훔~xyQ\rE~: :z\r:$@\\ãIQMKX:LօN<NBCtly\nUYtt}/h߰LI7L7LUL&=\0je6V	0\Z$L/L}&	lEKؖk090y0L2LQ\rYLI#|ZRy*uJ;SSvjvCa\Zaڒ0+7a)a:F]0|wLl;	;3PkT`FU{̳`uaBaFpK}0ni1]qӋ`߁A2`;08\Z̀!?_Ս`tH{?90R4k菮Ga0\rcz1}Ca=0jcoaxWN0\rLV]x+L|L|?	vn;1vN\rra!ؙn<>S:bzؕ0wװ*?aWuR`^]7	v\n\r:1{9|L&;\Za)`A8,8#,UZfBQ?XhM#,s6kXD8,-\ZRiݓ+_Y܅ŝ~__=0`	TXB,1\r%t\r`ðG7RKa<Xjc@,MK܄a#cj\'?aOTzaO27e=+²sXv-,/ V+\0$5XX1/XKX	d\rV5\0+~끕݃vL|`e-2YXyrb;VQ,{]~V)J\"aozaU\"GXU3XV,V\r;KWiM`\ruƙ[`q<{	\r؇c.XGn\0-X/~p#X6x	6t67+ȁM̙&raz)NTO<l l:l&z\Z쇽/Gl	l75a`~~#UV̼a+VawZ+a9;a&n%7nFc˚p9E<R\0oo\0Wn+3Zpye\\)+|F=|\Z|\'|\'<\\9wBf\\zwNw?5ͳᚐp-4\\V|O2\\۰#	ח	^響識h\r~\ZT^\rͿu.,[*]@?8pJ\rxx_\rG=G[nѬp[8>Nh2Cp~8%8:w\0p}I8,n]4h\n~N=\0?́MK;MNt~qk\nUI~9/Gu++oW~{$հJN=\rM0ff9[}^+sӇA3`+x(!<.քzNL#{#Yc3	?x~x<ixD&n]xyxox~xqӣb7xnV$<mx^&xއZx~xpx-^RyZ^:U/WUW?<ylƐEsx=/mr	mQo89\'~NP7oM?|Z;zYmη-xsx&7\r;r5>p>p\r.~\Z%G)uѺ{3|e	>V;)[?>\n|>FOAW,^JK\02|Q_[_|H//eB+Ng\'gM\0R4>xHgYe`˛ܕj@m7 7w=	(P6=\'=ؾPg	j\r~@e\0~0zI`W/`7xؽahտ.{>{{Eޭ\Z@_ak=4\0<;X*\nn\0Fˀ$``w̀;\Z0KUG\ZAe6X]\0\"1RXp|p!\0@YU\0R>?\0?@~(,\0`\0x%\0\0O`z7@HV\0 @>\07\rv	]<:h0_&];\0!R\0%\"8Y{8-98\0r\03p8_+	89g\\H.W\0(aʯ6?n7[\'Wi1xޱw\\%p=)\0_[a(Y\0@4;\0wt8\nDV16@Lp};|]qxO ~QH.I ~Hf\0Hk\nE\"Hr׀z7 M\0H\0Ș\r\0\"YT٣\r3C [F\ZȽ\"rzo%ׁR(wt/uW[q@P\nTo&T*N<PuT[긣@\r\n	C@j)аfT97МEmGځXh\'`t)9\0]k@w#4z>\0Hs\'_a|8|j K>Cٛ=V5`*005۸)0};0\00=m	.?7?5#c`H\rj<,ft`ekҷ5`!^\06HP`\0%4ċB\'aB\nBvNBb4b[s(BQ_x#4B$Sr/BPC҈]\rnc=ڦ;:/:5|nB/2b76boN:b_ā\r<QIIɣ QY.\ra6pq_0O@G@X(GX<8j8JB<<֋<+FX9!<U=.!\" !Aw 7$@=݄@\r#-*#p[1 AA݈ _-EP=d/(솠 7,}\'`OU!8	N	BB0!< D]c\r52M;)BTDT_\' a狰͔Gة3vu]\"ޢa:pP	G8G?8CFA8<@\\#\\?.	+:nQզHĵ/kkS/\"\"n7!n@,.\ZeQ𺛌:f ^#\"|S\Z#5}C5D_DV\rqgp>x\0y$9g\'#]EJC=QmB$\"NG$F$#I. R_!R<?i#\"cfē`_Sۈ4ĳE&\"H\"{*CE4/!rv!̯!ш\n\';o\"8{%#J\r#&eD^DoD%F\0Q2`16AdhqD4<.C4 $kMpD\'KD; _CX\\F@!Fm$h7BшN<As!\r#o\"__l_ADU5	U BC Fۉ.툩]͈>Y\01y1h!殧!~raŘį<R>bپ\0\\XA\"=@/ 6,m!)AWn7v)qm)53@G\ZHY6rKBrk)\'Bʹ! .8Hr/B\"w^xYTD*_\"ջFAjlnBj8!5F\"5/H#5_!! uMjzk{GKېH`^iGi\0i4\"\r Mբf_7GR.!-uG|fHgG17\"H9$43:v	Ӎs\0#DC_w!qR&Hi$.+	ƞAdm$y&Iy;}BV\"zp$Cɜ1D%#d$ v#9HN7$3͑q)<);K6 ŔyiTit$v0Syv	c635gaHǫL9\ZEy1zRaFyyYyg䕯ϐnkȫ9K;7\"oAތ1CJ#oMEz =\03Yߟ ֯\"wBu\"Cj^ Cc !#@F8b>*LdTdTk2\ZMCAޛ|e%!c/\"d6!hG&X!⺑	}ڏLiD\"S#S*/ 5^EI-#ӐBdZ12b|Cfބ,z̪f#ۜ@~|q|Q\ZY,<,FmC<,iCYER 2YB=،AV#+R*Oo5 LCj1d́S_w!Tl7l2FތlyzWA4\"5C(L=+eǠȏ_w\\Ȏd:Yy@vyU!אw#{ӑ {j#|r9p59S[*2@C؃VA~7G~lC܅#g7!E\"ՑIsC:r2#}uS\\cB+{Q%wPv<Em2CI:*$K~FmYGmN\"dCPR(($jm=xRHG)Yv5vr`(@1JyR!!P*(PUe(͏Q\Z.u(Mh~V<Jkes[ێS5FcPzQFP6I(+(E>\\ԁ\rT\'\neh2k22=2g2F>@_GRSFjD:pR/C1/e鱈.EYQ[PDQL#5J$\"P>(Tm7\n5B/H0P(\\\nD]ΣqPR(Ra\"2CRTPR#t2@q2tP(hpT%9uC*EY@8ġlhn(\Z-(;Y=ʡ:3n:+:{rيЊrZD9.\r\\\"Q.}(%rAF]`{b	uu3,uss\"G(fL*3u}[yצ-UWzkك5^G>CtG?,D;QZFT*u&ChESŢeGNA_wF:4D%HY\ZuPwR֣RPSv(Q\'ԣT)T鞿ͨ? *Kzfz6<SN}:*[&*;\0#ʍD%< *Z\";U3U]*Q+GtAjYJ2Q6Pe_Q\\T |8CUZC&˨ڑ:W!^gagu4zǸjBpPQOjE.\\TwQ,STfoTߑۨ>c	Tj@4\ZgQ\ZΨaᦧícQ#F)gPTPcSqԷj\n_	5ueB>WD-MQ{Ԋ!ZcP+)K y;?Kh>Mehɜ|]h)Th(Zczj4ZֺF8z+,zhuZVЉVX@o[>VJB+]ۋ\0oNrt;Z#\ZRV龅V=~&w~5uSq1=ִ%5Fuuh=EOЦ\rhCWCaqڒg>&<FC^=CCa\Z0\Z~\rĝC)ЈP422Fͪ1Иhl#\Z&Jͣ\'4I5M*BTKEj.nhz4Ds@ui{%Z--ο>1GA[k@[jOZm6h ]oh;ZNavhy>dv,uC\'E_\Z/B_=vv?vB;/D]F_v~\n\rnv_;倾a7&=^Z^;\'wo[#ѾLoV-2: HG<َ|U`DSP4tX}N^	Aw=FGy0ta:*:.~B\'9NG\'->D?YC?~B@@=+{O>)z3*g)g/9/ߣg9*ѹ>t^Eşt!]hADBѥ24]FofЯѕkJqteirTt1*\n]UEW{H\ZQ8V;v*BnF7?F7E7YD7z!\\~?n}\Z%F>zݦVdno2Bw\ZDw?	П^Awv\0GkE,<FKa+>zxh===UA]F[\Z=a\Z\'Sѳ*蹪NϠIϻ?z0^?^>^C/{@FA{迈(_i1fLfSwiT̆\0fC>#W#Cf[fAL;Fifg<FvF+FZݎQW޼b\ZFS\06т``t:1W}G0\'11́,ḰzUvc5cx1[1rƘbL190N`9݃0ga,\Zl0Gyn0`Ub@$0U(nO 0J 2T\"	3\"apcV\Z7Lb6G1`\'CZP\Z)CG`f2EY4eb1- J#<2}XÜTm?r`la;.C̙A̙9>Yf.WWUk2-n(X=\ZIs^l٘ Y0yp\\xb|<10_@owLsyc\"O`>dca1AZ2L(J;pPDNc\r0TLܿ	L|Z>&*rhxx6\08?Is<yRIy\'I}iIa24IWIOLaS5L/&!&gq\rW0y1yBLnŐ̋0buL`LQOL)Sryq\'SՊ){yc^wGc|lƼżJԊc:%c\ZјlLR2I)}/Rii]bZa>6a1=%1}7\'1}g0_*001%o0_ݛ1%-̐	3\r3\'f(0Ōw`b&a&fr1S\\fʉ؆Ml,c~`~eaJ7c01KW̚Kif=\r^׏]lts+y\0+ŘJ9J];bTKm*z۾*ʝ*<\n&v+U	Īê	X:UvZ4V?Vv!L>v;֏Ww_bZ5\ZAjVXkXX籦Uf	X%-]?XWuC6Cg5ܰGnaa+Xx`^,fafX9,2Emvb.\ZbXl	pyKpK\Z~~,f&3WciX6/,J1rrMS=X0E`|P+|cEaEe\'Xk dd֦:3)FP<\rĞS={y蜍utabO΂`ŌX%c)u0\n9\"q`&r^k>XLZ]>g{;;{B\Z\rt```\\!2!ؐIlĶHM,6J|\Z	(6~GlK+؄\'\n6;lҏ}d	l656y<0}tSzĦ}>f[o`3We906\'L	r?bk0;dlB\n>|[>[؊-0Ėkþa_eIbX\n؊\n[1\\V6V`{7ck-5]l}m+~\n¾\r6\\mh6MUVwğw-R*ؖ%^/lK:g#llkKlk3MmgVc;WlO@;;x1\r;Xe<=a{b7R/%cͯS۱Swag6!?baga缾b>.bS懰Kؕa\0*nK\Z\'\0\'/\'y`\'q5F2mn;m^msm)qۧp;q;GqʇTT{`8pjqj?8s8=18ݸ]qup{>t0n8;pzS8}<>N$no(n(g\ngb~gxę1paXu;Ew4w+wކ;wA\Z/`58=>LlqZQrqG8`Apӊ#ٌك8Rꅣhkn8},2ı~ǮpƱpA88!4N8҈)įcqL\"\ri\Zg;w&y$FmV!m}c})\"Q~?Α觊;G99qNo[qΰ8pW[[-ቻ[cpu8=ep~8N.@\Zpb\"t$aM)`\\0:8/G\"\nCpsMM{	{,%\\܍~\\;dz5.n	ي{KԊ{=Q==våA\'qongqߍrr,pqqyP\\9[qZꋸI+K/{]qjW7^^%|+*eqٸZy9k]4\\󷓸X<k{=׎ZõO#pb\\7N\\׹op\r\\=\\/\rډ#9>=[-nPY7م>Syiىyw7^/n\\+7>1}}p.2f)dܔsv5T17Caf(f!_p?U~hqFqɸe&g([\0Ec҇Vܲ0n9\Z[~BVA/ܟgŸ0z8m866fq_qfozp/^f/㏗.PRͪzx/[jrM&ea3xoxA0:SW]	^]($~R]n;m	^*9^-ﻕo[߿T?47Tqxc(\Zo|Zo|\Z8o	\0o	o77ދ?T?do>?Ƥo㡖<a\']_C\Zx\Z~\'IE9xR[<l+⤋zi-x{?6gN\'|P2ؔnD7xSAdi:6h3{x)R9®k619)\"FŻy݂Yxw5{`9v:\'\n=1435yMxP\'9U{}_+A$QWx|p\0Ysh;<Ћ5G!yh1|̏|o|\\>|BK|\'ÃFA\0Yc7}gNay\">k9ղ՝0/:/؋/~/!_Z×\\;O+L\r<oަ|U՛s[\"Փ\Z<|9|\r)f3`|cyk;Rh1mb|k;u\0xm=%{>{k>W\"sa\0sv/P\07~(?ڑc*c\rqbG\num&\'Ud~~*D?x?=gXe9I&M\rgy\r~A>}mDQů?}\'k:2g+zV?sM7n6Bkfs^W6U¶iAQPFPl (NCJBR @P\n\"\\C}5@P4Of4n*p6/ %hoK\r{AЛ#WZ{/.}%~F؟=APΆ`&f\\\"f~<$E0W$T%9F+%	0\"ȟ# vd3c!`)Jgpʮ:oH+Aq/(5L B\"P+h#ڽVG|&p~Us? w$ęLJ!Q+Fp\nM8Up:*`M`z`seF8A$8._	._.Ğ#8EJW\\z >وpu9՘buk\0#:#}]F|.|/<	AƄM$RjBfR	a	ws	ubB\\!D&b	do!iw:!@HzcOHYNxԲBHmxDx\Z IN_&J<*\"d	?\"As=(5BtBoB^t#!ԗ߸P͖PdRG(*&p&%+vBOkm#RAB՘)9ފиExw{Ox(KhuAh)\"\'	mTBۥ;v,S+Kè\"_	_	&Մa\naa 0jO\Z\n$L	#Ƅ|M0Jo{DL\"0ٜK>L1%j%em%A%,(<Fu_u¯&[Y8a:CEº/\r9+0yI7\\GpN%n\\#JY#$JGe.D@}ll?qˑ-D1|/qcQIzTqqg<Qx!QUOewZM9GAQ?Ox`@4DFmDM2CaCMXo_GJ{GY|oD`%N:CD/g}D\"f9?Hĸ|\'b\\	fDB6(@$&CzDRq\r\"\"ҰDQw\"Ldc7Db\"&3Knw\"r\"a7KCD!hJ<K#\0KD{%DvOU3O#Hӵ=D\r5k6!ExÇx92xqLLt^&ƲSp9ѝJtg8˺u(ՂW*DK\'YDω/D/	+L$%ϊAS3P0b裗İw\0\r❟ĈC%Fޯ F)3Q.\rQ=bUiCb\"CL\\$&pI_])oƈ\ZS^*3?׈_mz\'\'Ww> f]#D0$GzI,(/ }&1%T~%!t\" &>-K|vʎ&)Zfr;X@\"֍%ֿ!NlجHlU\'|Ip߈ئbOl#Il#~<dO,Gh$~R{F{T=<b/&ΛŽدJ/\"s#[Ó}Q|6ql-֋3;֒i}		D<q#E2J:[La,T88qNSH[&,HL\\I}#5q\0qeq=J\\?FЃ7}d<MwM7M٠$	J}@YbpK\"(\Ze7;Pqh\nl@%׃%pp_P9LTyՒ	ZuPFYP#Xw_154PԶ}(hp=p_6f&7;*\rAC[6h\n\ZdADxc4)w7;@QU`h	-H*X\nIB70a ,o+ B[\" \nB \nĎXAb1n:dSI*+RLT\0vͪ (A9d  Ț\09$+8rW  %ȟ\nl@S5(4v\0Erh^K\0OXSSN~W633,CA{\\ڗ2@v1p?Y:x-[v3!x|7/\rdl(x9\"~\0Q^757cgM7*;A<\rz[@o\na\0kzv\'3k`0*0-@w7O`aY0Z9.[cXc`50^Lx\0&Z]j$0)>/|z|H7)r!0>rO-L\rN7i/\Z:i7fYOۀO{LH&Ep0;(e$9`0#\0v;G9IIPXx\n,gtXs,Ye/2RU#	,D|Vukd5A`m:۳K=~\0|6\r!``\Zln?\0[;΃(X-?vAv\\8~BiJS2_=<5x8!g88>}\rS}i}tp]N\0Cs~8\rϽYbA\\.-z[\rPD]&l!4ڑd/䤴I\\\"I~LDR$)\"),rHbI۩XҎ4%$ej4Iy{DҴ#iI{H%H:\\.K1Nڧu/2tO:PL:0D2t&GL#F2?tՃtt\"d8\ZtO:##2&YB<I	\rJNd5J:~nt\r	jϭ$_HN\"ȉԁ$	V/P{I$\\R	7\"\\$ұS$8u~4$L${ؕĮ#qIK;H<)0$I\"~#IttB^t\"ct0d!tdG%V(\"SIclo_.X.dM.ՍHoIHRICnJ\'n#y4Z:X۷$	R$)42F\n#h4HQ;HҽvR)vn]R܋bRR|%҃ěDdR<OzHDO)J)gHJGRIy6r_E3\"R11)ە@}M{Lz 蚐\n\njIE;ߐ\nHˤB(tYTG*+Az}5u2T>A\\+$1$醑,FHՏߒjɤkIukӓt	RoYjt#!rҝJjY#?@j婓Z>lCj˄ڲH/HfO> u=&uCIqOI_6̮dIIUHao!&ҰUi8҇41;O4w49$M=\"M~L&͜\'&%<cEi^	i>thE<HAZIR*ՠRjz3i_!WIݷݷ$K%\06yddL?,;BޒPGޒ!ˁd9j;Y^2,JV +\\$+>o\'+ْ+KޞBVKI#+W4OUUUU{d5RnC&Y2L֌eZ0GY󸑬;F1\'5Il\0K\"\\Y%	[Y&wk&&fgfdm>H\'٢<|w|3J-ߏ!ʞdm2d!#ddHFQrwh\Z2Q$KdrL S6Ȕx2Nf92g\\u.\'uc2d\r ރ,̸EN\"k>O:gudkG+)g46OMF- Y)䳮4\"<|!}{Gv;IO8Cv\"4\"\n!rȮt\Z#||Yv|~||ѕ|}\r<|C&{溑5\">`\'٧B\'\"&\\^!fw$OCɡprXl=ΎEr̵o䘛S{Փѻqugƒf+-I,rcgrrU-&f8rT1T*99êd/IhKdr&y?9sΞV(9_Cή p9ȅBrіnr!\\q\\|N~ҙ}+Ce7!z`C rUf2ZZ҇\\W\\HǐkT뼤o1oɍƯM./MoMyZ{rkO)r[#rG/ܹ/_ɽGB}}䯼&䡚3Í[#x	\0<:\r\'u~{߶$O\'\Zȓei+yFN9MM={<5<\'xDZIWEoU#zMenA$ku+n;)/4JźYŭ%4pE1E\"e&sK%7EUEZLQ_ʣGH{JM,.vh8R(:u딽\Z&6ʁJ8p%0b S)F14=bNbFR̃b)e\\ʡW#K}?)z̗ȥ\nP\0#|\n\"P(#(i\'\n	\nl>_g/QhWGi\nc/\nsHapLa\'pU	EՂ\"TDPNQNPl8\\M9r%rVэr|rZr66rNrݓr>VrCԆtԑlt⺓pcp\ZOLERrUzrUmr5OvHr|&Zy\r`ͺmg(rO)pxz)^E;/NKJUJP4_RBj(!#є)wQ¹(w6($JtJjJW)%ۄ\0YMyMyK$JR((Iy\r<%E?By@y0%ˤ_\"PKz)w)R$WNɼƣd<HyWϠ<(ARr:Sr9a|PJ~ʋ.+BD--J%!򒺇RښIyuRvNx{DRGy\r-ƵR\"OyJOeSjۺ)ur)j(o)\r=2ffʻ܇(~ʇZ݇(m(g(m?)NΙ6\'J#\\)}PJ嫾e&2ZRm!N)eH2t22*s*QƶQ|.RƯHQ=@|ǺQ38T[eʛ2#s27âj ٪\0hJg||e9gϙgM\ruĕ~*!@Lݔ@.UusZ[d	m]-TN&uTTZTUwTU(WTՌgTMX:Z!U-=uV)&ى\njPu>Qz!TKTQu2uMTTH5{j͓j=jvLj=୿T<8Оa]%a&U7\ri-kTpѸ*#\nM%SaWM\0hϳTܖ.* 0H4*f@HRR\n4g*}$2PY=TA*R-v \rU;O})Q̩S9bU\ZաXz\'(W`WTGX/ܗ!y\ZڨR;N_S}ͩ5eAT\'T}ԫ{cWW˨SEd@TOy%zpǊ#K\rԣ*yP%jp\Z\ZTA\rv Q^&RﴼwיԈԘ-Z{hXOԸ[z$mꣷ/vRӆS卩LRAlf:QW>?5+zǢ풧7GP2ԢWԢu9jZ/Z{/Z&S\n(jn>\rzJZTZRk,j=}VO}r1{t@mI}B}77B}J}{_cvjjـR;cjI	ΙOJ.\"jWZ\"UkhKosm)`-uXut::^-ʆEHD:!c:{iu:Go|H]Bw66.ԥ{+QUu5R=}uu}#ufu{׷=O#_-HMs݋&;L,1M@&#XҶAѶж>5h\\WhiJ	4K4Fm\'3MEc҅Iv]2t.R*MSMq`h{nPi{ =σh{zhڨVW	M[a,M_!W$m\"m%ځ4eAOa4(\rx\Zd;fG3𧙥z𴃘4s@a\nڑy4fDYю IT\ZH[Ӑ44\Zq\Z>M:id\Z9nFQQ`h44<xј&\Z[ΧWo8tƣni®4:&\neN<>H;yfs=vY.ɍrv&F#܀vn)v.v]څw4\'_4gIsw\"b(rn+ڵ6苴qRin-nyd<Qhޙi>|[#i[iWe:-fއ5ZZlC-g-\"Kפ=>%/%i}ش--AK+@ˀgўߣeIhϥhϕ%i9KZr\'-ϨwN{Fˏ0^+\n|UhiYB\Z=>Z3ZeR>+Z\')Z̓&ZwZYZ\\Z,V~V7V%@h\rBiZ)ZSGF,Okڮ-@Z{@}ֱe/#1Y@NӺzGz.e+>JӾ֡|H8Iw6pq6ԡD^ʹew\ZmؠM>qM\r7f\rgh6Chshd)eڒ5ڒ3Tɤ-T)VշVwV{nVi_h:?_\\cʷRh7T]n_?]*]d}](]1YcVtebAW\rOWlBרB>ZN~M~~p;OѶqnSJ7.쥛=Ч:N7L7ϹD?O[pbgV8kUP-ݪ}vCgp#Uӑc\rtT:f\ZkEǆܤcӴZw:nLM5:N:-h_I3:IN3ktƩY:#zΖDg9t̓B\"yjKtލB:A4҅~?1ti58=.ΏO<$Umu63tGMo/ӝ_/x]]t7U{y3F)7qc+c)}u6SNEߤ( }oAA`9z6z=EG.xУNc:zܿez|p]w\ZUzB)z/z,==,*%G\\?nHO裏3v;Yy^ZfRyzi^I/	aDEC-Coť_w&?\rw_w{轂؋ބ(zo5gVzr(>7GH̤p[>>E|>>^x>ިAm@F&A8y>Lv5[\"G>}_}n}.בhvhM_tܣ/YW+髚UC{2u}!qi,!Ɛ،a`Ȥه4bcaCn6C>&zPt-`(.80vj1O0ʕ{*eZcc\Z)C힘+%{4ihdhY3Hz%MC=`|{R7c{)}$\Z@Va0\Zf`dRGA݌c*cDmЊ\\5x0#&qǞA|Z\02BO5|>`32!֡ꌓxbɏrp㴧?v>Їᠾ\0{pd8|d1g2ί2.f0_1:*N\\\ne%Z&ɸ¸L2g\\g\\2ܼ2uv0s AUra\rVcڋ=uȸX~e3363i `F#4ZZ 3b?b-0\"TQM=F{_3`Ux݌ÌFYF8[G	Ͳt|	#Y7#{l1`9\'yRygz͌{\\\"H8.Q#JFSFE6fTtU0^92*eW%?op?Ui\0dTz2\\6FQg}^`[2{o)1z2o߿c463\Zkjw5Y{\r{>lcú`|d1>fJ1SNSs?ˉ\nxMbD3z=ջ}O}zWR\n1.ng<go1÷wI\'[ƔQ+ca&<cmke<|1Y<Xb,\Zb]Ҍ??kkU\n3\r9ߴ<?{\Z:)ܔp)u)ّ܌aJ㤙2Ԙ[/13`a1宾c\\gk\r0d/3\\ƙۦG{Pi4s:Sr5S7e]]gf1w]f&ܕ=SԼ|9^ejeOdsw2BN0. 4Q4Jqb\Z51c&&d	+Y=Cs̃=LH}桞8^aZ\" ih<{<<ڢʴ6dZleZg0ckLL`&(	xL&\"܌,bb\Z=;8*_}IeLe&5ImKf%LzI&[,ݭU19L,S(a\n1E7iL\r^*ȴO2vL{txt9t<</f^hztBW3M̋͘LKbMhLK;n6kC$_׳\"7dz8D1=1=	W|^AL^oOV&w/wQg\\a332̀kqf3lhyGN93y.3BqQwMbF>xʌd11DCz{\"flk}]}rfg]̌s`ƹv303Ĵ3fSfrWCw3IMΈ1|bTNef^af֘ϰ^3̜ߎ#̼Dffu	}̂t_f%,\\gh3K1KL\n>2_aZ[cbǜf)0\'0+}Go2s5Q̷Fon1׉f\nlcevR2o>fv?Ybvya9_\"k_=K̯-j!S^s-Зg̡T09b9HcECceLRCs\"J99Y(˜vǜe?aݙce΃\'<KyF\Zsee7ss͞1np\'\rϒΒT.bIYKdɳd<nd\nY\ZXn-,9W,w?Xz/m2*mjm,\rֶHr7k{CrqY\"7K&KR/fz$diaHft6lXzYzpޠAp־=XoX5AC/``YeeQ2jmcC,+,L:`#e2Ob\Z`qŲ:*`aYM&5>a[&7/X-*,K`!d3,\nQBg0,P\'obYd,JQEYo\'X,\rא{7$Rv%a	Y⚝,əK~<1֩[{YMlOUγra9]aJ,%֥b֕7,<e>*5uu%uquC.uR\\dyC|^<f|+g&|JYGX~ҫ,wY~x<+Pcf}\nwa9ʺ\n/8ºafˊ~bEt~cżu˝̊?e{Ya$Vr+J$d$eldRgXiv4_VZW?XOUa_YYrXy>VYV!V~N<+2U4Uc:Lffko*XoX5ze_ViKV;ղ?HC1ǗծjOcuh:9ΑJ֧ϷY]Էn3GcLJ!rYW~ kb5体5sb\rߵg}n`M)SY/ر&YSXtxǉ޳fdRSXs\\\\%k> 5uXg5d+ZalFVbwVYzGY\ZY6%to7=mdKdKR!|Tqv).&-sʝ-s;)Q|[n[^Ǝ-2[V}Vzq΀Uyll_*ljϗze\'>fc(]`uٺTH{_]@m`6؇<aa	f[D.>gC?`CٰZl|3gQҹlt)`qil#Vxe6>\0(\rNlR+\"UeS9Zl=wdFlp6*W9r6ǭ͍f[O|E6!-HXb{٢$<[4Ķf>V}mk^Ͷ]̶Mde6>cvg;4c?g`;f\'f8lgf29o7ۥvc/5d_ַd_/;e_d_QWf_mʾr2}mҎ}m}=ʀ}À0=[v=Z7^cW޻3wo>3l_;;X;;DfƳ\Zzw\nwOw\Zؑ4ّgّY$vT	;S1;	;:4}g޼};Obǟmbhc?d?hg\'Z`?5~ځ8z7;myv4;=\'?ٙ<v윁\Zv\'vdvnG80?g_~Qu]d.lg6KnKOK\nKo٥WXvs]am~ӳ]e6<\Z=ew\"]nϱϟ_n|bMg#ϲN8oes]a{=6Ğ@\'N	\"{ {+!PgO@c*{7b\n7s&{i<{i{0\Z{iUd鷱NE9#\r	F**g3GÑ\nlqpd{-9re\nu|b$GeGeGmQ>1h_Xpt/ps*]쳻g5.k}\ZǠٟc\'LscsСsYcn㘟rsC,<8q=ut{0z@>q\09\"H]\0edAg>`x%<݃pR\nLJs{ÝCrHK6r{>ΡX19oFQ>awqNm *p,!sU9\0sć8*.kJ5:s2(t\r2>Aqa99xqX看+\\H\\xJ8<8K^8\\Rqr\\*s\\SќKz6k-KS#IMx\\pxws|n.qnr8~\rDN\'X\'87\'=\Zz߃ȹ	qN.\'zsυɉ8˜xe\'X#\'E{pK<hsqsa#\rUN*IIs9IfIW-_ᤧKq2kKga,]NVSNV\n~N6}ґTɟ2H9%iO8/t8(NEn%uN%SMTvm]ͩ/xrގ 8\rw|8\re9fE\'N3:9-*8|NkC;Ca-a7ltv-N(to`\n8=I9=ʜ^0!NoNs#Bq[Η~ZNǜQ#gXj3{3j/-rƝqsќo\r)\nQￖ8bTI:gUg&ۅ33c3KP,zr~5ks~\'\'qdĜ`KG󜕟Οu&οx^HWre4V2-S\\-B\\WSWx*}e7WwW\\\\>U-W-\'sKD\\\r\\̀c\\(_v\\4W{Hk5ݿ{VO5l\Z|\Z)ypʑ\\c)qTL	II=kjr%*3lmvG-\ZM\\\\#;V6cc(.B=EDn\"os1JI\\)sń^b̸R\\\r;.3KjԠ!.mY.3/udUSe7*r9>\\z{Ą˽rg,B\\%W8W|\"׺\r毀{*2{+kkvkkG\r]:WܳgOrQָºNT맹.k2ҾK+w۹\"ՈܫosEl^`[soTfp=a\\B_n)Gn@n`n8\r9\rI↶<I˽v{g7<6n$΍ʖF}FqTn)On̪	>{9`,&*&&{pS/sSfrSfn\0nz]n܌\'ܧF\n(47j5B͎qvB~qsӃUJܼq\nEp_\Z}7nY\nnywnuk%\')ܪn*Uͭݙǭ|֯r:666]6ppM&vi6r2{ݸܮ|n_~#s-e\nz1Ke<v7Ekw|u;⎮厝IapǹFs\'q\'߈S^q*qgo{sgsܹOw?}ĝ.r7up?>|w5]WuSC0i_Nߑ$r<	7OR3OXJ9Ϛ\'-cɓȓ=S1<<ş]<hގWry^<՗<<:OXNힼӄi:4\Z44xZxZwx{nxxK/	ydy5|3<<1֑gLuG}GL<<$[ޡy<q:J,J;&?;&<;v\ray<}l\"Uüiaye\Z×kH%<2ģvJ<*=7ǔco]q-Gx[<ᶝ<q4D,D-Z魯\"fK$\"x;lZmϮϳs;?;[([s$\\9>LÕ5$ν?s9Ÿ<5z37,wYwA/[x\'\'ɘEyh]<DߖB=}H&/@//p[%/|Bgyah^8wWREfyQ^T/ڦ/ݗH_K#Uy߯Jx.xw2>Vy4	yϊxLx9]\nE_^i3Wk?xĸWbb+佔+:V{U{W+Uh]tUPyof\Z^;ּzhJ\Z5n\Zpek{g{|עznz<v΋ֵ>庛kx}6!b/:\'x_O|\r\r7J:~|fțD(]Mf	jo\'xKxKo>`yKy	\n7o5[[7 y#n7,%kjRD/o>ȗ˛xl˷4=Tyk|ŚRWJ|叇*k|u0wq\nk4w\nr|DK3|mp6-ͯ:~_\'??R7zo@@~MȪ|Q(mAEݭIPձ|ۡ\'@qG4ck|7UOr{O|%4\')2|J,O+齉|f>{p7k7&|i]2Z._T2η&e~|_X;Er.#p\0/[%SZs֑|Z|!c)D-=|/bWqWs~\rB;A1~!??G~oNe}]~Ϗx\r?jGqQm\'L=364p7\n~>?N$Ǐ_G<?%It>~::?C/~f$~a~E~7܆6~SWO3/os%~8K/KWGe3eN~-Jsuˋo#\Zݯ\Z2~V~x5k~/(o~HtⷫpO~ǈ/sܔI wM𻊷{S_]C. m\\)>?;AsrOgRS~3o/\rZR_״--	0[Re(\n@뿜y\'@\"T @@@Ѯ_(PC($v\rT4i(**TjO	Ԋ]ýLJU#莬	E\r</<\n6fB`n[phys\0.	(\"VY	|(yM@2ʅPN@P/\n\Z=[@gx@NR+|p6	Yմ@/~\nN8=XnX|\nNil/\\CF}̶rV[p^)PpnϐIF,p#.\Z<v.	.OOx!$5Ͻ-4G8K*\'	|\0_B t :(Uz`*^~RMpj bR_H\nľQ7\'$&\'xoC AX$HvO<n,H&x$x4R H}\"H͑<F_A6 W (-	?\nD^ŝ$^BSPq_[3SzD$xcTZT\nj6G궤	/ԧ޺!\rFkAh/	--\'_S3Cv<A|󇪠v7CзJw W1؏\'C3潂N(:E0,|y	-ߵ	_y$8-hG	<37	f*?rٞFBi|\'i%5%zk\"oPrKBi?B8t/Og̹[B0LpZPNPE(ׇ\'	_8fBڐpsBx pGpgFPU&T}rA.qS8T;U/.4r)4z(4\ZpZ8cPW!hBM0u\'!x^#g	BE?)D	n	QWJ!\\k{	!%2i\"!J-rB븭BI3\rᩲ0CUhExiQxUQ,#<\'8.<׵(<*<*]%\"(Be^m\r^bo|)5yE1zhztzˊ+~0߂0pG.ECQ9pSYao0BZuG}DV\'y)G{\"?C-N\nЍ|	Ħ(aIl\'L&\n7~\nSUiAaۜ0>\\-T?&̌$fH\nk>/x+Ff\ns}¼O¼2mEK(aqȐaқWY6²2ay7߄UU_Ǆuxa=灰^\"|;E6>6|6]66m6PR/|VR/*;m6O_a[oaQ-쨶vN	I?#O~=ElF\r3L##Q_P8O8\Z,&]-ֳMmM<Z=T8a!*Ip2p*N8sG ypp%\\g\n7E^ąѦ2?drhs_l}ۣ\"=4\"%Rm)vx8v<)1%)I,TD^\"h+S1%ڍ)ڣIi/	E:\rd~!*wP\"C\ZPdNdR?)2fE_\nDEۊEEYEfA\"Do\"x	<3MDUa\"JaZ-B_0/E}\"H#Yc\"0FGNH\"o5QD͚\"C\\PqԊ~P(^YYYԊN:Tl5EsE?GEJs y7?B5eG닢[.E+t[=\'vxMt}և\"ȋ~AP$ Jo(/MLlFBLE(]Qi(⢽(jo(N>\'Rŧ=ȋ%6\rEI.ҢK4ѣDE鐇F)Wy(3[W=R@e_ȋEٝQh۽7JD\\QPQpTT+-*.J^]y.zuQ&&){(5\Z\ZD$5ѻQQiIQ9QlĸQ?U\Z\"Gײh\0Y.\Z*\r\Z.KDcEcѸfxNWLR4q\"D?DvEEܞќNhiY4[RV$Z~M<Ѳh5#+doZ-o].V˔eʰ[;rpb,/ZxoJǴ;XwX̉w\\?#ޑuJ(++#abyXMTfK.5Pbk\nb!XX&=\'~\'֛mmŉn={V|ؠAlԵKl,Rl|]l2IlV&6%?;i\'p\\|+C|l[Xz,_CNZb`\'FtxC\r1+w	*Dg1,&%%T.\"f^Q\nb\\	me$0-|->u׿b[)-onLZlYlo.+N;xbWbG{=ߥ+JScKy+e+@}dV|M.v\\|i(qX|m*xM|/]|\Z]|랬أMi-7{\Z$ד(WNύ1\\XQ\0ea\"єd\rг{?v+-+\"\"Ew9w\0H\0!!;\0!Ol@x (?\"6\"|\07z7\0QJ(u@ԛ̀e@4?sB{b>*\0b?S^ H(\\\'\0n08cA\r\0\\\0/h2[yl7799EI)@A@^$D|P2Tl\"\0**e*_|<x<x	xJ<MɟԬ%]=uԾ\nk\0\0åuF@C@kV$c%EQ4	xu$mmF\0__(\0zY>^@,	vc00hNN\0C#I\0#\0z\0%ex	`,Aex\Z0L+&{ɥef0\0==R46\'&e\'`3`OsP{(g\0XXvXAVVϾ\0v\0֎\0\0֛&DFm(ߡc;@9(_ ʿ\0*\0s-恛Հ[,[-mzwnjIZR\nPPi(ШШ_h|84hhv{P29:phŎZ˅;wm_,M1@{tࢁF\0k~*:h:uNI-.gI@7@s@wR8oGO@ϦC@/6[xӷKڛ<Vtve`sm=\0^t^|g80H,0I@@M{\0@h3 f)aQ bh Ļ|?Ӏ@@ yhHiJ7XK m2H[2f*m\rd_\0-@=g#?@K>Pr(=J7!ao!Jo!c7>C߭+>Wg1$0z0X<\0L*=LI&C7>k9Gioc1߁Yp``v0q`+1yIys|_{Eཨ5`X\n,(,L,l	:,\n,>,\n,V2=gU\'jK2\rXNw\0\no\0wo;\0lG[lKSؙ7v\n|	~5M>\n||kD\0D?Gv~}$o	y;\Z8pb&8Y\\2ni~\0~ٕ	g39$Z]Og(G[n_rz\'ߴ?7mׁk7A27  \'ͶQ͒<}&-%b%Zzu%:V~V{H\0q#HwS7Hwg1Ha\0\rO4<\0\'4dd&x2/ev!A K.%\Z}csEgdmbv\0S3U:kB~wIAN[UANAΠ%U?7#e@GЉ  bB\0dqd=ȧY:#ځV7VAmt@@Х^((4S$S00&BA_$AxC\rD!I `ip= ܭn>g_DAS b,bW8QATW *>:@1ib(ػn8Z@ m\n$LpIr@!@@ѠVyPXQPd8tuPtc(f(V2C/@	Ar($z\":	zYЍ<i2ʼ5*leߺ\r\ZAyQf|&(PiPr7^19P	PTPrtt086TR	Tje*>N*@QPУSm*u 艷w?PSP/PQj\\	jzXj~jj5r&Q P|Jjp;j7ԕ#PO͵Po5g{n|_V:h0	hch*4\Zz\Z~\n\Z\r*hc8)h<\r4\raMGBrZN\0!ho\Z	Yd\rw<V{Zvm|\rq9%ɀe+`RX1\rV,+AJ5`ehxˡO8_V:x[@x[#x[jxifV?\Z5>k:5Z``΋ΛxQXقR`}I~;Xl\n64\r.XOFq/`\'`{TsdO`;`=z!{_YGߒN{>/@GUر\r|Ķ|4	 d1),e9l>^{|B{`΀=-^jf`wyw/	|RӢ\nY	\0&ڃ}Oi3:g&Ϫ#wχ˃/,=!Yp~e\0乀!`(b;GZ50FiAo`|@+w^dD \\T0&̔E0\r<~ywl~ž?%`i=Xڎ\0KǮC^p!CP:p(8l8\"b\r4GN.*<_1=y/~N\'zn\')8\Z8C\Z*Z&ECS7Eoo\'LoߛDS1α&sݢw!໘dp>\n\\\r\rw|r\r|.>.r:.feKepwpm6\"F+\0?֚W\0?\0?9~`-^?*?[k9)SK5)pmpC[3\\ibTn=ܚlnHݬ__=w}\"fGwo7,pOop7ྀ;3&]4xxf+y<}\0<ڧ\0bxX<v<0xb#xKOf肧\0_Kv,%(R-<zx\0I]փ_(nB4@#_BoCT *BT~@x\n![ll	qf^QAJ uS\r6&2BH :DKȎA4dǧ6Dt\0W\nR-dg`i\'P1\01:1ꉅkUBL(Ip4tuY>9bNyŇXWA,@ݭؕAZg[kدBC]CC>D88y@?Bߵcs5=q}\nr<<DjC<5 \r\'!3w|\'dW:\'(Qȩ֐3\Zː3 gm& ~{ ~V$9m6K!UZ R@`L3!D}`\\ eOn>/@E;!Cҋ:B眇05f!L*W\ra?AC~6D	q_0PDmDi@>B\rS!ѻÓ؀w(H\\7s	y?$l\n$P!r$HJ:$UJ\\\\V6  hH]kH<$k+&@!w6!9g+ yv|Ƚ nC\nN! J%HI-t)H:gGnVLy UlGȓʐ\'v\'ZTH\Z33fHm+H]/R%F\ZHKH3HB>yy\r;&1M\nc5q5ygC$(Ȉ[	d\0~$3\'K\n\r2~d9\r2|=LC\Z숀fdA~R\n ?yB7!A-_ EYY.xY?YK!+ݐӐUKU*$C@!!J.CeP}rP9ETf$*gBPPeeU6\0TݒN·:)BU>@4EPFT#Y88\nAuEwzǡzm>PHH0|7ԨԼj.ˇZ:9AhPkPk>m\0]7c6`kC?;@_A<@Cҁ8=cu:pC43.zPs4kSnu\"Iz2=9q\0\0s\Zԏ>,%\rzg;K%AP@M=Caٷ,(E܄\"יP)7C1CuP)%B	(#JJ%RPPft\'\nJPPqy<T9*)J&5h4KhM\'hhahX?\Z\Zm74R\Zikx߁FUAl^EFhCG\\hb4	XMEC\")k25ntYUh:EhFX4cfiiCQmhL{4/lZx-hXBBTGh	ZZr2ZE\r}B\n}\r}~?XhMfzZ{HZw6>5Z<RN0m>\r\n05v@;B;oX@_݊\rj\0}5\Z\0dbCBdݟRo;=mоi/[зϠkMۮA?8\0TmBǺ77AD@\'O@\'	[O_=~|\n:sEҡ?\nA3y!fbX%t		]>|\'\Zߡkп6<\Zq+t]&#m 6Y事a\n0ū\Z0\ZJql˗V6lm#vb5Lz\r+i^4i)tazr\0ӹQ\n0Y#&	flS3N<3`K`f\ZJ0>]ưP0V=E.A%ءyvs9s*srVy\r	7VNMD<a0st=EKX;\rD\0%0`\rCV`[0>öl(dT!\\WO`w&n	?킉tak0im\r\naZ`ᖛa\0ȣaWNîDî1%{KRRG`׃6înt2ej>eұ,c,}X>X2,p{(,ސ+ 8еV(	++,j+2+\r+	V\\\0V\ZVV.K\Z`:0X:JuJ	ONThÞaOoc\Z2{\0kkh\rkxku\rb`>q-\r9zS\"lRcwh؈{#5vfa`N>ρ}t}y<Mþ?M<}n}bf=as`C؏#|\\:w\0lѨx2JumؿM಼Ul\\]DWqŻ\0\\W@j~ p)_M\Z\\\\7j7\\\\oA׿7	7R=	7J_71>݀:M\'p3SpWp)|ܲ_qR[mv8,^no?0Ww,it;=\nwˆ8.퇻&ݷlJ{1~pl~M~	h	\'p689fpw;8FCNIpWN3j\Z8{οMb<.f%kprxHixHxPx@x,<><K\Z\05,c/ᱍn8]:x2<^w?O8O(<OL҆\'!7ko	~evwz#xm;<./x^(Fś5?xP+:^>iX+MQGǑsj#A?6\Zo\\7\r|7/7[Ԩ[8V:NU8\nZz\nz#mq@F\Z3BLp|$\Z|\n>\Z\"h>\n&ÿ~g@C9A\'X>|z\r/i</}W3kDzKFP)!x-;ߴ?R_ \Z\'JE^o[T_ P5CC\'\ZBDb;Wn\'4;ë;3m+&C+maD&eyQC\n¼VaveMu,X8Vm?ػֈpPA8-D8<GE!]݊88$\Zp \"AF#\\ k#%3ǳYRjC~\"NM!μB%ш@9\"RQ@C\0\\J@b28䇀szt>f\nUűAIf!(T\'DSES<j \r!\\Ar&D#\"TJGBW1W1F1.!b5DvDd=\"\"	{\0XHb\"nC$w^@&#R\"i+g7n nܜCEƶ\"ҭ)$Dz=\",\rȞڄ!}DܕFܝSFiACy#\nz^$#J%\nM3DŕycD{O?!sϫ\r+F1Dcd=h\0wѤhr Z.\"!uNUī W]rO5oA}A\rtCWF=sA1TkxcqvĤEbj?\rb\Zލ9?CN#濔\"~9mF,@~X<YX7 V,1KU&GރX׹\"6m_!X\"eT/#eʔvJHA\nrN䖾)X:r	j\0\nnT\"5\ZSH7HH	&H=H}~rgz?`?/uih1X4\"MG&5H3w1&ŶdE2ri$GGZ.#Y6QH[}{!!#N\"̐?W.9HV+_fOFz:Bzũ\"2#֍޳>sHz1wmy&y<y1,\"o C79<y^\0E^4!/A\rHH`\0	#A$; H&v	WCB͐0D*\"HQ$\\9 aHj	v+IS}HF^$\r׻[{#BH8)xBJҲmod.2d:\ZEGFAYȈ|dȨ_Ȩ{6+Y+OȫF7$DƽF\"&2Ͷ\ZV62/L\"A pdV5d2WP{H,E,!lECE$5yd,\0x>t}ȧ59duKvYKEJݑu#^ _4Z\"_G6=kF66 [ [hQI75ٶNGv\";a{#.C%!{]!}o咑oC. 5ޕi],rd2r46idTGcg,E+X29֔|FN22)(Wow;1rEB_ sqok,Hى\\UF.}\\q>;\rB\"׵\'N\"D*ddɶ(y\nJy\ZRRF4Q[~GmV\nNGQjVQ\Z	[QN(^Oގx.K2܄2.BELP\"PQV!=r\n=*((c=>Q=P6GA9Mw=QǶAsP\':-P\'&QQ^[PޏE(VIG$=\0BPͨj\'PG]\n)~_@(\n`(&A:P=Q )EnqGQ6Pb6v&E7@љWQ*(gJ|%IAIPҔ/(i%dBڢ\"\"b\\mP1Qq/\nQߨDpT(**JCB]IP	PZP7WnFE؎JƢ2VT	TtTZTf*k[*-ugDgW+IB?B寞F[WJJPeP]P* Zʸ:ԣ8׳+QO\ZbPOe7P5i*ZgTUc\Zj^QM;A5ZZP8]Tr\ned/ꕠեסsP7J7AinwƝw!T7~6jf}&Qfn7P/>>\'E}\rPQ_B/zo+Xf*P?kQQo#QQP!?OQ\rPQ_P?qMqЛrg\'r;\\wZGG+c~D[8Foyy\r5\rꞀV:QoB5IEhe@fmICV\r_@mE7ffgsܣmqmQ(އC	EL\'zg9O,<ϻ&9ɠm./n[΢ݎ~hoj9Q\'}rG:g\Zچ=>>JAFEA_<iIG_A_R/yT\"E2tߠl4`\Z\rA%Рh#h\Z\\胆|8)lEÕ2=hx\ZF|4NpA8hq4э34ch/4}fچfz!̌}h+4F(_o{\"M*F\0fh&ZPEhA=2:4PGG\\\\FG7q1]t\"\"rj:VNB_WAo@D>N\'CgUCg:\"tn~-n~:OE/g],@SХ貸Qt]tWtJgG?xǉj\'nSa)t-t-!]gh@7$_ԢMf\\t$wY\Z53]݊qApׇFAYlA+g1@!zgnCAfN:m9=d=\0F| =?s[+^W2+op5uid/F߼##ۏ̮bd~a-0(]bcvbcڪbtcKOb?l_wǨ]Ũ/bn`zoaԃ1Zg0:Xn9F7\\Jcm1#,c*AbLG]}KKMuUcl!aʜ\n1\n09ӯ1`)a[e0GZ1Λ1];9c/%M}9ǜ칅9߂99=vsn;La.Z^]>c.݇cb%qUSKb1G#l);׍Ơt10\rA+Ơ1^\\sCrÐg0w1܏zC00c%*5pbx0RHF(cD1b\r	b\"D!a\\`v`.bc1Wp͘xL?Lm/&6IǤ&R1i#9L$V`0#7)3VĔ)La08ʿGDS혧\Z+0SkSkԕԽoیi`^0/1MzLK**Ei}ƴmiyu0tb(a(̛vL#Yb}}yky:p[=ebüR0~0O0cc/0`&1MI\\dfmf\nUZ;zZ\ru9L<fzff33례q[3\nkfo̟&=bFfkb?fY ,gaV1k&0Z#fِlأ0B2pyM|VH>V)f\0y\r4v#}V5UMUj<\nj:\ZauTc:o;awc\rձ>X;I\ZdvkXݵ8<iBbj\rX^W=^j{`m~0w;CMaXg\n1;p݁uĺ`b	|w\r֫\n{23r{%E)_slֿ&pj+6\rşρ3X,\"б!,|g:ᨅE\Zâ|&-Bc1[\\X}6c87,,\'be²Y,;PnaeXw9,2ñ\"TJ~b%,V\Z~8Ćf\0`ÆIذy46^P`#FrƱQi+(}lBlL7ՎM\'aɅؔؔ9sl9׃M;y\n{#{u؛+؛\nfdc3JYav;^S؜/&ܽlnNl~#^`\"\Z-6cmؒ2p2^}x[[ލ>}4=*c2\Z$[[[j}m4}\Z׆m+¶bRmKZA؎l}·.{lbMb{w`:¾`Ya|_cvCNؑ5\'ر8X\rHq+KT#vNv\r\"aZ~~}׀M`g}Io`8b8x{|vp\0`2]`ҰM}\'Gc-oɘ+6dqʞU8tܖZVEp.)oRvqj9Zf?N!^Niv\r|ǷvRv`q&Πg003ۍ3c?bqBi|, ,i3Μb3O<35Y|(\n8$mգ88m26۫e;gOҌs\\z;xw%\0t+\Zwn,sI8s	on?,ɒw8_e8cW\r_G]hػ,^\\]\rwyWTA/ j8+jPNq0F?qP@>!>2p}q[xPNhp8uW~:\0#H_gpd\'8rEG9ꋣhή8m\\Ǹ3cUn8@%\'8z.88q\'yJ>pa[4q)pn\\Dr.r	U=RMͭUmŧlp	p	w*N*jqaʝt\n\\u.#.O=q{A[p\\A>\\v}\\	`bW\\ր+ggqVp1={zW=Yz\"uW_ksxy\\ǵZpmvp\\{g\\ggzW~^͛/\Zۿ\n}<o\07{7)7w\Z7q7\rGoFVq=p!YO^,T|=7޷fиYSY)sy܏Is\\HϔQߺ2܆\nnu3CmLilmG\r]W/*S-[[Y«Ujx}X^c\Zהy)p,uV;bzz9x}X^?+rop7\n;7FHSxE:~׾l~>-L=Vv~WwH5;/;d[GvJNgeǐ{n^\'n}^\rxߚ/xY)3w϶=ikL\Zk^w /AV I>zr\"px`c(1C\r}xOB*pg	qQlǣRSf3<:\0*mc\rxT2O;\'W񔃗<<Ւrxr<<#gMNlc<ϋxkx\"/z+K]6|,>Jϥ#Sy+7W	Z|\0>!>O>q,>%|r\"8O᯹h\\9EOoo!sX\Z&>>>$^_8k2_엍/a7|ez\n-|Z_`s]c]͏-L1|<|wz>w[3h~,p?Q?OOIO>__\Z>ώ4H*?drsu[iBQW僋zm~QGtKPF&(?Gج_IpRpݷ=*a{\\CPM#9Tj^A!A3bޟ=J	L\'t/v\Z~s9a[=B@$F!X5hl6yC	{{2Y}6\r?\"#8~\'Q&A#G\"{	G߸y^cL6\Zݹp6p<1Mh8K,\"x݈$x=3!xUIw	%`S0	Ww	߈	g~q?)vpnxpzp+upQFp\Z!DBB\0iK\0`s\n1! իȷk/[N%\'	k^b@ryJ ]#:,	d<yKv	lH%p#h Q%AbMT&D#DoQ+vܩ&\\)9OaGڙNK^\"{+<2!%3!~p]őp2-pV^	!\n!=-!N4 d&-١;˟	w1s=\\B~L(|n{C(.E(5F(dі\nRȾPYOx2Nx\Zut(>PJ+i\'<?:Ghd$T!x%%ұ\"Q!.yM~&tOd <CzG_o\Z	R`z:a$&aΕ00:L$|8M~u§)8s\\ѓ%nd*%7e·U·j6a\ZI>[@K#z\"_܇y\ZBwGE GXZ#,&6@2\"D=`|9MQi>qc-DgmH+m<8QQdB jA4F<In\"j[SDQ<Dm!ĝW>w\r\rJ{D0ɘ˗I@n\"ZGthǉh}fh\'ZmSv-{!\\\r}.oUc_2#OtiHtKt{Ety@tHt?G< C<-x1urѳ՗}$8\\,A.%aE/\'^TGU∁D\0c\0A:D4\"$	d\"Ypʘ$uhḎD\\<H\"R;\"tHkw\"2m!:$rglDN\"[Nvy<P(\"\'cDq.()X%J!RKbZ1bbؗQI<=CG%FEc1Hb8IEn!9 u$&>%Q\'!҈ijĴ[.o;oۺ3b&exkC7\'#wsb^n%1n1 X.\"<\'>xO,~XRM,$V޽L||0C%֘7)!\ZшĆ⋼Dbl,`eb˽XbkKbF# ؉\'h#;Jfz=*=vψ=/}iaľ%4#ۜ8gq(:8+q$EGcG87q\"h?qG<A	!N{#U~#7!.Pb⒊qL\\ Wv&k׷בB<\"iӦMHE$G	IiFRp\")^!)\"H\\Iq,@RHp$b+x#i$DzI=iEҊ\"iՔ\nH;$C$i\ZiriYdrKB2K2[M2P&!.veg,о$b7iwXi\r%Hz&	;EL* 9\"ى\"Iv\r4+i@`0tD=tOr&4ד\\}_<y$oݽǵI>|h|BHHƓN>$q\'P ]P#[%zL\nF\nVL\n]L|ݒ{<pF)@FI} $x-	z	:U%H1ĝD2H\"t!a$OԛDG\\%=#TAb\"*VGHygfK}Jul$$I)IR\Z7D\n\'_\"XRDҕ@\"\nFr\')ܖCZb~\'e&IGII/H7H7I&٤%Rf	}{t%rRn_Iy~HyUH&kq֝T`T|ThGzp6 \"TC* \'J&HegHeE2\0,GT>TqjTX%=TEIzOzJS$U[=$l$,&=>Mz@%=?#ɹyO!+Gj^ZeVI!V:=N`q;.\nA\Z\"zLH}i\rWR-Կ@\Z$\r%\rm]\'\rN\Z>r4<PA\Z&\ZFF[HP\ZOˤ\n҄O%ik%iO@.i6in7\niY҂1i=ҊR7LZNZ-%hCZJZ{HY?72YvSYn,7gG0	,ҞbdkmCdMd\ZY;Y	YoBHַ%룐dK䝤\"#86l\"ZMf6Ls.ټl [$aw6^6c&dwȶdۉlB ١i%og%Q/䣟`kcQcdep7uM>݊|<ŋ};C>9F}}dOPǷȧ{wl{@> EZN	89p¡MKGȗo+rp_T2S1!:24i}C!c؇d))1NF ިUzdL9r02*Lf#FdP-}?QGfY)dVH85iL\\-d|8Ckdioʚ/9\r9|%DRDvBY\'jg.Dk\"\' )Ԑ%Βo/%g\\O$g3w3䬮d`r%rȔS GYLy0r^9<94/rIQEʎA:C~49iVZޙ(\\ۆ!yOW|\'7Lˑ!7fGMh>ܬ`InD[ޑ[/%fɭ+*Eo*K\"W~׽.`5M\'r6sg߾J\'n%Ƀf\Z(RmT?\n<QAQSKnH) s \'/z-\ZˌciA?\n$y#m/_|.Eo%EN;\"nF(Ulil3~ʥΤS4vP(;St1->#PAi?s	\Z.&bLI1wPLQ̻:(߼(V-k766fA\rt؍nSR~@9\0.F9,rKh7\'c{c1[/<C&yq\\F9irdC/f[E9{rq0*7	ݡPp(&s%Eʥ\"J`EJ!\n%%X^j@PG(0v(>:JA}k\n=Xk)\n0XlL!s)J\nU@fRwS(̗֕N\ny\nt3/(&lE\n(a%b%_J8%7%6jw%d谛8$הSRe()]kk)<G(i)i)׿ZRn|\nQSR+)EJ?(y(\n%HwbRM)ͣ<\0lO)mYR҄{ޔE<|\'ao6r\'FylÎR4HybmAbSj)u\nw(u\0J֎R+Q귟<8$/Ki\0)z(?(c)mΙ\"K,.Jsu΢۷2mKy0~Cx{-eLHRp2y]2:2U\'CB|@C(3)?,(svU_\r_)(F\')\')&=Uo5ekn@lS6Xʿ9o/(>U{*OJ*ظSpT3T%3	U%ϐg_jj>NTTMTT݆cT&UtU/#U/)u\'%5UTӘj:>L5{M5o8LCLdA,9Mljӎj}7j}j	ږ8S,QQ,DR{P]~n?^Cu6`TuzRSzZdM=zO0^P@@٠^\n̥^B[ylt*Dk\n}GE%QGT\'e*j:b.S؇x/B%\ZQ^1:JҊdvs*s(~b:JKP#AT\"APP2\nGB*V|B?TJTIw(5ʋ\ZzN\rO}K\rI\roH+FWSc{q`jA25rJMݩOMRӞRo4SoR3SY*¨w3洞g_TQX`jI.jwCj^F-mZVvS\\>S>}B}ʐYjmC=#6/Pjܩ7m>ckҙ{_dM0<]_S=ԑԑzZuN=:=u|1:@~Eh~kPg39L%>\ZmÉ:WLGܡ6u.qQǩkwP׆R#S\"?cgip4YSM^Hgbi)4\'4o㴭rjirBjB!My\'Msl|Ek~DD38A3\0h0;͐fHyь\ZvLit |s*m5EZ4e4W44Ek\\?nƘfϭv`.}@I#wtYÊRHs\rNsZ_٠yJ;:Cy!Kh34o&vr(L.GDY|,|h)\\ک+^3:ڙ	(\\J/<E@;gL;GѦJ;oͦ)ӂ0MQ˦i!x\ZL#\rsm1iHY\ryX04\ZZEíw1_hD\0F{1ui,X\ZVع4Ε\Zh3&	74qtږMJEѐ#idZd4-jԆv\r8\\F|WiI>bZckߴkJiih_n`VnO:IKW\022)h},-{cvgZN-=TG1C\n6li[WfZv/Zq\nDVJh_io7{CҚ=?AnI=s=ü={Eʥ=W|Ek\Z az/ae!o5m5Ok\r伡:HZT\ne+UګikZ>>+ܚ](G{C:DO9E}}wJ+L{{.F{glK{w\\.|3m@ߒ6~6FKi+h\'YϿhXh{RitKi}}~Ia6XKH&lЦMcҾAh4wl\"6[,O}A~]2~-=9J[j}I[>B[yYhkuzșDh{LXh}u˕i+t%jJQ:}+	D4D_GhEט5lZ 56Lז*u{\'	tCS,hk+˶ۣneOB\ZGL[~mT#]8ݮ7n7J[G+I\02^uG\\At<So	=h>w~({N=)w}tύiNdLe}۰t?OKE3=t&ݿHP\\M뢟d3ͨ{+O/);/%/ZӃSyAt+:N#7ѡ^tLP	3xK>oD:7/N~ZtU:?q-(Ρ9tc}pAgWŅtaT).Lӥ-9hzz($=nrζ__I_?=\',\',{ӯiA6=\"===e=W\rN=f[\r߽}wp\'=OqE>ҡ(d?z\'_o3\nNjmjt&L<٩i3I=u\nGo8Eoj__p/[-Vjz?Nz.seUF?O6׬_\rf0akNw,A>	m6/;~ǝ\'7\'P}^vG\n}|Ӕ\\B_QWWWW^5\n}hzSJXfx#2\n}w;r\n\n-RbIRbC9+cs\"cM?c2c5e܅yШLeh3t61v_g1F/3HEivl!cWòc|êna}}aúc3whwÂa%þ+áuc~\r\04qS!G^4Ƒ$QJHKƱkW8:G2|<2|}13Ζ1䯌KɌ+&ی=sAƹ<ҹ%F\\(#>JP\0 3Q؂3`(ST;9~g_=d?3NQ|AfV14=.`0>1sGl-N#,C<q!mA3B/1\"3\"팫Y|Fˌ،FkEFJ#H\01T݌֌w2nP`,Ke,fjezH~#ʸcg_b8WF\r0q;QQԕxQ\\QqQb((me23O5J-N1!xhf4ƴ03Zw0Z]\"cF{wF5!㕎݊fQg^ceu2gCoI匑m!;\'	ZrތO?1>3c(Ƥ<c:P1ɘIƘe2arX|XYzʙ{Vgl@v3eϭr3g*V-{>3F~enfTߕ`gjT15fjǙ:\\<sǏ+L=_L=$s\'`f\ZNc\Z+m0wi2vgZgZ_ 1&\Zr;\'DC$<yɚh<rǜwt><&c0]_LoD;N{<fx>>KLߒgLӿ*®l?$OL@3	ĳ`n\"ǄJpoe&<KX)a\"}ҙ\'MLt1kLIgRәE&f2HoLde,S\Zb\n>3%\\fHyf(3;8s`̼\";̌Όy{3̌=deU3q;]}$,f93ofm&z7\rs[̌N\rf6]N<ͼby fT.N\r-ШY8̼1^g>Xg3K`̒rfɌ-Wf{1R\nr)11Yʬ[gVf1މ`Ù5?5GJϝh&o\"eYv\'3M/ݸNrgv\'1_mQbv^cvA]YefKb_OncV̱*o8L9/a1L12_0^̿#1c(kS-K;%wKZ{MV^RRbim$,m2󧏥ڑUa驯XX;ĲfϱL<,B&هedY\'LXV	b!u,;(^D־UX	֓,/YGVNXǰYǾ\\R+YYì,7tߒ:G3aL.&gಂ;Y7e.JX\0S] x6f,ts:B\Z	wY*\"ճ޲19ÊEE]bqYa,VA{;Źx;,v\0%tmb	Y\"K4\nteE \"wڰYWYW5ŬIXѵlVwŊ;Jֳw|`%hRRY6X׺cXi[Xi*٬[ڬ\'%ÙL^V֎V3+~#rmHV^6`+zqUlN`ֲJ.γ丬2\nUnzؑzĪ8Ȫxdz$Uuͪ	Y7j\rYf{BVKBp7\r5jcuDmaugO.zY=\'Y=&\r;b?߀ꯖkYCvyì6wֈNȡd֨F\nkWC\"kބEF_/k5QYǚXA4\\XSYo]mRiCUO5֜<k755k~Ŏg)֟x߉i֚dk=kkivvVV\"؛77|*-M9lS&ēZB-;vwVe`ay	٦ƛ٦l3ll8۲;mczmpmgv	f+bb_gJd;	lze:y&w}(a{v~e{)H^;lom[w%wNig3v@쳅=쳕g.QsgKrcK:`b&;sv\r?6`U\r![Ply6F\\a#U٨ltG66ZWb=β(96AuM\0k	Ml16YMvfSj,i07)cllh[-1eKؒslH[Z͖vCɇءaw##oQl/h옿eGqS+P;CvfUvA\ZN沯[\'m7WmٷFw2 |o);pފ}?~v|]br]Ƀ][.Wg?Ե`?l®sgW0&UXv~\Z]c~®eE-U^f7_fحZvǉ-.!V9S~kaNLnG>yǜa~Ö c26c\rG\'ϱSo1`OQ>w6\Zϻ}_A_Ir셳7쥑액0_eSc\r\\Y##ˑilJOerQ8jG!P{|6GRl5\nl}l{0nَ|Qas48Z~qstb78z?Z9679`Tg\'1f8f9!:+7g\'c]X?0\0?slq4g8v	gg?wC#E\Z`/ǹЃRqyqlad9ne99\'9N/-wu9iYK%笧\rl ČS#8pOs\Z9N@o/RP=RL\'<\0Ɂɐ8G8\'[!yqȖ2*PsWW8uWM5C0iMsOC-9c_9eW*GD7戾sBgp¤jO8g8[t2\'G3\'!ǅxI>㤍s97-8798Nz>((zNʹ1prZq_9\n8U\'8O9E41S(勜ǲ9o9\',95:1N#yq%OņiB8-ɏ9-7z8-VGNk\r8i+}i[t9b9\n8/99]͖noΛLΛ_#^ӛZ~3yk㼍伣p^rosr=8CӜX+_88c!!sGOYg98g9e΄53y:[\rOoIzʙ͙=ę̲_S-8oqs9K_sV,sVNpV9P\n[հ35Ά9p)+Aެĕ_ʍR|IWٿ<9Us -ܭ	NBW8WՎ8rups\rBVF\rv\\XIB%<ĵZ%qmev_{)r~rpE>krBXMCùUkHo#ܣ&s^.\\Mo={?qCqi.*\'^zxp=͹I\\?\\o-9Dړ\\\'?qzr6qq\Z\\Xm\r=g2=׸=/P^^GFp\n?`[\\xcи8. \\l_.a.]Q.ǥSpl/. &),r/	F-^\0W8QͮqydD;+J_irC0#7$7rĽBs^^} #(\'rcǸq?qs?s 9nrsnnʸ=\Z>{mʽt{ϽȽՐ̽g½f_fڸ\rYVmܬ	%n!nP7OΒ[^-<\'-[gsm4neF[)}>\r>1>3Z>s>W\Z6!r[1eBG[r_r?ss{κp{`y]gw\';bmw?}`DL~^+!xE7wj݈s73[a#w{;Lgq۹qW|f9wZwac\'_\'ҳ=sܿ\ZOy(ڡZw m(//OxOfoW|AB+e6t\'o[vo[{2OOtu>l]y<S<_]y\ny\0:tg̳dy }{yfxGdyN<W/xM:c7yy[\ZsyyU:3x^NN\0ΠA3Lv1û0]T\Znwòx&x{yGyP %Pby<E4OZ#<+j!*<bHNU:<btl1#W(c<CJL4wÏ\'	^jxB4OrxDO|1ㅾEE)EyQp>J_e^g/KLZRn/OnDh~Ļ5w;2//:/?ˊ*;;Kxw=k|;yw~wo xw+=H<+U^U>{<Ϋr«z{z0~^5WWÈժD\Z^=bi׬עk$0yL\n\0yoHh^o_H\r\ry[y1Wxyc/\Zx_xߣKx3ɏyƓx?2輟/ޯo2ޢs_8wz&o /TST\"S4_.Ć/Ϯ+xeOe`ʷ-l[\"[\'[[~o{W䫷*55=;;uwz|}6aoS77f;jdqo|\"\Z·T-/7F|O<Xo[roķo7S-mF<Ad!1X-i+&\nw??ōܐ?v\"y>٬?up53|$?\0?\'?\'>>6y#|@Y>·~aOZC|$}=ǟO36>NO)T|Z<O|30D3d󅽏|)	_z-\rԓaH;~պXE~?q7,yOWTN,\0tbyzu9y~C8?w/3>KwKFer?!$a2=_?j$/kr_:N~21~ü\Z~~:\"oY7iDۇ7_˾ww/+YL!spp0\'a@ٝ|?Ꮕ>ʟHL򿎻53S?nz_Co++CB\ZBF௽ȕ^ȕA4X@]}3@iX\n43MZ.w\'킝%?@mB\\`)0wFrFR%[`D`̇قݡVo{6}p>J` {Nu_z+pO8~wsY%8Z/p2(pG:.B`GN-Ix,^୺,89()T=i$YF\\2\"Dy.O	\0(\0fU\0=$x2RxA\0z	3O\0,\'%	:TW, ^NP_:\ns᳀U\"`8-Hg[W *@GN(@m\"t{U.D\\=KĊ8 N FCI|BHX$fn~ϞR!_gy?/\nn[NAZ t |$ANP  knA^1A>vfK`$(}ܷɿyf	Je\n뷂\nQ@a\nLT\n$ճN^\ZsOY&:\\Мp@<GK.x.,x dr]/\'/W?ArXkt^ c5OWy~A`#^QX	FGs>?|8/|Qco&>ɣ-Fogv\n\ns	߂NL\0]0-Tzf>b@Bh`፫`__,%&A\nPoS`P}VY4\\P[\\~QvX).j	uB\'	iBFKCBKyBcB\\	Hh 4שמ28*Uo%\0-}	Bvតֻo\nSIB6Nh]hwZWhwFH(O:xB}tSgdeΟ:^#tN\'N6B2йH,ty	]yB7WsxɞBB?=_?X\nV./^^R\'f݅A. `VBPm!.PBUnawBػGBBW$\nQBTP/\r_؏}B\\.Iz-\'V\n	_$!i!$\"dBLH~RO	Y.!++\\M&)\nBaPn/Cf=aaJ\nHxuQ!ɫv\n/	S}ׅig\Z7O;U	ob7soff\n:3;aIyaNj0OFFO6KZ	뫅\".aEa팰-DX%jV	kbgog+a}mV|W地i幡Ê\"x$/K}/_;_v?{v{o-	I.LXC8$%:?:m~~FplR8Z _-r$\"ڑ(*(ppvɊwippp\\+/}*ݭ$rQ,\\HM~#\\E׿	}=*Ԗ\"R85.RP0NxH1%VX1\'R:)R¶ʓDJ߶~mm5\0;ߞmO5T>t_E:\"|hǎsȀ=Z뉌{~L;̯͉v\r\Z,ǉ,-\"Nŝ\"+;]UHd[d\rl|D6,mXd,;Kdo4.YdhC@eP}Êˢèiѡ\0s?1ɈUy5&R&rՊ<@\"sբcY\"f?o>ul_HMtNJt|CtCQ,J\\-\n~]Q].ȊE@rfdGk\ZD`/.*/]\"9R.S̿*BGDTᔫD&%=CD.؛\\E6W%EFD\"HC΁\"dUeX%z5PSzK)J J%WR.NR/REiOEi?zE73onV-n>ݶ6meEwʈl4\n_/\rT;JRWQK;f\nvQE^T1@TeѓEO.=|Z!D^Du12?$yQӢEOԢ_&j]:\"P<&,^^PE~w^rD\nD=E}w)Ȉ>6%Fb$S羋>>}!͡hݒh1%}}i}+< NqE)ٿ4Wk_*\n_GzD&D˶OD+*kG>VՅvZܜhmH Z6&Zg&.޴lP\\m\\sX}XL PDw߃IbM/fYX+Xu,.4먿zb(Zl.6MMcŦEb3{%!bNŋUUn%w+xOAئPFl33(MtU-ŵ\nR~bxKuw͋?y+v\n#vS|`E3$JYf*v[֧O얈=vˋ=^nbްbhIWSDfS>]	s^šqq8(8G8{UDƅb/TP\\\Z?+t:asnbfE%F+GĘi\"\rĉ	AM1(&++by1q1Ͳ]L}+k.~@k1W1sO]j>6۾X.Žb-q-^敋öő{QWWq_\Z	MHqR8SY\'5i\r>߲[z3+6sg{~sFNsstyqQz^\\|[\\\\9(.&Kω+ߊ> b5/gԛ:q}7q5BqeUܴb/n cmLqs#PGܑ w_s~{[}Φⷼ{WߖCMgC}L\'\"!\nDْ+:,)\\pO(>$rVxflV<{&K<*]\"&k}!kg]Ŀ6J+?qix9\'PW\\+^So\\&8I6I䯜((Q$*V/9G$[C%~ܓl -ѾrI8WwOcUs\"љɔ)JP};D%1xaQ5ObfhSb4.1ђc{%B䝅d[bGb8,5}Vba.mXh%6ͻ[3M^u/URb\\_\0KrdjFl}FZ$qH_	x\Z`$%>,uT덑Tu119DI)^גݒ?%${K\\H.H\0ƉЎ?+\'A)`2_J|	n%d\'	e..7p%nXֿ]v+a>pHrQ^D\0\0ID y-ԄID7$U$dO+螕\\i\rDm<DHG%qubI$yG$u~ڋ_$7F%InI$SrgAMK.왔89H\nK\nI\n%F$%l$ŲIgIY+ER<%76II\'${$y0IcIc%ɋⳒ3O%MZwIӜY%#i+iS59B%~\'$/K^}t\'VHlz#)\")闼(pcH\'%	!%d84F2h!T$gT2&|!|||)|5|$v.o*~hwdFddmdVdnxɏÒx_;e$z?Ybd	8/YJI%$H֔~I֎VK֮J־$kS.%cRiMRYATTTTItuTc-UiLn&Uǔ\"J5Zo:T{T/IW/{NQTât$2Skǀryn9Ut$.Ԧp\\j= uaJKI|̒r:bGcSc\rRnۀx鉕RFW{\\dVwRzʠJzGzLMIϗK/{K/ٖJ/5J\0{)cJ\nB5KA3RXƠn~V	Of/E?	bRlHJPtRluPJQ*%RjjL)sCҬ,ä\\ͅ\0<*QFI\"YDf!Q{GeSv	%\n!H</9{s9{\09_U\0؀;=\\{@n}@K@Y4 /np\0X\0(\0r\08\0\0@1\0L\0k\0\0>\0~5R1\\\00ڏq\0n$0\0Bd@b\n\\\0_\Z\0\"4=5@\"@ǀ\"P\nP,n(\r((3\r\0JVJMg@T7:v:>(b0ic	!L^F:N\'|@g\Z\02E\0;x{u\'-F$oaNGS3@o<v_\nhk\0PH:`0<R7q:{ӕ\0^	LL2\'S/׻\0scJJ?+\0]\0V\0V/TT\"w\"i7_n8xܤ^T1n>\\3TTMT_\0f[cv}jujmw8p9ԃӁz/;\0\ZvvFK%@Yc/@COn@w#Nm@C{.ΨxБ<ct\0YS@wcGcc3o]g5IйMہ籯\Z/6^l؟[+N//`S:0o`0c,dnf^k>^}܀	0`\">cI?)0eL[L	L(\03[o\n;ٯs^oW2ywl\0P(l\0z\0AsX COE r­lk@xx\"A\r@T^M⭽D-K 0H\r$bg@*h:Ȋk@%nrm\\/)&@@:)P|%nt&L(;:oh\n|p\nX+d3?K5GjϣZړDco!E}F́Ok{¹pfg\'`+ruK<H`\'%s9`W\Zkp{<{fgIG9\0)E\Z%9pd\'puR7p-kgTpy788N|~h:N=oXZNgn^{?#|끿z܀?!*-	5K{ڿ X2_hCeIC2D9v\0R3RUwy xzIV>9x\nҌiR@A:>n	ڡo\nu`dXdØ XDɩ )_$ho>wо<YIPy:EtЛ\r4YiYmzd:\ntg:Gd=tK 4ܠ _gAA<x /\nWI5hw(\n>u\0|AA\Z7pPr$|ЅgAa@ᛋA P)(\rVPEj\0%Ԁ7AIW@)0Pʵ%P`\n\0J=z\rtc,(3(1(/\Zɉ|8o\\Y-\0Y s+j>gA@5aa@؂^n/r@Dh]Aa\0]0I sCABa(#$$6P\06s@rS\r*(oV:\nAŧJ鑠2D\Z5aK#`?OPm)P-OԈ\rz|z\nz!([j_+un2D@YzPsnh4<hd/\n4\Z-j{\r40h(h544l}4}hƥ4{:\04\'=1#VM	V} X3T\r$:ی[[}[\0o/\n\0 >`l|l\Z\Z+O{f&\nA``q{+Vw/`[nmض.||=qgBÕBC81\0>iH;mO	a``7[{2;2̍`XR5K*> Ϻ̂\'AY ^ph\n8}	84o/UGz\0ςcN׀cXo*8F\'Z\0\'~_kf>Sid4QC~\n8J|8?m\\,8|w~+.VB08^Cg|\nQGQ3`}F;s0Z,&[`g\Z2`=`:\Zت\0s̭``AXi\0-%jn{[<nH:le[*yG_<Tph\0\\|\\HWǶ!8i$T\0nxn: \0?ف`p3\0T\rnk\0RQ\0w<w@Z:AIo5?x[Oʑ>x\nOWX\\<zxd3<-`m.kx\\C_Or.\'_lOzgY9x:/i߀ך!ޏBL$Ey\"XŃ?0i	QٜlQcMC}\'/A`w;M2D;DǱ˼[?3<wɄCu V {AL {CL-Bm?	1GC,^\0XGAϸC6=9Z=nQ$)AlC- }xȉGg!j!n{\Z{=#|\0⁫CtALtBl ^\"Fa@|3!H\\H^2$	)\\2\\JC.DI!_k ?C@;-!qkF0Hk%9ZzȵyuquHZ6ȍ !\n	C2r 7!Y Y3슭qHNk8vv?rg;\n-yۦC\0N@	@`ڲlA;`es!xC#(Tl!7@\nKA,LyAh t!Orj~	aA	A8 *D^f \"\Z42\"\"3	y# =!ED1dRRfyXy6lԼ#!\r>	\nix\nҔV	yRIXAZW!@Z;@^\'A^{ ]HW/.an|jS|	գ@z}4 OA!>\\H_2U	2ԑNo|9/L\n=!ߓ ?: ?B.@f~C暝 s\"OMMy[m\";y/wmȟᓐ鐿q?r !>d\nTq/JuFTPU[Oy-G@kc\ZPm-$TAQn1T_\"tit盫]HAb	559pwBAM<辣9-jэ8~z=!!=jEpZsGlУP-PoPPd豟iP;7P; ~7a!,		u:U:o>uֺu=\nuvƻC]AOuauzn|T#Bϰޱ\'PCP?.W;@dnА%s=sCô@A/]J^(wh-4!MM~z]z4?M.~rCoj@3R[Л\'bY[j.y;8iAAPp\nIjAalb+PB(ZԷ:P.32\\t?@(߀r<PI*ԫ\nrOx*\r*Q*JnhAoiP9z.ȴZ\Z-}m\r}ZC2hUZ+	Z=`uǈF5ɖ\'\'&sFmB\0m\\>v@@[|Z-Vy\r4:ں4\rm=}9}}X8\r}gǇ_d~~j\n{\r<:b܂cow@G#q:\Zh\r6.ceX	51tb:y\rXBgbB\rBzBCe@f=+Z]tct[[wlcl#si\'J^C+00m/`jϘ0qؖd0lK)L=UN	ӹU?(1>3+a{m!a&\n0۪}s0aG)065a`,,vh%vXb܇Y\'s0a7ra\';SaNoa.`^$|y^aAs߰`x=Z5;vA4\"k\'aтM`16X,+U`qXXyXCX(#W`I$n , Yea7eʰ氬\n4,;B\rY g࿜`G-G!a.0<ge*aa0?%	FVqn9a9%Fclc\ZWƤjX`{0ws׸\rŻx0Fc`s0r/Lu&IF00iuLL拆ɿS^K;}؇\nFaa\n7eXէ\Z.X]1\0\r5N R3nss~6<T	{io{y/1ֽ \r{7#>S}~\n,}޾s6|lT\'l_8l|Ol267\0!¦wf\\`3jlNs\r`zq\ZxV\r0i;OؿZylXw_?WlDr\\s\n\\k9	5+[wޅ\nn746$<ໃl{\\*lk=?7\r7SXr_̂~=?Z?VkpG|S9{ܽvn}dNϾ:wA/<B1~X2\0v\r<,	<@&ʂj	xawz?)%4<o˅gug^\0fKsZwx+<cT8/Oa! 8c$8vG߃p8N:xFp\0Nj3M02\\&p9\0؅,c\\kgll\Z9ŋv:W^yZt^8!^DX719\no9\Zf/W]O8oʊo ߉*=?,u.<|(|؁G~^~섏>|\Zv>*|IT\'|Z|f8>z>{p>Z pjyXwtPPG(:F(/!qBlhKAn\"0\Zl\'&1Bl{Ѓl|@L!¢z!v|B!v5#Xnq=xB\'\00C|0A؏0_~p!ȶ ,mHjIZQ#O #6W#DXDmĉ\r\'K\'i))gkN\nt;yq8Bxovo#m*Da.\"IDuDPDpX\"D#q.@BN .ToE\\D\\Ba^0\0V?BĜCX#CIEE fD.DiDe\nqݧ\Zg%H#qDFq\n\"L\rq=&\ru7q<\"FY_By#EwS\Zw)`|xGf#UPn6q*:t?E\ZD_E8~m]<\\`2#XȿN?n9Q7\ZBHFHK!*{K:IBg.D\ZQm(~=(h#J~!J!pDY&<\0Q^xXp\nQy񘨈x\\vdrTyx\rXHG4~E4#~; eψf|/x0m@tl@tߩEt%goI:=!zJ=0ćO{0g/eP1YB@(+)qĸ/xڏ1=E>A]GGu#>!~M#~;\"\rB%k_kANC*KAn<ՆTEM @\"Uꫡȭǐڑ{1܌D4LX4!k#,@&t,ҤEܻ4>4o=<=<!DDAZK6MHsHǭ-\0%骑<X<\'B@z!.#bllR22 !C42ȪZy~\ny1bV12F+Kdcd~g!_ ,9 czqs,dTdy]3ddt62ug,25L9L+!Gf#o\Z\"Gf5^EN2ACvG歗\"Yא@FtD0c$3عDv H)$2f\\CՐ5$t߃$r[ۑkHڞ$-2cdԌ#9o-H^\'\rFlcPf=R0y)>A!Ep4R\"R+FJ_B!eIH/)d|p|xY T\03,h@!VixdQYYhEh vN \"rYUIU#j`Ybc##А\rcRdU&Y-N]ƐAȖ\rȶ3vc)}%\n8Zg5yzEv+Boo#,#W!{!?G}6\"nB~G~;=X܏OFl& gaQ?-uȥ}zȥ?rr\'o*rmpKFTMOTLT5&Q[`((GQZ{!(7j=6(Ԏ(ڋ5Q((ݨ=!Q{P{Q{PNԠ(3~{j?\Z?e\Zu\0{Mu\'Iկc#]s(k(XMԱ|/ʶa+;u|DKd8ʹd-e\0^rDpPF;Q^VϺe-EKP\\T@T>KT5TP8**	*4:\nBG,*lvuI<u%\0\" bPW3mPwF?ǡz$߫0uǨk9WP7_(2LQ2\\QXԝDKԝ_m j@\n(pMxֿEA_Dӯ(䛛(ԡz\Z;J((ʐ\0E5D1zx(61(@qQ7(OE	C	JQ\"$J%{&Q(i%J[ @ݻԌz@/Bj:J@&J7(\"ԣ֨JT2Tt0>UPn\n@lzz\".C_P\rhTuƂxTc)y\0-ն^>@uN::ߠ^{C܈zn\Zg/#PQ}.D$V9\ZM[A?@M\0&ݭQQG\"TԌ]Ouyn/=_y2.Ԓ\"jw>_/)fZ[pE+\\VިvUi+zIz,ZH	\\Vod5\'\ZhM.Z֎BkCb\0h;9+^GLERGħ\r޾B8<&Fݰr*4/1\rom&ޟ2>hmzދ~>FE&C;\'\'\'FNQSQhKhWӱRB?J9#>\ZB{ڣ}ѾF.h_EE;\n~8$iD[ډ;]>`G_/./,//f[Â6K&KtĬ?}9}}y\0%Vc_F_-My]SDAM]i@\';Gߎշ4ZtZE4:m8\Z΄}Ft*Aߤ/o>o؂AlށmG-2@K\ZԜעD4\rDyhhb4*F՗ч11hI4YGƚh\n\nMy悦û,{4\"4Gs͹SCmG\'Rx-*CK/{Ѕ<t]Cm\0cM{fsG׬ԭ\rtM&tm]~]܎n݄%G?~vg\0j,UA7ۍ~a	!jnE,۾;CЯEn{7o&tA@+z\Z=Tes z԰	1z\\=5BEO|@OBOCO1FXEϼT@;>A?^8Ԏ^LE/DF?i,ѿ/rK+BFG6FI)fi+fcfH>f[Q1a]1[ۺ1[`40Zǣ0گM1:3$fGc^5Ff̮*̮]okӵx>5YE+\\1s@Ѕc_>jډ9Xk;ƦYc{c{cg2_9㠰@LŜ::qqqρb<v`<V00gcb|9`|`1H_LP.&P~7:`7+cBԯaBcmń2h\ZmbL،1Rm(&Bs\n&z2&vW~&L&&&r&5I3zIb2_c2Nb201\0L6u1@|)+|0HrI?u`+b\0CPoahz).İ\ru0l3q5p0B6FL+Hf0El1̽;+ɘ׮`01*\'LI%.SyT	TݱTTwcj:SI31UP̋SVLkUL;rJ\r#LGs%塃z^Nـ.ü뾍y7ߋyo)ӏbٝMC9ke/0#;0s\07Qf*3ֆ$fj3u%3!a~q|Eg9%ܘ.v:kynf^,>eI,Oc,\ra\Zc01+Gl0!0kSG\nwaCjaX=ưa\r]7*]cU\0Kjvv6v4VV\r-v{75cu;bwy`w\Z<\n\Zj`w{>~Ě`M>c.k5{5߈5\\=tk뀵{4֖>݃KoHlƞHHÞX):`XT#Au6vƺb΄`7(b=\rwcz۪?سNسسE06lPlP=6x\rac/c/$`6bFaH*6r{y]8rylzl]׍nf_$[l)6i{769$\"6C{#&6C.fZfh\Z،\0p{67\\D:X{,Ў{c![V`,b7i#¢?Ģaw%X\\a,xKo\"d;,w`6,Yi`y\ZXWXVx+Yb?>P_>Y-;-[secfLb>zSTLV.c2ajؚغbl]n{[{퀭}ɻ+31tlӡ\0lU}6jE-LlKlK\n\rރ܄}}?Q(n-)}~GacGJؑ籣/ѿ&رs<X-v\nfc\'v&\0;P7c)a{ұ۞`b׊p\nBxn)qnKh	S]ũmDOq^8e8S8opZSqZtqQ],vG63֝ov;)=݊3M:ۧe37z3>;hw=;d>;3;.;g=w=\nw4g͸`i>y٭_˧m9&vg5qNFܩG8i=}pRpn8w%{^,3wAWU7ί?p2.f.\\%=1Ev8.Y!._يԾw lC%sp	tqI⮑Fppן qq)j޸Ժø+igqY[{rJ\Zp7V\08P!z3pHXr6$=S?㰌`.Woß#n}p8؞#>dȴ\ZG*q8DKñ8]N(1ĉu8w8HpdX.8+qJ\rSU4k**N㪵h\\*v*c4ppO[o}=Mk=;ukՄkµ}ŵρp/]jq*n:^W^y2Su9d?}}ܮ5|-z&go`+7`&;⾤p#:0ܘl7+[?nxqc7]~v73)T͆u?\'*Rqqܪp~qǸ?\ZpĎ?OqiVWkx\rx/IīU7^ë>loWكߚ}אk,k6^R\r9uܼ:)VxL^^\n~sxC<xÎho֍7f=yk7	77i7fMkxӧx3ތ׏[^[qRax+GxMx6W=?:w0;Da\'YOUO^vN`;%)!&w/{H{}1~_?AA \Z\\D7}9ǇO/kõNC\ZZEH=Hk|	|T7JS4J\r/D+⯺l_}\"U	wF	3ۗտSx,w|	K>[m\Zϩo߆\\؈]=\Z3=4ǃN,ࡵxy\nO#NxC<:\0s`0OXނ\'FIxR87<cώ7.^X<{2.x*^\"k}.|e_o3t|yy4a!4\"j_q52_v_!4\0p\'lu\\\ZY/\03|ۛq|?U\r{Go=O޽-y㇎CnE{X ~Lt?n\r\r?j,\n(O ~gDoBst	~a7OEJ	6~Y_WO<¯^UƯل9Ep6av6&k!a<ANPGB44 ZC	ZI\'݄m(;^1^SJU6`\"v$	L0\'X,= X+	>G8d3I8l&\"~\'^~D8\"j	6:	T6$y	c	#\'Ip\'u#<BQ./I-!BP!J~~ܟA}G0F@B䛻;+	W+	|B,N=#1q.ڷ*״	L!Y@HR۟R?4.!~+BΎaB؋󾃐F@L\0\0Bp\0ND\0PtӉ&h.#>VZ!I W(QeB@;@+K_W\ni2}^-ą Ȏ\"HxizAZKD(#vrEn.N;Bi?B组2urVC#9!P$Tv#rBD TO>\'uy,቉IA\0I/p3\"!0-m	WկjB,S+r2d2^DBJHW!8oF̦	#w9alw\nӄׄi<a%bG飄?>e_\'6&*c҉U+**D5D5^\ZeETߟDTg՟&j\ZKZkGguCWD]ؓCVJ˽EnLܵqqWcAsqKthz},,JFܿO4D_=\Z<%-R_zFK>#M핖{\":MtnSID&kukm}ݯ{qqo?̿!ѷx]?rݓ2I<AϚ:H<UO<oeA<_G\"^%^zM$F\\zKh\'FI\'Fm%FF W[8k:R(b6Rb:1\0141Ekʹ<)1+C3x`xk?Pm;\\bGĻNw@Dl\"DAL$B=0;DDDDd7PJDNZSDBHY wI:Drl\"vH%6D&\"5n9z,C(#\nD/kQr*(:Gfeݝ$ޓ!wI$>숏\nĊebw⑔XQLܖADvkk:b%AH\Z\'>׽N|Al6] [QNjkMvb=-b7Mb\Z{:&[{ ~%~zط#经Wؿ2JlA0M%G]ǧ	ɀJqpsqLUiF;؈%%F!K[fKv=ĥgĥz2ΘNCD\\\"?FR8CRX\')jPIHJדG$m8Lp@xk*ixIUIR;H\'\"mY!34|I%j(.6dB28$$$$$c5*i	iw$$d SH5$3{l!Q~$$Oųaҁ9pGա\'#*Q;\0($kzdt,\\dL$+\"/N:B@:y}tr8>)8:Hr.\\$7m	ɝ |>|HA$ɋx֟E\n!#&]HubHa]HHKqRd3)<))BtՔFz̝0<FJMJF~D^I\"t*)y[)U?\" tSpt/)o0)/twP:	x=	D&ߺ Hp\Z		AVDpUHs$R|D!jwE$fHDb) qI0@*I2$xCzM*\0\n]HEIH%AR)2lg\r<WHT>E\"U/I{>HKD\'\ZpCnL\ryH#餮xRYқ7\rHoWHoOe4%In\'}#}K$%͑ko><&\rl@ܯd$@6ia4$\r[FcHc\\Ict׺VQ3My~釧	i~GiiJZEZA@CM7NNV^7!\Z&RDd5Odd&7ɺO;(dN2Y!ܦLϓl&.\"n&D:@pdTyw-UYmB6oMxE>R%K><M>f V \"p옂 1K>@>EAv!4Ȟd3~7_\0%rur*94|@-B&r	6w~<\"_I%Whc7GcU/5xor|EN,LN%_\'7+}H9c!@#r zDΎ%j4Αzf{FPMTMdc2u2m8䔐Md̉d\\#K&yP2\r$O&E}d%2CT2\\) \\d6&@_d~%2L$6dI^,y,$Kdٛcdތ|%r.	9ș\\p\\bG.\'Ʌ*JrI\\G~\\H\0+{UrMru		epL6ry_\ZKrK-6In T!<I~F~ #H~m3O~O~C~gM~7si<SkE\nOIN[~HM&&ד-Ƕq!\\4y<uGy(y<Z<H /Ǒ\'\0jW9{JQAQPQzQwQ/P-T)(*KcCg7(\ZM\nm(;R(;}j󔝏S(PRR(FcY>xN1M1@1?{bbe K9L9jI9jiK0XS(6^(6uikm;>VPL8h>8NZPNJ)N\ruw/)vS\\6I).&(n0}{@ʙ)>R|$S|(~S)g>R8J8%4Ȇ&ES\")KȤyJdJJ7%ffr0r5tr(%yʵ(ɐce3J:LIO܄NRrSnkRR\0(\nȦv5@l(]h7\n̓KAXSM(^O\nHbT98=@R(WP()\\\n51B~B{C_0T(_(\nc5}IaoW\n\n{N=DW)7w(Qм\"$S((b\"=A:)rMʃvJ_J*p\ZI)eQRliRGy(<\n8C8hOϡT.nTQ)5&J J]\"屽;q6ʓ5J}]JyJSJ\nJy6Ji%)m\Zvw*MJG[Jnɐ򞸏ӵBY|͢|\"\\|ZPzSvFPh43(IKU<ʗ}/QLS(x[( {(\nQ)N](3)s|ZEO}W<g)ʒ*eOY\rU*D7Sҩ[T#\rnԍh-VE\'\'ߟnPU}Uj[[dԭ1_:-:/\n/S矦>Iw5UPw*ʩ;oS:Fc1{wS,S`{UvSvP-vRH<O=L0R+̩6S6v~b]\\zq\0?TG0qNdFuȦQ]AnROoP=lP=\nT)3\rgd/շ+E[\rMo{{R6P5`\Z\\8L\r?L=b@=WM-Q/msF?ArJr\ZS\Z̧lPcq\nj.}jaj;,5j:IMѦfS3OQ318j&9zZ\n5K+e\'fʩYԬY?6So=\Z>ME~QM,PrsiT(a\n3]ҨTTLe*͘_J%\ZdU\r*9vJ!pT S*g;K#\\\r8u\nYRO\"hUT@;P;ԩ?Q]7.RAEFŻ*%C,\"5ZYIO;Gַ>LmVS-P3$jsyR1\"ҞOmS/R;PNKdSjgj\0킦3料{FgFVO0~~Qw;Q//h[+7u[D$Q4SlI1IFm=@]1.&|f.RYGxԕoCu4E$M)RHS]o?FPNPOX\rMЗVOغ@ӌʧi4;iZl]v`ccMLM	mm\rm<fhD3?O3iIy*7ia^OWii!H,նc4S4+*f/Uff=Hov4}h\'Ni\'ݣ9М4{4Q/͵1Siôӑi_inʭ4w(}Q=<o@;{8Nh!1ZZ\Zy$BڅLOڅCkiC9Zx(-Bk|uLŭizwiIҒܬiIO\'\0ڵMkOhެޢ^J@Ci,DZv-[vvJݑJ\\GP]@/hX\ZH!74\Z2CC92h5\Z\r\\\Z|7pRF-ш4;IX~q-hX&\\!$f4F!MVF+\ngieᴇiljiU+*VS85OkL5l51h-UbZk-əN9C{i,N{Xu,ou^^I{})F;f8dC\\}}iJ!g(md66Vz6}$6^IA@Ѿ\rU4<6KTJhhs\n\'h%ݴET⟴Ki/V^-uVikWhk] L.}=	}C6}ß(g,}kq̀BtH ѷoWNR;\r=FDSqU}{}~-Eg~04ݒF:n n#nJ;nWK?XNO3\'w\'<tWO9E;ϑZI?{[Wq՜~6)hF񏢇$NCFC/_T_8B8O;M/]Gd//eӯh>_	_9WO5=J=Ezu=r[L]MO{NOo3)I=5=D\",&6=F-fqeMmI=W@ޣ&!WЕ:GDޢcIt.N<NϦ6SCi\ntfOgoF9* ḶN_t{+]{]TNrK2/E\\-~_~|~?˛u\"\nX=^H/Sdzn%zU?z]%)k)ETWzˮV=mzn=!j9gGk/F6rp?ypzFSSϥX?}\0E[	G#@/cfgWu>	;h3GA	}S4}΍II[n/C鿻{KOїCU+pʃNX}*렯~룯2@ §\'clu\0CyГ2ؔ8P`Ufώk`ehbh\\`h734;Km2to3vL]`走;;c\0\"%0wE_T9Za`88 f8d84̰܄fXV噌JG	%)k\"l3bvO3*&1qrTthp^g2df~p~D$sxU,bx{2|.gd00F/jqa5^ʸtÈG3.gdDYaDj2b2bw2bsD8F;cƵT\\F8#~F+o0ngdOO\"#7#yqr\nf?Eܯ{}˙e$iF9Ƞ`{3ytc`g0fp\\@c;KeG3C!dHܡ5S-Ƹlx:v`h#QQFR7zQ}Ȩx˨!uU3uHFFCF}4k\ZqhR.f4y[/hVƌ|F5s1uLFf-Ggtw20$3fY21z@?͌FWFVGSA;`111Rfa|;v#ac\"ȘX+caL10,Θa3->0c0SsBKNսunZywXRw>Pfnf*+h0U<r*c]3	L\rD&xht#SH2sgA\ns+{ӠMif\Z1\rG&FXؗsLS,Ӭњ?I3blL\r0?\09*iim<6<fXtqt<5t9tӝ)bqby_b0cWf]٢9czy7ɼhy1%vjZ~q֙y3%bOD233Mg3ʼ~;|OBWc<i`$f|>3so3s3kMf~ha10#qLF?l>0!ۨL[&f	dh\nGbbMԘL>0wI:$]D1I_7yLVB\n}	}ferۇܑ5&(?Te?WbtoSEcWg|P|5a~3X2O1K]bìl`V~D0J\'͘0C1:e60j=ϗ2s/3[μ`(1ۃݙ{|hf &&s̞4CGmgf/Og~fl|pb<`121:3f#_60b&Xs\ZaΙ1n1n1Q/똋Oo柭??Qe̿*+Y7&YJXHXN76\\b)Ϟf)/`m}tIT`mZ;R.eLV6gm^bm0`>eԔ,5,4K\rcuͰ4#4/YY,K,]^J,C62fb32b<ڻڷ6씜!|њe:Cu  ԁu됛uxe`Y1:XGXG*-YG\rlTX6=,1\\m#-;e븎)6	8։rz@Lf\\ߡY39.,/.6f(^D) sVЁ\nVp+S::u:?oȺ̃ue\n<̊|t}̊\rs`]\rźژĊxHfYoY7\'lY$V˗;5,5_lB1XI6	󚅫=aw(Ype1Όňta1XqG]eYe?YfKɒIa̰݃c?t_@YX+u\"[\"b*c9*\r**YamY,Yo*.C6cV\rϔU#ǲjFǅYO:YOX\r+DVFEV6eVSP)^zzVc5j?jm}jeuqYXL;XkaWYRXKY>[zY}s}k\Z <O|\Z\"ud)k85g<\"f}{Yo8k!ɉymc-aK%llEk[)[-{Bri:{\"{c\"ˌi\0{[u՘`SyΞ+[sՄ`nb:Uu\r?w2|;lOoٻu{ئmlSmm6g){el˝f1Y&	m>,eob7>Cvb>UbvI},A$}̜yd/,d{{Hi!loI>G\'cMbe]Rv%v\0f싾0#;uȌn6vT[!;&1ESv\n;FEΎwlf\'	b\'䩰r,٩G;٩z\roi77:~3K:zd-$;1Nؽt]m\"x \rf)lH\r5bC6:m1bcMlb8cٔllںlڶh6ftILClN0GaZ|%6v-a:	lٛP<?jΏఋcEJk3v1\"]b].ߩ~xن(O]%bWgW/alakg~9~~Y~B_ֹϨ+gkSB$mՌݮ\"``w屻o\Zo}ag.f؟7C\r1؋책,wT\Z{n>+T{ĂP*gٴz+{m^QX.(n(欷l\\ljTlv^l~QQQsGVqwq4~hjqeޜ9q8,G9c(>1,NqGpoϟ9\\@΁+CC$C\ra\nSÏ9Vͽ#8Gr:er==Ǳ;ʱq%G+(%Uq}Pp|^ɯp9۹8		\\s`s3RN	\'lb)a8ŉnDJ\r98ͼ8Qm(\'\nse9MYDpb9~9	$뗜T9a΍9GNmeC[?99*o89wrpqiq\0#9eY8[`\'W&o8D!q˶C	琕80z9Cpn;{%\n;XnQG|0G̥r${gsip\n8EcufRNq}N62sS S>h5c5֍S©;3ϩ<yay\Z<4fp\Z[9s\ZGwp)8;[9/KI-+]Mn(sه:yk*\0Pi<gl8	1@x?m gBÔ3i#8?G#l17sY9+g9+[9+C8.m\\\\\\}z\r\\ek5fQWS\"W3պ&j:a\\]wǦ!۸\\CBp5\ny5\'35I5ݐ/yo9wqy2\"̉{G%Q.uA&m^=\'!d3aX=yztҵ:f=s݆npI\\]+멠܎zp6=z3>bY]ܳS\\u[Y;Mnx+7\'n8n0l{\r5r^p{Ͻ ^{q7\r6r/}\\Fs4?pYnwu!7%ܒz{e7]|{G!7ĽFsau\\X5../sQ	\\bdKI\\J~.|KKqq\\De¹,\ZPD㊣qŠT+]J3rqާesܢn1[\nRsn|ϭ&q+ls+rvNs>>|}\ZgmmYmqz6xs+ϵprͧ/,r_/q[q/vq;4r;&np;wp_o]ݵ6ha~RD9۫rws[-` n;;6)~tp&_#FhzX2;`;yN;;r;p;	Yǝ].^..7r.iUŤqWw;xjxyJ{ZyJ(u<emO%#oHz5W){KmK@<]1~*O@~IyFI3uW7*vmX}vQy̝FyC<?x0_:Ϣw;Y?Y)ClBx.<ǼC:vxҭ&y1<b0C=yx>v|<9pxAuyA5일4/\\.E|<XbzfyWսyqyfxIVxI${޵y׿]_%KbxiJq4e/ލ\nͼ)/[n>e9y9x9rFyy_\0(ZSyண<4Ϝy򖇵ua[x`-i#syC{yL6ȣL1nW:c[<>)qy{<~\'8{\'jIͶ{yvyx{W^o:ƻfWuW8+HHJ\r/t*F-x,y9%$pWW}i=&^駼쳼S8 nƫO=%\rxOWO\Zx\r:2y,yo%5f4{u̔љTVu:u:;x]w7>9&ཉ){+{]&\\YOOO`oX=qc__lϩ;ռT,t7W})VҔo޿\0޿cyUx5S[9!oW8WXYWqo\'UmY|ռZ*0v]Ր5ҙ\nq,i*k)-?__,u;;ڶ3)|TGAg-;vKő.˷ w8?pE1X\ngo	^a^i/~\n5߆ZRwwKMua|vLf\rLV=K_ޟh}M;!:W\Zr§0kIfKiQ@??Ɓy˂m+2	j4ލʏ+\'-	q0o~J~j`%?e;?}=?#h3Oo%gog_~~|%PX=nf>22Y,%T>\\y^G+||ppOXvtA|n>ϧ2~/>qg:r>s)\n4>;ϛw8w%O%W%=o{~}nHA3_m/4vAEEKr~p$_~u_1ïͯ3?L?|+&,ܺZ%6߮xnv~X6͟>;tͫ/oj;=]3>U~F}#5/;/5XC:?TZ?^?q?_\\_x{{ i6%4_:_MռN[9 P:C4h(ؠ<)ظFV\"P{FlU>M@}q`zeL}[OR)I`W`S`tR`-0.p&c\ZZ}cOfO)ނ}@s9CyCBc(*G`sVnZ`:+8(Hp|9Rp,pH8\n\'/bssiu[)8ۏhAΊ TtPp1\"Jj+QpdRh r%z$j^*e\nb+o\n?\nj8hAR Gz>ZZ>.HW6[	27-\r7[Y\"A,AN3$Apg n\0*\0<\0@.*`+b\"$E2 @n7\0&	`B?V@t8	+	M)V@sF	h%LC8;(`\\0`LZ&,	I IHjb l@.\n3	f\n7UA#=AAŊ򜮠EAHzF釠&CP<\n\Z\r*_\rƬ\\l+RКV%XjIQ_یfAׄ:kAϠހo`<\rj	F]##HѸ`=SM}C/tSW?~LL\nfFm߂Eb~R.Tq`R_\\*[-X94.X	jH/V+Y!G/o	7n҄?U]̅[:\ZsV)RZ)ԾS)Z*	wwʄ;	zBzpFд/wAＧpWY9Fh&4Ob	-6od#m#\n]Z{ֿ\\vmiBLSx_xt]*;=X\n=n\n=Bc׫gBBU)YaCaW &ap00gQr)<WxB0h(OsD1^yW(nxrsiY¬[.&0`v 0&TT<%T\nH!($N~5.^3;B|e!qCs,*3Bʑe!]H	Yʅ<B&[ʄB+1\'>\'n&˄35cBaeaa/,k2Na!,\'>,*|4%b*	+KJkgڣZ7ZCvXWX\'cjYº§;w/	_Z/	o:o/?Kء뚄*þapՈpXJ8E8j RcMc/˄>_Ko(Tprpe,]pᢚppCc@˧E\n,H^&Kx_QF=/SznH_Wc\nFt3D;lD7D74]dT\'NG_dZ)2[,Z,/E,%䈎]lDvj\'D\'EN#~\"#e\"RXUMK)(yyYy./|V\"8;CY碳fD5BQӢQI(x[XGtQhgхECEQAtYUQr(H*%PsEI*뺖@(yWҐ\'E7z\ZEx*{QK.QeQ6Pt6OtV W^DubSvaaiE\"l1VmA\":^\\foq~8BEqyHŊd\"\"y0Et?2OI\n@Q\nQXT(wpMrFyLT*Ul^mmJqE!Q}V4M\rыK|ыE/D-oDZ֖{\0Q68IꗡuJEϯuu$LnŉE/DD˔D#EqD\"	Vh\\A4B4uh꧑臞\\4(ͽM~b\'EkU藃h\Z+s\ZOdh&ZMQ\"V|X齷XQQ\'VqU)D5hm\rbc\"hXO>$ֿc,6xTlVl!6RB{ۻŦPbWAŇ%Ķb;^A*O,`(vN.>\Z,vQX]2Q1ϋJ/jbbcb֌뽙ػO^\"W^oā@q`^qY_884HZ_P~\'|/VGS7ė7_(%2 K4։Rŉ\rit̷,9qqAMq-2- qn8&TC|,@ŀ\'b3bÜa1qN\0QnbEe1z,Wb$JӜCĴ/f9n{y1?+9>\"|]qy^%RsH\\iWUF5ĵfwgHӝO\rlqC팸QjyOA_\'~PKz_܆_,~6whįu]:⮒_wW=iBq?xtx0U<vOHBēC(}x6xv*&i~Gd$\'z9yW؂}WMxKK\r	վY:gK=OCqDiDDvmH6/Q7;(QΖl3-d\"Ȱh`1zD)ѿ\",5^!1K$-%{4Ht{\'ٿ:*1>!1Ϻ&9\\xYb\'Gb%o鮒K&J>J>HW %7$\"$Γ6SSH\\$.U=u&kRB&a)uǧIvJ-%!\Z%!ɒsW$O`%QE[$IN ®DK`pQɵ>d	IԆI\Z(IkFI2%BIfF} U%~![\"C2PO 3U܍?#N;(`%	d	L&^3t%GF	Z#C͓z	nK%BEȦIc%!@3#%ˎ΃nCbT\"\Z9,\r$r+{	ț7JP܋R\0%	IgII\"IiAcGG)	=$Œ3T\rI5JR{%MR\'it(4Jz2$4IIJ%=F{Nқh#;\"7[`$Œπ>@dt/՗LH|/H&H$?l:%?JJ|LCH$3=YZdwɢdX8!ɥJ6$+N7$=REmR@_bT~tt}6}<OTC%gY\\e]eWn&ՄJRRmR?=RJt{tg.eT#m|Oj#m$c.ݣ.5y\'\'Jͤm҃~CZR+R+Զ_(JjR\'SS?8IOOzzI=1R.Gԧa@zMs4$4D*=tG\Zz\"\r+	^uFlM^)NIcJcRPҸai|Id,Mn\'M[Jo`¤\rҌbM;Ҭ[<7iN4V4[Bz;+%͛dHBJaOiRTD{\"~פ#RSJ>W(4RmHiVRg!h2<LV)rF\"IR;C*W\"GQ4ztEZIZj\'-m)I˝]ޮH\rzH+N8K55Q[ڙۏJ1Kk9k鳇2鳶#s|PDzPC~,m\nDJ/Ϟ ڷK;J;<{N/xNݥ;wYA;ԍ=48I{Ic_[ҡᇯ>)ұ	{I:s,46kHgWsKҟ{:JHTHW=JWkӥke\nXjLxllGťT~KNy)S_x\"\\-i\rɴ*dZWA2-L[sA*)m!5ȗ.ӯNɌ5eƨ\\IWk};5do,,ŲR=١{dV22+zlj!;%Yl`eǲ@=2ͳ2pgO6wN̝ܕy	y\r|m4d|-#o9[)],W_,P\rd!G3e^Bd烃ea[DlE̗E._Ȣe3e1s;d12,,N/%$eIe1dp,_,Bˑ<Z\'K\r&\ndT_\rDF,9YvK\rQyxUQ>Аz\Z]IأPG`2|UM*2\\Mh$#&fH2My9*\09%1:dk&PƎ e*]L$|Ȥ%s{hٽk6\n~\nϞ9$Ȋ>esG @V\rOX;dreO\ZeƠLYcC3y㻬G,k]A,{I^ܕuh%{gsXnAa٧{C?Ybv祟lh\'S.l{l]ǽ岟e;d7iȖO8\n}rrrO}\rr]@Jb|s&*\\\\\\c]\\㰓\\+LȵZ9	rm#\\|\\\\tC\\X\\Ԉ\\U@mTn \'7h.7\n*~P>NJTDnj*7B}wͿNI8mY\'?4Jn#?)?b$?zUn1厼2`6sr\'L>F\"wiV\"!r7g{:v\\W	rwyyP:B^W/X-K,cqd%y:Vy[*f@*G#\'<ϲ׋ȓix\rI<@1]~S9@~T<%yNoy]I~{K~yn<q94ړ\'G?#G#9r̶Krl۲N39^+\'$?9#˩.UrZ g09g*y9rsEC\\&U~|?ZRG~=%F++\\MU9ٻBpM^]x	O^? o|?{,vPUyy;JA$ZRb$EC;Vʻ\"]W33w\nw&Y<I^ܐ@y쨼I>.h*ȇ2ɇ1QX\\UE>\'1\\\\pQ\0)#IeF(JJMJf*Ɉ*)Hx>|ss;܈j9s::sǯqw֝v8#}sVsڵ?o:Ot.k	z\0U\0E\0\\>@@Sue1Xm\\lDll>|D	،90Rg|Q\0# `Kf`K[&`{*`I]\0\0+SK5y	`]\0\ZM\0?bpؿp8 0pQ\0pK=	Ydxxi\Z\0^3q-\'V	xC1\0t4~EBZ	8}pJ?p^2 HU	NqK\0Dݲ}ΆǾ\0\\\0b-@d >\0 O#.QV\Z \n\"H\0$:$F?\0$$H=s\r\n=H|pg@pa7&mp\0Tn\0](ȹ\0((y(\Zz\r(ax\09]ܿp_zPT\0TU1l@՟x@mC/\n!\\h\rhtfM$\04݀,[@Wu\0P\n\0@Y\07\0@Zc@\0j3\0\0,\0\r H\n\0]\0=x\r\0w\0wE=\0=䰫\0E.r@ix\07\08@wg&P\r`d*`o `|\0030ud`\0L\0(`)m<`fY\0\0~*\0,D,\0K%|dPPuh?P6T\0U\\C\0:o:F@w!^7\07@C@7W+ǁ;\0wwG\0Z\0--{T6o3жp_*СoQ	t\\.\rwCx7˗X]_ǳ@ϭAǮZ}@h	@T\r\Z>>)J_\0þ<_O􀧧\0X|\0F/^8S y]GBlq;Nxb`|xnURtC`bW`\",\0\nLӯaPS`:\nxO`g`~` ~`CS;/	`ap)y#G#g2X%!XYX}oq5E`mz`<Xw3I\0󁭫?[-[ag/v@q\nbwY\0\0	#@b>H\0R&\nT  c\'Z@EZ,:P.^vK\0{!ۙowL0,yhP\ZQE|Ty<8n\r,\'.NUdل??R?_٣ooԍ~{2r	zH^V<ԅ \r7a@k@hAB@\ZfaoQiOh#\"hBd;;	vR֓o\r^b1~`@{?li,MA鍠R?e&\0Y]\0:2\Zrp w+Ǚu X|Aڪ  >yT\nr)ԀB.BσB^m}*ERZAg9XйG29>tj=1t/ /(\0t),tt\rt_jPrP9(\r	Je2\\@YOrBA)-7\'<F(N]P,\n*RAϠEGA{AQA}CAoՄ^^ŀj@uPNPyԨ]j>AsU@YA͟@-\ZAm(yWn@8;bJ@  _ATlBAȭ@A&V&etqD7k(`D{Al V4	jqox@gM I=Hh\0@E:ԽFԷu7P#YPE_1\ZZ\Z $A5ADS ˠ\Z@Q<h;$з:4Cw\'j#(]\\hA\r-TK>\0\nS_v6Xe\rVm<^v=X8+nm9X\r^61&olxu\0V`b]/=ւmo=}(l?| |!|@vhs	>d=jGs^~>~5m&ă>!o~%\'H s)8(2[8B8\"e;pT 8z8$8>~RD3	p)p	8er8}3pŋt[p:9	?g#Y/΀P,v͇[l8;-8\':8Y	}1]\0v{G	Jipk}pup;pm0\\w[\0dnH7OU悛RހXহV7Zf/fpkfcy: p[0k`N?0\"Dg/h0Ư/S}`ZR	B)]`0n;IOU`~X(<\r\r4tX,mw]IwU\0w:;؀IPz_oq#O(C4<m/L\rg^J3x\0=<{kW}d1_??bxY\nx)hAVn@V!jq~#/ !Zwa:Sk\r*!9\Zd> \0b(\'BLK \rSZL٣)ȖG\"Ȗ~E<6dK+2sFŐw!vٶ} 88.@3m .SqM)@\\vQG*vĳ9\nB>BxN;Rv9oC@Ai\\șo ɐ\"Hdf$_%wHlO%$.+$>Ur#H\\Hf~\\r=i$Oy-tOHV$\0r{yHދSHm4*.\0)<5B?C*i!Ut#U	Z.3-H}IHC@	!yNT4W!/A^A& /{9$@	q\'A@!ҝe\r\Z	0eAUQ-o*k@DiG RD!ʑwޛ,Hߥs7v@Ȉ0dA2M{>t\ZdLCB&Wl Sw} _OAl%AfL@~C~ *!9}3z+wG! !ib)dEUQ@UlĔ@U<cjfPlvڧPV~Te]%g[ɃnvHn@\rC܍nyIgA\'@mAA9ݾq+t))e,vu>5\ng[t?vW7Զ[辭}B}*]GK+zZuУbGCҠtc@c-޹P.PgfP\'NAO@f@ߋ!Gy#Їao36NгK[lgzChO|\n4=\ZYaA/BzCЄ$^ռ1hB+ZZ4i[hRhr7h(h\Z~~	iAsCo;@\nJ]IhacZ즀<|-y-i[߸-r>jVVfBjF\"}hm]U=v\0	mdNA~>5>)6#Lh\r3zmm/vC;.vp%P؅Pc(*By>P\\k(7zi\0JpJ?uʈ{B9P^~(y\rTZ\\Pg\'4r*b_UAcAݕ4thN\\9_h\nm[	UBDC\'5;Zv,\0tr*25EOs՞};	\\t4ʆ.}.z]fAW-`hLu+Lu\r\n[Ӧvô?ށi\r[,~fu[os\0*<5fHmEYYaVma60ga{ҁ=`{]Ek0`v~B=N\\;)=laxaZ yD梭sᭁid\\q0ׯ07O0rؿ.q0a\'`XG8,HcRwĀ9tQ1Q;[:Ȇ0]HքTb.\naS˰+;U`avm]:.,K=6xv=sv㎆AavXǵiP]\rI!d-t\rvo=\rVvV	{V	Ui`j`j@Ay}X\ZXNӸXӇ\r綍!fe}\ZeA˪Ў\0%aiX~ Z0K1FQLa```0uv1~<	Sa01LS.߄u`}iίaa7`ZaCذ)\r467q>que8l|6\r\\~<}][7W`\0[6VpRjccfe\\I-\0|mf*\\;z\0Sl_{<,8\roZ_7M]av;a?w0WwE50{j}{\Z0=^B_gM	pWpYSo&pP/܅\n\"m\rwo=epֵcwޫ0V_\'|OjOyz8Tx@a<zX]	z\nt`/?0fp\0~-\r~p<p~,B/xf<&s/<<>^~	>\nO_snSF4Swxd<C-<cIxF=<9<c~%)pg9X+nHuOw俅!H+:Rx=x-C=kUx٭Gc0Ax/{xmAx]E=A77~4xSW	*xKD3a\n޶^\Z)5rp{p)O#4;pNHÉkp=N3RYpk]\'s#p~Y8_.EGb\\bzeN&pb/\\+XKpe;8:\0ޟoDE\0|	A?u:GkO?=3rm\rǆ[	>//*/)q\rUF9y܃W0wS=߿\nK5B1t	Ch}<@t@u{X{RI\Zb0\0\"Ly3LIya\rcj%{aY@XŀVk,7!®]a7t$&bf002\nѱ8qh	b8\\p9pa#\\=nwaQ1?Bxp#G#\Z: _\\A!M	7\"@!9!¡[#\"v\"VT Bb1DWDFD|+\rpuv	q-z)\"Qu\nqm8t\n\"5hZփnhDdu\"n&W##ehDξ\ZDSDYMD>DVD!Dq\ndFDE}YU(؂(DTD#*=BT;vnB<@ L#U~CG<!j<Oe!*B<	vuG!bxx9uѮ6h\":|Ct0^#^MZ#\\#fBiCeG2#`5 GP\"U~B|Dk]m+E(XߠX#10l!<u#\'BF(G]NTw7w:,A\"C={fbp!\n:1:IGLCLJ_Ի _\"~E\"~\r\r fas4}?x ~O![+F#;R#u\\	1\Zw\ZG)A\ZpH#ertsru\n&roOvw\0i?A;G߾_ #H<K-W#=<><WG@_.Ez+>(ȓ۽\'ۢCd\">\Z&y+dydy@ƥq7ceK6+3ȫ-=kdҹ$d;2\n3B13+37WY\n?dgdߡ̯?o9,x,4B]9,vG KAӽ1{|YiR||E֩ \ry)yg59}ܚl]\ZBAۏlCC\"_\"{JHp^RBB(\"$4&\0	C#*NHO$*EbrL)$Id|dAm>Hv8h	)<\0 3܇Hi.~#|HBvy \nΑ1rDsoA\0 G?SI七rM䄧DANE\"EN\"gs?\r?_1Ş%ߝ1(K\rUjP<QjA1(uqNHWCiBiPkً(3F(GP/CZ?CmȯCBm428MGme|x58ezj!ԖI(}mž̿]/PQ2CͻXԞu}}ޣ(GP\0HI=H;d-roGy3QP(\'Q\'&QD{+P6GP!*<\'>?:Ey:S	u|\ryu/}\ru\r;P=V.wPWMPWŨkڣT\ZA\ru*u2fd$v?T-T>2*މUtoU*_A.ʷOP}ePZ1kP!Jv	:2U@=n.Dl@GմjKj~zH)pW$jjԼza)\nt`lqTnjZP-[PmRTu![Bʾܴ@GQ {Z:P\0R\r6mCBPxQ>\n! D(K1E@QgףPgpsE0\0>E,>O\\P\n\'p~%:%@d\\@)6(%؇<Du{QM>\Z&$_5V\ZPB\rnA\r&PYwHwQQcsQP:ϕ|a j\ZWA}rQTP7fP♨_	4Ԭ6u\'(	t.n/jZ%^BZ%Wqhu.Z{hM5kk_Ak|F@뿽Bo:R,kߢ=&:i=AڬP	|m36/G[L%Do}&#(z]?=J9zogz/:zm-poh_hx5a5ڻh5#\05+d 蠏&G{=Ġ}h?TpI\'\"Tv8X#:p$CFaЧ5ѧ#\n7BG3C_pDF\'B\'Ġ4nC_i\ZA_ѧIQۅDtZNt:GgFg^o@چ@gcй|t3;mbt$(L]T\ZW&@Oy*6t\0(]]B?-G?>YLGן)E?QA?1C? AF8n_-|GQhU4\rFj8h4\r4=@4иhM\ZCoCSo4y/{_\0тB(Z?33\n-9كm*D+X{P-.Dw=z}ot!0#Ϗ?c1ON\ri5zJ=SzD֋F8A\\A\ZBϢ||suNEE+փ0/̪cZg`DczcfM~ִ\r]~Y)#c֟	1l\nlYٔYfsn0U77f`<1\Zc\Z{UP4X&\\X?`b1V\\ fE1*ϳ\Z}90fqP881R1g4mi5̑Eq-ղ~H9jd9V97\Zsos㣛񱹏M<]00͘ɘLLx^L8-&&b>&&yl\0B&F[c[((\\S?I:|,Ĥham11U170z{07o217cbwb\nL!m)S܇ĔaJ1e10e0ṼvLO*%\ny&c-_<>k1,cj4ڇiby4ļv`9]\'N;yxD\05D;rz@CL10n59AycP^T,	߅A&l܊bp9ܐ`Cl_`1-NAO{0;;kyM+I8f83a7#=؀BLDc]0S=N\n@ufY9YۃYn\'`7w0+	USOܰ\ZxqvͱCص}&X#X\rXOMlkA5.:55Eb^csc]X&N]zVKֻ։NXdd-#[o?=`8=贄=x:`m3yX:31օz_\rӾ={,\"9:֧=ƞƞ2Ǟw-b`C◱-0\Z6,\rôc8&b#l%s8s$l	b-^^JMH3^9Jr^XMmMM.M{폽\Zі1pYcsKmzmUl^nl1[-j-a`/at>cͰyll9P*>(}~[i!V%?>5W_!ϳ-̻ؖV|lke<eKKNc,@ohtzcbRPXXf,~]Ewa/˰XKH%cX0\"~t\r,~5m5jf,	+>c	_RM\ZV)+ₕ걊hQU6*;خ9lwlwc\'g~w1v$0&015sؑv\nF=Q5؉_دt*?+sӳVE5o4u쿇b!\nR9SڂS}[e3Sli|Jŭy=[{-NX[g[[OH(H5ٸs8qN`qg+DEۢۊ㶒_Qmvcqqo%8oWq	wqb/\rs8nn_>q)i;w!i:^.[8}q|/|8eop\\.\\\0*\">	q=wqwvB;2paz@i3,\\Ԧ\\t@\'|P|dŭn]v][Klv]lKNK%K؎Kx^Kލ~`.2Y	w7Gj\nኍJ&pe;\n\\Ŗ6܃T܃SpV*O㪴}q5V걽\'m\\ca752qop-0\\ˮ\\^7\\^\\Q\\d\ZmupRpR(Hd pP8,b!?Ca(Qq8QcZPp̔Fs1[±6pN8K=N,](<qn!n+\\w3\\d\r(__½=t<=kdqv8n|}r&}g>Mo\\}2TG~G~F~Y~\nf-f/Upp&c}˸Ň?p+p>x2^ejs\n6װkNkk.66 Z00,M!~S#t( Oo7c4Ûnۈ*D{F3;4T;e]_5CV\n\nކߓ5;TU;X]t|.Γn#x?xjxIGx8Nb]AF-= )|-|<|]|%|->e	\ragX|<f>e|\n(bN|N>5 	?\Z	+)˧X|_eL\\ɇQG|Ets:\rWw\'EQM|iB}z||Y|Վ/*\n|k&\nW	~k3u^Q:o72yjOKO ֗mc^	3<*maaxD#ڶQcxt4\'\rOjWǓlSUxP</Ow|-xJ7YgP9vx^ي,N~x)x[^2N{vr==c%^p1>w|--k\Zw\'{?#b\'݃Yϝ/\'S.o]-OϖQu?}?Pp\Z }_s]_OPybJP}\ZBP3t\'+a-skl	ڟ?֝8AX!aC=DB3i6,A,¦@uWiњ!a1xdE12V\"ai=IO=p@pAp	ߢS?\\!fƇKJi\'[$_sp|0sf;\ZEN#؟E8u!lCݕBWNNNϼ\'pfH8@8[BBbG<ź(B)!~4p	dJFZSKKHIH}2EHYG<\ZK^O$#dV\'d\"b7&d9@~fE)8O_CL\'1A\nw&KxBɥRB-6?9BKBٮBY:D!T,~$<8PjBxt$8>P5KDw\"<{J\"((\'ڷ.:	τWv\0Q(&o	C	#@>d?-_<\'SMsj=E`%k	쇚 gGC!K ~%H	2OBۄn+s!zO&zS>L~%HM%{JDFV/	}	I<&|\nR\'|\"\'&Sw	S̭Wi_фwR\n	\rބ ¢__Kiz؄߄)kAU%ǉkk_Dpvc\rq^=hqT\nQ7{~TN4Hb\rV7\rx\ZoƞDs;1\ZqSsD<9{hjJS!xo#&-_O&#vD&ODD3W~K%:$:WΓnnzD6z[]J[}qSI\0w\0ZbX%1܋N l!#^#F}\'FAc1ċ$++k%bm:1$<Gî3iě/]pω9Ĝ?\\>mͿ{ĂkĻvFbR6bivD67)CUć6G:b]6bG\'͡z$\'Ӑ+gg\ngMM&pb[bb</Z#/{҈.ED2\"B	Pk\"F\"<AMk񷴈DoD2p7΂fMd1̃7L.\"3\"wҼBdA	DVn\"gۯIEXo\rD=(&]^b7==MȉX[s7;gwAD⻤Z;(q\\BG|__OL@D!yf#q̧8Nzu8MLY@@9MK&$l%o\".$.J3<H\\<VG\\dnI[F۲G\ZoMrœTHj\Z$W9$u$\'$>)I?i]Hf 3H:I_%m0.\"mH?<H6&!m6HOHBGQdbgO2%>@2!E&m${Yï,ntv?H4#Y!Yх$k{$^q*q P\0tE:@r&l>Fr1#yT<@kI>}H>E$\"lk߁-$S֓NZ΃IvRp/Rhx\n)ę3@\nCNϑ\"6:\"\"HgI΃_.KI1GϓbI`Rt\')A:)DJ(DJ #]!]]CJJ!]{FJʙ%eD23\rIYHY<I*Hَ\nRD\n)EUIK*R#DJJ;E*8C8TقT#U-jTISI\r-ƷIO[H<ҋo2RhfKjEj`Nj7DjGjۓ:O:Ɛ:^i^\'u6>\'u!LHV%	>	|Og gI{	{$#!$u7*.M%ϷOHxLj (\'~zƖ$r\rqYHb]8WI7&$@,IoHf$I/I\\q$E	I!BR^0$)$mRINMY#\rړص0O`1Gҧ\nҗi۾4HH7I?\"K+<C@OZXMZ\'-@ǝ|0&t+ȫɫW&EÞտY5N54ZOZgk\0:f~dV\ryȺt-d/yS ٨ōlD⒍&!&dS^\0:YV<\nyf8cvG\"sȖ.-V9!lMBU@6w{ad[\rn*-l!#י%癐EA䃇ޓ^\";t&;*GJדΒ݆u7CGG9NdߚVx)rh59Mr\"eO:y9ԥvp|:Ї|Ziz	쉵.!_(c^ɗX+䫥tKkUɷ~+ޓSȩflrzr+9W>Ň|*|Q79j/9K!g_#g>oKw󨜜@έ}A;NΣ=$߽jC.,&V-\"ryrWJ.N.ݭG.\rAo{\\:E._N./X!?\0= ?1!W!W{Ձ5^kDD~Z2K~&R#7 /|[uȭgmWmm]vCr:y4ؖ@\\$CD2d@10hHVqo;2q=TD&#^)&82&3xdv;25YE,<,,\"cbdYrYz3,V!Z䮱Jr)H&fߑJC~EQ,g׻//Cɝs{`\n3??6m\"\\l!~B<DE^ZN^zxwQAQQ9LYaKQۀhhdR4ߡh҉5R2e͏#-ZԞNC1ḥ@R\"(S6CR6c)gR|oL0)u)(g3!e[mn/#OŲ\nFAvXWGPlRlД}z(n(aG(f(G)A)$ʡ/) 0HgJ)ŭ4;E:M9r%Gӣ,P0J?O)aM3ȓR)Q.88F%!N0rYcrO r\'rhJU7klUJb(%HIRR>QP*P87JYJƓ\0JvJo\'%)LꜦ䅒(yT)w>q)c7Q>F;H){L)2Рx(m](QAJk5Z6|X/I닠)\r[)O;)])M&fJ$\\<iJ&ҢSAy!0(/(/(uYp LM@S )}~%k}P0Ng)L@R%)\na;BJ!kfP[7Ph-\n{\r͟Mp7Rx({Q`0Et\"m?IDyR=0J6J70Oy]A8~2DPfSލ(#g)#7)9PF|YlJ_u21bKLLuާL(v8ZwcMuٔ,1cBJU=R1eJYRAU?IljNRVZ}0Zs	U;Õ3a;UU\nUU?τj!j\0B5Xjn^mF5\"QRMf-}抷T/۶P]]KtjGLΥZPQm=%Խ-v+T{\Z=՞EI=xz)zpz(e$JuCnT.ST1z&QR/PP}2iTa{:z=S+U>LjTzcujiCj4DSc~S/n\\GI/ХW|/	zSpjҟcO$jz}{jft3[nPswCBy~ԼK|EIj\0z$ncj	dZ˔Z,-jZ6Z~ɄZH}pݓCÐ*U*gjּ\r9Ā|ڢ-|Q;7NQ!FUTI*\nK\"T_*Jd|{N*5J,qaT1JD8PҺTjʦPn[~OAR_îRߤRUSQfQ?l+~L~OJ6WX5:KNRo(o*7	JuBuR:ul{@S1~VzPISix=i\ny̥i.ii&Ѵiiiva4ӴMi!(!&f\ZCʏJ7ӶhShAc4(k3VLm3_h;}v,,hJDͪ<\nSAL#JU}K]zL+Fw{Jvv\\JsB{ќi.ڑ4S4W$[=2=>^^KcӼ^Wz||ۏ\"h\r JZ0h=-X|vHv>iEw\"9Ly[Zk*-49-Q Bھ\rkcdZ,-)LKBKMɢҫ/Ю_ݠiY#$9[c< ڝHZ!TVF`@+7Ch,CZE\Zڃ5{h5*-fh5=\Z0%ZY5=EZӪ/#ڴὴ|ZsPN{abUPA{aRC{EqjoO@EWh1\ZA\Z:OyC@\ZONup4rn\Z?zF6%L\Z#J?\rјJ\Zt­/Ɖqh\\qJk4E4EY\Z=5Lʦu7mu/zki}޴>k>o/Ox5C\r޺A{XE{\'\'ӆL{håN,j6CӦ̹o{Xo9i?^ͼ$f\riYI>\'7C+]C[I<,9WIu:隃k@t7:v/QD	\r=麱t;=7&Ls\\;s=醙[э9tYC\nH!K1IK[K\0mk}Mϸ218}t{l.qÄ\Zݱm~HHw2_;=}K?QB?cݕ3IwWGw{{[=ѽ^N}jEt?0DS=7NCadzez.=\rL-==b=ːSA?kHLXɦA9ONh><\ZEOJKO*\rlg\'=voޣ߂o1~aـ;Oۼ<x=\rN\'zAm84}z]za3\'D/zR\0MzŜjGZC~Hl׽(׽d9z?ƝgӟI&GzS*	VFoҟ=?~Jon7z[?[V=/8w4֟#*f;h3I@ot7QtDƌСB0:nEi	Utf:{:ʏKD|c*:%G`ttx:iG>fBiЙLJEg9tW:MB}Attqg.9r.KSte4 6G_G\r#?:.ݓ/>w/}CwwohLs?뉒>>S>_Fo=OK/so+WCUdcSz\\C=\ZCCpC6CX36\0qbelL^bl~`gk2B=\nÐ0=̰8:zT40\"M	Zɰ>dɰ3~d0삅OYuAÂ-#OEC_ka}uqcãiqtg2CXXq#+\\2N\'!S5wFjFOFF*dd3\"\"0\"^((qnGƹݏ1곌ح=-qVKT	m]FFx #a(B2n|b*qfm~e/3a<g /1JK71q:2@!BQ1Ȩ$3jnf 3\'u\rMͺ6/Wmƫ{\0l^lÀob@ޘ0+VD60pSbN1\'ގAoeПe0FZ3і!b2DW2$O30ay.!P4]EnH8GSӛx9fO%:c$1Hg}x1{1὚n+`|:̘ڜV̘10wW;a߀4|l\n\\faRg%1Qw̫?$1\rOz1v2[KL3Nys[Yȴl1JW6w{&62_fy8tjtA.K#LזL7\Z{%7:iLo\'\rG!yg\0f0=<{yҊ7iea2&z[A-$f\ry4fͼPf^[n3=e^}yLve&IQY>17f3B;3Ây3\"|gʼ5tdfOlc0o00M;qf̂Xfax 5Y4c`1K_~ffI1	̊WGϘ^՘,\'g-̦[矮2k/F2י{_2+O02_nb:0LL)	?<D_c왤LR3Ȥ~d=f3ُN1[\"LQ]_)^eJƘLY.SS^?캬J)avG0{!׵_oRtcwXpss%2?\Z3tWcṈ̉!Kp(K&>s,9Ng~EeNGBߏ0g3O0`=̅u̅Z/&_r<s%|2ZUmZ6:OZdb4XU,M)֚XkXkDu֗Y_t6toa(fi6q%,͇,,8=,.֖d<B-5k\"v[\rGN4k,UZ4ˊͲymړβȲVXv9}kXXLW`9ZYNo6d9sY.)X.MB*ֱjoh˷8dNN<:/+)\nhf&BڔЦ+PI+L&dvcE$\"`YsYы.LfńY1uXqGYW.}e%\ZU7JHfXilVzGV:Ǖu<Q̺q+3Wzy&5ĺuFu+n\01%\\IV%v<+^UȺsU*\\~*zi*w4u*Wc?*ob=/d=ȼzقUIAlX[XzV[]sGXTmY\rXϷ뱞6%KKwKz*i\\c^f(X`vςnlxς`\rr8c\ZYǋ,m=eYd+yZbFAK%ܛcYKZ̒;d	,Y(%qgz[\ZaYXCXw>n5e}>cnF-XF6~	kBe}adMNB7y.;\'B֯OkQm\'SֿY+YjOw+[#ɞiYSֺIek=cku6*:MlIưv&Ԙm(a;(IlI8{˭ۧwbwwwwe[-66g6*l[2.ڗ/%ycYۑ俋}S\rۥve&fqd䖰R~*\Z\'O鸰_h\"cI;jLv:v쐵쐛NIvysg\\g2yJvĳ+v9	170;fNd^b_Koe_{g_tN2jLN]xNKe:Ǿ!agazcg99oٷ,\rt+;þe*؏>ڿ@]n(c7ܯa7<`?Mf?%<2<vD.y\r9%ƍְWv{	Zaw\\ew4awb]lH0bþSp!`c;^;^lw\n&WaC6Mk˦Yq6j\'C|p[aν`=.寊J=vݝ~\\{(>{>=\\/aOb/a?|u=i5Aʞa{Y̞uȞyŞ+>{֜Iv\"ރ4c//rTd#8|*AʹjY\ZQYu,ggm1gQj:[>g]zg4	g0ѵT~;٨h1x+S9pɧqs]8JygJgggg;g\'y^ͱX%Xñdsvqug9m%#bǑsأs80q#xXnx@98G8p6rxp5x9>Þ_i\0		l	r}__pVsp`6ND?\'I0k9gq8C9V/8nshx_w:Ur.\\:ǹt#sϖpj\05\\r9i幜97[8f;9@MsSDz19\\6sgS47)QsJfrJwsJGwqʛ_r*9ba\r^N6S%3TxraO9O=˜zS!γt/NXӢSi٢Xq^p^M8OZ9}Ϋ_N@9\00tq૗8]	dZ(3ER8^)ҘCN\Zs9%ô:s8_8\\w#u	Gԭɑr8`Lp<)⼆Mr6[qp29ΜUU+Ѭa\'X@θ#gbdfW3&LoΙ~V3Ej.s殭,P8\0G8_\\@3WUr5_s^js}In(@sr7=K\ZsM^rtsr]ǜ>*Nrq\nwwe;dk_ڈ{ǹ{+GVcøJuәzakou0YQ=r/x\'c듺{Mp T87ninX7ōFuq˸죹11a1Xs{Q?{˾r/Y^&DqR͹	w	#L6A7rg57M݁&1iܴZn:f7br3ǸTn,7k˽iWʽ6ǽ)7g--Ev#Tnc	~3[[[HVG8pߦrFU\r>܆N/͏¹ͣG-wmk;/xH\'p\\\'\\kS.(\\D.$m5»ͅB}CM\\XU+r縈>g.B3)EIs\n8 #R$$.E<KeU$.5..os.u\n?qnW+v\']\'nuМۗX}m}K¸~D !N;1ٸ;r	pxp#\rxsXW=`ܙ{]?봸˸Wq.-p-ۈNCi݊iֺ֦Pyk{֥t֍6lm8nӵK~ЇxFf<H}A3_gncʳY\Zvt\rvμγ\Z&l*x{5sxv}!<5|Tf@_.C# ;Rwsn?<<xGOe$ry^abNXHx\'2!<xqv\09/H/IBG𺵼p	tw:=\\gʋX}Ŷk.n;ʋK0Y% y	?By_]Kt5yhnݚ{yf\\6xy_N\n<yS1BS8Ȁ+ʻW\'UD*w|U\"xx5OCx5+1^o\re32vl׆x{6kck;x1{JjxIia&by&O{<bSq#ui(fOx<lG+h$h1$yLYӃǚqv%<׃<iOX*<Q9u7S={j{׏ugyxCwFFpg\\ބI;o=o*/+7#o)>\\7w~G}[U7UjWWgWW#\Zo5\'kRC;E\r+|S|7i|_5|-s[WWo[\'o\r͸η0V?֗={|ۿ_}mc|zlwv.C#M,+ẅ\ZxHx+|J\r?3?0͎Ƞӣ~RSGN/HVc_u0~|?~a#R!^~bE:?Og(>o|gzo=j.g_:6g?g9>o.rc~^{u#_jǯkk}\rWFCqƚ$?~\"eʃ߾i+#Y5!c?6>,6K#I|ԏ|ȋOk\'P	3|>9c\"t>=*gv]s&\\F>>\r\r|Qv7_|x/p/\0lW\nIu~oW@v{`0~F?1&\Zg4%1c=_֟3Ng!V]8_rjU/\"+z*&/ՙ(uEFC@˳U%z.xPN@T@h.\Zax(01*0Y	vv]z,}%,ߛ\n96l{6l؝}&\ZwN;8L	2_NIkn?<*8tN3+8Z-8EplX\r-vPnI+D:/=*8W j l fA4U\"8??!`f*͂51[	.>!ÓlAY 9Qt|W\nңMQׇ\'\Z5\rH6A[=u9]AeAp vyAi`:AセjBA񡟂ӂtw4Y $Vp?,(3u/\Z	g		-2-gAǩWSWtj\0RC\0@\'ge}Z(N	P! j~G(\nTS(`CN\n3zё*	@<i)1Htt@6,P@hś4AWeYwmc@J04CS+Fq\'/I?SVӃ7󣂹^x[x(XZw@\\zp6mjߍBFLP+Z]&9 !P&g|jBP{	N(4E	*fd-շ0)[h	wbr6{6½wv.BVB`-~|=,WxP\'t<#t\n]l\ZRkZme]£m£kl7zL}\\˅\'ۅ;\n|Ha90Aa0h*E%ݲ\"k[\'<mOYNx&bBx͊0\".Ai#?\"FFx	/c#ج0a,Xx1aEh&#L\\^ L L.L.tm۱{[Gx+k»*EW\nKm.I>vg\n*VV\'VVwrIoj@<>#<-*RዊDa]a{v l\n;P+B!<|M E~\"\nQ؍BgG!LHDI.4֓*d̇B,:#\n\0mP~L($\'BY0U(:JS2v		=.\n{xU޴^ma}o\rDدc$p8%|phQ>+A1 Z1]8?(\\%<M8f,;w	G]O8!N:N>NAOi~<\"~\"Nv	d7	pf^[pvSpJpS%\\\\,\\,/\\B^k	HDn?DٗD<BDj:f\"5rCCQiN4>45^1\r\"\'kDDD7DzM\"#\"#5I~ٹ\nֺmK-mA\"kl\Z%A?DKDE\'D4\rE!UB#r7ܝ]EoE2EEm\r6c	E5	\"\"\rXYW\":(:e\':l%\'rjDAGvREfEEΞ/N\ZE.O/fxpe(QO8)%#RDLOx%-wrUJEˢD%\n߿$Uw\"Dƿ*l=D;7ED\ZE3E5ץfwz]TIH\'z5\\:+zC,FXԴST+z\'z!ڞ6^J;E7d͟EW^-\0\"pW=L^(BEf0E\"Za\nEBzI\'qPE2;!D^#[\"aU$$EbB$!GD}\"լHGR墮(Q\'DEPE}8Gk\\z,zQ-+\ZMΕ(\Zh/\ZgS+\ZY+\Z51}G>OD_^ESD#Nff 9c_?H|ѿ}bU\n*%5+X=)@]9HxE!px^b.-h\r(f[xh 63y+6n#6Ɗ-m2;Bߊw?.*[n[[M[v7!*Ų0kAkqXScB@\0V*v\n:!vo;_pym{{ǽ*hK*\'۞-{ȫ$>_M|4K|QؿؿQzڈ!gš=/v#6ƈ#~G/<:\">4T|qDUϙ_)NXNJPtT|\\|LFrhQ\\[V\nQahq:fZ%{B|]!<\ng.>7g?+g,s(ۂ	q~De5Q\\#_ߧe⇞ʘQq%xꟉQnG\\q\\,Mh%~vyL7?wCI<Gr+T2qW2^Se+n+n\'(ŋ*T1@{Apb\"U1z1r_#S]HB^x(i],ƙ8qĄ)1Q&&iŉIf\n1}TL/\"fًW7bKW$s׋<ł:Xl$HX:˽݇=V}soJoFS\"#&=l-4`S=6_(W{gF_\\^)BxcFph^$^\Z-^38VI4F*Mhn:OH:X7Mb\\ʖXbILG$[-%[%%|/Zd>d;Xd/dݿAldOdH.Zb׹Ub\' wEW%9ıdV;}%\Z(qy\ni$?%nU%aϕ#H\"HeJ|_{hIߒRI	sI(]JDDnWD<$9IՒsuIt休b$d$^Qr*Zri%\r$K9HKR$)T\0EV8H?uH|\r$ӯ@	~j䛑$wH\nz%E%Ż7H_?%jZ%m~Js$k\n75=Vw**;ɣFmI\rꑤF\"=.,9!\Z$A\'I\Z%;%σ%rI3v%@=Ht<$`	 ZFN(~I1dʕ$}Lg !9IHyq\n	UsIB\rH	*pfoJ-E\">zH\"Id:SyDJ(W4WHzr$+ Iwu`5E_F)y3a y<!2VJާJF[%:$zUk,$co5%[o)o$\r$(˃-7$F/K_vHh,%YJ,HUIUZIR6/RM	+TT˸Buwt3G&]7n#ՙH7`F6J7LzwI7N\'t:Iy\\;WtK}!VttއR˨R։=?{RDM8aRg%W)uɔzoz\Z2(=~!鉐Uғv[\'/$\r俗9KC\nih5M\Zږ&\r쒆-K13\Z陵(4ꢷ4ZWzA.@NєtqI`zui4sJ-\Z-iJ=vUz[zS\"Qo,-,-&-nQJKU]fiP)LzoBz﫥Fi9B놴bzACiJw:\\Z]#ђIk\Z5fmi]B.SUZ@;JKJceǤ-FҖK\Z/ʶH[ˣm6ݶD\n#R\rB=4)\"[)בbXc)Z %fI+R_ʯ\'JWK,_-RggrnJڛ,\r7oKKڤK(C#P]aGǘҏ$tK\'LeY:MNfJ2߮ UJIyPғV\ZrƨtetexXrrJh,[=M>iHd\ZdS2tL&*/[-ӶfSddzV2=z2_2}~L!SYKfp^f 39\'3w2s\Z5EfvخWf=\"2ٺl/\Zw9Gd ١ǲC횲C߸#sVKdGʳeo4dd76ʎyekȼU&˼NNmJP[Ȃ~_۱e*e0Yȝ+q,~YhGޥEn@\"wg\"ö\"eQ7dQOʢuʢb,zd1nbI,LcNC_&TE\0]=T_T5/K*\\+K#d7ʮd`o\rٌ,,kTv,[,dWdynYٝ@ٝ|YA\ZKV.+RM}\ZMmeAY2JVIΐ=z${FV=TVF\"^0ʖ=.kN.nK+Z٫RYaYg^@\'MeaH|rm,L[0dd	;>TFH\'#9!edᄌK1Kd,\nGNӣ|PLTU,0eG2iNt MօLuaȺzte=k%+p\\޺\rF|Wd#>>\\Y#etԙk\Z2싪lr!dOlrG6ul}},uXU6$-\\+[(?)]c+QpT/\\Š]+W!WZ/׈5T䚽b5OU/,rv\r>.7Pn\'On|?Nn<\"79BnN\06M\\[8Hۊ;;?;K]y]ݙ䖁r$-ܶTEnDq@n{N~0M~تO~:<Z%.B,ʽ.˽O}6}=\'V/OEʃ,yZyX<L9#w[{#u#F$y5cJhu+ظ:ye<D0$\n*lQh2&O<%懑_*O^\'h!<iy\'44%UH~G_~zMIyI^XV^L /BRG_kБ1WSU&>jS>Ky]ǰq[zTkNy-,yǟΡ\n9@/T9ǤWñNr\Z9biW,Gџr)ߐ夶e9yO,{*gٟ<ҊosT.\"ʅNrѹro\\$req;Wޓ$m7Va;|~Q%_\"8n\"%|G]\"@Oȧoȧ˧W 0Rwnb|pH/2U/;JMV.S+4PhPMxXcb]CzUbC.ņ}\neUIe;V+=&nX\\bs#MkEQVUbvbk]bJcǌbwbgkNy.՟run͕]L>Ka,%[z:8!>o/;DqbXqBKqs93ũ\n\"?RW{CL;#Sei*\"N)\"Bf|Ymsk+.pr0/((]H#PQe+߁*nlW܈Qd)ZE\"f\"W	W䭼R)Gw*\nڊ{6`EYzEȨꩢriAQsBQ۰Kݩx_h&)M),E5NduH&*:3ζK;7Wۂx=^鬠;+8k#F`+Xj\n#N6Rp}[\nZV*D\nqBU!9ѫ])d\"DPV_Pt*^߅*wzw؊GbbQ|bǏEO1bLb<T1uW1GeCSbrݢb2vǹCr}4w/yb^+J1]1b9ubL2ST?TT.Q5*(5_+BuJ\'(u*\r^*7K_)\r--6+w}MSZVZRڴQq(5J.Lyh`fVyHt\nB(WR:G7*]/+hT)]KJhc״QZWyGOyJy\"<iU4Rtse]20q{9Nz{A:f)fV03qהQ\'~\Ze|*2]e@yŦEyu2q212p[ev2IJQ&*(Sc*Sg+3E%̏ʬZ孔!eeNܴ2牵2#e>\",hWtw7;(kR\rn\'e[彏Qyʲte%Sڥ|?`+UVZceSdl<|\ZV6}S6{(_)8k|;	vZOV<vVQSઃJXQ.G+Wȭ딨X%,LU(\'*l%ز_IjIWRd))#cJW[p&)B%3SW9a_+94یUrMRЗ~/SJ!JVs|qRQt_R*(}۔}6Cʱ)D1Y9_PNeVN\\QN-\Z+?h+(Gqysu\\()!MBFȈPF	R(l*ٲGTRV}{i<ϙ{rQrɶW~:Wtj_QO_񿒿.u..).|wEw@@5.7P\'wVVkM\Z%=Ӏ\r\0mEδ=@גQVN66hlj\0l~\0}U%oB\0\0^޷r!~1`_%p-\n`j\0S\0\0O.\0\05\0Jv&`p88808{p;<8V8~n.ַpr}k+.഑Q	88w	s/H\0As\0B^\0B\ZPRũкpˀuS@m\' \\]s`n4_4|\Zws߻\rH3$eM߀sL@m5!#@L6p\r s\Z I4 u/N@qf@\nP6T8dyu@9wn9mw\0\r?g\0jk7=8\"bt~MIM6w{\0F\0mF_O@0@q@wS.CF|m=xD\rdcࣸ$` ;\n0|||-|6c0LNfA%`6\n;,	vp)ɷ\0\07O\0$<tkWH	\0J	RN0\0B!,4\0\0=0 i\\=p2X\"@~X4X{x		X2м*@ppձTZ$Pc-Pk\0j7mnn6\r;\0H/|n+9ܾg_p\'phxpk:6\0hhh3h\0ZNZ%-ZVǀ[]6F@@G5@G3QS\r謦t|r`\rR<X\n	HztgO=ozTz;^5a6^3C@j0m`ps9Zkๆ`+`9\rBh@WR`w``05\n>PƼ}8k``?kOIiɍ:LB#·\0ང%l^`v0;	j\r0wi\r_\rN߁O07%I\ra2:\rPO.Xw\rX(>\n|:u,d\0;)i`l||M-q\Z\0,\0yM\0;Ӏd`~`-7Q<ױW:%Rc_G5Pq+\"p,^Q+3kky{~\\mDr  \rNr\".@# Z	DD׏	$@\"r;;}sʀ0AJ2V ,o^X_rGs@@Y-PcPkdc&KFt˪ULzz\ZbHcbhh1h}d#h=Ai	\0醀A6<Az%Vg_/O=4m\rÀv:|qU\0%\rڭw	ǏڻZR2>	:sdy̫mAC@ԪAu?l0@Gg@X91+rh|.4|׃<\0@i΄UgA!cA?\0]\0\n4\n]q]\0\0nNNbWo=I%0ށn%%\r%WRmR$Ґ?A*;1s;k@w/A97r׃\n&@AEϠNWA%_J\ZA%$T	***@AUgA58}C\nTT\rzTzj}z\r\rzqԚ+;jryqs#Y6ǀ@>T^A21mA\n`\Z48h4)\Z(W&z@>/A\\EANwYG?Ǘݠ_\r߬}?/ \0Iܷ	k- oR@PKL\n8	~bt@l`Pq޼qC %\0A@\0Gu$}~$s&;Q?*wUs;̟k85Uu`݃wlޖog-Ɓw*h`&\\\"i.l^d6:E`ۛ`{ H6`v;\0_{*{?.O7y}kggY\0\0z68p&H]\\nkϞ_9|%G]G~\\_odۃof6ccqep\'\'26\0RFo_\'nԞല0pZp\'8]f\\7κ0΂~gby(p6{pA!p/pisp\\~\0\\q\\kg\\ץ?~\n7Og\Zg,sO;7gkw6MYt+)!W%Nq\n\n/;lM\0p	b3×)p5\Z|W8?xX?;YWG.G*Q(khggKSWU.:x!\rODx?{3\n+nKpp*_p`G`}6^Fgщ;00~5O)\0[``R_6	SV[`C0D4:6.Oz(-lr0;U\r[`WomQQ3;	Qg~hWA4L _ ZLE=DR!dS1ȖU3C}d[X.d[).\rc\n1l981bDs#b}\Z\"b)JrXbe΂bC?Bq8z8%/C!.!Bp n{Av{ěr:$H`I7$dTD[d\\P 2! B\" W9kidgHTr;FG8f\n&\Z$P\rS}w<zV\0W$G#Hҙ}HH*$=$k$z$S|rt䎟+N}zHv/$o\0ɯJ!! 鐢b1Č)&>)\nT.B9z?!Oml!O=[ OC\Z}!\ruAuyxȋZ\'(IOҜy9\ny>is١y.\r\ni}}Q\ritҡ	 ];!]^ȇUMCo =$HS/2212\0|2$d_X2i|;XLBfr!~C, _!Sk,1x{:\n	C6\rmB\n!n뇐6d@;L!S! a=Npv$ȿ\"\Z@Ĵ-i	D\n[kBWCzE?P,cZ=o]CAu=Uy-[@<ny-6t t{:cto\'}&C9\r=ح5\rݬ@͏jA36C-j.B-+^@bP;q:~Zu	z\nPWPYu0@Os\'B=;>\rPg	=wvoԏ@٨A)^ACCC~*BþC}+2hMЈЛh4;譇$,h\neZ	V\n]慴BB?f~\nZ֫V>CdЇ\'C&Ak.Bk&ڕ%h݅ih]F\Zn<\r	C/@vC[f^C[۠Sm3xhЮ`h9hG:?8Ё s.tpe:bkBbTc3Я@@@g{Ԡ?}?oFCT_.օ.((HB>A!}PV(|h\0nE\'A1R(dg\\<	JlN$PҭPқP(eV(m=W`HSeKrf PWPR2TJv|b)Tk*+ХuKա˾G-BNT<aƹ05`E0\'&0=õ0=Alki#Lv7l؎a{lvAF;\rLv	v]ؽf,L4a\003o0t雰Ca~ìa65}0{9}f?s9_aΤ#0(	0O07,#\0\0;q&TG/7滸]\ne@4,ˁmz޵	vnv.#|!vy<BvvI6E>M>)\"aaOK`WwG®=	\nEoа߽`1!JX,|K`hnn[[oRvRbB`))X,}	,	S*x=4	Ev0aZrXˁl\nC`E\\2xTV+5f]Ua!Xe&7C/=\r_8{:k*5:a/6a`6^j5yھ.>:l``]ᰮn[jX37X_#\Z>\r8[ÆN\rݸJs\r=TF`]1}񻰉5>.lum:6=l6\0KKn;I_W߇Za\'7\rg\n6!\naa6xS	/Sa̔,#G΃>xJ^L{a\nI&Lٿ>r>W{˂Du5#kn5lupn\r(\\.N\n\\N9|cq|S,|S)UW[[~moo߁~w#޿v9wy<i<\rFNG6 &ܴW7kO澥p:	Uv+n}nwan	~;tᎯTGvOɀ;];;?+Z]ݧt\'v\rpst~jm)wLx`e<\n~q6}\nCˋ0\"<\0!\r~}rEgcc\nlDD=x\"8<xO낧F{~Wz>~J?\n?\nRxwR<7u<L _+Soj+m\'|m[x5xa:m	xǝxP#{cGc!.ʏON\Z§ɽiW\\>> >*_I[2km\'UppM+.&pp|f8\'[7\\&`\0r\r.6iD\\+O+\ZJu\"d_.1uK*6)bxĚZqfIBwski$BMxmw3A^!bϋCc{I%#h xd\r=\\WC7UqMk08Gs\nؼqtlpB.!u1[-=Z8y	q<yl_\n^#r\0k\ZǤ5]\"hq~8d?8AmE\"EIs9\".V#.#BȈФ)fĕĕa>`D*)\"R#FD\"HH*@\\@!R3*w*w#,(DV}ܛs8(~(FN\"J`DEZ9oDuD\'ǵnZvu kE\r`\'s\nE9=Je&A>DDDˈۣGq.~чF|FG\\Bfd!~ 9#Q7\nau/R*bbbWDyTfbu1CbA\0]F,|E\0PpcD;	ߏ@o@\'OA׎AX<i>,E~g#D+_A[tr!4T!0byĲ+pCK#UF*KHu\0RGy\\불r/CnxԎ5GNF%E#u⑛8H=YRd	Rӎ]rJry\ZrW$rbޅHkHFȃ5H(%UãsHM\"mH6ҾyԝtJF:e#.\'H{vHI;ǯ\"]_ #=HϭiHϏEz f\rgba35_gH}ȳJ2B2\"rm-O, /_yդ\nyUV׀\"\'g\"?BFOA\\V)hEƮFN#iȄ=dJI2JtEJA})Eޝ+Df%	YH2?52_yY,A\"4EbeO3W5	9Ⱥ4M# 䓓OB-7#.ȧbdZ$U+_͆73w}k!ߟBy|>CvlF~`\"{TȞ?doٗ5쫲F\"^#۾ G GPgkx	CQ5Tԗ7m46-+UB@>9|50rG5A\nT ܮuw#7\np`QDKHT\rĎ5!$!2$/<F{HQ$cɐL\"Y${\\!FrS+܌H޺R<#cאR\rBJWFHsH)!xr3ܟ5ߐh2\rr3?\'JE @ڜRHDƩ֨EihrQkY4~Bi-֑x(-j>jCdJJg;Jw+d	jzԦjfJ+J/7}Pڹ\Z_>L	jn22ʓ]֡Ljo\'P7 P!/P(PƧQPTwGt2j&\06kr\ZI@Zk:%hAy0lQ˨\0*,**\\*h\niE@oBB?1PW7P47\"\\B]n$P{wvPqT$*~5x\ru;TJᡒ?P)ܙ._CeEg}De;@PlTTѽQԃ=2T	LUYBUD:٢j{$ZfT-;-AŜB\rA=rA_.B5<\Z\Z3rQRE^mCqM7P-!TK2tv6]G}+Ti<TW\Z#@?)T#jt58\Z^&FDR1\"V[|#j*IVw=.j/z례Q1(л^x<rDP6\nD!M((yt\n3݀JQء(-e])(\\[Q̖W-Dq0P]`J%\rD	zP=(/(Ű5j)F.jڊZar*돣Ugw˞L5]GkXZ58Ih͞{uI\r@JZǩ\rsmZw/zz$z*zs>l>z0;\'wi%\r#}[=oіcV76\r67ʌv\rhǧh\'KKvQ_]hhhhV._~Ov=.=ЧMhO\'ڗ\r}F\ZiBV!{oז@eWn@_50AGFGDG=BG7.7G+q^/ѷѷLзcۛ[-ę1tZgtitzC:#A@gFgiyV<Q(@#]@@C.=Շ.}쌮LwBW6+Dtu}f>	T,V9x~~|+6~S~A<nګn__{~1A݋ny]nxߪC]~/X}RA?Fנ?V=CZXg7LoE-I*YaM2(=@EmCOף?j*3ГFcoN8z*~[cvM=пG:04p7\ZACT0H\ZxFz~hƤd1h(\Zk?@8hw[49<BS.14s3}fǺ.\n4?	в1<Z.-ҋnn7uP@J.jQCa֬a4b0vlX>5݌ԷP`P0ztV~)Ƙ$f筯 )fw!c`b_b+S0\\0Ff㵶Cs0&iw011W0礼e`<iT ƙqi9cwaq/`\"c\\Uc܌o`4L/*\n`20~J)ƿVߡ	pb`\'V0D0G1e[0!ez11ݗ1\'va0ݘ(`.Lw&\Zp	I~II`2ba>`<0]1;arʌ19o09091yArL{S0\0mY++LeL)!Lyc(r7\0S҉0T7cg1M\Z1a]<\Zc\'QLrLØ?ibތy^`y!.4k`;17̫siLLͪdLt\01eaJ}0}=6~L\"f)dd\rRfk5fv3\n3e~d&ǎ\0ϔo_,1ca0sO?0:Zo]Bx&`\0N`,t@\Z0Vk2`C%ߴ	CQPFj4zna2°F1¹N\'F:G`đ@R/F^}Tt\rLS+ĪVbկ^êOcWnƮZpjjuupkz*5N\nvsE8V{֛Obw?\Z1=ݿ)\Z\Z2&C{XF)k~{YZ|njcmXT>kOu?uڥu9Vu+u==.wQUC`O3bo:Lu2kUggM؀ r+6[6f칼^칮.칟/NUb/^^^BWaC^a5`ݎv|/6C\'O7YaX*l<6?h&Kw/aSܱaރ8b9`o#a:asؼCl#)[w--ZV[VqV7ckbwbk?\'ac\'/a63C]웓ط;pß؎؎ﱝ]e/.ClWClw!]չ5a%bءءQpPv8R;rvEv,\0;Vو|;᥆?cf~;kJ??:;H;&;[u;ԃ]6{2 (,A?^ÂN>Ăo`7csx<`qKȋĒo	X*,{@Sb9XVbPXa%өXɯXQ4\0+K8~fba;lJ].]._ڇǩ:©WuyV[­#Xi=mVt6q[dYj5^_nmSۦm;\Z;n\\܎q;q{mpƳ+8c9A8\Z)άyqF88F-+¸;~wB2u\rݍsY¹Kp\'|q\'h#8H=\'Twp\0y\rg?y(\';Y;w\n.`.h!.xM\\2\\pBEo1..4	޻wٸwEwD.h2zY/\0\\.j	uEsp+.=󸛝Cbq14.N..>uw#.]).i#.9-ՊKـˈ؉2O2i%wgq9Ɓ\\N/w[Uq%qU2O\\yH%.W{d^{~\09W?k{5,;^!Zpp\n\\q:\"pIո ܇xs\\]\\OK\\\\R\\3\\_mǺ7\0=\'M@n07Tv71:[,[&N&p&K\npFnMXXfpwqŸKt=_{V~\nqkGq@-~#6q885:Cny>8d>9Išp+8LE\rCYY8G|sGȐ8G[wZ麅\r4_6ㄬ8QK\ZNlɺ6_7\0qxܿ#FxxUXWOkX5Fch^)[~*M[iDw[wk2}|^cxC7*0o8o5/\0\0(t=޸.olYMu?ěZ \"ޚ)(xm7D[ֺ~:wYul1ar-tJ|w\n>v	ć|_ߌ_uC}_2G+G؟_\r*49(1|T}|M{ckqI:~Oj:[\'w#wJlCnⳗ9\r_H8/\"?)ŐD||H/𻀯\0U*Y.Y5\'O\r[OĶ#hf42yy|S_||;{/oNw֗Ap|{2ߩ!?￾j?g	?,~t<W~rs~?\r?^uMxȡcxh5urxDYģ_x]<{Oޯg:aLJ6UϞ*-|i%x6%6Qxy^9ئ_qT7#t\"TmM5	VH} Ak;A#膟\'>$l̙$l|9OBЏHo1v~#2G0o`E0M0U\"	&	M3 |ٙph8`iz``ٗ`]F 	wR-H`7Jp#8m\0On!E8v\ZMp=CpmzEpJp+|Lp\'N!M8$*;\0k!8ȅp>d5ŷoaZm	e	ЮBNB!|[4rK!A{5$D7r	7`LBn!&Nz	BB!t.!l_EH\"d\"df2DB&pG#=B\'=pE7E>-%o%o.$p)_PF#TF\"Tn\"T-Zij#	k#<JxfxnP\'Գw	&yZ6=nC?	}$@zOY	ޜ 	Ca4DYW넯d60sDNEу\n;)c\"aG\\$̻#?ޯ&m<D\0 7MΏ\0RIeZD	\'BwPY\rcKZM`F	\',gD\n {hAdNAez3OW G5aE*a1ɍ4l\\BX)V&CU\\`U6_jSTjq)QR@\\{.0Qǻ%nDbBϿAoo!n\"nW9w׽ Fu\r>tfMO\"8dN<PE4ZH4Q@4I4H<4Gxh Zʮ▉V5DND+`pt1\rFN<rѡوW#:FM]zwגnDDC󟉞`;u4+F=w?J+#VH<JD\'>I%v*ʈ^G[&7\"[\'Dpl\"2Mj$^$Fj\"^{xI1\"bS1bB\01Y.1ELGL/K8|9B˅xh+1ˀDL\'sCE۫EbW,xN,q#qĊzĪ_!׉5km<F|B|TPN|^NXOu`nGl(%6xO|A|s*+3{.[\'7W;Fwލ^;b?- bJYE\"y{mϼ#w\nq&]q.ğGqqVI|\".At0\"$BD\Z#\"߉=D)\"QO$1\"O\"&9Md#%rQD^h\'ǈb=wwQq-QQ7AT]\'.>{N\\#. .\'.o%.\"WfH*u9U$U ImMi{aIpn]\'i7Ika?i$m=i3iIS	.u]M\0F/[=ҁ\'Iƺ$SC$գ7PUl9·Io!!^%9wΓ\\ߒ\\Av$$Ok7HX^O:\"4$&:JR}J8M~9D:j\'#Ր|mIAUHw&]\Z$]%!!],#]1$]!;\"H׼ȍ֤HKBIQ|R~R4ts*$WHUu-<)ȅO$#IfHIv;9;G)\"eUսI䤂=RwTcAzM*&]!U7*7j6GjO =Ҟ!=O/2&5{$5_t&v^Ajit I%-\"ZZ1cIVƤSR;O;O>2IU:oA1YoIS`̏bMqJM aّYI\0)	A`K$؈:	IȔFD\"x%$$)DK:ؑh_h1PVHbi!qo8\0ߚ$0%	I1$1$-\'\\$l$WƑR2~_JZVbHINzŒUnl\"ԔUdZY1y)ƤYUND~!;|g{[ԭ[^\"o%mEV#\'lH6M6~K6}\'m5#K\"Aid+{>V!o%ޠ|&aKIޒ|슑=dt$D\'\Z$@ȧm\"6M$nq\"ZۏϮJhrrP2tl}ЎF|/9`,By.rr#9ԃH`.WݓW/9꒯&_@RQ0fkɱ	g[[ȷRBrjir仝=6rn5rA\\$1Nܭ\'KZȥf6xCr!ry5\nJk*]ɵoRȵ(ri(04q7!9A|M~&%7o\"7`_)ޓ_wo۞\'=ɝjr`rr4r0f7@%%]\0rϓ3^Mdi\'yb{^ψz	oO8wT.۟%.\n@2(3`.2BH\'crȘds2NL!OL_dW2nI(-KdF2%!	%s5Gcd~Yֈ,8G:0Y(j!YTd;,[h#\ZJQ2#ȆRy%`EMY-hLQֺ)S)uwRjP6_@эxO-AS6S6l>mAe/ԙbeשk]-ʮ(`-_\0ޢ$FO)z)F1g7S)_S,=+W|:rjbCm=Ҥ8\rPfRuvQz(.)Ǵ3(nJA9J9aH91r/DPJ{pחM_E	ƺP3(S.S.\"(K(GR)]+2U:r	%3%#]Hy0rsОCsĒĔ1mDU \'JC6%3$%SlOddYܣdSPbR@J?j!hd{RJ)TlɡT=TTrl\n)5ƪog~g9sa\rņ(9bJ\"jKyclOy{N#.=]!4޻S:R:F(]AwC\"/ӊWѓ_$|ߦn)%iS)\0*eeTe\re잂2-emDsz9s\r+ʗ\03ʄjD^D\Zm74˔)Dm.ߢ|K|M,-R\0(o\n08yJTwS (0ػxx=qAO x\n͚%S+O),yB>6JU_0SIcGb)k)O0_HS$I^\'Er\"\'(4)EYL,\'R(KEAU]ʿÔZKTU%585W?P5R+S4zyUW9u9O?4[v.P{G+mnnPw{R\r6n\Z\\C7ojdI59E5Z_ZjEwv^vTPq9TTy3˱Iq2k*1+(MυꮒCu	dD=Ոz[޴a>#iW	5̿6G&k	멁ߩsiG\'tMjSjm굍`5FN7S^^F4Sc\\J/Ʃjb-5njĄij_}Ԕ)%Ԕ,jsWj.5-IM+Q3\n^S3FS3\rR；ޏ>S~PjaZ8X@-+mΠ<>>D-=J-Y-RONQkQhjqfLԧvS\0Omv\r7NmjD}OmTS\Z]S?QP?^~*@զ<=<A>:*:Q%>8*uFJZDB\"\ZPg\'\\{3ԟyԟM?Q瀫ǍׇT`)*XG\"O<b*HuyQqTLHTV*HenFPYT7aJM\ntTY{m\'U1yxFWMK7KS6\Z<iMh9Lӄޡ8A[fN\Z#62i0/i4~m\Zm4m|V*Mȝ*m[	mK?ڎM]]Kmwh{QH3\n7}&\r,R:,.,4+4[>vpvtA+93i.ճc]z8k:q͝B;QF;yE;JyZM;M}:ivhM;cwgILhӂb*iAoiX]yvJN$]h%c8ZT}5dڍ81-FTM۬O%4HL/Ĥ9ZDZJ-Hj@K@Kj2ve\Z&22hwiTCв|e!i/$ӊ6ZIv4eVgЪިѪӝhul;cc[ǂ\'ifZln,-Q)Pګ\rګB8e$\"A{Ў6М>ܟ^@|3M*cкW;hCtHnm>6J]mmu k9[L	m6mCKy\0s?ii\ZF4\Zd\Z$\r֏\'А1\ZwFxFDШ`\Zm-ư1=i\\]4\"L	?4_Mf7I\'4w460H[<O[@2@_𖮪\nվb\ZzXg#}o}}9MתOyKIgbƐ[M^[/Ow؂;Yro!ʑ\'.ݤI?=n7K7;QK?dH,O֠[MQhuQ5͖n~AJwEw,;z#Gu\ZNN4a3YaJw(yzq;M?qotϊ(A=׏Oo~ָ~=WАFzH<:C~_r~Qe~4=\">==kt3=R~}4=*=IO%㣵)_uۏZI=m8.Wg_EϨ-gLbZz# qzP\'=CC&dLeBx\0y=T^B7ѫ?#_O_h_@x&}czSZNz--^7Z7{ozIzG&ǘk@HP0}t!}X}\"ɀ>eRD\\_OA5D;3MXLСt\'::bC:f{њ:tk:z:@D\rt,چN,5-Db$H\'TtI:C.Ui{_>t~\'~xD3(t&@gl>ً:Y\r[I1]t1@?Ctdm/}/EЗK^EJWfj\'C\nPK`ubjc#Znf cEz\\vj	.C\'@=1t\'5*?N0vDE2v_ػ+cax͆abJ}wCfXQ3g##G4GR60,2OYos?Ùp9pI>p)8.|p+3P\rnG7q5qyڅ`xeex=0NO g`/~\0#Pd eYf{8_2)ud\\t#TNc\\s~θNfD3\"He7zQ3#ʣcĈm0\Zڌ5{ɥ)9T35Nw}w9]{݌|FѼ\nx\0xFپ2\'bŨQqgT3=3jgԌ%2ju׌GTu\'>3jE1\Z[MZWMM0F@Fs{od4c͂nƻ]?r8{F[=%#p*\0腕1512\0c1y1tvι~11_}1%c\\K80>j3>M1__ɖFq81gX\0\0eg2H%pw@n@=0020܍,`\'1p[|A0(7t4m!vVàN0*ܕFbpLZ@;|ac\rR1!PPf,F82f+ϲ+g/LOGn1U/0U0UfLLuX s~#0sx\'SDednn<ܲ~ٌ?pܭgs+~\Z=MLAAXti\rgҙ3G3N2-1sLwm-Iiw>~=>wi_ydh1k0K1,372]73ݞc[2O(T*LϝG!טgTg0UL){Y=3Yf@>3yƼe?Kd[G1i@fr?W-W.1b1`F\"ћ1c[љư7ki\nff3Aļ<:Lafc1̾Sny̆ي?\\q83X&3\',Rb9w2<f>$1K<R5fmJCf:}ZӉYSŬ)^bo`~1낿1?|rw0l/g>z|w)|e;l$0<`=Bg~Kb_`<}f~8T\r{ٯy9*9|;ǜx<9w9b1t+Ek|c\"s>}9g)g (&	΄1wL8#!0q<&;& I${2\'DII3晴d&\r c`L8?2LNeCgr\'0))[e`Z2!sERZ=yֲ/6Y:V,Xt3,o&c$kSkSYOmf:`qe2u0e²}uH}uH+e`Yj,[!œejHkrzr\"YYS,g\ZR7r!Nسyr?rgYS1ˬS#,}\0̵,&V@+9D\ZUVH\'+$;R7Ⱥ4ͺ4\n_e]9ǊeE6Ċn`EWn5bܙ̺\\?`ſy͊_4b^e%f`%5X~լqVJYV*(8~i,be	YsY9mT+вU8_z;t=VlVewV[{VU5U2`:*Xo\Z\0X92OӒUq)	~1w\rkW7IOXo_XWSdV\"ի>fcU(Y}ʝk+;XYq^/-oX߈67XӎXӤ8]֏WX֯eUP\\Hkn&5\reG|d-g-LZ\0;Y,\0~di,h~XY`P7XY3E`,r\r%ˢn!\"m+vM^X{WX\\q\ZKP%%r-g.d\nM\\k\'K4ǲ73,YKr/[t{U:^Vaׄq\ZZclRƳ`Zډ9W2{mԇt`&M7leogoϚcoߴm`6(>6薲&:؆l,&@2T6)+bTaD;feζ/e[E[b`ۘumlp=]\"mdHdMub;>e;RN&l\'9ٶ}ܸ}BeOLeĄ=اl*w;>/j*\\_yLz{E!Kv(;e;|:J?$;\"QǾzx}mڿ3Hh/ɎIc|mf뫳Kٷ؉^vꛭ0vv&}Gr}gye}qKbawO\"@vjxIvѬO1W3+Y\nO/v	svzvt-p~8\nc?a?re?hd?a?7b?~t;v-5^gI즵fKHWv;دg^[?[o*o߱[#mH}vG.]7re3O6;.!\'!\\{Qt)MlZ7{%k,{r=}+o\rx۰?N;P6FlHJ>F߹\nxq6CM6dr\rl%^~S܄&6-hc%\nle4{i$^92yG}gգ8\Zk8kՇ8qֽt嬏dp8\"\n6ު*g+(%ggm.gІ~WcTc{*%\Zs0;spvmcÕca;ȱϱ|~cc>9,{ȱPʱ1slW8vǲ8vi<_c]/xs&ǥs|\"s-$㖚qB=xxq|,9>8Μ38g9~&fll9NvN	}Npn9\'f!(\'I\\Ź\\͹ʑsE3\\\\MZÉlsnf97=/rnĀ9íĊ͜d=;5DN\'l\'d\'mN,ݱ=d}|\']N`\'Gt_)_)b8E½^}Ev<ȩxy&0>S{SSgVǩN<Z.<Y-k4X4qq^q9M\r6IW78\r8-\'9mW\"9mmv`Nԓ_z}X9=/9ɜ~OX׏JpWgtl+gl#3{3>;ę!p&x7]\Z,3~ΙnL9ęL̐ٶ`w?8O_Ŧ9uO9G8w98 A]8-`^rpyou\Zb9l[ˡ94}mpy+9z\Zp8!@!GP`98GW#ȑ r92شw\ZF]eBVr\rs׭]oӇںurcsg	sZdסp͒J#6ܽ\\C\r!5\\\Z\ZsM֌sMX@A3״(tkj5SFrQViVmV|׮u0uȺu纆p]q݊q#K&\\oZ֋`P\rBqksyPXd#КCFKn(6Ↄ+gp4pMEܫ)xn7nԫh+7\'rcX,76-.{M<+&}+׹i<n79n:Ǔ5fl5\\r[Z3ninJ7_-:V-rH0b/[~<\\>I>:}d#1TPmX66Rm)MܦC-W+wVV4=m,˚ە%q$R`.;2Y]!;Q;zņ;	~sΘjqgMqg	٥?\"?\"M?wZK΁;_t;SpNs]>\\ UゑH.~wpK_$.ћTTr1F.>:Kt%d..eq~.w\rjs\\%W\"sJ7K\\^rWPZOe3oOUڴ	orK5<<\r=Z!oj?O+.OtxbosJ:OIooLvg֗];3ܾg(w\'?\rϨMg3i];);(w+g.g\'goų`ϳcĳe<<y~nz򎼊99&iMVyNh i)sr2`myx\'y\'75<*|_|m%9..Y#yyam+yWixyKx1?bd5Xw/\nU:x+f^^0/u/\r<ˠy2xw^yxYxYy9Iqͺr^b/p^퇼b\Z^;^+۝+c\nx^Ż*^+҆˫ȫ&oI:y\r\'x\rm;y\rދ#RK&#iQ^t1$u^*}gp.׃$>>1My\"x>_x%AgF`&ox7SA{/&PxBywy`\'9om/9|1O\rBoW+w1PA\0yPA<PVf\0˙EzHz~zb+zG1l1طy=v<N/c.y͑<~HOOZ$D\r<AOShy\n1xoeoQ,᭔yUvYU>*b_w|U-__9k5ͪT6.ׇlN78MÊF[7oBte4]߃woq_^?j?ŋ\0`7M|\'|S|*m|ߥ|<52vl|g%rwKQf=Z=\'O2nOJO򽍳މR\Z#~\0Џ1ʾ?1+/mſOz*6_N_GlGn_\0z~Lc-?vۼ;\"ǢQ1~bu5?鮂;K\"~?mEY;tpM+<9~*\Zq#QtIj)Fo7NJҷ,[L/Z濾\Zcdo_wwzLw{՗h~&ȳ hc<?O}Nɟ~RşM	*Npҋr |Г>5>tM	ZCQpB\rc_cX|l]\'1EI|<ϠO|e>=5ՍC_|_#@ejLV.Xsy`͓-kwi>].h\nUu;=>k\n[\n\\ͮo[l~/J#!g٦\n})j\"	v.	vwiW\n&\ns>z	LOLZ.yA\\$xK`)^,(Xl9YvZuNj\'pnu\\m7{G8#N]x-8ZŢaϛ7\rkAK]A`]ܱ(zo)_\\\nBB``A#(տ%w@pKpUYpzt zAL F)~	RR_CiN:`;Ac Q  S&S*{nA<Aa@#BP~{2㨠ƷJPU*<</H\rvYP3U1sAv+Z}WvF	mjA%AG$hoLt)t>	cmnh>>\nzz}=F:A(Dz(LhU]_*U%\n	.1_`r`Rj\"(.!K,HKI0wF\0\niW;&(+`OpayI\0+@:U;+\'\ZdC@^- &Է4CfW\'`X	!>vUX )},ft,%FG,9,k	VcjժV՞\nպB3kᗄQ\r^pB}.\'zz;;}=B#oLChQh\"\"4\r+͓M_3V	B57\r[hQ&_:n&<sli9	XBdqL$<q{Vx <f.<z>zzB38tf9ᙸ|aPՈaHAb6Oxq.Yx0̵^n&<*^w^G\'Q\07avLxCKga̾ta̩X,a}¤䶫dn0#LR.L{+x,b\"{JxO7_xK(̆掯毬DE	l$¢w>hkaI4BXͽ/֢ͅ[º\ru:@a~DX\'*|)|6cϫ_F\nUMWyVc}f麰mz}[=x6\\\")W?tl#*XR8GGC;Tp*q(?i>Nk)\nݝ!8&>&Z	(A$l&1	6#:)kDy!ꀐ|Zh|\"dm.!Q`kW(\'\nNB])~ʿ\n+KBpg\0\"NtjTW,eurE}YFh-h-eQ>-i[tdSMlі#-+q{ 2Ut0GdֶUdZthS8W\'D9\"{-Nא-Lt)rz*rQƊ\\w\\D9\"We[]CEtj?G7VMN(K(:#:;<?Dn)]H@..%PZ/ܻFqTA$N];T#vU!4-2|!Eg鈢qD76nnEqt(G(q!Jz)JvÊ22=\\(;fTh((,*tMDDR닢RҶҟh5Qr=ל=)OT}>_T=L? M.=YZ=uh^ly#zQ<++9+z}\"j=^\"jm>&zm͚3E^ˢ.\r.n@G]-?!w>==\'D9/\Z<\rm<-\Z._\rƪtE_ɣ<d|蛱 v䈦=DAߢ`hna\\4;-,GFoLE\"pP~A.\'\rX:%auD^D\\\'\"}&\"?ћDLKuIĶ9!6{xnLH	8a\"ɟti@$-RL׊UUSUmū~9U5Īqb\03\'5;\ZzZFxCwn|xcQm;[;ĻĻmO\r_{Vl+bCbSqbbbzg-Bl);՟;+vO<,#S]4qg8J\\.igCDc/?_J9!C|[yAq_2AJ&\'oouIs$C$NNM\'?8,NZ_\"-%Si;6eBq^8/tXC\\xIM \"I\\kKhqهNq#88$; tY\\9e+rŋk>l׽x-~\\^\\U\\O~+~:)~$7ԔH^glf⦅OfqsLqW+Y8q˶_+oj;J;~}UqMq琸xp6Y<.W[\'_4\'k_O\\O\\OgGĿ<ĿWΊm+¾1ШFCHR]J~V\ZD!1y{ܳYYw%bVI>!f͋E);ŋ|I{RU+^JT~LIVGI46K4\rJdpDDdSdQ7ɖA=ADcdk]-CA>ނ\n}Yc#Vbz@ Y+LNX-\\.CJl\Z]$6L$׏HlKl.I7IӒ%|equiSsI[Kgk+k瘣]$@8ߑ}*	2ؒibCL\"k$\nQr-YQrf+2-$&YY-*aInHnhH~$飫%M;;ѯ$Hrn.Jr\'$yF.IQSIIIakP.)nwHJ%oK*=I*r$U}aՎ8IDDfܓԥa$uڒI:䉞8V#y攤<T i]AIN{G)-Ns%$HVa%c%dK2d2E2d{dn9Two@YJ=8JjBH0\'%*	5VB:EB\Z_%cJr뎄:!HHXׯJJD?$biݨD2a+7J$pźC]֒Cw%UMUUT5@f\'U}j@HJ.HYK^ͷ~II`̥ۦ	RNtOv԰\"Uz/5&w&RӧRنRվwXBz:/u&u\"JKБKW\'^ϸ/G#uUҠэsQ!}!I/UKÃH#W}WkupF_9*騔LђƉf7B	M҄n-/&um`m.$Ҕ\\iʋjijb4mRW%M-ͼNzǧWz7I4YzVi^}4{薕xs_ZڰNZއVH+wOK+[J,ӥU)Ҫ7ZҚ҇\r:FiOYx11G%}Ju+H\'HIK_aKWH?r^,dH[xG$KikV:iGgiǭ`i\'Wp_}RM7@B]?GoHjZҡG:ҡAtptD0-~.V,,CtPkۼW]`=%]HJ1RȵR`I\n@HP)EEjtX)6ew,_I	\");)3XJM;\"VR:o!_\0HRFӒ\"oR	]*Ke7\rʄ5ҥGKP)ZlCٚ\rue\"dæe2/\rd2ev22@l;2}q>roT!3L&_N61eo+ 2u2#<Vvn̴+3;!33\'H0Yz]vhJ0AOf_/_ˎ\'e2W)2[Q2ޏ2Wn[9W-T7/y ;ů|ZO|352ɲ@bY|\\X͏dSeh+Q+HGYk*\"Rvm^ٵeȦ<Y䈁,:,:,(%ݚ|,\r~&Kl˒ԣd)e;,\r,Yֻ]!Y.2LW#e<dųBYHVIV:%+)\\({KV$,\\jKd=lnreNŲ?rY;gdz2d/=^5^eeoY6kFYeY;)dz7z1eU\0\"L6I6&}֔}[̓MUȦiWduYXlÔEknD雲?òb_\r ɐd{e(?CMWp7;dNF+#>U/dp͢FFÒdtz8CZ#c+c18;d@Q(pjde\"k[ULQ&J/ʔ\rejtmٿ|3ٿ;rA|G`||MN|\\nuwɵdrA\\\\|q4Lc|`|\\wPMn#,߿n\0<VnG[n=Wn/7<+7~Gn֝-?l\"\\;+,2[\'o?#?~[~6MP\\@lQ?˝N4ȝF^OjOH=7=\n&f><χPr&r_gYX\\ȗ+TxF C_)IGjon<a ԓTqE:<gAJ$\'S~?@SۣyIpyK<oD^,/GKK+ҡ!y:OȳY8Ik!YZPy_Um\nYX ױ oem.v׃fyC);+;nYAZaI}||S>*!Ǣc?/ɿOlO˿ȧRgGgnȿuݑASb	\\ה*^ Tɡemr褳$J1r~p^zC_cw1XwДlR&\'ѳ\0;9u&gN3l<9Z29/맜a7œ\"HT,	5\'Kw˗DJ|vBC20XY6Uo>P?XqB8DabDicbK-XK}H-b\"I36S0M{U,]絧}D/obߧ\nNKH{TaHaQ=ܧ=械ߴpRp)pRp5Vx7+<9C^>\n/?mp¯Cﭦ*^sTy@<SnU};g)΋r).G*B+SbEx2VqcJqe(Xq\"nFq\"v@7lRYqrv\"q@t\"\"EUH>Td\0)R~T̄*r34ˊk]QIWQn()*G^CJ\"Eefuꨨnx󮢱^K챢l⥎UMk3׍-${o[E[t3?N蚹ިpW#S*>+(jl)btbl}dزbyիwV=\0T\0\Z\n\Zb@R O)PKx\n6a\n\"篂**)k|~Fg*]kV\nB;PޥPR(f3j\0Ŋ7J#MRP\\u%^jT+w+]t^Da\\czN3NSSأ\\5Ԣ?UW5+uՕ=+7QnnPnLVnJWv\\ոrTOv_OJCrK>-rrߵ*8 \r<ȉVTQTS*;tRZVZ(mΚ+N*cvE}U(#Nl-P:Sݕ.Tk/\r\\選rئBPl\\<$V~}RyM\'<+pWԅ*`z9tʋ\rʰAGW[_(#+\no)K)ofS(oT*\ro)K+5t)y221[mVemRw*ߤ(Z)KW(K}ʚ\'5,oovڕ|e퇲NT>ݩ|{M蠲!WHR>8|~G\"gV|6U_}TOnЭlWvR݉iʾȫʏeBr?TUYQ\Z##p-_%r\"kr2D~UNӔluWk))3sm-.J\0J	WBn)aKJ8UܥP\"[(Jq%앒$\nPm*)&Ԑ%\\ɜu*hC)OXr!bq\Zx >EC+rJi4.8\\CK\"B	NIIHT$\r%PT$RtҥzѠPznng@(%虳zCQe軣@(hP-/ˠygZ`|WA;=]Лz,~_R\r`F]Q}rp`<=۹`c$L5i%\'a50c\'Nyf`1Xt:eX\0]ym-=v`k0e,P+G,}4\nnu\\*en1_<﯁R^`tY|d;iC}gF}?=6&q:lUD6uNm9>qaot*xB D\'Bo@H*84JLpDg?9eD;A_eS}b,ؽ\rqVBEwU8b$N2$HRggP#87k=}.Az\\H_<2lKw2o~\\\nWՕpͰnV@T;p37Idc.=}\nBQX)<MG\njP|<<q_=yTCx\'\Z;~Ibp\\\0UGW_+\'x}F@Q&4jBh_@p2M2|w:[Ows|z3*`v֚aOYJ\ntB\r{.>Nި|\ZU~t/;΢8`\'/Aq!vQ{P#7WhpGeq8ƬtGKGJ>kU	/\"pb\Z/Vt)$MI6NiW4ph\rQ4[,`Q9CWh~Z\\-)Z^|izh2F2*C;l/:pK9.\rU!i=tz:WMDwQ\Z=\\G8=ߏC/Kw5zrBV\\7L\n5?{gMCߜz߃~I1@?nL@+9nx[bq_wp5{o{m^44_p?3x0\Zr6%x8ãNvq0[w\n}#y&<$Cɚ0?`=1c[/5eW+̲YSzK=f`Nbo읆7{oM?ǻ5e{e%j,BXd\\\n|şI?G,\\eϻ㳄h|	\r\n`5+kcո]ҿ_VX]\rk<W`Iob]5?N3n`Ky~Vٌ\rFI~dw~H3\0t${ȓI4?n.}r\\E=3Iig5˔zB}:H9/TPi@ѤMҠqir\\[B5\"i]J!H{Y霉a]7аwIo	=n&dL!/Ȱv>\rL%40M*J)\'iʢd^J&$hځ{4|+M7/d溚dnLH\r&d9͐mE}S9,%6GBBEF9ϥ%\Zts-M;L˜ywtsU\\Z@ՎeyŇeZgN>䛹|O%?05;6XPږ@}ӂhڇ(?K|Xc:M\'P52:H3/PTk\\	tjd+7(n1JP$JPkEl(Bg>J-Ԇ:?b)Q5S1o{A]J<(kv\"]u@^ 6Lv~B9FGʝ|r[]274PTDzÅ:*J]ORg_*\r2s*\ZHeP-Fs=U;2uIGһL ?fPÔ(-oRs~hKmKj_ګOuUs@\\ًʆp];-X!rSYq?Φr=VgU.yɪ]GSVmVuXm~\'eA}<љАJYpuM`<ڄeO``56#Va<x	#\r<[l̖x<a:O\'ڰd<Ý\')3٤L^3&i~ώW`M<[&b+,p{^0ZG;5t/_W˃?\rRmŮ&_ͫN]eyu-qِ=c&Bxe(ղ&{\'?bʾOoPf.@-\\~9]wmݣQq8~C8tq9ީO{pؚt˨6|s&ٕg#G_8ҹ#	c\r>QS?sLO>xO[ñ9VOo+pݕINMy(sy|qh}Ô8&_fk-|{Nѓw}||..(̅;\"ü(~ؖΏۺ\"pu.7IE\\Ѝ+^sa~i;n#fg\\Ńk5sN~S؅;n;m>rHn|Cp}4@?ֿ%MώY~^g3bگQP6]Q>Q\']jQ}!eWd5!Q䄋vhg}O\Z8Wt\"~XO)ݎ2줱*4$?C_Ā(EH<8(c*AƙdDjIˣdJLm6ފ5VQbuJSlU6Ķ־w]T)[dAHYxU8*%ʲԌeiL8ӫ4Y5tT#;WIɺ)	_+KY?{W4Lٺ3M(Jzi(;%X\'JzLҒvИ>rx\rkx+.WZ9D5?TPX-	+NH⑋XV()k^KJ`\'c%uFSi#$ӭHIsɪ\"Y%r6\'A\"$\'*Rr%ש@޺ɝR?T$R01J\n\'ΓBUyV*u\nq<EwIqMHIgy:J<$cʤ@I~yTx{HŶRY Uwe[BjޚKMZ=~B;NEMȓ9(\r{KۏО%.i|2 -fR+H_i>Gf͓gk{|ʷQ1]:HG\"nK\ZS MЧ$aͩfl?wZjȑ\0", "no");
INSERT INTO `wpky_wfconfig` VALUES("manualScanType", "onceDaily", "yes");
INSERT INTO `wpky_wfconfig` VALUES("max404Crawlers", "DISABLED", "yes");
INSERT INTO `wpky_wfconfig` VALUES("max404Crawlers_action", "throttle", "yes");
INSERT INTO `wpky_wfconfig` VALUES("max404Humans", "DISABLED", "yes");
INSERT INTO `wpky_wfconfig` VALUES("max404Humans_action", "throttle", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxExecutionTime", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxGlobalRequests", "DISABLED", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxGlobalRequests_action", "throttle", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxMem", "256", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxRequestsCrawlers", "DISABLED", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxRequestsCrawlers_action", "throttle", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxRequestsHumans", "DISABLED", "yes");
INSERT INTO `wpky_wfconfig` VALUES("maxRequestsHumans_action", "throttle", "yes");
INSERT INTO `wpky_wfconfig` VALUES("migration636_email_summary_excluded_directories", "1", "no");
INSERT INTO `wpky_wfconfig` VALUES("needsNewTour_blocking", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsNewTour_dashboard", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsNewTour_firewall", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsNewTour_livetraffic", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsNewTour_loginsecurity", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsNewTour_scan", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsUpgradeTour_blocking", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsUpgradeTour_dashboard", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsUpgradeTour_firewall", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsUpgradeTour_livetraffic", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsUpgradeTour_loginsecurity", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("needsUpgradeTour_scan", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("neverBlockBG", "neverBlockVerified", "yes");
INSERT INTO `wpky_wfconfig` VALUES("noc1ScanSchedule", "a:2:{i:0;i:1588590600;i:1;i:1588849800;}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("notification_blogHighlights", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("notification_productUpdates", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("notification_promotions", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("notification_scanStatus", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("notification_securityAlerts", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("notification_updatesNeeded", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("onboardingAttempt1", "skipped", "yes");
INSERT INTO `wpky_wfconfig` VALUES("onboardingAttempt2", "", "no");
INSERT INTO `wpky_wfconfig` VALUES("onboardingAttempt3", "license", "yes");
INSERT INTO `wpky_wfconfig` VALUES("onboardingAttempt3Initial", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("originalScheduledScanStart", "1566558600", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_blockBadPOST", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_bypassLitespeedNoabort", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_hideWPVersion", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_pwStrengthOnUpdate", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_scanComments", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_scanOutside", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("other_WFNet", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("previousWflogsFileList", "[\"config-livewaf.php\",\".htaccess\",\"GeoLite2-Country.mmdb\",\"config-transient.php\",\"config.php\",\"rules.php\",\"template.php\",\"config-synced.php\",\"ips.php\",\"attack-data.php\"]", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scanFileProcessing", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_checkGSB", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_checkHowGetIPs", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_checkReadableConfig", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_comments", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_core", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_coreUnknown", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_diskSpace", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_dns", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_fileContents", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_fileContentsGSB", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_geoipSupport", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_highSense", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_malware", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_oldVersions", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_options", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_passwds", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_plugins", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_posts", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_scanImages", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_suspectedFiles", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_suspiciousAdminUsers", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_suspiciousOptions", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_themes", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_wafStatus", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_wpscan_directoryListingEnabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scansEnabled_wpscan_fullPathDisclosure", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scanStageStatuses", "a:11:{s:13:\"spamvertising\";a:4:{s:6:\"status\";s:7:\"premium\";s:7:\"started\";i:0;s:8:\"finished\";i:0;s:8:\"expected\";i:0;}s:4:\"spam\";a:4:{s:6:\"status\";s:7:\"premium\";s:7:\"started\";i:0;s:8:\"finished\";i:0;s:8:\"expected\";i:0;}s:9:\"blacklist\";a:4:{s:6:\"status\";s:7:\"premium\";s:7:\"started\";i:0;s:8:\"finished\";i:0;s:8:\"expected\";i:0;}s:6:\"server\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:5;s:8:\"finished\";i:5;s:8:\"expected\";i:5;}s:7:\"changes\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:2;s:8:\"finished\";i:2;s:8:\"expected\";i:2;}s:6:\"public\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:2;s:8:\"finished\";i:2;s:8:\"expected\";i:2;}s:7:\"malware\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:2;s:8:\"finished\";i:2;s:8:\"expected\";i:2;}s:7:\"content\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:3;s:8:\"finished\";i:3;s:8:\"expected\";i:3;}s:8:\"password\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:1;s:8:\"finished\";i:1;s:8:\"expected\";i:1;}s:13:\"vulnerability\";a:4:{s:6:\"status\";s:16:\"complete-warning\";s:7:\"started\";i:1;s:8:\"finished\";i:1;s:8:\"expected\";i:1;}s:7:\"options\";a:4:{s:6:\"status\";s:16:\"complete-success\";s:7:\"started\";i:2;s:8:\"finished\";i:2;s:8:\"expected\";i:2;}}", "no");
INSERT INTO `wpky_wfconfig` VALUES("scanTime", "1588360818.5679", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scanType", "standard", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scan_exclude", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scan_include_extra", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scan_maxDuration", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scan_maxIssues", "1000", "yes");
INSERT INTO `wpky_wfconfig` VALUES("schedMode", "auto", "yes");
INSERT INTO `wpky_wfconfig` VALUES("schedStartHour", "4", "yes");
INSERT INTO `wpky_wfconfig` VALUES("scheduledScansEnabled", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("serverDNS", "1588360795;300;67.43.13.16", "yes");
INSERT INTO `wpky_wfconfig` VALUES("serverIP", "1576609066;67.43.13.16", "yes");
INSERT INTO `wpky_wfconfig` VALUES("showAdminBarMenu", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("showWfCentralUI", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("signatureUpdateTime", "1566428995", "yes");
INSERT INTO `wpky_wfconfig` VALUES("spamvertizeCheck", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("ssl_verify", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("startScansRemotely", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("supportContent", "{\"top\":[{\"title\":\"Blocking Troubleshooting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/blocking\\/troubleshooting\\/\",\"order\":0},{\"title\":\"Optimizing The Firewall\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/optimizing-the-firewall\\/\",\"order\":1},{\"title\":\"Wordfence Web Application Firewall (WAF)\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/\",\"order\":2},{\"title\":\"Scan Troubleshooting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/troubleshooting\\/\",\"order\":3},{\"title\":\"Wordfence and LiteSpeed\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/system-requirements\\/litespeed\\/\",\"order\":4},{\"title\":\"Two-Factor Authentication\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/two-factor-authentication\\/\",\"order\":5},{\"title\":\"Firewall Learning Mode\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/learning-mode\\/\",\"order\":6},{\"title\":\"Scan Results\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/scan-results\\/\",\"order\":7},{\"title\":\"I am locked out of my site\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/blocking\\/#i-am-locked-out-of-my-site\",\"order\":8},{\"title\":\"PHP Fatal error: Failed opening required wordfence-waf.php\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/#php-fatal-error-failed-opening-required-wordfence-waf-php\",\"order\":9}],\"all\":[{\"title\":\"Wordfence Central\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/\",\"excerpt\":\"Wordfence Central provides a powerful and efficient way to manage the security of many WordPress sites via a single interface.\",\"children\":[{\"title\":\"Using the Settings page\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/settings\\/\",\"order\":0},{\"title\":\"Connecting your sites to Wordfence Central\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/connect\\/\",\"order\":1},{\"title\":\"Setting up two-factor authentication\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/2fa\\/\",\"order\":2},{\"title\":\"Using the Dashboard page\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/central\\/\",\"order\":3},{\"title\":\"Viewing scan Findings\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/findings\\/\",\"order\":4},{\"title\":\"Using the Configuration page\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/configuration\\/\",\"order\":5},{\"title\":\"Using Wordfence plugin options Templates\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/central\\/templates\\/\",\"order\":6}],\"order\":0},{\"title\":\"Dashboard\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/dashboard\\/\",\"excerpt\":\"The Wordfence Dashboard provides insight into the current state of your site’s security.\",\"children\":[{\"title\":\"Options\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/dashboard\\/options\\/\",\"order\":0},{\"title\":\"Alerts\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/dashboard\\/alerts\\/\",\"order\":1}],\"order\":1},{\"title\":\"Firewall\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/\",\"excerpt\":\"The Wordfence Web Application Firewall is a PHP based, application level firewall that filters out malicious requests to your site. \",\"children\":[{\"title\":\"Optimizing\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/optimizing-the-firewall\\/\",\"order\":0},{\"title\":\"Learning Mode\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/learning-mode\\/\",\"order\":1},{\"title\":\"Statistics\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/statistics\\/\",\"order\":2},{\"title\":\"Options\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/options\\/\",\"order\":3},{\"title\":\"MySQLi storage engine\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/mysqli-storage-engine\\/\",\"order\":4},{\"title\":\"Brute Force Protection\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/brute-force\\/\",\"order\":5},{\"title\":\"Rate Limiting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/rate-limiting\\/\",\"order\":6},{\"title\":\"Troubleshooting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/firewall\\/troubleshooting\\/\",\"order\":7}],\"order\":2},{\"title\":\"Blocking\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/blocking\\/\",\"excerpt\":\"Aside from the Firewall rules that protect against SQL-injection, XSS and more, Wordfence also has custom features for additional blocking. \",\"children\":[{\"title\":\"Country Blocking\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/blocking\\/country-blocking\\/\",\"order\":0},{\"title\":\"Blocking Troubleshooting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/blocking\\/troubleshooting\\/\",\"order\":1}],\"order\":3},{\"title\":\"Scan\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/\",\"excerpt\":\"A Wordfence scan examines all files on your WordPress website looking for malicious code, backdoors, shells that hackers have installed, known malicious URLs and known patterns of infections.\",\"children\":[{\"title\":\"Options\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/options\\/\",\"order\":0},{\"title\":\"Results\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/scan-results\\/\",\"order\":1},{\"title\":\"Scheduling\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/scheduling\\/\",\"order\":2},{\"title\":\"Troubleshooting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/scan\\/troubleshooting\\/\",\"order\":3}],\"order\":4},{\"title\":\"Tools\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/\",\"excerpt\":\"Wordfence Tools include Two Factor Authentication, Whois Lookup, Password Audit, Live Traffic and Diagnostics.\",\"children\":[{\"title\":\"Import\\/Export\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/import-export\\/\",\"order\":0},{\"title\":\"Password Auditing\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/password-auditing\\/\",\"order\":1},{\"title\":\"Whois Lookup\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/whois-lookup\\/\",\"order\":2},{\"title\":\"Diagnostics\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/diagnostics\\/\",\"order\":3},{\"title\":\"Live Traffic\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/live-traffic\\/\",\"order\":4},{\"title\":\"Two-Factor Authentication\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/two-factor-authentication\\/\",\"order\":5},{\"title\":\"Legacy Two-Factor Authentication\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/tools\\/legacy-two-factor-authentication\\/\",\"order\":6}],\"order\":5},{\"title\":\"Login Security\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/login-security\\/\",\"excerpt\":\"The Login Security page currently contains settings for two-factor authentication (2FA) and reCAPTCHA. In a future Wordfence version, existing login-related features will also move to the same page.\",\"order\":6},{\"title\":\"Advanced\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/\",\"excerpt\":\"If you want to know more about the technical details of Wordfence, you\'ll find the answers in this section.\",\"children\":[{\"title\":\"System requirements\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/system-requirements\\/\",\"order\":0},{\"title\":\"Changelog\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/changelog\\/\",\"order\":1},{\"title\":\"Remove or Reset\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/remove-or-reset\\/\",\"order\":2},{\"title\":\"Technical Details\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/technical-details\\/\",\"order\":3},{\"title\":\"Constants\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/constants\\/\",\"order\":4},{\"title\":\"Wordfence API\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/wordfence-api\\/\",\"order\":5},{\"title\":\"Troubleshooting\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/advanced\\/troubleshooting\\/\",\"order\":6}],\"order\":7},{\"title\":\"Wordfence Premium\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/premium\\/\",\"excerpt\":\"Wordfence Premium comes with an IP Blacklist, Real Time Protection and much more.\",\"children\":[{\"title\":\"Account\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/premium\\/account\\/\",\"order\":0},{\"title\":\"Pricing\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/premium\\/pricing\\/\",\"order\":1},{\"title\":\"License Key\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/premium\\/api-key\\/\",\"order\":2}],\"order\":8},{\"title\":\"Wordfence and GDPR - General Data Protection Regulation\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/general-data-protection-regulation\\/\",\"excerpt\":\"Defiant, the company behind Wordfence, has updated its terms of use, privacy policies and software, as well as made available a data processing agreement to meet GDPR compliance. Customers must review and agree to updated terms in order to continue using our products and services. We also provide a data processing agreement if you qualify as a data controller under the GDPR.\",\"order\":9},{\"title\":\"Site Cleaning and Security Audits\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/security-services\\/\",\"excerpt\":\"Let one of our Security Analysts help you clean your infected site or inspect it for vulnerabilities.\",\"order\":10},{\"title\":\"Login Security Plugin\",\"permalink\":\"https:\\/\\/www.wordfence.com\\/help\\/login-security-plugin\\/\",\"excerpt\":\"The Wordfence Login Security plugin contains a subset of the features found in the full Wordfence plugin: Two-factor Authentication, XML-RPC Protection and Login Page CAPTCHA. It is ideal for sites that need login security functionality but either can’t or don’t want to run the full Wordfence plugin.\",\"order\":11}]}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("supportHash", "cd4586d45a3b5b64878637ae274e90636206e42f776f8d456a6203a6bf9eed63", "yes");
INSERT INTO `wpky_wfconfig` VALUES("timeoffset_wf", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("timeoffset_wf_updated", "1588360790", "yes");
INSERT INTO `wpky_wfconfig` VALUES("tldlist", "|com|org|net|edu|aaa|abb|abc|aco|ads|aeg|afl|aig|anz|aol|app|art|aws|axa|bar|bbc|bbt|bcg|bcn|bet|bid|bio|biz|bms|bmw|bom|boo|bot|box|buy|bzh|cab|cal|cam|car|cat|cba|cbn|cbs|ceb|ceo|cfa|cfd|cpa|crs|csc|dad|day|dds|dev|dhl|diy|dnp|dog|dot|dtv|dvr|eat|eco|esq|eus|fan|fit|fly|foo|fox|frl|ftr|fun|fyi|gal|gap|gay|gdn|gea|gle|gmo|gmx|goo|gop|got|gov|hbo|hiv|hkt|hot|how|ibm|ice|icu|ifm|inc|ing|ink|int|ist|itv|jcb|jcp|jio|jll|jmp|jnj|jot|joy|kfh|kia|kim|kpn|krd|lat|law|lds|llc|llp|lol|lpl|ltd|man|map|mba|med|men|mil|mit|mlb|mls|mma|moe|moi|mom|mov|msd|mtn|mtr|nab|nba|nec|new|nfl|ngo|nhk|now|nra|nrw|ntt|nyc|obi|off|one|ong|onl|ooo|ott|ovh|pay|pet|phd|pid|pin|pnc|pro|pru|pub|pwc|qvc|red|ren|ril|rio|rip|run|rwe|sap|sas|sbi|sbs|sca|scb|ses|sew|sex|sfr|ski|sky|soy|srl|stc|tab|tax|tci|tdk|tel|thd|tjx|top|trv|tui|tvs|ubs|uno|uol|ups|vet|vig|vin|vip|wed|win|wme|wow|wtc|wtf|xin|xxx|xyz|you|yun|zip|ac|ad|ae|af|ag|ai|al|am|ao|aq|ar|as|at|au|aw|ax|az|ba|bb|bd|be|bf|bg|bh|bi|bj|bm|bn|bo|br|bs|bt|bv|bw|by|bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|cr|cu|cv|cw|cx|cy|cz|de|dj|dk|dm|do|dz|ec|ee|eg|er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gg|gh|gi|gl|gm|gn|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|hu|id|ie|il|im|in|io|iq|ir|is|it|je|jm|jo|jp|ke|kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|lt|lu|lv|ly|ma|mc|md|me|mg|mh|mk|ml|mm|mn|mo|mp|mq|mr|ms|mt|mu|mv|mw|mx|my|mz|na|nc|ne|nf|ng|ni|nl|no|np|nr|nu|nz|om|pa|pe|pf|pg|ph|pk|pl|pm|pn|pr|ps|pt|pw|py|qa|re|ro|rs|ru|rw|sa|sb|sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|ss|st|su|sv|sx|sy|sz|tc|td|tf|tg|th|tj|tk|tl|tm|tn|to|tr|tt|tv|tw|tz|ua|ug|uk|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|yt|za|zm|zw|aarp|able|adac|aero|aigo|akdn|ally|amex|apple|arab|army|arpa|arte|asda|asia|baby|actor|archi|azure|baidu|academy|band|bank|best|adult|abogado|bbva|beer|aetna|amfam|beats|abbott|bible|bayern|bike|blue|care|casa|case|cash|itau|jobs|jprs|kddi|kiwi|news|next|nike|amica|bing|blog|cbre|jeep|bingo|athleta|cars|cern|chat|ollo|abbvie|java|nico|open|black|boats|bond|alstom|bofa|book|airtel|buzz|alsace|cafe|call|bosch|camp|kred|iveco|kpmg|airbus|jetzt|land|chase|koeln|lego|limo|link|alibaba|lgbt|lidl|life|live|loan|cheap|like|alipay|loft|ltda|luxe|maif|mini|mango|meet|meme|menu|lupin|mint|irish|love|lotto|macys|mobi|intel|android|canon|tiaa|aramco|kyoto|name|navy|cards|lamer|anquan|berlin|build|bharti|lease|legal|lexus|locus|moto|lilly|linde|lipsy|lixil|moda|beauty|loans|africa|agakhan|agency|lotte|auction|audi|auto|city|club|cool|cyou|data|date|deal|dell|desi|afamilycompany|citi|coop|dclk|diet|dish|docs|dvag|erni|fage|fail|fans|farm|faith|fast|delta|duck|deals|fire|fish|epson|flir|food|free|gold|dubai|ford|fund|gent|ggee|gift|gmbh|golf|goog|page|pars|vivo|dabur|earth|edeka|vana|dance|visa|viva|email|vote|voto|fedex|gbiz|blockbuster|fido|film|gallo|allfinanz|allstate|bnpparibas|fiat|alfaromeo|bloomberg|game|final|airforce|guge|guru|hair|haus|help|here|blackfriday|hdfc|hgtv|forex|host|hsbc|icbc|ieee|imdb|immo|info|pccw|tips|town|tube|forum|mckinsey|toys|wang|games|auspost|attorney|author|audible|abudhabi|barefoot|bargains|baseball|accenture|horse|banamex|accountant|aquarelle|autos|honda|analytics|avianca|amsterdam|audio|barcelona|house|barclays|click|cloud|hyatt|yoga|apartments|cisco|citic|drive|homes|ikano|associates|coach|wien|codes|crown|cymru|bestbuy|gifts|gives|glade|glass|globo|gmail|bentley|weir|green|wiki|basketball|barclaycard|gripe|group|wine|accountants|gucci|guide|work|bauhaus|xbox|download|media|boston|vegas|camera|vodka|abarth|bostik|broker|career|caseih|casino|center|chrome|church|video|chanel|circle|claims|clinic|coffee|college|cologne|comsec|condos|coupon|credit|cruise|dating|cruises|cuisinella|datsun|cricket|dealer|degree|design|doctor|dunlop|creditcard|creditunion|dental|direct|citadel|dupont|emerck|energy|estate|phone|durban|photo|ubank|expert|clubmed|delivery|deloitte|events|family|volvo|weber|comcast|company|compare|contact|cooking|farmers|fashion|forsale|feedback|ferrari|ferrero|contractors|finance|flights|florist|flowers|fidelity|firmdale|flickr|fishing|fitness|financial|firestone|weibo|consulting|foodnetwork|football|zone|foundation|fresenius|frogans|futbol|corsica|coupons|gallery|giving|global|godaddy|goldpoint|gratis|hotels|lefrak|wales|hockey|makeup|fujitsu|garden|country|courses|gallup|genting|george|google|grocery|guitars|hamburg|hangout|health|hermes|hiphop|holiday|hoteles|lancia|market|hitachi|hosting|imamat|insure|intuit|latino|maison|hotmail|hyundai|juegos|kinder|kindle|living|frontier|fujixerox|kaufen|lawyer|furniture|goodyear|hughes|joburg|london|luxury|madrid|frontdoor|jaguar|kosher|watch|locker|mattel|mutual|tmall|voyage|vuelos|bugatti|caravan|careers|voting|booking|brother|capital|channel|charity|movie|museum|chintai|lasalle|nagoya|dentist|digital|domains|kitchen|komatsu|lacaixa|lanxess|latrobe|leclerc|vision|netbank|diamonds|discover|netflix|network|democrat|discount|engineer|juniper|lincoln|markets|tires|metlife|miami|tirol|express|directory|exposed|education|ericsson|ismaili|mobile|equipment|jewelry|engineering|today|enterprises|monash|money|mormon|moscow|walter|monster|tjmaxx|webcam|limited|natura|tienda|tkmaxx|neustar|nexus|nikon|ninja|nokia|nowtv|nissan|norton|nowruz|esurance|nissay|omega|exchange|osaka|trade|trust|extraspace|paris|fairwinds|parts|party|tokyo|tunes|office|orange|toray|olayan|pfizer|space|tools|tours|tushu|online|philips|etisalat|oracle|otsuka|toyota|origins|eurovision|travel|unicom|viajes|viking|villas|virgin|okinawa|oldnavy|organic|tickets|zappos|zero|brussels|budapest|builders|business|calvinklein|tiffany|zara|toshiba|capetown|catering|catholic|cleaning|clothing|christmas|cipriani|cityeats|clinique|grainger|holdings|institute|ipiranga|maserati|homedepot|homegoods|infiniti|insurance|kuokgroup|observer|homesense|hospital|istanbul|jpmorgan|lancaster|landrover|capitalone|lamborghini|nationwide|pharmacy|kerryhotels|lifestyle|panasonic|partners|newholland|nextdirect|passagens|trading|hdfcbank|marriott|community|lundbeck|memorial|watches|weather|commbank|helsinki|merckmsd|marshalls|wanggou|microsoft|boehringer|management|melbourne|mitsubishi|works|boutique|broadway|xfinity|bradesco|lighting|training|whoswho|travelers|xerox|mortgage|bridgestone|computer|graphics|hisamitsu|wedding|winners|guardian|woodside|world|website|marketing|motorcycles|vanguard|xihuan|ventures|windows|xn--90ae|vacations|walmart|verisign|xn--90ais|xn--c1avg|xn--d1alf|xn--e1a4c|xn--fhbei|xn--j1aef|xn--j1amh|xn--node|xn--ngbrx|xn--nqv7f|xn--p1ai|xn--l1acc|xn--p1acf|xn--qxa6a|xn--qxam|xn--tckwe|xn--vhquv|healthcare|immobilien|industries|olayangroup|onyourside|university|vlaanderen|volkswagen|xn--30rr7y|xn--3pxu8k|xn--45q11c|xn--4gbrim|xn--55qx5d|xn--5tzm5g|xn--80aswg|xn--90a3ac|xn--9dbq2a|xn--9et52u|xn--c2br7g|xn--cg4bki|xn--czrs0t|xn--czru2d|zuerich|xn--fiq64b|xn--fiqs8s|xn--fiqz9s|xn--kput3i|xn--wgbl6a|investments|yahoo|xn--mxtq1m|xn--y9a3aq|yachts|xn--pssy2u|xn--q7ce6a|xn--unup4y|xn--wgbh1c|yamaxun|yandex|yodobashi|yokohama|youtube|xn--io0a7i|xn--o3cw4h|photography|pics|ping|pink|pizza|place|play|plus|pohl|porn|poker|post|praxi|press|prime|prod|prof|promo|qpon|raid|read|rest|sarl|radio|rmit|rehab|reise|reit|rent|rich|ricoh|save|saxo|rocks|rodeo|room|rsvp|ruhr|safe|sale|rugby|salon|photos|physio|pictet|total|quebec|quest|pioneer|pictures|playstation|bananarepublic|lplfinancial|lifeinsurance|cancerresearch|northwesternmutual|rocher|sakura|kerrylogistics|kerryproperties|ryukyu|sanofi|construction|international|cookingchannel|rogers|safety|school|schule|plumbing|racing|reisen|scot|politie|realtor|realty|recipes|properties|property|progressive|reliance|productions|redstone|redumbrella|repair|report|pramerica|protection|prudential|realestate|review|scor|rentals|search|seat|seek|sexy|shaw|shop|sina|shouji|show|reviews|shriram|silk|rexroth|shia|site|skin|singles|skype|americanexpress|sling|smart|smile|sncf|soccer|social|americanfamily|shoes|sohu|team|sener|seven|star|stada|store|tech|solar|select|shell|secure|schmidt|schwarz|shiksha|solutions|song|sony|sharp|teva|sport|science|spot|staples|statebank|statefarm|stcgroup|stockholm|storage|spreadbetting|stream|studio|style|swatch|talk|sucks|samsung|study|sandvik|surf|swiftcover|swiss|suzuki|surgery|taxi|supply|tatar|sydney|tattoo|temasek|tennis|supplies|support|theater|symantec|systems|taipei|taobao|target|tatamotors|technology|theatre|shopping|republican|saarland|samsclub|scjohnson|security|restaurant|softbank|software|richardli|shangrila|schaeffler|services|showtime|rightathome|williamhill|xn--11b4c3d|xn--1ck2e1b|xn--1qqw23a|xn--2scrj9c|xn--3bst00m|xn--3ds443g|xn--3hcrj9c|xn--3oq18vl8pn36a|xn--42c2d9a|xn--45brj9c|xn--45br5cyl|xn--80ao21a|travelchannel|xn--54b7fta0cc|travelersinsurance|xn--55qw42g|xn--cck2b3b|xn--5su34j936bgsg|xn--6frz82g|xn--6qq986b3xl|xn--9krt00a|xn--czr694b|versicherung|xn--3e0b707e|xn--80adxhks|wolterskluwer|xn--g2xx48c|xn--gecrj9c|xn--gk3at1e|sandvikcoromant|weatherchannel|xn--d1acj3b|xn--efvy88h|xn--fjq720a|xn--flw351e|scholarships|xn--fct429k|xn--h2brj9c|xn--80asehdb|xn--j6w193g|xn--8y0a063a|xn--hxt814e|xn--imr513n|xn--kprw13d|xn--kpry57d|xn--zfr164b|xn--gckr3f0f|xn--jvr189m|xn--kpu716f|xn--xhq521b|xn--80aqecdr1a|xn--lgbbat1ad8j|xn--w4rs40l|xn--kcrx77d1x4a|xn--vuq861b|xn--mgb9awbf|xn--mgbgu82a|xn--eckvdtc9d|xn--fpcrj9c3d|xn--fzc2c9e2c|xn--h2brj9c8c|xn--jlq61u9w7b|xn--tiq49xqyj|xn--b4w605ferd|xn--h2breg3eve|xn--i1b6b1a6a2e|xn--yfro4i67o|xn--ygbi2ammx|xn--fzys8d69uvgm|xn--bck1b9a5dre4c|xn--fiq228c5hs|xn--clchc0ea0b2g2a9gcd|xn--ngbe9e0a|xn--mgba3a3ejt|xn--mgba3a4f16a|xn--mgbbh1a|xn--nyqy26a|xn--mgbab2bd|xn--ogbpf8fl|xn--mgbaam7a8h|xn--mgbbh1a71e|xn--mgbca7dzdo|xn--ngbc5azd|xn--mgbaakc7dvf|xn--mgba7c0bbn0a|xn--mgbcpq6gpa1a|xn--mgbtx2b|xn--mix891f|xn--mgbpl2fh|xn--mgbt3dhd|xn--mk1bu44c|xn--mgbayh7gpa|xn--mgbc0a9azcg|xn--mgbi4ecexp|xn--mgbx4cd0ab|xn--nqv7fs00ema|xn--mgbah1a3hjkrd|xn--otu796d|xn--q9jyb4c|xn--mgbai9azgqp6j|xn--pbt977c|xn--pgbs0dh|xn--rhqv96g|xn--qcka1pmc|xn--rovu88b|xn--s9brj9c|xn--ses554g|xn--t60b56a|xn--rvc1e0am3e|xn--xkc2al3hye2a|xn--mgberp4a5d4ar|xn--xkc2dl3a5ee0h|xn--w4r85el8fhu5dnra|xn--vermgensberater-ctb|xn--vermgensberatung-pwb|", "yes");
INSERT INTO `wpky_wfconfig` VALUES("tldlistHash", "0e5bdaa61ef728e5510684b5bb23fbf03db591cd830c3e8f4465060ab93c26e7", "yes");
INSERT INTO `wpky_wfconfig` VALUES("total503s", "7", "yes");
INSERT INTO `wpky_wfconfig` VALUES("totalAlertsSent", "3", "yes");
INSERT INTO `wpky_wfconfig` VALUES("totalIPsBlocked", "7", "yes");
INSERT INTO `wpky_wfconfig` VALUES("totalLoginHits", "8164", "yes");
INSERT INTO `wpky_wfconfig` VALUES("totalLogins", "30", "yes");
INSERT INTO `wpky_wfconfig` VALUES("totalScansRun", "101", "yes");
INSERT INTO `wpky_wfconfig` VALUES("touppBypassNextCheck", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("touppPromptNeeded", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("vulnerabilities_plugin", "a:28:{i:0;a:4:{s:4:\"slug\";s:22:\"advanced-custom-fields\";s:11:\"fromVersion\";s:5:\"5.8.9\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:1;a:4:{s:4:\"slug\";s:14:\"classic-editor\";s:11:\"fromVersion\";s:3:\"1.5\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:2;a:4:{s:4:\"slug\";s:14:\"duplicate-page\";s:11:\"fromVersion\";s:3:\"4.2\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:3;a:4:{s:4:\"slug\";s:10:\"duplicator\";s:11:\"fromVersion\";s:6:\"1.3.30\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:4;a:4:{s:4:\"slug\";s:9:\"elementor\";s:11:\"fromVersion\";s:5:\"2.9.8\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:5;a:4:{s:4:\"slug\";s:24:\"global-elementor-buttons\";s:11:\"fromVersion\";s:5:\"1.1.0\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:6;a:4:{s:4:\"slug\";s:9:\"loginizer\";s:11:\"fromVersion\";s:5:\"1.4.3\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:7;a:4:{s:4:\"slug\";s:11:\"ocean-extra\";s:11:\"fromVersion\";s:5:\"1.6.2\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:8;a:4:{s:4:\"slug\";s:16:\"seo-by-rank-math\";s:11:\"fromVersion\";s:8:\"1.0.42.3\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:9;a:4:{s:4:\"slug\";s:17:\"woocommerce-admin\";s:11:\"fromVersion\";s:5:\"1.1.0\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:10;a:4:{s:4:\"slug\";s:9:\"wordfence\";s:11:\"fromVersion\";s:5:\"7.4.7\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:11;a:4:{s:4:\"slug\";s:13:\"elementor-pro\";s:11:\"fromVersion\";s:5:\"2.9.3\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:12;a:4:{s:4:\"slug\";s:19:\"ocean-cookie-notice\";s:11:\"fromVersion\";s:5:\"1.0.5\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:13;a:4:{s:4:\"slug\";s:23:\"ocean-elementor-widgets\";s:11:\"fromVersion\";s:5:\"1.1.9\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:14;a:4:{s:4:\"slug\";s:20:\"ocean-footer-callout\";s:11:\"fromVersion\";s:6:\"1.0.14\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:15;a:4:{s:4:\"slug\";s:17:\"ocean-full-screen\";s:11:\"fromVersion\";s:5:\"1.0.7\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:16;a:4:{s:4:\"slug\";s:11:\"ocean-hooks\";s:11:\"fromVersion\";s:5:\"1.1.3\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:17;a:4:{s:4:\"slug\";s:15:\"ocean-instagram\";s:11:\"fromVersion\";s:5:\"1.0.5\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:18;a:4:{s:4:\"slug\";s:17:\"ocean-popup-login\";s:11:\"fromVersion\";s:5:\"1.0.6\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:19;a:4:{s:4:\"slug\";s:15:\"ocean-portfolio\";s:11:\"fromVersion\";s:5:\"1.2.0\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:20;a:4:{s:4:\"slug\";s:15:\"ocean-pro-demos\";s:11:\"fromVersion\";s:5:\"1.1.0\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:21;a:4:{s:4:\"slug\";s:16:\"ocean-side-panel\";s:11:\"fromVersion\";s:5:\"1.1.0\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:22;a:4:{s:4:\"slug\";s:19:\"ocean-sticky-footer\";s:11:\"fromVersion\";s:5:\"1.0.9\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:23;a:4:{s:4:\"slug\";s:19:\"ocean-sticky-header\";s:11:\"fromVersion\";s:6:\"1.1.12\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:24;a:4:{s:4:\"slug\";s:17:\"ocean-white-label\";s:11:\"fromVersion\";s:5:\"1.0.6\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:25;a:4:{s:4:\"slug\";s:15:\"ocean-woo-popup\";s:11:\"fromVersion\";s:5:\"1.0.7\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:26;a:4:{s:4:\"slug\";s:7:\"wpforms\";s:11:\"fromVersion\";s:7:\"1.6.0.1\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}i:27;a:4:{s:4:\"slug\";s:9:\"wp-rocket\";s:11:\"fromVersion\";s:5:\"3.5.4\";s:10:\"vulnerable\";b:0;s:4:\"link\";b:0;}}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("vulnerabilities_theme", "a:1:{i:0;a:4:{s:4:\"slug\";s:7:\"oceanwp\";s:9:\"toVersion\";s:5:\"1.7.3\";s:11:\"fromVersion\";s:5:\"1.7.2\";s:10:\"vulnerable\";b:0;}}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wafAlertInterval", "600", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wafAlertOnAttacks", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wafAlertThreshold", "100", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wafAlertWhitelist", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("waf_status", "enabled", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wfKillRequested", "0", "no");
INSERT INTO `wpky_wfconfig` VALUES("wfPeakMemory", "35651584", "no");
INSERT INTO `wpky_wfconfig` VALUES("wfScanStartVersion", "5.4.1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wfsd_engine", "", "no");
INSERT INTO `wpky_wfconfig` VALUES("wfStatusStartMsgs", "a:2:{i:0;s:0:\"\";i:1;s:0:\"\";}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_dnsA", "theme.entnet7.com points to 67.43.12.93", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_dnsCNAME", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_dnsLogged", "1", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_dnsMX", "theme.entnet7.com", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_scanLastStatusTime", "0", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_scanRunning", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wf_summaryItems", "a:8:{s:12:\"scannedPosts\";i:0;s:15:\"scannedComments\";i:0;s:12:\"scannedFiles\";i:0;s:14:\"scannedPlugins\";i:0;s:13:\"scannedThemes\";i:0;s:12:\"scannedUsers\";i:0;s:11:\"scannedURLs\";i:0;s:10:\"lastUpdate\";i:1588360818;}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("whitelisted", "", "yes");
INSERT INTO `wpky_wfconfig` VALUES("whitelistedServices", "{}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("whitelistHash", "bf3d76dc05caf8623cb3fe01c1fc9e308e2f2ea37b826937d850fde361cdefd4", "yes");
INSERT INTO `wpky_wfconfig` VALUES("whitelistPresets", "{\"wordfence\":{\"n\":\"Wordfence\",\"h\":true,\"d\":true,\"f\":true,\"r\":[\"54.68.32.247\",\"69.46.36.0\\/27\",\"2605:2400:0104:0100::\\/56\"]},\"sucuri\":{\"n\":\"Sucuri\",\"d\":true,\"r\":[\"97.74.127.171\",\"69.164.203.172\",\"173.230.128.135\",\"66.228.34.49\",\"66.228.40.185\",\"50.116.36.92\",\"50.116.36.93\",\"50.116.3.171\",\"198.58.96.212\",\"50.116.63.221\",\"192.155.92.112\",\"192.81.128.31\",\"198.58.106.244\",\"192.155.95.139\",\"23.239.9.227\",\"198.58.112.103\",\"192.155.94.43\",\"162.216.16.33\",\"173.255.233.124\",\"173.255.233.124\",\"192.155.90.179\",\"50.116.41.217\",\"192.81.129.227\",\"198.58.111.80\",\"162.216.19.183\"]},\"facebook\":{\"n\":\"Facebook\",\"d\":true,\"r\":[\"69.63.176.0\\/20\",\"66.220.144.0\\/20\",\"66.220.144.0\\/21\",\"69.63.184.0\\/21\",\"69.63.176.0\\/21\",\"74.119.76.0\\/22\",\"69.171.255.0\\/24\",\"173.252.64.0\\/18\",\"69.171.224.0\\/19\",\"69.171.224.0\\/20\",\"103.4.96.0\\/22\",\"69.63.176.0\\/24\",\"173.252.64.0\\/19\",\"173.252.70.0\\/24\",\"31.13.64.0\\/18\",\"31.13.24.0\\/21\",\"66.220.152.0\\/21\",\"66.220.159.0\\/24\",\"69.171.239.0\\/24\",\"69.171.240.0\\/20\",\"31.13.64.0\\/19\",\"31.13.64.0\\/24\",\"31.13.65.0\\/24\",\"31.13.67.0\\/24\",\"31.13.68.0\\/24\",\"31.13.69.0\\/24\",\"31.13.70.0\\/24\",\"31.13.71.0\\/24\",\"31.13.72.0\\/24\",\"31.13.73.0\\/24\",\"31.13.74.0\\/24\",\"31.13.75.0\\/24\",\"31.13.76.0\\/24\",\"31.13.77.0\\/24\",\"31.13.96.0\\/19\",\"31.13.66.0\\/24\",\"173.252.96.0\\/19\",\"69.63.178.0\\/24\",\"31.13.78.0\\/24\",\"31.13.79.0\\/24\",\"31.13.80.0\\/24\",\"31.13.82.0\\/24\",\"31.13.83.0\\/24\",\"31.13.84.0\\/24\",\"31.13.85.0\\/24\",\"31.13.86.0\\/24\",\"31.13.87.0\\/24\",\"31.13.88.0\\/24\",\"31.13.89.0\\/24\",\"31.13.90.0\\/24\",\"31.13.91.0\\/24\",\"31.13.92.0\\/24\",\"31.13.93.0\\/24\",\"31.13.94.0\\/24\",\"31.13.95.0\\/24\",\"69.171.253.0\\/24\",\"69.63.186.0\\/24\",\"31.13.81.0\\/24\",\"179.60.192.0\\/22\",\"179.60.192.0\\/24\",\"179.60.193.0\\/24\",\"179.60.194.0\\/24\",\"179.60.195.0\\/24\",\"185.60.216.0\\/22\",\"45.64.40.0\\/22\",\"185.60.216.0\\/24\",\"185.60.217.0\\/24\",\"185.60.218.0\\/24\",\"185.60.219.0\\/24\",\"129.134.0.0\\/16\",\"157.240.0.0\\/16\",\"157.240.8.0\\/24\",\"157.240.0.0\\/24\",\"157.240.1.0\\/24\",\"157.240.2.0\\/24\",\"157.240.3.0\\/24\",\"157.240.4.0\\/24\",\"157.240.5.0\\/24\",\"157.240.6.0\\/24\",\"157.240.7.0\\/24\",\"157.240.9.0\\/24\",\"157.240.10.0\\/24\",\"157.240.16.0\\/24\",\"157.240.19.0\\/24\",\"157.240.11.0\\/24\",\"157.240.12.0\\/24\",\"157.240.13.0\\/24\",\"157.240.14.0\\/24\",\"157.240.15.0\\/24\",\"157.240.17.0\\/24\",\"157.240.18.0\\/24\",\"157.240.20.0\\/24\",\"157.240.21.0\\/24\",\"157.240.22.0\\/24\",\"157.240.23.0\\/24\",\"157.240.0.0\\/17\",\"69.171.250.0\\/24\",\"157.240.24.0\\/24\",\"157.240.25.0\\/24\",\"199.201.64.0\\/24\",\"199.201.65.0\\/24\",\"199.201.64.0\\/22\",\"204.15.20.0\\/22\",\"157.240.192.0\\/24\",\"129.134.0.0\\/17\",\"204.15.20.0\\/22\",\"69.63.176.0\\/20\",\"69.63.176.0\\/21\",\"69.63.184.0\\/21\",\"66.220.144.0\\/20\",\"69.63.176.0\\/20\",\"2620:0:1c00::\\/40\",\"2a03:2880::\\/32\",\"2a03:2880:fffe::\\/48\",\"2a03:2880:ffff::\\/48\",\"2620:0:1cff::\\/48\",\"2a03:2880:f000::\\/48\",\"2a03:2880:f001::\\/48\",\"2a03:2880:f002::\\/48\",\"2a03:2880:f003::\\/48\",\"2a03:2880:f004::\\/48\",\"2a03:2880:f005::\\/48\",\"2a03:2880:f006::\\/48\",\"2a03:2880:f007::\\/48\",\"2a03:2880:f008::\\/48\",\"2a03:2880:f009::\\/48\",\"2a03:2880:f00a::\\/48\",\"2a03:2880:f00b::\\/48\",\"2a03:2880:f00c::\\/48\",\"2a03:2880:f00d::\\/48\",\"2a03:2880:f00e::\\/48\",\"2a03:2880:f00f::\\/48\",\"2a03:2880:f010::\\/48\",\"2a03:2880:f011::\\/48\",\"2a03:2880:f012::\\/48\",\"2a03:2880:f013::\\/48\",\"2a03:2880:f014::\\/48\",\"2a03:2880:f015::\\/48\",\"2a03:2880:f016::\\/48\",\"2a03:2880:f017::\\/48\",\"2a03:2880:f018::\\/48\",\"2a03:2880:f019::\\/48\",\"2a03:2880:f01a::\\/48\",\"2a03:2880:f01b::\\/48\",\"2a03:2880:f01c::\\/48\",\"2a03:2880:f01d::\\/48\",\"2a03:2880:f01e::\\/48\",\"2a03:2880:f01f::\\/48\",\"2a03:2880:1000::\\/36\",\"2a03:2880:2000::\\/36\",\"2a03:2880:3000::\\/36\",\"2a03:2880:4000::\\/36\",\"2a03:2880:5000::\\/36\",\"2a03:2880:6000::\\/36\",\"2a03:2880:7000::\\/36\",\"2a03:2880:f020::\\/48\",\"2a03:2880:f021::\\/48\",\"2a03:2880:f022::\\/48\",\"2a03:2880:f023::\\/48\",\"2a03:2880:f024::\\/48\",\"2a03:2880:f025::\\/48\",\"2a03:2880:f026::\\/48\",\"2a03:2880:f027::\\/48\",\"2a03:2880:f028::\\/48\",\"2a03:2880:f029::\\/48\",\"2a03:2880:f02b::\\/48\",\"2a03:2880:f02c::\\/48\",\"2a03:2880:f02d::\\/48\",\"2a03:2880:f02e::\\/48\",\"2a03:2880:f02f::\\/48\",\"2a03:2880:f030::\\/48\",\"2a03:2880:f031::\\/48\",\"2a03:2880:f032::\\/48\",\"2a03:2880:f033::\\/48\",\"2a03:2880:f034::\\/48\",\"2a03:2880:f035::\\/48\",\"2a03:2880:f036::\\/48\",\"2a03:2880:f037::\\/48\",\"2a03:2880:f038::\\/48\",\"2a03:2880:f039::\\/48\",\"2a03:2880:f03a::\\/48\",\"2a03:2880:f03b::\\/48\",\"2a03:2880:f03c::\\/48\",\"2a03:2880:f03d::\\/48\",\"2a03:2880:f03e::\\/48\",\"2a03:2880:f03f::\\/48\",\"2401:db00::\\/32\",\"2a03:2880::\\/36\",\"2803:6080::\\/32\",\"2a03:2880:f100::\\/48\",\"2a03:2880:f200::\\/48\",\"2a03:2880:f101::\\/48\",\"2a03:2880:f201::\\/48\",\"2a03:2880:f102::\\/48\",\"2a03:2880:f202::\\/48\",\"2a03:2880:f103::\\/48\",\"2a03:2880:f203::\\/48\",\"2a03:2880:f104::\\/48\",\"2a03:2880:f204::\\/48\",\"2a03:2880:f107::\\/48\",\"2a03:2880:f207::\\/48\",\"2a03:2880:f108::\\/48\",\"2a03:2880:f208::\\/48\",\"2a03:2880:f109::\\/48\",\"2a03:2880:f209::\\/48\",\"2a03:2880:f10a::\\/48\",\"2a03:2880:f20a::\\/48\",\"2a03:2880:f10b::\\/48\",\"2a03:2880:f20b::\\/48\",\"2a03:2880:f10d::\\/48\",\"2a03:2880:f20d::\\/48\",\"2a03:2880:f10e::\\/48\",\"2a03:2880:f20e::\\/48\",\"2a03:2880:f10f::\\/48\",\"2a03:2880:f20f::\\/48\",\"2a03:2880:f110::\\/48\",\"2a03:2880:f210::\\/48\",\"2a03:2880:f111::\\/48\",\"2a03:2880:f211::\\/48\",\"2a03:2880:f112::\\/48\",\"2a03:2880:f212::\\/48\",\"2a03:2880:f114::\\/48\",\"2a03:2880:f214::\\/48\",\"2a03:2880:f115::\\/48\",\"2a03:2880:f215::\\/48\",\"2a03:2880:f116::\\/48\",\"2a03:2880:f216::\\/48\",\"2a03:2880:f117::\\/48\",\"2a03:2880:f217::\\/48\",\"2a03:2880:f118::\\/48\",\"2a03:2880:f218::\\/48\",\"2a03:2880:f119::\\/48\",\"2a03:2880:f219::\\/48\",\"2a03:2880:f11a::\\/48\",\"2a03:2880:f21a::\\/48\",\"2a03:2880:f11f::\\/48\",\"2a03:2880:f21f::\\/48\",\"2a03:2880:f121::\\/48\",\"2a03:2880:f221::\\/48\",\"2a03:2880:f122::\\/48\",\"2a03:2880:f222::\\/48\",\"2a03:2880:f123::\\/48\",\"2a03:2880:f223::\\/48\",\"2a03:2880:f10c::\\/48\",\"2a03:2880:f20c::\\/48\",\"2a03:2880:f126::\\/48\",\"2a03:2880:f226::\\/48\",\"2a03:2880:f105::\\/48\",\"2a03:2880:f205::\\/48\",\"2a03:2880:f125::\\/48\",\"2a03:2880:f225::\\/48\",\"2a03:2880:f106::\\/48\",\"2a03:2880:f206::\\/48\",\"2a03:2880:f11b::\\/48\",\"2a03:2880:f21b::\\/48\",\"2a03:2880:f113::\\/48\",\"2a03:2880:f213::\\/48\",\"2a03:2880:f11c::\\/48\",\"2a03:2880:f21c::\\/48\",\"2a03:2880:f128::\\/48\",\"2a03:2880:f228::\\/48\",\"2a03:2880:f02a::\\/48\",\"2a03:2880:f12a::\\/48\",\"2a03:2880:f22a::\\/48\",\"2a03:2880:f12f::\\/48\",\"2a03:2880:f22f::\\/48\",\"2a03:2880:f11d::\\/48\",\"2a03:2880:f11e::\\/48\",\"2a03:2880:f120::\\/48\",\"2a03:2880:f124::\\/48\",\"2a03:2880:f127::\\/48\",\"2a03:2880:f129::\\/48\",\"2a03:2880:f12b::\\/48\",\"2a03:2880:f12c::\\/48\",\"2a03:2880:f12d::\\/48\",\"2a03:2880:f12e::\\/48\",\"2a03:2880:f130::\\/48\",\"2a03:2880:f131::\\/48\",\"2a03:2880:f132::\\/48\",\"2a03:2880:f133::\\/48\",\"2a03:2880:f134::\\/48\",\"2a03:2880:f135::\\/48\",\"2a03:2880:f136::\\/48\",\"2a03:2880:f137::\\/48\",\"2a03:2880:f138::\\/48\",\"2a03:2880:f139::\\/48\",\"2a03:2880:f13a::\\/48\",\"2a03:2880:f13b::\\/48\",\"2a03:2880:f13c::\\/48\",\"2a03:2880:f13d::\\/48\",\"2a03:2880:f13e::\\/48\",\"2a03:2880:f13f::\\/48\",\"2a03:2880:f21d::\\/48\",\"2a03:2880:f21e::\\/48\",\"2a03:2880:f220::\\/48\",\"2a03:2880:f224::\\/48\",\"2a03:2880:f227::\\/48\",\"2a03:2880:f229::\\/48\",\"2a03:2880:f22b::\\/48\",\"2a03:2880:f22c::\\/48\",\"2a03:2880:f22d::\\/48\",\"2a03:2880:f22e::\\/48\",\"2a03:2880:f230::\\/48\",\"2a03:2880:f231::\\/48\",\"2a03:2880:f232::\\/48\",\"2a03:2880:f233::\\/48\",\"2a03:2880:f234::\\/48\",\"2a03:2880:f235::\\/48\",\"2a03:2880:f236::\\/48\",\"2a03:2880:f237::\\/48\",\"2a03:2880:f238::\\/48\",\"2a03:2880:f239::\\/48\",\"2a03:2880:f23a::\\/48\",\"2a03:2880:f23b::\\/48\",\"2a03:2880:f23c::\\/48\",\"2a03:2880:f23d::\\/48\",\"2a03:2880:f23e::\\/48\",\"2a03:2880:f23f::\\/48\",\"2a03:2880:f0ff::\\/48\",\"2a03:2880:f1ff::\\/48\",\"2a03:2880:f2ff::\\/48\",\"2c0f:ef78:0003::\\/48\"]},\"uptimerobot\":{\"n\":\"Uptime Robot\",\"d\":true,\"r\":[\"69.162.124.224\\/28\",\"63.143.42.240\\/28\"]},\"statuscake\":{\"n\":\"StatusCake\",\"d\":true,\"r\":[\"103.194.112.70\",\"104.131.247.151\",\"104.131.248.65\",\"104.131.248.78\",\"104.156.229.24\",\"104.156.255.184\",\"104.206.168.26\",\"104.238.164.105\",\"107.150.1.135\",\"107.155.104.182\",\"107.155.108.234\",\"107.155.125.29\",\"107.161.28.219\",\"107.170.197.248\",\"107.170.219.46\",\"107.170.227.23\",\"107.170.227.24\",\"107.170.240.141\",\"107.170.53.191\",\"107.191.47.131\",\"107.191.57.237\",\"108.61.119.153\",\"108.61.162.214\",\"108.61.205.201\",\"108.61.212.141\",\"108.61.215.179\",\"125.63.48.239\",\"128.199.222.65\",\"138.197.130.232\",\"138.197.130.235\",\"138.197.140.243\",\"138.204.171.136\",\"138.68.24.115\",\"138.68.24.136\",\"138.68.24.207\",\"138.68.24.60\",\"138.68.80.10\",\"138.68.80.173\",\"139.59.15.79\",\"139.59.155.26\",\"139.59.190.241\",\"139.59.22.109\",\"139.59.26.85\",\"139.59.29.167\",\"149.154.157.61\",\"149.255.59.100\",\"151.236.10.238\",\"151.236.18.80\",\"151.80.175.223\",\"151.80.175.226\",\"154.127.60.23\",\"154.127.60.59\",\"158.255.208.76\",\"159.203.182.22\",\"159.203.182.60\",\"159.203.186.225\",\"159.203.31.18\",\"162.243.247.163\",\"162.243.71.56\",\"162.248.97.72\",\"162.253.64.104\",\"162.253.64.87\",\"176.56.230.110\",\"178.62.101.57\",\"178.62.104.137\",\"178.62.106.84\",\"178.62.109.7\",\"178.62.40.233\",\"178.62.41.44\",\"178.62.41.49\",\"178.62.41.52\",\"178.62.65.162\",\"178.62.71.227\",\"178.62.78.199\",\"178.62.80.93\",\"178.62.86.69\",\"178.73.210.99\",\"181.41.201.117\",\"181.41.214.137\",\"185.112.157.185\",\"185.12.45.70\",\"185.47.129.168\",\"185.60.135.86\",\"188.166.158.224\",\"188.166.253.148\",\"188.226.139.158\",\"188.226.158.160\",\"188.226.169.228\",\"188.226.171.58\",\"188.226.184.152\",\"188.226.185.106\",\"188.226.186.199\",\"188.226.203.84\",\"188.226.247.184\",\"188.68.238.79\",\"192.241.221.11\",\"193.124.178.54\",\"193.124.178.61\",\"193.182.144.105\",\"193.182.144.147\",\"199.167.128.80\",\"209.222.30.242\",\"213.183.56.107\",\"217.148.43.188\",\"217.148.43.202\",\"31.220.7.237\",\"37.157.246.146\",\"37.235.48.42\",\"37.235.52.25\",\"37.235.53.240\",\"37.235.55.205\",\"37.97.188.103\",\"45.32.128.80\",\"45.32.145.79\",\"45.32.151.21\",\"45.32.160.172\",\"45.32.166.195\",\"45.32.171.24\",\"45.32.192.198\",\"45.32.195.186\",\"45.32.195.93\",\"45.32.212.56\",\"45.32.36.158\",\"45.32.7.22\",\"45.63.121.159\",\"45.63.26.78\",\"45.63.51.63\",\"45.63.61.213\",\"45.63.76.68\",\"45.63.78.84\",\"45.63.86.120\",\"45.63.88.213\",\"45.76.1.44\",\"45.76.192.50\",\"45.76.3.112\",\"46.101.0.24\",\"46.101.110.32\",\"46.101.110.43\",\"46.101.110.45\",\"46.101.20.96\",\"46.101.238.182\",\"46.101.238.189\",\"46.101.240.208\",\"46.101.27.186\",\"46.101.61.83\",\"46.101.74.251\",\"5.45.179.103\",\"50.2.139.16\",\"82.221.95.161\",\"91.236.116.163\"]},\"managewp\":{\"n\":\"ManageWP\",\"d\":false,\"r\":[\"34.211.180.66\",\"54.70.65.107\",\"34.210.224.7\",\"52.41.5.108\",\"52.35.72.129\",\"54.191.137.17\",\"35.162.254.253\",\"52.11.12.231\",\"52.11.29.70\",\"52.11.54.161\",\"52.24.142.159\",\"52.25.191.255\",\"52.27.181.126\",\"52.34.126.117\",\"52.34.254.47\",\"52.35.82.99\",\"52.36.28.80\",\"52.38.106.97\",\"52.39.177.152\",\"52.41.230.148\",\"52.41.237.12\",\"52.42.126.166\",\"52.43.13.71\",\"52.43.76.224\",\"52.88.96.110\",\"52.89.155.51\",\"54.148.73.118\",\"54.186.37.105\",\"54.187.92.57\",\"54.191.32.65\",\"54.191.67.23\",\"54.191.80.119\",\"54.191.135.209\",\"54.191.136.176\",\"54.191.148.85\",\"54.191.149.8\",\"52.26.122.21\",\"52.24.187.29\",\"52.89.85.107\",\"54.186.128.167\",\"54.191.40.136\",\"52.24.62.11\",\"52.88.119.122\",\"54.191.148.225\",\"54.191.151.18\",\"52.89.94.121\",\"52.25.116.116\",\"52.88.215.225\",\"54.186.143.184\",\"52.88.197.180\",\"52.27.171.126\"]},\"seznam\":{\"n\":\"Seznam Search Engine\",\"d\":true,\"r\":[\"77.75.74.0\\/24\",\"77.75.76.0\\/24\",\"77.75.77.0\\/24\",\"77.75.78.0\\/24\",\"77.75.79.0\\/24\",\"2a02:598:a::78:0\\/112\",\"2a02:598:a::79:0\\/112\",\"2a02:598:2::0\\/96\"]}}", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wp_home_url", "https://test.ajdembrosky.com", "yes");
INSERT INTO `wpky_wfconfig` VALUES("wp_site_url", "https://test.ajdembrosky.com", "yes");

/* INSERT TABLE DATA: wpky_wffilemods */
INSERT INTO `wpky_wffilemods` VALUES("\0G@\\>/", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ChefInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t&r@;f", "iifzΰP\\B<Wٴp2,T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0\rDo&z[", "wp-content/plugins/imagify/inc/common/attachments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VHzĻ", "GbgZOC.i\0.Z4a+˭ydҪ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\031P퀅7", "wp-content/themes/oceanwp/woocommerce/loop/thumbnail/gallery-slider.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	hC®I4DV", "ܶOo7Virŭ\r;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0.O0>(\nQ;O", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RP\'\'Ӆ", "V\no]\ryӂp ^frL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0?H\0E}\"", "wp-includes/sodium_compat/lib/namespaced.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$ԔZkXh`", "`a0)IDz\\pfY-t(.T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\00#9Z4j$", "wp-admin/network/user-edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?aO\Z\'	", "nF#V}\Z^LKu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\03K!`f$e", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/cookie-notice.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DT\rGQC+!Qy$", "½nCqv3qMCcG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\05g꫔c0\"D", "wp-includes/css/media-views-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԩ\07dv", "?j3oDD@4>KvCN5H^A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0>oZ=-i\\", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/UidProcessorTest.php", "0", "o+#?e6K	&@Ys", "o+#?e6K	&@Ys", "eD0&\0Fm$] )?~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0C_\njD@k", "wp-admin/network/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޚxϤ", "Ek꣼|3u.PIA+S(~|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0GM(YlWz!", "wp-includes/sodium_compat/src/Core/X25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pZ:!ټ", "3l@o-3SՏ&!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0Z>f", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/shortcode.php", "0", "ٸcFZ:ĝB", "ٸcFZ:ĝB", "2	47\rbax\nNhx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0`YϭrG", "wp-includes/SimplePie/Restriction.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*qhds;y", "u\\Qi窍gDH	;\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0o@eiM\0", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-admin-ajax-post-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "brǠAR", "wFR>c;z*S=\\+gY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0|zyjICzk3<a", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " V|7", "P@=w1NzabC+4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0\0Rp.\rB-n", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/ServiceProviderAggregate.php", "0", "ŞK*4Ɯ", "ŞK*4Ɯ", "o	?*7UQ ʞhL?Щ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0\r>}䨬<", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/icon-picker.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y!Rt }5[", "I5@)\rm=ȪD 4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0MSvCCoԉ:f[", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s1.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DXE !a8[R`", "ǚ\0$OBxztu»i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0;fQ=*Ǖ", "wp-includes/js/wp-emoji.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zr%՗-^c", "ViK[_@`(̫\r?|n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0ng4/S", "wp-content/plugins/ocean-extra/includes/menu-icons/js/admin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"=	F", "㡂5΄r^\n8HfT񊧹", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0ٸhk", "wp-content/plugins/ocean-sticky-footer/assets/js/main.min.js", "0", "a!b$2", "a!b$2", "w,SFf5>?{\0+N1[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\09k5&ٙ 7N", "wp-includes/sodium_compat/src/Core32/Curve25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MkݢAD5zyj", "BQe!RilsnqR41xxQ!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0F~?	", "wp-content/plugins/elementor/assets/shapes/mountains.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0Pq%@u\"O", "}Îׯ<pݭ#X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0OUtB5", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/EzPlatformInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@5$uoa ", "N8f?l}i\Znp}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0|9ue@", "wp-admin/includes/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":VwIX%\"|", "+Z\04 E+V/8TsEK3nPN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0`ro %/", "wp-content/plugins/imagify/classes/Webp/RewriteRules/Nginx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nph\ZIř(", "spSc!kiY2sE3RkF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0D`8Rɲ%", "wp-content/plugins/wordfence/waf/wfWAFIPBlocksController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m\nf|`", "\nn!c^,)rh@tع", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0lDdu^Y", "wp-admin/user/privacy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'׼n\r\')", "qOXuAG\Z@YU2j.[P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0氺g@;k\"", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-palette.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~G+x\nɰ0*>", "-	z1xL#ְ)P/@#W$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0HҒoy3", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Billing/Subscriptions/Zones.php", "0", "@`=n", "@`=n", "2\r!E}6F\Z\noF<3>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0P*L!", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Exception/AuthenticationException.php", "0", "OH9/}ieAK", "OH9/}ieAK", "g]g%\')tP9R *i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rx+Uڜ", "wp-includes/css/dist/list-reusable-blocks/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rws\nye", "bUXA6W\n>j.C}L%\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Փ[4y*", "wp-content/plugins/elementor-pro/modules/posts/widgets/posts-base.php", "0", "x\'M1x a", "x\'M1x a", "ig1w^g#nVmϢ4wRE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rqwAț", "wp-content/plugins/elementor/includes/elements/repeater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Τ!N\rk|Iy^", "|Bqvr1=d꒻7(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wqnanI", "wp-content/plugins/ocean-elementor-widgets/assets/js/off-canvas.min.js", "0", "յqȹ$Ev<", "յqȹ$Ev<", "nev\0\\p(cP< =ha", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sT[Ի#g@", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/icomoon.php", "0", "B|=I", "B|=I", "Nx*V-\nH Oxk@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ie)Iӭ", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/StringHandler.php", "0", "$60~)ǰ<\0[", "$60~)ǰ<\0[", "_.y\nu)7ѹP9\r4|̜+4wE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fm&g\r[X_", "wp-content/plugins/elementor/core/dynamic-tags/base-tag.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*;Z,Z,mJ", "w\\0`CnN9;3ů\n{-5P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FѶ&!q", "wp-content/plugins/wp-rocket/views/settings/page-sections/file-optimization.php", "0", "7U<q+)y,", "7U<q+)y,", "7ZM=\r}\0/n\rE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NQ\"*hzrw|\Z", "wp-admin/images/media-button-other.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƴk|,O\"", "\n6b+d1m㗡_zт3<}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VHR6%?\r", "wp-content/plugins/elementor-pro/modules/forms/actions/activity-log.php", "0", "S7d\02", "S7d\02", "&(3=jFXz!Nq0!	(!7M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xɘy_7XN/", "wp-content/plugins/wordfence/views/scanner/issue-diskSpace.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z.*:î+1", "\Zޔeg)QRCAm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]jRX", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/AddressNotFoundException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "//Rj.", "3\'X\ro`/D/3\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bx]RHCMO", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-radio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\Ev,Ȣ", "2<F6Q؊M,(	zBFM*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fV\n?_ψAb", "wp-content/plugins/wpforms/includes/admin/importers/class-base.php", "0", "\ZTgV61", "\ZTgV61", "fM竫[]4YʦQl/h~t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i.#\Z4>>", "wp-content/themes/oceanwp/woocommerce/owp-single-product.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "? 	av>Z", "8قoڎAHMݬ_U^SiH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uMzl60{C", "wp-content/plugins/duplicate-page/duplicatepage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">{\0+T׌W/", "`dN_江(cUҠANgW,\r\n\na", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z,Me\'qJ!Z", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-price.php", "0", "n̏|y<", "n̏|y<", "䱢~HoB&)SJj67LD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q]C(S~", "wp-content/plugins/elementor/core/debug/classes/inspection-base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L=4", "KI^l&ZY76\'h%N.(::", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ThzPr", "wp-admin/widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xl^*VM", "I-c.qB/ήo=AC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϋД\'OtʗM;", "wp-includes/js/dist/deprecated.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#;V3~툟", "R>8zq74R%QuL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y\rwru!9Sg", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.engine.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^Wsx[.R", "<UGbZz2ΗsI>^e!5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{]L4Nu#", "wp-content/plugins/imagify/assets/css/sweetalert-custom.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N̇MUU", "*1-UޡHFMƞ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E?tB9bvF`1", "wp-content/plugins/wordfence/modules/login-security/img/loading_background.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'2p\nKX", "Ύ%XŖF1s;Lzr璻", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" AH\0\r-3/", "wp-content/plugins/ocean-elementor-widgets/modules/button-effects/widgets/button-effects.php", "0", "Q|FdX", "Q|FdX", "M\ZYIvuΏX~\'8$9ϭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$o;", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.loggerbase.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|yЮܘF[[", "/鿂ܦB9WhZr5̇t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")C=8W", "wp-content/plugins/wpforms/pro/includes/admin/class-upgrades.php", "0", "z@`!̡O", "z@`!̡O", "\"Gf+|Jъ3\nIEw}W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t]ٟuuj", "wp-admin/images/menu-vs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qL,_;1/E", "GiH|)E;\"_;ԣ4Իwly", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~w`5;F㮮", "wp-includes/js/jquery/ui/effect-size.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=n2Z%", "	0[ȔsĪj\'o96x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=q\rljA+", "wp-admin/user/user-edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*zucm	Je", "啱̱		p@\\ͩ؈9.a>vYʢ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^5L}u;", "wp-content/plugins/ocean-full-screen/assets/js/third/fullpage.js", "0", "ғPa+g&", "ғPa+g&", "JvG]6ۃ\Zjjb?$@V&g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0->$U", "wp-content/plugins/elementor/includes/controls/select2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ٙz{CJ44", "=5\0z`3CFy{ޜȡfYpL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<)8T*.SuSĺ", "wp-includes/SimplePie/Cache/MySQL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BC\ZHxV", "tAB٠B=)RhO\"g;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AP*꟧/=", "wp-content/plugins/wp-rocket/views/settings/partials/documentation.php", "0", "4-AЧ&", "4-AЧ&", "<ci1QEmб3xn8OSf2$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HC!\"(", "wp-includes/js/tinymce/plugins/compat3x/css/dialog.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "11h+ezKk\Z\"", "*3U#\n]]uho\rβ\r;5j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J\rӷG>", "wp-includes/class-walker-page-dropdown.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nXK*K", "K9ղGO](ҫ;9@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q\Z6vzKx(\'", "wp-content/themes/oceanwp/inc/customizer/controls/text/text.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "«8yd", "*VGŗv6Ydڵ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("usy6\'v,=", "wp-includes/js/tinymce/plugins/wordpress/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z<AE1q\'", "yϵia5rhX@!r )iOA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zo3CEp^Ѡ", "wp-content/plugins/ocean-extra/assets/js/lightbox.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$=`n^ȳ@", ">ofj,Q@jd{B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~Q HdF", "wp-content/plugins/ocean-extra/includes/panel/assets/img/social-share-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7YA#˂ct*~", "]B({ϖr<	47*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"qUy9%Q", "wp-includes/class-wp-matchesmapregex.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XRyq2F),", "Hfws˦Xt0njEc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oi=w:f", "wp-content/plugins/ocean-extra/includes/panel/assets/css/installer.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]&b6:", "bNWnt3N6h,CʦI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")^3Of", "wp-content/plugins/duplicator/ctrls/ctrl.package.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W\",Vcv\\", "+iwz%pF^1\ns\Zڤ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rCcYT", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.logging.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZF&7Vԣ}j", "\0mM_$.4gRփC؎fO_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\".}}X1\Z", "wp-content/themes/twentynineteen/template-parts/post/discussion-meta.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">@vHZ#u", "X~mW;CF\Z;\\>ፀSL3S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XߎeK", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-featured-image.php", "0", "Dk0k9MG24~", "Dk0k9MG24~", "$|164\nSȺ?jVD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Kk7%W", "wp-content/plugins/duplicator/classes/host/class.godaddy.host.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0V,LjN0", "Ky-k{EV=W/UF$|O^\ZQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("¼aȖ\04", "wp-content/plugins/wpforms/includes/class-process.php", "0", "A;*Ls\n\0", "A;*Ls\n\0", "D7S~d.\05XVtC!U>+H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʒg80L", "wp-content/plugins/wp-rocket/assets/img/imagify.svg", "0", "l2%g$", "l2%g$", "U?d+\n`d\0,\0\Znj$\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" K iDt", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Salsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zz#H", "n]x\Z_ѪkB-a&̃", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".\ryb_", "wp-content/themes/oceanwp/assets/js/devs/customselect.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " qe2Έ+", "wL956pNGc09`<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7&Ȁ", "wp-includes/js/tinymce/skins/lightgray/content.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{~_I˵OK@", "%\\.\"UҚV&9\\]^d%zg$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*(*+Wjcp", "wp-content/plugins/wordfence/crypto/vendor/autoload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3Կ:V	U\'", "|<P*tg3dYs/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JkZA\'>fONd", "wp-content/plugins/imagify/inc/classes/class-imagify-cron-rating.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%zPCو", "D|ڮo?ط8F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nWqC", "wp-content/themes/oceanwp/assets/css/third/bbpress.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">ܮI*?F̫", ")AJJ/8KaF	MGO-ط", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r6i٬qk", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-attachment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nz#A", "mG[I:wӹú&e\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("85\\Rqo-=", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/WebServiceException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h$x /", "<bobnAE7_GK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4g`F", "wp-content/plugins/elementor-pro/modules/theme-builder/skins/posts-archive-skin-classic.php", "0", "%/KT", "%/KT", "{eos7Sݦ<_Nvo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0rH\"YK]T", "wp-admin/css/site-icon-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";w}k2z", "αa	Xgkf8jnѪ=&`sا", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]#.2б", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Invites.php", "0", "T흆_4e", "T흆_4e", "Y[ćIsy&\"ʁ?gĊF]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!n=R\ZE p", "wp-content/plugins/wordfence/css/iptraf.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ebf.\nV[xPh", "J-@ ]-	cqWQ$8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'KBQopxe#O", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "97A>[`?", "xҀuw֧蘑SAh4+HB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(љ\0H<_", "wp-admin/includes/nav-menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n`%ÚH", "aK3g@W%!\n$z˿K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<.4vc\"`t", "wp-includes/class-wp-simplepie-sanitize-kses.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k\ZsYڞg", "yrт\'-%\n0($-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GT7ƺz9z", "wp-content/plugins/imagify/views/button/retry-optimize.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".+܄6R}[l", "e	1v\n;_q9K\'pL.b].", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PxF`c[e7", "wp-content/plugins/elementor/assets/shapes/book.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aUtc׎f:O9~", "Щ)|XIs߄ZK++ԔVi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c&&,iLm", "wp-content/plugins/elementor/includes/maintenance-mode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")h:b-qY֮[", ":>$M?^³NkbZ(Ѝ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iPÙld\0", "wp-includes/css/jquery-ui-dialog.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "¤vc94:", "^yZMe慽ǂg}nx\\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k4c5<\"", "wp-includes/js/dist/autop.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bcǮ?\"xܘ5l", " ɟFSoG4o<+!ךe^*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~Iת(vV", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/premium-seo-pack.php", "0", "Q\nYr8\r||", "Q\nYr8\r||", "o)j7anHxPW,QӜF1\nԺ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q;GƼt", "wp-content/plugins/ocean-extra/sass/components/_widget-video.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*G\"Y24", "\\s.mo!;+1Df]ԀZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(ϱ%", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LavaLiteInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s@4	\ZDw", "+Yv2\ZBP@bHIe4M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2g8\n", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0k]\\}+V", ";x䙻18:^M{eҰ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xEAe}>", "wp-content/plugins/elementor-pro/modules/popup/module.php", "0", "`2z}@Zgp)", "`2z}@Zgp)", "3g\0$c\\Ca2D<4)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b*%\'F\'R", "wp-content/plugins/wpforms/pro/includes/fields/class-date-time.php", "0", "xangho];)[=", "xangho];)[=", "%Ֆst	L\Zc\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j<", "wp-content/plugins/elementor-pro/assets/js/frontend.js", "0", "u\0N$~ga,;", "u\0N$~ga,;", "=QUb>EޜsUx|XzvY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3FHeQ", "wp-content/plugins/elementor/assets/css/frontend.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{	", "\n:@nGr##Yqٹyys", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pCy)	{", "wp-content/themes/twentynineteen/sass/forms/_fields.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}6r	_", "H (XJN5\\<*m\0\r4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z.NQǟQN", "wp-content/themes/oceanwp/sass/woo/_woo-cat-widget.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Vk@م¾GfR2hb", "[y1\nhy<fOviԵgI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2_ylo6", "wp-content/plugins/wp-rocket/inc/admin/ui/enqueue.php", "0", "\rvDAK[09TA", "\rvDAK[09TA", "wGna%X*7{,G\'ŢCt\\қJ]G/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!@|4n", "wp-includes/class-http.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܳBEf aC", "2[6kŋ`?G58Kթ*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'ڞ\0;?+VҪ", "wp-admin/network/edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WVt{x\ra͞", "d\Z-aV~IehCn1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+D_	6,2", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/icon-set-base.php", "0", "\"5vZXW:o", "\"5vZXW:o", "bܗ>:dSe!{jI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1 |eK", "wp-content/themes/oceanwp/templates/landing.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HboCD~7\\J\Z", "wJQ71gw4ÑnnoTS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";pR9+qpծ", "wp-admin/includes/options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8W6؋g", ".4osd\"⻛ؾ@I KBscS~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E&VN\"N", "wp-admin/css/ie.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y`-z\0\\", "vAH\0eq$WDjK+{j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xm\0~", "wp-includes/customize/class-wp-customize-nav-menus-panel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vKoe\r", "|5~VAWo*Q/iX=AS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r=&0\'", "wp-content/plugins/ocean-extra/assets/css/socialMenu.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "30 gJ?", "ֲ3\n=ҔIQxIcoL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P%h~g\r	", "wp-content/plugins/elementor/assets/lib/animate.css/animate.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZgSOR\ry-", "KC6#3urŤ7|\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"WC\"(&\Z]%v", "wp-content/plugins/wp-rocket/views/settings/page-sections/sucuri.php", "0", "^*e˳o", "^*e˳o", "~9!drqPn(z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n#T?׻", "wp-content/plugins/wordfence/views/scanner/issue-publiclyAccessible.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=3n.ZK7Rb~<", "LؖknHN\n$ʨ#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U=-", "wp-content/plugins/imagify/inc/functions/compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$ToUNTB/", "|?f/\"oԚ0%>Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ú2d=", "wp-includes/rest-api.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{i\n", "׸jLCfcT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MPVz", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/css/all.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{E}j{#X{7S", ",9?`eu&qmϩA+ψʨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P\0\'0lv#J<", "wp-includes/js/jquery/ui/effect-fold.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6^<DEl", "eC6HT8Ҝ_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȅxy", "wp-includes/js/tinymce/skins/wordpress/images/embedded.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pNy~n\"", "{ux\'Jº@i\"H;]6h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϴ 3P`#8^Z", "wp-admin/css/colors/coffee/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`&֣?u", "nfhxX ߕΠ,9R3M\'+\n.I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-]?bɨ", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/Rijndael.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/nqF\n$U", "o\'JC\r-}*A:.v5\Z|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Og26\'cC\rw", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Logger.php", "0", "bF	tg\':", "bF	tg\':", "`5nn/e}-0}*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rf)", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Symfony1Installer.php", "0", "LQ\09mM", "LQ\09mM", "|3,Ux`i@?f.@F/x}h#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n,yЉʸ#", "wp-content/plugins/elementor/includes/editor-templates/editor-wrapper.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nE=z9]>", "TGwJЯZv֒u`?2K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ilMթOU5?", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-url.php", "0", "s]7	fu>D", "s]7	fu>D", "-9;&GN@:}Iv/{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}(", "wp-content/plugins/wpforms/pro/includes/fields/class-address.php", "0", "J h_I3", "J h_I3", "]=rqVݰA(ƒo&%9<%O(?RV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"N߬jj)\0N", "wp-admin/images/menu-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jG{>^;$", "2]y#h29> ^s\rH	\ng", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/\'ssB*", "wp-content/plugins/wpforms/assets/images/cross-inverse.svg", "0", "F\rxnDnG,$", "F\rxnDnG,$", "?If׽ĩ	b\\3mH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6ZF1Z1b", "wp-content/plugins/wp-rocket/inc/classes/subscriber/class-facebook-tracking-cache-busting-subscriber.php", "0", "s|֐ \rP0", "s|֐ \rP0", "2j$fmk`_)|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AUE޼day", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PimcoreInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";J;`ƒ nH", "\r~$#,[5gtW]I{8r(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TJzz.", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/StreamHandler.php", "0", "o1e\Zr`B]߾g", "o1e\Zr`B]߾g", "$\rj<D0}y5pc_Π_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l7ز}޵K", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.css.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D~c|09", ",璞w\Za1>(Ҏ<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q_\"1F", "wp-includes/rest-api/endpoints/class-wp-rest-taxonomies-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϔ:Љ+=K", "P4V<hE-ϑd:>m+&.9H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t\'xH8<W", "wp-content/plugins/wordfence/modules/login-security/js/jquery.colorbox.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lYZiਆ3\02[", "(A#F~+FghS.b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tZQYz0跫", "wp-admin/images/wordpress-logo.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ưyo88S`", "bxLPͰ=^am1i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z7}\Zeް", "wp-content/plugins/ocean-extra/includes/panel/assets/css/about.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gYosX", "ІJfx/H\r\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K5$rEp", "wp-content/plugins/elementor/includes/widgets/accordion.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g?([}ttW2", "\rB]\nuIaJk1ye⮢g0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѼRKdP", "wp-content/themes/twentysixteen/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OFHr׈R/	хv_", "~6@C-\ZSӛ\\Ȩ#>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k5SHЫ", "wp-includes/SimplePie/Author.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4q_A%Nw1", "n#O/jbwP&i#_`YО", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̑Ybsli=\Z", "wp-content/plugins/ocean-woo-popup/assets/js/owp.min.js", "0", "~Ktl", "~Ktl", "q R	*LtKoJ/IG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ebWA0d", "wp-admin/images/comment-grey-bubble.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y*\'tF", "7	y񮌬U{ԟ`]m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[4?s", "wp-includes/css/dist/block-library/editor.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",\ry<Y0", "-wwvk;&@jɥb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i\\-\Zxy `", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KanboardInstaller.php", "0", "*3]<]\'", "*3]<]\'", "нrt}Q7@I=}amu(Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ia\n؎a", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/P2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">\Z\Z+,", "*y$MQ[q:h\")XTC\0\\k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5>j<D5	%", "wp-content/plugins/imagify/inc/classes/class-imagify-views.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F%.r7=r˃", "ěS</~t\'?cϩG[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\^s,z(", "wp-content/plugins/wordfence/lib/dashboard/widget_tdf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2\'p[UaH", "?}mwDqn2R\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\'", "wp-content/themes/oceanwp/assets/css/woo/wishlist.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g XGɓ", "(ZAtjL~jPē;s0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S8ɵ\rd\n", "wp-content/plugins/ocean-extra/includes/metabox/metabox.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rL	%KE|", "4cǘ\'TU\Z:>S5õ8*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mqPoD0*L", "wp-content/plugins/wordfence/lib/wfRESTAPI.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\8H mi+", "++Ɵ0͂b=[㜁", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f>X5\0	T", "wp-content/plugins/wpforms/pro/includes/class-conditional-logic-fields.php", "0", "i;ؘmP5o\\", "i;ؘmP5o\\", "XbJLBgㆯ4Pa/xH\"}^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZE^}ӊ431", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/DynamoDbHandler.php", "0", "\Z;\ZΞ", "\Z;\ZΞ", "$YaIz/~MćHJƅ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ,eOzÑ", "wp-includes/customize/class-wp-customize-site-icon-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F~]gi", "~t-[Sw,ǎ7͘bw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"v.1WBH", "wp-content/plugins/ocean-popup-login/assets/js/main.min.js", "0", "Sfmifǳ", "Sfmifǳ", "\00;&U\07$4?E}^iZ`#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",5XpBFdcj+", "wp-includes/js/dist/vendor/lodash.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b*&9Tdm", "n;JW\"Ҿ-.{Iѳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7>WǮP\r", "wp-content/themes/oceanwp/partials/single/meta.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_1go>", "	rmM	1YRס4,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9In.q", "wp-content/plugins/wp-rocket/licence-data.php", "0", "-0a^?\Z", "-0a^?\Z", "ZF`D)~k@W|-=V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bm_6`̶*", "wp-content/plugins/ocean-hooks/ocean-hooks.php", "0", "ɠ.їmԦp", "ɠ.їmԦp", "	m\0Zi%ňFݯOfqԛ\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gm\rr7iKo", "wp-content/plugins/ocean-sticky-footer/assets/js/customizer.js", "0", "Xn&B,&n", "Xn&B,&n", ";s7CwI9vN[Q׊.wp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HB/y7k", "wp-content/plugins/ocean-elementor-widgets/modules/tabs/module.php", "0", "gkwg8$3E", "gkwg8$3E", "`?ʍ<|ҡ\r)_*z\0\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q (;ؠ|~R8b", "wp-admin/includes/user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{-F\"Labf", "vYZuEDZqz3JZ9x{G%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T]\\g4źuP;", "wp-admin/css/admin-menu-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-QvC", "	fCƜ$d}\\,xOR:Wܥ9;7j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bpA+-+ʉ", "wp-admin/js/widgets/text-widgets.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2p+sා", "$2҂\0U?lO:|od9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iYQ8݋5$", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CraftInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "إg]b", "gD>IB9LI	*1160C|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v%>F3Z", "wp-content/plugins/wordfence/modules/login-security/js/jquery-ui-timepicker-addon.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "89\"zzVv*]", "ۆ%%l:Jf<bqPPt˯}ߝ\"f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|HױY*", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PimcoreInstaller.php", "0", ";J;`ƒ nH", ";J;`ƒ nH", "\r~$#,[5gtW]I{8r(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S]8\'xW;", "wp-content/plugins/ocean-elementor-widgets/modules/register/widgets/register.php", "0", "DDs&-U\ZT\0", "DDs&-U\ZT\0", "P<x^D,,=~b<x`QĦM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" K1", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/any-child-of.php", "0", "YT:v", "YT:v", "sGY7^~Fy{1-kp\r/M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%bQbM<x", "wp-includes/js/imgareaselect/border-anim-h.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z,ntZ^6{Lp4", "qschm-%x\ZBx\'E:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U$yR9Q8biX", "wp-content/plugins/ocean-extra/includes/shortcodes/logo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " sYh\0*", "YX)Dz!Pĩ?\\c?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O}ܸUy,", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/base-data-tag.php", "0", "2M2", "2M2", "~ZzyIATJ=lX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-6Yw@i=", "wp-content/plugins/wordfence/modules/login-security/classes/model/text/html.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OhO<FҬ", "PJHtNsnd*F\'WWaq]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SiI O-", "wp-content/plugins/duplicator/views/tools/diagnostics/logging.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dvAFkTYo", "cP\rz*}\r̜iǢD؅`LAvfC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0,X", "wp-includes/css/dist/edit-post/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CR퇷kz", "(n!)ZDÚd*[	Ö6Ì", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H0o>4C^N", "wp-content/plugins/elementor/includes/widgets/sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Gj\0$UN\'8Ƕn", "ZD|U=2^R0h6LP	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IGcG", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Node/Number.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\R65.Jx", "ˌ=KgLV)6X{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r\0Q@sή", "wp-content/plugins/elementor/modules/history/views/revisions-panel-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<,t_cYB", "|P{]NLȣ\r&<\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":+,G8", "wp-content/plugins/duplicator/classes/class.archive.config.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\Yy)Y< ", "wÊIVW&F2P:M_[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѧ_4a!F", "wp-admin/css/ie.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v", "׆dŪC*k]0ɾ\"Ͷ#8K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sa\0U/ajjm", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/temp.xml", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ُ\0	B~", "Bșo$\'AdLxRU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9ղK", "wp-content/plugins/elementor-pro/modules/forms/widgets/login.php", "0", "Gmpip7e", "Gmpip7e", "Უ$(dt/MaIe]<GH1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lCq,O", "wp-content/plugins/ocean-extra/includes/shortcodes/js/shortcode.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vuTF@0", "y5pĢKbr-RUlJS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Mv]7t", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Òxy$QOU", "Df=]¶rc.\\?]!<t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i)33ܥs*", "wp-admin/includes/class-wp-ms-users-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$o`s6U", "Ry\nY<rJ#-CۀbY7V\rI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_k6i\nxw}", "wp-content/plugins/elementor-pro/modules/global-widget/views/panel-template.php", "0", "G~LMű Ϭ", "G~LMű Ϭ", "8vG.ma뮯1WUU%hM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`\\̙D0l\'", "wp-content/plugins/duplicator/lib/dup_archive/classes/processors/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rP)4_\"\'1", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-sub.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nυ	L?06C", "\'-OR\"Nxn~l<W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z~^^Yj", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/sources.svg", "0", "O]t$8 2E", "O]t$8 2E", "/m3dghcc+bR^黥(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("􌺩ZN", "wp-content/plugins/wpforms/includes/emails/templates/field-default.php", "0", "k򮰄@^5", "k򮰄@^5", "-lp|fφÂXҞ\nuL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&nGoP", "wp-content/plugins/wp-rocket/inc/classes/logger/class-html-formatter.php", "0", "L,	u`)G", "L,	u`)G", "цSUPO\\aPE1l<i{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=	4Cͽia!", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eͫ֌l+K	", ";\"CG_fL`8z-ouACA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VYBJԉ", "wp-content/plugins/ocean-elementor-widgets/includes/class-recaptcha.php", "0", "fF*ݨi\'", "fF*ݨi\'", "|qHX\\5^ːJH!O?bܶ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o	lѴcd", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/H.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n@LjwD", "\r8d8sڇ6FȌ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ߞބ-,", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-select-group.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(y=$R", "nR숲OS9\'%Hk{i\'P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7l&Ѓ0_", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exception.php", "0", "6/	%ظGz3", "6/	%ظGz3", "@mbWEM`]8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I2e灨?D	", "wp-content/plugins/elementor/core/settings/page/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u*(pxnF", "B4ȗ2$\Z[ޜ ocLR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f],VDv", "wp-content/plugins/elementor/core/editor/notice-bar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$̦6GV:M", "$z}טʤ~Bf6?e;ubiWo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x|sKa", "wp-content/plugins/wordfence/views/common/page-help.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2o\0X#83~", "$>\n\ZW)O\0(\nݮ\08", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#	>7", "wp-includes/js/tinymce/skins/wordpress/images/pagebreak.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ImLWyݓH", "\rflդ/;l\\\\.6r#P[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("keq	~i:T", "wp-content/themes/oceanwp/partials/page/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{v$]J\r", "|m0H\Z]hh~\02mc\'\'y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ņLGP(Ήȯ", "wp-admin/js/widgets/media-widgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lɶ穽X5~=", "gؑ|-pk$˓*R]PIH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c-L;p\r[", "wp-content/plugins/ocean-extra/assets/js/fixedFooter.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Nh1I$UQ@H", "a%Wn1|N۽nĊ_s[I\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&	AH)I&", "wp-includes/js/dist/vendor/moment.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g\"[ewC081U", "ynX$\",Dce~9c$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t3E!", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Billing.php", "0", "Qh ^ŏ#R", "Qh ^ŏ#R", "AVy2gq `5u],&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4A4DJm{", "wp-content/plugins/elementor-pro/modules/forms/classes/recaptcha-handler.php", "0", "%\"ۜtx#dq^", "%\"ۜtx#dq^", "#e:a\0(Myj}LF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cYF}j`", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/P3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3b(浏К", "n;<	Ǖ-Wt]<su", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GN97;", "wp-content/plugins/imagify/assets/images/imagify-logo.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EQ.<", "ٚg6BS2>dҕx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C~gI/i_D", "wp-content/themes/twentysixteen/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aA-[^ڰ$.%B", "UnU{kDM潧+	uwe]&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GZx\"XMesd", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/FlowdockFormatter.php", "0", "	=ᢲ(", "	=ᢲ(", "0}faA^ 0~,}N3b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#7rY\0i", "wp-content/plugins/wordfence/views/common/status-tooltip.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%e\rFdE0sB", "%MbuI]CI\n6z}B4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&#pJh", "wp-content/plugins/wordfence/views/scanner/site-cleaning-bottom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",Is0w4Q", "E\"v+󴄏bo}xa{:@E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",!#QP[;", "wp-includes/sodium_compat/lib/sodium_compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ɋ`v4F_&", "бŒ|&C}snI}\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ہ;0.*", "wp-content/plugins/wordfence/views/blocking/country-modal.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-^A?", "axR;,\'K?QߦH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":뭲cRPe(", "wp-includes/rest-api/class-wp-rest-server.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9(LQ_Zl", "5\nՑgX$38_ʋU!ጕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_mACHzBsR", "wp-content/plugins/ocean-elementor-widgets/modules/logo/widgets/logo.php", "0", "fX^QgfI\0", "fX^QgfI\0", "ih8r*.d4CP̯TGZ6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cLUL\rA", "wp-content/plugins/ocean-extra/includes/panel/assets/img/facebook.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-$sH*", "YP6MJXl+ra2-g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eL#+QP:s9", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dxy-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h3t6}k", ") nUTKIlcV<Ep", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e؟v笪Ej", "wp-content/plugins/wordfence/lib/dashboard/widget_localattacks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/]L/Gb;", "$y\r\npu ?A8KΙTcVa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\0\Z{ ݛ6", "wp-includes/rest-api/endpoints/class-wp-rest-comments-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Bl\"Gʚ<4", "Expql{44&rI#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kbgS", "wp-includes/js/tinymce/plugins/wplink/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Wot9	;\"", "7g6DP&ueН-(=e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lE!wȀr", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/StringHandlerTest.php", "0", "-y\'ymz", "-y\'ymz", "0\r|yRohwl##D%mc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l#iuhz", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrow.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nll<\re;m!", "02ԃܭ;a]ZϭVCPH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}RӬ,Pt", "wp-content/plugins/ocean-extra/sass/widgets.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ad1\'", "(ILL0Z\\s(0b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L.\nw;[", "wp-content/plugins/wordfence/lib/dashboard/widget_logins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g#@Xs", "ĪN29WDWO0ѽmGN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":26%G^K", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AbstractProcessingHandler.php", "0", "{ħk|67=", "{ħk|67=", "VhwН݀bqM_\n\n_³_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g~w\Zhh", "wp-admin/css/themes-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$<&5|q^fU", "vʏC[L\'QF[}axK4.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B^u/;*玈{n", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spin.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<!,8", "J-V4KPC*U5V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|sTSe", "wp-content/plugins/imagify/classes/CDN/PushCDNInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3R5\']]7ˑp", "u?\'κ?ۍ/fsEj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(": ʺH\n!\r", "wp-content/plugins/elementor/assets/shapes/tilt.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q\nMt	mV ", "т!!:b$_:/e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R)0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/PHPConsoleHandlerTest.php", "0", "Ώ0F,+dL_@eD", "Ώ0F,+dL_@eD", "6}oAhY*wYZ쎪,6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c\nu\'k", "wp-content/plugins/duplicate-page/js/duplicate_page.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "񲙨[:#R", "N\rL3,NF+CL\0؎Bz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("؝iV$c\r,", "wp-content/plugins/wpforms/vendor/symfony/css-selector/CssSelector.php", "0", "xӉKZgґx", "xӉKZgґx", "6bbm.@&+`\"URp(^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ͥ`FJSu", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/P1p1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Kz+UŸ(5\\", "8:oI9,=zDk8;{A{\Zij", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bm%ڭ֫", "wp-includes/Requests/Exception/HTTP/502.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|:lz!{Gi", "/~UJO.ŀ#E5*\'Cq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yܡGGw&", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/HtmlExtension.php", "0", "~:pn,\'|\ZQd", "~:pn,\'|\ZQd", "Mh>YIjx6\ZSwe\'>_`\rC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	]ӫsX 񏔅", "wp-content/plugins/ocean-portfolio/includes/customizer/assets/js/customizer.min.js", "0", "Kf].D", "Kf].D", "9?QRk{s@fj	WA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	QW~-\0d", "wp-includes/class-phpass.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z!TB", "ZGd/	\'*Uy(Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	?quM", "wp-includes/js/mediaelement/mediaelementplayer.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2>gH799g", "^IRbhi6ɴ,pu~ǩzS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	,/Օ!gyd", "wp-includes/js/media-editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yQY;z{sxCdm", "t)8ܿ*iMPทDM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	3`]PBP ", "wp-content/plugins/ocean-extra/includes/panel/assets/css/panel.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p*\ZWˢu", "$ݑ$<މ9#oιq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	5\Z-DS5h", "wp-content/plugins/ocean-elementor-widgets/modules/hotspots/widgets/hotspots.php", "0", "sf.iIY(", "sf.iIY(", "MLqgnBp (;s+:,mKٟ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	7f	`", "wp-content/plugins/wordfence/images/sort_both.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dm	8f|Y", "~%ۉ%>BlouI)ȉ7g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	=%fB*;QJ", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/comments-url.php", "0", "C/83RGg", "C/83RGg", "Vz-¬R@+Ec4h[+W%fY|_3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	P=N>b\"j:~[Q{", "wp-includes/js/tinymce/plugins/wpdialogs/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[ߢ9Z", "$\'v D77Hl_cdN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	Xt\\4vNI5j", "wp-admin/async-upload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BEtv2fIgy]!", "%\0zP0&@KA-q!,ꍙ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	a|&H", "wp-content/plugins/imagify/classes/Context/WP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ew:%`h", "\"9ءjn\'$\" \0,YByG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	|`,*\'\"[F\"", "wp-content/plugins/ocean-elementor-widgets/modules/banner/module.php", "0", "BКr۶4ݿev\"", "BКr۶4ݿev\"", "@7vG/ϯx[uFrK1#\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	hXk%>{NB", "wp-includes/js/dist/viewport.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D43M𺒑", "b:A(MUUL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	&#fmʷpѯ", "wp-content/plugins/elementor-pro/modules/woocommerce/skins/skin-classic.php", "0", "`soJ", "`soJ", "\0|&.*O~Ăwr[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	;6]ZIab", "wp-content/plugins/elementor/includes/managers/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RI;\rE,kq", "17/B#6N|%؜i~cO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	.5uaWkJ", "wp-includes/Requests/Exception/HTTP/413.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<]ɐYXL", "\r}䟹-V\'eCCʅe-2,0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	P.2[A", "wp-content/plugins/ocean-elementor-widgets/includes/plugin.php", "0", "jO~.S!F", "jO~.S!F", "%嶇xSĊpDMYݺbW?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	lq1Ti", "wp-content/themes/twentynineteen/sass/site/_site.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S@*D/\\I", "XmWMKtV8Ɗ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	Ӱꅑc", "wp-includes/js/dist/escape-html.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I]&|\rf5ʚ", "E04.gJɎγ#-оP]H!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	9fވUf", "wp-includes/js/tinymce/tinymce.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@m\"뱕}(", "s\neX[Z3%zfwz6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	2m+J3;O;", "wp-content/themes/oceanwp/sass/components/header/_navigation.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n8Spʂkӫ+", "6\"WExsՐ	&E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	ma#7dI", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/jetpack.php", "0", "ӯNi+b{\\", "ӯNi+b{\\", "kXL#x+;\"K9E1\"o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	09-bͩW", "wp-admin/network/users.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "15]-ܠ3", ".5q־3xU53l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	~h4dթK", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/EliasisInstaller.php", "0", ":8ٷI", ":8ٷI", "\0x\Za&*U<Ƌ]yܻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n!i<q	v	w", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-grid.min.js", "0", "5]I	Ati1", "5]I	Ati1", "yg-Eז3fnd+=S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n\"\\R|D", "wp-content/plugins/duplicator/views/tools/diagnostics/information.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0m_nٞF޹(", "`.vm29t@>s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n358K{", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";(H-Jhtx", ";m}e(~y0m=},", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n<(JR8A2$", "wp-content/plugins/ocean-instagram/includes/class-instagram-api.php", "0", "|)nq ", "|)nq ", "m03W	ZL\\z8@sDS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nCB^	\rB(", "wp-content/plugins/ocean-extra/includes/panel/assets/img/side-panel-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G81Ni֘æjY", "?hAz޳dC!z8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nQFN", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.http.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|䬹2R89", " xOZ[BWO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nT/\\9$YU\n͌", "wp-includes/customize/class-wp-widget-form-customize-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{D*@6{τ}", "+֓zi@^F%5qZg<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nfY4&L", "wp-admin/images/se.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȔB`.}\'7:", "Y\"K{Ur:2JL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ngxj( RO;", "wp-content/plugins/ocean-elementor-widgets/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nv+9p\'88", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Monitors.php", "0", "N8`.", "N8`.", "u|mR޷ɯ!rt`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n{X%N8w2?M4C", "wp-includes/css/dist/format-library/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=,$gץ۸", "]\\fxѠ7ekhlq?0N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nfӅ;{t", "wp-includes/class-wp-role.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GUkƕ@\\z#x", "pXeV$2ЙY$$J}&l75V+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nTYe}L", "wp-content/plugins/imagify/inc/functions/partners.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i.Z,\n$\" ", "{oN;V<{:MƠҳM,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nb-V:|m", "wp-admin/edit-link-form.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ٵڣl<wj", "aRɕާu\rj[{Vp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nNNMۑ4;p4", "wp-includes/js/customize-models.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"r`fl([", "Nз˦[7T	T_2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nƉ%%\\eԖ", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-additional-information.php", "0", "\"am&MfjZz+~", "\"am&MfjZz+~", "P*.B\"գ╣Sy}s\rՅF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nyj?@J0", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/locations-manager.php", "0", "Q\rc?lEC", "Q\rc?lEC", "JdE-|Ǯo;&i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nOelgn3\"6", "wp-content/themes/twentynineteen/search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{IŘ^מ", "㱩ۘKk7<-r2/\ZQ&V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nZ9:WBgJk", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ModxInstaller.php", "0", "DMR{iPc", "DMR{iPc", "&w\"<?Hf>\ZR1%B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nw5)d4-", "wp-content/plugins/imagify/views/part-rocket-ad.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?f]Ow_R0{", "+Rڊ>ddaJLQG+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n`o ݘr", "wp-content/plugins/elementor/core/responsive/responsive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ĀEC+z&(", "\rK\\RBsFY߅źHR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ne29nyH", "wp-content/plugins/ocean-extra/includes/panel/assets/img/custom-sidebar-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Fx闰BBB4", "A^ϲhrW쮺waCuK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nTI{\ZnW1\0", "wp-content/plugins/duplicator/classes/ui/class.ui.notice.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0KĎ", "\0uDӒ%Ϧb{LӍLWc]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n@g+T;V", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/xmlrpc.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f\r@)뻚", ";_Im1\n9|!޶", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n\rBp̭", "wp-admin/theme-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R[FL4\\Jӭ", "\\(FRiƼ?acYnqw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n@G\'Σn", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-description.php", "0", "Fwo+6S", "Fwo+6S", "RissWCS*pǒE?Yn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n:X2Lnc", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/sodium_compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q(P7APؐdh", "N~!)Nc~\\n.lFv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nGƙn\Z@1+U]", "wp-admin/css/revisions.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7]2:81", "oeE%ĸ$qXWbajpt=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qV", "wp-content/themes/oceanwp/inc/third/class-elementor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W4)q~~\n-.", "A38%}%_]j廒.r֛", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8jD.mD", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/path-converter/src/Converter.php", "0", " amh", " amh", "(}ɳy	IL\ry\"\\E~\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rD趗N-I\nP^", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڛ踪/$pt*", "/{NZ	QIT\\ް΂RxKC3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\")(@Wt", "wp-content/plugins/elementor/includes/controls/wp-widget.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j`YJ3QR", "&LoJe⯅=|\nn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"w%_K\\u", "wp-admin/images/wpspin_light.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\Z", "(|[QoU@8OֺT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&cYD#P{+", "wp-includes/js/jquery/ui/effect-blind.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<OmA_;OL", "9S\n^nTIYZdB#U}~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A`k{n/*ScN", "wp-includes/js/dist/vendor/react-dom.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1܁4̆l\r", "FGϤ/zG!/5YGI\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N&,R\n	", "wp-content/plugins/wp-rocket/views/settings/fields/checkbox.php", "0", "-Rͺ}7", "-Rͺ}7", "04#HJnOs˯u57R=%/%V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S1&", "wp-content/plugins/elementor/assets/shapes/pyramids-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nS=sU+ \Z", "BVz͋(?i1ha	S#\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tt2i\'<", "wp-content/plugins/elementor-pro/modules/woocommerce/documents/product-archive.php", "0", "{SRfX_ߌo", "{SRfX_ߌo", "RWϐ,\r/E}Ѫ%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nC)ly", "wp-content/plugins/elementor/core/document-types/post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c?m@ֻe", "Q_\nK;oиK7<@O?I\nq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yq", "wp-includes/customize/class-wp-customize-partial.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[\\i", "{>xH\n|AE|ScOs/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",H(b_FO", "wp-admin/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ΔNX3E\r", "RP.~LmK<1ir\\$aG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HVեdpVp", "wp-includes/images/media/spreadsheet.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4\0Ṫ?", "v)\n6Zl2В1!+	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",s{\n", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OctoberInstaller.php", "0", "=\n8u", "=\n8u", "!|\'n{ML;vO1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]c]7", "wp-content/plugins/ocean-extra/includes/metabox/controls/image/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pS=>D", "n-\n.(|Ehg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z	)sI]", "wp-content/plugins/ocean-full-screen/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{TnaY", "wp-content/plugins/wp-rocket/inc/functions/admin.php", "0", "Ogߍ{", "Ogߍ{", "w֑^dj\"Hb؅ӈf1;GGp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y]Q", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/avada.php", "0", "*Yt42v6\Z", "*Yt42v6\Z", "Z.(2ZFiFIHeZn!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nUN~\0m", "wp-includes/js/codemirror/csslint.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";.K_	Q", "]ih4Fò\rUWEK(Pd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c\"ml Ǟ>o", "wp-admin/images/wordpress-logo.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N%dgp", "\"uj-QE\0[gLZ5MD:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N[3\r\rT&I~", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/elastic.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x Diu", "ۧ+V(^j2褉ۨn,AŔ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VdĹd՞q5K", "wp-content/plugins/duplicator/classes/utilities/class.u.validator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "orZ\';Hl", "6Ҏعr4#¿r`\Z=dSP|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r?@ۘNl", "wp-content/plugins/elementor/assets/lib/animations/animations.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FUDpl \"l=", "sG[ֶWa|ֆۆAZۊ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d+\Zٹ", "wp-content/plugins/wpforms/pro/includes/class-db.php", "0", "$T]r<hП0;", "$T]r<hП0;", "\nvE<v]Ȭ&}\n\Zj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h2LAe", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/settings/class-setting-array.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y\nDӭ`X_r", "Ham$m%j$ g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$%#_U_d", "wp-content/plugins/wordfence/views/options/option-toggled-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"p+No+T", "Xq?\'Є,Uэf[@aWh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Oi", "wp-includes/customize/class-wp-customize-media-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p+\'Iwf", "oe\Z)<zpK]?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D 2K|&", "wp-admin/css/nav-menus-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l\n\"O$$|\Z", "߈⎈J\\tU4Ֆ{Փ漀IE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F;wdd-LO1T{", "wp-content/plugins/ocean-extra/includes/shortcodes/js/shortcode.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K+{y\\Mb", "WM@a)@?\"RG|v5fI9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q10G,", "wp-includes/sodium_compat/src/Core32/Curve25519/H.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x} pcKO", "(H>0}8:e)ＴN/z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ws[7Uv", "wp-content/plugins/elementor-pro/core/editor/editor.php", "0", "p0=uKT1Z", "p0=uKT1Z", "jA+N·baʰmSaOg6~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Mii2n6", "wp-includes/js/jquery/ui/effect-highlight.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*øN!", "yW7Lf/r&اlJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nH\rDH1P", "wp-content/plugins/wp-rocket/vendor/league/container/src/ContainerInterface.php", "0", "O:	0{z_vY/rg\r", "O:	0{z_vY/rg\r", "c#庐QǩzRU֏m\n!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z9HYkA(", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PhiftyInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jB8", "er5EdH?\ZaARd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Or&\ZN#", "wp-content/plugins/ocean-elementor-widgets/modules/business-hours/module.php", "0", "4[5nQ", "4[5nQ", "o*gG\r13ЦT\0m6\Z_qN ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]Nkǋ)", "wp-content/plugins/elementor/includes/settings/system-info/classes/mu-plugins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CYc8s\"Wi", "/\\KRIs?d(R݉\\wN\\K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ְaeCō", "wp-content/plugins/wp-rocket/inc/classes/busting/class-abstract-busting.php", "0", "|0-GW", "|0-GW", "vސ:(m!hCHo\Zx	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Gy5?d}?", "wp-content/plugins/imagify/views/part-bulk-optimization-success.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "74T.(^0O", "xFknLbW͝md~p7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڥPID^A7", "wp-content/themes/oceanwp/languages/fr_FR.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d^fqL", ";dJ!늨J;:6hi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".Q}3T", "wp-includes/Requests/Hooker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@%a[ў/4", "t\r{k?ikC\nLḃWy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nXso", "wp-content/plugins/duplicator/views/settings/storage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5佈ِ#)RI", "mLB%1v)\">t\rDggm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZuiigԄ", "wp-includes/js/dist/nux.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yZS[\\", "F܆ :WFefMmO,^GզٛZJD	*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J`X&5T", "wp-content/plugins/elementor/core/dynamic-tags/dynamic-css.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TM25\\N⏦H", "dt	6VS@M\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z֝ASܯz\r", "wp-content/themes/oceanwp/assets/css/woo/woo-multistep-checkout.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AbЁϯɰo", "e gB-Sg\"ܯ3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("㴒9nW-", "wp-content/themes/oceanwp/assets/css/third/slick.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u;F\'$ɞ\'", "Yo交-~YocsJǿ% l\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\"qM0&ދ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/BitrixInstaller.php", "0", "h!fŪe%Q", "h!fŪe%Q", "XTQms`DPç,|쫺d8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rmt\ZvE~7)", "wp-content/plugins/duplicator/classes/utilities/class.u.zip.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WY:C`q8+ u", ",Lj Oxn޾N&\n*PC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r(=F", "wp-content/themes/oceanwp/assets/js/core/headerReplaceSearch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1~%(^", ")y\n<G	ѧ-aG$W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rB7&7<y", "wp-content/plugins/wpforms/includes/admin/admin.php", "0", "-S\nuGW ", "-S\nuGW ", "Vm^*iDZVZ	D`I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rQ<	-Je>(.e", "wp-content/plugins/ocean-elementor-widgets/modules/banner/widgets/banner.php", "0", "_#wϔ", "_#wϔ", "BtI!cU0h]\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rl\0jtE[+", "wp-content/themes/oceanwp/assets/css/third/bbpress.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q8qZK0[=[", "7mo̐NW9RPb9\\Cj#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rrǵi\r2u1͓$", "wp-content/plugins/duplicator/assets/css/images/ui-bg_flat_0_aaaaaa_40x100.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*Ds`\"", "z[큒r\\˖;5MmMtV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rxݍ^\Z<;", "wp-admin/my-sites.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=s֍!1a", "v.\\4rN,PyfUV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rzDD", "wp-content/plugins/wordfence/views/options/option-toggled-sub.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z(a|Α]x", "͏̽U$q9eg\Zrn_aHC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r|S\"|n<\'\\\r\"", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/request-parameter.php", "0", ";)$", ";)$", "c!n>$G!;/rю qRck", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r}iU\rZ)N", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_95_fef1ec_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ž	mDV8N", "E~C9\'):6[|1\\Ĺ:a!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rX+-Ta", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_com_dotnet.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " O>A+=\Z,", "UsDMÙd(\0ā~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rvN[B&SL", "wp-admin/css/common.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@Lm\n{S`cg`", "\n.o+gGYce|om", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rduQnk", "wp-content/themes/twentynineteen/sass/media/_media.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<2Q.%|=S", "$?2sȉFG?TC?EkBf S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rҧxOzzh", "wp-includes/class-wp-customize-panel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1jG)3]f", "BC,Jƺ}t>m;iɓv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r::HH:d", "wp-admin/css/edit.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݼw|c", "2~r2^\0cj=)F\rp=SF\0-086", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rW8l?\0C", "wp-content/plugins/wp-rocket/vendor/composer/autoload_classmap.php", "0", "ӆDRr\'o0", "ӆDRr\'o0", "bN.;\\p)&&>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r-", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/slider.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R%ފ]I0`", "pҚ\' <-jb%^\"hS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r%%yS`", "wp-includes/js/crop/cropper.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H.so", "py,BG-t=s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rѪ1s1=`(y", "wp-admin/options-head.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " ԯ\'ib&<5#", "Rz`\r0ɚ\\\Z#zlQ1rf[==", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rҗr׾ \n\Z", "wp-content/plugins/wordfence/lib/dashboard/widget_content_logins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!Pyt8턺P6q", "kwQ)\'J~MEsrXY_Gf!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r\0TD$", "wp-content/plugins/ocean-extra/includes/widgets/contact-info.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8ĕ<", "<\rw.p@ypYÖ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rX\n9/\'VP0", "wp-content/plugins/ocean-extra/includes/panel/assets/img/footer-callout-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">mc̰Zu", "|+#ym*,~\"-σdZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rC0LMu", "wp-content/themes/oceanwp/woocommerce/owp-archive-product-hover.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kh8[-A", "mE\0:0.1S\0J81m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r4SPtYtf", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/selectize.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l<tʓS]S", "Җ\ZLafѶZ\\4O!j\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[)G\nyvJI", "wp-content/plugins/elementor-pro/modules/query-control/classes/elementor-related-query.php", "0", "`:\",\0OVҺU", "`:\",\0OVҺU", "0nP{8zs[̼", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W7{(;:P?", "wp-admin/includes/class-bulk-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Nq>c", ">k\'*h\\1du}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XH奥(:Z", "wp-admin/admin-ajax.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ORRi1xT", "8,+#Edho(8De޽w%E\0\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]IyGFe", "wp-content/plugins/wpforms/src/Pro/Admin/Builder/Education.php", "0", "V%Sz!\rP>A", "V%Sz!\rP>A", "	PF:JBvh!\'R&T$|d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a5ͅB_s", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_classmap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EӤ㭇Mg", "Q*\'B+Eߞ:myuW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gosV;\n$", "wp-includes/js/tinymce/plugins/compat3x/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+n1oVb", "CT(N+,TNC`ީ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wKd#IqF!", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/section.php", "0", "#	Ay\"a", "#	Ay\"a", "	O1,XZwG;\":1+Jx]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{mѡMYm|;F", "wp-content/themes/twentyseventeen/assets/images/coffee.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AޞEoe	P;b", "\\lϸv{z2?H9l	Mt#er[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]ZX	m!>\r", "wp-content/themes/oceanwp/assets/js/third/edd/edd-cart-ajax.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oݠk=^^^C", "ϟzeuuZU̺(bK\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L\r\r}9}d:k", "wp-content/themes/oceanwp/sass/components/topbar/_topbar-content.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ɼlhʒjZrX", "l.lX`]pWץc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XQ-Sr]", "wp-content/plugins/elementor/includes/widgets/alert.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\06x2g", "\")eU妥Do\r__@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I\Z3$\r9", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/butterbean.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R)zHđ", "\Z$|{q#a.=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hr\Z;%e-x", "wp-content/plugins/wordfence/css/images/ui-icons_444444_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GJu;QZ6", "\\MUKhQwCiVJ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4t A5s\\rX", "wp-content/plugins/ocean-extra/assets/css/singlePostAuthorBio.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S;LA", "L#<AfcAy	lPMw]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(\"/󝜈fa", "wp-content/plugins/elementor/includes/widgets/common.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!>E$\r", "~K{zvO%@qkL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" CY", "wp-includes/pomo/entry.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CeEoͿaֻBT_", "e]Tx=2;z/f\'ۣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">M8 ٵ|", "wp-includes/images/crystal/archive.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SI0An", "L%XO+Aa!S\\܉&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KR<Â񨅁RB", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_75_e6e6e6_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%CV¨ɣ ^\"", "/8qm(=hJj)\rU-\Zw0n06", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8NoI\n*cہ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/NullHandler.php", "0", "%,zQ8Ū\"", "%,zQ8Ū\"", "G*kKHy瞅\0r,4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o-b%ǃ", "wp-content/themes/twentyseventeen/inc/back-compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?J>Yq)A9", "G03XqYBptrL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XYJ.D\\s", "wp-content/plugins/ocean-extra/assets/js/woo/wooMenuCart.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Prƃ֘Y\"", ")vhbL|9:tg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ervHj4hT", "wp-content/plugins/imagify/inc/3rd-party/formidable-pro/formidable-pro.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YB\0dq^", "Ygm+>gpR@_[4b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"\rJ\04\'i", "wp-admin/js/password-strength-meter.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_{gN", "0S%(5,jYm|xl^\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<F֣>x", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-remove-query-string-subscriber.php", "0", "0⅄Q!$KM", "0⅄Q!$KM", "/m>Tu;A{tMoA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	L9ᐛ7fy", "wp-content/plugins/elementor/assets/lib/font-awesome/js/solid.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$Y;9w/E", "@ b}A,Nj\r|y9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=hoc6", "wp-content/plugins/wpforms/src/Emails/Mailer.php", "0", "ןm$E@asAy", "ןm$E@asAy", "ECcU);]RUK׍ˈ핥x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rJPQ", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/form-fields.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OJw\'䦀x", "+j,Sܹٲ~\'zSX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3oj.Ts", "wp-content/themes/oceanwp/partials/mobile/mobile-fullscreen-search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YL]W{ܶ", "<WϢҍ$T\"iL򢚚\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">=\\9", "wp-content/plugins/imagify/views/notice-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T|\'f6U", "Fd{ćbP[1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\AV*籿", "wp-includes/js/jquery/ui/slider.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZkCdL/K", "\'fe)&Boŷi#]&J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fd4tSgG", "wp-content/plugins/duplicator/views/packages/main/s2.scan1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*ϋVXGO,{", "`\r.2ymʣV,qjռ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m{%eȷ趕", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SamplingHandler.php", "0", "/z\\GIp2", "/z\\GIp2", "$Tr\r`,xv<Y#Z}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x=c\"R", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/side-panel.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G81Ni֘æjY", "?hAz޳dC!z8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5;{˄9s", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/featured-image-data.php", "0", "Zl{ć8}", "Zl{ć8}", "}ow^u,[*_G[j9YE%%W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S(KT\'", "wp-content/plugins/ocean-elementor-widgets/modules/recipe/widgets/recipe.php", "0", "(EIThjՔȄ", "(EIThjՔȄ", "H3ڥJ,|(،da+q6Λ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cnxԺ|", "wp-includes/class-walker-category.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-aK#", "q\rj4\"4\Z|򸣠O]&ؘ+ z_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yy.G73|R\Z", "wp-content/plugins/duplicator/classes/utilities/class.u.shell.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eWցkʿz", "X.Yl^.Q*z1}_&G$n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]*.>`Ef", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/XSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kFh瀁1-", "6!omݎ^.^@˨v7	I}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TPEN85Kjx", "wp-content/plugins/elementor-pro/modules/wp-cli/license-command.php", "0", "&wO\\B酃", "&wO\\B酃", "@:,ksMs5+#P}FV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݡ=NxK`*", "wp-content/plugins/wordfence/lib/wordfenceClass.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۝R&dds6", "𸌈Ξ0TNr{//Rr~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("scEvO8", "wp-content/themes/twentynineteen/sass/media/_captions.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'^__]EM\'so", "-Ln@A!@f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѬpF軹䝛爝	", "wp-content/plugins/elementor-pro/modules/custom-css/module.php", "0", "zDᛴQ8ǣf", "zDᛴQ8ǣf", "ˠnwje#RDC\"H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vOxk5", "wp-content/plugins/elementor-pro/modules/query-control/controls/group-control-related.php", "0", "*5((!zx~", "*5((!zx~", "f\\\"*0\ZU%-LрäC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u9ŏ_K|", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/readme.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "بSc", ">#urXFmmMWXAM$S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d=@hs:k}", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/AuthenticationException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K#lJPe0ug۔", "UWMslL9#TbWj?\\u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rJ<p>Z", "wp-content/plugins/wordfence/views/scanner/issue-wfThemeUpgrade.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9¡^-,措Eg", "X0\rvfŭ-$ZuYS ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n_)", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	E)\'JDp", "ASβOH&c7矪RuWKs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&/dbdq2/", "wp-admin/includes/class-wp-community-events.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8EvQCW̖", "/fXHt?斉w#ѥ\ru#Zj}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%w45X泞", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto/base2n.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t^I\']!", "Ǧbt5fckdm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oV-", "wp-content/themes/oceanwp/partials/single/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",, L6d^", "mgg%$Z#>	6F;T2f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0]avCY", "wp-includes/class-wp-walker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$lD1#+", "j\0E(I|,$wp=ie̽g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?HhD0	", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/php72compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^R[XITe)", "u9 :YnU:syg50=	CW5$eA=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NVԱzZ", "wp-includes/js/jquery/ui/effect-shake.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&3Hqˀ1", "H#X{$T8exBQ:9\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	gbϗ ", "wp-content/plugins/elementor/core/files/css/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{ѓQ", "2]7 B͛ạ?~ɂn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m3D", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/ProcessIdProcessorTest.php", "0", "`p|>VW", "`p|>VW", "[t]:$yՠۏH<$B]7@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(");.V!94z", "wp-content/plugins/elementor/includes/settings/system-info/classes/user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0]uYv	", "#Ns\'C\'~U@d0ѻ\Zb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")_J", "wp-includes/js/media-models.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mP1@ɇ𿻚", "6!\0>آ\"6yz~TḧU ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bp5X\Zn	uUE", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spring.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">LGsKt2Z[", "7Od#|8֪0h楫", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G<7et/W", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[f0Lş\r{VW", "\'&ܔ[m`ϊc2E%WGW䉷", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JיN}ERI)", "wp-content/plugins/ocean-elementor-widgets/modules/countdown/module.php", "0", "1R;mERVb", "1R;mERVb", "+\'xzx.@/Xl9K0\rUú", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`&锥~K3/d", "wp-admin/css/login.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eA)A`7z", "+4\rS^Da̜zڒg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zThVA	", "wp-content/themes/oceanwp/languages/nl_NL.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1g\Z+Ypw^$", "xޛG@#Yew", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~[AC\0i", "wp-content/themes/oceanwp/inc/header-content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kaIW-^&L~l\n", "*pB3SoOA+{%8]y:k&7e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("۸-.", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/fields/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r(miLΟ쿴G", "8\Zy$,{)Ĕpo~%C@2]$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n]wsNF*>", "wp-content/plugins/elementor-pro/assets/js/editor.min.js", "0", "mڎDWA5=EDT", "mڎDWA5=EDT", "/eu~ؤؑD/\04+2_;j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ґ-\r{,", "wp-content/plugins/wordfence/lib/wfCache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7 ƿsy", "|uIPwh5ڎ.m\"*n_ 9JP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~L*,<:", "wp-admin/includes/theme-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I\0\"ӫh", "d,	@#%Jܚ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sx4@owN", "wp-admin/js/widgets.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tgI7_?<", "\"2D%0,*J[Bvم.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":m[ݢ:#", "wp-includes/l10n.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KCY<1YR@_]qm", "rnDo(M3+ [32xvė", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I\\jxg", "wp-admin/images/date-button-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")R,$k)6Cc", "TlpExQ\'H9ow{(|\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ՒuWn6:Y", "wp-content/plugins/ocean-extra/includes/panel/notice.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3\";\Z~d", "s(.͞Kup0JO\"<Z`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n%OP]@n", "wp-content/plugins/elementor-pro/assets/lib/social-share/social-share.js", "0", "aY]P", "aY]P", "II>\0Ǳ^\r:w<\0@.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]PJQƀ6o֢;", "wp-includes/Requests/Exception/HTTP/428.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iB}^t*", "COW%tߏY|&0V\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߚGj\0Lm^", "wp-content/plugins/imagify/assets/images/big-blue-check.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|7܈ɗ`&ס", "řD}ӪMAbQDjH]ؘRL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j7r[,Z", "wp-admin/upgrade.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zڹ", "9x$U?&;tЃ+hOn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!l [cyثxd", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-file-attachment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oWO\\", "a\";,{͕W҅N!F\nl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4B\07qoBo6", "wp-includes/blocks/rss.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+Q	05;0m7", "hX]uB	]	uFzW|Z#m3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wb%Ah\0i", "wp-content/plugins/duplicator/views/packages/main/s2.scan2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z*HXώ[b8", "Jk4?S^F~Z<,G:s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GI^iLSqa5", "wp-content/themes/oceanwp/assets/css/woo/hover-style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T֘OQH%:", "멪i0*$`u͕	>iqS<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zlm@", "wp-includes/customize/class-wp-customize-date-time-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "쾼T[y`{Z/", "{;+4Cg5\n,)ZO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-\'gP\\", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/P3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9V#ҹ4", "GpfHv\Zx81C[4A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}>|I", "wp-content/themes/twentynineteen/404.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^)j&U", "U/Fγ?nhKxcZ/([", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"I~", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/select2.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EqJ\"lTD,", "VB5фȈP؟anhg!Ş\rT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#f=zm!9ҏ", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-fields.php", "0", "8=\"bXP\rv", "8=\"bXP\rv", "D࿁븻(7 LܧTzu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D8hFޛBViR", "wp-admin/css/colors/blue/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0V[A֢y&+?$", "ߛ;\rT4]ѼJȨsc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E=Nm~", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/class.datester.logging.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4v\\Ko", "e[-140߯WyqdD(P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M1:뉔w\\C", "wp-content/plugins/imagify/classes/Traits/MediaRowTrait.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p6Ǘr7D", "\0e6`km!κ9,!w,ܳG\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NSEɽ7SA-", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/aelia-prices-by-country.php", "0", ".*7_\0+S", ".*7_\0+S", ")Ӭ3PYF*qh5VҲQעCp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U~~#b.IgQw\'", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/MemoryUsageProcessorTest.php", "0", "{6bX?,f", "{6bX?,f", "Lv5sI+fl$A6id9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a.DRNP#J", "wp-content/themes/oceanwp/inc/customizer/controls/color/color.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0ـ)O|", "Zg8c5%#%V^z3;4x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ew%ki׸a5|-Ź", "wp-content/plugins/ocean-elementor-widgets/assets/js/query-post.js", "0", "H_ԁ]o&4", "H_ԁ]o&4", "B\nF\Z⦐[RV0R=,B\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j׻q.*;2", "wp-admin/css/colors/sunrise/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")/ҟqjvRR", "9]<֬Xi$eT_mр˚", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p?R%o$6", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/HipChatHandlerTest.php", "0", "ꍛzSʚ0tf2", "ꍛzSʚ0tf2", "q&K\0#\r\n\'Ɇ@=o>etP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wesi<OJ%", "wp-includes/rest-api/endpoints/class-wp-rest-themes-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BG9YV", "\0LOZ]V%B)\" 6owS+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v{j(\r", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y9(H,bQ~e", "&ہbA$D:\0HHjd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǥc\Z$L*u", "wp-content/themes/twentyseventeen/assets/js/customize-controls.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@c*ht", "MHϛ\"\r٠4թ!	ӆ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jG0%LS\rt", "wp-content/plugins/elementor/includes/widgets/testimonial.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N5vPy|", "x.v4j˥	ޖ%;Ŵn\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ը%\ZDyZ", "wp-content/plugins/wordfence/lib/GeoLite2-Country.mmdb", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P:LO/", "SABN]1PcŽOiA	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uUE", "wp-content/plugins/ocean-extra/assets/js/scrollTop.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Vl;etQ", "\\R@e}N.DȞ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Zd*Yژ", "wp-content/plugins/wordfence/views/options/block-all-options-controls.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "95IB\"a", "VG37R(@\n,\n	w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">*;", "wp-content/themes/twentyseventeen/template-parts/page/content-front-page-panels.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*[a¦ vf", "x.`L{v)XcnXe\0)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*L{ai", "wp-content/themes/oceanwp/partials/header/style/vertical-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w^^ц!vIk", "l@G\0E:­uв*`Ha", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ӎA}ҎWZ5=*t", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Http/RequestFactory.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b;v\'g~k", "m!MJ\"v>,0\0՜ɫ &jِ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}\nY_~", "wp-content/themes/oceanwp/inc/walker/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K?_Vh\r", " s&-R*\n:L\0\n\'nʼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rW3᥾V", "wp-admin/css/color-picker-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d(;^", "\"T*M$!]:ŭ<=Z&\0\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("蓶Fշ	!c", "wp-content/themes/twentyseventeen/template-parts/header/header-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!u:L1", "KtZ.o/ZGpy@1C\";a:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xy\n¿+", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TuskInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R\\L뺵\'Q", "0&MsԎ̩c|	av", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*h/eԵڬD", "wp-content/plugins/imagify/assets/images/mushrooms-normal.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"&pTz_&.rJ8L", "ǔ\"qBTOU`o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(": aN_\rv5_", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/single-elements.php", "0", "	03[#/|", "	03[#/|", "\\VbG9xl%KAZN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":X2M~", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "24vLhN!2|", "3iA(pGDڔ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?i^z	H", "wp-content/plugins/duplicator/classes/package/duparchive/class.pack.archive.duparchive.state.create.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'*HIuM", "u4I-l>/7qVӞ\ZB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@J-bh(5H", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-range.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iVAK^n-b", "@j!}[N-TMeJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ID4h/\0 $", "wp-content/plugins/ocean-extra/includes/custom-code.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ډqя@\'9", "fׇ 4d9ZD8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kj`t]", "wp-content/plugins/ocean-cookie-notice/assets/js/customizer.min.js", "0", "b!p", "b!p", "w߈rI7J6>cQ!U\n9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L8\\ݼ+", "wp-admin/images/imgedit-icons-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",\'6Ut", "?؎).l%<(_ 6`^c7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a+б[ֲ:", "wp-content/plugins/elementor/assets/lib/wp-color-picker/wp-color-picker-alpha.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{\\Ka\'&v", "m\0]z|F|ۇ}_ѝz;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fo>ɝud^E}%", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/CustomPages.php", "0", "US>K\\n}\'R", "US>K\\n}\'R", "X$Ґẜ|^tIUلw2~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mñ~R?", "wp-content/plugins/wordfence/views/tools/options-group-2fa.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ONjPv4", "m]n>nFf;Gf-m_L4b\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p۞2N<:Z7r", "wp-includes/js/tw-sack.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9>", "{n]\0ֈn\r<w˷X):", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rJE:\0/", "wp-content/themes/oceanwp/partials/search/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D08LbVS", "!\Zo1$/\nHphUp\'.z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u)8FG9C(", "wp-includes/js/wp-ajax-response.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S\Z\"}Ua", "$z!篱~slBR|@Y^;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zg)ɘT]>}", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CockpitInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֗6>,!", "Sſ`0$ RW>c:5ΚMä", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_,gc/", "wp-content/plugins/elementor/includes/managers/widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Oy;|", "\"=\\\ZSuH.32b55q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("έsu~yC", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2o0}	h%Y", "|]v#i[l\\9@bCÖ\nA:{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E+A*j.", "wp-content/plugins/ocean-extra/assets/css/woo/wooMenuCart.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aj\Z>(k\0?", "L\'g`b\\4\'F?~\ne(R]\0K8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9~\0{@", "wp-content/plugins/wordfence/views/scanner/site-cleaning-beta-sigs.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",)Rqy|4.", "%U<GH[.!e˂t,gsɄ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Clo", "wp-admin/nav-menus.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$.BHF ", ",p(?wJ\rhV\'߸O/QC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&	Ytz(\Z", "wp-content/plugins/wordfence/modules/login-security/classes/controller/totp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j.\\0*	[", "f8\'!RFL˙^w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x\0:(6\rUHM", "wp-content/plugins/imagify/views/notice-footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EOQGF	", "NRXڒǖYqń\Z\Z?Gښ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q$=`G7l~R", "wp-content/plugins/imagify/assets/js/jquery.event.move.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vYsPN,", "o6M@!\ne/D+C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I<UCMdZ", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-boolean-switch.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VIބŌ._", "ёli߉.N /siTj!l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-i>bs1", "wp-includes/js/jquery/ui/resizable.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\02|I,|", "3\0{i2%E-4樢jրM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ns7a\n[w-", "wp-content/plugins/elementor-pro/license/updater.php", "0", "܆NnAW޺Gx6", "܆NnAW޺Gx6", ">{jי/3ڼ\'nǿ(QQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+EYUf", "wp-content/themes/oceanwp/inc/customizer/assets/js/customize-preview.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "98z>%v\r3", "L\\2`q^-ө}3ĀOudx?L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+-RX\'c0", "wp-content/plugins/wpforms/assets/js/admin-builder.js", "0", "&30|%v", "&30|%v", "^=],@+G	?\ZWα", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W̉AXqJ", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/XPath/Fixtures/ids.html", "0", "e}]\n", "e}]\n", "{T{or\\[}-\nfk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\TRr>~a1^~", "wp-content/themes/oceanwp/woocommerce/quick-view-content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "⻟Q6_rGH$", "_pRR\rnZZB^LSLGo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sd^gne]o", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+fb T", "3uk<sX-T8Nj\'bl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IN50k", "wp-content/plugins/ocean-extra/includes/metabox/controls/editor/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B\Z\"ʋs5ͼUY", "2^/:QԲ3v1ʩoZJz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4r%j", "wp-includes/SimplePie/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kU6\n+)%", "a.%e5+p3d^bLLT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RK(F^dC", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/url.svg", "0", "V%r\Z=M-", "V%r\Z=M-", "qH?X\r\\X0A>j.Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KS+e׎A@", "wp-admin/css/colors/light/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HG#<^o", "?=ҏE\ZMaXĺJ\"sk;3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fe	57[", "wp-content/plugins/wordfence/lib/email_newIssues.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S-?H6.", "\03Q=gW@Dkv}͵/Jw4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UNEAgt", "wp-includes/js/customize-selective-refresh.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	漰Gop寛z", "՛&v8񝃁D\r(k\"&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yD^\00F4", "wp-content/plugins/wpforms/pro/assets/js/vendor/jquery.intl-tel-input.min.js", "0", "HG@\ne", "HG@\ne", "tu	C>}uQŬ0\ZȮ!Ƈ\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǙG4|@Z/A", "wp-content/plugins/elementor/assets/shapes/clouds.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J4^uR5g", "u\ZnDAcl̢V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ao!Vų`v", "wp-content/wflogs/ips.php", "0", "lCdb.˴v", "lCdb.˴v", "Z][WP},7*q\nƑ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("05mk", "wp-includes/js/wp-a11y.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">@zfC2y0", "濉j$cFePnaަ@#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".@u6^Cl", "wp-content/plugins/ocean-elementor-widgets/modules/google-map/widgets/google-map.php", "0", "=oRIz", "=oRIz", "%7UN6#2Yɑ!GZ}	C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zo*Y", "wp-content/themes/oceanwp/assets/css/third/magnific-popup.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0vre\n`", "X;Ɛ9@ujm[F\"!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a#zR戰", "wp-content/plugins/wpforms/pro/includes/templates/class-order.php", "0", "S~-oĂ", "S~-oĂ", "FU޺3-sXn^	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" GZ3ApkY\"", "wp-content/plugins/elementor/core/debug/loading-inspection-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F^h`T", "%BF١tq2W}wbGuW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" oƕt_\0.", "wp-content/plugins/wordfence/views/options/option-switch.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "miE>WcZaig", "&՚j:g&*56yɨdq4֙", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#H\r|X9IH-?", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/geotargetingwp.php", "0", "Ώu{0zQM", "Ώu{0zQM", "[	~;W[.̀thc֣\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%~WN82QO", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Domain.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n4F0JC nk", "Cb,\"\">jŊAlD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Udlބ ;\"<", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/MercurialProcessorTest.php", "0", "9A.6\Z\r/", "9A.6\Z\r/", "kkGWM,Ņ%x9q^~>CQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U\'@=Jj", "wp-content/plugins/duplicator/views/packages/main/s1.setup2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C\r6<ė>", "|Ua2WuvFEzg0t>ׇm7ٚd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\\Ze	)Up", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/P3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȑH\Zb>VDR2", "rћJԑI/\nOY}xņU ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{#(Z0<", "wp-content/plugins/elementor/core/admin/canary-deployment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "о,<]P$WG,6", "(5xu+$\',,Utɤ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_P;9=", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/wp-serveur.php", "0", "{e\rgPߞ", "{e\rgPߞ", "pQNWFQe쟈:WumDKOì", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lV/:y߰x", "wp-content/plugins/ocean-portfolio/templates/portfolio-archive.php", "0", "nLfKB!", "nLfKB!", "FRdQ\n%O8M/Č&{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-B|tS^", "wp-includes/customize/class-wp-customize-nav-menu-section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bT	O9.6\n-", "l	@Xn0f^Wq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TfP%,5H4", "wp-content/themes/twentysixteen/genericons/LICENSE.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4MiHjJBc", "\0v1sN>cID٦I0-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ECW``-", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/.php_cs", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_@e3bB", "Lؤ@J9OhG@@Z!\08#l(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/5v`zc?", "wp-content/plugins/imagify/assets/css/pricing-modal.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`;߻*R^ANN", "5APpMm*_4\'	fX:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԢV\\P7", "wp-content/plugins/imagify/views/part-bulk-optimization-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(39,_[5!hY", "(ly(͇tc?݄F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˥+̚", "wp-content/plugins/elementor/includes/settings/settings-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fꃒ@", "ko·RE6\ZOVf6ǖ\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("΢S˪\nBV\"", "wp-includes/fonts/dashicons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g-QiF?h ", "\rq\ncB\nn.!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mֻ\ZV`ͭ\\6", "wp-content/plugins/elementor/includes/utils.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bm\0ka.5", "#pb@W<J]IZ\"@N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n5zPE4Z", "wp-content/plugins/elementor-pro/modules/carousel/widgets/media-carousel.php", "0", "zX͝#\0,", "zX͝#\0,", "	N&vHޢZA&ĸv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("75$JjGˊ", "wp-content/plugins/wpforms/includes/functions.php", "0", "\01Wd,\nD", "\01Wd,\nD", "Y&ePHVr,Ё\rwxk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Q.	-c%D", "wp-content/plugins/wordfence/lib/flags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ic磭c-", "8YCO0j{\ZxDĖxO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܡ9u_\\\n9\'", "wp-admin/css/color-picker.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nZ\'\0C", ".P)P&_ipOu\n%\Z$j\n3)R\rY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KUg0MU/ʇ", "wp-admin/admin-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OQx$\nIO", "?!mWd<2|7SE3s\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z[`0CI$T\'", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")H$I3^0", "Dsmr?vjzMo3=b0KR#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4;V\'/f", "wp-includes/js/jquery/ui/effect-scale.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}0e,)+mT", "Ăjhvr&a\0\rydz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":f?bj.", "wp-content/plugins/wordfence/views/blocking/block-list.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LYPͺK\ne", "]SO	o*+uX:ʆw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";&_XI%;", "wp-content/themes/twentyseventeen/assets/js/customize-preview.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",3IpK18", "^+5iMY0ȚKFdkI4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O{WZ", "wp-content/plugins/duplicator/classes/class.password.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "않`N", "8ddKoi?9,ʗw@$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SiXM$f\'|VI", "wp-content/plugins/wpforms/pro/includes/fields/class-html.php", "0", "S\'\ZhFʱQC", "S\'\ZhFʱQC", ">ԉO=5/Հ]kPy`+	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TĘ5VHP{", "wp-includes/Requests/Exception.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\03\ZRI", "-@g %uON\\}@lf\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W|Po4tN2D", "wp-content/plugins/duplicator/views/packages/screen.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͥ\Z0҈%׌\'#", "P\\Xoh6n}k+HO\rJ\nٚW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tn<	%ZpIK", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/wpshop.php", "0", "s\'鳟N ", "s\'鳟N ", "FvY:Q2PQEA\"\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|7͹9YOL", "wp-content/themes/twentyseventeen/footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@dÚ^5ov<", "OӭLYa:bO_UQU5aM4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˈ^ZH", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ShopwareInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KKyޫpr]", "\Z\n=I#Z\\4l֙u`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C\nU", "wp-admin/js/custom-header.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "߼*S~A", "j\rDyc$,j!)+\"8Np#v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n\05+>O", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ElggInstaller.php", "0", "Ṕxǐ", "Ṕxǐ", "DmMY|x\"<ALfpx3)H\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",r)(h?", "wp-content/plugins/elementor-pro/modules/motion-fx/module.php", "0", "QHjq*pthj", "QHjq*pthj", "EK\n\r\'գ8[D]\']", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0lj0+%", "wp-includes/SimplePie/Source.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S{*", "47Mj9|\0i&ĨLu!J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%;cs}*9Ҿ", "wp-content/themes/oceanwp/tribe-events/default-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U%h8\Zl\0", "\rF	\\{FT^h}:46Zx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĦZϿn}", "wp-content/plugins/loginizer/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ߙRhb4Ke", "Os4ܸsA~\\~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ubw*<N", "wp-content/plugins/wp-rocket/inc/classes/admin/class-abstract-options.php", "0", "z>}hD\\wV\Z", "z>}hD\\wV\Z", "_̿CÒ7]=݁PV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("МE=am=G", "wp-content/themes/oceanwp/woocommerce/owp-off-canvas-sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":8v.E}\r", "<U#2_|(;vE9N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˹LI9\ZZSXL", "wp-content/plugins/ocean-extra/includes/panel/classes/class-install-demos.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Qz/#o!5", "w?cV@2+A*OH1nނ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}8\0Bq", "wp-content/themes/oceanwp/partials/header/style/custom-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#/ŝ2\Z6-2", "釀K\0|τ4`Pz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ٯɍ^S2ӧٙ", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/ClassDefinitionInterface.php", "0", "\\Ȏ)`{7H濿", "\\Ȏ)`{7H濿", "QL%5%.c	מm`55_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n$Rh", "wp-content/plugins/ocean-elementor-widgets/assets/js/tabs.min.js", "0", "Yh(t|BEx$", "Yh(t|BEx$", "XXCxHU&iݳ?w\"rpb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("甾ɘTu77;", "wp-content/plugins/elementor/core/base/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ߡ:dF\rUƿR3ꐘ ", "_%ZfY\ZC16or#ڪ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("窒u\rZJW+", "wp-content/plugins/wordfence/images/help.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$N;\'M Y", "\Z7\0r/iz;ki,=LZg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")t\r,Jڼ", "wp-admin/options-permalink.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x1,8", "\nm 7͸UW\"rhbX{|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˔itȖq", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/in-sub-term.php", "0", "srA-", "srA-", ":UG`wg[w/[2Z1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̵w7r{Q͗", "wp-content/plugins/ocean-elementor-widgets/modules/lost-password/module.php", "0", ",p6G=-", ",p6G=-", "}Ԏ\"=|:OVRCB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WInD+˻¶n", "wp-content/plugins/imagify/assets/css/notices.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<%1V\"Xb", "ˏ~qR?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?Ǆ:\nX", "wp-includes/customize/class-wp-customize-theme-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l\nuaQ}", "De!w,pdn:1(\r`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lmyb", "wp-content/plugins/wpforms/vendor/symfony/css-selector/CssSelectorConverter.php", "0", "HuW)Zy Q", "HuW)Zy Q", "navy9\'U6ɱEwꩧ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z) %iyδ", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/P1p1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}+#z,erEJ-", "sfq@8!yW&ڔA+/uY44G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!RCI\'d", "wp-content/plugins/ocean-elementor-widgets/modules/wpforms/module.php", "0", "~	xד,:2", "~	xד,:2", "5,m\";a%ަjh1F8J~_\\G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3dyjV", "wp-content/plugins/wordfence/lib/menu_firewall_blocking.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[? ?", "b}STbcvʄ/{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K^feڝl", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.os.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V[Pfog", "bk=-T4xUE\"\0;\'\r~e=3_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wly:\0Vn`d\0", "wp-includes/js/tinymce/plugins/wpview/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SDc|gqR~", "FC#ت}}z8T5ܾ^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hM/KFcs_", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/js/gallery-metabox.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i_2o17", "KXZpQ5xypLtv-4$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@ؾH&EїR", "wp-content/plugins/wp-rocket/inc/functions/files.php", "0", "#k]$^v<L", "#k]$^v<L", "NmݨC@b5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",4#(#", "wp-signup.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "޳+z*R", "B*\'-/P}qN(I(1Yl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rv?;8|IM", "wp-content/themes/oceanwp/assets/js/third/woo/woo-hover-style.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A5<ƨcW", "$4MXߥSr?L?H搥ԙP)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǖd!s<XЯ", "wp-content/plugins/wordfence/modules/login-security/classes/model/settings/wpoptions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*1{,˾ʂ", "<G$U+kL>\0hahBS-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E\\e1qp", "wp-content/plugins/elementor/includes/interfaces/group-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~iSB!VZ", "Z;+ùfyh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ږ\0|Ƽ?", "wp-content/plugins/ocean-elementor-widgets/modules/circle-progress/widgets/circle-progress.php", "0", "cı6", "cı6", "F~8Syʡ~\Z0vU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ոjyW", "wp-content/themes/oceanwp/inc/customizer/controls/upsell/upsell.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=.4\rKwqb", "YQ\05 OrbC1ԑ.^Pj}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*沫QN", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1hIbۓa", "6NSNY2m=@ke(!z|g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hI{dD", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Translator.php", "0", "s7g$N6L", "s7g$N6L", "X\nt\0\nY<IB6XߓX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y7MA@", "wp-includes/widgets/class-wp-widget-rss.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2C<|8\'Z", "@1|Tc)5.T$TtD2V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rI\\YQCAQCv", "wp-content/plugins/imagify/views/part-settings-custom-folders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=30i	VS\'Dw", "Q8@*>#eBc:8R֋cb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B*9o8Sq", "wp-content/plugins/imagify/inc/3rd-party/hosting/wpengine.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";KH`X`v", "ވ\"ذy	״y@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_)0d|6_;n", "wp-includes/js/dist/rich-text.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "omTA-%º", "ьs(AժQ`t\Z\02:Z/u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+@X,M", "wp-content/themes/oceanwp/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]Ob<<QI", "i{,bcnȑ\Zq`nEu P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",A!yNe", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aC;eqzl5z", "DzGlُyk/Kd!6!֌!e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">m,baөE", "wp-content/themes/oceanwp/sass/components/blog/_blog-entries.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r8Kgxr", "eD\"}Yybɾ/=6w\r\ZO,L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R$$p.", "wp-content/plugins/ocean-elementor-widgets/modules/skillbar/widgets/skillbar.php", "0", "RBXSTl ٷ", "RBXSTl ٷ", "??q벙[|`\'*=Ƅ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nv+\nĘӈQ", "wp-content/plugins/wordfence/js/jquery-ui-timepicker-addon.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "89\"zzVv*]", "ۆ%%l:Jf<bqPPt˯}ߝ\"f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u>ڤ$Q", "wp-content/themes/oceanwp/woocommerce/share.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~,VV7T~", "bPC\0o0Zik#Gb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x,¨N2D˱", "wp-content/themes/twentysixteen/screenshot.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n\\#J/<W", "/d\Zօ[U[`{,2|1W[̚", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`&%eFgd", "wp-content/plugins/wordfence/models/block/wfBlock.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "znK_", "7Y.ڔn!ڒ\Ze", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5h3Q", "wp-content/plugins/duplicator/views/settings/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("efg6~~qܛ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PxcmsInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0v-T8", "i;Hʳ=wRm:@6C|Q	,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":8Iaølm", "wp-admin/includes/class-ftp-pure.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8\rZ!Ⱦ4M", ",	f)*)\ZJɓA~OGm3F)27", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[R", "wp-content/themes/twentynineteen/template-parts/post/author-bio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@\0\r^W/v`!s0", "3]ل5G`nb,ݣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KqM{", "wp-admin/css/dashboard.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[XKf\\K", "=(@jxw:\0V/Xpa&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sݜÞ3", "wp-content/plugins/wordfence/modules/login-security/views/options/option-captcha-threshold.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Nc0)נZ;b", "5KO5QJÂPpUW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{xZc\"hb?", "wp-includes/js/dist/dom.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_w	juc1?t@\"", "3q(P}n/g%U_f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TBO>v2}Ea", "wp-includes/SimplePie/Locator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s;uvf^", "<Ό:9/(\\֎tl]ǳ^82", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'$sPFj7", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/disqus.php", "0", "h\'tEiՄ", "h\'tEiՄ", "	)iVϘ#&s9e\nTla", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WMF`3$", "wp-includes/rest-api/fields/class-wp-rest-term-meta-fields.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y^", "Y	QFX22FW)fKSf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KU.eJey", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/NodeExtension.php", "0", "\Z5ML9/~", "\Z5ML9/~", "5<q2ΝLԘ˳6`JXu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-ФQ1Ц\r ", "wp-content/themes/twentynineteen/sass/variables-site/_variables-site.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G\0\\t4E", ",%d:?-ǯM!kgF6ݱRlj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*7\r?", "wp-includes/class-requests.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9e/uaz\"<", "(vȊF0Yo9	5cgAU+fV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r\"P[q<69", "wp-content/plugins/ocean-elementor-widgets/assets/js/search.js", "0", "\\7B1˲-", "\\7B1˲-", "+h(k{CBiN}\0	 \"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8$]8E9", "wp-content/plugins/duplicator/assets/css/images/ui-icons_888888_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Fʴ>\"K&Ԁm", "Sns\r\rn-\ZK`]D^ziN~/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("of?3P1\"", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/ChaCha20/IetfCtx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g\"̤/OY\'", "8eTet\r jP/J<^rӥz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$K=3SA}?$", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Billing/Subscriptions/Apps.php", "0", "soË5\"ElQ2J", "soË5\"ElQ2J", "R<kzN8j{5\0+6xM\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3g$ûlɻ", "wp-content/plugins/ocean-elementor-widgets/assets/js/newsletter.js", "0", "iM_5UQF", "iM_5UQF", "jBܟ$-E&n!\r0|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BWw\0", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-gallery.php", "0", "XLΌՂy,n", "XLΌՂy,n", "w,uԿnvjt[K\r=#f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ds䬗-˂", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-base.php", "0", "=g:%6/", "=g:%6/", "i!Ml=E3\0㦦\"h#]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FbىQlC", "wp-content/themes/twentysixteen/searchform.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۏԛhu%>\0#^", "zVr;l?q#RS6OA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fe}(", "wp-includes/js/jquery/ui/dialog.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">͕xQONi^\Zb", "8m1Jtj}#zǏԒAdv\Zd-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mɵ/7TM", "wp-content/plugins/ocean-extra/includes/metabox/controls/range/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޫEP(	^)\r", "3$=kaT),B-z\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R*e|Ce", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-as3cf-attachment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".hǹ.]", "6̡4C|h jFݒ:\'nL9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V%o$959x&", "wp-content/themes/twentysixteen/css/editor-blocks.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#eT3ad", "Y2gEtiqƏ	eeK	*ߧ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W׾5^l__#", "wp-content/themes/twentynineteen/sass/typography/_typography.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">72nt", "neko@l_ky~YWŢA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y*MXBy", "wp-content/plugins/duplicator/views/packages/details/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_k\'auΝb", "wp-content/plugins/wp-rocket/views/settings/page-sections/cloudflare.php", "0", "DeEI", "DeEI", "P_ӟBB~6&|x	;o]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i1E~NIA͔", "wp-includes/Requests/Cookie/Jar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0_&p\"4\\", "c!#Bi*+\"\rnIƈXÉw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s♼{DR[k1I", "wp-content/plugins/wordfence/images/logo.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zFހW\rl~6", "V{Q9V	J	Xqڀc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Sb3	?kix", "wp-content/plugins/duplicator/views/packages/details/detail.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\T-JKC\rmO", "={{VM9乧_$_yF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6H^>	CRɻz", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/AbstractNode.php", "0", "VO$v҇", "VO$v҇", "9D٠t{-J白GdE*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X/\0	", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/parser/sqli.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6٤pOl^", "L*c&\Z]\n9uҐóL_Qj&v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dApGg;F@", "wp-content/themes/oceanwp/partials/page-header-subheading.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EK%^ϓ", ")QBT<C_f~h§)bg<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N3M\nS0j", "wp-includes/js/dist/block-library.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s?(xR", "\0hINeJe<W7H2ǐ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0G6IT", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Minify.php", "0", "!	:Ph", "!	:Ph", "Js\riΗ=eI3_:!ۃT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VQ;\'~\n", "wp-content/plugins/elementor/includes/autoloader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rVnG\\\\", "/*pQbM+\rCQL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5K%V:", "wp-content/plugins/wp-rocket/inc/classes/busting/trait-file-busting.php", "0", "1@_ffln8", "1@_ffln8", "3Gj@&M|>`ۋcF	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"CE:I`/cm", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Type.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S$+Ǳ0C\ZbO", "Ӆo]hw\0tҹs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x(ťܺ.Շ", "wp-includes/class-wp-session-tokens.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZB\'K}<yW", "\\\Zǉ&!p\'|!;	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԒAr^", "wp-includes/js/wp-custom-header.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(KG)hGR<|4", "`{TҨȏ+ېt`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JN\nv?", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-header-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W	Weeu(", "nR0c̖2~VB-Ce", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^0pkM", "wp-includes/css/dist/nux/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q\ZUĆd", ";^lv\"\'.UZNH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V6\\En", "wp-content/plugins/imagify/assets/images/stormy.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".mrA!N3", "=>`	˞뗦%xlXlmH{B@!5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S	g	Nd", "wp-content/plugins/wordfence/modules/login-security/classes/controller/wordfencels.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nXv^u", "f.]!W\"sU.ZlAoʞh@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h]CA*", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Ed25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZbO6IcD", "`ude?s7dCQ}Y/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0ܚZI丱N", "wp-includes/sodium_compat/src/Core/ChaCha20/Ctx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'U巃 qDFH", "Ԧ!ӢtLk.\"1CmKg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3ƹܕjbiΥ", "wp-includes/customize/class-wp-customize-nav-menu-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ίi,@i", "g87b-vF%>k<q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q)On=\nM", "wp-content/plugins/wp-rocket/assets/fonts/icomoon.svg", "0", "OsufDbR	U", "OsufDbR	U", "dLVSL|?6\\y:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LSYi", "wp-content/plugins/ocean-footer-callout/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":zu", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-core.min.js", "0", "`I\r6k=U_i", "`I\r6k=U_i", "Wpe\0LM{ZϒsA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Vp{s", "wp-content/themes/oceanwp/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4FyL`ej", "xŧKPpxzqHE<2/1\Zq|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zm}ٮk`p", "wp-content/plugins/ocean-extra/includes/panel/assets/img/youtube.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_l-ү@:}<", "	v;Wv\'rNUΆ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-N~wYoU", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-url.php", "0", "bM!c3Ow", "bM!c3Ow", "Xwt\r9^$8&/Jae	6Y\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("//I_\'	\n", "wp-content/plugins/ocean-extra/includes/panel/assets/img/posts-slider-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "њz ZAp^", "?jnv\'~ì*\\|FnZ7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GvkDQ9", "wp-content/plugins/ocean-cookie-notice/template/notice.php", "0", "Ui\\j=xQ=J+", "Ui\\j=xQ=J+", "ݞMN;EDyW#K3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I2D8~jT~fN-", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MajimaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XU+4]\nj2` ", "s)Wg>\0vw@Ceц", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X,GnU&^p@g", "wp-content/plugins/elementor-pro/assets/lib/sticky/jquery.sticky.min.js", "0", "j!æ", "j!æ", "Z3>m!cU5jEMB[R&H\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bE4t=", "wp-content/plugins/wordfence/views/dashboard/options-group-alert.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z!Hмhڣ", "(t$nèOҨ,B@,Lo|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f ֝$o/", "wp-content/themes/oceanwp/assets/js/devs/matchHeight.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y<bF;", "Gr/ݵW]#YgV\Z\naLk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("va:SM	oiV/", "wp-content/plugins/elementor-pro/modules/forms/fields/field-base.php", "0", "0$ϴ#", "0$ϴ#", "ݞyj\'3?/\Z*Tc:Ҙ?Yv\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}ǈr {", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-categories.php", "0", "e6uSZKQ,", "e6uSZKQ,", "\\3x|*Xe<ex", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^!>\n޿1gM", "wp-content/plugins/imagify/classes/Optimization/Process/WP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[8\nT", "{M_ftH=ΓZek_jJVbe[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pJ҅GRṕP", "wp-content/plugins/elementor-pro/modules/theme-builder/skins/post-comments-skin-classic.php", "0", "^[\'ȫ!]-", "^[\'ȫ!]-", "8zBzғp=Ӛ[Yf)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%x!J?2", "wp-content/plugins/elementor/includes/widgets/social-icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gWl{tW<h", "Wzi\nq`Jf1JM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",\r", "wp-content/plugins/wp-rocket/inc/classes/busting/class-busting-factory.php", "0", "=q", "=q", "eLHT~[tkU9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1D_^*S", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/fonts/custom-fonts.php", "0", "$ׅM9yxvB", "$ׅM9yxvB", "F]4_rfnPĒ4xx,a^Y\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("灄^.e:", "wp-content/plugins/wpforms/includes/class-templates.php", "0", "K!K;-ԫ.8F", "K!K;-ԫ.8F", "ByzQA6[g@L U\"	w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EͼE\'.", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/WolfCMSInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LĜLȐr4r", "\r&s3H)CN)1\nJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">/ᡇ_", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l([qאD#", "\\sٶhb2.;m`Fr^&H-w	yV~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&UX\rL4{", "wp-includes/js/utils.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~#<n~b", ".^`/Z`G߲<sf,ja", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nqӂb\\P", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ItopInstaller.php", "0", ",JDũ", ",JDũ", "8}+{3{9\nBx=\'0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z\\\0EdI|q", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/ServiceProviderInterface.php", "0", "{UiC5n7訐", "{UiC5n7訐", "vvc(SZjG.&i;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z[*VC6I+", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/bootstrap.php", "0", "Ɲ\n%\0", "Ɲ\n%\0", "g&AgpI84\ZBj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z֧\\\Zhi", "wp-includes/js/dist/blocks.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tMUP\0", "BQj:)A{P>ŷ]}}F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZO3F5K;@ ", "wp-content/plugins/wordfence/modules/login-security/classes/controller/cron.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@q\\}[", "[TnEjd($:!hΝ\0s><", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z\Z|[\Zn]k", "wp-content/plugins/wpforms/includes/admin/overview/class-overview-table.php", "0", "h Bx", "h Bx", "r13juq3,7n/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z&cR< FiC", "wp-content/plugins/wordfence/modules/login-security/views/options/option-text.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r%1cvG\\%", "-r@Yik~oeɲv*+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z+ˮ#\'j$", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ChromePHPHandlerTest.php", "0", "軞_#-?=", "軞_#-?=", "1`I+Eݰ\ZP]~	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z6sw*䞋", "wp-content/advanced-cache.php", "0", "ُ\0	B~", "ُ\0	B~", "Bșo$\'AdLxRU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZB\'S!D|", "wp-content/plugins/wpforms/vendor/composer/autoload_classmap.php", "0", "EӤ㭇Mg", "EӤ㭇Mg", "Q*\'B+Eߞ:myuW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZVf5ݍ[", "wp-content/plugins/ocean-extra/includes/widgets/js/share.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "œ[96ՙ", "ÚRrv\0T\rDOXl;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZjK5c삒i=", "wp-content/plugins/elementor-pro/assets/js/editor.js", "0", "\'$԰S4ѥN", "\'$԰S4ѥN", ",0k5n	1gcLh>Bi9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z4>o2g˯", "wp-content/plugins/imagify/inc/deprecated/3rd-party.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T3WvR4", "WfdoB\0-Fv@ilf}u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZL6N1;8", "wp-content/plugins/wordfence/modules/login-security/views/page/section-title.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"w^\nk6", "!5@a6to5(Ds\nKf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZΑE\\v", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/GitProcessorTest.php", "0", "Ք\'*|p\Z5", "Ք\'*|p\Z5", "ߌ3b\'J\'6pYߝlgµ//L!U6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zc١:SI,T@O", "wp-content/plugins/elementor/includes/preview.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^D-|\r/hYov", " wtZNTZݠ[xV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z/)Ƚ#", "wp-content/plugins/wpforms/assets/js/components/admin/gutenberg/formselector.min.js", "0", ";:ǆƊ", ";:ǆƊ", "ӱr^Z=rx\"xbxwur~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zx.|ʊ", "wp-content/themes/oceanwp/inc/customizer/controls/color/color.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5\'\\E5:jD}ξ", "|v(yFȺ6\n0o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z;5(OOR", "wp-content/plugins/wordfence/lib/dashboard/widget_content_countries.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȎcP\"", "זD䟹45JbOɝHR@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZIBb?DA/", "wp-content/plugins/wp-rocket/assets/img/heartbeat.svg", "0", "P@pictɁah", "P@pictɁah", "xj^_MJ/a$$-pm{Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z΢k\r\'", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/genericon.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">	J{4_4", "=._$3͙Ta]ԳAmZc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZHcr5L", "wp-content/plugins/elementor/includes/managers/icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~/w*$w", "Q9(\Z\\j\"ދ/a1{V=>8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z2\n)ULE", "wp-content/plugins/elementor/includes/widgets/shortcode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F_oymR", "D&Jy_RD\rvʱaھ\'H\n;p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZAxyGh", "wp-content/themes/oceanwp/inc/customizer/controls/upsell/class-control-upsell.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fo;u(e/1|", "ZFfspz9«EULhex", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z)qtsCI9", "wp-includes/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ςB", "eT\')zs>H~\r^Fܫ!]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zy8R#Oy", "wp-admin/css/nav-menus-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@%H>", "gYҿꆨ7!dj-YU_4\\)t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZleH", "wp-content/plugins/ocean-elementor-widgets/modules/image-gallery/widgets/image-gallery.php", "0", "\'ox\rBޓj", "\'ox\rBޓj", "%#+l5vVߡ&wy!uI$߇S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z\Z:\\RfP~3", "wp-includes/class-wp-metadata-lazyloader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!0GqE6K\ZC", "ac\r=m6O U~s2mH=(f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZUEs(#Ep", "wp-includes/images/smilies/icon_mrgreen.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JRww", "^m~\0kO[\Z:`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z\\-3%~", "wp-content/plugins/wordfence/css/phpinfo.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">Q!0w/蓴", "a@|I\r=\Z^εd)[W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3hE9&ʑĮ", "wp-content/plugins/ocean-elementor-widgets/modules/call-to-action/module.php", "0", "lG`{k*4#", "lG`{k*4#", "	,P%E];;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<}6T", "wp-content/themes/oceanwp/sass/components/_404.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n}7Q_H", "(Jy{M,2WcC֋HPH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$P`\0gX", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/Cached.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yF\\2", "2ks\\>RI:nHȿDm!zz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%)\r\'", "wp-content/themes/twentyseventeen/404.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OxA$1&-y", "H{Af,[$dn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%DzTA\0\"A\0", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݬ?Oڏ4d", "@`G~eKȣl/b왞{>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-c<@VsZ", "wp-includes/js/api-request.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FBo}ڳ", "6rcP_RL6䅊Q7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2np7;)", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y!P29uV%2=", "17F?9)\05~%1P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("86գ\0ř", "wp-content/themes/oceanwp/assets/css/third/sensei.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lG$~/", "Q55Hpo&֜0G[ןC7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=zEʘ=3", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/ParseException.php", "0", "ͻI)ys5ga>Ә", "ͻI)ys5ga>Ә", "AkwkOq6I̢iCJM\Zqb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L\'#TQQ~", "wp-content/plugins/duplicator/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T`fQl+@\'9", "thX\'d]U~Z!!M\"QT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ae1AY\Z;c", "wp-content/plugins/elementor/assets/lib/font-awesome/js/v4-shims.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ORaX>D29", "]RE<X<\0ض)g\r-8pu@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k7|dT;", "wp-content/plugins/wordfence/modules/login-security/views/options/option-require-2fa.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZɵP! r", "wXXl@gIz,>W7\rX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mMp?i", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-add-to-cart.php", "0", "hY", "hY", "VF6%oԈm0fD\\hlri!?] ]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uZORQo^", "wp-content/themes/oceanwp/inc/customizer/controls/heading/class-control-heading.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[^", ")N\rxUrI%IgA?@d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dc ë:\0]", "wp-content/plugins/ocean-elementor-widgets/assets/js/search-icon.min.js", "0", "%ڀVd7UApT", "%ڀVd7UApT", "l<m)$6VUpJGM/EH@<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G j#_I", "wp-content/plugins/elementor/includes/controls/structure.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rWZJkѲ", "ҷḲ]hS|\"*ޖKQWc!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y!\0pZ[A", "wp-includes/js/mediaelement/mediaelement-and-player.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'MʄhE", "I\0ew7T.$	aZS\01}v\".", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M\ZQ", "wp-content/plugins/elementor/includes/widgets/progress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O2+,^y", "6֑sdbC<BSOM\'V9\"v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0+2cZ", "wp-content/plugins/wpforms/includes/admin/class-am-deactivation-survey.php", "0", "ء4u<ioј", "ء4u<ioј", "<{r(m~3H׊db]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EȖqȊ?2H", "wp-includes/js/dist/api-fetch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PQb!пN]X", ",ƺbjF5W[O1!Il\ZͶg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѭV3V6", "wp-content/plugins/ocean-extra/includes/panel/assets/js/demos.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dE{ED[t$[", "ELMRbc|N!J|P8`&^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ֻE\n<B[,", "wp-includes/class-wp-ajax-response.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\]@{1 ", "J8}!JCe*9S٭,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~/ۘxM", "wp-content/themes/oceanwp/inc/customizer/controls/color/transparency-grid.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[^QǪ\r:;5", "˝?#O	CM\\\n\0VY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x#;", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MayaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g\0p	f/l:", ")_TM\"4\0ٜ(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_p4DTF!", "wp-content/plugins/wpforms/pro/includes/admin/class-addons.php", "0", "γI)2ǆ[A", "γI)2ǆ[A", "}LhXɈWx}f-GzW^0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nUI?zBK5Հ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/RegistryTest.php", "0", "Э\r0c!GP", "Э\r0c!GP", "%Gp\Z&|3vv^5<\\g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mn9F6", "wp-admin/css/admin-menu-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e [׹F\"m.", "-)wZ3)azmxhN~Юƅ%u:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")b*)9#9", "wp-content/plugins/ocean-elementor-widgets/modules/flip-box/module.php", "0", "MgTS9", "MgTS9", "1PB$}h|TC{ٚ|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")M^ûoz", "wp-admin/images/loading.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m\'n}T-Ve\n", "[t;T{A~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4%IHOʰL", "wp-includes/css/media-views.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "͘BǕZ\"", "S\0x= 33\\<PI[e9:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C/;)ّo", "wp-admin/js/comment.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P3l:Bچ", "rN9\r|`\\rp\"FT]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H~\nx|", "wp-includes/js/dist/token-list.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BvJ I2e}J\0;<", "Mp1>?kഏD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TgslFʞLy", "wp-admin/js/set-post-thumbnail.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{0$\Zzx;C", "oV1\0NpzU\\~:$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a@WrQwZ\n.", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Poly1305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܑzg<N\n?o6f", "REgX3JAc!a_S{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h7W1\\", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FleepHookHandlerTest.php", "0", "HsBHZ߂", "HsBHZ߂", "1}O_@ɭ:*6oA\">I^D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n<ό ^̨", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Plan.php", "0", "9;u\"w", "9;u\"w", "	@SxI1OWPUI؁&,g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vs%zF", "wp-admin/css/ie-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ҶLXda`M", "Ns\"*\'7p$ixȭv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z|*6S\\53", "wp-content/plugins/wordfence/lib/wordfenceScanner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F:;|EO", "L	w\0`2nbô\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r[YO2Й", "wp-content/plugins/imagify/assets/js/jquery.twentytwenty.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e,^$zO", "C*EJWs\Z[V\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uTg(n&Ϭ˫", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/ithemes-exchange.php", "0", "ds,;Ғ	", "ds,;Ғ	", "VbcRiIcɠ4H]4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y2tV>", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/inactivity.svg", "0", "NqN\"p赺g$", "NqN\"p赺g$", "P3𧦡&Y]NZ&\":+\"K%*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E0&bc:r*", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.string.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y1}_}fx?(-", "] Z_\0(X\"ȭbqp3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n$zX`1Bw", "wp-includes/js/tinymce/plugins/charmap/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\5^", "[B\Z,;jfeMUj|)rv>UF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=b6hst", "wp-admin/ms-themes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YHVi", "}[v0	w^!*TxW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'FEAvQMv", "wp-content/plugins/wordfence/lib/Diff/Renderer/Abstract.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">\r5]xVI\'i", "G݅\'!YE3P5adM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`MajjCE", "wp-content/plugins/elementor/assets/shapes/curve-asymmetrical.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}rH-p\'uM", "*\"(\'wX3\Zl^\0:4q<;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k0Ba`", "wp-includes/customize/class-wp-customize-nav-menu-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DY}tǨR", "1Im8,djD-=Vh2\ru", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\re/C&E4:i", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/page-builder/beaver-builder.php", "0", "Rk:;Eqcsn", "Rk:;Eqcsn", "TcLi$\nhqgG$\'XA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t@<4", "wp-content/plugins/imagify/assets/js/admin-bar.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	|M3", "wN~]#C	j&%QYz6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-=QCwtnL#", "wp-content/plugins/wordfence/lib/wfBrowscap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\re.b", "HznO#/tɚ\"U Ai", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F?;Le", "wp-content/plugins/elementor/includes/stylesheet.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƮW8]@", "/ػ\ZJCD.kc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nO_;]/^", "wp-includes/images/down_arrow.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e]:uWv\"", "ǘReO:n{{x7hPod", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ν}V+tB", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/BLAKE2b.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "꤀x٠%cl", "N8,caeΟi<5p$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G_bc.,]&", "wp-admin/js/image-edit.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(ba`x1[_8F,", "GM5@W(KnSk,|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kv$TMR=", "wp-includes/css/dist/edit-post/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nAJaGh eh", "ۏBEN&8lV:܎", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";\\A.DO˚", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AimeosInstaller.php", "0", "EWMi6=<*@}m", "EWMi6=<*@}m", "DRV\\ŭ<7ty	,8YmL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QHړ(\n", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MODULEWorkInstaller.php", "0", "٢j@\nN", "٢j@\nN", "pv$L΋,*ʸ/;R˥", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fMx	+9U", "wp-admin/js/customize-widgets.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#E\"+Z?", "\0 +<Ko;1ORqw#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\\MA", "wp-admin/images/wordpress-logo-white.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qPC-SPD", "e4E?&DsAʬ;)@Xɒ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J}FE\09", "wp-content/themes/index.php", "0", "gD,V=\\bP", "gD,V=\\bP", "k~	UH\ZxPĀ<;X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")`t>J\\", "wp-content/plugins/ocean-sticky-header/assets/js/main.min.js", "0", "ӻv>A洒`", "ӻv>A洒`", "nI8PθK 8g蝒L\0z8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o?MCb", "wp-content/themes/oceanwp/partials/footer/copyright.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʥJ\"Qt-", "eӜ9\0)?@1k4L!뀆(o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":}pܛ>", "wp-content/plugins/duplicator/classes/utilities/class.u.scancheck.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H.N?0^]", "hJA; ʘhҗ(\Zx|\r-4;Idctr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zilR(޲", "wp-content/plugins/ocean-extra/assets/css/topBar.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nnc", "[xh|`,x	<`V<{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=}CiHT", "wp-admin/network/profile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hto`3v", "_!gI\\:K[ߗCA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lp%:;DCL", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/class-ngg-subscriber.php", "0", "\"}?-jH2)", "\"}?-jH2)", "ӁPiDT8mղ썀.odm\"$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gI!٭_", "wp-includes/ms-blogs.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FM3iQVX", "am#)f.C%4}M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tDXm\0#(", "wp-includes/customize/class-wp-customize-nav-menu-locations-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M8F/鋵˿", "HY WR.Ԗ>/)Sy}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]/~qXŎE", "wp-includes/js/jquery/ui/button.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",ЍQ楎", "iOϞ)+bx!5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{;9ɛ6bob겕", "wp-content/plugins/elementor/assets/lib/font-awesome/css/all.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"n\Z~", "On9Ú6l+!BA~Ң", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("՛~Ue", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/state.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0GLv;QO", "k#9Vg2ĻSjaf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۓP ny", "wp-content/plugins/wpforms/includes/templates/class-suggestion.php", "0", "5lFC*c", "5lFC*c", "jӛ˸lp)]	T|+Yv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ﲱ7>\\65; ", "wp-content/plugins/ocean-extra/assets/css/centerHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D\\k3{", "p9g$GS,.^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˩?lU,", "wp-content/themes/oceanwp/sass/hover-style.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƾONE\"QV", "@1`tʮπ5d\"H#Br/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@(F:G%", "wp-content/plugins/duplicate-page/inc/admin-settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`Gyk\"3_", "oZ1z)G8\Z2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0?Va2_o", "wp-content/plugins/ocean-instagram/admin/class-instagram-settings.php", "0", "%4eCTP#", "%4eCTP#", "k:2˥LBڹh櫠^W)Ea", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<Q4,Zhʨ|", "wp-content/themes/twentysixteen/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ka", "B%$<mMtDf]iA.\Z5J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A!¤;2P", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_favicon.ico", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`ֺ6J", "|MMm\'Xٯ]o	xʣbHH׽", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B@R*GxF4N}", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/XSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'_?Sş\Z]y", "6[-,9YRr\rY\"-an6$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R\\&T	|`", "wp-includes/class-wp-user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "92J\Zs", "#*be3({bZi\r`}KV%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Zlyt_jl", "wp-content/plugins/duplicator/classes/package/class.pack.database.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'%z,", "MX^Wr 1u:6h~*I.L]$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[bad)-q", "wp-content/plugins/imagify/inc/3rd-party/3rd-party.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BT@,KJ", "*[AO?2:TcvN#K m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^k\rai-6", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/bulk.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#k瘥jݸ4", "Ck>xiL4<C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iceED9", "wp-content/themes/oceanwp/assets/js/third/woo/woo-off-canvas.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3yT*.", " 4#6%%SmQΡ4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("reHE;9", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0\' N깛V", "?ǵ_-ϟb7b\Z	\'fp>UG\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ynm;/UsK	", "wp-includes/css/wp-embed-template-ie.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7{WPL{HI", "\\aWq1+ЯoLY\0K%<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|&;rLs5", "wp-admin/includes/comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q|Z+^#`\0klC", "J/Vׇx&d!zp3ͳt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ye.0s", "wp-admin/includes/class-wp-comments-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".! ajf&k:", "guj\Zq͉Dos+=&\r[e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ao\rZԔ_t", "wp-content/plugins/wordfence/views/waf/waf-uninstall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4nZ=t ", "{7bR	NY\ZBe&CV-d:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8iy>w", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":qB", "wp-content/plugins/duplicator/views/settings/general.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`OP(ެ^n.", "X7\"|\nYr&8t9	\\)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'-p-f", "wp-admin/css/l10n-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iR{峪,D_J", "\"X\0\rR>sFZARv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jֹJ0Y", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/X25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p0W\"F)8O", "5)&BoK]ػrm`%hO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qn_)Rdѕ", "wp-content/plugins/ocean-instagram/admin/class-shortcode-generator.php", "0", "t	2*Q", "t	2*Q", "gcRpm,mȩ-C`^ִ=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ú`*D6zRuٚ\09", "wp-content/plugins/ocean-extra/includes/panel/assets/img/footer-callout-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8%", "\0\rVrDZKƳ}E+Kg>in", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("з\"\"z̓Ci", "wp-content/plugins/ocean-portfolio/includes/admin/class-register-cpt.php", "0", "s+yFX#0-yN~", "s+yFX#0-yN~", "p/L#,=XMvjޖ.A\Zv[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]ū x\\@", "wp-content/plugins/wordfence/modules/login-security/css/colorbox.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<w\ri컎vL*x", "Nb\r̎/?+\'bi\'W$@i\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/)s\\;R?V7o3", "wp-content/plugins/duplicator/assets/css/jquery-ui.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g%:=ʹBB]", "׊N~+8$I1\"_Nr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9hlDMXr", "wp-content/plugins/elementor/assets/lib/imagesloaded/imagesloaded.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";|FR;", "rZe9(U򎴀qiI@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A+WHdo͟", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MongoDBHandler.php", "0", "D触\0*bl&Ȝ", "D触\0*bl&Ȝ", "d=E^;.`AwzL>c,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G[5xI{_G", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Api.php", "0", "tPaJjd9", "tPaJjd9", "DLEô*o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LbP-I׭1f", "wp-includes/theme-compat/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G.	IDlӃ", "TBFfGώ!@3+˲j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Nd#R+r\0s[", "wp-content/plugins/wordfence/views/reports/activity-report.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t+Ty*=*xS", ":w})]&nVM/Afof?{z-N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^;DY\r0R", "wp-content/themes/twentyseventeen/inc/color-patterns.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">K	k", "N>øU69$8X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jԵ7\"O0Ղ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MemoryProcessor.php", "0", "-GM\"QB\'l", "-GM\"QB\'l", "QW9uIL=x8o(ov-xbZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t!\Z%\n", "wp-content/plugins/wordfence/vendor/composer/autoload_namespaces.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5,}vĨ3G)", "Er4@\0ԡ$z3$l\Z`iexl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("upd^", "wp-content/plugins/wordfence/js/wfselect2.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J!.i", "lk}[ZjA.!=+5+~q 1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w$0_hߠx", "wp-content/plugins/ocean-elementor-widgets/modules/instagram/module.php", "0", "+T}(}Yb%;v", "+T}(}Yb%;v", "{aW@Nj~LKeO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" _f,|<", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/foundation-icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q", "Z@)Qv9&\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Y\\z錿}c", "wp-includes/images/smilies/rolleyes.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " O2Ofݣi", "fK)\nd!]\r)\\}זl^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\=\\\r?6\\t", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/font-awesome-pro.php", "0", ".F\rIUƆ", ".F\rIUƆ", "\"KwzУ7*ey\"9gfATe", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[xT\ri", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Pools.php", "0", "aaު.4g", "aaު.4g", "SHf	rbwaYqPT]Ck", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2p)tI", "wp-content/plugins/wordfence/modules/login-security/classes/model/settings/db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " \0\">y>=", "xVQ/}琾:(3&%UJoC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oRb", "wp-includes/js/dist/url.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5\"GX,", "0\"%14$t=eaL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" A	_RC", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Compiler.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8rh&IGƇ", "`\0\"8#wX6C-6,k\"g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" P\\SR?3", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/README.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P#:_=ځ", "4K_&ʋ2^὏:[QL\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" \'_U;0/<", "wp-admin/includes/class-bulk-theme-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FԞ", "iu\'me)!.vj/o&ΤOӸB5z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" *@ADғ=puE", "wp-admin/user-new.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nShrn4Wb", "N_``BLJ{ї=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" 1HޞxHb", "wp-content/plugins/elementor/core/common/modules/finder/categories/create.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aUɌ", "Q	̎.ܱ4ݘ*K<pX,JiiB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" 5rDg籃", "wp-content/plugins/wordfence/views/dashboard/options-group-license.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Oazve,", "1vM8m gI4k\0y;/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" <@s\rF/", "wp-includes/Requests/Exception/HTTP/305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X\0K/`,&", "HƎ+@Ib^=QvM6_iL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" M u{<ݵ\Z", "wp-content/plugins/elementor-pro/modules/forms/actions/mailpoet3.php", "0", "wЀ7", "wЀ7", "l}/4j1C#^x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" {m\nܣeR)", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing-tab.svg", "0", "!*9Ɗ4lLb", "!*9Ɗ4lLb", "\nĳs!\nou*Y;X%3y\".Wq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" +j@?9:\"", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.logger.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!GdP?Tsn", "~Hm9o$3LlQ-%4}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" bfbb1,㐇", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OsclassInstaller.php", "0", "H\'Hyr\n", "H\'Hyr\n", "ߓK4e߂S]n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" GʴGtؑ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/BLAKE2b.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lkm>[?", "c+ZY:{\nJPc\"{4u#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" 7$Y\'", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/studiopress.php", "0", "g\rP\Z\0", "g\rP\Z\0", "S;\")G%<|VJ<aS,Fc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" zz{LH", "wp-includes/rest-api/endpoints/class-wp-rest-blocks-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZPHn﯏~\\iq", "|`v-KZj8+<.Iݩ\Z}AdG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" \r$	Q^C(", "wp-includes/Requests/Exception/HTTP/505.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]A	3[/Cd", "⭛ i{PA͆kdM\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" NμAv&o", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui-timepicker-addon.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AMA@|", "u\ZӚ1!b \"0SBȓ>rEk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ԔClDs4geM", "wp-content/themes/oceanwp/partials/header/social.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@aC%Nā\0", "U`%d@l{|ɉT%́`w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ג+NqG", "wp-content/plugins/wp-rocket/views/settings/page-sections/imagify.php", "0", "8j&a=@H", "8j&a=@H", "?nP\'@;)+3d8	4H@!Y4e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" Zo:-=\\", "wp-content/plugins/ocean-elementor-widgets/modules/newsletter/module.php", "0", "ĊZ㫮\r<>:", "ĊZ㫮\r<>:", "H\r1$\n6mszJi#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" c̫)I\np,͑", "wp-includes/css/jquery-ui-dialog-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pj*ѯ", "!}~)\\Gk&7TQ?)IkH>=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" &LoԜ3", "wp-content/plugins/elementor/assets/lib/font-awesome/css/regular.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uHy#Gڊv57", "\rKEĜ\\+|Ǵ@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" \rbe)%k", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/pressidium.php", "0", "\Zlzؔ\0gNrh", "\Zlzؔ\0gNrh", "\r^7fʭLCS94iV3́J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!o\rAv7e", "wp-admin/update.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gQl6v", "Y <T(5QD:2\'ORo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!/5YP1@", "wp-content/plugins/ocean-extra/assets/css/woo/wooCategoriesWidget.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m\0ϣM", "7=\"kӜYh\0h4=kmx5$_~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!1b݅9*\\", "wp-admin/admin-footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i(#\rD$\r%5", "De3|iIOLvxa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!Id]5$[~", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/ChaCha20/Ctx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oL k\'k1", "1\\Qt*J%s&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!Plu6CZ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Salsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Pe1", "T*+z]ʜ;>\n3]?x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!_輵p3pnL", "wp-includes/images/smilies/icon_eek.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_sjN_z", "*M-rm7t\Z]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!|(yW*1Oo2Cu", "wp-includes/js/wp-api.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J$I,ӡq(", "R\0Ɠ*m?/b/,\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!xx+![(", "wp-includes/js/dist/list-reusable-blocks.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gܒ2SK", "^6xp(E׳:lS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!w<A\n@O", "wp-includes/js/dist/hooks.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p5N.", "i3Ō\rn)B=\ZSc]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!y\'Ub#}", "wp-content/plugins/wordfence/views/waf/options-group-rate-limiting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȁ)\\Qq9F#", "l$DЦm	,N8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!##sw:\rH*$q", "wp-content/plugins/wordfence/lib/menu_tools_diagnostic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7<Ճʟ9\nK", "ёSvm(6V\nlv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!sV}-J", "wp-content/plugins/elementor/assets/shapes/curve-asymmetrical-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƫid", "߯3/ Mq35ƌo\\=S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!RpnLwm7", "wp-includes/js/tinymce/plugins/lists/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nA8X2MQU\r", "nH^5\"l֣lLhy5[d:BYnZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ګM~!¬", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/CSS.php", "0", "Ŗ265q魪]Sk", "Ŗ265q魪]Sk", "gMq^LHxGZ,훳\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!?s4{Khh", "wp-content/plugins/elementor/assets/shapes/waves-pattern.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l41Ky)d", "\'\'$r\'+M?InCchݲ\\A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!p3Xbid", "wp-content/plugins/elementor/assets/css/admin.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=|EAFbPݳ\0", "**U70k \'O3}07[)-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!Tۦ	lI\n", "wp-content/plugins/wordfence/lib/menu_tools_importExport.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$^k>T|", "k^XR1, c=\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!\'=4K", "wp-content/plugins/ocean-elementor-widgets/modules/price-list/widgets/price-list.php", "0", "@h{7,OWY", "@h{7,OWY", "-l) O+!A[J+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!O4bCRRfO", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/storage/file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ķLKܠ4tn bk,", "k#vkАŒ$:Su", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!Y0-z1dm>", "wp-admin/js/plugin-install.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0NGdt-]/l\\", "]a-nQ.1}WFJ.F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ݔlWv~oF", "wp-content/plugins/wp-rocket/inc/classes/class-wp-rocket-requirements-check.php", "0", "=R\"{sA", "=R\"{sA", "!Uo%Edou{c_eD\\9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Etys\Z|g", "wp-includes/js/tinymce/plugins/wptextpattern/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	J)Us", "2sF|:U4{j(#4oH.j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"(}Gr	0V(", "wp-admin/ms-options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ET\'.P\0d", "J3l+Ku\'ƴ>\r\nf,XðR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"-Ѳ\n2j%(o", "wp-content/themes/twentynineteen/sass/layout/_layout.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!&\"{#*", "v@.|s>0OA3jA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"0rN1M#", "wp-content/plugins/wordfence/vendor/composer/autoload_classmap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EӤ㭇Mg", "Q*\'B+Eߞ:myuW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"2)_OH#!", "wp-content/plugins/elementor/assets/css/editor-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l,%(tH5", "?EqSO].rрʌa21&R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"8A\n=ᇼfp5", "wp-includes/theme-compat/embed-404.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G(u0", "\0IH.$N;pn\\݀9r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"?K\0xU0V.", "wp-content/plugins/ocean-elementor-widgets/modules/info-box/module.php", "0", ")N&8w", ")N&8w", "ɡĜd<UI|m=S?G<]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"IFn@a}9", "wp-admin/includes/class-wp-themes-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&	ri浡b+u", "R\r׈ojqQN0~+g\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"NMkVO", "wp-includes/js/dist/data.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PB\r\n\0", "\\I,P<>34_o`O\r׏M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"mA( Ϧ3|", "wp-content/plugins/imagify/inc/3rd-party/formidable-pro/classes/Main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!G\"kcB", "G|\0;}s>icpocL/:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"vԏy\\c}", "wp-content/themes/oceanwp/sass/edd/_edd.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n%vkqJ`k~M", "|޵I\Zs~Y\0ҺH$-?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"cyzIY2ofl", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/popup-login.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@Ā7=ÙE ", "h>#Sm RMR-g79F(f0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"b9e|_", "wp-includes/feed-atom-comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%v<B%", "O3Ǧu#Ii#`8dd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"xy!", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/MailHandlerTest.php", "0", "zY81euYU", "zY81euYU", "f5¶0!XzҜ4%V]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"u>17", "wp-includes/class-pop3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KTQȩ:O!@Ty", "h94s֤L~$`-!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Ǌ0xiDz{$", "wp-content/plugins/wp-rocket/inc/deprecated/3.3.php", "0", "s2o\Zs|K\Z", "s2o\Zs|K\Z", "f\Z17ƻZ>qP4x\"H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Y~V_^I$I", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CakePHPInstaller.php", "0", "6k_sx", "6k_sx", "h;[8{ܠ^xx\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"6\r+K{\Z!a", "wp-admin/comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p [.&:ԃ", ".Mt-:/k@񛣦7dEr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"wh", "wp-admin/includes/class-automatic-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[׆<`&%", "%sikHbX!\Z=B\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"6qٙ", "wp-content/plugins/ocean-extra/sass/components/_widget-about-me.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hљB@iN", "!ckξ`v«z=ɱXi@+K,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"}`ΐ", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/page-title.php", "0", "!U]M,>>", "!U]M,>>", "ݒőHZ/Jj42=ec", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"0\0L\'M", "wp-includes/sodium_compat/src/Core32/HChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "95ef#ϝ", "i\rC\"Գ\r48cS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"	۵ظp", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s2.dbtest.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"sc1mQ", "pL/eE|^ߎ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Fi<9*", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Firewall/AccessRules.php", "0", "PuIxb,1", "PuIxb,1", "[Grs4tȾL}Yft~𡋛", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"{9jO<", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MakoInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6gO5| ", "pns#dF$W͕(Q76", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"J2\rߤ-H&", "wp-includes/js/dist/date.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6PpF%\n>\r", "|?[{+=^Nu\rKD\r*aˉ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#z1h;", "wp-content/themes/twentynineteen/sass/navigation/_navigation.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tx߰+e=SF", "5,nRjtݑʦ/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#	9$ݸ", "wp-content/plugins/duplicator/installer/dtoken.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w8k_%B	5", "stA0ZF&W@R:Q\'i4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\n/PZ~h", "wp-content/plugins/wordfence/lib/email_genericAlert.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L)&낆(", "j{bXN#R5[׍m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\nc\"a.:;", "wp-content/themes/oceanwp/inc/customizer/controls/dimensions/dimensions.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3(ȫ!5O", "d!<߹\\@hfߟD9Ȟ\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\r-ng", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/search.php", "0", "jh\ngWN", "jh\ngWN", "zEpWHY\0!dXP/T\nyc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#0QG]1T\\!", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/sticky-header.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W	Weeu(", "nR0c̖2~VB-Ce", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#Bܢ$", "wp-content/plugins/wordfence/js/knockout-3.3.0.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_B8lc^", "5J9hALg@`uwo3\0I>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#Dń5%", "wp-includes/class-wp-hook.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`eM5,Ts&", "O/N/~li3+N\0\'YYϞ#\n&铬ߙ|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#X&uSK", "wp-content/plugins/wpforms/includes/templates/class-base.php", "0", "Q@wc?ٛWf}", "Q@wc?ٛWf}", "3΄27>pB$+Rv鑱:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#a\"W$V=!ݔ", "wp-content/plugins/imagify/inc/functions/process.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N(. <+ƒq՝g", "RY=!㗹>$&PBM\rVlj*̰+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#cjd%|", "wp-content/plugins/imagify/inc/classes/class-imagify-filesystem.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+ןWR\'@8", "垮tg\\aeu[h`n%U朂", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#yt($NTt", "wp-includes/Requests/Proxy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@k7\0t\\*G", "w<PBZCkSIQ!\n}i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#QCw3eX9", "wp-content/themes/twentynineteen/sass/site/footer/_site-footer.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|\07", "@UJL$)\ZO\\|bS|oR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#Nn2޳\n7", "wp-content/plugins/ocean-extra/includes/widgets/js/mailchimp.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Or:", "E{į=ã]ۓܐlԙd)sw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#-g\\L%3S݋B#\r", "wp-content/plugins/wordfence/images/wf-horizontal.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E%Zlo9͒", "0	6ӭIvhJ`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#`R:R)", "wp-content/plugins/elementor-pro/classes/utils.php", "0", "PgwoEK", "PgwoEK", "QJ#}gor꟱Jgɟs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#ƌnb@sp]", "wp-content/plugins/ocean-extra/assets/js/sidr.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e䪑%\rUm", "VP||mAp7(>QRa@!j*Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#ЮH	2=@", "wp-content/plugins/ocean-woo-popup/ocean-woo-popup.php", "0", "F$1)CwLDm[yè4", "F$1)CwLDm[yè4", ".anC\'n%H<:ƇKcB*Aba7 w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#|(}\nL7", "wp-content/plugins/imagify/classes/Media/Noop.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5Ji", "HjDؙwnO}2z\08", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$, #̗l~L", "wp-content/themes/oceanwp/assets/js/third/woo/woo-ajax-add-to-cart.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FzRGs\Z	", "H0WgZEjpɻ{ˌB-8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$1(S?끁;K", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.conf.srv.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_]NRb(Hۮ", "|24+Cm5\'k&oO*v5|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$7y]N", "wp-content/plugins/wordfence/views/scanner/issue-suspiciousAdminUsers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P<\0cAFLN", "R]`[2#XÉi(E\n`rJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$>oFr#\\", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OxidInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KE6P\0I6", "U=^k\\p\'}4֌&dtfhU3[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$[R.B@", "wp-content/plugins/elementor-pro/modules/slides/module.php", "0", "&?\'2:IQko", "&?\'2:IQko", "O<ѱwX6\r&ZBO0>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$ZtztWm", "wp-content/plugins/elementor/includes/widgets/button.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\Qln?CO(", "Y/B?9XkM!Ąڄ)Քx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$\'ݨl&ʷp", "wp-content/plugins/wp-rocket/assets/img/bg-activated.svg", "0", "gg xDU}c", "gg xDU}c", "J}_(\':Gl?(\\9.LIVʁB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$0S\rr", "wp-includes/images/smilies/icon_redface.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mLVxeh", "U}Xݪ`P>f4ZL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$SCkdW", "wp-content/plugins/wordfence/views/scanner/issue-timelimit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J7^њOi", "5QgwBH.f<<Zh&V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$C/9", "wp-includes/class-wp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6\"#1	d)+", "\rz\nz>yנf-wͫ<q$8}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$KNO\rU", "wp-content/themes/oceanwp/assets/img/wishlist-loader.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X<yS+D", "\ZEi.zf+?q麆qzz*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("${%fM^", "wp-content/plugins/wp-rocket/inc/process-autoloader.php", "0", "w^Bw>v?", "w^Bw>v?", "ƞ^%~Q^q[&$a;خ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$-#q`l$Wۉ", "wp-content/plugins/wordfence/lib/live_activity.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2>(]/@ꏞf", "QըW`~N_wID$J3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$|c \\~", "wp-content/plugins/wordfence/views/scanner/issue-control-edit-comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " ;͏(vpoq", "z-\0Aj@ 8cT&՞", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$ϫ/!C", "wp-includes/IXR/class-IXR-introspectionserver.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2Uaw<IwpO7-", "\nCPEQ%D\rk*Xo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$AnN[", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Processor.php", "0", "O[=sNL)g", "O[=sNL)g", "np^\ZW~FU0޷2C~|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$Oga5", "wp-content/themes/oceanwp/partials/mobile/mobile-nav.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IQbBзBo]", "i3n8	=]Kʨ_]@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\08m$صM", "wp-content/plugins/imagify/views/part-bulk-optimization-table-row-folder-type.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3}r\\th!", ".Чq9Yc\0ę,zѢs8i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%7娳", "wp-content/plugins/wordfence/waf/wfWAFUserIPRange.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yFH\'\'nގ", "KD[Rஞ 5:grP7*X\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%$MqT<", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Salsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CUO\ZߠxtH", "G\n\"_/Agh	U?SsHבYٳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%%j\'`FN.`r7", "wp-content/plugins/imagify/inc/functions/media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",\"dr15", "gڨu٧ꪸ[{b\rn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%([ٞԾW*lÞ\0>", "wp-content/plugins/loginizer/IPv6/BigInteger.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2Ǹw!", "8Ag_z\\:!HrX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%..Ct=\\`", "wp-includes/sodium_compat/src/Core/SipHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%VxE1N", "!3|@0X1>\'[U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%0\ZvB!寊=#", "wp-content/plugins/imagify/views/button/optimize.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^V5/-r", "Q4l{	m^PD}u:	q\r6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%3ajI4|K͉", "wp-content/plugins/wordfence/js/jquery.tmpl.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\}\"7ڷDZ", ".IH\Zg\0H!7`gޠZzȄž6|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%:F8Q.y", "wp-content/themes/oceanwp/inc/customizer/controls/select2.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "81_5K1n?\Z~", "} eJŇ_<ldk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%D?m1QZ\"cAXQq", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Insights.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G=1\nV0", "8}>k6`uideHP^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Ki#k\'\0?l", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/InsightOpsHandler.php", "0", "I#=]_", "I#=]_", "vOy xV%<.M \'am?]t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%V %ucL4", "wp-content/plugins/imagify/assets/images/twitter_c.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӝB)Uc6Tm", "Oz}\"(:]f>Gj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\\՜\Zv)ـD", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/common/attachments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#l-.ZɫºݻP", "LZKJk@U@x7BCޤSb|4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%^Xo", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/product-search.php", "0", "FjW]pM=", "FjW]pM=", "\\8 Ne *%%kfޙ_k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%gW8`2+H{Tm", "wp-content/plugins/ocean-extra/assets/css/errorPage.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\o%2	p~kV", "rJI\"^Ic2R	yAnM+9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%}Mha&6", "wp-content/themes/twentynineteen/js/customize-controls.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ہF\r,D+z{ٰ", "+)w\\::,SF&+yjd\'<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%~PO	a	ϔ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/ErrorHandlerTest.php", "0", "+,BnK	,", "+,BnK	,", "fqxCd|0I9!Z\"c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%TY)![", "wp-content/plugins/duplicator/installer/dup-installer/classes/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%q4(\\D", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Railguns.php", "0", "9XԤn3?", "9XԤn3?", "oYq!*n9LQ#A45C6*Z\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%;7BWs", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ewV\\+s	Ÿ", "bq]4Ih1:\\}.Ț\\P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%9\\ދ", "wp-admin/includes/class-wp-site-health-auto-updates.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|OmEj$", "u4/Zv]WOӢ	1lp[NYf8>̀}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%kDlvHv$a", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@?bPq;y/N0,", "AmB[H0s1Ym\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%8^V<t", "wp-admin/edit-tag-form.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0٥M", "=pqG~ED>ɬc@1;KB#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%:1k	\Z", "wp-content/plugins/wp-rocket/vendor/composer/autoload_namespaces.php", "0", "5,}vĨ3G)", "5,}vĨ3G)", "Er4@\0ԡ$z3$l\Z`iexl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%/([}|}g1", "wp-content/plugins/elementor-pro/modules/forms/classes/integration-base.php", "0", "xBi3", "xBi3", "aXGw,NGTI\Z[Wl爪S(U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%fW	P0}+", "wp-content/plugins/wordfence/modules/login-security/img/menu.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p]j-", "8#̄(8O\"	+h\"Fb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Q&fNB\'", "wp-content/plugins/duplicate-page/languages/duplicate-page-de_DE_formal.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2jak6P/#{F", "FDBQI/9_(A\r\nN.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%6ҦL1", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/GlobalPolicies.php", "0", "\"$]O(g", "\"$]O(g", "^Q\"]Cҋksʭx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Pb.8Gdt", "wp-admin/css/media.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4IG\'} ", "8XL>e1*yn,nnX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Е=GXB2P", "wp-content/themes/oceanwp/inc/customizer/assets/img/bs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'֎U?]4L", "o+>]b|Wl4Hc]}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%ر3qkZQ", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "97A>[`?", "xҀuw֧蘑SAh4+HB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%[!oٵ", "wp-content/plugins/wp-rocket/inc/functions/formatting.php", "0", "Auwh/\0uc", "Auwh/\0uc", "hX;qV7]%pюړy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%pCu@Q", "wp-content/plugins/elementor/core/logger/loggers/logger-interface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0דL\rDaև", "_?N)\"^J+\'L0=b<2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%h9űR@", "wp-content/plugins/ocean-elementor-widgets/modules/gravity-forms/module.php", "0", "Go]+=;PzN", "Go]+=;PzN", "ZQ>TH.о@Q8ckwߕ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&QfV)$c", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/LoggerTest.php", "0", "s4E~Ѹs/", "s4E~Ѹs/", "JVwQO\\C`#F燎", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&PDt?5u1Ym", "wp-content/plugins/wordfence/crypto/vendor/composer/installed.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " =I,", "AQTcqPBbt\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&|0ԦZ", "wp-content/plugins/elementor/assets/lib/font-awesome/css/v4-shims.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qi[Rrve", "ߔI\0v)z\nh\\MO4zwd;ë", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&*dĆָ	H5", "wp-admin/images/align-center.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	\Zݶ4ydY1e", "놽N3X!ljh`hA]J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&0^GY-", "wp-content/plugins/duplicator/duplicator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b#.鞃&p(", "]ӹ\"Ch\r%`;5s\"Sw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&=\Z+t\"/k\'\n", "wp-includes/js/jquery/jquery.form.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&s{D]f4", "4+:¡5$ >ZowEf$2K\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&NTT|t#&", "wp-content/plugins/imagify/classes/Bulk/CustomFolders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&mZW-_69l", "LPS	B,W	0uY7\\n3Cs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&WMr RPhD", "wp-content/plugins/ocean-elementor-widgets/modules/pricing/module.php", "0", "8)D", "8)D", "+Eȇh_@hO|b4*R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&eG~pkC", "wp-content/plugins/ocean-extra/includes/panel/updater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PCm4?qR", "`wT.TMA{uD{xG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&ee\n3KvZ", "wp-admin/ms-delete-site.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|*v\ZO", "P&gFڴ4_@_m!£+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&e%;R4Vi", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/NumberHandlerTest.php", "0", "0 ܡ孵\"\0", "0 ܡ孵\"\0", "{?)[oMG_ Yb \ndv`[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&k\0v_fcbv", "wp-includes/js/dist/format-library.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VwС#\";h", "}6o.уw%t\rиJ	׃", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&t!0^gbJc,>3", "wp-admin/upload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SJˊ01y", "cÌs77 1qc5Y4,}ҝx\"ϼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&|;:", "wp-content/plugins/wpforms/src/Providers/Loader.php", "0", "ŗC樫\"~R", "ŗC樫\"~R", " e0MvH*L`{0*rL&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&DQRw]", "wp-includes/sodium_compat/src/Core/ChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-rjiIأeb", "bE&q*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&KKTqr☀y", "wp-content/themes/oceanwp/partials/single/media/blog-single-video.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5aP\'mrN", ">2rYT?1?]#ÄLj&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Wd/sos", "wp-content/plugins/duplicate-page/languages/duplicate-page.pot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fm</p.eb", "|yQٲjEbyfk\0(f\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&ɚ%)W&i", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/RepresentedCountry.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">XVDm|P6\n", "l=b:џ	RZ		6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&8O%\"", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PlentymarketsInstaller.php", "0", "ź>pҸ]T:", "ź>pҸ]T:", "lO|TKf.`~4,XvIt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&An^ND", "wp-content/plugins/wpforms/assets/js/list.min.js", "0", "j};8`)N2@B", "j};8`)N2@B", "ɒZfU>?mi@鏐\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Rw?~jhJD", "wp-includes/Text/Diff/Renderer/inline.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nn5PB\'", "XU.k⻺@-(5NV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&]0W\n)=", "wp-includes/js/tinymce/plugins/directionality/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ErHDD3@", "<o@:-Eg)6^Ѽ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&\\m1`&", "wp-content/plugins/imagify/assets/js/admin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_`3mBE1", "fVs6Lefl;\Zxom", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&y{#>v", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Òxy$QOU", "Df=]¶rc.\\?]!<t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&`OQ5Q43", "wp-admin/theme-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QUWP〾", "ƸůxugGZsg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&	PshcusS", "wp-content/wflogs/attack-data.php", "0", "#ح\nyIb\r\r", "#ح\nyIb\r\r", "l4Eq{\'wg31cw:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&vAQcqw8,", "wp-includes/theme-compat/header-embed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g+x&wfX", "e鿎i×#=4wNrbQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&饱W؀|", "wp-includes/widgets/class-wp-widget-links.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P\rV-sY", "L!>=/6gzs+kWCi%\0Nz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&/Qݥ(F", "wp-content/plugins/elementor/assets/images/placeholder.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2j\\y?1%bA", "!KKZ\'9&K.p!x+S|6N~R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Yzq[Ff@", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/WebService/Client.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ⶨ;*?z", ":O.\'~y@Y`FMN:n.;q@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'D<wļ", "wp-content/themes/oceanwp/partials/edd/shortcode-content-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j\\ԂT@[", "+u8HL\"C\\[d:X ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'=!ZaajUQ", "wp-admin/css/site-icon.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}Ep0lu", "i>Ӻ#&2Z\'K(*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'Ac,	~6ܦ", "wp-content/plugins/wordfence/views/onboarding/tour-overlay.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":% );\0", "\Z\'ġ맪.s\'sd4^I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'Mw񑍷\rKj", "wp-admin/includes/class-wp-site-icon.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X[bЌl65_", "(9`ͨ{!0dZk\r&ԛ\rHq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'YXfِh", "wp-content/plugins/wpforms/includes/class-fields.php", "0", "8T߃Dyp", "8T߃Dyp", "Df\ZR\n31]rfAd^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\']\\$m$6,y6", "wp-content/plugins/elementor/core/common/modules/connect/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NOZE?\0G)", "b:\\b^O)ȧ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'fIF:gZ\\dӠf", "wp-content/plugins/ocean-extra/includes/metabox/controls/rgba-color/class-control-rgba-color.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϒ_?d6es\n", "Q,A@Ê?Vm%&ĂFƥ\0T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'kʦjovr}", "wp-content/plugins/elementor/includes/settings/system-info/classes/plugins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V?R", "w5/I\r7#68G/\0iў|u?GH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'o{Y+&ulO1d", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-carousel.js", "0", "3!(=-g", "3!(=-g", "﷫yN5.4љXnOw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\' oS", "wp-content/plugins/wordfence/images/icons/ajax3.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mwߴtꍓ\'\ns", "dz\nyKƮ\'#]x	VJR.=:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'HB/,|i", "wp-content/plugins/duplicator/views/inc.header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<`Jy*X)", "TU9E@\rV_W@5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'ԩ;,4RF&s", "wp-content/themes/oceanwp/languages/da_DK.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R\nOm[tx?D", "S\",Z#%6Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'_iYm1R", "wp-content/plugins/wordfence/views/scanner/scan-results.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8΂,\\", "SHS6p_2*\rTD\0G9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(&Ee9", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/general.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "spX}~t\\^ם", "7 -&&jN{I\0אN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(g%\04l>", "wp-includes/js/jquery/jquery.schedule.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&Tkf؞", "?vEʔwjCP՝_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(!!>չG!#{{", "wp-content/themes/oceanwp/sass/woo/_woo-quantity.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";OUʢfap", "J\nl{G#%B%W1(a5(\\\ZCf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(-8GlxFa", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-abstract-css-optimization.php", "0", "Q:%E", "Q:%E", "s<L9G`Q䟹ץbF,vEV>Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(.ä*", "wp-content/themes/oceanwp/assets/css/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[d?4ab", "UqOMBqF4H%mF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(=_wǙBp\0", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n7sxoo", "an&!mCTYxX&SfN?4h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(?>SN揚&", "wp-includes/images/media/default.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-IBh@b", ":oLJDj$->i\'6n֠Ui", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("([dBQ", "wp-admin/js/updates.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Exzn~y H", "w{˰*w6:/ϨO):", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(d核!im", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TheliaInstaller.php", "0", "R#tXɃt}7FI7", "R#tXɃt}7FI7", "1xk_,_{p\'-Zʻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(x*J,LÛn<K", "wp-content/plugins/wordfence/images/icons/arrow_refresh.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kw``|}$G", "u/2/@H_Ilh/aU:	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(~6vqV0{\"", "wp-includes/ID3/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƜVLN[", ">/fqS3#SUO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(v|T— ¥", "wp-admin/includes/screen.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#\n4\r1g", "QOZg#g.bHxR\r/A$^+\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("($;(ԫ;=V", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/CommentHandler.php", "0", ")b΢@BIyG", ")b΢@BIyG", "YpKԣ1˻U$@)2]|#tM\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(\"V;ݾ", "wp-content/themes/oceanwp/languages/nb_NO.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";DhʐkHk", "-Hxx$@RY \'ֳק", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(,b-e0}9y", "wp-content/plugins/elementor/includes/controls/image-dimensions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MK|hpb", "7H~a\n6}!A]Uh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(y\0	pDO`", "wp-content/themes/twentynineteen/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m302\0H\"uLɩ", "3|Zw\Zh|Be5j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(Օ)(pwBl", "wp-includes/js/dist/list-reusable-blocks.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'{1k&", "-|ո;&0o;4ԱPzϪ1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(:ִt", "wp-content/themes/oceanwp/partials/edd/shortcode-content-price.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v i;FY", "|:UB<^\0gN)\\Jp{o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(>f0\Zg[|", "wp-content/plugins/wordfence/lib/wfJWT.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}{ jNcK", "0mhN`xx~HLjsOP,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(\"@.n", "wp-content/plugins/ocean-elementor-widgets/modules/image-comparison/widgets/image-comparison.php", "0", "}]#Ӄ&㊗l", "}]#Ӄ&㊗l", "dHIG@`)޺$1-5gd~߰", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(LS[Wl#", "wp-includes/sodium_compat/src/Core32/Int64.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%mS,\\", "U!6/Ucqn@+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(\0%J", "wp-content/themes/oceanwp/sass/components/blog/_single-content.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XA%._˨֪Bi=Rl", "=.N_ڹ|g4x6̪UP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(^3N3", "wp-includes/wp-diff.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X@Ez}", "XtG^0za\0S[cfŉ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(g&飣ƍ@$", "wp-content/plugins/elementor/assets/js/admin-feedback.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?PPdZu2y", "rX3f:يӺ.Ka\Z3\ZQI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(3Qԍ9(@ݫ", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/typography.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":T\"", "\0H©۾\\ڡbfs>~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(GƉg4|F>%", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/Random.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^duOiK:bIfn", "T=$Z8>&auG[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(yؘ_:", "wp-content/plugins/ocean-elementor-widgets/modules/navigation/widgets/navigation.php", "0", ":<;WZ1	v", ":<;WZ1	v", "	@.Xク销k WNOp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")\rAUrM! ", "wp-content/plugins/elementor/includes/controls/box-shadow.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z?hk<B", "aQm/\rmQ`bJA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")c^WFyJn|b", "wp-content/plugins/wpforms/includes/class-updater.php", "0", "	+\nesuMY", "	+\nesuMY", "\'WDP<o޲Zuo0m18", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")|{4+]X(", "wp-includes/Requests/Exception/HTTP/411.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'RM.Z`G", "U^9p&`nM{ nL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")ɶf̒", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/SelectorNodeTest.php", "0", "J[v)Բ\0$!6W", "J[v)Բ\0$!6W", " \ZV[`\"{f&\'gЪA)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")\'z2(f?1", "wp-content/plugins/imagify/assets/css/twentytwenty.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d4ZJ8H", ")*Ӣwb2%3D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")pخyf}", "wp-content/plugins/ocean-elementor-widgets/modules/google-map/module.php", "0", "vxVkb_B/", "vxVkb_B/", "&_Zh?\\	?	n <e!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("){jW-_Q=?GlҢ", "wp-includes/media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԦKiW֎5d", "}Bf$@yiOxn*\n%#0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")|#Ŏd", "wp-content/plugins/ocean-extra/assets/css/blogLarge.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-.J0Q`wH", "0GAxdc\'<~(,7G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")}-t\Z1Q", "wp-content/themes/oceanwp/inc/customizer/controls/radio-image/radio-image.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2,)yaW\n=", "8wwnޞzݧ>i_E\'a]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")}Bn|gR۳i", "wp-content/plugins/ocean-instagram/assets/img/instagram.svg", "0", "8Waf^", "8Waf^", "cSuc5.#ҍY$!8.\"]瑕N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")w~2ۼtBf", "wp-content/themes/oceanwp/languages/pt_BR.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=._t", "D)+)rfˮ\r}RJlz0+L$M#J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")9B$Fz", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-settings.php", "0", "E1ocN", "E1ocN", "\";b~+FTqӝ[x~mN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")Oz=u˷", "wp-includes/rewrite.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3~#uk9", "iuG>Ww\Z3{ay", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")*Ţ\')9ԵBJ", "wp-content/plugins/ocean-full-screen/assets/js/metabox.js", "0", "+\r}2", "+\r}2", "+\'-J^rnh79ú", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")6#_̟SAF", "wp-content/plugins/wordfence/views/scanner/issue-control-repair.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[оڰA9(n", "ߑJ[4#~H8ȉB9+/mv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")]Z$P%", "wp-includes/embed-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">EVJ{;6!*", "OX[	˩\rNm-\\UcG@@e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")6=Z9&N", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/woocommerce.php", "0", ">+vWWjS|", ">+vWWjS|", "ƨ8dz)*e\"Pl{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")2?2h", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spin-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`EHl=!$K", "pos\Z_P{?o7ty=Kq\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")?lG5*>s\"", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/FunctionExtension.php", "0", "ö́-O{XF", "ö́-O{XF", "MMPՔ;5=\r.\"mWHJV8D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")f><z0-AUi", "wp-admin/js/wp-fullscreen-stub.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k5z$", "WsyWhaϵ:[\"5acQQt	E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")rNş", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-database.php", "0", ".)mxm(	8", ".)mxm(	8", "\'}@F\\Sǧ7N9.iEeG\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")\"n84\n;V", "wp-content/plugins/wp-rocket/inc/common/purge.php", "0", "\\]Fh| \n{", "\\]Fh| \n{", "PoqZұ?,4\'\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")Ex(S_", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooGridList.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nWrXx/7N", "ŗ<7zc`JS_<Z6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")\rXVsWe[", "wp-content/plugins/ocean-elementor-widgets/modules/blog-carousel/module.php", "0", "rْbY\rd\0b", "rْbY\rd\0b", "gڙM\nюi?wP޶OƄ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*a%鯯0D", "wp-content/themes/oceanwp/partials/entry/quote.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ITO", "0o `=}y\0%B4ҨBv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("* aF4uvU", "wp-admin/images/menu-vs-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JZY<iYb", "\'FєE\07ɡ#>sePض", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*.^3=(vw\ZH", "wp-content/plugins/elementor/assets/lib/font-awesome/css/fontawesome.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'zZ]mar", "Np}SUo=?;B4	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*1hXf#", "wp-content/plugins/elementor/assets/lib/nprogress/nprogress.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_wB{UD", "8j;SYcXXaؐA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*?*vLKa", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/CommentHandlerTest.php", "0", "eh]6!۵", "eh]6!۵", "J.<mlXp$e4cIy&yf_(\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Fj?Q; Sg\"3", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/Specificity.php", "0", "y@\r9)?", "y@\r9)?", ":ьnstzMAEz_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Gdt;Ie@q\"", "wp-content/plugins/ocean-extra/assets/js/headerReplaceSearch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1~%(^", ")y\n<G	ѧ-aG$W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*V.XZ_C[AԀC3", "wp-includes/js/dist/keycodes.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%o};3", "!\\Wơ\Zok.0ZXY̣", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*\\Tҝ)%]yiD+", "wp-includes/Requests/Exception/HTTP/402.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`YQP\nzG", "gNQ	/	y5θc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*\\fC@SP5O8", "wp-content/themes/oceanwp/inc/customizer/controls/typography/typography.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@輲7_C]S6", "r\nZ\ZU$ސ6ChZHXA\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*j	_siYO\rj", "wp-content/plugins/imagify/vendor/dangoodman/composer-for-wordpress/ComposerForWordpress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@cUB5/Pty", "(qy3Y %	2?υU491	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*};(:7/*", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uuѾ\rڶsi", "N\roBP+^DWϠ	c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*-3uE[O#", "wp-includes/images/down_arrow-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s$6(@a", "L\nA}]زC\\ijM^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*b*ee", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/HSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x\\8zM~.", "vR\0S~[\rҮ6o:Ś\r]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Lm&&2\nb", "wp-includes/js/tinymce/utils/form_utils.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lUTLi", "vLus<*rWҪ.\0|Rg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*`Uz]\"L%1", "wp-includes/sodium_compat/src/Core32/HSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/Dzxǂ", ",E{0/maXi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*S˙[eeC-", "wp-content/plugins/duplicator/lib/dup_archive/tester/datester.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&5+I]", "uk+$ʱU$`$i/!F@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*\Z07ѥ1Oَ8", "wp-includes/js/json2.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s{N|EO0", "q3..j G\\RnݼI/T-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*	ą\\", "wp-content/plugins/wordfence/views/options/option-toggled.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]KrYwB", "knS	3&Y=Ձ_+?Hƪ%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Y\ZtwЧh$", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Database/class-optimization-subscriber.php", "0", "!JYp}qB", "!JYp}qB", "CPj/dOKE!ngC>}3D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*گh4ݧGDy", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/HashParserTest.php", "0", "ZG\\pY8=R", "ZG\\pY8=R", "~\rO*CN VMJ$pkr%W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*uvSږE", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-core.js", "0", "s=q?D9J4@", "s=q?D9J4@", "BZBJWTh6i-*\'9=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+\0&LЭ:A", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-range.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޫEP(	^)\r", "3$=kaT),B-z\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+{ж4!\0O[;;~", "wp-content/plugins/wpforms/includes/fields/class-textarea.php", "0", "<ٮayH*Ƣ", "<ٮayH*Ƣ", "*¿({tޓLJy7LKb֫", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+Y%\"x0kL\r", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/FlowdockFormatterTest.php", "0", "j", "j", "ZRxڦև}ޮl9qTcU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+K\rcTߵ", "wp-content/plugins/wpforms/templates/emails/summary-style.php", "0", ")9GZL3;", ")9GZL3;", "V#^\r0Ӏ9TX\n#v\0 RvٯB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("++iJy>*{;", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_75_dadada_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nR3:9A", "fBZ\rNh~2g;Tb܊-WLɸv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+3!Z߈\r+w", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.js.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A:S\"", "<<Zlm9s%eYl׀", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+,5[!vx", "wp-content/plugins/elementor/includes/editor-templates/global.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[̂.ti/\\", "d{Q٘tŽ\'dY^ΡO6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+9[BUEe", "wp-admin/js/updates.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?[9i9dz", "1ro9\Z.ٌI*^\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+9U+Z b԰k", "wp-content/plugins/wordfence/css/wf-onboarding.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/KwtG\'(", "mǸ${&W>.{?Wo)=H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+NcAe_|w,", "wp-content/plugins/ocean-sticky-footer/assets/js/main.js", "0", "AW\r-G;", "AW\r-G;", "<nF\nj\\`~z#\';ԡ\0kt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+b\nDfX2YC", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/ConnectionType.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dS:-N!Q0\"", "6)?^\"F*g|&RΠ\0	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+td3g=F", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F(1oSZjWe°\0", ";MyE̒hTk|P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+Z\r9\"=v", "wp-content/plugins/duplicator/assets/js/javascript.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!ᷛ7~|", "$:G(Ô>B7ӛ:4+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+G*#f", "wp-admin/network/site-info.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f2<lzzt\Z \r", "nk8IWުD^ZO\0h$t|9Dx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+\ZDZe}", "wp-content/plugins/wordfence/views/onboarding/plugin-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kQ4ڌtS*", "Qh9\07MN64>\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+t%R?", "wp-admin/network/credits.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T%>rl1q\'", "<C%9> =ČZI_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+Md}` B", "wp-content/plugins/elementor-pro/modules/global-widget/module.php", "0", "bG>^d7Jvl", "bG>^d7Jvl", "{˅bUd{.\0~V{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",\ZJ\'AWh", "wp-content/plugins/wordfence/views/options/option-label.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`Lgf", "_\r\0\0Z}})v[4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",\r@jO(pOI$", "wp-content/plugins/ocean-extra/assets/css/main.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N۹Ual", "wPyib5;ҎڋAlԹz3vX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",t\'ЮF\0", "wp-content/plugins/wpforms/includes/templates/class-blank.php", "0", "I\002", "I\002", "XodT܌Xt/>9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",J[lUP*7Z", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-en.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӛ\'o+", "hLݮ1E5ܕt=ꎾ-\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",8LGN=ޕ", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gOP҇č", "~8 ir\nPp\n25DahBzP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",;ua*/:\"", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-color.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "so\"щs\Z~Y", "58ߗZQ&!SK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",< ?C]0A", "wp-includes/js/tinymce/plugins/colorpicker/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͶU裦h", "ehӧ&έA3+WTh\n\Z)?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",=(?Hl&", "wp-content/plugins/wp-rocket/views/settings/navigation.php", "0", "/wGL:mW", "/wGL:mW", "vG$I&xmIj>K-vnpl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",FLN@\"0[y", "wp-content/plugins/ocean-elementor-widgets/modules/info-box/widgets/info-box.php", "0", "i\"A Fcne~", "i\"A Fcne~", "S3toܺͪ\"̩&]qDZ1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",[*`(H", "wp-content/plugins/ocean-elementor-widgets/assets/js/hotspots.min.js", "0", "WEzy~ׅ)<ϝ", "WEzy~ׅ)<ϝ", "YhK8Uu=MʱtTd|o|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",]\'N%ݑUeT)", "wp-includes/js/dist/annotations.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TSC@D7C>o", "5klǴ8`69ҐF6J79B\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",`WKa0a@ȑ*", "wp-content/themes/oceanwp/assets/js/main.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}ӣ,CZS,", "\raW@,`%֨X4f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",jAgI(nm", "wp-content/plugins/duplicate-page/languages/duplicate-page.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"jxOwK%8/", "4+I&}}M`%F\\d\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",nzF$qfß", "wp-content/plugins/ocean-elementor-widgets/modules/toggle/widgets/toggle.php", "0", " ѭTUNԢ\n", " ѭTUNԢ\n", "1㗺(V\n9uF[B%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",zeY#uJ~[P\r", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/P1p1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " OpR{ҵGݍ", "Y:BP5Ms_.ن֎", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",}p:\0XYf", "wp-content/plugins/imagify/assets/images/icon-doc-image.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/!@6ҥ", "=f7zniU!Rg8.P2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",@hjqrޒ", "wp-includes/ID3/module.tag.id3v2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zaǬ/_\Z", "-6,7ʎ*faìҎFSz_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",ă\Zlŭ\Z", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/ElementParser.php", "0", "!?ԽдG*h\'", "!?ԽдG*h\'", "Ep{D@+G>2\'>5+ͫG\\)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",hɃs?4B[^՝", "wp-includes/SimplePie/Cache/DB.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YOU.b", "d*Y®s<!)܃J¬", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",Y~`\n1a~6s", "wp-content/themes/oceanwp/partials/header/style/medium-header-search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".\\ŉ", "xvH{vwJf`Lf:i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",-מYa(,", "wp-content/plugins/elementor/includes/widgets/toggle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ӭvёi]$(", "]of==7q%ȹ2\05wY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",\'0NO\"s", "wp-content/plugins/ocean-elementor-widgets/modules/instagram/widgets/instagram.php", "0", "ĘK-b", "ĘK-b", "T #Gi44zGEa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",QBW$*?TE", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0c\rFႭ?hX", "W\ZH7{Ȇ?78\'9R&`͛", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",lSr", "wp-includes/css/dist/editor/editor-styles-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n%}\r;\\_3@>", "h}!aXɱ96#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",t%RRYl^a", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/butterbean.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<|}O:@էjf", "ۆO\Z3	\"fP~&NJ}ne", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",Mp;1", "wp-content/plugins/elementor/includes/controls/repeater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Yliުn^", "7ۆ`\nw&\'*uqA*m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",Wgf>K6ҧ", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/buttonset.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8\'뺺,)hE֩&;J", "CY|&vzJETRtN5HT_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-#/=b", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Symfony1Installer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LQ\09mM", "|3,Ux`i@?f.@F/x}h#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("--ü$);J5", "wp-includes/js/dist/rich-text.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8iz@ڪ_.", "w5e\Z;3{ Éɐh[M6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-I\nYɍNѺt]", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.simpleexpand.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tb׀", "`[:$M\0C$,I%*D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-W\ZKQ,Qz", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/revslider.php", "0", "sj@A쇣93>", "sj@A쇣93>", " @27?hA0&}\nhVc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-\\[Jץ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/ChaCha20/Ctx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F1	M]", "A8{!Vt<SqHoh4y`By", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-jާ ~hyb", "wp-content/plugins/wordfence/lib/menu_support.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yy0\'Ofx2;D", ".F!x,p	[\'E\Z̻,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-k#U64M@", "wp-content/plugins/ocean-extra/sass/components/_widget-custom-menu.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+AP\"}k۰7?j", "a^Fp	K({\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-kdϯXw\\7", "wp-includes/admin-bar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?\Z(:FsXs", "t\\=)\Z=bw0|m [a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-pKkF\"!\"\Z", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-url.php", "0", "5i\'zbIL$", "5i\'zbIL$", "3~\Z%qPV\0ĸM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-Ǹ%w=", "wp-admin/css/colors/ocean/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z|[l|ٱf%h", "ɮ1uZRH6I\r	ź􇖈B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-_mq+1", "wp-content/plugins/wordfence/modules/login-security/classes/model/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h㠲ieɡ", "IHMp\\Nh\n׈NF=-Z=hO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-)75y8cWv", "wp-admin/about.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l(3c܄\"_", "SE	B\ruLYEԱ72Մ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-_+YnS", "wp-includes/js/jquery/ui/tooltip.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D?hi\r,q40", "^xt`0hKX+]b,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-f4]#\"ul", "wp-admin/css/colors/light/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_vǜ`~", "b;\'d2Jgq#aNF02", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-藂Y{]ns", "wp-includes/css/wp-pointer.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cv\0vr", "[`|$֣d~ffqJipKl[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-[+\'̱", "wp-content/plugins/imagify/assets/images/gear.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!W[\n)\r@]|E	", "N3x\'7TkJ]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-X\0~\ZtZ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ZendInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<TW<l0ӵ", "ۡ-ON~*_>g<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-ply~", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/ErrorHandler.php", "0", "(sVµih", "(sVµih", "/XWp~MZPV	vus!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-8&LC2", "wp-content/plugins/wpforms/assets/js/admin-builder-conditional-logic-core.js", "0", "/\0fP", "/\0fP", "2#\"cwp+<W̜bpj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".ttK", "wp-content/plugins/wp-rocket/assets/js/wpr-admin.js", "0", ".zEK6", ".zEK6", "BPlf=MHGhi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".Yl=Ez1ѹ7", "wp-content/plugins/imagify/assets/js/notices.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tMB׆\0N[8d", "b	tQ_*D7@X\ne5!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".dӗrаؙ|", "wp-content/plugins/imagify/assets/css/options.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j_FcSI", "Z#aMm	c\ZrdC)ռ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(". \0_oE]A_0PJ", "wp-includes/js/tinymce/plugins/wpautoresize/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d\0XcO@p%", "oLN꼨O(S̓w-Qi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".5hwBڦ#", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/WildfireFormatterTest.php", "0", "Yc;5?vv", "Yc;5?vv", "pz6+4Vԉ+o\"\Zw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".IhU3+B\Z", "wp-includes/images/admin-bar-sprite-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q8o", "*ETsal^pXZ\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".iyAy\nU[b", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/TranslatorInterface.php", "0", " Y	)\\bi8R", " Y	)\\bi8R", "]f0F,\0*lN1Ĝ\"ʺ*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".vǎCnrU-̋", "wp-content/plugins/imagify/views/part-bulk-optimization-underscore-file-row-library.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8FB8Z", "	G)D\0b~XaX8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".xϮ7_", "wp-includes/js/mediaelement/mediaelement-and-player.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x6T F", "\0<&\0<\ZJ!6qQm8I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".q\n t", "wp-content/themes/oceanwp/assets/css/third/sensei.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܬʥEr#", "JfAO0Z2Tc+Zb c=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".麉D0uL-c", "wp-content/plugins/wordfence/views/options/option-toggled-segmented.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B|ssGo1x", "\n9VW |:]\\)d^U#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".{q^!wi", "wp-content/themes/oceanwp/assets/js/third/edd/edd-cart-ajax.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-K~]n", "S!A9nNҭPV:si.R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".E[Jlx", "wp-content/plugins/wordfence/images/forward_disabled.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M_Z?N)Ҋ:5", "/<>O&ȕJR݇e}(m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".۰(Io_", "wp-content/plugins/ocean-woo-popup/includes/customizer.js", "0", "tBd%櫶<", "tBd%櫶<", ":GA~x},؛ܩ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".8YE", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SlackHandler.php", "0", "zD\rI~w3", "zD\rI~w3", "*XWe|XL`nbֆ`8X=HH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".7fw9Pm@", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto/jwt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0H#IHD", "voVYx?\n\n&3c-\r8m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".a$ה\'m", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-featured-image.php", "0", "IטּɿVLێ", "IטּɿVLێ", "3C(S~%P$$N&o(+?潽", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".1m)~", "wp-content/plugins/duplicator/lib/dup_archive/tester/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/\\\n\nN>v", "wp-content/plugins/ocean-elementor-widgets/modules/table/module.php", "0", "\'8z+j)be@", "\'8z+j)be@", "\rk(yJBL)zb2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/\'\0PjQ5.E", "wp-content/plugins/wp-rocket/inc/classes/admin/class-options-data.php", "0", "H\nv^`F!", "H\nv^`F!", "/-?̂q<G-L$kЇ/nR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/*:o>t", "wp-includes/js/dist/autop.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";OzHC*C", ".(3!ފH5z]\r`\"OY(W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/<ا^ɼf}\"$", "wp-includes/images/media/document.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v48Αy6d", "ø`f	I$ _ZX\"0\r,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/=$U\Z9p", "wp-content/plugins/wpforms/src/Admin/Challenge.php", "0", "/C,ʽ5a", "/C,ʽ5a", "Z2qKfgU2?552׶m&fk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/Dy\'i+dԭ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Registry.php", "0", "OWt\ZBb~", "OWt\ZBb~", "C ]M A`t;$LҷLBS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/X\Z0A灟", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CraftInstaller.php", "0", "إg]b", "إg]b", "gD>IB9LI	*1160C|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/]`]4vi;", "wp-content/themes/oceanwp/sass/base/_form.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lNNN\Z!-gd", "(S[\ZZi)2\n/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/zX\\AӖF?Q", "wp-content/themes/oceanwp/sass/components/_responsive.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ƴ̤xS{\rJ", "HWz 1[r(OcBT|x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/Ӱp迿j!!X", "wp-content/plugins/ocean-extra/assets/css/dropDownSearch.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r<2*@l1`_", "c{޷o:ҸϣkEQӧI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/3Ig:XKJ", "wp-content/plugins/wordfence/modules/login-security/js/login.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Tt^jhw[_[\'\Z", "]D\rg,\\@{,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/8r(", "wp-content/themes/oceanwp/languages/de_DE.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9&)HÛq(", "y\'lb<	i\'/3PB@Y4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/}㦿L;?w\\", "wp-includes/Requests/Exception/HTTP/401.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";*?d@", "YV$/@=V-dc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/Mn(sv", "wp-content/themes/twentynineteen/sass/navigation/_menu-main-navigation.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9;Tpeu#.S", "^R|7^)4(5;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/sC4", "wp-admin/network/setup.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t=$ly2R", "Q\n0.s$c\"tZ^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/5\n_/	", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nHzV(<&", " ph\\;:\'{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/H>!+", "wp-content/plugins/ocean-elementor-widgets/modules/toggle/module.php", "0", "){SS%Lu{", "){SS%Lu{", "^G;}Ķ}i,楌\'-G݇", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/7[n", "wp-content/themes/twentyseventeen/inc/template-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M1@8xCϻ4V", "9AdƦN.\0zs`%Kh\nփ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/鹠ΰ1iw", "wp-includes/images/uploader-icons-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&-OÕ~", "r\0\'_>6QW4ڠR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/+pudI\\\\Sg", "wp-content/plugins/wp-rocket/inc/front/images.php", "0", "Q^ѩ_)4j", "Q^ѩ_)4j", "|̶zLrbAo㵶$7l·", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/5SQU۶v+", "wp-includes/rest-api/endpoints/class-wp-rest-autosaves-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?rd>dBŗK", "k%VVr\Z\ZٕoXgeQ^^;vx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/ H9EA", "wp-content/plugins/elementor-pro/modules/assets-manager/module.php", "0", "JbҦO͚N\\5L", "JbҦO͚N\\5L", "hf9T\rpN\"kXO ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0s`0/YC", "wp-content/plugins/ocean-elementor-widgets/modules/advanced-heading/module.php", "0", "Pb5&M", "Pb5&M", "W>y+kt<9\"F|D\ZE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0\rĂgjXZF	.ܰ", "wp-content/themes/oceanwp/languages/sv_SE.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7œKF)<%", "|iN\'^čJB=(\ZX3c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0:\\~qn^w", "wp-content/themes/oceanwp/inc/customizer/sanitization-callbacks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xT\rZl3", ",ײ[T^ptK;0e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0<lڿJ", "wp-includes/js/wp-backbone.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x\n%6h)9", "Cv=6Vzk.jUaZJ`(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0I*iƙ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MediaWikiInstaller.php", "0", "d3ͮ%.Y", "d3ͮ%.Y", "\n &<j}J̌vn^wo[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0Ji̒,8_", "wp-content/plugins/elementor/core/upgrade/upgrade-utils.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8Ū~[G", "hrVN>Xv`MG&a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0L\07<IQ#1", "wp-content/plugins/ocean-extra/assets/css/header.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Og;*", "&7/*\\RXWfzB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0R$$?/KU.j", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-hostings-subscribers.php", "0", "(ߝZ[)k", "(ߝZ[)k", "n(@O+ġsJXeO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0]qK\'fx", "wp-includes/js/tinymce/plugins/compat3x/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L{p׶Ҡ", "m澑[S3\'J*Stsj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0jVƽf:5`\\", "wp-includes/js/customize-selective-refresh.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+/=", "Ó3{%abJ#X?B|\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0mYKwuy3B", "wp-content/themes/oceanwp/sass/_config.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aIO4iv", "].oPWQaMl4u2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0xhͭK3T", "wp-includes/class-wp-fatal-error-handler.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o^}i5,hBz", "\\Xlt*#@0g ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0|Z&|!;&P", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KanboardInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*3]<]\'", "нrt}Q7@I=}amu(Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0!AF<;IpC", "wp-content/plugins/elementor/assets/js/frontend-modules.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "皵7V7p", "WZ	\\kK{{	4Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0E\00XH", "wp-includes/js/colorpicker.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " \ZYb|$@q-", "#,(UoދQr\rLFM;Ҕʈ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0q?ya	", "wp-content/plugins/duplicator/installer/installer.tpl", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^C}cYN/", "--0@b5,z] $vSb;q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0nT6³F<i", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/ParserException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Qk	9*)L", "hwR໡Ә\"8|yxdU}̻", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("09چF?p", "wp-content/plugins/wpforms/pro/includes/class-entry-meta.php", "0", ";M2|,N.\Z`V", ";M2|,N.\Z`V", "rE8nت K1\r˽K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0|L=AB", "wp-content/plugins/duplicator/assets/img/google_drive_64px.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "},>3+\\{b", "Ffje<Y>PĆQG6CT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0Ɵ>(Yל&7", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/ScalarFormatter.php", "0", "4Sl", "4Sl", "q\\ckYh>ֈY\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0vQ*` ", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/HashHandlerTest.php", "0", "s(ZDC", "s(ZDC", "7|,3^;n閕Olȱ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0dۦZP2o", "wp-content/plugins/wordfence/lib/menu_firewall_waf_options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ua~v", "/[+!)fhfĳXF8/H7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0ݬI:[ic", "wp-content/themes/oceanwp/partials/header/search-overlay.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xJ\\JuT", ".jRF!$`#^DQh:<V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0VP?", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/NormalizerFormatter.php", "0", "\n\ZUz@a", "\n\ZUz@a", "hjXzp/urW@e;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0%XtCI>K", "wp-content/themes/oceanwp/languages/zh_CN.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʖP ޹", "S[(!+\'Š8HZT:5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0t0b:$0", "wp-content/plugins/ocean-elementor-widgets/modules/image-comparison/module.php", "0", "Xn\"pCn", "Xn\"pCn", "QHfJfl:!^麍y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0Jgn\\Jo)c", "wp-content/plugins/ocean-elementor-widgets/modules/logged-in-out/module.php", "0", "cHGꦅߌ", "cHGꦅߌ", "1{%߶]E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0\n\\Q+oP<[", "wp-content/themes/oceanwp/sass/components/blog/_gallery-format.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#~H]9H", "-S^]Fc5-nrEjgD/oZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1YN}c~&", "wp-content/plugins/elementor/core/editor/editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%N\'y	OQ", "7.	|U,I6ws! ԑMhxGx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1pdͥ`O86", "wp-content/plugins/imagify/inc/classes/class-imagify-requirements-check.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ftӱ|\0$RZ", "҃^te\0̰!!\\L?>z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1h9\'ZH\r%", "wp-content/plugins/duplicator/views/tools/diagnostics/support.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MwX޻+f\'", "ZGռRR􉤌/IC2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1(AجZ", "wp-content/plugins/wp-rocket/vendor/league/container/src/ImmutableContainerInterface.php", "0", "lqͮgTO", "lqͮgTO", "Pgd&+a\n)$\"Zl7b{|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1,%znhL.j", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-dropdown.php", "0", "/ f\n4Z", "/ f\n4Z", "cL72L2U&:>\0XS3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1-g97", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/error_polyfill.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#fG\rւBg 0", "c(k12Qw4?0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1.z|K@1-\Z", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-optimization.php", "0", "/,G\"\'j-Ukh^׍", "/,G\"\'j-Ukh^׍", "obNld=S065[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1?ox<?6", "wp-content/plugins/wordfence/views/blocking/option-bypass-redirect.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"5y \"\'f", "agLSSPU:̈p5Q<>Fr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1hF^1e /p", "wp-content/plugins/wpforms/includes/class-upgrader-skin.php", "0", "&!zU^d+", "&!zU^d+", "Ҩ=EU\ZZYN2h5>V>~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1s)6ӶCΗ", "wp-admin/user/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r>YQdg", "٣jt\Z/<\r68", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1v$-a\rZ1Jz", "wp-content/themes/oceanwp/sass/components/blog/_blog-thumbnail.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%⤹ɠ{", "<,J[Tach*yo\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1z:J(;9ʆ", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/license.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g1\'\'\ZI]j(*", "\0v1sN>cID٦I0-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1}9,Zyã]", "wp-content/themes/oceanwp/sass/base/_typography.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0[i38[)0", "\ZPa(^Xn6ߝ3<m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1(s={", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/templates.php", "0", "T[Q}H;u", "T[Q}H;u", "f^۵t\r ŨS#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1\ZoezR", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/TestHandler.php", "0", "!23I/]Fi>", "!23I/]Fi>", "8ӜQdv^/LA>AXU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1Fb3}!Q[dۗ", "wp-content/themes/twentyseventeen/template-parts/post/content-none.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\;a	yA&", "XU\"*JU=?InpWi-7o	gw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1Mьj>Нt", "wp-content/plugins/ocean-extra/includes/widgets/custom-links.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NϊՊQ4", ">}z KaYRY݃", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1KD@w3", "wp-content/plugins/wpforms/includes/admin/class-notices.php", "0", "AQ-5{pK", "AQ-5{pK", ">z_s6]YW\Z]=h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1pa`H0ߢe", "wp-includes/js/dist/url.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tmPhTw", "o;sfh\n4A_R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1БY4I^p", "wp-includes/sodium_compat/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KAct&", ";8%&h1RnJ g0-p\"F1*ts", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1EfQv#)\n0EkQ", "wp-admin/images/media-button-image.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~WÎ@brճ", ",gw?{6U}iXTH%ݬ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("12~YJ", "wp-content/plugins/elementor/assets/js/new-template.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8߂׺<]?\0gbͥ", "It0Fӵ\Z*s.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1B/i&H+S", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Í_^A\0I\Z", "V߾+dZWEn8g҉/S~hC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1MT4Yne", "wp-content/plugins/ocean-extra/includes/widgets/js/insta-admin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Do1\"d?׈", "4bO#[ayKvqA1A=(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1X/t60^Ҁ!7", "wp-includes/js/comment-reply.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Gn-ꕭȚ", "Mz6KLP\Z<~kDv/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2Jy*m]W", "wp-includes/js/dist/a11y.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z7&`i@,b7", "]UČ#njsYbA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2PFAoK)2B", "wp-content/plugins/duplicator/lib/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gD,V=\\bP", "k~	UH\ZxPĀ<;X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2bU\0spd0", "wp-includes/js/clipboard.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bu`Ė", "FBEg.8k|2\\aup\'q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2@jj\0kӲӘ", "wp-admin/includes/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Fͬ4_]:|", "fÙw|Ƀ#RrrPmRmX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2C}>ÿXp", "wp-content/plugins/wp-rocket/assets/js/wpr-admin.js.map", "0", "xۖY 3D", "xۖY 3D", "4Bky,TF~A{YY|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2D%J?\Z", "wp-includes/js/dist/wordcount.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_saZp7MZ", "*fC=IBD[2ȝqE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2LCӽbo%", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/class.duparchive.util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%\\O\0Lt\Z|Z", "70˓ߢm\rwͫZN ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2jL,W\rW$", "wp-admin/css/colors/sunrise/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#ķˤR?", "al4gq3|U&ebPQ\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2r}Vĥ$^n/", "wp-content/plugins/wordfence/css/images/ui-icons_777777_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h^n=(&݂N&", "SDIBz_-?(YpEyƹA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2?7N	!9", "wp-content/themes/oceanwp/assets/css/llms/llms.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y\n\naO", "(`T8qtM8-86z+F ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2,=Vyc", "wp-content/plugins/imagify/assets/images/icon-time.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-˽AIfB;7U", "\nÏ$I+GsFHvKK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2%B̾Uq	e0", "wp-content/plugins/elementor-pro/modules/pricing/widgets/price-list.php", "0", "m50QG9Yfo", "m50QG9Yfo", "NeV.k4e}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2㺨a|Fl3]", "wp-includes/customize/class-wp-customize-new-menu-section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?=\0̂VfY?", "ɑZh?i\nGH!;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2v\'9\rz", "wp-content/plugins/wordfence/css/images/ui-icons_555555_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pbD@pG+", "*DZ>Bg&YY4(</", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("28xҞC", "wp-content/plugins/imagify/assets/images/cloudy-sun.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")רד;", "Tz\\BvMնc3y#cy\ZS0:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2ģ_Dx", "wp-content/plugins/wordfence/views/common/block-navigation-option.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O~}t.K", "MNF`\r9ӫrP,Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2*`o#A", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/security/secupress.php", "0", "e#ufHiK", "e#ufHiK", "3@>T ɚ-HşenzLf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("20evb厄", "wp-content/themes/oceanwp/assets/js/devs/superfish.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r\ZysT-\r\"?", "*\"rIH#x\"̘ȍy/~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2Z_Jm", "wp-content/plugins/wpforms/assets/js/admin-utils.js", "0", "K{\"SOBԎ", "K{\"SOBԎ", "\nG5mkWzXi׸\'M:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("20mK:r²\\0\nB", "wp-content/plugins/wordfence/views/options/option-toggled-boolean-switch.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",+[Rֈ", "lFVjFlV˱VǞB`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2^(ʭ-^x", "wp-includes/SimplePie/Enclosure.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".Bn΍Ks]", "MHڋTYQ6cf|h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2JuABb\\", "wp-content/plugins/imagify/inc/classes/class-imagify-user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#Ө(br1z", "Fͣ,`֏tRNtڂ=ӳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3	:~\n\r", "wp-content/themes/oceanwp/sass/components/plugins/_sidr.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p+fD", "d@Q~^VhLW)|U@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3mxhy", "wp-content/plugins/wordfence/js/jquery.qrcode.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԹXp`me<", "wP\0pzuYDSz(WߥP3$S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("39\ZH+V", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ElggInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ṕxǐ", "DmMY|x\"<ALfpx3)H\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3@<JuI", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/site-title.php", "0", "frbZSJQ]ٚ", "frbZSJQ]ٚ", ":SӲZcR|M󢹫", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3+z.6Q~]y[", "wp-includes/js/tinymce/plugins/wptextpattern/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".Ei$Pwom", "`7_jׄ\nlv+fU}+X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3h\"I+[E", "wp-includes/js/clipboard.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_Ƀ{ӭv$k", "{cXrq;[7V]\\&)G(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3koW5	k[mq", "wp-admin/includes/continents-cities.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W_TӰIY֛", "2ɟtb;6@\Zq\'QHj	mѫ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3oEma%", "wp-content/plugins/wordfence/js/wfglobal.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0\"ex\'", "+jqA5[\0W2J5W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3p\\8lDq", "wp-includes/sodium_compat/namespaced/Core/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";*kLwBd=", "ec[dM?H|KY\04@ QA:FF ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3p\rkZm9f", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/MockRavenClient.php", "0", "a\"UA	!mK", "a\"UA	!mK", "ryV\"fʧu>\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3sKU\"H<s", "wp-content/plugins/elementor/assets/lib/perfect-scrollbar/js/perfect-scrollbar.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "790qD", "C? ʍ*Qcߪ2\010", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3z\'OvJ& ", "wp-includes/rest-api/endpoints/class-wp-rest-posts-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2;(\\8\naVGK", "oWCh#*dx%W+Ia}%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3PS\0ڏ{U3=", "wp-content/plugins/elementor-pro/modules/forms/actions/discord.php", "0", "3qDݭNB", "3qDݭNB", "o|\'B??<m W؞\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3Pô nQ", "wp-content/themes/oceanwp/inc/third/class-social-login.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kr؀dR)", "p:F;#Ov\r>:gܻ1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3>z\Zs*", "wp-content/plugins/wp-rocket/inc/admin/upgrader.php", "0", "l!jko5\"", "l!jko5\"", "c$c[OQ^`,l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3v<	t`C9Ɵ", "wp-content/plugins/elementor/includes/controls/date-time.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=d5}\"vH:", "X>_zѻĐ#]YPBy֬Pe", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3nZ ݐH\06", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/PageIntegrations.php", "0", "Ԏ<F.d", "Ԏ<F.d", "xN8ݑ>b.5#1K,Dx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3R`AQH]7\\=", "wp-content/themes/oceanwp/sass/components/blog/_single-author-bio.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'##uݼt\Z\nO", ":N$xy;ZXbNZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3ϾK/", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.url.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "람ut;,$", "bRi~nHj΃֏i8\'Ac)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3[!,N\0&", "wp-content/plugins/ocean-extra/assets/css/transparentHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QMOb\"", "[,\"~j#/tUGP@4y$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3GP[;y.f", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/font.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "鵢4|_V", "\">K<3U6:ISً{4p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3\'RKBf", "wp-includes/js/tinymce/plugins/wpdialogs/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G7(tt@", "ێ/ԊkOb<8OgmW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3fQ3h5[W<", "wp-includes/Text/Diff/Renderer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " C0Y7O@GS", "EWj+\\=}.1\r|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3j3<q", "wp-content/plugins/imagify/assets/js/options.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G#YWؚ5@", "Z+H2-ͺ3E2$ğ$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3ng\0\\\0	W", "wp-includes/IXR/class-IXR-value.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f>5lj\0f", "?h͇ XUPO|H$1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3Q{3L", "wp-content/themes/oceanwp/inc/customizer/controls/typography/class-control-typography.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M]+_X_}", "]~8\"Ihpفtn4<TY𱭖", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4\n	m]ĿЊ", "wp-content/plugins/wordfence/views/scanner/issue-easyPassword.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[+e[eϙfW", "QAu&{AiXPK[{0Qk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("431@*r8", "wp-includes/sodium_compat/namespaced/Core/Curve25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "śL\\PڜU", "c>5o𽃐_T9L~;e7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("42\'Yeo3wU)v", "wp-content/plugins/ocean-woo-popup/assets/js/devs/bPopup.js", "0", "xIpBq", "xIpBq", "֐&k6B e9&.N\'X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("47D.ܷK0VhF", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SiteDirectInstaller.php", "0", "Y6oz/C", "Y6oz/C", "e׺k+oC @ƹOK<hS_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("48Vt+^X", "wp-includes/pomo/mo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\\آ2u\"/", "TPAgZsF!z_+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4:5~ǒM", "wp-content/themes/twentyseventeen/assets/images/sandwich.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j\nv759", "QzХj@|9^.l?2ܞ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4;`߯z?	{Ǟ@", "wp-content/plugins/wordfence/images/2fa-whole.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h»$\ZPfX", "ƪɝU[Z~^d\'Xٮ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4=~j=1<1", "wp-content/plugins/ocean-extra/includes/panel/demos.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1؉IECycR`", "9aEK1I\nюrE4yVڤTe", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4AIn097c`", "wp-includes/js/tinymce/utils/validate.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CL1?o+;{Y", "kH;\0kCs	\'K#45+eE|0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4M〘N~4\Z_", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/breadcrumbs.php", "0", "Ȕe˩;܄", "Ȕe˩;܄", "J\0\r4Gy7ۍE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ToiEt", "wp-content/plugins/wordfence/views/blocking/options-group-advanced-country.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "䜮`Su8", "h]sUsj=(GfvacS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4YKKDe", "wp-content/plugins/duplicator/classes/class.io.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F}-NPn", "-QFk2:	/\\7g_7ťX<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4a(#^m", "wp-content/plugins/elementor-pro/modules/pricing/module.php", "0", "+<˹IXs", "+<˹IXs", "qA^v@e0\nxl\Z@Ie8U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4a[I}Hm)", "wp-admin/css/deprecated-media.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0 y!", "~E\']ԛTs\05ԥ8i,Xra", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4dnip$", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Utils.php", "0", "cNਵ_!lZ", "cNਵ_!lZ", "͎Kg/^V\0\ZߩLGA\0$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4rvk*X", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/ScalarFormatterTest.php", "0", "̬\')\\:u", "̬\')\\:u", "<&\r\n;/.9079Hf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("497Tb~~", "wp-content/themes/twentynineteen/js/touch-keyboard-navigation.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w@8+^1", "\n<~J&,\nkxrͷ78ɜٜr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4}Ш|v", "wp-content/themes/oceanwp/sass/components/blog/_quote-format.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">bsz6/x", "TTF)ޓFkgmp(0Ż", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4;Cj#P_", "wp-content/plugins/elementor/assets/css/editor-preview-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0oCYD^D", "0c?T\ZlT1Gjlc]\Z7	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ʹV5#\rKŵ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/ResettableInterface.php", "0", "J6Trt	[5", "J6Trt	[5", ">xx+wZكbGzZ7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4@TT)>;)", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b8_bҟ", "πNJNjp{-fq>aX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4FT%}=8", "wp-content/plugins/ocean-extra/includes/metabox/assets/js/metabox.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0%e7,&]r", "qo\\Qsơ^Y/]_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4h4m	V1	", "wp-content/plugins/elementor/assets/lib/font-awesome/css/solid.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XLphKa\'k(", "|TnKc[f3#׬ۗn	#	\'5Ѵ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ժmŘ+z+r", "wp-content/plugins/duplicator/assets/img/logo-dpro-300x50.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#GQ\n5И", "!ξ̫W*&X@/0̀4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ڂL$,K[u", "xmlrpc.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^`x\"", "Ǥ#-|֨ln5ɀ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4\"5]/הE\'", "wp-content/plugins/wp-rocket/vendor/a5hleyrich/wp-background-processing/classes/wp-async-request.php", "0", "5M-y!&K", "5M-y!&K", "~~Bq2.%peU!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4eצΧn/m", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/AbstractSignatureServiceProvider.php", "0", "?p6Q", "?p6Q", "&c#-\rҌa4nQs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4Br8Xs)", "wp-content/themes/twentysixteen/template-parts/content-none.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x YBjy", "wP~.;g4%%&9:G&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4 r}ƲT.", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/PHPConsoleHandler.php", "0", "1U;}Qysx", "1U;}Qysx", "#r%)efo\r;Dj^\nu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5kg?n[", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w<P	<d5", "S2^7nh2\Z(8qu<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5\'Ovaj(", "wp-content/plugins/wp-rocket/assets/img/picto-wprocket-dark.svg", "0", "$P_[`", "$P_[`", "u]ݞpޱɷ4|#\Z@T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5|9O	g@", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/author-box.php", "0", "T&n \n#Ƙ", "T&n \n#Ƙ", "=}srI$j{!U+p@^뵢5s1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5?y<2", "wp-admin/css/dashboard-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l5	Ka", "8C#V\\O|mvK\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5.=d)<peus^", "wp-includes/sodium_compat/src/Core/Ed25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7m׈cڳEN;*", ",W\'\r^\\Da݆կL}EٷD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("58d`S61K>ۮv", "wp-admin/css/colors/blue/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w~_:M", "﹀	@4:W+$w_Lu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5C)\nWu꽝/FcK", "wp-includes/js/plupload/wp-plupload.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܰwCotE>uF", "?W]K!dR|/*NLU\0Ҽ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5S{TƁe/", "wp-includes/class-walker-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b?C!fZx<", "0\rHܡ?:~o.ZW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5ZSμv`69", "wp-includes/version.php", "0", "xs;iEgzS", "xs;iEgzS", ":sR->>R~Qg	&4*v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5\\h>w	N", "wp-includes/registration.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~ϗ;8qK", "j$-h$ĸph:#G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5`Tc	w=9\rn1`", "wp-content/plugins/duplicator/assets/js/jquery.qtip/jquery.qtip.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M}@jjgɘ", "ͱ$wR{#ctla", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5`]\\ͭi\0\ZJT", "wp-includes/class-wp-embed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Jt>nqU|r$", "]DPT0p7Dykn%V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("592^%<", "wp-admin/edit-form-blocks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˨hAHiݏ\\", "bq$=SBR+{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5F:]9]sy", "wp-content/plugins/ocean-extra/assets/css/comment.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1z\ZpZD+-", "<n\0wgtZ!i,<&AvQ>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5vܻVk>ە", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.cpnl.lite.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sIth\"n", "3#\\?y{!4.D9lM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("57N	C=-c", "wp-content/plugins/wordfence/images/sort_asc.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&DKzS§0", "NQ*TZ%P%jܑtZn/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5g\'[", "wp-content/plugins/duplicator/assets/img/logo-box.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P5wf", "0b8\":b}r(x<.nB$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5aѴ", "wp-content/plugins/imagify/views/notice-wp-rocket.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U΢;K[Z", "XFM|1\Zjd^tm_z~ɾ\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5#t5RшK", "wp-content/wflogs/config-livewaf.php", "0", "p\rkQ5<", "p\rkQ5<", "f~ֱs@ͭ3`YI0B~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5}XNH", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DrupalInstaller.php", "0", "4nBTE", "4nBTE", "xEv)(G30yv7Bjx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5b?en:>,", "wp-content/plugins/elementor/includes/managers/schemes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qfSk5صVO#f", "YgMrX3@֛CotyY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5r7W3/.rDf", "wp-content/plugins/wpforms/pro/includes/fields/class-password.php", "0", "\"Rߐ ", "\"Rߐ ", "Aao%|*34iQ2s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5ߓ]C[\rV", "wp-content/themes/oceanwp/inc/customizer/controls/typography/typography.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DoLk9F", "JB*\\4뼘0`.dyIId!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5<8`=p;u", "wp-content/plugins/wp-rocket/vendor/composer/autoload_static.php", "0", "tSE{", "tSE{", "e%鮭?oyJ\n\0ĩ5ku\",=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("56f]-<", "wp-content/plugins/wp-rocket/vendor/psr/container/src/NotFoundExceptionInterface.php", "0", "	\'1W", "	\'1W", "ӘLHyÉ}i|\0nnG$j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5\01Τ<}Mƹ\"", "wp-content/plugins/elementor/includes/widgets/icon-list.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ՋݯIx7", ">9)`[u[y䧹9\Z7?X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5Ă4A谿\\/7=&", "wp-content/themes/oceanwp/assets/js/core/overlaySearch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"G!@wAy +", "(ZONNhZ\0^&aɢ\0W\Z\rLʥ5	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6\\Vu+N5", "wp-content/plugins/elementor/assets/lib/tipsy/tipsy.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0U*E8\"h@", "y70FfV\n~g=\\2:	j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6ǏR\'J\\Tl^V", "wp-content/plugins/imagify/inc/functions/attachments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]g񥚏F ", "]5s^|$V!`s>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6X/HL", "wp-includes/js/mediaelement/wp-playlist.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y,;w1", "}h݄ub1 -qݺ[~yO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6#*l>x", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/OutputBlock.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GtNʤ҃", "ZUaѨ90sZ\'f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6!&B9׏", "wp-content/plugins/elementor-pro/assets/lib/social-share/social-share.min.js", "0", "{ֱC]\\8E", "{ֱC]\\8E", "=eMJG/eur,63t]o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6;I(Hm%f", "wp-admin/css/farbtastic-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q@!!Ek", ":~ްX#^sI>&\0.MKG^#ގ1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6[f9? _", "wp-content/plugins/wordfence/images/icons/bullet_yellow.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J&ɌԔQ<", "1Nߗ׍?*ií!FMp9^.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6cbkki3@H", "wp-content/plugins/wordfence/lib/menu_firewall_waf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e(# ({秡<(s", "%=oVBkC%Ir(?ceC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6]jvWk\r3-", "wp-admin/load-scripts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">wGz\0t?ށ;F", "-5UXmv۴3ޏZK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6؈2", "wp-content/themes/twentyseventeen/inc/icon-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";44O$4@;/", "Q!#`2|nNgV|Ćÿ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6tiyxٿ", "wp-content/themes/twentysixteen/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gk<G`伛", "1͞)m8ZZpt[w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6\r{dzLhRO", "wp-content/plugins/ocean-elementor-widgets/modules/member/widgets/member.php", "0", ";~FS\Z_", ";~FS\Z_", "Ոfu7f_(Y\n ux!tL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6]Lr,+?9", "wp-content/plugins/wp-rocket/inc/classes/admin/Database/class-optimization-process.php", "0", " /&U\Z}c", " /&U\Z}c", "2#t1ӽ-Tڸl#s~jn\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6ʴq52", "wp-content/plugins/wordfence/modules/login-security/js/admin-global.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LgD5w\'|IGV5", "}њ@PF)M$jp{e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6b5?s_", "wp-content/plugins/elementor/core/admin/feedback.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mc0P#Ssn", "zȐګh41Rje6YU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6X:Nzϱ?:Y", "wp-content/themes/oceanwp/assets/fonts/slick/slick.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y;S@:", "GrSfK\r\\M5SurP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6̠,_qu", "wp-admin/includes/class-wp-filesystem-ftpext.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0aC{}b", ">n!購j+5:tmu@Gbb\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6>\'QUQD", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " ܩf@", "Z5\"_9I>c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6e>7xU,J", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/ecommerce/class-woocommerce-subscriber.php", "0", ";Bh41N", ";Bh41N", "7W:z=kPb\rG7*n93", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6ֳ>ӢX_f", "wp-content/plugins/elementor-pro/core/upgrade/upgrades.php", "0", "8}~KL:", "8}~KL:", "¬|w3	:UY(Dd`/J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6٨	:{^D", "wp-includes/js/jquery/ui/accordion.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3L/oo. ", "r0JJy;\n8(Pu\'6Nq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6q)R", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/fontastic.php", "0", "}?ݿD̫\'4", "}?ݿD̫\'4", "ekkPO#(xgɦ\\P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7\"妿W\rѽ", "wp-content/plugins/wordfence/lib/menu_wordfence_central.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nՆKvOԜ\'\0", "^{A荗.Fخ\"m)>T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7(KUJ&n", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-page.php", "0", "\nX<\'ﳲ\'", "\nX<\'ﳲ\'", "WāD =,f*zS_\08jfwo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("70GHӑ", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/NumberHandler.php", "0", "qt}Ɯ(?)0\0", "qt}Ɯ(?)0\0", "i#\r\"d\\GN$`XX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("762׼`͋K4", "wp-content/plugins/ocean-extra/includes/panel/assets/js/installer.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bgѿ6AJ.", "5^|$9[,%P{-,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7=!ѥU", "wp-content/plugins/elementor-pro/modules/posts/skins/skin-classic.php", "0", "ȇJ$$", "ȇJ$$", "Tv,i7r>fz,HU~ir?9&Z c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7F<7;_", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/RawArgument.php", "0", ")@-", ")@-", "ɨU@u߈PCg<!ԣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7Vy5خy>", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.mini.expander.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "./,Sx:\'/", "IxH=avQ	#HFH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7r{Ì{", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-abstract-minify-subscriber.php", "0", "#bЯe:N~", "#bЯe:N~", "dZ?0QW}z(<] XfC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7ruF@J,", "wp-content/plugins/wordfence/lib/wfDateLocalization.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4K_J2Cmcͭt", "Djy,Lwa <U S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7x ~DRŦ", "wp-content/plugins/ocean-white-label/assets/js/uploader.min.js", "0", "c2Em~94{T;", "c2Em~94{T;", "׮*F\0Cq;Cbca.XvIӱ\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7|oOUz\0Ef", "wp-admin/network/update-core.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~I\'0Y", "q=m˭1B5{NlR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7[iM*G", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/icon-select.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r.D~Vn;>", "*O*-|X\'ҷƀZH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7Y#~Z@bg&", "wp-content/themes/oceanwp/partials/none.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jeCnei~", "0yf@`2Z>\r6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7	N{a\"", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-tags.php", "0", "Lo#˻,qL", "Lo#˻,qL", "Ӻ`2	r2>Cxؿ-י", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7lWg=r|7E", "wp-content/plugins/ocean-extra/includes/widgets/custom-menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lϵluȒ.", "`XX_R@~Wda=4ٔ.Lv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7KgE5ݻ", "wp-content/plugins/elementor/modules/history/revisions-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i\ZD\'n,Dູ", "Ң{KnʹV1y	ʠHw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7(F#V", "wp-content/plugins/ocean-portfolio/assets/js/main.min.js", "0", "N	|E̖|֠C", "N	|E̖|֠C", "0.\0V	|k2%`Ϳ~jKGw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7%Wy~׹P?x", "wp-includes/js/tinymce/skins/wordpress/images/playlist-video.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lzV6`wmZBs", "\r 8&J34бǽ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7UA\\", "wp-content/plugins/imagify/views/notice-http-block-external.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XEmbl&\0", "*gp\'\'JgP)-R\'w(t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7BL[E-ܵ˓", "wp-content/plugins/ocean-full-screen/assets/js/third/fullpage.min.js", "0", ",>4%/", ",>4%/", "sˈeyA@+éy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7o^l:B", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Fe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Iݶ3S", "!MڒޫDwwe(!=ިd,GW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7Z\\", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RollbarHandlerTest.php", "0", "#F/Q\0\rQ", "#F/Q\0\rQ", "8mfV!5#:\ZMK)\rEݺ<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7c¢)Seb", "wp-includes/js/jquery/ui/menu.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Dtc]8", "QɅrnYun.k_Nx|!˫", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7c.$P!\"򹚆", "wp-content/plugins/wordfence/images/sort_desc.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<j_ˊR2", "*-9.HGO6/L):Cdz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7ϋ[Ba:q}gR", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZNDQy", "}O\"s7p޹^bBb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7:Q\n", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "烦v:2! U", ":`qY,\'pE7\0&>,_k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7*Z̟", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TYPO3FlowInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",oFD:N4", "jKbʍy,`y5ofڮ_e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7kXfXmS", "wp-includes/js/dist/vendor/wp-polyfill-fetch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "El*IeNZaK", "K+|̫M5Jy0Itlol", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7Tn!U\n\n", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/header-footer-base.php", "0", ".ѪTMo", ".ѪTMo", "rd1BGB?ҴyKy:(]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8TEpt", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SMFInstaller.php", "0", "8I0mj@0%U", "8I0mj@0%U", "{{o]vrlSaXrPΓ?%.E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8m5ٳ/", "wp-content/plugins/elementor-pro/modules/flip-box/widgets/flip-box.php", "0", "Ukv6}L", "Ukv6}L", "<Q$Ϝ GhWI[-D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8k3ܺ5I", "wp-content/plugins/wpforms/includes/analytics/class-base.php", "0", "X9e	U/x0", "X9e	U/x0", "ckB{4v\ZJ^#bn@ݗ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8x7", "wp-content/plugins/imagify/assets/images/pic-srhdesign.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+=yrDYӵ*+", "vn1D«񅼵N68yo.u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8GdM,t", "wp-content/plugins/ocean-instagram/includes/class-instagram-shortcode.php", "0", "}\Zz}e", "}\Zz}e", "F~`(+4GVpyS9v0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8*r=7@(D", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":Y+-\"?\0", "λb\'+R3JG-n38O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8.~K䠃&:&kV", "wp-content/themes/oceanwp/assets/css/woo/woo-floating-bar.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t,D", "PR8}	u|hT=~w5&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("86tϝbfT", "wp-content/plugins/imagify/views/notice-welcome-steps.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EZ}Ι\Z", "\"a9,Nt*i\0]AO9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8=Ia%k~", "wp-admin/js/editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KmA:(O", "6m:-c1j^*M0av\0S=\r|cΏ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8?6B\rpl2Rx", "wp-content/wflogs/config-synced.php", "0", "CQJǦT	]=A", "CQJǦT	]=A", "%\n8dGLHLOSD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8P֧\ZHGE}8", "wp-includes/Requests/Exception/HTTP/306.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WszuNPjXu", "4UQ\r1#_fH*Idl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8W==AvDN", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SMFInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8I0mj@0%U", "{{o]vrlSaXrPΓ?%.E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8YvC[,", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_psr4.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":\0>}LQ\0", "_U\0]q=Չf\\/	@d\r+v*(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("86[Pk07~}", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons-manager.php", "0", "݁1,7Ef", "݁1,7Ef", "m~6ġuat7kp ذu}HK]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8R6DHq-{:`", "wp-admin/includes/translation-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'Yns{\0FJX\0", "c>MAW3IЊub\'<@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8ex`T=/|", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-settings.php", "0", ">xAv*2\"@)x", ">xAv*2\"@)x", "ƏKS(\Zd~-}i`̗Wӏlr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8@)6yg[ysQR", "wp-admin/css/deprecated-media-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\rIgw ɩ", "Tj&mF~gtȽ\0]ct@К", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8ÛZEQ$}UPT", "wp-content/plugins/wordfence/lib/wfCrawl.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".$=", "_!왽ݏv4F6{3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8ܞt\ZwNxa", "wp-includes/class-wp-network.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9ыC~D-V", "ޞRTi$E7^ć7,(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8\"I̢iGǳ", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-es.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3-a_ӽv", "KCqb}Qk$ʤqM̩FOv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8/6ص̒S$~", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/stand.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n}gQ	ks", "f=Dpԡh{YRݧ<l+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9\r5\'X>?", "wp-includes/js/customize-preview-widgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zb}t\'#\Z", "3s9OxV\"MNm$.b2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9Y\\#-\"", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9\ZJ~H", "wp-content/plugins/elementor-pro/modules/theme-builder/assets/images/conditions-tab.svg", "0", "s0F\n#6|", "s0F\n#6|", "\rU19N]2@8	p	^4-tis%å", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9@2hKɼ]", "wp-content/plugins/duplicator/assets/js/jquery.qtip/jquery.qtip.min.js.map", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#ާȓ4", "CX5MXo[)9Ǩn=q1T5\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9ψ[1d{@", "wp-includes/class.wp-styles.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%5Km", "@%?K!g篳R\'h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("93{\nVeqn", "wp-content/themes/oceanwp/sass/components/header/_header-fullscreen.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nG;\\L3G", "\0jXqbV!5EẺS^l=X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("98qdC8~i", "wp-content/plugins/duplicator/ctrls/ctrl.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";~)Y1#8", "6^Ƅ{OH/+0H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9\'2|X>", "wp-content/plugins/elementor/modules/page-templates/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i:TV}6", "xBlZҨS)&|+6\'I15", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9:do\np`Ry", "wp-includes/js/tinymce/langs/wp-langs-en.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ftSuc.k7a7", "{h@D0Kcx,TMHd?A-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9@УM L\n`", "wp-content/plugins/ocean-extra/assets/js/navNoClick.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\s+P\'", "h@rLRȫWSz$د~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9jF@Chh", "wp-content/plugins/wpforms/pro/includes/fields/class-rating.php", "0", "^biS,(", "^biS,(", ";LIfN&w<Sz5)VJJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9ksB=}TŃc7", "wp-includes/sodium_compat/src/Core/Poly1305/State.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b[gZl&", "G:T:lu`=!錨$h\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9q7bK	", "wp-content/plugins/wpforms/includes/admin/ajax-actions.php", "0", "+tJV7g", "+tJV7g", "m-?Ǥ]{0xF0)hu6˸f*3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9vmyҗC", "wp-content/plugins/ocean-extra/includes/panel/assets/class-plugin-installer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "޻o6k", "\'$U7wf8K2lw*;Vk\"/=6fP:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9`̻$Q\Z", "wp-content/plugins/elementor-pro/modules/theme-builder/theme-support/generate-press-theme-support.php", "0", "oШ=Ӑmt\\u", "oШ=Ӑmt\\u", "&\0Xy\'V1L(0BRlg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("90˓n6\rF", "wp-content/plugins/ocean-elementor-widgets/assets/js/typed.min.js", "0", "]S16Y", "]S16Y", "sI)4*)`Wr1Қj\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9KR!C\r3ǥ(", "wp-content/plugins/ocean-extra/assets/img/about-avatar.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U]e4\r\nV݇?", "Y]ǟfÑ  Lud", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9}P--~7\\-", "wp-content/plugins/imagify/assets/images/check-1.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U8s*", "cd}q,`W:YG.հ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9} B^?	\"", "wp-includes/script-loader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@4jULo", "~H1ˮAniIT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9tS /Sf", "wp-content/themes/oceanwp/sass/components/mobile/_fullscreen-mobile.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uL5À", "FAVa殂_e\ZnyK;L%V6:J\n.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9Z,@TB", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LavaLiteInstaller.php", "0", "s@4	\ZDw", "s@4	\ZDw", "+Yv2\ZBP@bHIe4M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9ĠZq:j\nU9(\Z\0", "wp-content/themes/twentynineteen/template-parts/footer/footer-widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e9	|[>", "P+;9L/6: ѭ.^Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9ՍҢ9d\rY", "wp-includes/ID3/license.commercial.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n;gJgxA", "t_2x<-˜wqIg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9179bOY*TA", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/elusive.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O	B!đ@x", "˙&r)C9N\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9s3SZ,p8g", "wp-includes/images/media/text.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zs0ȝQK", "g?[D*p8qVѓ>N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("95\ZOm#", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TuskInstaller.php", "0", "R\\L뺵\'Q", "R\\L뺵\'Q", "0&MsԎ̩c|	av", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9eHy#", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.view.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t,", "(!>O]Z:2ǖZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":{{79", "wp-admin/link.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SfM2pҝ", "̇O]c54t2j4^r4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":|LH6(cg", "wp-includes/ID3/module.audio.ogg.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y=ZVR궁", "jވu֘ >̰\0kK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":An>*Z", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/FluentdFormatter.php", "0", "Y/umBސ", "Y/umBސ", "LP\nbFobZa\nMל\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":#0fyWm8", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/slider.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yʃ~YnrS", "z!JgeҞ|P	~PH!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":(Mv9!\rpH!O\\", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/ElementParserTest.php", "0", "-56VZ", "-56VZ", "~,V/2vt~o~:>^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":+i=ҙ-", "wp-content/themes/oceanwp/assets/css/third/buddypress.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eu :Bv]EM", "\r޽P&3\r$	x\r֞4:Da,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":1()p]V1-ȩ", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Continent.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qDLa[	?$", "Gs\0\r/1v=pS-yE.U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":<$0,w\"&e({", "wp-includes/class-feed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"MȌ0đX!U!", "H̼_%%:Y3jM8\nWo!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":<Ձ:V0JdQt", "wp-content/plugins/duplicator/assets/js/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":DJ$hǅ\r", "wp-admin/js/customize-nav-menus.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڷG\06a_O", "@_U2FHri*J18쯫j{#$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":F]UEKL⽈A", "wp-content/plugins/ocean-elementor-widgets/assets/js/skillbar.min.js", "0", "\"`C月|H҃", "\"`C月|H҃", "mڐQ]U{{&9 #_.ٯ2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":H$1 N?Y", "wp-content/plugins/duplicator/classes/ui/class.ui.viewstate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#vpZUeŐ", "Ϡky~r%tW_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":[nXWH԰4", "wp-content/themes/oceanwp/partials/edd/archive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nҳrk3m", ":\nÇz0Q\\exTOubG}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":b1 |ȊG?", "wp-content/plugins/imagify/assets/images/loader-balls.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(U<9&G-$", "=@Eêv`zxޜ辀<S2\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":fG5ە-vf", "wp-content/plugins/wp-rocket/views/settings/page-sections/database.php", "0", "oؒ21)R\rtJ", "oؒ21)R\rtJ", "gq(%?VOD_Ivg1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":mo<y*0cتQ", "wp-content/plugins/ocean-hooks/assets/js/hooks.min.js", "0", "kϪYȲZ\Z!", "kϪYȲZ\Z!", "呉a7#3\rOIlh3Fm(ʦ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":B\0ؑ&", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/elusive.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&8K[C", ">8l =\'F%$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":imr8}Y4!R", "wp-content/themes/oceanwp/inc/customizer/controls/icon-select/class-control-icon-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-՞Cd&E	m", "̑\n)T{h=̙mJHH/)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":%H`!\rZ", "wp-admin/js/media-gallery.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2 Ғn", "i{Q\ZeF?9}i6^$¤|\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":~A", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GelfHandlerTest.php", "0", "Sؕ}qk\rÈF", "Sؕ}qk\rÈF", "rぼ삹0w+RIO_$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":]W7", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/child-of.php", "0", "R`\'\neeik", "R`\'\neeik", "?\\ព+AhC<T{=BK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":>b]", "wp-content/plugins/elementor-pro/modules/blockquote/widgets/blockquote.php", "0", "vKG٧l	A", "vKG٧l	A", "[|<{\Z:\")u$\"* 梱", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":Ń?+`TD", "wp-content/plugins/ocean-full-screen/assets/js/metabox.min.js", "0", "SV^Ol/º", "SV^Ol/º", "\'䭯y~I\"FGVB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":VvP~G)yqgX", "wp-content/plugins/wp-rocket/wp-rocket.php", "0", "~x<{P0", "~x<{P0", ".pCCcM3=/o)-;n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":O`M{w", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/DynamicThumbnails.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M#i ", "̘	qZ&\0\ZAv*$9Z\rO?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("::aEĢ", "wp-content/plugins/elementor/assets/js/admin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ": -LOު", "4&VE;u*$f$ dʘ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":TAF%", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-de.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z1s32", "ݕDL=lԌFr<>4A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":XqݝJ\\5P4", "wp-includes/images/spinner.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L\nD\noًj˲", "zƄ\Z\"n\Zs(U/~7F^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":n̣RMti#=", "wp-includes/images/media/audio.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "taCA.Z", "L>$\noixoj-\nL]G;q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";#	n%\"", "wp-includes/Requests/Exception/HTTP/404.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cY\0ys<M", "-!V>d*jPF	;QƵN1aG(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";bҡBк", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-images.php", "0", "r,7$>", "r,7$>", "PCIt-q+[SKg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";&ܪu\rx", "wp-content/plugins/ocean-extra/assets/js/woo/wooImageZoom.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h/>x%$i2", "cϏ,U֨ӎ)l\r\"W5/*M\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";bfȖ0x", "wp-admin/css/colors/midnight/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IĬ[*#L", "$TzVSɥu%yV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";ܒscF!", "wp-includes/css/dist/components/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O\r\nT", "nP6r[I8I Cy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";~Q=!FQ͸dyr", "wp-content/plugins/ocean-portfolio/includes/helpers.php", "0", "C aT\\ހ=", "C aT\\ހ=", "u[\n\'Kfc\0=\Z\"3j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";1+U5#rƼ", "wp-content/plugins/ocean-extra/includes/panel/scssphp/bin/pscss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5 x3?aG", "P\r{U\r+i.!DMw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";1ы#Y_Nt", "wp-settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rsU(", "*#\"u4c֛n<	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";RGWؿm7$E", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/aelia-tax-display-by-country.php", "0", "y9lc", "y9lc", "V@2;\"\nzIaSx\nA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";RyhRxK\r", "wp-admin/js/farbtastic.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":T2Aq]4", "btGp\0BM0zXJvZHAtM%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";TPa}\06	r^", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/affiliatewp-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?璝<OOW􇨦\0", "֔PR	b@fAegHSRmI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";b=:i%", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/NativeMailerHandler.php", "0", "],eZ:q", "],eZ:q", "]΍l(X|d΄0	B>9]DԞ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";gړs*ӳ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/NullHandlerTest.php", "0", "xghǜw", "xghǜw", "]-SdѸ LM\n%1},", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";m\"7*:OF&%", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/DefinitionFactoryInterface.php", "0", "Z", "Z", "\ZsS?ZC1Lh^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";q]Le-؋", "wp-content/plugins/elementor/core/common/modules/connect/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ICXНa", "rh\n֣ӂhY1g*Pڍ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";cY!v`k=kt", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/class.datester.state.expand.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".Ͻ#~xkSN", "1J\Z峳vsNvLMڒ&Tѵ-R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";+aB\\Cw.d#", "wp-content/plugins/ocean-elementor-widgets/modules/timeline/widgets/timeline.php", "0", "NwcùLN", "NwcùLN", "#\"񆧉ԩ38W.H\Zh1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";[;0W1w/q", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PhiftyInstaller.php", "0", "jB8", "jB8", "er5EdH?\ZaARd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";jj}waoW", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/class.duparchive.util.scan.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JK_:IF", "ZS\'	[Ԧwզ#crm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";v0BK1д", "wp-includes/sodium_compat/namespaced/Core/Curve25519/H.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+o~Xݓ\0", "xXѹ$6UdZ$x&3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";Wct*+Br", "wp-includes/images/smilies/icon_surprised.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")ri\r^@8", "6Mj2O88.V}*򱋯", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";RܜgdE}", "wp-content/plugins/wpforms/includes/templates/class-subscribe.php", "0", "\'yi\"}oG(", "\'yi\"}oG(", "Y豓qSIE۳0Y~ؔ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";*1\Zn4", "wp-includes/js/wp-emoji-loader.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?<\0nūÊP~8T", "<9\0$ɵ+Ix:opy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<(cx\rL@v", "wp-content/plugins/ocean-elementor-widgets/modules/search-icon/widgets/search-icon.php", "0", ")f2d-PZ", ")f2d-PZ", "t!d0T]z`aMԯBT]q?|Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<,MR-zjFD@", "wp-content/plugins/elementor/core/common/modules/connect/apps/common-app.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0x.", "WWː*t\\;4_f!a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<6\'#0:#7Ȓ", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-lazyload-subscriber.php", "0", "e\"i#gI1D", "e\"i#gI1D", "A쟿OPVY;|[1#r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<FPz22~", "wp-includes/js/imgareaselect/imgareaselect.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}(()3󵕯", "q!ݿJӇi\nE5s!\r%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<K3+?\Z9t", "wp-content/plugins/ocean-extra/assets/css/simpleLineIcons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$+&8H6", "8(I],+j\'qbS))Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<Ro~6P;/ۍ-", "wp-content/plugins/wp-rocket/assets/img/picto-wprocket-light.svg", "0", "R60<ܙ<Kp", "R60<ܙ<Kp", "脟JpS3BC!q[%UL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<Y1M0wFfX\\W", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/Test/LoggerInterfaceTest.php", "0", "L%R}?E", "L%R}?E", "\0:oa9ӹ<oUԩfU>.g3!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<_I\rg5P̪3\'A", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossed/ChannelLevelActivationStrategy.php", "0", "W+ب3zeЗ", "W+ب3zeЗ", ">\0\0*<PLo\\E86e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<dV];L	", "wp-content/plugins/ocean-extra/includes/panel/assets/css/licenses.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h Ⱦ<u^C", "[>I̝E1}-ua8\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<I3W\"<T", "wp-content/themes/oceanwp/sass/components/blog/_single-post.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I݀r	!\'U", ".NE(xYjJœE<t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<zuFf~", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Settings/class-page-subscriber.php", "0", "\ZK-GWq0ˇ", "\ZK-GWq0ˇ", "ng0MJeZϑCm،Pb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<9uj!$", "wp-admin/css/install.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ql.nL\r~", "\"6UOǂ #r݅7K:HLʆeQS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<sgXLtdw", "wp-content/plugins/imagify/classes/Media/AbstractMedia.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X5OT1p", "`|S+ c!O=}{F.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<hj	44a2", "wp-includes/js/utils.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3(MǌvAki", "pi$T&Y-vf2*5wf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<--XuV\n0", "wp-content/plugins/duplicator/classes/package/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<玈a]", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.io.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڿw qB", "]èh>\r%:j\\^ԕ[x&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<\r6OSOA\r", "wp-content/plugins/ocean-elementor-widgets/includes/class-instagram-api.php", "0", "x<", "x<", "{Fm&l{] \np", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<Af$", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Tokenizer/Tokenizer.php", "0", "T$|\03", "T$|\03", "RVd-z4\'00 >o-,4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<u꿖\ZܜY^", "wp-includes/js/tinymce/plugins/wpeditimage/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9ڋPhOrt", "Qv3zg[~A\0BPpBA[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=f;Vdl\"", "wp-admin/css/code-editor-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")?sEH", "yq}l[=	n(cLC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=	]}*<.", "wp-content/plugins/wordfence/views/waf/waf-install-manual.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$x~)[ڜz", "7R N`n^?()^RΚĖ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=!\Zf^̽", "wp-content/plugins/ocean-elementor-widgets/modules/blog-grid/widgets/blog-grid.php", "0", "e:0x-ѧ", "e:0x-ѧ", "ʩU#_2]<?K0Zh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=:Bi1", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/NullLogger.php", "0", "oQr	O؂}F", "oQr	O؂}F", "ͮ`)fGd=d >{UЋ6vz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=F!و8?fl", "wp-content/themes/oceanwp/assets/css/llms/llms.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@<~t>j", "I?N\n4ܽϖˈ˻	g7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=J/;*eƎq", "wp-content/plugins/duplicator/lib/fileops/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=S6aXo,2", "wp-content/plugins/wordfence/vendor/autoload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nV8\\Bs", "7h>8but^^Rx26#i(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=],P.m,", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Deactivation/class-deactivation-intent-subscriber.php", "0", ":ʛ!g", ":ʛ!g", "ӗA^:{Dnё@;5\r՝x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=a<ψ.J{", "wp-content/plugins/wpforms/assets/js/jquery.insert-at-caret.min.js", "0", ")B{3", ")B{3", "00s<RZ	iB-7Z@̆", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=fuA><Th@", "wp-includes/js/jquery/ui/progressbar.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MqTٴA?L}y\"i", "\'xŬJ,~%\Z6a=m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=~[].\nT16pL", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-cart-icon.php", "0", "j#4V^Mp$%", "j#4V^Mp$%", "cX8tl\\gM~ԡ)flHJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=\ne^4", "wp-content/plugins/duplicator/classes/package/class.pack.archive.filters.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'<[bH+@", "Ȝ5j%ɧ%AQD:(gt@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=k[4 =", "wp-includes/comment-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Wʍ\\u#~", "f\'-eZjaA(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=mwz\'E}t43Q", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=59", "wp-content/plugins/elementor/core/settings/base/model.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TގQK", "1iT\nE4ﯱ\\gv>[}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=v\"j", "wp-content/plugins/wpforms/assets/js/jquery.validate.min.js", "0", "#<k\"x\'", "#<k\"x\'", "*gU<}w:j\nH~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=2`HEF>M", "wp-content/themes/oceanwp/sass/learndash.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g}z[", "=DGsBe+o)yifa\Z@dT8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=F혣ÆK&", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginRemoved.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9:7]6hVo", "߫/LkOTbdSEiL9~8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=e-:8?6j", "wp-content/plugins/duplicator/classes/package/duparchive/class.pack.archive.duparchive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9SFqn̳=n", "^/EWc͂(;l7Z},r W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=8mU\Z/,Np", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KodiCMSInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X_c\'xM9", "`S,wD9kC\05β19jB[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=(	-XOJ", "wp-content/plugins/imagify/assets/images/icon-lock.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	[f^", "E=dBLN\0Xdaq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">#JxL", "wp-content/themes/oceanwp/inc/customizer/controls/sortable/class-control-sortable.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I[ߣggGi", "b\ZiZЌs\0 `xjT \Zzn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">#wtE7", "wp-content/themes/twentysixteen/js/keyboard-image-navigation.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]\'\'/W", ")4vo$E(v9DF\rU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">5ˏ.y2Q[ڣ1", "wp-includes/blocks/block.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s3=h;tK", "?{s?4\'#װə__6\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">GOjPlB", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/cast_to_int.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$]\\", "ؚx\"o*I\nQjT(G\Z.\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">QҰĔ\Z^", "wp-content/plugins/ocean-portfolio/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">Vnh?i", "wp-content/plugins/elementor/includes/settings/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P_g7_b", "Љٺes[z\'\'gHq)	PܭfeW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">hЩXX*v1", "wp-includes/theme-compat/comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "բHog", "4P؜IQeC7\"KQ.͜Yku", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">o+iT9ge\"|", "wp-content/themes/oceanwp/partials/page-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uZBfn^", "K{zf[0ұޠ͈", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">ql+m\05Ħ\"^", "wp-includes/js/customize-preview.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z3hkTTL!L", "CsQɞ,\"O\nOS^d	*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">uʸ!4N2", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmEU9fBBc-AMP6lQ.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",;L\'dee", "+GT}m)*[c5ZN-v>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">v]{rq6x", "wp-content/themes/twentynineteen/template-parts/content/content-excerpt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X<*Um4F", "`>K˘JN\r@¥Y09C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">wB8aNK[Xc\r", "wp-content/plugins/elementor/assets/css/frontend-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|T/V:ҵq", "Mb>\Z4M9e:=z ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">z2	ې<\\", "wp-content/plugins/elementor/includes/controls/button.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|YpMԓ", ">X7%= rGLϞX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">uc${a~I", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/WhitespaceHandler.php", "0", "lB\"fr", "lB\"fr", "6`B+O)Q/抔yއ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">lOVV=", "wp-content/plugins/imagify/assets/js/imagify-gulp.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1׻)", "AѩK%@K¼vYױ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">*nҺsɠ", "wp-content/plugins/elementor/assets/js/editor-modules.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ˤHۥoe(", "S.9\n(!HR5s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">X\rbڟ$W", "wp-includes/class-wp-image-editor-gd.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "£)Q3I?XB", "2ONh\n͒\Z*2c|}	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">-V8=#B", "wp-content/plugins/duplicator/classes/utilities/class.u.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f1#qK\'6c_", "9_{eYpT=xGBvRA59G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">Bd\0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SwiftMailerHandler.php", "0", "&h7OyTZ0b", "&h7OyTZ0b", "I|g&`+C)C_x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">؊]2<Da>", "wp-content/themes/oceanwp/inc/third/class-learndash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y~\\s~gX", "{#,HfFܥAr\\QJA*_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">وky\nrz", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/scrolling.svg", "0", "\n)G\'NΣ", "\n)G\'NΣ", "w:PۭhƷbn[R=Ls\ndb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">M~;Oo-I$0", "wp-content/themes/twentynineteen/fonts/NonBreakingSpaceOverride.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f!<\ryS", "\"-dNN63P`ʜ`!ڬ	q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">FPdF\n", "wp-content/plugins/ocean-elementor-widgets/assets/js/woo-slider.min.js", "0", "P2k4OdZm~Ʊ", "P2k4OdZm~Ʊ", "떷j*	u\r^Ѹ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">a퇽`EZ`", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MauticInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";y%poѨ", "_/y1R%+a-DY6	,,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">TsV֘!*", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-checkbox.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".\Z@eEQer", "ؖk&e@i\Z!Q:yׂ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">l?܎", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_apple-touch-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'Cw	E3", "%ԊI/7\\Ԗ&V1DNX7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?G߯8", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w%J\0VN", "1MO{l!.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?(?^U.˛z", "wp-content/plugins/wordfence/css/fullLog.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e.i`΁Uv", "?>?hξ[²Pu{puaa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?,\nM0\\s.", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/slider-revolution-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sd*a", "Ms5{ǒn\rE@c!`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?2yT!s|tu}", "wp-includes/random_compat/random_bytes_dev_urandom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d\ZHr", "\nDfdvPfOn:aгX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("??Q$P.:X6", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/autoload-fast.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|K-	", "3\\3L\r?B8X\ZN8wCNU=M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?A5=6bpM51", "wp-content/plugins/ocean-elementor-widgets/assets/js/navbar.min.js", "0", "lNW\n2g2", "lNW\n2g2", "WqQI&^\0f@֭A\Zitq;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?N??P@", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TYPO3FlowInstaller.php", "0", ",oFD:N4", ",oFD:N4", "jKbʍy,`y5ofڮ_e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?Q|W,]ɏ}4n", "wp-content/plugins/duplicator/installer/dup-installer/assets/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?U\'_l.p", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/X25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o>B	IN-y", "hl[(l~QuFM	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?Yvq_ۮXO", "wp-content/plugins/wordfence/images/sort_both.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%BQxSV.D", "6\"@Xg\'W7wgJq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?]P.12b", "wp-includes/js/tinymce/plugins/textcolor/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%i3f", "(ELb[K!sӊnĲ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?e.EJggFN", "wp-content/plugins/elementor/includes/compatibility.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'K.w", "1\ZK?i<%ܲ9QSW1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?fl2aJ#", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?{fgӦ|.D", "wp-content/themes/oceanwp/languages/zh_ZH.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]d^\r:", "3^b@0^3?	\'B^/v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?n/	\0NMl\nv", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/slider.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GJ6T5+", "3PAt_Z2$`gUL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?94bROk\n", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-url.php", "0", "a쉇̡!Ϗ#", "a쉇̡!Ϗ#", "9בKt0C>\'ᒔjuF/m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?=@M$#P7", "wp-includes/js/dist/html-entities.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<9{*Mz", "Z?tVBj3!&9IxM[_O\'y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?̛M\'b\r9", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PaDui)L7\"X", "ɼ0i·20]u\r:6*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?VeoP", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".murI1G", "Lr7D@yɂ]NK(tiG9Tm=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?C!Ӳ", "wp-content/themes/twentynineteen/sass/modules/_accessibility.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VUvRd#Wgq", "	P\03Msl/)Pʻ=]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?9&>C#c	En", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/v[\Z@", ")ʓ㽠l\rԗ%l`ZR-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?l|uc-G", "wp-content/plugins/ocean-extra/includes/metabox/controls/range/class-control-range.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iDDI R^aQj", "kʘڎ%FA10%tr\n\n	*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?C,BPne", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-regenerate-thumbnails-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!r$C)hN", "gMe`Y1})&20ڀ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?л8ln", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-minify-css-urirewriter.php", "0", "UYޙ", "UYޙ", "ķfQ>)L+	wĚ05\'/rU?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@)ãܣ_f}", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[PFEl", "H\".aى:3LW ;s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@|\\<4Oc]_", "wp-content/plugins/elementor/includes/interfaces/scheme.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ҟ=	\"", "jˤxCѤn+:/mLNho", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@@0(Pv", "wp-content/plugins/elementor/core/base/base-object.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A.$u", "$dD@C8L\ZxG\"	\\փ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@>YW>ZK	", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ElasticSearchHandler.php", "0", "UwNa-y", "UwNa-y", "6Hnc$E3C~tT_I4cd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@V$K<1*", "wp-includes/css/jquery-ui-dialog.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Re\\\'a", "DɨI1.Y3+.Yfjh&	+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@k/I?T,", "wp-includes/js/jquery/ui/datepicker.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "϶=S", "RP7ȚMQӍԊ\\p!^e,R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@s2VR\n8", "wp-content/plugins/ocean-extra/assets/js/megaMenu.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*X&&!", "ҏ<Ǻg#4[k	nLf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@xJ$u\rZw", "wp-content/plugins/elementor-pro/modules/animated-headline/module.php", "0", "q0ⴝ^b	ۂv,", "q0ⴝ^b	ۂv,", "l}I44ifەSZQI8WN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@̘9#Ly(", "wp-includes/images/arrow-pointer-blue.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wb·*L[", "fbZD1.Vaw4l?pG^{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@jsx%@\"", "wp-content/plugins/elementor/includes/widgets/read-more.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƒT݋f/<}", "F\'L	_c@zQQ1{r-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@@=	G?7", "wp-content/plugins/elementor/includes/controls/base-ui.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FLR{Ȓ!", "ه7۩s։=c%*\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@\Z!zrWp", "wp-content/plugins/wordfence/views/waf/option-rules.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0@W\"R7\0n", "JaԮFV:Ql?}nV16! L[8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@XD\n\nRNt", "wp-admin/images/menu.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r9#dY`	", "lIE/(p\0pnT-Oz\"],=`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@ȯ&Oo", "wp-content/plugins/wordfence/lib/noc1.key", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9eb\0PO", "_ujP-KOAܫ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@`>%Ec", "wp-content/plugins/elementor/assets/js/new-template.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g)6,6Jm", "?q^BA)\nSE:2b෱޺", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@6J	&b	|Sj", "wp-content/plugins/ocean-extra/includes/panel/assets/js/scripts.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A+Zd@Yh[", "SƱ}!33CF:69%cq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@<-=+fۡ", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Exception/UnauthorizedException.php", "0", "c#Q`D!n9", "c#Q`D!n9", "f^dVuCr}J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@zIAc\0", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.archive.config.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QW1\'H/\r~", "\n&^/Bq$tu\"AϤ:.4)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@L߯7٭kقE", "wp-content/plugins/wordfence/lib/menu_tools_twoFactor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jlF+>Tm/av~3", "Zfk%y,?SCU=lhѕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@;5XVOZ", "wp-admin/images/mask.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g~\"J䩎", "/<sԡ)\'.1jknK9Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@~)GL2\r\0)j\'(", "wp-content/plugins/ocean-extra/assets/css/mediumHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\">נ,]wzʹk", "v_~*]|!K\ZuHu57]|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@mOW", "wp-admin/admin-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ٚf\ZN@yaŵ", "L׌<X6MAM*ĽW+Ę幐aY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@tR>GHhס", "wp-admin/css/revisions-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Κq<+^tuE", "[`k㵇;JѾw8+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@#Drv", "wp-content/plugins/imagify/assets/images/user.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=z[	ZaC", "G0p(:\"F^Bu;vH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@sZ^qv", "wp-admin/images/media-button-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#WI\\?", "<:tnkbwi&	R\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@+T΄\'٤", "wp-includes/ID3/module.audio.flac.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P|sq;", "RU oH~r휢ɕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A<mJPo", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/CallableDefinition.php", "0", "CSz\\PrZ&3", "CSz\\PrZ&3", "bP];\0W2႑uC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A\'l\Z:n", "wp-content/plugins/wp-rocket/vendor/a5hleyrich/wp-background-processing/classes/wp-background-process.php", "0", "4~~Q)T]", "4~~Q)T]", "PD]~9ܿ|^M\Z6 Me", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AlA~i^uØ", "wp-admin/css/customize-nav-menus.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*4^+G(ߢ", "o\'晱}z\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AE[`", "wp-includes/js/thickbox/thickbox.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HsTX{B$٭6", ";@0({oifKϤEQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ar -U#\'", "wp-content/plugins/elementor/assets/css/templates/frontend.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˺55|Qbkk", "Bn37bI諽@q.\" F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A/hͳ$BQ:", "wp-content/themes/twentynineteen/single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c\\l,ЅQnX\n", "za{0\n#μh=M;\"yR[7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A;ت\Zܦz", "wp-includes/sodium_compat/lib/constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B!۬", "zZ%kU\0Hz*.LA8\"c(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A<\"}7Kb߂", "wp-content/plugins/elementor/assets/css/common.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǶB7", "Fĵ@#jCh]5\\VLdu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AK<jgsr", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/Precomp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4Kb(\\pB-", "ճ* ʰ	[q˜Pk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AM>\n^P@g", "wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uMa=C\'", "f3!<\'g[bH&}7\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AQD,qM<", "wp-content/plugins/wpforms/pro/includes/templates/class-request-quote.php", "0", "	#6Y$", "	#6Y$", "<Z*;Y0\\\'\rCe!Xz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Aa@JŁ", "wp-includes/js/tinymce/plugins/colorpicker/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " Cȭ?d{׭V", "BR\0!䄚Q\'5w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Asvg4U", "wp-includes/js/dist/nux.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";PӦLܵ", "w9VP.\Z)*y4CB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AzT,VzR!cg", "wp-content/plugins/elementor/includes/controls/icon.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l/[j۟", "Mjjp1z:tf:yQec", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A{& V>Νs", "wp-admin/css/login-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u_A~5	Nw", "dp\\M3|&DMpL=)yfQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A3Rc6", "wp-content/plugins/imagify/assets/css/files-list.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1hJ/L-", "./B&\nCzϡF9\n{<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A\'0\0h$$", "wp-content/plugins/ocean-elementor-widgets/assets/js/instagram.min.js", "0", "@$?MZ", "@$?MZ", "ԋa\nK\rͭ9<W%ҏ1۪", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A @Ϊ~X\02", "wp-content/plugins/elementor/includes/user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lKW`#Q", "Ni7Xt?a߿HF2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A~ov%kSl", "wp-content/plugins/duplicator/views/settings/gopro.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D-Th=\n", "K6:vcfkr3ewAh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AAm?ϱ6(", "wp-content/plugins/wp-rocket/assets/img/logo-facebook.svg", "0", ")M%zNGcO\'", ")M%zNGcO\'", "/uӚBY \\[ۇ\r+o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A[,#V^j", "wp-content/themes/twentyseventeen/assets/css/colors-dark.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g8\"qm*W", "kH\\,_\"Rm\0ps,aWd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Aȧ,-){S", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-url.php", "0", "퀼H![r 5", "퀼H![r 5", "ğe\'e%\r^Zgz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AAz>h]", "wp-content/themes/oceanwp/inc/customizer/controls/buttonset/class-control-buttonset.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ߡ\nMbO3w", "\rwcD`SFJڒ)a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A_W1\n@WxH", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/fonts-manager.php", "0", "\\s\\", "\\s\\", "st:YKWo|Ѝ]NUZ=P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Aػ#\"j", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/403-roadblock.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z]\0(Xz", "茏P.)g8]4B5U;>JfÖ3}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AZcT\r`(", "wp-content/plugins/duplicator/views/packages/details/transfer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MƜiN", "R?ET\"WwZg\raui0AY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A[=$(0y", "wp-content/plugins/elementor/includes/managers/skins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8&k#䃉`", "\0QUaoKgv E;9~\"j+Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A9҃bj", "wp-content/plugins/ocean-extra/assets/js/superfish.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JL^1,g(&", "JLJO\0jSXv?:̠(l+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B\nODt%", "wp-content/themes/twentyseventeen/template-parts/post/content-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wbNֵ=4", "׉*#mj|nohH]ޔ3n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B^tpk!", "wp-includes/sodium_compat/namespaced/Core/ChaCha20/IetfCtx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R*LTG4%P", "-nFJ&TPo\\ϓ\\2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B\Zc0ڵI{*", "wp-content/plugins/duplicator/views/packages/main/s1.setup1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a\nWvFQ=d", "7\'F1V$qc	\"]i\'(m.m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B5:氩r42", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ZikulaInstaller.php", "0", "K8Idpo?E", "K8Idpo?E", "T!H	ؘ,Ca~KOPJ9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BJOzD", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/config.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{1MRKE_/", "|qUUѿÎ|zG>*ۜ\"I;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BUjv\\ѣ(", "wp-content/plugins/wordfence/views/common/license.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y^@:Fgq]p!J", "Ѝ]|\\͏\\G$y[\\J\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BYD?u9!C,", "wp-content/plugins/elementor/includes/libraries/bfi-thumb/bfi-thumb.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӕ4Ԩ|0", "\\(XbTC6U$})^OlE]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B_-Th+`äR", "wp-content/themes/twentynineteen/sass/variables-site/_colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Nx\\\rv/", "tGք2\ZF]aYJbp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BlMNɳ5mG)", "wp-content/themes/oceanwp/footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܶ\'Zaçy˶5", "m#-w^MDbD8(rcHb<1nF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Br$=a hcA", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/js/icon-picker.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u:\r=/{uKU{", "ŢT!G/Fѽ6>ˀ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bu?4=1@)/qH", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-imagify-partner.php", "0", "֏]ಷ&׽`", "֏]ಷ&׽`", "]{um4\r0~{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B~2EA\Zs\"`۽", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/range.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ր챱TQ6]ixm", "qK[,QF@pd\"j\\x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bj)qDS", "wp-admin/install-helper.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'q:e%l", "ז)$2gI\rLHĆ!\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BK-\\O\n", "wp-content/themes/oceanwp/inc/customizer/controls/color/class-control-color.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7\r2.g\Z0", "ȭ\\ci\"<3ǡЀU2zBWFڊ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BQaU%", "wp-content/plugins/wordfence/views/scanner/issue-knownfile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G^=p=$\Z2", "RK6N\"3*\"J/0ix0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BB	Y}QUʡ", "wp-content/plugins/wp-rocket/views/settings/page.php", "0", "9h.;\\L=3,d", "9h.;\\L=3,d", "#9n`.K*`ٍs!0w(w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B2\"", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=ٮo*3qe2", "Vzg<-!kXejDЂ9˅", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BͧbJ.^̧<N", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/ServiceProviderAggregateInterface.php", "0", "Lֵצ_09 ޑc", "Lֵצ_09 ޑc", "R7|7%hVbHDՌʃ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BL,GםڄR\Z.", "wp-content/plugins/imagify/classes/Auth/Basic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o(~\05Ag1", "߆t\'pS%yBYɴ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B_Qfe9JA", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/title-widget-base.php", "0", ",-*#\r", ",-*#\r", "-1;pe`8R<sy<.YH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B(bavBkYt\Z", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/custom-login.php", "0", "*`$:\"{\n?j", "*`$:\"{\n?j", "sT9--ƨpt	Fg,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B俿zܗ1zãb:", "wp-content/plugins/elementor/assets/lib/inline-editor/js/inline-editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "13˭7", "HI|Gf8Ӓs\nCq}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BPXW6", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Int64.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " QAL󚜆U", "G\n<.\ZWrʪØ)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bc\0lM0\\", "wp-content/plugins/elementor-pro/modules/assets-manager/classes/font-base.php", "0", "Spt", "Spt", "x|\r4IM!F\Z/+]uIi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bi		4", "wp-content/plugins/imagify/inc/classes/class-imagify-files-db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3PiGL3jr", "0=x:X¨9Ed뜜MKofwÎ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C|V2b:]", "wp-content/plugins/imagify/classes/Optimization/Data/CustomFolders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Žqs7#8e", "V`CxD=L$VaVb#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C}T\0@Y", "wp-content/themes/oceanwp/assets/css/third/simple-line-icons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!3*XX@", "\0Tg2X?Wͺ7ؤOȔ]*n<\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CRgHU]}\n(", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/the-seo-framework.php", "0", "s_6O?", "s_6O?", "&*7\\D/\\ߝ=/4_ϡW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Cz+Z+Ļs/@", "wp-content/plugins/elementor-pro/modules/forms/classes/drip-handler.php", "0", "/P\"KarHT@", "/P\"KarHT@", "0Pmi?0c:ģx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C2O9O", "wp-content/themes/oceanwp/partials/single/tags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XQ\Z<	i?", "a2n7	\rOn.W~;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CG([wJ$V_", "wp-content/plugins/elementor-pro/modules/forms/widgets/form.php", "0", "۷}D}", "۷}D}", "Y׊!P8t5	(Z%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CRM;FeW", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/sortable.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_z:\ns>,H-", "B SDR̄\"/\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CbtmZg", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-title.php", "0", "Ș<I9^@hT", "Ș<I9^@hT", "KWaJ\Z uE2VX<\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CciFh.n7", "wp-includes/rest-api/endpoints/class-wp-rest-settings-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݻܟ3dqgV\Z", "v8.e~S\'trriG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CIS7<", "wp-content/plugins/wordfence/modules/login-security/views/page/page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7\0~;L޾", "DT}3=T$\\Z\rY/E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Cf8^\0X", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrow-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ha	.ؕ[M>", "8mck6iFD\r81Jet]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C/@lY2}", "wp-includes/css/dist/format-library/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϋ쐡Ǚ|Eh", "5c7F-MPO;mm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CؚTR!vF{", "wp-includes/customize/class-wp-customize-nav-menu-item-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gd)H񵝶!Q", "6LC U_vU$X&PFyǘ-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CяE\rY59*", "wp-content/plugins/wpforms/includes/admin/importers/class-pirate-forms.php", "0", "8OG:71=", "8OG:71=", "Zv)h\rAٓ|Z=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C4푷/\n", "wp-content/themes/oceanwp/partials/mobile/mobile-sidr-close.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$ߤ4*\0l\0#S:", "tތ[};#O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C5$xkRQ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/ChromePHPFormatterTest.php", "0", "x ۯ,,#hf", "x ۯ,,#hf", "`tgz;j\"]cBAo_R+	#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CϤ-Cݎ0nWc", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KohanaInstaller.php", "0", "Z \"I/", "Z \"I/", "\"[&Pz>|֪!HX1b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CLLJ@", "wp-content/themes/twentysixteen/template-parts/content-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8RztqL", "Π	W\ZY]\rbZlȏ^C\"xs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Cs\\\ns\'m", "wp-content/plugins/wordfence/lib/menu_tools_whois.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0JM(]\Z7w", "[:QݔqF/qG;N@Kq08ΤO`[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D9\0ޟ(Н", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y/ شR S*", "WJ[d!U+_Xux(mEB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dm\nzHS", "wp-includes/images/crystal/document.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'^csD3T\\", "gt( Ŏk`5͒JM5:j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D\n2fO<B{hc", "wp-content/themes/oceanwp/partials/header/style/vertical-header-search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"8ѵ$id", "|ꗒzya!SW)3MbЛ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D\ZN9Wr}MK", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-time.php", "0", "Dy)1n=", "Dy)1n=", ",Uɗ뉍3yˑdR$dc~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DB?ֈCUe92s", "wp-content/plugins/imagify/classes/WriteFile/WriteFileInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(0W߅6i	vk", ",n\0}x\0X7{4e2w2ϳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D(3?8-Z\ZӨ6", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.libs.js.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	iIu\02", "BNĿh+Kiv9gUY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D-Si[f=|ҡ", "wp-content/themes/oceanwp/searchform.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d`Ը#7Цm", "HOΨUp\"J9o7eo/:Q.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D.:\0SR8", "wp-includes/ID3/module.audio-video.asf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n%\r8;e}y", "8}|@sی\\}X\n==H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D30.0+M)u3", "wp-content/themes/oceanwp/assets/js/third/nicescroll.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǵEl#$u", "\\HTpIW&_\rjZF:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D4V&}H43", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/theme-support.php", "0", " V", " V", "\rw?EzK\\:o,\\e}1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D5\"Os", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b::W9\\\r<(	", "{ه)NEr:GЎ3<>j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D6mer{pKO", "wp-includes/locale.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_?>nYxF", "@ge;6\0Pu.xF\rSּ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DIߪ@g\rb@E)F", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CakePHPInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6k_sx", "h;[8{ܠ^xx\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DNHլL7vh3D", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/PageBuilder/class-elementor-subscriber.php", "0", "xi{ڵ/@", "xi{ڵ/@", "GUSa/룺<mDBԉ²", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D`B_8EW", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/multiple-select.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#.[\n\0", "\Z\0iĿ;Q=T0 6q=\Zt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dmuϣ!I5H", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Isp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pٽP]G", "| )YM,30\Z*9p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DtU_0F", "wp-content/plugins/ocean-elementor-widgets/modules/accordion/module.php", "0", "61\Za4z+:l", "61\Za4z+:l", " #]$`agQo:1O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dwo!ϖ", "wp-content/plugins/wordfence/css/wf-roboto-font.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]Ouݵ", "+hJ~ʆ*a*Gb67\r:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D#7`1J>", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/WildfireFormatter.php", "0", "4|-<@#", "4|-<@#", "\Z֭ΗAQᖍ0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Du\rɲ\Z", "wp-content/plugins/wordfence/views/scanner/issue-commentBadURL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4Z?d⢡", "1XaRpLrIO%%|\rVge\0-b^n=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D)bak{", "wp-admin/includes/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^?j풒e-<", "bh$w\"=c?./@}$Z`ʨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Df PQb]", "wp-content/plugins/elementor-pro/modules/theme-elements/module.php", "0", "A+$Cݭ=Q0", "A+$Cݭ=Q0", "#(31:ݽ\'. ھ0_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D{S@w=xO", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.validator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d>@e+]	\Z", "wGjS\r\".94E?UVfT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D1wNu<mM", "wp-content/themes/twentyseventeen/search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V^T<", "\0[fquR;G9elWQm<X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dչ$Oa", "wp-admin/css/colors/ectoplasm/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kׇ8^]bG", "7Xh\\=^q(C~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dҽgm=e", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/BaseInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!mV9q}", "t.tX@iZT7&\\&-Yd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DT[-U", "wp-content/plugins/wordfence/views/options/option-toggled-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "눣E	xbH$t", "Fm0jC,W$=9nԫ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D5\n\'\\~W", "wp-includes/category.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".~.L9;", "$,KEgH`uB#p.TC9mQ\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DLu3axB?", "wp-content/plugins/elementor/includes/controls/groups/background.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<-S=\'J", "*up̕/jZ79vO\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DC tI#", "wp-content/plugins/elementor/includes/widgets/audio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WjYZ(f", "tlԹ£ϸWa\rYmHE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E\r}Ypr(", "wp-content/plugins/wp-rocket/inc/classes/admin/deactivation/class-render.php", "0", "1p>", "1p>", "-aM9I᣻eWsi*c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EjzE", "wp-content/plugins/elementor-pro/modules/forms/fields/upload.php", "0", "m;SDop", "m;SDop", "?F)%ܶ[pCu9\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E#-v376Ť", "wp-content/plugins/wordfence/wordfence.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k\ZemRc`	e", "o,xS{FRەE=\'*&%,/\"h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E4fu\r#R:k!jgh", "wp-includes/js/wp-list-revisions.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R1\0\\ɡ>", "G}nٖ\\O=k	>Ã35kSn<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E5;tR$L", "wp-includes/js/dist/element.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g*Gc?5", "|!̝d梲XwU:7)M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EL\Zd?g\'3Y9", "wp-content/plugins/ocean-elementor-widgets/modules/animated-heading/widgets/animated-heading.php", "0", "B9M)", "B9M)", "L\ZЦ,⦭teZW+o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Eh@aq", "wp-includes/session.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "вn3Uee7", "Gon^p~!wk+9KAҀ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Elv؛&5j\'", "wp-content/themes/oceanwp/woocommerce/checkout/form-multistep-checkout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-R]8f-tJO", "潍ݵN:lQ/]Xx^K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ElFYP", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.server.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">౜^ۤ7<d", "c)E=syX\n<!e{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ex\"GC~2Jŕs", "wp-content/themes/twentysixteen/genericons/Genericons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0\' N깛V", "?ǵ_-ϟb7b\Z	\'fp>UG\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E*n7viۣ", "wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php", "0", "\ZF)>v", "\ZF)>v", "\\aT=XC$;6{l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E(zRA1;eNqD3", "wp-content/plugins/wordfence/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2eª\\og", " oMJ#A|ߎ(;6R\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E1*\rUYLz", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ewV\\+s	Ÿ", "bq]4Ih1:\\}.Ț\\P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E	b;(?~w", "wp-content/plugins/elementor/includes/maintenance.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ob(2f\ZS=tK", "mX?pz,o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EHȥūB", "wp-content/plugins/wpforms/includes/class-install.php", "0", "݃{y_T", "݃{y_T", "|gXpvisW0$:IBł", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E}~M-]a", "wp-admin/css/widgets.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PYCV\'i", "&u4QDߋt?RoG%\Z\n\0o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EV,%,SM=", "wp-admin/ms-edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/Ħý:E", "敔L`;Ai^O~M:e\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E63.QɌRCѺL`", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.stream.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-i-pl4˛o7", "	`tϟ1G+}9-\Zl3{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E¸nk;~J", "wp-content/themes/oceanwp/sass/components/header/_header-transparent.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+g/r3ӈh", "kX	m2vUuYY5XPx\n\\RY2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E>rK0)", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-admin.min.js", "0", "+\\`jyFx", "+\\`jyFx", "3Tm]?LϚ?WӸkﺋn|wf?S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EPN\0Oվ", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/SourceMap/SourceMapGenerator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ygJi{Q<", "_İʠ;v@xbh+kxI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EDMB", "wp-content/plugins/ocean-extra/assets/css/customHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C9%@xR\0", "@w߈poqĥQdZ\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EwBdRy,6", "wp-content/plugins/elementor/assets/lib/backbone/backbone.radio.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kNuHG7", "_^*ZV!@cM;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E?L.%\ZOK\ZV2", "wp-content/themes/oceanwp/assets/fonts/slick/slick.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pxڒdu", "WvJ07{\\	3\"8|Y}W+(z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EH{H ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/TagProcessorTest.php", "0", "Rޕ4cZOl", "Rޕ4cZOl", "BR!Ce,\\^uT~L)Swv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EB3A-\r&!T", "wp-content/plugins/wordfence/modules/login-security/views/onboarding/standalone-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CG\ndnMv", "篺wFO^ `&|p.0E)\ZL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Eh[W,\0zYC", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Base/Range.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&4f]PBp,<", "-S32]2x1޴}aN\'uߡ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FHȝle#", "wp-includes/js/tinymce/skins/wordpress/images/more-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l,r%^x%", "Y=_b|ʧ&f,<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\rxw~\rܱ\n", "wp-includes/widgets/class-wp-widget-search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q].upľ?", "dxc&޹8N[`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F,6<mIq\nN", "wp-content/plugins/elementor/modules/wp-cli/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dY&Ƹh", "Rko1p]VPBeFlwɦFb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F-Mb2zW", "wp-content/plugins/imagify/assets/css/options.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6hҍ\06", "x*Ka \n؞Kx%#1j0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F1+\Z#+d{w{", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Poly1305/State.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".D6pir`fw=", "2KJ73x2M2&+LL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F1\0	S{|", "wp-content/plugins/imagify/views/part-bulk-optimization-overquota-alert.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*-PW˝ů}", "Jģ]Amry}&o1VK|U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F6\nOdT)^", "wp-content/themes/oceanwp/inc/customizer/assets/img/fw.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{ܷT@i", ",hx7&+_&l\0.Ν	l81ys", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FDZ`NBr", "wp-content/plugins/elementor-pro/assets/js/admin.js", "0", "xzAãlWJm|", "xzAãlWJm|", ": MINů<Z\0ըݖ)UX7&\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FFvV;v8/\r", "wp-includes/SimplePie/Misc.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y-^\ZK", "[JKǺn3`,\0d,m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FH30m:s", "wp-includes/js/tinymce/skins/wordpress/images/dashicon-edit.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xR	YXݤ", "m\Zcĭ][^Pw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FREf#n", "wp-content/plugins/ocean-cookie-notice/assets/js/customizer.js", "0", "GCC?>,\"M", "GCC?>,\"M", "5]d,6T\nXj5!_&Z0m[s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F|wZQ,O", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/dist/random_compat.phar.pubkey", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6?\n	:{Q%", "ZIK/Iw¥OvyEBi\\$G&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FJMpۋ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/InsightOpsHandlerTest.php", "0", "I<W=o", "I<W=o", "ФHdn\rg-o[|jܵC&j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\\vԶObЌ^{", "wp-content/plugins/elementor/assets/js/common.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z~ٝ\"s˥H", "\'j^5oj.:TKEqcOh$w= ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ff.==ё", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowalt.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(*C89", "\r%?nu91zSr@vrIg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\\C?Z", "wp-includes/css/customize-preview-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ƶMCd", "ΧFC+wŎVgÌ`(\Zrb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\"i\r0w~", "wp-content/plugins/wpforms/includes/admin/class-review.php", "0", "Q^WFb(TB", "Q^WFb(TB", "cҐ`EקrjR~7}«", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FÃ\\Ofg", "wp-includes/js/tinymce/skins/wordpress/images/gallery-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1vR", "N3G\'`+R>P]Eγg/b?UX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\'B/4{J{w", "wp-admin/js/edit-comments.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PE@)_Pq@", "0Gz$!)\'1qdi<\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FU23?,", "wp-content/plugins/ocean-portfolio/includes/page-template.php", "0", "@gonWs", "@gonWs", "xMЋQj.F;*܎/֟", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F(ұ@f,sg", "wp-content/plugins/ocean-extra/includes/panel/assets/img/instagram-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZjH9iM92*.", "3[p9.|94`JvhC&B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F`3ɳ", "wp-content/plugins/wp-rocket/assets/js/wpr-modal.js", "0", "2*񼼁c", "2*񼼁c", ")Dؔ`9=&!xمR$qJɥ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F?C;$H\r\r", "wp-admin/css/color-picker.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gZ-ŎE\n", "F4N}5Q\"M:nʤGc$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FVOd%|u", "wp-content/plugins/wordfence/images/wordfence-logo.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p]j-", "8#̄(8O\"	+h\"Fb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F؆r.~ǃ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SocketHandlerTest.php", "0", "4XByF", "4XByF", "8\"h+e\0fjfzM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G@?@Mj", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/butterbean.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{vYtUH޸7", ":KϒaC4|u۬^=`DD]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gi鉔?]", "wp-content/plugins/wpforms/includes/admin/class-settings.php", "0", "\n_s\"PZ", "\n_s\"PZ", "C]jV쏕bYzK5u-[\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G Xexw0\\o8", "wp-includes/Requests/Response/Headers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZÂҶA->c`", "E\nF		M%{a`,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G u:", "wp-content/plugins/elementor/core/dynamic-tags/tag.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YP\\)>L", "e:=%(\rO0=ǟK\'Jz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G$H8\'yZ/s", "wp-content/plugins/wpforms/includes/fields/class-text.php", "0", "jό͉Bb:W", "jό͉Bb:W", "\0_\nI{KT3}Nߕz ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G6U2\01RJ", "wp-admin/js/theme.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_Ŋdlu,Uy", "WLGhIEu\n#\"Cd&Q1\'lbkX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G:Z]Y!tI\"", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmWUlfBBc-AMP6lQ.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jI78{rP", "UkZM=OEwDw |I;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G:ޅJvK[|", "wp-content/themes/oceanwp/sass/woocommerce.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "It?`", "(Pt*˩Y0ycΌOᄿ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G[.Kԓfs):", "wp-content/plugins/ocean-extra/includes/panel/assets/img/ocean-hooks-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R\\_fبwԎV%", "l7(e\r1jv;\0uI0g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gm:MľVLЉ", "wp-includes/js/tinymce/utils/editable_selects.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Jq2I\'J9E", "vGjsf	ed&g+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Guʭ", "wp-includes/class-wp-meta-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PFWsfp", "ZƭSrFy)dJꢰ ]\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gu5aԯ", "wp-includes/rest-api/search/class-wp-rest-post-search-handler.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5>AGuknGA$", "Zډ1ZЋ86	F̏z\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gu^/1ՁS7", "wp-includes/atomlib.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bJ3֔eke\'[", "{)NRK߬<ʚEYG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G}>ne0jj#", "wp-content/themes/oceanwp/partials/edd/shortcode-content-excerpt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]if0iyb", "F\\K?hD=>I$*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G9q=ʥ[3?a", "wp-admin/images/bubble_bg-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[bLPor", "GJ{B-r$u] ]E.\02%k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GOO%^$", "wp-content/plugins/duplicate-page/languages/duplicate-page-fr_FR.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<¬3#;\0", "͓npFJŀ]0V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G7\ZI&:x", "wp-admin/edit-form-comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")_IryH", "z7\',2K`	ز?5y;X\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GJY9WF>qk", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-parent.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7R/뎗1삺", "*CW>P_}!y^G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G#.йPSޚ \Z", "wp-content/plugins/ocean-elementor-widgets/modules/buttons/widgets/buttons.php", "0", "%\'r8馉 ", "%\'r8馉 ", "SlZ!mp(2*Jѽo\0nC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GL=ه=[\"", "wp-content/themes/oceanwp/sass/learndash/learndash.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&tMP/fa3", "\ZA⋝3hdAeN}6i\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HYfUHupd", "wp-includes/Requests/Exception/HTTP/400.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QnVJRx5", "d>	iHb$&n6p\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H&\nPB", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-minify-html-subscriber.php", "0", "E2XYU粄P", "E2XYU粄P", "0l3	iw$+~Kʄ&H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H(Z&M\0#", "wp-content/plugins/ocean-extra/includes/panel/assets/css/notice.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ýmA^", "e\n8hl67d6ȱp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H+E~}1Q", "wp-includes/js/wp-util.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9-ر,", "sfV?bL.OoB[`4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H3	I>Y3̅", "wp-content/plugins/imagify/views/part-files-list-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">xjuRk", "Aɥ&C2KAu}7gp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HAf,$F-", "wp-admin/css/customize-nav-menus-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!_A@@+1`gJ", "cG.-,Fɯժ2O8<m!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HFjcw Uwj", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/user-info.php", "0", "(|`*jeX", "(|`*jeX", "VgɳŠs_\\iN\n/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HGh\'xR~\n", "wp-admin/js/customize-nav-menus.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lq/?\"e", "N/ӽ]CU\"\'h\" ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HH{i_ƍ\Z", "wp-content/themes/oceanwp/partials/mobile/mobile-icon.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7,:yLq", "$:A^z<\\ş)=\ns|?7+c#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HU|F_:|", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/godaddy.php", "0", "UH9F", "UH9F", "m\rYϳ-urL߯\0bΛ:WtS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HW$M@:Y.fە", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Concrete5Installer.php", "0", "t	m!~A^S", "t	m!~A^S", "#L?OM6r/W_~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H`\\ rYC", "wp-admin/includes/class-theme-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RP~$x$-", "_)$v$C2Vic\Z\"TgFC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H^͎KS>6f", "wp-content/themes/oceanwp/inc/customizer/controls/select2.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7յ8\"LQf/", "41hګYҗ$LnS&6rZIRp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HI\n|\0l", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Colors.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")\\UߙtHR", "&c18\nu>.tEwiw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HiZB#", "wp-content/plugins/wpforms/assets/js/jquery.conditionals.min.js", "0", "]pp ,Nt^RAa", "]pp ,Nt^RAa", "ܷ ]I\\ yw	0\Z2`$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H$rVLRيp7|", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossed/ErrorLevelActivationStrategy.php", "0", "\ZՐ\"c\'Z\01", "\ZՐ\"c\'Z\01", "-j2cpepP$ĝѫ\n\\-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hc84rUrr", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "</<i\'g=x", "\nqߓ=Z镮_1Pm`Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HY6oD{LH", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Poly1305/State.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Zl쇌1gE", ";}-\Z	Ud)sD%R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HýiZU,HL", "wp-admin/includes/meta-boxes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|4	(m-ݶ", "ʯ+U\Z~9)~\'m;,D=3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HCTp(^l", "wp-content/plugins/wordfence/modules/login-security/classes/controller/users.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "٣gR 3", "}{cV\"z9NY8JW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HhJH8", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/IdentifierHandlerTest.php", "0", "RMNG", "RMNG", "\'ke&}A˱hA<8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HgNNnL", "wp-content/plugins/wpforms/templates/emails/general-queries.php", "0", "~E֠+*^E߽", "~E֠+*^E߽", ";:Tu3d^HZ5L`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I\0r-g٢a?<", "wp-content/plugins/wpforms/includes/admin/overview/class-overview.php", "0", "oiuB", "oiuB", "	_úYw\Z<7BX&c0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I<pF<=pt\'", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/ParserInterface.php", "0", "Us&]W1", "Us&]W1", "CZ¤ [e<``[-^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I,PN<RY0%", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/GroupHandler.php", "0", "~_Dɼ￨+", "~_Dɼ￨+", "+I8^Ʋ>Q進o֢v;i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I0S$2TB*", "wp-includes/widgets/class-wp-widget-calendar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v[\"u.J", "並>S;OqmaM2J{9鷇", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I6.:\n(i\0B", "wp-includes/rest-api/fields/class-wp-rest-user-meta-fields.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\r\r0X/^0R", "O1-pQۊ8Z+$[jK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I6U\r73p", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/falsepositive.key", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h<|7b", "_^F\";+r&Z~ӦQ|5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I@<Tx)7\Z", "wp-content/plugins/elementor/includes/controls/base-multiple.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~fddU}E", "4ywF|;1dAG+.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IHi>-\r˟	m", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/post-type-by-author.php", "0", "̪*SQ\n̄dt", "̪*SQ\n̄dt", "eܤm)x?=}ey\\UW|\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I~4CI", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User.php", "0", "q4q/)", "q4q/)", "X]3ݠlTLF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Iu¨x", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/sortable.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BW,S*ULt", "(L\Z}P,Bcf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IZ@,wbZ", "wp-content/plugins/wpforms/includes/class-license.php", "0", "tu҉ȋ-E(|", "tu҉ȋ-E(|", "׭SZN|3̆I$[Du", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I:Bs#@", "wp-blog-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";u^ukq", "5Cz0ېuXI!X处", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IYU0LX9", "wp-content/themes/oceanwp/inc/customizer/controls/sortable/sortable.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WD}7>%]>5", "S;XQ{/(-3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IY_ӛ8H/y", "wp-content/plugins/imagify/assets/css/sweetalert-custom.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=?ani.", "ءpx\0cJ9\\XKndk.o0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IԬlv0O", "wp-includes/js/dist/core-data.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rΎO&o,s", "|$>_[qZqߤ	M\0~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ÍǊ}5l", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/mobile/amp.php", "0", "V81u2>", "V81u2>", "/}\Z@/0c&l 9I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IPEXtFH%", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/ChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0Lv[c)?", "Ch!݀F$}wd7b(!pIF.L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I4p$z", "wp-content/plugins/ocean-elementor-widgets/includes/compatibility/wpml/compatibility.php", "0", "`9O\nݚs", "`9O\nݚs", "23		*a~fEmʺG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I,~iSxـ", "wp-content/plugins/imagify/classes/Webp/RewriteRules/Display.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bduҪ!o", "8ꉱ1K3~,V~z`l)v5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IV/6s", "wp-admin/js/editor-expand.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȮF|qME", ":Ņ `Xehw(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I2SB)9~", "wp-content/plugins/elementor/includes/base/widget-base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",S\nȧ\rÎG", "9=NᕩUn	`Va³nK>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J%.~ql", "wp-includes/class-wp-text-diff-renderer-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_YyGw_BW9+", "rJNi+t\"	Af|x^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J?#͌$M7c", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/AbstractPlaceRecord.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`I.:`PR", "#zR\ZHU>BnP,\'eTtߺ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J	ˠ\nhBTizg", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/devices.svg", "0", "B-xhx8)", "B-xhx8)", "H^>`hi5w*A&b,	8-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jf3?_rC", "wp-admin/images/w-logo-white.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nJvۢ~y\\", "nD _;!GםcV0M9i=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JE[7U\Z~", "wp-includes/js/plupload/handlers.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z6տua", "^<K׏+s	el{;2	\'a{)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JA\Zv7V,", "wp-content/plugins/elementor/assets/css/frontend-msie.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0hǴUwPǼ", "Z>`Pl;^Fx/\05`3QFcB	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J\Z6+\'3	4\0", "wp-content/themes/oceanwp/languages/es_ES.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=-G<", "SSrͶlg\\}Tc\'ίہ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J8EDh+F", "wp-admin/js/site-health.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ͽs?m2_", "x3A)m_\"jڍɌP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JHlEp]&e30", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/woocommerce-multilingual.php", "0", "Zrpޫg", "Zrpޫg", "mᠶM]FI\02D,\nG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jh{\nX", "wp-content/themes/oceanwp/assets/img/placeholder.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[݀js$L", "&~=@$(Z!?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jl1", "wp-content/plugins/wordfence/models/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\"xK{8dS", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JrpmE;K\0t", "wp-content/plugins/imagify/inc/classes/class-imagify-notices.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[0x?9^0.\0~", "L7h1[ѹ{=۟	?!<m8@+E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J{ֹZi^ùxI", "wp-admin/media-new.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϓ\ZM⮁U-q=b", "!Θ\0ڇ̈́Lytt++èG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JGBq8j", "wp-content/plugins/ocean-extra/assets/css/blogGrid.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZoG92?", "X/Sw\Z (zgUcCD9^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J>\"/", "wp-includes/Requests/Auth.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1RWÔO[J", "bOQwùLѠâ9Qlrl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JIVG,", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CroogoInstaller.php", "0", "AvE\"M\\M", "AvE\"M\\M", "4(eI892-뱎ļ~]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jj=P6Q@", "wp-content/plugins/wp-rocket/inc/common/emoji.php", "0", "MxD~ʡf*", "MxD~ʡf*", "0#7\\VBۈczȀ8ɿc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J3AmB}Xn\"k", "wp-content/themes/oceanwp/partials/mobile/mobile-fullscreen.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lNi2%\0", "c<6<(np\'c*bk 	8[\"r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jլ4\rn", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_777620_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J\\c7yxгl", "~qV*\'1]3^m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J>WD:", "wp-content/plugins/ocean-extra/languages/ocean-extra.pot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KO\\^\".5", " \0,tg9zoT;q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J򾁬OhsDؾ", "wp-includes/js/zxcvbn.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/,YB[P", "KuP K\Z\0YA,Qשԣ[u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jŏڑƒ", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-abstract-optimization.php", "0", "\nRU\Za1r`d", "\nRU\Za1r`d", "\0A1/<o5#<̹G)g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J#tW}$", "wp-content/plugins/elementor/includes/controls/exit-animation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".̔l3yH", ".Gx% ,륒B{	:p)[V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KBJO+ؓ", "wp-content/plugins/wp-rocket/inc/classes/interfaces/class-render-interface.php", "0", "D8fjo}|X", "D8fjo}|X", "RCE=N\r!PU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kߺb", "wp-content/plugins/wordfence/lib/compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">zxC}", "Nܓ#dtB!\"M՞==@o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K0u0/9<f` ", "wp-content/plugins/ocean-extra/includes/metabox/controls/text/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",󶳵yEM>G", "f]Ҧ:tД#ע\0G4f}\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K0\rܐcn", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ÅKW<S\Z|r_", "E`w`>.2V\"\0Mp\r 9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K2P^`X", "wp-content/plugins/wp-rocket/inc/admin/ui/meta-boxes.php", "0", "ÉXGك", "ÉXGك", "do\\#¦uߩO$s!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KKOfSdiB0Ov", "wp-content/plugins/wordfence/views/scanner/scanner-status.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޑ[.ɕl\\:", "&k0lcX**?\rܒ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KX\nyëot", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/hooks.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NKsMZF\"\0b|B", "^vtg%Kje;\"5s,\"Ezr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K]MIWV4", "wp-content/themes/oceanwp/assets/css/editor-style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"I^UcG", "-pB6zU,D,+e.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K^)xdˋVV̞", "wp-content/plugins/wpforms/pro/includes/class-entry.php", "0", "A6&ĘPR", "A6&ĘPR", "\nh͖WSuGPh\"޹2W@Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KoeI,+#", "wp-content/plugins/duplicator/views/tools/templates.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+~ed=\ZW", "Ft0M&B\Zod0`bD\n*dnK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ky\\owFY-Rۏ", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-radio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a(Klt\r", ")8(j&	/Hh|c՝ީi\'m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KnҋD&sRWU(", "wp-admin/css/farbtastic.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#^:G(:k\n", "47Vf /DW3p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kbj[NY|", "wp-content/plugins/duplicator/lib/dup_archive/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K 7*<̴2$Ti", "wp-content/plugins/elementor/includes/controls/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tvtXx5", "J`«Kׄк^&%=\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kc#2s/(\"", "wp-includes/widgets/class-wp-widget-pages.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "crƄ~ݰ", "S*^U0L\n[Henuݖ;8\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K<H<7E,l", "wp-content/plugins/wordfence/views/waf/options-group-brute-force.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ŏqў¯/	\n", "W_\rF_H\07	iatr؈M=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K+@{2!u9", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/category-image.php", "0", "`(5^m", "`(5^m", "u\"xwoc9:\0zC7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K\r\\Uz\Z:\'", "wp-includes/sodium_compat/namespaced/Core/ChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V*F谯<l", "®RlUwzankGt3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K5k_tbi\n", "wp-content/plugins/ocean-elementor-widgets/modules/timeline/module.php", "0", "\'(B\0{", "\'(B\0{", "{a6;Fj*APuҡ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K]Cl7:D\0", "wp-admin/js/widgets/media-audio-widget.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S7*Ϸ*U#", "S䛚j/yq_hoӳnmuƯY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KLx<CHe\Z", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/HSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-ENĂۛ(\nn", "Ѭ}^EF>ڂB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ky]!YeD", "wp-content/plugins/elementor/includes/controls/switcher.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":K*mB", "`\'=\ZƝSh^soW^FTL\npy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K\'X)V6*\Zh", "wp-content/themes/oceanwp/assets/js/core/scrollTop.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{\"hABL(%", "\\R@e}N.DȞ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K䧿11!M", "wp-content/plugins/elementor/includes/editor-templates/navigator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t削3qB]y", "tbov!\Z%c7Py8I<A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KY\'zP.dS", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/NegationNodeTest.php", "0", "DGG 5&/", "DGG 5&/", "ID,ggqCs%cqz0f9p7$)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K>W:*>.", "wp-content/plugins/elementor-pro/modules/call-to-action/module.php", "0", "EFPm", "EFPm", "cR~s?P\0\Z<vlC\n[i>7o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KW&\0\0K\06G", "wp-admin/js/set-post-thumbnail.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Nɖ=f悺4A", "DueaO_-mz/+(qj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KK+2	aeZe", "wp-includes/class-walker-comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o]2\'cS", "\n _jÙ=Pf4$?,r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lp<$f.rf", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/SignatureServiceProviderInterface.php", "0", "Vk΂AW$", "Vk΂AW$", "_A#Y>!gd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L<#\Z}", "wp-includes/js/tinymce/skins/lightgray/img/loader.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9KM:Tf9", ";TO`(6,skZcR+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L#S吪Py", "wp-content/plugins/ocean-extra/includes/panel/assets/css/scripts.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3q-sCG", "嫄oM%7^`+%=:3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L#/۰*3\r", "wp-admin/includes/class-wp-terms-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",2y`b?", "tݰ1[O),*Mj@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L(n9[2C6", "wp-includes/js/zxcvbn-async.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1p9	9~", "DMV!zlۖ\\̉ jU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L0ȪW$tV>J", "wp-content/themes/oceanwp/assets/js/third/magnific-popup.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l\na=H^", "{(*YjV& 7\Z(W-ǭay|,E%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LR7QToG|{", "wp-content/plugins/wordfence/lib/viewFullActivityLog.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@lM3JtOF@", "[`\\pǣTb>=PivO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LWT{P;/RQ˪", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-options.php", "0", "\\pE:@ٳ@\n", "\\pE:@ٳ@\n", "64e2Efi`W#AYёF4#,a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lap8gV,g", "wp-includes/js/dist/vendor/react-dom.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}s8ցq", "T8gB#95pe,y!ꙉXUkNDm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LsЇś\nc}>K", "wp-includes/css/editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q}ѝ43e9", "軜a\0E7hXc`}vl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lw+$4|nsw", "wp-content/themes/twentynineteen/template-parts/content/content-none.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kPf*\n5(\"", "MXKhmKZR\n{_?z¨", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lw8|>]v|", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/SignalHandlerTest.php", "0", "{Z{$+a", "{Z{$+a", "_Am{&ɇJU!,gL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LzZ#<", "wp-includes/class-wp-locale-switcher.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "36atw-fB", "df{Db\\\'{b2E2w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L}⮎Ԙ", "wp-content/plugins/ocean-extra/includes/panel/assets/img/product-share-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'1k	؏Fl", "^Z~7JJ+dBڷ/毛&;(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LV_|0*~", "wp-content/plugins/classic-editor/js/block-editor-plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\04*Q", "@\'`x\";zjxtw ;?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Let\"pc(	e", "wp-includes/wp-db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@m$kDȣosx", "~\nŷB%qHGn*(h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L|-\Z)", "wp-content/plugins/elementor-pro/modules/carousel/widgets/base.php", "0", "K8SHc\n&61", "K8SHc\n&61", "-!D*ۦ룸O[mg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L\0o3[", "wp-content/plugins/elementor-pro/modules/forms/actions/webhook.php", "0", "`2kۭu", "`2kۭu", "@]|,Re_E~ǎGxA\'=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LC)I`^", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MediaWikiInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d3ͮ%.Y", "\n &<j}J̌vn^wo[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L+qV;hY", "wp-includes/fonts/dashicons.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">J(#@\Z", ")x_\n`TǬO^^hnU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L>tN", "wp-admin/css/colors/blue/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5Iהg,)ZYM", "\\kS뚑n wW	!*~v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L)a$D-ӮJ", "wp-includes/js/tinymce/plugins/wplink/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X}HW%\0\Z֛fVJ g", "̖pV6[ozpGth0&pC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M\ru|&:>r", "wp-content/themes/oceanwp/sass/woo/_woo-responsive.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'XUޮI!Y9y", "A<]><{OH:(ogqf5{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mx1ǋTmR_2o", "wp-content/plugins/wordfence/views/dashboard/global-status.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".1(>\ZVE~", "Ih棗ht;a6N*z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mg?9%v-Hz", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-buttonset.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԽRsE\ny<", "O\'3̔m*lbjal", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M1@3̦0", "wp-content/plugins/wp-rocket/assets/img/logo-wprocket-dark.svg", "0", "\"|?Smjcu", "\"|?Smjcu", "nOٕ%_xjfn*L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M1/n̖Q", "wp-includes/css/dist/components/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=Ԩ:wyD<", "iN/DV{za(^\'g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M3@-\Zw\'h", "wp-content/plugins/wp-rocket/views/settings/fields/textarea.php", "0", ".᎗ˀ(", ".᎗ˀ(", "A%d\rGsi\Zߛ4(ߍ@Q;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M5su-|5", "wp-content/plugins/ocean-extra/includes/menu-icons/menu-icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ri21i}\'w", "\n27hy=r. ,g;ɻ3ɞVx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M?,5*K*f", "wp-admin/js/post.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֞~#{ֵ", "P.\ZYX?h.LfFi\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MQͤY͌DLl", "wp-content/themes/oceanwp/inc/customizer/controls/textarea/textarea.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GES\Z", "+/v1}ͥ[Ű>]C(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MTwxƞ34Q", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/StreamHandlerTest.php", "0", "\"1^q*9", "\"1^q*9", "Jm,wS]Dx1R\\SͰ\"h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MW	:ي", "wp-admin/images/align-none.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eqd2u\r", "g(1X{ [].TA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MYG\\tX/", "wp-includes/customize/class-wp-customize-color-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GP\'n;gtS+", "CU]sMuf-zI\0=;pr̎", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M\\sxТ^{)׸", "wp-content/plugins/elementor-pro/modules/slides/widgets/slides.php", "0", "{v/h͏V", "{v/h͏V", "l0r$L	j|UP.,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MbVj^U\0H", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-credit-card.php", "0", "uN`acGh", "uN`acGh", "뉲\r8D>jQLqh\Z9\n-\Zew", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MqxFMBFf{", "wp-content/plugins/imagify/classes/Media/CustomFolders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zrߥb\rwh$", "dBᵋ\n*LܵnbDaRH/q\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M{:uƷ٘7", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-beacon.php", "0", "cCdLif", "cCdLif", "x@pfA\"x<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MPS.\n\0Ћ_m{", "wp-content/plugins/wp-rocket/vendor/league/container/src/ContainerAwareTrait.php", "0", "N,9lݵ", "N,9lݵ", "IwhKtpDҧwL(F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mu6͕D8&Ѷ֕", "wp-content/themes/oceanwp/sass/wishlist.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ed*~^", "|L\rW5~eaHx<U0&,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M&$o\0appl[", "wp-content/plugins/ocean-popup-login/assets/js/main.js", "0", "N%\n#\"", "N%\n#\"", "\r}9h٢z4jj\n2C?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MMN>-qxC", "wp-content/plugins/elementor/core/common/modules/connect/apps/base-app.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1tJ59v", "%|41qoLw2r+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MH*tvY>E(", "wp-content/plugins/duplicator/views/packages/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M&U/xo9!.", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-parent.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " v,P:6", "@f:Y}?[\nj<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MР\0A9Q+", "wp-includes/js/admin-bar.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<G~Eӗ?", "U\"7,`@\Z>5$`w7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M}C(3$ ", "wp-content/plugins/ocean-elementor-widgets/modules/pricing/widgets/pricing.php", "0", "8,aYMf\Z", "8,aYMf\Z", "b8݈Fߚ*-cd4.hy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M;C8Yyﲏ", "wp-includes/js/twemoji.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G\"(bVXĂq", "ޞ>@xJ1IJe>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MO\rt$", "wp-content/plugins/imagify/classes/Imagifybeat/Actions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ǒ\r/", " \Zpl\'>/>+cO<e9	+z^\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MBhNr\re", "wp-content/themes/oceanwp/assets/js/devs/smoothscroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%b\'L.3", "kIf\\؎k+8@Ӂm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MIMrD-", "wp-includes/post-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V3rHŷ38", "cG:`(l\':<F9DѸLGt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MqJ;T0}ۇ", "wp-content/plugins/elementor/includes/controls/tabs.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`*wqa1", ",G.|fK/5/Fu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N&XMQ\Z;	4P", "wp-content/plugins/duplicator/lib/forceutf8/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N(_y:%nR", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/WHMCSInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":x+x[", ";C`wWJ-_>79", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N7A\0nnV֑", "wp-content/plugins/wordfence/images/checkbox.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"G\r6|􈘀\'", "y~`w(j~=뤼&ݴQ>`^x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N=f>$KHT", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?G{g", "ĀР<W;-\Z񀍙(C+,MUW6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NK8OɊ0()", "wp-content/plugins/ocean-sticky-header/assets/js/main.js", "0", "Hi{h#/N", "Hi{h#/N", "zWwDMc(̃\04A1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NbpCo\\Җ", "wp-content/themes/oceanwp/sass/edd.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O<x", "{INxX\nvƢ\'>!mD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ni~	`WE", "wp-content/plugins/wordfence/lib/wfAlerts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]5+6.ZM.", "7ɟSYPW	OXxy*ieHY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N|Jвznsw", "wp-includes/pluggable-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cd\0~5j", "yJ\n#xtT/zWk՞ab", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N3j@pu5^", "wp-includes/js/tinymce/skins/wordpress/images/more.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n\nm\0;˫z", "$vo^U A\0:\\Cu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NPNUW\"", "wp-content/plugins/wpforms/assets/js/wpforms-confirmation.js", "0", "NeKAeAN", "NeKAeAN", "ٱ>9 3]MF*5Ae", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ny367oe", "wp-content/themes/oceanwp/assets/js/third/woo/woo-multistep-checkout.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o6=ffh7R;", "AVqs&KB01\ZHt	a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NY?{	c", "wp-content/plugins/wp-rocket/views/settings/partials/sidebar.php", "0", "P@ū$<o", "P@ū$<o", "76җ7⪁7i&O\rE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Nj?3qOCC&	m", "wp-content/themes/oceanwp/sass/components/_search.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1sd)", "Hf]Z@=3L/(Iv.d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NHV}4G", "wp-admin/css/customize-widgets-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7;~juS;HHK", "sA,GvR~hRnh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N7|4/-:", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AOڭ2:G}KҖt", "Ή~YTÃ8`ync}ᖨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NXz),", "wp-content/themes/oceanwp/assets/js/third/woo/woo-quick-view.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӲHոH5&", "`&\"Z`Q;G._댗\'H^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O	0^=UN߮?p", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/full-screen.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ahgzxp@$\0", "[?l[J.dIFQ(p9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O	S#Yiv", "wp-admin/includes/class-wp-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iVvX__r}А", "5c%l=gúɓsI̪G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oth`\0Tbg\'", "wp-content/plugins/elementor/includes/managers/controls.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">O1*n&\Zv`", "5*qPB*eExh*o~|j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OҽPT^4~B", "wp-includes/css/dist/editor/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3~W", "+*(<X%:6T+Rr7稟", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O =(:<	1F", "wp-includes/class-wp-feed-cache-transient.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x?^>O", ":;h!xEzP+dV0D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O+V;\0}yUC1", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/child-of-term.php", "0", ":r­TV7N%", ":r­TV7N%", "H4gAbã#C\nV뺥&uMs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O+[IBmm\'", "wp-content/plugins/wordfence/images/wf-central-logo.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q(VѤ", "\0{\rߘJ/ ^+,S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O.:(uoLs0K", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OntoWikiInstaller.php", "0", "0R$|~\nv", "0R$|~\nv", "kipE0mŗ1tMFeZ\nRR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O.nU\\]g", "wp-content/plugins/wp-rocket/inc/classes/optimization/JS/class-minify.php", "0", "âd7@EH", "âd7@EH", "\n#ncdU~R\"<ܒ;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O4ǳWQ\0R", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/dist/random_compat.phar.pubkey.asc", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">ǈ\"Cix", "x眪!}\ZWd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O=h\0}OrLb", "wp-content/plugins/wordfence/vendor/composer/ca-bundle/src/CaBundle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZU~L5@\ZVU", "/rTrmGс\r%e\r|[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OB,3/;f", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Expanded.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "БUA5,,8$", "Bc}Q4<3%L(rf-p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OSYWz!8ʣj", "wp-content/plugins/wordfence/views/gdpr/banner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*K`;\0}", ",cn9۝$O`&pTOXiس", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oc%`d׊%?W", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/eu-cookie-law.php", "0", "aˑ^?\r T", "aˑ^?\r T", "[Bٽ[R4YcßkhVT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OlqCcێ", "wp-admin/css/forms-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}P9.Wg-", "Tc[I9Z \\8kaT1mB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OrbDޗmo", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/CouchDBHandlerTest.php", "0", "Wd\'<k&I<", "Wd\'<k&I<", ";݈$.Z=)bcQ>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oy}Ma_I", "wp-includes/Requests/Exception/HTTP/504.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m̪Db *", "<!B|$k݈# ei%0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ozb[2	&", "wp-content/plugins/wpforms/vendor/composer/autoload_psr4.php", "0", "L5Ya[A}yF^^?", "L5Ya[A}yF^^?", "OT?X-\"\".aQn`Km", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O}J	fy*", "wp-content/plugins/imagify/views/part-settings-account.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "whd\\\0", ";Bvi ʉJl6Zk,Z;䅧", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O潼m$݋&_", "wp-content/plugins/wordfence/modules/login-security/views/manage/deactivate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1z¶~pQ.)!\\", "or[AR~~Gu߰QNZk\0QSeO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O3zm//o#A", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/class-mobile-subscriber.php", "0", "^c=\r@D9q", "^c=\r@D9q", "xBu|9#F#;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O\\P5{R", "wp-admin/plugins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "78%vnτUw+", "9u5o쑂@Hpufe\n;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O&r蓏 ", "wp-admin/freedoms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#۬S9\"IPe", "b9Gca\\48\Z k\"NQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ORrD?", "wp-admin/js/postbox.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bf>xkDV|v", "Nd߲~%>A9Quzͅ\\7x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oэ{_7pɞnA", "wp-content/themes/oceanwp/assets/js/core/fullScreenMobile.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":?懀", "}@\"~)e>[x=Jzc_\rۖ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oy k	b", "wp-admin/css/customize-nav-menus-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3vwfb0ED", "](@Q.W\"/ϊn˱(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OHI!K!0[", "wp-content/plugins/wordfence/lib/menu_scanner_options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rv	jEu", "!R4KΧ&>5{:oY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oϫ+J\nTȃ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RotatingFileHandler.php", "0", "t=zK", "t=zK", "Aݽ;_+%7VfÅrR\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O5e;hzw@W", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/Metadata.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z<{~Gf(", ",ב[\Z@+?xPА", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OhuG&\0L", "wp-includes/Text/Diff/Engine/native.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S\r$T", "S\04v@ű`DG VueRB竇3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ph{DF4~~", "wp-content/plugins/wordfence/modules/login-security/js/admin.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",Q5\Z*yy!s", "J\"qUKa\'1_NXG`揧W>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pbw=i", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/P2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\\ZIw5AlLۢ", "K{8fl7sRh嗋I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Psm\r-t\"%", "wp-content/themes/twentyseventeen/inc/customizer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "͸rX4u", "jif|\n<_\rFvv`b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PE۫7r|oI6>", "wp-includes/js/backbone.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q_}u0\\G*A2", "|^{sMV).kM*t4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P NtD݌n\"", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Fe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a!,^q", "X߇pՔZЉֱo\r=˸<!~3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P&_#\'zTs", "wp-includes/Requests/Exception/HTTP/417.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BpjhO^c\\G #", "LTҘ$xDs^h_!kC\"1\'_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P\'(?+z$", "wp-admin/js/postbox.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ߣҫ? ےK", "%<S7=\0hӞ9*ÜI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P5g~gryfDR0u", "wp-content/plugins/duplicator/lib/dup_archive/classes/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P73o	\0=", "wp-admin/js/word-count.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F3\"ɛ^ο\Z", "Y2TPUCgꪃAم>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PBҟweu+.", "wp-content/themes/oceanwp/inc/customizer/assets/img/fs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";OɷTU:l", "J$kRpƘU4m9֫&,M=UZ@5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PGH5]{7#LÏ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AsgardInstaller.php", "0", "LJM", "LJM", "V\n#\nA@,c]:a# a\n&7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PJ~]; `y", "wp-includes/widgets/class-wp-widget-media-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ѱɼ-߅ߓ0!", "O\\9\ZIh-x[̈́:ɏH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PK2I)", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_static.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3[hkda4p", "&!7^@9NBT*8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PLL`֞ӛ", "wp-content/plugins/imagify/classes/Traits/InstanceGetterTrait.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vfV\r$ym1", ",7:\n\"pVIߎ$h~\r-bC3gO@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PR+]-ZB", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CodeIgniterInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H=u]R9", "Km}DS7ښL<ya", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PY5T4/q", "wp-content/plugins/ocean-elementor-widgets/modules/caldera-forms/widgets/caldera-forms.php", "0", "z\\rHRj", "z\\rHRj", ";]ɽdAF~1\'+֬", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pa73<Y,_", "wp-content/themes/oceanwp/inc/walker/assets/menus.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y9ĿmGV", "6i<@ᶵeƃ D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PvgIxSP", "wp-content/plugins/elementor/core/common/modules/finder/categories/site.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JB巻><", "_+*41\'aU_uۻ\"y!v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PokI9{pXa", "wp-content/plugins/ocean-extra/assets/js/slick.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V@8|[D", "\0\r[bjOID۴=`uTnIM,M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P+*Nd\rˎ", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/date.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C?<nrk%", "\\Ws\\QP@zVC\Z-\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P[DXPa", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Subdivision.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";uSl", "M>:\r&V`\Z:O0Sv;\0Vw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pizta}a", "wp-admin/users.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jv&\0JdY;k@", "_UT(ulqk}Ύ\rw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PՌ#kU2Ra", "wp-content/plugins/imagify/classes/Optimization/Process/Noop.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yDGrZɗ+", "H4e^-Q92:W+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pw悦\n%CX", "wp-content/plugins/imagify/inc/admin/upload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<1\rn}|sF]u(", "[iw͍$Z $գBf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P\neu\"", "wp-includes/sodium_compat/lib/php72compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Cޒh@", "7D|v2	Y%!Jg鬾", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pؖ7/=", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w%J\0VN", "1MO{l!.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pw>m^eQA}", "wp-content/plugins/ocean-extra/includes/panel/links.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S35kt(G", "kt9018wK}17", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P@;b<\nc", "wp-includes/class-wp-oembed-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "12L<7F", "Y&\0_	Z%\n}HdPUm;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PM\ZI̸ݭY`r", "wp-content/plugins/wordfence/lib/wfHelperString.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OVFaDV44ܪ", "2-7na5A>cִ\ZNA-p{Qn\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PԚa1av;SZ", "wp-content/plugins/duplicator/lib/dup_archive/define.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s<3Lv", "nPxjOK69wr,S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PF}\0o\ZmeV;g", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/radio-image.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!X|l~", ".m\\\"zZ0|! si", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pp4!Iai", "wp-content/themes/twentyseventeen/assets/css/ie8.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/eCQkuCwv", "qAVIB₏.;\0s`jM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P1$\\*C", "wp-admin/images/stars-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A#SMe.^", "[耿_(\rhYTqZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P0aRz= ", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3gkeͿݾ|h", "Hzj鞨%p=ZiNAZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pӓ^0}!", "wp-content/plugins/imagify/inc/classes/class-imagify-settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0!d,\nZ[K", "N*(2+kV~|Rϐ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P$m̮7\\", "wp-content/plugins/imagify/classes/Context/ContextInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kMcy<ץ^", "oij\rȌQf\"v/y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QQh&RO", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CockpitInstaller.php", "0", "֗6>,!", "֗6>,!", "Sſ`0$ RW>c:5ΚMä", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q9XK4*", "wp-content/plugins/ocean-elementor-widgets/assets/js/asPieProgress.js", "0", "\"\Z;)a!", "\"\Z;)a!", "YWd{6zeB|~&J.0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qq=M{~(`P", "wp-content/plugins/imagify/inc/classes/class-imagify-auto-optimization.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g>}p{", "wyYYh*D`\"-4b)L7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q.EXy<ɀ\\", "wp-content/plugins/duplicator/assets/css/images/ui-bg_highlight-soft_75_cccccc_1x100.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rœnR͍y3", "T2%S\0%ʜO\'ŲIn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q;(Mp*", "wp-admin/js/widgets/media-widgets.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rkjYYhJ", "f2s	\n-&7\r?\'Hc9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QJs3RaU*s", "wp-content/themes/twentynineteen/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǘCG=", "\"\\ߵjB9[/+Gހ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QT*fP.", "wp-admin/includes/file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݟ\'щQGa+3", "# &҂L_\'j}R:>6 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QY1TlVr<", "wp-includes/js/customize-views.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"r<`D", "b2M!o;-veq\\f]l:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qa<Yj.gn", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-render.php", "0", "kP܏TLÜ}", "kP܏TLÜ}", "WjɅOv_aq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qn3X?A\Z-", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-title.php", "0", "j;	D", "j;	D", "BP$`,dzľ%4f9Kmr<s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QuoPX\0Sڞ", "wp-admin/images/bubble_bg.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=,(\Z2cV 8", "rqMCY&fp3@-5V{<M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q|6[Tl", "wp-content/themes/oceanwp/assets/fonts/slick/slick.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UoIQ(x7", "SJdOv\"y~OlQwj|\n+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QcmuX\Z3B+X", "wp-content/plugins/wordfence/views/gdpr/disabled-overlay.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!*o2¯$", "TCWD9-Χ0(\ZJi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QXgI?S~)", "wp-content/plugins/elementor/assets/lib/font-awesome/css/regular.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R}vLf", "7ep={dA~zt 6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qߙ\rVh", "wp-content/themes/oceanwp/assets/css/woo/woocommerce-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8ax@s", "bLBÆeAW{rpp:@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q6K4H", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/403.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R\0nW[_", "\rM#:A{qcD/>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q@9Few#+!", "wp-content/plugins/elementor/assets/lib/font-awesome/css/brands.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "봚(\"D@l", ":1Ȁl\rnriYH\r7繾", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q3u5cGit", "wp-content/plugins/wpforms/pro/assets/js/admin/builder-education.js", "0", "PL_Ղgn", "PL_Ղgn", "p\rAf8FwЧ#$W6!g(>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q`8M8", "wp-admin/press-this.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@\'ESTX^", "̺7\nkU:!Q+\ZÌT۵[=&Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QTK	LWml", "wp-content/plugins/duplicator/lib/fileops/class.fileops.constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'~sfB", "rBAƈe芷}t(4\nO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QK\0H0	E", "wp-content/themes/twentyseventeen/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VC1Ŕugz", "9`||mf:F%-/ąEH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qt=0", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Analytics.php", "0", "	5ePmy*", "	5ePmy*", "(4\nQ7QLq+t%(Tr)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qkx!;D0", "wp-content/plugins/ocean-extra/includes/panel/assets/img/elementor-widgets-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{/NlxGG", "˥pIu?Q2My V>T)u\\G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q.ì\\XeOI", "wp-content/plugins/wordfence/views/dashboard/options-group-general.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":nn)", "g #ztJȴY12cƳ\"Pow", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qlg-", "wp-admin/js/comment.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6\rwġ", "\n}y<)/e	ECygڼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Rv5W6`ھ", "wp-includes/css/dist/nux/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#:W=m_F", ">==⽲jS\rk:|1}p~{k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R=(\nW", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/TokenStream.php", "0", "rMP\Z6n", "rMP\Z6n", "\0Yq\n%pݫy\0\n9d;Ԁ*JX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R*_k\nnI^", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LogLevel.php", "0", "\"aB]9\r9xC", "\"aB]9\r9xC", "nYy\"\0\nd#.eg56d\\>^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R3Us3}T", "wp-includes/js/autosave.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A!ﴌƙ]K", "]7o\"x|B4}S頑i/[!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R<V\ZиE", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/author.php", "0", "L#\"&%g9}I", "L#\"&%g9}I", ":$	%QšeZۑ~[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RQb7f |~ۓ(", "wp-admin/js/widgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5Tqy3fjӤ", "#Cjwʨ^B|\0G6\'K2a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RVmd /(5L", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/Themes/class-bridge-subscriber.php", "0", ")&e&j", ")&e&j", "Fe>4Æ\\lXOFfp\"[H nn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RjqIӏ\ZY&", "wp-includes/sodium_compat/src/Core/Curve25519/H.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ădO[S\nc\0", "^o&[l2Zg/?>P~CIȗ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R1?YVDt", "wp-content/plugins/wordfence/lib/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\"xK{8dS", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RF09߸@", "wp-content/plugins/imagify/inc/classes/class-imagify-assets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":c+g6ӕ", "\'D҈\n=sEفZ_Fd\'m&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Rx4Mp@9u\n֊ p", "wp-includes/images/wpspin.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\Z", "(|[QoU@8OֺT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R|Rx/bzn9\0*J", "wp-admin/includes/plugin-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X1dv\nG<", "4}RьK}^w@FWJM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R\Z*<E٢ֳ", "wp-content/plugins/wpforms/assets/js/wpforms.js", "0", "M2Z*-I?p_", "M2Z*-I?p_", "ٞZS@:OƝZd|m[\"H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R\\SC|ju9A", "wp-includes/js/media-grid.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2f8GM", "N9rVo}jku)Gת>?;,\Z=޸", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R¥Leq	&", "wp-admin/js/user-suggest.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZaK=ls", ">n\"Sqt\"qzي*pZ#+x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RJ٥DcvցK", "wp-content/themes/twentyseventeen/template-parts/post/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S:b/;|", "	(,T*i\\Vvߘ _VUz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RʪQ \'gQ/", "wp-content/plugins/elementor-pro/modules/forms/actions/slack.php", "0", "C[0tIϖZEa\n-", "C[0tIϖZEa\n-", "nen~6fgf>E\"m\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Rp{JU\'E.<7", "wp-content/plugins/ocean-elementor-widgets/assets/js/instagram.js", "0", "kz/1^\"o.5", "kz/1^\"o.5", "{Kh~!9h:F/wF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RH\r0!d?c&", "wp-includes/widgets/class-wp-widget-categories.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9BՕLB", "ҭD0D<ԦJ]qY_v`3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ROlv=h}X\nf", "wp-content/plugins/elementor-pro/modules/forms/classes/rest-client.php", "0", "Jn\"K4\\U|)Á\Z", "Jn\"K4\\U|)Á\Z", "=QjnY+]Q(\0f2(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S W,", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-assets-local-cache.php", "0", "rtTes\r?-", "rtTes\r?-", "9keVu-??Ct+e[Cd\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S,6XF|hI4", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.csrf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L2[D~ň\Zy<m", "+80ێ(kvc8RwY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S-Xp\0Ҡ,)Q", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ErrorLogHandler.php", "0", "`\"(R5=$", "`\"(R5=$", ">kDBqpm*_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S.FȫAj(:", "wp-includes/js/hoverIntent.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P\nޅL1AWb\0", "\\T8ifQ0\Zi`Mx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S0־K/17u", "wp-includes/js/jquery/ui/selectmenu.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}˪29Zhxi\"6", "1V^F7J<\0MfXRnϜ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SC$0\ZÑH", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/easy-digital-downloads.php", "0", "\"Հ6\n", "\"Հ6\n", ";=׾,QiS̴%#:Ȓlpo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SJʕJl", "wp-content/plugins/elementor-pro/modules/forms/classes/mailerlite-handler.php", "0", "Yx&9|)C", "Yx&9|)C", "lfo+w2Ǚ,so\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SX+71?-", "wp-includes/js/jcrop/Jcrop.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z7eQ%K", "!@X7JŃp3K;S*!L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sbh*=*ԮU\Z", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FlowdockHandler.php", "0", "ǤPyIuv[)", "ǤPyIuv[)", "<:{Հ=J]5	p8 /t,:i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sc	6f7,ïN%", "wp-content/themes/oceanwp/assets/css/learndash/learndash.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۴s5OX", "2ͯvE\nVռ{60(֔\0:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SvdOcM", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-gallery.php", "0", "i6hS+", "i6hS+", "/sheNS<W}GaP(*\"W,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SzWNKUS", "wp-includes/blocks/calendar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ӡ7m]", "c\r0?YH|ć\"EYX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SCi1ۭj", "wp-content/plugins/wordfence/modules/login-security/classes/controller/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p\\E(i", "4O+oc.`_U>8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sp>WrYE", "wp-comments-post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J 랂w7#OV", "ᝇ{hNbAKH &\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SdlzsV7", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/autoload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V~МIXP/$", "sem/;֘ aZH`g3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S\npލG%", "wp-content/plugins/wordfence/crypto/vendor/composer/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]_#D\0", "\Z ے%4~N~Gh!b:wɌ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SR6`K4Kv0", "wp-content/plugins/imagify/assets/css/admin-bar.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ΏةΫEp", ";n$_zϟ</N5pƽ!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sp5Al6o\nÆiS", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-cron.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3GQ2x-\Z+`&)", "43;l(z9w+4.	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S&az8Jض9", "wp-includes/widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'Y_Su \0{bX", "mַYsaӌ,̓;O#z=:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Sl:>", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/breadcrumb.php", "0", "⩵r\0h,iY", "⩵r\0h,iY", "jt+ϡ0!Jvr{Wcp	0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SއEFw(0AO", "wp-content/plugins/ocean-elementor-widgets/base/module.php", "0", "Revd\\}+aq", "Revd\\}+aq", "nP`-E={?pp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S^7jK5I6K2!", "wp-includes/Requests/Cookie.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ѝC(2+y`", "T<!M,z[~>V2#}E)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tr~W]", "wp-includes/class-wp-comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1>/DފVW", "̓87H2YiwPz@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T)7z6#VuI", "wp-content/themes/oceanwp/woocommerce/owp-archive-product.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%&h\'>\0", "+vН3❜}=_yf=e8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T/VxB6I%ӐS", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/.gitignore", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pR2LrЪAr", "t /\r[P&\\A2O[{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T/fUjݵ :", "wp-content/plugins/elementor/core/common/modules/ajax/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hF1^X", "	Z0>!#Iim8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T6K?s 7(", "wp-includes/customize/class-wp-customize-sidebar-section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VjBرq", "{#i`\0j` pǍ+fF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T:$b/}K", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooQuantityButtons.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Tق٫ຨ0&", "ٻ>9]!KDXX1f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T??:q׮Pah\'", "wp-content/plugins/wordfence/views/reports/activity-report-email-inline.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MEu	wpe", "x,Qz:3FߟґɊAY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TDFWJ֌|#U", "wp-content/plugins/imagify/inc/functions/options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".MMlq%-", "uJ4ej#L\"\nyNͪq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TMl", "wp-admin/includes/class-wp-screen.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r#(뛙#^)zD[", "[P4,Tc.[&Ʀ|a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TN^mNq](", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/PsrLogMessageProcessor.php", "0", "!Tx%!C/\\z", "!Tx%!C/\\z", "5\'\0J\"\r,eK%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Td(﹂%s#", "wp-content/plugins/wordfence/css/wordfenceBox.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CWY~H#]", "r{\ZI5O1QӇC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tw=+6", "wp-includes/js/tinymce/wp-tinymce.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EU,Oq힣|", "w<-q<p(C/5;i*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T{\'g,(:~G", "wp-content/themes/twentynineteen/footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J|W՞Rw", "R K3NAAjA\rӼyտ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T.o@Ψ2wvX", "wp-includes/js/jcrop/jquery.Jcrop.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/aLru4\Z", "Ϸydix{p+neځf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tvm?,aT4", "wp-includes/ID3/module.audio-video.quicktime.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cSe	t{n曑", "ZˤILZ~b|{	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T_T-xE&8", "wp-content/themes/twentyseventeen/assets/images/espresso.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p)=c#|", "edGKs,vE A4\\\0o7)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T\rfV+ j", "wp-content/plugins/wordfence/modules/login-security/views/page/tabbar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gxXJTbx", "fx/xG\n856	Z+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TWDc+|", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}}͑״7Л", "\r@xO}{\r5R?)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T.)m&I", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/HttpException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "41l#}pzk1", "h	_֚!E4\ZvF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tai\'NF", "wp-content/themes/oceanwp/inc/customizer/settings/blog.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	ϡw", "E;7)baŘ||ٶvA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T,BE^ï#r", "wp-content/plugins/elementor/core/debug/classes/theme-missing.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aٚ-[[>[}1", "=729H$C?[#^f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T܌7`\0(", "wp-includes/js/mediaelement/renderers/vimeo.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N>D6/~Fy", "|>\r<V/-B}zzԆ6̓	?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T\Zs	|K^", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/base.php", "0", "M3n뮁7\'R-Rȿ-", "M3n뮁7\'R-Rȿ-", "¤؜ywҪʦmtqZsN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TޔDٞro", "wp-content/themes/oceanwp/inc/walker/init.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w;A\Z[Uy", "v;	Tk\ruH{o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TQaP\0?򢣡H", "wp-content/themes/twentyseventeen/assets/js/global.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",x3|l", "Ѥ\\4uho\Zb%xA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T\\7t", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-date.php", "0", "$oi.ic", "$oi.ic", "]нPT?nL~	`ۢRC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U\\p{JOQ&", "wp-includes/SimplePie/Cache/Base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C2]]#|j", "ookj\\0[-d8;\Z3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U\Z/i?u$", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OxidInstaller.php", "0", "KE6P\0I6", "KE6P\0I6", "U=^k\\p\'}4֌&dtfhU3[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Un", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0t[!u;s", "\'VĹ9\\ԌY}7#^i|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U7>b~\Z\"<", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/front-page.php", "0", ":*%\\K/\"])", ":*%\\K/\"])", "S+PJsa~9o`|k?1b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U$XHdFN0:w}[", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/select2.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P@ KPdȔ", "5]6K=R)Bj{cv`ð٧3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U$Ѿ2xV3", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-carousel.min.js", "0", "x7,u0b_", "x7,u0b_", "9K\"liPdxyxu?\'x_S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U/dʼ{\ZL", "wp-content/plugins/elementor/assets/lib/e-select2/css/e-select2.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";%Pۈxi", "T2[cʠ-ƃF[?1m؞K[uZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U0	@", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.wp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j&ɨj&SFT5k", "E%5E\nH.9fnotC6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U6P\\fx", "wp-content/plugins/elementor/includes/controls/hidden.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z?Ur.b	", "1$!Z!9e{AnҍHë", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UI_Ym_", "wp-content/plugins/wordfence/lib/menu_tools_livetraffic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3c9<B2", "5pC>X7L*R}AYM+f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UeB;&6l", "wp-content/themes/oceanwp/sass/components/header/_header-medium.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0lCfM^|7", "oP۵&}(~=,Il=PIt(sS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Uh,fvQN", "wp-content/themes/oceanwp/assets/js/core/parallaxFooter.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0fHz^`✢", "WU\\AEؾVXj 	5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U.G\0h7K", "wp-content/plugins/wordfence/modules/login-security/classes/model/view/tab.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{ǲ겊T", "s׷my([~MNԘ;i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U $A=He|zȖ(", "wp-includes/Requests/SSL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&Pg\'A6(07TO", "\nQ4Hw@8<Sn-GaMRAӯ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U.\"oQ6(", "wp-content/plugins/ocean-elementor-widgets/assets/js/asPieProgress.min.js", "0", "?QSc", "?QSc", "ŵPmWeJD5_\n=#A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Unɓb4lZ,I", "wp-admin/css/about-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "06\rq,sdV", "(O@z4Ao@ٸҏ^V1G9r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U$i\"u&9", "wp-includes/images/crystal/video.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lڤ;=", "S\rIU9_<f`&HYwu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UV;\ZaJ", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/expandstate.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4O~,;!n{J", "X2;$>ʗP\\.CA[龜d鉃\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U$^뛈", "wp-content/plugins/ocean-portfolio/ocean-portfolio.php", "0", "b<?5", "b<?5", "lk&qGe2ޥs1SRM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V\nU`_58", "wp-includes/js/customize-base.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6ڤ$", "BG/,Ԩ\0n_vlp3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VXZӾ]@", "wp-content/plugins/elementor/includes/managers/elements.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r#mt5 r", "#\0$Ty=ϧY\ZHc a+I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V\Z_R", "wp-content/themes/twentynineteen/js/priority-menu.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cv&/ (", "r,q	|ƹp&e7C%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V\r3#J{", "wp-includes/sodium_compat/composer.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "inH:\r+g$5o", "]Zu3GڸN6\r^ܯ)R:)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V\'P+}\rа|}", "wp-content/plugins/elementor/includes/settings/tools.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "߫Tp-n", "U$_:؟bY?R\'iZ~vM>$t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V88ߟ\rZ5", "wp-content/themes/twentynineteen/comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mWӔou\0", "\\o\ZGl\\l\reO2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V;e[4}\")h", "wp-content/themes/oceanwp/partials/entry/media/blog-entry.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yuTyS!楒", "ob./eL\ZM퉸><", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V>A^\nBTr", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Plugin.php", "0", "Y9:<ﳽйS", "Y9:<ﳽйS", "δ:v%Ȟ#{GBWG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VG]N90#\0", "wp-content/plugins/ocean-extra/includes/metabox/controls/media/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Í_^A\0I\Z", "V߾+dZWEn8g҉/S~hC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VL67G^l%D5z3", "wp-includes/default-widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z4kpw?*", ",A(&aN̶rcGFǄus:LC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vne!z0u1?", "wp-includes/shortcodes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Qg`ApF", "`#[D4מY~B^28", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vp=s9lI)T", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/CssSelectorTest.php", "0", "F\nz텗C", "F\nz텗C", "P\"ot\Zއk۩-@e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VrmKEpj6", "wp-admin/images/w-logo-blue.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[NW_pw0", "ޣ^Qt3HunU❻~\'T2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V=$mo@m", "wp-content/plugins/ocean-extra/includes/panel/assets/img/side-panel-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!S>2", ",P8}zyNP;D2NI8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V4=<8X", "wp-content/plugins/elementor/core/settings/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!\rH`rM7", "\r\"L?:,-YC(.h7O~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V8.~CWr9", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/general.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M:u 0K\n\Z", "of1oJloxS;Of", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V댏$x", "wp-admin/js/post.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_\\\rJkK:", "b@V\"Dڬ_]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V_fq37", "wp-content/plugins/ocean-extra/assets/js/infiniteScroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z7)\05/nJ", "9p`7i|k!Uc*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V:Fswp_", "wp-content/themes/oceanwp/sass/components/topbar/_topbar-menu.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{05Its", "/ S:P^)1گ47CW9B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vrz(nol*", "wp-content/plugins/wordfence/modules/login-security/classes/controller/permissions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y״>UɆ", "Ru\Z`\\6ÃMR\r3Z!C|s,P{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V_AhEBZGZG", "wp-content/plugins/elementor-pro/modules/forms/classes/getresponse-handler.php", "0", "`LH%Jy", "`LH%Jy", ",6h8\r\Z&3zV9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V׀\'hĈ+:", "wp-admin/includes/network.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "im]ո1.$", "f2Cc>` \Z<zEn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V%qt=stNę", "wp-content/plugins/ocean-extra/includes/menu-icons/css/admin.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|.à?!P{5", "nɞZJC-ہ8R-p_A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W(x{iw", "wp-content/themes/oceanwp/sass/edd/_edd-cart.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(FF,\"7[", "e\'FC/_.+84Da-ϥ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ws$8~Nȁ-@", "wp-includes/js/mediaelement/mediaelementplayer.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}\"rr\\6W", "b0!Oa2!ީdE62؆", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WFf\'M0S-&F12", "wp-content/plugins/ocean-extra/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Y7E", "eh\\f,\'pdp05U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wod}Ӕ;P", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/nginx-helper.php", "0", "0PŊ H", "0PŊ H", "UTUND?[N]襾ӤU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W韞JE%#", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-export.php", "0", "Op:&\0w9", "Op:&\0w9", ",1mzJ:Xcd%|v,ZW6D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W\"0r_O", "wp-content/plugins/ocean-elementor-widgets/modules/button-effects/module.php", "0", "\'jc7	R", "\'jc7	R", "͝d!OTUg0[u{\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W&ִ )+ڱ", "wp-admin/includes/class-plugin-installer-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@T.u\n", "\nwLR3xR\\oj$8d(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W+U`*A-h", "wp-content/plugins/imagify/assets/css/pricing-modal.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϕC\rj%߃l", "y|o9PM옇o~8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W5ʎԀdq", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rwa\'KZ", "o\Zu 6\'\rzEJT\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W8h!ɩkĉ\'", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/Cached.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rRUb*\0\'", "x<sBZ2jRM\'0%$i{ V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WTnԎy^ޖ", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/archive-title.php", "0", "W8\"U׿TpTݮ", "W8\"U׿TpTݮ", "HiԞ|BwkCon3\Zȼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WUPOq/˓ ", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-related.php", "0", "p}\"Jah", "p}\"Jah", "i2\'$0oKg[e~rUޑd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WpTOfB<h", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YoM3֛獹b", "m\np/)cld/%؊_:)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ws{NhPr㼱", "wp-content/plugins/wordfence/lib/dashboard/widget_ips.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZcQ\nbd7,Ze", "ZL)1-|Y(|@.N_ϋu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wx\ZTa7{", "wp-content/plugins/wordfence/modules/login-security/classes/model/asset.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G|s,=K#", "6ly6ɦi3U,E[鲓9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W{g- X\'=n8", "wp-admin/moderation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r>r\"ݡl\'", "O1oBzŢ\ZG%A+[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W})Ӗ7e}59,", "wp-admin/load-styles.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z@\Z\"X6ED", "j4lf!,#TIjquZjJw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W#&bC89\n", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ZendMonitorHandlerTest.php", "0", "Bp/ً", "Bp/ً", ":$\\yWuB^Y<9?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W?Abee\"l", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/buddypress.php", "0", "/1aђ]A\Ze,", "/1aђ]A\Ze,", ".S;uap0{pwJٚ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WU?tl/W >", "wp-content/themes/twentynineteen/style-editor.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",Rkԁ<3^JL", "qXW\\@>˜2\\UDÍt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wѭ9FT$BY&", "wp-content/themes/oceanwp/partials/header/search-dropdown.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".;2#", "m-MA:bjž*.d`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WϸŶf", "wp-content/plugins/ocean-elementor-widgets/modules/link-effects/module.php", "0", "0<q_xd6", "0<q_xd6", "[p<l>t~~9\ZԓW+J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W\"!Ei", "wp-content/themes/oceanwp/assets/css/woo/woo-mini-cart.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'<tyWQȼbo", "I)rkZȞn|:p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WAWY$A%", "wp-content/plugins/ocean-extra/includes/panel/push-monkey-woocommerce.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V̾b1(", "E*h}r\rMWi`lL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X\\shv]iB", "wp-content/plugins/wordfence/waf/wfWAFGeoIP2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "݇(0,mG_Y3", "^)oBfg*VP?~u:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xhϳ3/", "wp-content/plugins/wpforms/assets/js/components/admin/gutenberg/formselector.js", "0", "\\>=!|=", "\\>=!|=", "\"DB[=<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X,ECj$_8I0", "wp-includes/images/smilies/icon_cool.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F~ߢ.>t8", "Y}c\r\r|&L(I˔➱wZ㤖", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X.[R.l=\Z", "wp-content/plugins/elementor-pro/modules/forms/actions/email.php", "0", "%; ", "%; ", "iK	%0pH\"Mmރ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XHH\'[&p7d", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowturn.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C`բks2\r\Z", "Ia\\nkØ׉qӛ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XZ%ˈ	U&a", "wp-content/plugins/imagify/package.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9:bǾWCqrp", "1$.\\A|qݞ1MM+^@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X]蝊}tbʃ6F", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/BonefishInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u\".O	\"O-B", "`Ś睤ybktBI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xd,p8yD<;\"q", "wp-content/plugins/elementor/assets/lib/font-awesome/css/brands.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a*guꀝ8", "[ADl7@+\n]t0nͶ#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X{~lVo#X6X", "wp-content/themes/oceanwp/sass/gutenberg-editor.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uft\0AԊt", "Qb1a^eV~\03~)u,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XMxڳJ", "wp-includes/Requests/Hooks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ", gxi", "՚ Q憐DP؂_?y`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X:8+˓2>V]8", "wp-admin/images/sort-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nQ&] 0-", "-4XNzP+q5UBqəyO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XPT˧kc", "wp-content/plugins/wp-rocket/inc/front/process.php", "0", "~9,Js", "~9,Js", "{A\\MrW,@QA(|29", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xv\Zƒ\"$", "wp-includes/Requests/Exception/HTTP/409.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zi~*=", "_M8U.pFw:E`MB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XQWB!XWiq", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.ui.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&H5J$", "k\"~/7ϰO&SMZi]<\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XGzX", "wp-admin/includes/class-wp-upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GN0W\")", "~alùL`/OYTB]y@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XةtU<k", "wp-content/plugins/ocean-instagram/ocean-instagram.php", "0", "f`3|[o", "f`3|[o", "Ů(]i-^{ɱXà,>ҵ\rrvO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X~Vzl!_]/-3", "wp-content/plugins/wordfence/models/firewall/wfFirewall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2\\fG݉R", "b4g챔Fadm)D=@g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XV\n#9A", "wp-content/themes/oceanwp/inc/customizer/settings/general.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*\r≠v^\Z+", "=q+hVaO#?R?Tn9\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X飀_9u&G", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/uncode.php", "0", "`G_3EZ(", "`G_3EZ(", ";Mҁ4ԩΩՆ9s)EIj~(>]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X\"m@Q|", "wp-content/plugins/elementor/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"9sF:t\rG", "F}ՌOX	##", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X.ssr,", "wp-content/themes/oceanwp/sass/components/footer/_scroll-top.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ZRl`|ws", "p26`uKϳ1Qu$7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XN<-Ħ", "wp-content/plugins/imagify/classes/Bulk/Noop.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JdD~`*/>>", "br꟡Ϟ(kFwg<\0ʏ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X=2h4/{+", "wp-includes/spl-autoload-compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_LpZ&ۥhu", "T.%&鶻DcSK5b!Y]RXtWk\0f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XTCW_^og", "wp-admin/includes/class-wp-debug-data.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3y\Z", "B`f5CQ	샚X9nA+ckx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X;/Fg%$X", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_favicon-16x16.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5`-lQ˄&Ah", "^n5)<RgDh8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y6ctQR`", "wp-content/plugins/wordfence/css/jquery-ui.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}O^0tGGQ", "ٍ$rb=phxK5]8QRjn4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y\n?5tm!3", "wp-content/themes/twentyseventeen/searchform.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\tD9", "rs%>sό?BnBdM<:S{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ytk;EIw", "wp-content/plugins/imagify/classes/Webp/Apache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TH{fͼ!", "wʢg2`?ǎ4!yigޔ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ybڧ,J", "wp-includes/Requests/Exception/HTTP/405.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8тm!Ҭ", "jb횄^Usv8$bM3y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y .Q&o,", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-image.php", "0", "UJ%1TSnc9", "UJ%1TSnc9", "R:Ĭ$_4X6hx9%v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y(Kg\0_", "wp-includes/js/dist/annotations.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v{7S\\AvWno", "RRn~@_\rf9D @Yzz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y+h6ռXh,", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/WAF/Packages/Rules.php", "0", "Εb#`׉$", "Εb#`׉$", "M87mb?0Q>$@ee͊lu_s\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y,Qpgmu#e~", "wp-includes/widgets/class-wp-nav-menu-widget.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q/zǃg!6", "/̲2;F?,،tc}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y/ޑ	\Z", "wp-includes/js/dist/escape-html.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GB\"c؟U@", "u^-K$TU^\0A#rR\"2L\'	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YBB;:~%", "wp-content/plugins/elementor/assets/lib/waypoints/waypoints-for-editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1tPoD", "9\rO:r =M6\0lݡќP-~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YV29}D8", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_mcrypt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CZ?@JN_ji<\Z", "<H\"F@%1`7<	}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yo:\\vzr	/", "wp-content/plugins/imagify/assets/css/bulk.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1Lnf{L\0{-", "|[n6g,P`2P!*SOKj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y}Au)P/mR", "wp-content/plugins/ocean-full-screen/assets/js/third/scrolloverflow.js", "0", "XUcQ~-", "XUcQ~-", "ɟc!֊4x>@ol g{.TiT&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y}B\\", "wp-content/plugins/imagify/inc/common/partners.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ـgIOیz\'", "pQP	8F8M$!\nKCƁsCh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YT\n*7v]PF#", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/scrolling_to.svg", "0", "RnAO;n", "RnAO;n", "7dz7;-/Ixkah	QMC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YLah(", "wp-admin/edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+ZI^42h(yc", "y纑)4!-p\r1}x$*ڶPI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y,eAw`", "wp-includes/images/media/archive.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9h\0ìu", "\0Bb3\'\')JG ](G9Pr2 s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YBWy	+BOmz", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/HChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#:N\'DxN", "[_|А~E+~E(`_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y68H;%,_c\n", "wp-includes/css/wp-auth-check.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^#bᲷ", "\'^Ssd߹32c~VrNkM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y.W:T4", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/GelfMessageFormatter.php", "0", " ˢ5(", " ˢ5(", "\'-5//.&:T(ŦWH	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yq\\Dɾh9", "wp-content/plugins/ocean-extra/includes/panel/library.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K?voː\nPB", "[1.٦v䀽$J#l\"y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y0&ڎLw", "wp-content/plugins/ocean-extra/includes/panel/assets/img/elementor-widgets-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Muz:kRWE&n", "IzL*<[Ǿ#5^?+]\ZyqW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y,fQ+-咟", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ItopInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",JDũ", "8}+{3{9\nBx=\'0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YJ|[DyY", "wp-content/plugins/wordfence/waf/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\"xK{8dS", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yx^z,U", "wp-content/plugins/elementor/includes/widgets/icon.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2%揷n!", "8aKD ^YST\0xFeY}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y]ŞI", "wp-includes/js/jquery/ui/effect-slide.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#G_MVژy", "҈gRpf=)A&­Q]jA=Vf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y֝U}r/", "wp-includes/SimplePie/Cache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y:oMhvL4", "w!ے?ERS^RLKA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YUL5Jޔv[", "wp-includes/rest-api/search/class-wp-rest-search-handler.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9}}F&{OJϛ", "<=2Z~wtmp-?kVRNC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y|z|%ǤZ", "wp-content/themes/oceanwp/languages/de_DE.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3c3Ӿ=ٵ", "%>{חɊ{ȳMc,pɻA`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z9n<m", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RavenHandler.php", "0", "Ug}zE", "Ug}zE", "v`^_=jgn	dK{LW4hkj_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\rdWKrg!te܈", "wp-content/plugins/elementor/core/common/modules/finder/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "06&(r4", "/#/!zOL{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z.\01\rh(<[", "wp-content/plugins/wpforms/pro/assets/js/admin/dashboard-widget.min.js", "0", "5zRTv%#͇+", "5zRTv%#͇+", "Mailϭ{=cYR\nR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z.>zܮO", "wp-content/themes/oceanwp/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eFhX\\\n", "\"ahBDM }$c7\ZR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z3-;\\/Z[T=", "wp-content/plugins/imagify/assets/js/pricing-modal.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ". t\0&}g", "jCe5γ@-Z\0-Hv:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z4<n?e", "wp-content/plugins/wordfence/lib/wfConfig.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+@И", "5<2퇭{hHtS\nϼ^8=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z9}.Jk=", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/P1p1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8I\Z\nӣ", "i>zR@kW6uky", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z> U ͜6(LB", "wp-content/plugins/imagify/vendor/composer/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")4FS˼", "\rOs`NwZv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZD:-h${ma", "wp-content/plugins/wordfence/images/sort_desc.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?զ)X?N", "bEԚB#:(#=_(\Z|U#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZI76\0Teq2", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F{Q&}\"", "vZ1IOLC97Jz(\Z4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZRB*X", "wp-content/plugins/imagify/inc/3rd-party/regenerate-thumbnails/classes/Main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^k`V@Tkud", "d^Vn^7e@^\'h݇KxR/×", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZdF\rf;D~*`", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spring-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7޻`y", "C8L&8sa8N<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Zi@", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Railguns.php", "0", "Iwt(h6", "Iwt(h6", "/CHr)Dmcʓ%F3V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Zx12KZ,", "wp-includes/customize/class-wp-customize-header-image-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֧v.", "pgg0H	]wuU˿ӢV9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZҌ[\nv	F", "wp-includes/SimplePie/gzdecode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8aal4", "\Z93Euf\0/\\Tk&oH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZLA$I\\0*", "wp-content/plugins/wpforms/templates/emails/general-header.php", "0", "]`N+ C", "]`N+ C", "Dm͡\"(\0\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZuBIY", "wp-content/plugins/elementor/includes/shapes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ms%^ /", "j{[#R;J[,@s,Ib~ϽP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z_\"~J", "wp-includes/js/wp-custom-header.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+_`$Y)", "H*`KzPYgV}SW[qE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z+$ss\Z<ng", "wp-content/plugins/wpforms/includes/emails/templates/footer-default.php", "0", "^\\¼ڄ$9y$", "^\\¼ڄ$9y$", "V/A4\"軞倱oD>X(9\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZяݒS", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/Cached.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l\Z^ZHG%O", "mc;\ny㐲0,5F|=C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZR8rϮdD.o", "wp-content/plugins/duplicator/classes/package/class.pack.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3\0U`!e", "10Cˍ;vhN,Hj8X~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z %/Zz9", "wp-admin/includes/taxonomy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vNLL", "iʨ8h\'\0{GvDN<SJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\0Y æfg", "wp-includes/js/crop/marqueeVert.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\09R", "Kcg$e2\\p$1z`CkJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZfμvǛ#", "wp-content/plugins/ocean-elementor-widgets/assets/js/skillbar.js", "0", ")㥪PԈ_<", ")㥪PԈ_<", ";奡7DST?@dԟƋ-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZU!Y{ҿK", "wp-content/plugins/duplicator/classes/package/class.pack.installer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8๙,o)r", "\n<d{<ӷf\ZƏӣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z٥77TdՍ-", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/MongoDBHandlerTest.php", "0", "Җ4پ!?", "Җ4پ!?", "g&J<Nc\ZitI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z3X*Sd\0", "wp-content/plugins/elementor/includes/embed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%~Rdv", "9L(A}(Je%Yz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z[,C\Z", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/custom-icons.php", "0", "T[K?OMY", "T[K?OMY", "$>h22|+qgΧm9CH6\\A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z̥3,^CxTt", "wp-content/plugins/elementor/assets/shapes/triangle.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lpʛ/57=", "{vHKGA F^G2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZRr(&b:-", "wp-includes/css/dist/format-library/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=,$gץ۸", "]\\fxѠ7ekhlq?0N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z[U ÿʗN", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/functions/admin-stats.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gd\']Fs", "AaaZb4Q\nY\ni", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z=ӧrc\"y", "wp-includes/IXR/class-IXR-date.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=\'=c.اig", "`H_+ڦbgDjd%/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[hBxa):n", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/current-date-time.php", "0", "VgP%9p(t.H.", "VgP%9p(t.H.", "%	%eH85)V.7VG~DN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[̉$\'", "wp-content/themes/twentynineteen/sass/navigation/_next-previous.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ɚu\\	", "cVxy(#il8L}e޷", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[֞4/b~42", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/icon-select.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a%¯I%e\"|.", "qSk$.GngY퓲!KU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[*M\'J^xa*\\", "wp-content/plugins/ocean-elementor-widgets/includes/managers/modules.php", "0", "4R\nP.Y", "4R\nP.Y", ">=bٞd506*&7.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[*>;bZ/", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-select-group.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2l\ZYM2/\"zZ", "jBYlr)175ME^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[1Xj]Ȋv", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bj3: <>u.", "][$F?H4[Z\0Y	\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[5YNhKM", "wp-includes/customize/class-wp-widget-area-customize-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u͹7sq", "<vD~%纙X<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[9:\\\04Tii", "wp-content/plugins/imagify/assets/js/media-modal.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2a,-bO=", "jj:eŁę6/o$tc\"r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[viph\\:", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-image.php", "0", "Hq	Y=MR7Q", "Hq	Y=MR7Q", "Ҿ(=cWBDƁ5J8%+Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[z0Oe\Z_", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/HashNodeTest.php", "0", " xM6!YIUZ", " xM6!YIUZ", "ԫrQc%xlIa5TJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[6^ͪFc", "wp-content/plugins/ocean-extra/includes/metabox/controls/multiple-select/class-control-multiple-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ƣ.l1Lq\ZUߌ", "EnM\'ת}Bjp:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[#ܧ\Z>]<", "wp-admin/css/colors/ectoplasm/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x6^l\r$qՈk", "T\\ǫ9s j4h#:\rLA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[>x;wn/tH", "wp-includes/js/wp-emoji.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZR6Ax", "!DO_mމ	0+g\ZWė@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[̆e-!", "wp-content/plugins/duplicator/ctrls/ctrl.tools.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f=Q!+W|", "k~\ZԎDJUᅩ-v/_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Ғ.bn/4(", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/SpecificityTest.php", "0", "r\0l\'͝go", "r\0l\'͝go", "IUDܶ.#hEFvV5ّ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[1YAdk,", "wp-includes/SimplePie/Sanitize.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BظFإHu", "D>Ι+N\ZF|#4m=9cu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[M/V9jh", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/functions/common.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<!6heOS", "t\0*ٯmwU܁ƞh}t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Y44Orl0", "wp-includes/Requests/Exception/HTTP/414.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]U@)#h", "Hic!I).eh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Ηz9@Mܡ", "wp-content/plugins/wp-rocket/inc/functions/htaccess.php", "0", "J0V!!", "J0V!!", "5W\riGMXhTfYj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Zh\\ҶkWQ", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[ˏ*&QQ", "wp-content/plugins/ocean-elementor-widgets/modules/contact-form/widgets/contact-form.php", "0", "+(JF", "+(JF", "\ZZ\nz\rU%Jq@[K$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[p|byӕO/%", "wp-content/plugins/ocean-elementor-widgets/modules/search-icon/module.php", "0", "±]t9", "±]t9", "ڋKOp3W e85(u> ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[c`I)\"", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-stock.php", "0", "s/?lf\'", "s/?lf\'", "I#KM\ZNkn<|_\09", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[ꠏ|Koیb7", "wp-admin/user/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-xNb", "ݹMZX*hV\0gc!+5#5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[L{/S", "wp-content/themes/oceanwp/sass/components/topbar/_topbar-social.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s!$q\Zgxb\'_\'~P", "hI7z0\0\r|И\"$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[<ےRa*2", "wp-content/plugins/elementor/includes/widgets/video.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`·`c{Ȃvc", "pe|{o],\n)(I(Ҥ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[&Tb#LA_oq", "wp-content/plugins/ocean-portfolio/includes/customizer/customizer-helpers.php", "0", "qIVT`\'7\r", "qIVT`\'7\r", "yp;.rt`hNCS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\9", "wp-admin/ms-upgrade-network.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":9YGӸXw", "Q{OJ{SN-(t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\P*\'", "wp-content/plugins/elementor/core/responsive/files/frontend.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s\\ \rd", "/:u_q]X\"02Z?w(\"lRsG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\%Lulgj/", "wp-content/plugins/elementor-pro/modules/blockquote/module.php", "0", "ҧS:Q];E", "ҧS:Q];E", "e\0\0\ZYd\n9StGxlY[`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\H:u3%Fw", "wp-content/plugins/wordfence/views/waf/waf-install-success.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{rb^?", "/\\2CeL+:pZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\J3n͝11", "wp-content/plugins/ocean-elementor-widgets/assets/js/circle-progress.min.js", "0", "#ǏaԠ-t", "#ǏaԠ-t", "IQݸhֆ,̎2}0i`=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\UgDҩ1bx+ѻ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/BufferHandlerTest.php", "0", "ݧzHN<\ZkOm|", "ݧzHN<\ZkOm|", "l*p4\0<\"RUQ`z)gg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\[i%Ͱ<e>", "wp-includes/css/wp-pointer-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&U\\-r|", "td!\0cȿ8r?eXgO&a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\gP7(U", "wp-content/plugins/elementor/core/base/document.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e>cO:", "%eEPgU\rA|>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\k|WWߺ", "wp-content/plugins/ocean-hooks/assets/js/hooks_cpt.min.js", "0", "OQ˂}ʍ@*", "OQ˂}ʍ@*", "@$\\\\C._@6<s-pQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\y+IǢѠ,@S", "wp-content/plugins/elementor/includes/controls/font.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ҳ8j%sn5<*", "TFKsMa@ܻF\09dnmQۉ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\}Q@qf", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/archive.php", "0", "^5\0&k", "^5\0&k", "lW2Cv3F:&<d7w#x3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\7Qo", "wp-content/plugins/wordfence/css/images/ui-icons_cc0000_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|%;wQ8@", "wi>6Ƭ4.NC\Z4IO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\adT@.", "wp-content/plugins/elementor/includes/widgets/icon-box.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˲U<!ޭ/B8", "\" [tfnơkoơ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\т?$̈́8", "wp-admin/includes/dashboard.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yڧj,pN|", "WȱGw	-><\0\"\'4D\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\:|,@ڴ", "wp-content/plugins/wp-rocket/inc/classes/optimization/JS/class-abstract-js-optimization.php", "0", "k8f-#", "k8f-#", "6MXwrg7}N32,%b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\\0\'", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ElasticSearchHandlerTest.php", "0", "kE/9E\Zߋ\0", "kE/9E\Zߋ\0", "&ښWԥ8$W[I&f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\UkrrS{	V", "wp-content/plugins/wpforms/includes/emails/templates/header-default.php", "0", "WцZ\'", "WцZ\'", "!&^nѶ\np 9tJMCml(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\\0>+Fb", "wp-admin/revision.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	L۞NvzA<", "aDC_ڞ0kOc7i;_7kJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\ֶS\nP:", "wp-content/themes/twentynineteen/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "×{H	>~Q", "«stSuHZ1VvTV)v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\ݶQoZ2}}؋\'m", "wp-content/plugins/ocean-elementor-widgets/modules/brands/widgets/brands.php", "0", "[n-N`f", "[n-N`f", "\'jIɀc\r]rj4ަЄ۠", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]4j^wˌ", "wp-content/plugins/elementor/core/dynamic-tags/data-tag.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!laeNP5{", "\Zh%\r{}Ѽ>M8<]ӻ(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]4/sC|2A", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/rating/wp-postratings.php", "0", "Ÿ=L;pA", "Ÿ=L;pA", "FՓc-3m\Z\\\np݂r~n7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]&\r+֦B\Z@v-\n", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Context/NGG.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")}j9xti1", "Jf9 \rn\0	TQr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("](R&!1;3", "wp-includes/js/wp-ajax-response.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";(AFM`C}", "~ܭ(܁c<hra?^\"	E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]9.peT", "wp-content/themes/twentynineteen/page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lo<`nSd?", "+mH>8Id(+߈G$ԯ5 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]B#2zbU/", "wp-includes/Text/Diff.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lp՞n7q*", "7	iHꗓM233} E҈", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]L0eE\"u ", "wp-includes/js/mediaelement/mediaelement-migrate.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?(\"\n10p", "8+IoO:^j8gQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]UYe75f\\", "wp-content/plugins/imagify/assets/images/mushrooms-aggressive.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yZ1Ə;|L", "PQ&fd\n.%߁eg~5!B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]pXGg%j\0}A", "wp-content/plugins/elementor-pro/modules/wp-cli/module.php", "0", "?mV.?ģ,", "?mV.?ģ,", "Ub!35!K(͋cK2J\'v8[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]qӆǖ}U", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_888888_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[,v{,D", "tǖp*cX8I\r6-=D>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]tmTϔl]Kk", "wp-content/plugins/elementor/assets/css/editor.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dGV7R[+O", "kk-ǅԜNsMq/{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]tg&=Nʽhc", "wp-content/plugins/wp-rocket/views/settings/fields/number.php", "0", "뭐|H2(Qн3", "뭐|H2(Qн3", "Fa#S%zsp1RHb?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]}P\\1>!u", "wp-content/plugins/imagify/assets/images/check.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"{gYx0", "b,?k\ZCX}B-p|]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]}seѹMM", "wp-content/plugins/imagify/classes/Webp/RewriteRules/IIS.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0C4", "\0|*H\'0:6k;\n50M.1Ny", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]nbx", "wp-content/plugins/elementor-pro/modules/query-control/controls/group-control-query.php", "0", "vNa", "vNa", "MB噛9H_֓l$u)L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]NJjӎe", "wp-includes/widgets/class-wp-widget-media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6jcF&_", " 6TY\0Yx:EJchBG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]A/?\Z^!S", "wp-content/plugins/elementor-pro/modules/sticky/module.php", "0", "{[֗AIVK?>", "{[֗AIVK?>", "Ѡ9NnN|llP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]r:@I", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Enterprise.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6:2kP3", "%uMp,.\0@Zqr/Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]8ڕu", "wp-content/plugins/loginizer/screenshot-2.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȾQ,d@#", "yO<eUr	8lW%Dsj7XߍY9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]PTkvt8A", "wp-admin/network/menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@ӗQ$l1QEh", "Mǯ\"n|l?(BH(\0G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]*J", "wp-content/plugins/wordfence/images/icons/email_go.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jEH).", "& qC1QU_.O31!&۴", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]\"}[YR", "wp-admin/css/edit-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wtس+R*", "{s^H\\PyǐD\';QԒ9o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]z6?", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/NegationNode.php", "0", ";(FQYxPY", ";(FQYxPY", "e5a,_>WOQ\"\0\rE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]) ^LR@", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Settings/class-beacon-subscriber.php", "0", "%7n䣥J&	", "%7n䣥J&	", "!$r+\"¿1I#^E>Qu9	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]U\n<%0d", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/buttonset.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")V3ݒ", "S6\n[N	;)i\"2j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]3J(4ĝ", "wp-content/plugins/imagify/assets/images/logo-wprocket@2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t`E~tF4 ", ">.(|A[\n~ٸ=7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]$2!㬹W", "wp-content/plugins/duplicator/classes/utilities/class.u.json.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#\"^f<u", ",Qk3 of9+oD3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]38w)%h\r)", "wp-content/plugins/ocean-elementor-widgets/modules/call-to-action/widgets/call-to-action.php", "0", "$:ȋǶޫt", "$:ȋǶޫt", "|(XV[2Q\\\n(<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]XJs҈cD\Z", "wp-content/plugins/ocean-extra/includes/panel/assets/img/modal-window-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FoN_", "<x߯4Wҧj?ީWc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]Mz]E", "wp-content/plugins/imagify/views/button/delete-webp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=!TJj	", "E\Z @^\nhSv}\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]+6Vȩ", "wp-content/plugins/wpforms/includes/fields/class-base.php", "0", "\Z\n ob`", "\Z\n ob`", "Pq:OF;~:y1E1A\0\"i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]d!", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/CustomSSL.php", "0", "DU\\[ޚ*Ef4", "DU\\[ޚ*Ef4", "\rw܅Ǹ@\0b+.qF蘙f=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]C@*f\n0j", "wp-content/plugins/ocean-elementor-widgets/modules/tabs/widgets/tabs.php", "0", "Bk\r`;gy", "Bk\r`;gy", "@?5akoEhm)?Ѭm	wn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^rnIq8\r", "wp-content/plugins/elementor/includes/settings/system-info/main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bI#W!!", "2r˜3^\"FOHXc@A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^4j|I", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/OutOfQueriesException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5H*f$ʝӐ", "ƝiczP1\"ݢӛoTWry*F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^!\0tn8mh", "wp-content/plugins/ocean-extra/includes/metabox/controls/textarea/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1Me2", "}9bZ2\0U) 4oi})<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^2c %	Y", "wp-content/plugins/duplicator/languages/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gD,V=\\bP", "k~	UH\ZxPĀ<;X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^9(-(Ųy 0q*", "wp-admin/user/about.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0ڍKN N-", "gR\nz?9?Y b݂f͗", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^9l\n!k4d", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-radio-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$MTT;Gǥ", "´ұQQ%Rx˰Pp\rGŭo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^9-х7W", "wp-content/themes/oceanwp/partials/header/style/medium-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "؍#\"Qd㏕", "H+Uש1cdι\'yB\\gx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^@ղ{\'_92", "wp-admin/upgrade-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",)`Uyb", "\r91|&QRl\ZԼ𷠝4Y;<H,=El ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^H\0B|4@z", "wp-includes/IXR/class-IXR-error.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g6\"u\\\'3b", "*?ۧU=?,]0=CZ-6Dq.G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^U.iypG", "wp-includes/js/mediaelement/mediaelementplayer-legacy.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OsJ761N", "{RDo]!9\'G\\6&~9p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^\\g)", "wp-content/themes/oceanwp/CONTRIBUTING.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EƐ\rggW% D", "$#	}0|57I4Ac-XԳE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^bO)F\"`묂", "wp-content/plugins/imagify/classes/WriteFile/AbstractWriteDirConfFile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v΄\rSL", "]âne^౮WE\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^yG=ڜFg;3á", "wp-content/plugins/wordfence/images/button-grad-grey.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RCTy?", "DH~ϨP_{!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^~o8^ɪV7lO", "wp-content/plugins/wordfence/modules/login-security/css/font-awesome.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N2J娳YB瘱", "\ZPL㨒ZitA7d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^VrHmN$%0", "wp-content/plugins/duplicator/installer/dup-installer/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r>zx{", "ҡZtյOߡulw\\t3)K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^Ð+y|", "wp-includes/images/crystal/spreadsheet.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "59Т1Tn", "e\rCi0[R8@GaJN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^|:\0SCbo", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-ie-conditionals-subscriber.php", "0", "1*/QĒFS&", "1*/QĒFS&", "y@#3Y8>\'<i1Y40/U䫥*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^T_[$Z{pK", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/archive.php", "0", "x\ZEs`Y$", "x\ZEs`Y$", ":D905C9;~=>\ZŔ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^}StnLfh", "wp-content/plugins/wpforms/pro/includes/payments/class-payment.php", "0", "_lYDU4G/5H", "_lYDU4G/5H", "(tJt$2HD!u eAW;8z`*V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^t]&|", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MODXEvoInstaller.php", "0", " Ќ~^F", " Ќ~^F", "(o8@.z۹	\n!q66bp}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^^\\Q=(w", "wp-includes/js/imagesloaded.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~Ru0Y", "r!a`U*1w0?O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_\0d MP~D", "wp-includes/revision.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^֙E]\"S", "/eά>>ƶO1m,dxbѕbLL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_FmZ0*", "wp-content/plugins/duplicate-page/languages/duplicate-page-fr_FR.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0K{\"g\04", ".\0\\B@b!!w6Ӣ7	^68", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_k4!*}݄ ", "wp-content/plugins/wordfence/vendor/composer/ClassLoader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|%*T*`", "289vu3n	C2sva/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_:pOp", "wp-content/plugins/ocean-elementor-widgets/assets/js/tooltip.min.js", "0", "42Hfyh0e	", "42Hfyh0e	", "S)Q8ļSq@B8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_*⽞L0>\r", "wp-includes/feed-rss2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">V2%e@kF6", "/3pr>]D&sYJsΗ¬oq+E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_#U1pGS", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/SipHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zrtw(e", "ҿDI<^i2dW]G_-+A8W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_!_j;1␐S", "wp-content/plugins/wp-rocket/views/settings/fields/one-click-addon.php", "0", "vLߵ&HzD", "vLߵ&HzD", "ӬaUx۩=Dz8B!`,xv+2],", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_*C_Xƞ", "wp-content/plugins/wpforms/src/Integrations/WPMailSMTP/Notifications.php", "0", "\rY7 XO-$", "\rY7 XO-$", "@CidSU:*d\0v}?>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_B\0rpIu", "wp-content/themes/twentynineteen/sass/variables-site/_structure.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O!Yr8ܗt/", "=\0td\nJeܐZ<sn6t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_Wlf8gPc", "wp-content/plugins/duplicator/assets/img/logo-pro-32.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "եShz\ZO", "\Zqc~Ga^<|1֮|/OՎ{ҭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_j_/yӱ", "wp-includes/load.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O6OpWFj4", "u\"{H	\nX]\0\'Wu\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_)[Fv?", "wp-content/plugins/ocean-extra/includes/metabox/controls/rgba-color/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nfqy\rDxL", "%ҀgPKrvuS)**d3ipu&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_v4\'|!;ܩb", "wp-content/themes/oceanwp/partials/topbar/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[$%YI@xoȉ\Z*", "\"퉃v\n@!\"\"D/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_&[qMn89", "wp-content/plugins/wp-rocket/views/settings/page-sections/heartbeat.php", "0", "婌oq7~\'@z", "婌oq7~\'@z", "QVG^N%ozϡS䙣OsO5Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_=Z\"OL&\\l", "wp-content/themes/oceanwp/sass/components/header/_megamenu.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qcS\r\n*", "-.}Z.\"S\\\0͉\'GlV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_/cQeE8F", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/fontello.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e^n&+", "ZLH1\"%]?,\\)mn3N:cm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_pFJW", "wp-content/plugins/ocean-elementor-widgets/assets/js/appear.min.js", "0", "I=bu\Z;]`FaGE", "I=bu\Z;]`FaGE", "rC(%qϫ\Z<Z%l\0ޅ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_l[E", "wp-content/plugins/imagify/assets/css/admin.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˯iWWP", "`nr H8%u&G%}L<B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_|TM^J", "wp-includes/css/editor.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",Qfa:-;", " , *Ώw벒tQ~\0ȋ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_43=", "wp-includes/images/uploader-icons.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\Mm", "p+/i!Zţ6m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_xTķ&\"", "wp-content/themes/oceanwp/assets/css/woo/woo-mini-cart-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W:$Ծn:Q", "AWM!㳹ϫMmmѕgVNnKr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_H6SN%(o", "wp-content/plugins/imagify/classes/Bulk/AbstractBulk.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6%U>PUəP", "}UEB	D֦T$CK+?{ApQo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_WJ0Y}Gwd", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/UdpSocketTest.php", "0", "}<PE+9NQA", "}<PE+9NQA", "Ji#]K40|mΞ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_(CM69", "wp-admin/includes/class-wp-links-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*\r{#3R", "ޅi|]X>>7@&(x-B}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_8}?", "wp-includes/css/media-views-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oF\"i=", " AnAŇ|hkl%ӣ+C-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_psw", "wp-content/plugins/elementor/assets/lib/e-select2/js/e-select2.full.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8\0L{", "C3|2m>Q+w^kj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`S`NI^G", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(i@Gg0p", "G</14ŅL5!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`%ֽj\'P", "wp-admin/js/edit-comments.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iNuWXqՁK", "9VFCQ7&5,=v`\\Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`)e(ro,\nkt", "wp-content/themes/oceanwp/sass/base/_main.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]S\'vԤrT(", "e|+RO+lSXe@^w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`7,V[)F(?", "wp-content/plugins/ocean-elementor-widgets/assets/js/alert.js", "0", "RX#;|aKR", "RX#;|aKR", "^bFOGM]f\'<p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`?Cf\r", "wp-content/plugins/elementor/assets/shapes/triangle-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G`xHC\08`E", "=Yk303U}i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`Se>KG\rH]", "wp-content/plugins/wp-rocket/views/settings/sections/nocontainer.php", "0", "eZ~S2bۿ", "eZ~S2bۿ", "Iк 9TޟAze\\15N<|rM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`hu[Ǯ", "wp-content/plugins/elementor/assets/js/editor-modules.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܠDBu", " HԈpĢ췉	66wt_m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`kV|E>x5", "wp-content/plugins/elementor-pro/assets/lib/smartmenus/jquery.smartmenus.min.js", "0", "d\0>R}*RX", "d\0>R}*RX", "fCc3z^qEیe*Ծ.+5y^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`o\'c?/ ", "wp-content/themes/twentynineteen/template-parts/header/entry-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "01sn\',", "Ro{%*\Z/ΐӛ<|=&_iiܯ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`\n2", "wp-admin/css/code-editor-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[\0/R", "LWTֳ	{izLM\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`%	3/XOo", "wp-content/plugins/ocean-extra/includes/metabox/controls/multiple-select/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7XI&@", "HCl{0>HuxKLugC0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`\"٣3]|", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-sku.php", "0", "ց\ry^r=F", "ց\ry^r=F", "gtBR_a3:nQO]u`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`q?Pb#Gr", "wp-content/plugins/ocean-extra/assets/css/scrollTop.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޙޕ\ZvCD	fz", "2Q0ܩ^Hne]0Y		\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`a(g\"", "wp-includes/js/dist/html-entities.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N23_", "_>6dxu,2o<jlZW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`bGY!ǱӉ\"", "wp-content/plugins/elementor/core/common/modules/finder/categories-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n]YG	8", "i\n*6\\A=po.V2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`c0\\3", "wp-content/plugins/wordfence/lib/Diff/SequenceMatcher.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O\"%éODZj", "Z?=b\0D\ZZ\'˿_pwѻ,:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`YV&;4*T\0\0", "wp-content/plugins/ocean-extra/sass/components/_widget-contact-info.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":0+Ajڥ", "\r#ehs`o_rةyc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`Ä%qåk", "wp-content/plugins/wordfence/css/jquery-ui.structure.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#/h<U", "ni뗅NvX7Y]D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`;\"-+~;", "wp-includes/js/tinymce/plugins/media/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ujjEv\Z);", "+$e\"D%\\Xũ*?Fsvm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`}+6L-q[$", "wp-includes/sodium_compat/src/Core32/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1`0", "qƖ%/ygrwÛ\rLR>=Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`U2mdW", "wp-includes/class-wp-customize-nav-menus.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D*AmA\\=4إ", "Q,z	~5@É=5\nVHe?.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a)6ю", "wp-includes/js/plupload/moxie.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#C\r5Ǳǒ", "I9_/xt5(.gtT\Z}&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("azgdr;R", "wp-content/plugins/ocean-extra/assets/css/fontAwesome.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Jؙ0Q(", "2tҒ\"e&T?吔C5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a\nW{ǗF` !D", "wp-content/plugins/ocean-sticky-footer/template/sticky-footer-bar.php", "0", "p~&U5E*", "p~&U5E*", "_~s#!$3T\0n@w\n}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a\']NмqQ?U", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/DynamoDbHandlerTest.php", "0", "j%h|%", "j%h|%", "~\nz#}̦bL5,C$h8}Ҽ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a)TMWOoQ|", "wp-admin/images/media-button.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6@pz^ye", "_\ZSjזY VZGen_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a+ek}P~&_", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-abstract-db-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wTC٤", "MJ4ϰC4p?0{qLλ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a3Y", "wp-content/plugins/elementor-pro/modules/forms/fields/date.php", "0", "R20C`3", "R20C`3", "v,s;(-\0\nƻn7l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a6-,φ\Zo%N", "wp-content/plugins/wp-rocket/vendor/league/container/src/Inflector/InflectorAggregate.php", "0", ".0jq:|ȁ", ".0jq:|ȁ", "]@N5Mjl77UmO1mho", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aGzB %<5t ", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/collapse-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cvZ#/A%6", ";Y߾e*1pX8|32s0e>ە.#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a\\c,I\"5T#̋", "wp-admin/images/media-button-music.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]2\\Z/ޕ", "He}KۭXYW/$\Zeis", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("azviFKn!", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/IFTTTHandler.php", "0", "eK[T?P", "eK[T?P", "drDlzaƫ>(7w(Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aSxژ}x", "wp-content/plugins/ocean-popup-login/includes/customizer-helpers.php", "0", "AKt5;Kc", "AKt5;Kc", "tv͜W5܋94e%	o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aZf\0\Z]", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PPIInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mĎ妁\r\"Bx~", "PL`\'R<DJU>1D,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aEMMZݠ\nA\\", "wp-content/plugins/duplicator/assets/img/ftp-64.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}LAUP_", "V)f\Z1o.[!m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a?_ˢ6jX", "readme.html", "0", "4d4X", "4d4X", "\nޏ%]$S,S8AYzF%E\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aJr&-D", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Crypto32.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b]݆щpW", "ド$⨇\r׶oޖGǗq#7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a(mEBl", "wp-includes/media-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\#}_", "\n΂yllkӹt%U\'\\2N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aW~sGԕj", "wp-content/plugins/wp-rocket/inc/classes/preload/class-abstract-preload.php", "0", "L<c}xP", "L<c}xP", "ZԈ61Zz蜾-gA}A,nS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("acCH\r=l@ĸ", "wp-admin/plugin-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[R^yy", ">ޟ̡쒀[4#Qlh^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aۥ%1L)cs", "wp-content/plugins/classic-editor/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y]70$/\Z[", "[\']ΨuCC)eiH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aaiG}\Z ", "wp-includes/rest-api/endpoints/class-wp-rest-attachments-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M2I1+\\{<", "\'x\"_Hil+F[=\\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("au|ovKpp", "wp-content/themes/oceanwp/woocommerce/cart/mini-cart.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".^,~vQ/lIs", "5^?eK 6(~!B=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b !z@\n&+-矶", "wp-content/plugins/elementor/assets/lib/font-awesome/css/svg-with-js.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&\nɘQ$", "D%Ks.R0ud7k<dgIԄ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bC>\n%", "wp-content/plugins/elementor/assets/lib/swiper/swiper.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*h??	*", "\ZR!ehtsu^kG3I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bMGuc/,)", "wp-content/plugins/ocean-extra/assets/js/fitvids.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bW-", "aN̓ZYkFWD)TM!џr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bY,ϥYr۝;", "wp-includes/js/crop/cropper.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ky5ni*M(", "ٸTޝOwLy=}gTl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b]9(%a.", "wp-content/plugins/duplicator/classes/package/duparchive/class.pack.archive.duparchive.state.expand.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qt\\@\rf", "7N.pW#Ho6n;rt\ZO}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b_|2<6qDR.", "wp-content/plugins/wordfence/js/wfdropdown.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rpc\'\Z", "SGs8;Z!זJu1z?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bh5>obho", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KodiCMSInstaller.php", "0", "X_c\'xM9", "X_c\'xM9", "`S,wD9kC\05β19jB[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bqkQ!", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/templates-types-manager.php", "0", "{3sK2~LW", "{3sK2~LW", "k+m)N_Ѳ$/z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bdPitpד", "wp-content/plugins/imagify/classes/Bulk/WP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yi*hnN8", "N[3\r,5Ynٕ8/ܭcM)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bʡF1t=	v", "wp-content/themes/twentysixteen/js/color-scheme-control.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zp2/>)~Oz", "LF\"=	*F_Oy{J*v	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b^e@e|\0", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/select2.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "81_5K1n?\Z~", "} eJŇ_<ldk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bzyHB\'Ѭ@", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/MemoryPeakUsageProcessorTest.php", "0", "/[LwXĵOy\nM+", "/[LwXĵOy\nM+", ".\ZM^ԚS˲x5Bqrs~&X);;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bHzfWgw", "wp-content/plugins/wordfence/lib/wfSchema.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O@	|O", "gvK%oiS7.]siH2:p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bҌ &?{", "wp-includes/js/customize-loader.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1(=Ò/!a", "}Pր,Yvx\nX\0Xm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bTV$s`\r", "wp-content/plugins/imagify/inc/functions/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}Z~@l", "+G)J/\rpt?f&$&j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b+ƴݟ3", "wp-includes/customize/class-wp-customize-nav-menu-location-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " <4IC_qm", "&VA)FZ=]Deid5t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b񪥲K+xwF", "wp-admin/css/site-health.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GaX!@", "]$Pyz_Ϝ?JIxLr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b\0hQ,\'g", "wp-content/themes/oceanwp/woocommerce/quick-view-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Yhduf14\ZZ", "S棁ꗊh*Ё^ɲ3r\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c餟(Ok1!͂", "wp-admin/privacy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "п-j.괜?", "\rGKiCQb\n٤i\0mP=a#;z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c(yFz!r", "wp-content/plugins/elementor-pro/modules/share-buttons/module.php", "0", "MEsghR", "MEsghR", "ɖm1yvK(J%\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c2}Hb`M]", "wp-content/plugins/elementor/assets/lib/imagesloaded/imagesloaded.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0v60HL", "b\Z/;$+]⸫XZN͸f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c4L]˞Mc", "wp-admin/includes/class-wp-post-comments-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@dB#&&", "{bk\r}	{=\\=6`l	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cp	PU3/", "wp-content/plugins/wordfence/modules/login-security/classes/model/request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&ܮM,~/r", "F;W]&z~o\'/q+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c\Zr te\\-", "wp-content/plugins/wp-rocket/inc/common/admin-bar.php", "0", "t*#>֩Sà+", "t*#>֩Sà+", "vD@.(k-&kZD7jR`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c,[xޫ3\n@", "wp-includes/js/jquery/jquery.masonry.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@`&n|}A", "\\ۙ	}Mg $0 [B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c42jxcd", "wp-includes/Requests/Session.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7݆Ζ}l", "e`݆.΃:jE\ZҰ5\Z)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c=_!p", "wp-content/plugins/elementor-pro/modules/popup/form-action.php", "0", "ZB\\$ h6", "ZB\\$ h6", "AsoxFq|8\\Jd^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cnvxlEqm+", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-third-party-subscribers.php", "0", "~n1ټx?", "~n1ټx?", "͈&t|2;	N:S)eg&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cQiQv", "wp-includes/css/dist/editor/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$FV(W!AP#", "?JeC5㸼#`s̈́;EeC\00uˣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("crh:;\\[", "wp-content/plugins/duplicator/assets/img/5star.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H`|R*(", "]ΌPo}o-\\yv\\9*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c=aVH", "wp-content/plugins/wp-rocket/vendor/wp-media/rocket-lazyload-common/src/Image.php", "0", "ՐE(?loZm", "ՐE(?loZm", "2WZ1+\"PSc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c0#Ij", "wp-content/plugins/ocean-portfolio/portfolio-template.php", "0", "\\y8bf", "\\y8bf", "s!iG35u.\\v]3V5[i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cMú-l#J=[", "wp-content/plugins/wordfence/js/jquery.colorbox.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(O0%69e3j", "{L#\r]\ngL8P,@Ir,{ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cّ,8YY+", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Installer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".;ZBo\Z", "#X<0/t(\\@_L\0S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cѤh,b5L", "wp-content/plugins/elementor/assets/js/common.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-+bj*ar)o", "T\ZO\nXɑ\Z}j9,B^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ccgu", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";8e_TƽW", "ݬISP\"a 7J6QSv_y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c;r\\p", "wp-content/plugins/duplicate-page/languages/duplicate-page-hi_IN.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")\njAZF0", "z?(Q݀AhFIw\'r ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c[b]ݽJF", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/storage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~4>ӥ$", "Q6;f]Q:,Wѭy$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d:wOІ", "wp-includes/ID3/getid3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}\rw\">X+o", "Ê?Iͽ*/(Yf8&lȰw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d1쵓-;O", "wp-admin/js/custom-background.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "53X`@", "A+Es^T7!@Jk!\'_=l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d-`1\Zǽ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/RedaxoInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F[|.1x	&XfN", "Dm1%nݛ_dr \rJ3Tr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d0\0rxJ|폘\"", "wp-content/themes/oceanwp/inc/customizer/controls/radio-image/class-control-radio-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qڕ-.nM\'", "LqQ/Bj:+G~7㣱Sv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d0SͱK]pu\0sg", "wp-content/plugins/ocean-full-screen/assets/js/main.js", "0", "?dAg@\0ٛ", "?dAg@\0ٛ", "XLrJ蓯P̸<U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d;,2E<2]f\nN_s", "wp-content/themes/oceanwp/inc/customizer/controls/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ud8ɗ\'p}S", ",KC=ai%R6];", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dpۙs&>Ċ", "wp-content/plugins/wpforms/includes/admin/class-am-notification.php", "0", "tԍ. q+", "tԍ. q+", "W\"T{-Gl^,ğ;Gf1_RS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("duƙT+zxT{\\", "wp-content/plugins/ocean-elementor-widgets/modules/search/module.php", "0", "e{,Og|\\#c", "e{,Og|\\#c", "1d.ҁY%龚ԲД|<ʱt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d\nU\\L/d", "wp-content/themes/oceanwp/sass/components/header/_search-dropdown.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p葁k[U<", "XҀ8B.zLb+8	.K&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dkJQAw6im<B1", "wp-content/plugins/wordfence/modules/login-security/wordfence-login-security.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JmaFt5i!25", "`$j#dվ;SĹX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dFbj<%2", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MicroweberInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hf6}2wdq", ":a2>`ά%]_ųX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dAuh041", "wp-includes/blocks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "faa=!T=`", "ףLo>80D@q\r0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d-\\9P͉y", "wp-content/plugins/ocean-extra/includes/widgets/js/mailchimp.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t]kᰰ", "fpɌ 6L3v|FbU\rJ\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dBÚcն", "wp-content/plugins/elementor/includes/controls/base-icon-font.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f\\ղ݆", "94$q\n4%9_Y0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dڸ(Eb(", "wp-content/plugins/wp-rocket/inc/classes/subscriber/preload/class-preload-subscriber.php", "0", "(P 09;7i\0", "(P 09;7i\0", "SFKEto\Za$>E{$!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d0ٷ\ZԌn", "wp-content/plugins/wordfence/views/scanner/issue-wafStatus.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<38xuFRĖȦE", "n?Qbz	٢)S*,Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dÎ%V", "wp-content/plugins/elementor-pro/modules/forms/actions/redirect.php", "0", "6Ib94ی\'Y", "6Ib94ی\'Y", "D;PFEtǫgR{|OX(Vt*7,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d(%J@G", "wp-admin/options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gj=E\Z޼݉~", "~q?>ouc4mWY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d@@XN\n", "wp-content/plugins/elementor-pro/includes/modules-manager.php", "0", "&}\\x\"Av", "&}\\x\"Av", "1p$CتArB40jK(y	r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dhħ{q42K\"", "wp-includes/SimplePie/Rating.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=pm	Kدat", "\r[jjՂrVh`FrES{b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d4j2UV$P", "wp-admin/css/wp-admin.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7#Q&M?»|[", "QD6hPqqM9FO\\O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d@!dJ", "wp-includes/js/mediaelement/mejs-controls.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".۷Z#e0<l", "X*\ZX(Z!ȽD2aB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dteBEM+1t", "wp-content/plugins/imagify/inc/classes/class-imagify-admin-ajax-post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hGFS[", "ah(\nГ?#=ZQ+W{0\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e\0hLщ", "wp-content/plugins/wordfence/lib/email_unsubscribeRequest.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#}_*mD×cvW", "m$G+59TEx7B{/,u7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e\rZfޞ|", "wp-includes/js/api-request.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z.Mŗwt7", "o{%YX$wPbwY6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eXǌ.\\(&d", "wp-content/plugins/wordfence/views/scanner/issue-coreUnknown.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "رm:h\rGZڋY", "t8uUUSĒqfS3iiu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e.PȴNBSx[&", "wp-admin/includes/class-wp-plugin-install-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r@0{`;]", "7Fr\Z}^[]o5m6$>I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e0\r}nT/", "wp-content/plugins/ocean-elementor-widgets/assets/js/off-canvas.js", "0", "ݣ/4", "ݣ/4", "a/hﶄ,~Kٻx\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eOE~", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-common-subscribers.php", "0", "W!>9\nL]", "W!>9\nL]", "xyZcl&+(2zgy*O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eTm>F+HN", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-meta.php", "0", "G$`yX-1^", "G$`yX-1^", "(z 6=*vnԨ~.a\r2>X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eiy,:T)", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Country.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0Q#2ЏR", "~G)R7i-#R 9Hǫ b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eiԅVTwvH", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/all-in-one-seo-pack.php", "0", "B@ֻ$ә>]2", "B@ֻ$ә>]2", "]ŃCsX}Ӳ^}K(\'T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ep\r}u_4", "wp-content/plugins/wordfence/views/scanner/issue-checkSpamIP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`Xcb7qNS", "MG] ?ugPp1,(V^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("etWPT<|oJ", "wp-content/plugins/ocean-extra/includes/widgets/recent-posts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڑz+\0AI,", "IT$YLH(	Vh\"Zh!*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e}0wTnv_g~", "wp-content/plugins/wordfence/views/scanner/options-group-basic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",z7\nɲߞ", "Ab.hNh|:H-=(1fJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e~od]$4g", "wp-content/plugins/ocean-extra/includes/panel/assets/css/installer.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H2Q[", "Z@jx9kjP,n\n6dW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eW\"/>xUVg", "wp-content/themes/oceanwp/sass/components/_next-prev.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Oܝ\n:Ȩϐ@", "W8z\Z|{+I\'`ց\"?l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e[dW5>YM<", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Settings.php", "0", "jʠՙ#~", "jʠՙ#~", "bU\nR.\'> =\\\n]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("elsUO|R}ܝi", "wp-includes/sodium_compat/src/Crypto32.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n!\\OeiT", "uwe2CכNm0KH^V\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e֧\rnJOv", "wp-content/plugins/elementor/includes/schemes/color-picker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Wy2g[\']", ":⍚X5-*79r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e__%x", "wp-includes/class-snoopy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s\\Ņϼ.	`", "4	*\0\n;0rɷw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e*i!eZ", "wp-content/plugins/duplicator/assets/css/images/ui-icons_2e83ff_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nzT@XR", "0V%䜒x;i̷=e:ߕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e^#|ۍTЩz", "wp-includes/Text/Diff/Engine/xdiff.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ֹbtX8GX", "[<0ąaD)tJh(C[uH}sҘi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eTA൨NW", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/ExceptionInterface.php", "0", "V9p", "V9p", "vDr8j?\ZwJ+%~ c#h\'\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eqzr\'/", "wp-content/plugins/ocean-elementor-widgets/modules/blog-carousel/widgets/blog-carousel.php", "0", "8\Z$ ", "8\Z$ ", "(C^vAdg4f|R\rN;_\'#?\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eLaH", "wp-content/plugins/wp-rocket/inc/functions/preload.php", "0", ")̓jHnH", ")̓jHnH", "2V|lZ\\qeN,$k1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eR2gd\nL6j", "wp-content/plugins/imagify/vendor/composer/autoload_namespaces.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5,}vĨ3G)", "Er4@\0ԡ$z3$l\Z`iexl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eA.zNks1S", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/rating/kk-star-ratings.php", "0", "!tzKTAY", "!tzKTAY", "#>>9=\'a@_~$@gl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f\0\"&gD0", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/changelog.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]EܳM3W3", "d;Ϣ2YHj}v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fl$r@vOg", "wp-content/plugins/imagify/assets/js/chart.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Kgj0p\Z4", "}LL1_Sr\'hFFi+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fkp~7", "wp-content/themes/twentyseventeen/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ptCw4늋Wk", "S7/nQG)5izʩAx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f1RN1DGD1J", "wp-content/themes/oceanwp/inc/customizer/controls/dropdown-pages/dropdown-pages.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R|ݓS3%0WOV", ".GaDP]Җbz\ZPb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fpjH\'", "wp-content/plugins/wordfence/views/blocking/blocking-status.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ˮ_Xk", "4>1^fs{q\'	ީM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f*.?tj`&", "wp-content/plugins/imagify/classes/Media/MediaInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f`jޯra\r]aG~", "@?Oʑx\rBW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fu3\nM\\}6*0", "wp-includes/class-wp-customize-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`;`-", "=9\ZW5EL]&\ZpD`/XoZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f2T%=x", "wp-content/plugins/imagify/classes/Optimization/Process/AbstractProcess.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "͹z6h>r,)y", "\0E*E&c\0\Zȡ\\[!Ĭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fU\Z[", "wp-content/plugins/wpforms/assets/images/cross.svg", "0", "&_}H;UR", "&_}H;UR", "1.;\"\"MC\\˅\"	$0 F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fyĐƼvhK", "wp-content/themes/twentysixteen/inc/customizer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'0{kv_q.", "ݠ~[١}rܪKm0\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f霰f؟|hUL", "wp-admin/includes/ms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s1ES{z5|R", "jf8m@c	/fcvd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fu5}0l8g", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/archive-posts.php", "0", "yG!e\0", "yG!e\0", "8i{Rño:W?[|HSYo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fBDFr\r\r", "wp-includes/Requests/Transport/fsockopen.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!JO`\ZHH??", "?l;])O=bֹ\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fg7 `\0d", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/butterbean.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-4$fo׎", "\rG\n9E]\\ R9RŬ2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fƬL=rLOGm}", "wp-content/plugins/elementor/includes/schemes/color.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Os8˸e ", "y[!c2vE!0)s>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f-$G2Jd", "wp-content/themes/twentynineteen/package.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v(_ sΠ", "ggR7\rB~k*waNߢ4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("feR)", "wp-includes/SimplePie/Item.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E!Cz\0c<ܧ", "1K6]Lݲ]`rS{Ul", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fD/KI\\8", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G:Zh*", "Q:[cПچ!|;{Og[&S Zi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fֈVԹ)9", "wp-includes/theme-compat/embed-content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m\'牉TeD]pCA", "Jϑ߷`š+,jr#eQ䫖 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f؄$[7|J", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/exit_intent.svg", "0", "܏Yeix", "܏Yeix", "k!c,YRguW`I&;޴U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f}HIA", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/white-label.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n8_*RHe", "WyTƵhPؗpSmV>Վ:q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fߨ+Ĕ\0E.pݔ", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-meta.php", "0", "$RHxxq", "$RHxxq", "Oԉ19ùlylt7W`#L+д]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f&\"=Z$", "wp-content/plugins/elementor/assets/js/admin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d@:", "i\'sY^;TP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gD(Ā", "wp-content/plugins/ocean-elementor-widgets/modules/divider/module.php", "0", "ӥp%2h", "ӥp%2h", "i42J)avi%Up|=?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gV5sޔ", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/trait-path-rewriter.php", "0", "8	j%", "8	j%", "L8b:l1(Dr{W\\d2ڛu2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g#,vM:", "wp-includes/js/jquery/jquery.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I.{ܛS", "g/igEȯ]3v6E\'Dd4gf;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g+yrqD/", "wp-includes/vars.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eGTtN5Aǿ.", "csoǋW\\tт5ڷYJY\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g+wJoG{b", "wp-includes/js/dist/vendor/wp-polyfill-formdata.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".2ңA!V0I", "\"CG9^ȷ1a?auk`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gQir똿/!", "wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(qti&Y	", "o)je=*X赋a4vJ)z|0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g_&znͲ85\'", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/wpengine.php", "0", "^5X?d", "^5X?d", "e~AD5}_9}tюjv>b5W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gt.H*W=C", "wp-content/themes/twentyseventeen/assets/css/editor-style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U6\0Zy$Y*", "rƊxA+Alӱag._nZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gu6]݂?", "wp-content/plugins/elementor-pro/modules/forms/classes/form-record.php", "0", "ᮁQIֶb", "ᮁQIֶb", "DVNVӜ!d2]1K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gxF6U?gþ", "wp-content/plugins/elementor/includes/controls/animation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4s썲܋;Q", "8pƜwL\">z5U7Dأv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g{bqw", "wp-content/plugins/elementor/includes/widgets/menu-anchor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uBVf\Z", "exFfCOUS&S0W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g|y_o4\"XN", "wp-includes/images/smilies/mrgreen.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-5^Jj", "Mg$+;\05H&\\E6%w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g<)R`\rv4*x", "wp-content/plugins/ocean-instagram/assets/js/main.min.js", "0", "<_^:I,	b", "<_^:I,	b", ")6:ȰƻGߵ\'%ܹi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g}kR^]Ǉb&", "wp-content/plugins/ocean-elementor-widgets/assets/js/woo-slider.js", "0", "zvr,jII", "zvr,jII", "OsD`¾:[*$ucmK^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g10sE`W޳a", "wp-content/plugins/ocean-extra/sass/components/_widget-mailchimp.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ud\Z>AJ\\ؓX|", "_$2y/IBHμ\0g	4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g\ZŞ|q(", "wp-includes/sodium_compat/src/Core32/ChaCha20/Ctx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R<nI<", "e}]TY(u&\r90+aDϮ#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g$G\\;r1X", "wp-includes/images/wpicons.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dSuqV_a", "cZ_?n_K61\\}r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g?~*5@Ɖr1", "wp-content/themes/twentyseventeen/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZTX>DP-", "n҇Av2ON.=Qk5o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gb@PgjE", "wp-content/themes/oceanwp/sass/llms.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ÀiZΡD", "7N:\nYJڷۉS	C!S+)!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g%PmS\n5", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/UserFrostingInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Bмzֵ_", "V-2޸<n{s?IݸW>fs(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g´*\"x", "wp-content/plugins/ocean-elementor-widgets/modules/register/module.php", "0", "ƿv]\n&\0b", "ƿv]\n&\0b", "Hj@*dsֵ	hi)5 ]O&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gf1۶y;_", "wp-includes/class-wp-http-proxy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "txz F_)t", "}\n_Qɻ7~ʍWx%K(\\{mBv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g:k(͉;Ax", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SyDESInstaller.php", "0", "W}B=H", "W}B=H", "jPG\ruDc=p\Ztzm6=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gs)m%", "wp-content/plugins/wordfence/views/waf/options-group-whitelisted.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ViK۹v?", "-L#syܥjswBt\'ш;8=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g]e!^(PK", "wp-content/plugins/wordfence/models/common/wfTab.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2T}HW\'<}\\", "Z¥|sS8e3Eؗ$ܜ-h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g~)~sʞI", "wp-admin/includes/class-language-pack-upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0s|&pQ+b/\n", "@:rBxנMk/_5.0_a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g/RAψi", "wp-content/plugins/imagify/classes/Optimization/Data/AbstractData.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&4_!`B&	ẝ", "!NjcԴW16-Z^\\g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g]bR% ZE", "wp-includes/js/shortcode.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":#nQ8", "M҄G-W,{ʺ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gEd1D}", "wp-includes/js/jquery/ui/autocomplete.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">bXeså̐", "n}|p9jB?+*W!F%R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h\n#\\XJN:\\", "wp-content/themes/oceanwp/partials/page/article.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s#1ski", "X4Xx{6Iݢ^%:O\Z1%Ceϱi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hZ[=wr", "wp-includes/sodium_compat/src/Core32/XSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\:R/+", "ɫ:jNmmR[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h\ZOhl_Lm/", "wp-includes/class-wp-customize-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(/?KPvF", "Xц,UϜlT B\0fpa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hP,Ox,JY", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-content.php", "0", "./	\"@", "./	\"@", "~;{ZɿtVAt0]c$f܁", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h d껅2_r", "wp-includes/functions.wp-styles.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G;|GI%ΜZg", "mꀦ7s]9o(Qm,ST", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h0X-i^G`8", "wp-includes/pluggable.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IW[baHZ{H", "sH\\,c:{; 8y\rH5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h4#3`-݈\"", "wp-admin/profile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e͝ZBB5aZ", ",6I;G+pblZdyc\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h@Z%RF;ti\\m", "wp-admin/css/login-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X+fFZ ", "e%>Xup4C\Z@3mp\Zk5b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hh,9(t9Fq", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/ChromePHPFormatter.php", "0", "+#\\n(", "+#\\n(", "-b~}uM0C{=v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hsƓTԪ\ZC", "wp-content/plugins/imagify/assets/js/files-list.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8v̕Kj|ۀ", "V]=Ƃ\ZG+9^n[=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h|hEf:Ʊ2~", "wp-admin/network/theme-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǜD%=|7\np", "IҼ1	^0[uk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hFsRVG_", "wp-content/themes/oceanwp/changelog.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t$\\-V\r|", "u*C=ZQ&ROX1cq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hYApB~}	", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/vortex.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C0B_LhB", "B{&:klRXG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hjeߴot", "wp-content/plugins/wpforms/includes/emails/templates/body-default.php", "0", "=ֹfz", "=ֹfz", "=Eċ3!GT+h\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h~cTOoy4|", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/P3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f\"#6${ JL\'\"", "eŇ6\Z(q&ڶ]\nCliީ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h?w\0(", "wp-content/plugins/ocean-extra/assets/js/scrollEffect.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G*\r65Z1i", "Ep6!iID_Gt3/̿U3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h<]OpNCƴ", "wp-content/plugins/wordfence/lib/wordfenceURLHoover.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=[͜\'[7}t", "LjT?{\0?4#hW9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hr/B\'0", "wp-content/themes/twentynineteen/screenshot.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]x4Ҫ", "d@d%1MMo61Vk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hQKV<r:Mg_", "wp-includes/js/dist/format-library.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P$\\=+jd~", "UƇ@n\"T3P\np%>S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ikmCxʷ", "wp-content/plugins/wordfence/lib/wfDashboard.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&4.", "U0@\0\'21k^ͅEi.E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iF:EC", "wp-content/themes/oceanwp/partials/header/style/top-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SYQVR<K", ">a	7\"ӪKL{%Σ&\nq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i;&o?", "wp-includes/IXR/class-IXR-base64.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*6DTe", "?F]L2}\rS@b2OouU\'O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i?+GJJ9-KV", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/fontello.php", "0", "Gc,\\%\\*", "Gc,\\%\\*", "Oݛ=3%OBV8̡CtcoPōqB\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iB#i", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-excerpt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6$ZW", "]ǽN C`VNXDa\Z$\rsR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ia{-\Zؙo", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/SipHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}<܎s9", "Q\'r t7=s*a`<zo_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ic{0h8NG", "wp-content/plugins/elementor/assets/lib/font-awesome/css/fontawesome.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5!q3EH{Hܦ", "T,YpFvl딶Z9#n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ii\"oC`", "wp-includes/sodium_compat/src/Core/HChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[Rz@MMQmr", "qX9Oa4A\'̾e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ij[gUͺDdvE", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DecibelInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+r\"`lҮvv", "#5}͏	\\fWİ~C`Oc,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("im[\n?", "wp-content/plugins/ocean-extra/includes/shortcodes/date.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a*˰<-ζ", "O6d\0\\dAQ%N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i~5K\0.\n", "wp-content/plugins/ocean-extra/includes/metabox/controls/editor/class-control-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Gx-|E[", "e@5e)TV0<.(KW.?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i%C1oȴǚ ", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/layerslider.php", "0", "̀U46n!", "̀U46n!", "DuOAqghsj\n(\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i6,W8IZ\\", "wp-content/plugins/imagify/classes/Context/Noop.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QzޘOx", "hZQXIB.yzBp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i-X8V[~E", "wp-admin/css/install-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LyUeB%", "\Z\\Lm!kSE	dBk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ir3~", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/WhatFailureGroupHandlerTest.php", "0", "I.oFg)>\Z݂8?r", "I.oFg)>\Z݂8?r", "tdAӅMn`;#%R&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i\\=Xh$", "wp-admin/js/language-chooser.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rIY:", "Ćr@\"(r^Oe$ۜ)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i̠,⬲{e", "wp-content/plugins/imagify/inc/3rd-party/amazon-s3-and-cloudfront/classes/CDN/WP/AS3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mp:4rô_", "a,-\0)	J\0OW7:LG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ikCT,", "wp-content/plugins/wordfence/lib/wfIPWhitelist.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϝq,ؾ\\", "5%v_E[P3w,=s$bF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iG\nb{R\r`M`", "wp-content/plugins/ocean-extra/includes/widgets/facebook.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'Tܨ~Ӳ", "lG@]9BG>z)+mm}3Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j㓶G~P=", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Roles.php", "0", "+ѫ\0Ֆ^?H", "+ѫ\0Ֆ^?H", "W5H	<.l31Er", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j2\\;\ng{0E0", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/post.php", "0", "\'Ds\")3", "\'Ds\")3", "b퇖x|fS\'zz08C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j&V164", "wp-content/plugins/wordfence/images/icons/ajaxWhite32x32.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r9 #{", "ﾱnѿ0c~NrAug~ΔI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\'(X9B1i", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/text.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ua.C-%", "9jڷ	y<`2sݶ,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j:ϔ`%I(f\r N", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PuppetInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bUyͅ\08", "bSx\\hT/[ĭux+)D+n<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jAy^Wxy", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exceptions/IOException.php", "0", "WNx Q8e61w", "WNx Q8e61w", "VpOBϼ)x\'@!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jK{_90Ҷ", "wp-content/plugins/ocean-extra/includes/panel/assets/css/extensions.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"R0sMh,A", "ң).g⛎4́?4rlx*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jQe;e", "wp-includes/css/wp-pointer-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_wQAZ`\'", "~өDCOA.*T4yfr<¤8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j[#=Lo<]ۺ_", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DolibarrInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	m_d&Ժ0w", "0슿ksφz@ⱇ)T+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jmEAXuw>܆", "wp-admin/css/colors/ectoplasm/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@cJ܁", "EO7S5;YX&nۉ,Ԅ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("js6Jӌt)N5\'", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "49^vT", "$RmHr*Iݷ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jtZܿ,", "wp-content/plugins/wordfence/fonts/roboto-KFOkCnqEu92Fr1Mu51xIIzQXKMny.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "raai", "{JLͻ&{{T:B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("juR@]ܜ+3~9i", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/any-child-of-term.php", "0", "Gf	?", "Gf	?", "LDZofuh/iUԡ^쌱]۝A\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j䱋%]", "wp-includes/class-wp-xmlrpc-server.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zSD]", "5l|k_Y~x2][4&U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jp\0Z", "wp-content/plugins/wordfence/modules/login-security/views/email/login-verification.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڸ\rܚ", "-ͤE[G4/`rV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j)nQ8ޮD", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/503.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yw2!_", "xؑpw>oO׀L%#lH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j5F+o", "wp-includes/images/crystal/interactive.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Rm``9", "$멘<x1ՓIRV-VZ\\jg.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jk<۽B", "wp-content/plugins/wp-rocket/views/settings/fields/sliding-checkbox.php", "0", "߈s1C\rOkr", "߈s1C\rOkr", "dG@HTF7!@׼Vm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j@]q*7ؐ", "wp-content/plugins/imagify/inc/classes/class-imagify.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Ӿ;ѩk^", "Z*MSRuzm\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jDE+", "wp-content/plugins/elementor/assets/lib/hover/hover.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X]2L", "~rS/үn|i)z+y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j4-O ՄrL\n", "wp-content/plugins/wordfence/models/block/wfRateLimit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$1D\'wm", "E&&\na~b+\Z)jMpM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j0x 	dA/", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/page-builder/visual-composer.php", "0", "_:\"qTUFONp=", "_:\"qTUFONp=", "nQ&[/:M\\);!(^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jgs66$8*E", "wp-includes/class-wp-dependency.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+$@Kvux", "־$jڭ+v#Bd\'}Y-s(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j՚Pp)m", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/products.php", "0", ".o=Xj!", ".o=Xj!", "ݐbD(aSaؼ	:R 0H4ª:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jgh\r(?7", "wp-content/plugins/wp-rocket/inc/classes/event-management/event-manager-aware-subscriber-interface.php", "0", "-(ǯ X", "-(ǯ X", "|;C5a3B\rG&8\"3uSk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("juU҃$s$\0", "wp-content/plugins/ocean-elementor-widgets/assets/js/circle-progress.js", "0", ",zJ>\\", ",zJ>\\", "Rd&ҒZ\Z򶳨*jNP_yt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j>?)AYADb", "wp-content/plugins/duplicator/assets/img/logo-menu.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qX", "h˷\rsXjBQ-4&UpF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j!$CU$", "wp-content/plugins/duplicator/classes/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kKv8 0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/NewRelicHandlerTest.php", "0", "5	=F)", "5	=F)", "Sߔ\\0-Imp)\nhQU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k$6O-Nx", "wp-includes/js/tinymce/plugins/charmap/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=B쟄P\rL", "x[G-90b.zGaz>r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k׆K\ny/", "wp-content/plugins/imagify/classes/Context/CustomFolders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y^NFWƟ˲=X", "CZ*hNM;E\09Q[{ T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k%\r0̯IN6D\'y", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g+کdݬ@", "wbjYStc IdQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k6*H	u١", "wp-content/plugins/wordfence/lib/dashboard/widget_notifications.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5$g؟_ ", "53=xLܑm?Z97P.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kM̙Ysp", "wp-admin/credits.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZcG(K", "߁:+|V	~*\ra@;}Kl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kQKү|", "wp-content/plugins/elementor/includes/controls/groups/box-shadow.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G_	dBQK*^O", "OuƶDXU˼^ݲ$K::>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kVBE/;o>", "wp-content/plugins/elementor/assets/lib/hover/hover.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	z˫r", "WZ1引Q7M_ܔNKAY2Gag", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\\jYt%lm", "wp-content/plugins/elementor-pro/modules/nav-menu/widgets/nav-menu.php", "0", "<0", "<0", "8\'yrʻ(O`F3?3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k^苝tܰX", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/boring.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$y<c\nW~0p", "NP\Z``^NT5Fc\r+pX\ZI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("km|Kma0\"*k", "wp-admin/js/tags-suggest.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CI1=Ju	H", "Y\ZQ0\r5\rTsb1$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k}:VNG", "wp-content/plugins/wordfence/vendor/composer/ca-bundle/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x>PHe6[GF5", "q!홐%ހP٧Hr.L~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kjmo", "wp-content/plugins/imagify/classes/WriteFile/AbstractIISDirConfFile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e^(ݡ!꣩#", "}nߗ\r\'u]qDMw{$o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\'C鐃27", "wp-content/themes/oceanwp/sass/components/_page-header.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#DA֬&", "\ZVerH$%U&US&\0\0[^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k1/͓ݐ%=", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/MaxMind.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Dqd6+\"U", "Is;֮ikE@)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("khEq", "wp-content/plugins/imagify/classes/Bulk/BulkInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K9bgB^ʎ", "^J/ْJeG/J1yk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kITI$)Ȁ", "wp-content/plugins/elementor-pro/modules/wp-cli/update.php", "0", "S\nJZ2u", "S\nJZ2u", "ځgKyylp$aK\\L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k廖3Orb0", "wp-content/plugins/ocean-extra/includes/panel/assets/img/cloudways.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">({E~s", "\n|>ik\"boޫXl<,l1\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k80y M", "wp-content/plugins/elementor/assets/css/common-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	3#`\n؎\\#", "GswM5pp2	?b(ڷv\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kB˞b=y", "wp-includes/user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_EUfw+", "	p>?\"`?,cx\0`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kU/^ ", "wp-content/plugins/wordfence/lib/rest-api/wfRESTAuthenticationController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d:ǽ	X̩TI", "IS:3+̢$i_if:A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\"x|q5.", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/elastic-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ظZN[M\\7", "T{YX(\r$BߨoM\Z	&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k̻;Lb1W0GJCc", "wp-content/plugins/elementor/assets/css/admin-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*F;׈Q`f", "Ki,rcDe+f9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\'\n+&=n`3", "wp-includes/js/dist/dom-ready.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6&XhSP_I-A", "\rRd=pB)2tElsz[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kf_SeYC", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/rank-math-seo.php", "0", "ǋDMm3", "ǋDMm3", "oZzB/y_5̨][6]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\0M\'\"R[\0q", "wp-content/themes/oceanwp/assets/css/learndash/learndash.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OͩA", "7i$p^JDxabÃW.\Z;R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l*iA", "wp-content/plugins/imagify/views/notice-wrong-api-key.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G\rSa1py@", "ȣ\0oiH²,/:.;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l,s\Z+狖|", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Crunched.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mnrY6?H", "\\*8YG}}_I_8;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l/\nԀWͱ-c", "wp-includes/widgets/class-wp-widget-recent-posts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P|=U_t", "zyԎ\ZA*aC)egVxR˿=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l9=h,>&", "wp-content/plugins/wordfence/lib/wfDiagnostic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":Jm95d", "u۶eTlTrά	WTb}#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lJb:˔7", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/IntrospectionProcessor.php", "0", "v@\n]笁", "v@\n]笁", "Dă&\nLL&]@U,]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lZq#eS%s7Y", "wp-includes/js/dist/notices.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W(\"gg\n	a&j", "򌅒!f,)H*|=fx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lsw=ѓ\"[Ab", "wp-content/plugins/ocean-full-screen/assets/js/third/scrolloverflow.min.js", "0", "dޱ\\mw9", "dޱ\\mw9", "UcVq5R_X&^̩mW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l޼E+&P\0", "wp-content/plugins/ocean-elementor-widgets/modules/business-hours/widgets/business-hours.php", "0", "qG=\r|", "qG=\r|", "ܹh4vw\'1EE[:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lSlaPkF,(F", "wp-content/plugins/elementor/includes/controls/dimensions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z-Uk?\'C", "h8k`Jmi>TjnCWߩDNAwE(_)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l|t`ma", "wp-content/plugins/imagify/inc/3rd-party/regenerate-thumbnails/regenerate-thumbnails.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wo`BS", "5u\n26#+/hiN\'=.(QŢ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lFA4cLwX", "wp-content/plugins/ocean-elementor-widgets/assets/js/toggle.js", "0", "\Z$g֤XK!", "\Z$g֤XK!", "`RhZt&}ˬjdZu@k]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l_k/", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooAccountLinks.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VT.ͮ\"f", "$œ`dSl	/7\rIX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ḷUǘ ߞz", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-notices-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IKXwc\\ɭ|", "UflgYS-_ݰK	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lΐld|\nb;", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/AmqpHandlerTest.php", "0", "B9}e,䤲>", "B9}e,䤲>", "6ڨ뫗c+g4/RG=h|ˍ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lQ98uAR.", "wp-content/plugins/imagify/vendor/composer/autoload_classmap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y:pg0/\r", "9r#yx1w=!{߾.\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lG&3](]/", "wp-content/plugins/elementor/core/logger/loggers/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʙi{|}", "3DNP[(~L7#6\ZrMN),q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l%.էnuI5", "wp-content/plugins/imagify/views/notice-grid-view.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sfmLх\\خt", "mmp)\n&;Q5<CpE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l^\nhAĈ\Z", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MajimaInstaller.php", "0", "XU+4]\nj2` ", "XU+4]\nj2` ", "s)Wg>\0vw@Ceц", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m-ND	", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/JoomlaInstaller.php", "0", "\0fHpg!NO\'", "\0fHpg!NO\'", "ߓ2ns?AN\ng;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mDTmsA}", "wp-includes/certificates/ca-bundle.crt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{޽A6Xi,", "L#VO \\HȨ\0)K8)I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m0ͽαj", "wp-content/plugins/ocean-extra/includes/metabox/controls/buttonset/class-control-buttonset.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".h̾5Kinp", "RC]GPټcimwp&%ew", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m1i\'b", "wp-content/themes/oceanwp/assets/js/core/megaMenu.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d؏qKˑ", "r_HG6e5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m-davIG\'Y/W1", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SyslogHandler.php", "0", "bV6E3X!َ*z", "bV6E3X!َ*z", "O\"!/9P=SW7um@BW\rs7ч", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m%7I懏և", "wp-content/plugins/ocean-extra/sass/components/_widget-custom-links.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ѭ\n\'=	i\\|", "8\'o2l?n6Fǆc3\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m51\Zp:8\0=", "wp-content/plugins/elementor/core/role-manager/role-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9dC\'Ӕb\Z=n", "(Ͽǩ봏&n=0[k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mAp	1GU/", "wp-content/plugins/wordfence/modules/login-security/views/options/option-ip-source.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q)\Z6ˏr1\n1ڑ", "$I.\Zڴ}\'iD50V-B(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mAYRb|S", "wp-includes/ms-default-constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KLMww;Ni/0*", "P\'?oxG0A]K)7>F7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mE\\)o", "wp-includes/js/jquery/ui/spinner.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":2a+R!e", "I)`߹*NVjd̲cZ朸S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mHC#-\'$.", "wp-content/plugins/elementor/assets/js/common-modules.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	S2z\nj	:", "2\Z#2}LIB\\;ɼܰ|0	cl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mSCmS:i", "wp-content/plugins/wpforms/assets/js/moment.min.js", "0", "~`wZƼ)h", "~`wZƼ)h", "%}-)~MwT=gH!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mYPã#SdK8`", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/collapse.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[ܡC0ʍ", "FTf(FlK<*hK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mY}ɽ?", "wp-includes/js/jquery/jquery.ui.touch-punch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LmQ4փ]", "k>jT@z՜.OBj0\'t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mizeKxӐMl", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/date.php", "0", " τ]1߆ڔ", " τ]1߆ڔ", "yjMf[KQҘjZ=\\8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mp+YxhO\'", "wp-content/plugins/ocean-elementor-widgets/assets/js/event.move.min.js", "0", "9Wp_pd\'", "9Wp_pd\'", "y/vQ1P&ۖ4u/GhP=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mE& 2", "wp-content/plugins/duplicator/assets/img/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mZRc<}5", "wp-content/themes/oceanwp/inc/woocommerce/woocommerce-helpers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R|@Ep", "=S]\0Hx]ĭѳ!/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m-\Zm1w", "wp-includes/js/jquery/ui/sortable.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(~kk", "i/U՜jK\ns>zTasUu^v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mzL6$1", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Property/Processor.php", "0", "rLZT<\0E", "rLZT<\0E", "ryaaAc$0d$#Ȳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mN5n\\9N", "wp-content/themes/oceanwp/assets/js/core/customSelect.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$5?%+	", "D¹%+ NE.zd]PkR}w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m^\'Zxd~I", "wp-content/plugins/elementor/modules/library/documents/not-supported.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/\0N;H%`R}\\O", "(vu 0OGb$r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m=r~", "wp-content/plugins/duplicator/views/settings/schedule.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&SGy4<", "\"=g@ۑX 	j_tSrf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mћx}omv\"", "wp-content/plugins/elementor/assets/lib/nouislider/nouislider.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݽD*<R[", "xy:LyHG\ZzқҦ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nQʒ\'k\"%", "wp-includes/js/mediaelement/mediaelementplayer-legacy.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0!d\nV", "2i3g%RN$Gñ#vĀ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n]j7<3ISsQ", "wp-admin/images/post-formats32-vs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t.E5GN\Zv", "(Z,ImY,·ԗtGa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n[	X}0", "wp-content/plugins/wordfence/views/scanner/issue-spamvertizeCheck.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%ؘ5aO_", "3½}߈6-x%uv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n\\pzѷ2d", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.s3.func.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1ׯDNàt(s\\", "<:(YPUQ=V\Zn[k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n6IT.}Y	­", "wp-content/plugins/wpforms/pro/includes/admin/ajax-actions.php", "0", "sr6;nK", "sr6;nK", "eaJQq(#i	`$\Z+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n#t=\'b]{", "wp-includes/js/tinymce/themes/modern/theme.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o졘)ɎIo", "\\849m)	T\rˣRII", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n&ty̓7", "wp-content/plugins/ocean-elementor-widgets/assets/js/morphext.min.js", "0", "YrKW]#iWk", "YrKW]#iWk", ".$AOuּꊲLΡ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n)rQ>FfL", "wp-content/plugins/imagify/inc/classes/class-imagify-options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~rPӶq", "l޳iT bU7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n4tfcu\Zw\"ެ4", "wp-content/plugins/ocean-elementor-widgets/includes/class-integration.php", "0", "2P5\"wf:{f U", "2P5\"wf:{f U", "\'rޏoA.m\0*4nS=\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n:|s\\pUx>F]", "wp-content/plugins/wp-rocket/assets/js/lazyload/11.0.6/lazyload.min.js.map", "0", "wW~:|2=f", "wW~:|2=f", "$~;y\"C)<hO܉]	w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n@u،^XX", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-title.php", "0", "js\nC/", "js\nC/", "E,(ڃ pz/3rU ,äʎX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nAj+uVG7d", "wp-content/plugins/wordfence/views/waf/status-tooltip-learning-mode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ُ8l%", "!]`_.\\? .\ZbɐGQe)m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nHS{)Kͯ5", "wp-content/plugins/wp-rocket/views/settings/buttons/button.php", "0", "RͶEW~1", "RͶEW~1", "57R9%mKv74|\nZ(/LUӕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nL~J", "wp-content/plugins/duplicator/lib/snaplib/wordpress.core.files.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s;[%\r z\'", ",60Exz@<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nW5{g", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aR{%&UT", "u騑wĬyEs8N\"_{4pd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nYq#(H1>ty", "wp-content/plugins/elementor-pro/modules/forms/actions/mailpoet.php", "0", "eo	j7cS3", "eo	j7cS3", "woAeuؘDe^&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nZ/1T:{&^/n", "wp-admin/js/media-gallery.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\a?\'<H?I", "#E9DU|c۳kHz_;+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n[dma[!`՟}", "wp-content/plugins/elementor-pro/assets/js/frontend.min.js", "0", "1", "1", "*MBc3w(.KNZrD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nefA@R?", "wp-includes/js/jquery/ui/position.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JX~C:/b", "[B<s*;չC]+Ss", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nrAh?{", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/AbstractServiceProvider.php", "0", "`tDԬ5*Vg", "`tDԬ5*Vg", "DeXb.Jd\r$R~N&rf]Ps?l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("no~pT뎵", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/envira-gallery.php", "0", "X%N:LJ", "X%N:LJ", "\n\\+>GC}P)Z^QW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nIpb+\0w9Q", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZH#̹r\0[", "Hs[lq 5\r(@/<8mu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n@AF", "wp-admin/network/sites.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Cj6[8f\\8", "nlM	K+O]@5pp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nrE|Z<}TZ", "wp-content/plugins/wpforms/includes/integrations.php", "0", "-WG,= ", "-WG,= ", "|X-?\Zz3-\rx5%4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n &k9=\"", "wp-content/plugins/ocean-extra/includes/wizard/assets/js/wizard.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J!xlVx9", "3\"!7L9@q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nk@X", "wp-content/plugins/ocean-woo-popup/includes/customizer.min.js", "0", "E\n\Z,k", "E\n\Z,k", "$\0PujўW+GAQ(W!@ԜĠ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nN\ZK", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Firewall/AccessRules/Rules.php", "0", "9X\Zӱl`", "9X\Zӱl`", "ߢ+/lxAh0POǟn<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nŢ)cq^\"", "wp-includes/Requests/Exception/HTTP/503.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9RaßC`\0UT", "}=3xA9lp\0ư9e.O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nкvnj=ͮ", "wp-admin/includes/class-bulk-plugin-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0ml", "@\\A1I2/zC>5\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n8Qf=F\rN", "wp-content/themes/oceanwp/languages/fa_IR.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LAg@0QS;E", "n>$X!bz9F[vPmŮ|e.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nym=RŲ1\\AO", "wp-content/plugins/wpforms/assets/images/about/icon-none.svg", "0", "Hdv+ pR\'", "Hdv+ pR\'", "\n:1PSG\'669A<!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n09jv8\"", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CVS+:c|O쬋	", "t=1i\Zn\0N!*iF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n׳[xʂv<", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/cookie-notice.php", "0", "N(/c", "N(/c", "j]afH%HGn\"k.J:ho", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ncraE)AT", "wp-content/plugins/duplicator/classes/package/class.pack.archive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƾ/c\rhn", "ky|dzԃ(S6]{wx]&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nBti<	", "wp-content/plugins/elementor/assets/lib/slick/slick.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "զtDqYeyݡ!", "#@ᣧ3VS,[vBԃƵ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nۗvXH)", "wp-includes/sodium_compat/src/Core32/Curve25519/README.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Yϛvj\n", "Sx^V>m!-qDeV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o\nrVpx+SO2	", "wp-content/plugins/ocean-extra/includes/widgets/custom-header-logo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eq;cRo", "4J#ksVFf6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o&I}", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Pagerules.php", "0", "D¹00Ow", "D¹00Ow", "n9+L1k,\\zQS|`~l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o\'RD-\0o", "wp-content/plugins/wordfence/images/support.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Cl$rn<.", "$MԮ&(ᩘs^	Ϣ*N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o/\\4LF$ߤeN", "wp-content/plugins/wpforms/pro/assets/js/wpforms-conditional-logic-fields.js", "0", "Ne1nizR/eGZg", "Ne1nizR/eGZg", "Ė,kk\r&ֲBNӃ;g:G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o1iL5z$7", "wp-content/plugins/wordfence/modules/login-security/classes/model/compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u1\\8;#j-", "P|l_Z3z<NɧK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oC\"Qty", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/HChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+%", "4!H:6>lEEc#a{A{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oPco.r", "wp-includes/js/tinymce/skins/lightgray/img/object.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rdPE}u\n/MA ", "#;!I.>uʍSVm{|e-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oS]~(7;\r", "wp-includes/js/dist/shortcode.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LN9$}\0\nP?", "c)A`п0	]T\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oZ0<c0", "wp-includes/SimplePie/IRI.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n 憒;a{_6", "`VCS5Iٮ\Z;&>x$-&z+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o]\\TlhQ/d(", "wp-content/themes/oceanwp/partials/single/next-prev.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-VhDT|", "Ҵ}_t}F,ä՜펡;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ob脘J%2c(nAV", "wp-content/plugins/wpforms/includes/class-widget.php", "0", "ElqJ", "ElqJ", "EqJƾuRo\Z[&Sk_Â", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oxOoTcgT", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/BitrixInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h!fŪe%Q", "XTQms`DPç,|쫺d8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o}C܊8EG", "wp-content/plugins/wordfence/views/scanner/site-cleaning-high-sense.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sTDzҧm", "5؄:\"sx4Ҹ\09`\Zi?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oX)/;", "wp-content/plugins/ocean-extra/assets/js/woo/wooVariableImage.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[0HӲ", "G#a UC-40̥E־8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oZhbE蘋", "wp-content/plugins/imagify/inc/classes/class-imagify-files-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k@꯶{&߮", ",@5ϣ)/*,a?	TWE+u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oZuon", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-comments.php", "0", "{HH\"$47m", "{HH\"$47m", "!6R&#3K+9\'gqd6\ZC*ј0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ow*\nΛ΢GҜ]", "wp-content/plugins/wordfence/modules/login-security/img/header.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p]j-", "8#̄(8O\"	+h\"Fb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oT59u0u)B", "wp-content/plugins/ocean-extra/includes/panel/assets/css/licenses.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5x4\\TW\Z", "*ͨk~À(CĿ6\'j\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o!\nZXx", "wp-content/plugins/imagify/assets/images/sun.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*Pw},\\6[ӱ", "PfR^WO<ZXFHV-Eu8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o㮚-;?X:pҡ", "wp-trackback.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Kp`x\"l۫Α", ";G6)8/:/cB}]#e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oYڅX", "wp-content/plugins/wordfence/images/flags.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W7 (˿!\Z7", "Bx0%Ly6!X\\z/<n6=\ZW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o[n3uʹP5", "wp-admin/options-general.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q-\\fMX̏", "#0|{\Z,kR?E<t\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o^52+eG", "wp-content/plugins/wp-rocket/inc/admin/ui/notices.php", "0", "s^", "s^", "U&mXY)3ni}R\Z\r(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p7uL_{2Û", "wp-includes/js/jquery/ui/draggable.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D<\'wI\0՜6", "PRA`5;[Cb))* kMLez ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p{\r %>/Z:", "wp-content/plugins/wordfence/views/scanner/issue-base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǢϚtpAy", "8PciCQVJ+6?pT6\Zzd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p:,`OlL(A", "wp-content/plugins/wordfence/views/waf/waf-uninstall-success.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*sf2", "|\rߣ2잿9/%[7m{Eu-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p=Ctp\"]\rex", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-analytics.php", "0", "owƜSXr", "owƜSXr", "EHjh}8BUd&.R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pNZ^Fi", "wp-content/plugins/wp-rocket/vendor/league/container/src/Exception/NotFoundException.php", "0", "҅Nb:l7Qv", "҅Nb:l7Qv", "5o$c{Rw\\ᕸퟗh(:&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pUya	bva;8", "wp-includes/js/comment-reply.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4fvIU#", "aG䳀≟;AX8L~J\ZRt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pm-sG!Qi", "wp-content/plugins/wp-rocket/assets/js/editor/editor.js", "0", "\0>6ް	ɚ", "\0>6ް	ɚ", "B=<-F9<`ɏ9x0k\"8`NmzKaZh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pqbM\ZtbkJD", "wp-content/plugins/ocean-elementor-widgets/assets/js/twentytwenty.min.js", "0", "=tlcd(-", "=tlcd(-", "MVm?-3\n9J}[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pt*_ԥVKm", "wp-content/themes/oceanwp/assets/css/woo/woo-mini-cart.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FSP0QqܜF", "\\Mşp|wu^~zb><p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pvVKoseL<", "wp-content/plugins/wp-rocket/views/settings/page-sections/license.php", "0", ",ʠwrѠɔ)", ",ʠwrѠɔ)", "KqpoSX#`nm3C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pwQFcߠb*", "wp-content/plugins/wordfence/fonts/roboto-KFOmCnqEu92Fr1Mu4mxMKTU1Kg.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@$qG2k5$z", "ֆF*`\'O triR:j0W\Z=j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pbia", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-checkboxes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[:-WĚ\Z_|", ";χ`;kbt[}N+iagOi5z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p.а[ÍD", "wp-includes/deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݹ7m\nܓkp", "_--	{mP`*CⷛXm=x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p9axg", "wp-content/plugins/wp-rocket/inc/functions/options.php", "0", "p;%P/O<", "p;%P/O<", "9\0ZV@R(-#.S\rQZz<:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p\\*e\n\rψ", "wp-content/plugins/wordfence/modules/login-security/classes/controller/notices.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_̨VX#v", "t3\"àQ/!bD(O&6t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p̓02@PFtk", "wp-content/plugins/wordfence/views/common/unsubscribe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}}sJK", "a\0k5	-\0oDx۠8u%\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pնvI^ؒ&&;:", "wp-content/plugins/elementor/assets/js/editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "27?ZyPg{\'", ".<יf@8.ahR=rɩ9}<;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p޽`\")\nwv", "wp-content/themes/oceanwp/assets/js/core/isotope.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(jd2Qֵ", "̴Ms\\F=35 q\'k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p/", "wp-content/plugins/imagify/classes/Optimization/Process/CustomFolders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aUK\rʇ1?p", "ZIKI|]^}|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qqC$@", "wp-content/plugins/wordfence/views/common/page-title.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aA\'4=Gg", "R{hC;_	G+RzrTz`4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q\"co>2Rh]", "wp-admin/includes/plugin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m Zf`\'O5", "apN\ni>ћMaĲON\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qLILc", "wp-includes/class-wp-recovery-mode-link-service.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y6y&cU", "aУ+(|sѠ3n=~igR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qM*򾫨_w9*", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CiviCrmInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eSu-՘}", "ix_Kn&F:ra0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qY@>X靼", "wp-content/themes/oceanwp/partials/single/related-posts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-@(@FƯ", "?iӻ䶏|K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qh665y|=?S	", "wp-includes/js/jquery/jquery.serialize-object.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\)Jl<\"", "D{zp\r]<@7>0(h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qjpQ*sK}", "wp-content/plugins/elementor-pro/assets/lib/smartmenus/jquery.smartmenus.js", "0", "X~] uI", "X~] uI", "%ؘSgaDJvXakWZg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qz-]#cT", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*VT98Nɤ", "xh}.\nKJI!fEW)X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q{p9ZB", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/class.duparchive.u.json.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "koe<L", "&	_lt:.g	A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qfEH7d", "wp-includes/css/dist/editor/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L7θTpI<:8", "Mاz+	Y9빢ާq7\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qsƞù", "wp-includes/rest-api/endpoints/class-wp-rest-post-types-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q_H5;:n", "HWd,WM!UOwz%8#bs[a8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qR+q\Z2", "wp-includes/js/dist/edit-post.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Js@~*\n̉jM", "uE5^eHSUhR[Kyp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q,Wڪ$wĤ@", "wp-content/plugins/elementor/modules/library/documents/page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#bPY", "+]cFilKqO44", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qU`z0:\rԔ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FirePHPHandlerTest.php", "0", "\n\rdQw", "\n\rdQw", ";ߞ6cG!SɀhI篂", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q05", "wp-includes/sodium_compat/src/Core32/SipHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5O&?E	%", "^%%hT,k2Ȯn=n%:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q5@*=&\\X", "wp-content/plugins/wordfence/lib/wfHelperBin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";!ȍ4QX#", "չ%-^qUqMeY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qlߓc~s|", "wp-content/plugins/wp-rocket/inc/classes/busting/class-facebook-sdk.php", "0", "1KB", "1KB", "p7!{ɫ-uE\06rɩ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qU	\nFx", "wp-content/plugins/elementor-pro/modules/theme-builder/module.php", "0", "$H,Y", "$H,Y", "WZULKyA$:\r1̓", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q\n\'׮}ۋ", "wp-content/plugins/wordfence/js/wfdashboard.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԽP`{i", "=Pzr!?w\Z/d!LӪ1!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q;.,x2VHe", "wp-content/plugins/elementor/includes/controls/textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˻hlmA", "̨H\nۿaBb(*C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q?CXC\"N", "wp-content/plugins/elementor-pro/modules/forms/fields/tel.php", "0", "<H+Uܬv", "<H+Uܬv", "0ELGT;`C3\">f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qҡ-zJ{2", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#2. oÚ", "BG==Gnd1LkMizUiX/$`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r4fTG\0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/LineFormatter.php", "0", "$-s7~2v", "$-s7~2v", "gZCGevNf!_*C9f)1=7~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r	ڨ[KU&Z]T", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/products-base.php", "0", "%\ZB^)U;4", "%\ZB^)U;4", ")Dqnp0jjzdgqr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rhvLk/", "wp-admin/network/upgrade.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")Ď7M_8C", "P,f5cgt;I1#n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rxZ3!\\@T#J0", "wp-content/plugins/wp-rocket/views/settings/sections/addons-container.php", "0", "^9bS3\'ɼ*Eq_", "^9bS3\'ɼ*Eq_", "dG-}4(^\n\"=>ً", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r+zk; 4WI", "wp-includes/js/tinymce/themes/modern/theme.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QJ-\'?", "-Uw	lr]i-H\\;8$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r?] B/", "wp-content/themes/oceanwp/assets/css/edd/edd.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CnUR", "P]U5mzkPƒ<okUR8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rI\0ygE!2\0C", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/503-lockout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o?MH|~E\"\'", "o}[W%J+=5$)\'2ΨK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r_[\"hMPi", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/WAF/Packages/Groups.php", "0", "~<Kg [", "~<Kg [", "UKnOcXv(ŮXPO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rdd\"&.1bQM", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LithiumInstaller.php", "0", "!{hȡR2˪퀨6", "!{hȡR2˪퀨6", "(1qKCD?~Ԩ~OT $&~#>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rtCU5#", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/SSL/Analyze.php", "0", "EQA-d", "EQA-d", "8#kԉ_67Pl(#w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rtIg[;?", "wp-includes/sodium_compat/namespaced/Core/Salsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rVNck0}/Ճ", "nKkZ	 N$  EКe$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r~@afx.Q", "wp-content/plugins/elementor/assets/js/frontend.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6nܲ\r", "8vpeB3[39\\3%!y&Y~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r(n՞jb\"", "wp-admin/js/media.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iGQwpc", "(Hվ]c]`1wxX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r^b0", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-products.php", "0", "ܢ@m,[=", "ܢ@m,[=", "΢{Mq6#9TF5BJ9[Y`8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r.\")_p*x", "wp-content/plugins/elementor-pro/core/connect/manager.php", "0", "HЍ7KNaW", "HЍ7KNaW", "3`|H}7:8;h4\"z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r2ÁXzeb/", "wp-content/themes/twentyseventeen/template-parts/footer/site-info.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " <I^;ԍ", "8>i)\\\nWx3vd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r;y#\"Yޣm", "wp-content/plugins/ocean-extra/sass/components/_widget-recent-posts.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X	\0V?Ǡ", "#Y(3Y\"9UKT43&l9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rof:gX\'", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/sitemap.php", "0", "q$\relHM7eBN", "q$\relHM7eBN", "1\0sϲVG($l0nU\rތ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r_/HG=%<", "wp-includes/images/arrow-pointer-blue-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%mrތ]49c", "{&DOzAf/gáA]~(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rr(Jg(yt", "wp-includes/js/mce-view.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lxf|	", ",DP!0La9؜ط", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r)el", "wp-includes/css/dist/list-reusable-blocks/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f^}#SѰ-1", "άJrgO%Qzq&R\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r\nb#", "wp-admin/css/media-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n	0԰A", "zQ9+\"8[Ao\Z>a(4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r7/y*aڛP] 0", "wp-content/plugins/wordfence/views/blocking/blocking-create.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4JPЩsB", "r~5\n̊4GșA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sPX6V&d", "wp-content/plugins/wpforms/assets/js/components/admin/builder/providers.min.js", "0", "JKSMz;SE", "JKSMz;SE", "ǭ\\v۹9U8UI;/q|(щa$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sy- AXQg", "wp-content/themes/twentysixteen/genericons/Genericons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";(H-Jhtx", ";m}e(~y0m=},", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s?ojz", "wp-content/plugins/elementor/core/files/css/post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VxIG8", "+Y.}>NGDi8\0/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sAsYD]", "wp-content/plugins/wordfence/views/scanner/options-group-advanced.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RYtO`6qz", "cV*}zc*(6`=9no${", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sN\'(e", "wp-content/plugins/imagify/views/part-discount-banner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tdS	*8x}-\r", ";\n3\"гv\'U5Kx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sT\Zե!~Y", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/CubeHandler.php", "0", "8@6}%?tNy\Z", "8@6}%?tNy\Z", "(oi.][n.bkJ\rZa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s]ٲ,ox0", "wp-content/plugins/wp-rocket/views/settings/page-sections/dashboard.php", "0", "7\n}s(M", "7\n}s(M", "Cb٢qgSG?W{\07ٛԻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("si*B/;`|*By\"", "wp-content/plugins/ocean-elementor-widgets/assets/js/hotspots.js", "0", "!èZfֱ{", "!èZfֱ{", " J\'\\T˔\'\'\nn	)HFe", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s\rpǙwC_sc", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s1.terms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/m o-)", "@18I޹+:\ZRܻt<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s]՞MLB", "wp-content/themes/oceanwp/partials/header/style/center-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^_}]\'ؖU\"", "\r!%)w;m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sS1w\ZN6a", "wp-content/plugins/duplicator/assets/css/images/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s=\nߪ<aMa$", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-terms.php", "0", "h^q5", "h^q5", "_x,=*n8ϑT=(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sn/㚕etq", "wp-content/plugins/loginizer/loginizer-200.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$o0~W+LT1", "[_#@eh0Re2<\n|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sckh\rM[:e", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_highlight-soft_75_cccccc_1x100.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-ɸJ", "2aJۗ09T尬J8k^):", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s߅y\Z/00OY", "wp-content/plugins/ocean-extra/assets/js/matchHeight.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xqmS", "\ZiSwA^[^\Zo)B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sEΞqpB", "wp-admin/css/widgets-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R1gwݗW0", "qFa(E	mhCEF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s(:ӣ$\r", "wp-content/themes/twentynineteen/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sի)j", "&:̰<x$p&xC*:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s]Pf\n", "wp-content/themes/twentynineteen/sass/variables-site/_columns.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":+<>3K", "w0̃|^;YmnLi24", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sn=>͖V", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/4A04", "+i5ጯZMf}Mbg\"ꐪ	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sQ#LN\"cN*", "wp-content/plugins/wp-rocket/views/settings/page-sections/tools.php", "0", ".b֝z2oa", ".b֝z2oa", "%J+xk\Z?7=stW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sŏU\'e@d", "wp-includes/js/tinymce/plugins/fullscreen/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ғ:K[Iw\\g", "`e	nOJM%NhA{ghf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s4RX>O", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_777777_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h^n=(&݂N&", "SDIBz_-?(YpEyƹA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sr*Ax^I1Beuh", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4-{", "o;(΂i0O25Y\\)cA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sVfkF+", "wp-content/plugins/elementor/includes/widgets/wordpress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "etq\n֔haD", "ވ[YQsӃ:ÉQ</I)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s˱Y*uO", "wp-content/plugins/wordfence/vendor/composer/autoload_psr4.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*qBItӟA<\"", "6qQ`d!cf.Bxq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s}n4㙪@5", "wp-content/plugins/imagify/inc/functions/admin-ui.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " |cƷk ", "-=vpr뉮2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sC4M**B)", "wp-includes/css/wp-pointer.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y#36f", "eA#3~cT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t/Ji6WX", "wp-includes/class-wp-recovery-mode-cookie-service.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(\Z\nHO", " l2t}FtРdO#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t6O\raȆf", "wp-admin/js/plugin-install.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A{*?1F", "OZsTc(63ȓs$S^ű\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t8p̋z{jDp", "wp-includes/css/buttons-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N&c\'", "gp,\0]2}:WtЩu^l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tU/DsIڤst", "wp-includes/js/wp-auth-check.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z}jo)", "	4_]˱j6M.1q7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t[[=6u7;YT", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{pf5>}6\\", "7ԁcϐny@/3\'_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t_1K", "wp-content/plugins/duplicator/ctrls/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tm6ۗq.=j", "wp-admin/css/colors/blue/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m\n\n_3", "G²1\'MUBKW{-qtaA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t}.}\"#|b", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/SSL/CertificatePacks.php", "0", "No`&4T", "No`&4T", "\\u@]9=DbW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t.Õ81", "wp-includes/random_compat/random_bytes_com_dotnet.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nM@<A6@!Y", ".#$.N.\\\"Cuj%HEJֈ^a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t̩golA", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/dashicons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ffUXӖ]", "%h%,[,WFP7hAd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tڭR\"LAа", "wp-content/plugins/elementor/assets/images/blur.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϸV\Zغ^l[", "Ufua3ctϧK{a<\Z9o4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tm}?j5ƶk", "wp-content/plugins/elementor/assets/js/beta-tester.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l}", "-My6U,^z\'EXn?:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t3T?G", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/NewRelicHandler.php", "0", "w-d/>J\n(+*", "w-d/>J\n(+*", "PM@gs#a5W5ʤHı", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tsib[ϡ7m/", "wp-content/plugins/ocean-extra/assets/css/admin.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nrꤔQ\Z ,a", "p`o;*~M-8M/n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tqvAO2", "wp-content/themes/oceanwp/partials/mobile/mobile-dropdown.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".`iL", "D/0%IҖgL6UxSZpOJ\\1pQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tx*nݘ&ؒ", "wp-content/plugins/duplicator/assets/css/images/ui-icons_454545_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J։އ>>n", "0\nwcYg/,Ɵ!}f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u64E~:", "wp-content/plugins/wordfence/images/icons/working-indicator.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VF{N	\'G", "fXRZ|:Ob=f[y5 ~	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uOs\"6+\\", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-image.php", "0", "	GB	η{i\Z7", "	GB	η{i\Z7", "s{74d?O,S?\rIE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u.sY/#iXJ?", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OctoberInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=\n8u", "!|\'n{ML;vO1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u6Ԫ0:hwdÃڏ", "wp-content/plugins/elementor/assets/css/admin-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/(_3sj-", "Z#hF)k[P<ޭ# A#F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uER[HFnSh", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڇ+R", "rnfD/@#}\Z=xQ	ڼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ucz,BZ\\n^W", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/sumome.php", "0", "$Zs3Ŕ,_", "$Zs3Ŕ,_", "]ͥկHnr*HX%6+i$8-^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ue,\"\n	hg.", "wp-admin/css/colors/_mixins.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iƢTȶ(", "U9ælW?9Tc䫁:h(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ufm kaP&", "wp-content/plugins/wp-rocket/assets/img/logo-google-analytics.svg", "0", "L˦ӗ:!`$", "L˦ӗ:!`$", "¥ЦDY4v^b\"Ff;\\Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uj	7\r?~+", "wp-content/themes/oceanwp/sass/base/_normalize.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bpq0", "]9ؖ$B8s(t9e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uvu\n+e.", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/JoomlaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0fHpg!NO\'", "ߓ2ns?AN\ng;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uw)ŵ3E_", "wp-content/plugins/wpforms/includes/admin/builder/class-builder.php", "0", "^`+ae3=\"n", "^`+ae3=\"n", "tk[T#[ЊLhU:-F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("up~AVV", "wp-content/plugins/wpforms/pro/assets/js/admin/dashboard-widget.js", "0", "ݵUuA},%", "ݵUuA},%", "J`qu,`W.ܔVmI\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u[D", "wp-content/plugins/wordfence/views/waf/waf-modal-wrapper.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nγUǩ7PF", "f4֒p.Օ*^Nl8A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ugj{!r", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/stand-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P8	rnP݄", "\00==ty9/PTdH+f1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uAQ9O%- ֮t", "wp-content/themes/oceanwp/partials/header/nav.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RG$fjtm", "PM襆ot1誳]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u3!pAf)RM", "wp-includes/js/tinymce/plugins/wpgallery/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H4PDDM\\I", "#lLx)$3xRѺ*\\9-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u%/ej\r\nVj1", "wp-content/plugins/ocean-extra/assets/js/isotope.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(jd2Qֵ", "̴Ms\\F=35 q\'k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("um-O\'ߝ]#", "wp-includes/sodium_compat/src/SodiumException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HDfaezR", "㶜\\L>LN-@G\'tmGikR߮g\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u>opv", "wp-content/plugins/wpforms/includes/fields/class-number.php", "0", "\r\\ׄ#mVHYkB", "\r\\ׄ#mVHYkB", "TŨ\'wͫYB4ɏQU6ìm(p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ut2}I徑{", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CodeIgniterInstaller.php", "0", "H=u]R9", "H=u]R9", "Km}DS7ښL<ya", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uqg\Z\08hԭ\0", "wp-admin/custom-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|d6+rb", "7@s6cPow \Z`N{/c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u:z2DQ4", "wp-includes/blocks/tag-cloud.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CW6\Zco0", "jw?\ny w%Xa%ң,9m\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vڴVKP", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PNڡ\'f", "\r]~[_˳PBTA`*,O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v)F~q?b", "wp-admin/includes/class-plugin-upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "눁՜\\[F", "-pEACDF*컉", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v=9+tZa*\n,", "wp-content/plugins/ocean-elementor-widgets/assets/js/member.min.js", "0", "w\0MuDpY", "w\0MuDpY", "\ZQx57~ə\nrǵZg(=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v3\n]Of", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Token.php", "0", "%~w/G`", "%~w/G`", "8X{KYWit-rA\n˥>f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v?lMx1$Mq1", "wp-content/plugins/elementor-pro/modules/carousel/widgets/testimonial-carousel.php", "0", "Ԇ-1VM", "Ԇ-1VM", "G+e\Z!N	ʡk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vArZfW", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PhpBBInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "},S=T8", "ъcY25%=dt}~^?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vK;@saU1;	^", "wp-config.php", "0", "v\0fq", "v\0fq", "hMu^%^l2IzFZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vLM.f%OMR", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4V+=?k\r", "_x:nOsO:d\'\0N=k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v]cI}æ{", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/theme-document.php", "0", "s-^LLM#", "s-^LLM#", "O}଼^XLbK\\w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ve׶\\l.х{", "wp-includes/js/dist/vendor/wp-polyfill-formdata.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "883x\r", "Xrq-N)nhlL$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vifuP0^>d", "wp-includes/sodium_compat/namespaced/Core/ChaCha20/Ctx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SG˺F", "[(R$2otb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vj@P", "wp-content/plugins/imagify/inc/functions/common.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WoϤtz$", "0|UV7zBwK\Zfhea", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vt_[ W{\nj,	", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/ClassNodeTest.php", "0", "vAdkE\0", "vAdkE\0", "qG%HR?ق, 0mY>,\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vw@HzF", "wp-admin/ms-admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@ͯEb6", "BHT`C\r#89JN4D\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v{CGR{,{\\Diuj.", "wp-content/themes/oceanwp/assets/js/core/superfish.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R\"2oƝ)?", "£E^칬?|:#!aQp	M7|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v|Yu\rL\'", "wp-content/plugins/duplicator/assets/img/onedrive-48px.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eA5`w", "+&}8?79lKSYɨHF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v]z3tB", "wp-admin/includes/class-wp-importer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lڈa	", ")Ǩ4\0TNmGX_Ȓ)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vz{-=KD", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.boot.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^r:޵d5\'", ">5KXeQ\"fYґQw󆔚", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v/eRғR", "wp-content/plugins/imagify/classes/DB/DBInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Tߞџ/jA#s=", "Ιqv[J)ɕ[}KXEpSm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vޣR", "wp-includes/js/jquery/jquery-migrate.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5	\"\02", "Oͭz%(s!?,e\n\'\Zɀ+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vâ,\\+Q֧", "wp-admin/css/l10n-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OSGfK罚8]", "dxk3rްVNĪet-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vh~9XSx-", "wp-content/plugins/elementor-pro/modules/global-widget/widgets/global-widget.php", "0", ">(ٖ\'oNS", ">(ٖ\'oNS", "Hj,e8-jime~p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vɹnlsTx", "wp-content/plugins/duplicator/classes/class.constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n>U8Tg", "o(!@:4yEg_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vb!D㝻s", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/taxonomy.php", "0", "U(şv", "U(şv", "R@yIGj÷ics>UThݱ@N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vG.gA#r", "wp-admin/images/align-right-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hl>r]lWx", "V:h#ȆBT5i\0?cBc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v4|><", "wp-admin/js/xfn.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hs$ZoIj", "`_(cf\\93>9M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v{#lb\0}B", "wp-admin/css/colors/light/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$x$", "nl\Z;JF|^L|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vҸ);D~J\"q", "wp-includes/js/jquery/jquery.form.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Њn=if5]", "5\\\'=\'*m%,kC!<2m=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wul|pQ", "wp-includes/js/autosave.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6k}}	f%", ": jj{Ihy1>+7@qC2c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w<sV\0", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/typography.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?ſc2tJ", ")\"E>,+PNc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wDI-EIl", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-multiple.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T%a;B3>|CX", "B;,y_:$E5B0\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wRL\'N-8&p\Z", "wp-content/themes/oceanwp/assets/js/core/fitvids.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H Oy]TUh[l", "9|A͉-r\0T\'1@`{j.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wT8΋ zY", "wp-content/plugins/elementor/assets/shapes/split.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N?춈B,", "eCaf6AXM2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wejZqI", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/City.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(,Eڎ;", "5+SsY>%r975[I=`<2M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w	|IX>s", "wp-content/plugins/wp-rocket/assets/js/wpr-admin-common.js", "0", "zT86p\09MT_%", "zT86p\09MT_%", ":C΢&j]+v~7(Xyݮ!);", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wCOx#)n", "wp-content/plugins/duplicator/views/tools/controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PHhj", "޽S:s~.\ZD$n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wU\'RbE~l\\", "wp-content/plugins/duplicator/installer/dup-installer/views/view.exception.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R	0U(uS]", "a w(J磛\rnH.Ƚ\r<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wL0]r.", "wp-includes/images/crystal/code.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`119", ";67\r!x\Z_@H&C-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w,	1u/v", "wp-content/plugins/elementor/includes/controls/gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ez\0", "e`6>{Qz\rZˡ6`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wNp,1!\'MUՉ:Q", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/fonts/typekit-fonts.php", "0", "/X9[ι2&<ɒ", "/X9[ι2&<ɒ", "XĐ\"5ӴY4FMۥ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w@IeRf7", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto/symmetric.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hR", "=mH/\neC3u58", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w`M>{", "wp-admin/includes/noop.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x܇]P9|U:А", "_^]-\ZrIj\Zl|\ZE\rE6 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wË9/,+1", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_libsodium_legacy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g۰/*C,k#", "avxu흶j=ISD{!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wԏo$-z", "wp-content/plugins/imagify/classes/Job/MediaOptimization.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C\ZܳAB;", "?I\n\\#ܮx]0Dzv?Γ-%Ρ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w:}VP", "wp-admin/js/common.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E`yrI`co", "ϛWP**}\\TY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x	G!N$.dTb", "wp-includes/ID3/module.audio-video.flv.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%dDAzi3", ":R`>:,?hdC kft!2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x~6@\"a8!Cm", "wp-content/plugins/ocean-extra/includes/widgets/twitter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*=ƥa^KӜ", "U%.w* 5DCHb5b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x(\0#V)2ؒW", "wp-content/themes/oceanwp/assets/js/core/fixedFooter.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sedc", " J.RAe/		^ !PZκ6HX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x* d9h{y", "wp-content/plugins/imagify/views/part-bulk-optimization-underscore-file-row-custom-folders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ęG|YU", "1.3\0xrz3=Qe}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x9@^6ߑo", "wp-includes/images/w-logo-blue.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[NW_pw0", "ޣ^Qt3HunU❻~\'T2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xHzOF&9\0Q", "wp-content/plugins/elementor/assets/shapes/wave-brush.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'A9+3!", "_`ܬ\"T\rvUo@)2F?W.~4V5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xIH.9YBO", "wp-admin/css/colors/coffee/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9~8 z#C0^%a", "\0{Zr~d0|B|]ׄj܌Ix>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xLKx 2Is!#Q", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/ChaCha20/IetfCtx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rUCB\"", ")M쩂tUδԪF.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xPz}4bs,>", "wp-content/plugins/wpforms/includes/admin/importers/class-ninja-forms.php", "0", "AA4", "AA4", "kDAaɒ@zR _rOy39J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xVM>n{Oǟ", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/403-blacklist.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "96N\Z!JYU", ",yS1̥;x5GiO9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xWwqƈI=\0", "wp-content/plugins/ocean-extra/assets/css/singlePostRelatedPosts.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".<=wV\Z[M", "b:LC\'>%]3\0bx඘(d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xfV{F̕*", "wp-content/plugins/elementor/includes/elements/column.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SC}sɉLz", "Ua뇯Y8:qu17	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xi%U2WeS", "wp-content/plugins/elementor-pro/modules/role-manager/module.php", "0", "Ԍ,}	RI1l\'", "Ԍ,}	RI1l\'", "imS8χ}F)q(I<T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xw	(~^\0IX", "wp-content/plugins/ocean-extra/includes/widgets/mailchimp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PJpS\\J<\"Jz", "ȉ<ۀp1xp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xy!q).ˉ\"", "wp-content/plugins/wordfence/images/sort_desc_disabled.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m͟r 9", ";	_Yt7KsmC\ro", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x-dTAe辰", "wp-content/plugins/elementor/assets/lib/animate.css/animate-config.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":4\\}!#tӠ", "{l%!g~3Qs5Xzn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x^m]̲/L4vU", "wp-admin/includes/revision.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "El\\R¤n", "fm\rt8p{R$ƓXHf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xMP$z`_=c", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RavenHandlerTest.php", "0", "Xà18", "Xà18", "Z(j:SҠx8kٻPnp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xn8IY1", "wp-content/themes/twentynineteen/inc/customizer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<@(a0A", "dunZ)zOOzn*59ǓO6K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xkM^O", "wp-content/themes/twentysixteen/inc/template-tags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d)KR:", "/[\nM颔\"$>X	\nb.-z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xJYɿ\n7zfJ", "wp-content/plugins/ocean-hooks/assets/js/hooks.js", "0", "9qiW", "9qiW", "CVcP%O59pr=[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x덂@}Yi+", "wp-includes/js/tinymce/plugins/tabfocus/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ώ@/@MmN", "xM\'Ȥ=ڷ?$S,Fy֥", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xz#]ru?0O", "wp-includes/sodium_compat/namespaced/Core/XChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hg`ɸ:ڕ^", "F/QH\0^l 0BΓի6S@Ph", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y1-/fIנ", "wp-content/plugins/wordfence/lib/Diff/Renderer/Html/Array.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n&\n,.", "[9Yq,#:4G[S7ίKT9Ò-]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y&EzݜZy׺ڲ", "wp-includes/class-wp-recovery-mode-key-service.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e#7H", "}lfT|YsYUσ#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y3;^GJ	aGxB", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/enqueue.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oϛb~Xbzl", "XH( (or\Z2Sq%~k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y52m\0l\"e", "wp-includes/js/dist/priority-queue.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}pud", "#kW8$y[^+Uǩ9&;:2f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y9</\rT", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-checkbox.php", "0", "/E}0:cGt", "/E}0:cGt", ";Rf *9R焿ږ~xo\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yA0Xz(\'\\", "wp-admin/js/widgets/media-gallery-widget.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?ܡR8G", "ۅP{,a\\	JU(#B$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yO\0yjeB\nVp", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/P2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eƀkvk\r", "iiLMP4ިO_!iN	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ydg!F2|	m", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/page_views.svg", "0", "\r)2x", "\r)2x", "F>ݞ5`T0j( rLrT}_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yea@ZHR=uޜɣ", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/SourceMap/Base64VLQEncoder.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/j75K2Ic", "p\r%{7JgHaٍ5>{8o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ylBcDǊ", "wp-content/plugins/elementor/assets/lib/jquery-numerator/jquery-numerator.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MC>jSF", "BӤhUg/38M=oiu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y\n,\nC|[i", "wp-includes/customize/class-wp-customize-selective-refresh.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c2iY", ">!5,G]Ac", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y.i%sX-Rs}", "wp-content/plugins/elementor/assets/lib/font-awesome/css/all.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}&4", "c,⥽DCyBܾ#Τ\"O:^3A(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yMvNz[y", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w\Z-\"Bٔln1\\ؾ(", "!#E\r֣f-.>\r[\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yEa:[\0", "wp-includes/class.wp-dependencies.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@a62~J1*Ol", "%1<;\'ILuI9a&^|CDW9SE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y@<g\\-r", "wp-content/themes/oceanwp/assets/js/core/infiniteScroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xu~	5", "	44TP=_f,3?t:T8?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yucsUdc/", "wp-content/plugins/wp-rocket/vendor/league/container/src/ReflectionContainer.php", "0", "ŗ-ϔ2i)ZP", "ŗ-ϔ2i)ZP", "v>DZ ~$6ѷ?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ybhU^aɚ", "wp-content/plugins/elementor/includes/widgets/image-gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c[@h7,", "ˉu^DnmCzi_J z{N]+W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yW̜QY", "wp-content/plugins/ocean-portfolio/templates/photoswipe.php", "0", "~s\"֝2#\nF]", "~s\"֝2#\nF]", "׿kD_+n=AζD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y57!g 	", "wp-content/themes/twentynineteen/js/customize-preview.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(9[n>7l", "I?#T90fPPi׈", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yS`}Sw5", "wp-content/plugins/elementor/assets/shapes/arrow.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F~z٨wCy", "7hq\07n\"e%Sl]g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y٤x\Zrq", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/PsrLogCompatTest.php", "0", "85?otTK", "85?otTK", "JȦˇ-_QE`!f=L[d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y52(r\0~qh", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݼɭyڛO=", "ExiͫQĻ?sQU+`XZ,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y\"O}7g", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/regular.js", "0", "C&pVy10Dn^", "C&pVy10Dn^", ">)7Yȗm<X(4Po`\r\Zof	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yG\\`MR", "wp-admin/network/site-new.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<5n:.6Ե", "|fb9V)էIw&2ES{09F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yKdwѣ", "wp-content/plugins/loginizer/jquery-paginate.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	y1ZS-", "UMmt4E2S9\Z#p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zɐ@//@", "wp-content/plugins/wordfence/views/waf/options-group-advanced-firewall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IN~dFe", "lBoS)ޥ9o!ǻm#$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zxڮh,8xv", "wp-content/plugins/elementor/core/logger/items/log-item-interface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!BA", "k;W&7yÉ5?߉2\Z-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zנE5u6Vi", "wp-content/themes/oceanwp/assets/js/third/woo/woo-hover-style.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^8#k:[", "KٺrojޜaYv\ZhItx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zO|chѵw", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-cache.php", "0", ";+:Z9ǲ]^Pٯ", ";+:Z9ǲ]^Pٯ", "y7Piht@ܺ+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z,Q}\"e", "wp-content/plugins/ocean-extra/includes/metabox/assets/js/metabox.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8qK-|xj~Y=G", "oGz:\\J\\\ZpC506", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z.[D8R", "wp-includes/js/codemirror/jsonlint.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I)fykT+<՟", "$D;;0F~pGғFˁ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z;j2WD6[V", "wp-admin/js/accordion.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lJf_F5", "<SRѤuaxmc{k?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z\\O\Z7\\V&", "wp-content/plugins/ocean-elementor-widgets/modules/circle-progress/module.php", "0", "<,0m|\n=lIQ", "<,0m|\n=lIQ", "@ZFm><Ѝ;>y,	<$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z]@8szw]", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-builder.min.js", "0", " K𚀭bF?", " K𚀭bF?", "5\\UmD-,L%E嬀E0=:.P>4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zoܲ~b", "wp-content/plugins/wordfence/lib/wfAdminNoticeQueue.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K\r4X.", "lvl	](W7+0-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zrY]ңbG", "wp-content/plugins/elementor-pro/core/editor/notice-bar.php", "0", "/SьIb", "/SьIb", "GkYe9y_.Bd|~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zv]h{\0{ϋ", "wp-content/themes/oceanwp/languages/fa_IR.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lMm)oGꤣQw", "C=ZJ6KRE2S^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zmSA}I)", "wp-includes/sodium_compat/namespaced/Compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aik/j\rn3", "1\'ջ.O}5Afi~>:}s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zm5:h.Y", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-date.php", "0", "a\Z/Sj(", "a\Z/Sj(", "=^\'O2y(rA3`qsi(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z5*\ZADZCkj", "wp-content/plugins/wordfence/images/icons/magnifier.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uO{:qcV\'", " atvdQ0(IjƖO$e(*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zL5	g5Ď", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/P1p1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "trIbw\'-7", "uS{<n\r߅+-#;᷃QЮ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z[B-(66", "wp-content/plugins/elementor/assets/images/logo-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F^S=]gbz", "kYi]^19k\">і", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z\r\"c:;yz", "wp-content/plugins/wordfence/css/wfselect2.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c3,BV", "ڑt4U\";t7\ZJyrb@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z8 L{q", "wp-content/plugins/wordfence/lib/menu_scanner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z=i;", " < ҉U\Zv6n/ACvCXh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zQ<\'U~R\\", "wp-includes/css/wp-embed-template.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^-m4yF4N3mύ", "Q6>KiRɐmYΨJ˨Oj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zJXw{!\rF", "wp-admin/includes/class-wp-upgrader-skins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?HZvU", "(eи-CoLO^o̝fgQɅ9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zϒB\Z", "wp-content/plugins/elementor/includes/conditions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MdɂL~_", "ݻ[uM.L0nShb4P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zК\0Tߩh", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/DefinitionInterface.php", "0", " y3\'+Ev\'d", " y3\'+Ev\'d", "T\".)>o\n9BT^Ă", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z7,D\Z2㭉M", "wp-content/themes/twentysixteen/comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Tϡv2ڭ(?", ">ͩA\r 9I ݴU9D-jy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{\nRoR=\'g", "wp-admin/js/widgets/custom-html-widgets.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kǉE0d9", "h\\\nSEg\"Mh	&{{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{N2Qu=	", "wp-admin/network/theme-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^)ŭwqB", "4(Vt\nڢn8D[qlp\"\Z<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{$Dzm=", "wp-content/themes/oceanwp/assets/css/woo/woo-multistep-checkout.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#jJr	%~v`}6", "[jg#HτWBg-U,z+{`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{22\0;Mfz", "wp-content/plugins/wpforms/pro/includes/fields/class-file-upload.php", "0", "UElܫU&ajk", "UElܫU&ajk", "鍼G	Me^v!<m9\ZqP[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{=\'q</-Vv", "wp-content/plugins/elementor/core/admin/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fa{tniT", "W*w_Qw{\';I2=?A5\n/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{OA#w~3\r8,", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/HashParser.php", "0", "{J`Df\'>", "{J`Df\'>", "Kڃcܓ\0뭸mO\"\",", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{RϸMox\'+V", "wp-content/themes/oceanwp/sass/components/topbar/_topbar.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g%*nH\0B", "~0dSI|VEI]9J+%`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Z*~9p]&0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/DeduplicationHandler.php", "0", "/Eo2Fvk", "/Eo2Fvk", "uHڅ]jE69RJ$1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{[/ڑ", "wp-content/plugins/wordfence/views/dashboard/option-howgetips.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϤSZ2=ǌ^", "\0Ԋw\Z)6Zp-lP-ND", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{_g\nKJ-Ժ", "wp-content/plugins/ocean-extra/includes/panel/assets/img/demos-import-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j3SCck", "U6Ѵ	KFPS- h_́q2WƐ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{k\\uM,", "wp-content/plugins/ocean-elementor-widgets/modules/logo/module.php", "0", "`a׌pU/\\", "`a׌pU/\\", "f\r?6ђײP(?taA\\yNd3Dl%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{tE~PA1", "wp-admin/js/tags.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XyYA[DF", "g4$ss<UӪ 1D{N~/P\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{uu	[^J", "wp-content/themes/oceanwp/languages/fr_FR.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q	8\\Ć+_C4;", "mp\'P3pM\")\ZOHDw_*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{y\"ҵݩ{", "wp-admin/includes/class-walker-category-checklist.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q\nͺscSϓC", "Nr@l\r.ß8OLKNP?&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{yVNayoUX7g", "wp-content/plugins/wp-rocket/assets/img/logo-varnish.svg", "0", "Al4L\0li\0", "Al4L\0li\0", "WcDqݠ 11DaŮ&$c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Hϓ~!f", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/DoctrineCouchDBHandler.php", "0", "Ć󕠉Z.Kx", "Ć󕠉Z.Kx", "l.?OZvnRjѿ<\nħ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{1ִ|P%", "wp-content/plugins/duplicator/lib/fileops/fileops.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cdќ=~", "Tp\rThR~Dvƺ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{jɏ|n	^<WH", "wp-includes/css/dist/nux/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LbW;ɮ", "=!NKlmˌce-G^)u䷬QaUI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{)4e4p:fW", "wp-includes/js/jquery/jquery.query.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";XzǰwC", "ug^+imG\rFxiX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{֎`d%̼qBT/T", "wp-content/themes/oceanwp/languages/sv_SE.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Iw#O_Q؝A-", ".gUpϙ\06\0BmtECᶷ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{C\ZV͊%\0", "wp-content/plugins/wpforms/assets/js/admin.js", "0", "xky1raZ$", "xky1raZ$", "@vXt]71r~ej\"<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{RC\Z.*\"Q", "wp-includes/feed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<FLk|/{Y~4", "߯mZ9	/mVsq\rW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{\r-}^", "wp-includes/images/smilies/frownie.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q", "r~Dzoh߱ػ\">E+Ke", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{?\r\n\'", "wp-admin/images/imgedit-icons.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K\\2}Gi;O", "TN~-@N̞V\\(u$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Bt}p]<", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/selectize.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{\r?S+nҪ`", "I.</gE<pqQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{D _R&|", "wp-content/plugins/duplicator/installer/dup-installer/views/view.help.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I0nx	JK", "R\\:&zbIl˸!tz48B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|z\0n$#8ַc", "wp-content/plugins/imagify/assets/js/notices.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0[^4uU", "Fd_$Ypܯ._X#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|v58P,ɪ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ChromePHPHandler.php", "0", "@v?4z}N?^ڥ", "@v?4z}N?^ڥ", "]^mla2;TᯗHSIAjzݘCG_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|jx7(Q}0\'", "wp-admin/css/list-tables.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/WSLh@", "ut.;].V~\Z.8%_s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("| :ᒼ", "wp-content/plugins/elementor-pro/modules/woocommerce/classes/products-renderer.php", "0", "I]	9\"w", "I]	9\"w", "y#?vA\'q4x7XWc_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|/ڒ\0[*4x", "wp-includes/js/admin-bar.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m痏\nf0VW&", "Ŕg0\0%_Ya-V|:QFV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|=/A-?mn", "wp-content/plugins/elementor-pro/modules/forms/actions/convertkit.php", "0", "wDlPG)", "wDlPG)", "QM{2MyORS8戒;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|N!;xN&gm", "wp-admin/js/widgets/media-image-widget.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*hݿw@x<", "=8tM.2G(@B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|PY\rKx\0", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/widget-base.php", "0", "[aWG|", "[aWG|", "\0i/4p]cލG1Ll", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|[6\'", "wp-content/plugins/ocean-elementor-widgets/assets/js/accordion.js", "0", "V|64c\rdX^K", "V|64c\rdX^K", "Xٛ3t-rLG\'K\"R,bK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|k}Am1K2y", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-cdn-favicons.php", "0", "$u:_&PezE", "$u:_&PezE", "@&󎞮\0q`A89r­UV%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|~CxxBJ", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nq*ZF)2", "&4\"\rQjXmN\"?Po\\?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|	4PTqJ&/[S", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/menu-cart.php", "0", "fB<?h\Zy", "fB<?h\Zy", "K<Zo.0	>DVA}YpO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|J٠t|", "wp-content/plugins/elementor/assets/css/editor-preview-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}0 Y\nf", "&\0M6bxKu˴֍1ř}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("| 4x\\Mn", "wp-admin/js/code-editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":U\n0Vm|pX", "c+_%TL^a6D2ܵ\\}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|),/ՓaU", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-embed.js", "0", "rc*_A/J", "rc*_A/J", "7pNa/0&\'Q_*\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|ݟTtOwe", "wp-content/plugins/elementor/includes/settings/system-info/helpers/model-helper.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y\ne&f,1", "\05(pJ	4WGjz!?ߩxVO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|o0H ", "wp-content/plugins/ocean-elementor-widgets/modules/caldera-forms/module.php", "0", "	G=H.Mm/", "	G=H.Mm/", "4`2KP%ɀH/>>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|T]:Y$=\'h", "wp-content/plugins/wordfence/views/scanner/issue-wfUpgrade.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DOۏ~*s/", "c^\0]*ζז\\T1msd# ^U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|pHӠSnRZ:{", "wp-content/plugins/elementor-pro/modules/forms/actions/cf7db.php", "0", "LhNMk", "LhNMk", "Ip~T&\"%V1_}=AO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|Y>	Ɔ", "wp-admin/link-add.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K?0	b", "igVZGFlŀBFw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}eo.>:f~", "wp-content/plugins/ocean-extra/assets/js/woo/wooGridList.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BD=Ӛ%^", "J6_8nooO~oTߕiip\rƁ[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}ĉ=t", "wp-includes/images/toggle-arrow-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F\\CDr", "-N7~@}_=V_@A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}3\"jxV", "wp-content/plugins/elementor-pro/modules/global-widget/documents/widget.php", "0", "#:T?0Z", "#:T?0Z", "]b&7<GXΉV\'5M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}n,`b", "wp-content/themes/oceanwp/assets/js/third/woo/woo-mini-cart.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cHOotTh頷s9", "/9wO-Doarw$pjs7!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}#}B^\"", "wp-content/themes/oceanwp/assets/css/woo/woo-quick-view.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H+*<h}j", "KsEE)ޭ&vMCOh=1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}6qA?gф=C", "wp-content/plugins/ocean-extra/includes/panel/scripts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")ӒR J]A", "5L|V=Tg2[sG8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}DD5uc0<", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/advanced-custom-fields.php", "0", "@0`b &:", "@0`b &:", "\r<0kOlsW`\ZPZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}X\\uۅ2%		?<", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/multicheck.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3Ej !ta", "Mv@߃.[+[h6wW8ry", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}\\5\r$lW", "wp-admin/js/tags-suggest.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P|ͦ5c", ",=yDw<#\'=|*\r\nR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}\\J<cG}J+o", "wp-content/plugins/ocean-extra/assets/css/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x<}>52X\0", "ӓSdn2ūh+Bu/@z(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}`g\"P2V", "wp-includes/images/spinner-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "12^#8", "#˒=$c6	B46", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}k=\0E|", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".Ƌ4{V!17r", "f^8j\0`krkCJr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}v܊\nl", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/RedaxoInstaller.php", "0", "F[|.1x	&XfN", "F[|.1x	&XfN", "Dm1%nݛ_dr \rJ3Tr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}zyԇ~Hr\nr#", "wp-content/plugins/ocean-extra/assets/css/widgets/widgets.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@-ߩl\"]|hm", "K\nhtn*ff\r6B>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}~\r8j˅;", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/gdpr.php", "0", "~|Ƽacjko", "~|Ƽacjko", "VGT}o.gMs&Gƿ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}~@x%qk", "wp-content/plugins/elementor-pro/modules/forms/actions/mailchimp.php", "0", "jLk\\ecz9M", "jLk\\ecz9M", "!{s(Ay$P9s,G]7d<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}@r", "wp-content/themes/oceanwp/inc/third/class-buddypress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|טPP\nPbU%V", "M!4XC\'uJvI]d*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}Bo{vi׸", "wp-content/plugins/elementor/assets/js/gutenberg.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|CT", "LnZ!j|iLϡ۠bJM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}Wi:yd5", "wp-content/plugins/ocean-extra/ocean-extra.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+)	e", "ށ??y0V)tF]++{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}_p6", "wp-content/plugins/ocean-footer-callout/assets/js/customizer.min.js", "0", "͑/1\'x", "͑/1\'x", "Cr?=nLFO\Z3h\ny&<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}r3\r<\r\rS9", "wp-content/plugins/elementor/core/settings/general/model.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W^ٹ(?[9gh", "*]x5,6|c~*a*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}7 ޘDHDPl", "wp-includes/SimplePie/Registry.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ȣ1v9d\0ٸ", "٘Ǎ++NTbRs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}t7,OI$dj", "wp-content/plugins/elementor-pro/modules/motion-fx/controls-group.php", "0", "  v#a8߸", "  v#a8߸", "KKfm8&FI\'_ʧ~Y35v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}Ȑ\\L`i)", "wp-includes/ID3/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5يhQ3fQk", "?\ng=2.U[ziK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}{RҢ\"", "wp-includes/default-constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " =rJ4[", "4VisC\Z*ZEe,v>irMؙ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~Ⱦ/mր!", "wp-content/plugins/wordfence/views/dashboard/options-group-dashboard.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&m:7v=", "\nqYۡ>h_P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~\ZQzŕXjTm", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/age-verify.php", "0", "*̀X+\\k", "*̀X+\\k", "8Z83ǂ1ؐ]b	ؐx8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~?JIb*׺eC", "wp-admin/images/resize.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lN", "6󀏸&?5?sqGM`P;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~AHgKT", "wp-includes/Requests/Utility/CaseInsensitiveDictionary.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":RKroH2z", "9yԆ&/AXHi{b7frw=m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~F㫎>dyj", "wp-includes/css/jquery-ui-dialog-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"9	1R-", "x\r#H)p)6dVb:1vH\Z&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~GKZQ#J", "wp-content/plugins/wp-rocket/assets/img/logo-cloudflare.svg", "0", "a7ҏ	WnZ^#", "a7ҏ	WnZ^#", "\"w+_T{F`(<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~VXa]7p|R", "wp-includes/class-wp-post-type.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".$W6ef", ">2ÇLsgUxeMoCWe\"[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~iI;ݭ]AS", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/cacert.pem", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "54⓿`", "DOo;oO]+\05]/\"޸&Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~lm;)z`", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/SignalHandler.php", "0", "u~I,;lCa4", "u~I,;lCa4", "jp]}A\\W[UDs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~qIPIr", "wp-includes/js/dist/vendor/wp-polyfill-node-contains.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-\\doG\n2", "Sa)ʗn&BV~11\'w(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~}{ >D}<", "wp-admin/css/code-editor.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O+jwh3:N", "}c/ٖ)DeKxOdH|5p[[n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~ReOXf2`", "wp-includes/class-wp-post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OP/\r?Sޤ	", "[?>C=FQ6.Doh*^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~I]:}tV", "wp-content/plugins/elementor/assets/shapes/opacity-fan.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">ggNpd\n", "Ȥ\n޼;;ԛmh(&ɪ>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~,y ,)p)", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/FuelphpInstaller.php", "0", "@K{~tbYb", "@K{~tbYb", "\nȞ]r6	ÚZ{TVc.Gv~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~ѫVP{רE~3", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/YawikInstaller.php", "0", "UR)}g)vWs", "UR)}g)vWs", "QT@k\"!9Ca", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~\\z>SnU", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h@k\"Vh{\0L.", "|]{[A\rJ&ar7:_пf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~`Wj|iLI=", "wp-content/themes/twentynineteen/sass/site/primary/_archives.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sg(W-A", "5p=տV\Z_xFR/MC1Xr[pq9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~ťs\01y$L}h", "wp-config-sample.php", "0", ">B඙@{", ">B඙@{", "O~0l C\"A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~Ӹbc\Z$@$*", "wp-content/plugins/wordfence/vendor/composer/autoload_real.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+>r*mI", "E\0.¿¯1F(Dfuv˔", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~:_aL*$g", "wp-content/themes/oceanwp/woocommerce/add-to-wishlist-button.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0G씘ώ%_}", "PC/H%+qv9yaIv/ݓʼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~Ոncnӽ[", "wp-content/plugins/imagify/views/page-bulk.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'4\\0Ii", ":\Zc-1MJzhdZ!2ȟw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~ִH65sk", "wp-content/themes/oceanwp/assets/css/third/social-login.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QwH=4J\n", "\n3؎&5M+/8\\k\\V7.V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~bfIWt", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/class.datester.state.create.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k(V2hA", "4PhS`H֥pW\"o30$> Cg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~f̗+A\Z/T", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/PsrLogMessageProcessorTest.php", "0", "\'Jah4nS5Ws", "\'Jah4nS5Ws", "֮1rՌm=Uqkb&wŏ<8~G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~AsR\\	", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MauticInstaller.php", "0", ";y%poѨ", ";y%poѨ", "_/y1R%+a-DY6	,,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~F\Z>*(", "wp-content/plugins/wp-rocket/views/settings/buttons/link.php", "0", "i#j;z8X", "i#j;z8X", "r;;KU9I<3\rZ0>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~|m}?\ZF", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/Slack/SlackRecord.php", "0", "r g<hA", "r g<hA", "~-}h#<=7-$\nAnhc\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r\\]^jm7e", "wp-content/themes/oceanwp/sass/components/_custom-selects.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7|Z^Mۡ", "YcOU;dUƚ.[tY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ldKм", "wp-includes/js/dist/components.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";?T", "_YkV/p`Є\Z:$&/ƙ:#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&d+", "wp-content/plugins/duplicator/assets/js/parsley.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z ;\'h%yR", "W<{gvϺ4>tb9e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3YhMвBv", "wp-content/plugins/ocean-elementor-widgets/assets/js/query-post.min.js", "0", "\"9:ކu6H0<", "\"9:ކu6H0<", "CɅ^t`m#ʡX^Kxy=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@={&}_", "wp-content/plugins/wordfence/modules/login-security/classes/controller/ajax.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?o", "f떟;(L7rzBGޙB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RUl#_nZo", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.search.reaplce.manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "avoc\':)", "9©^d\rzFS)j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RŞyR\n ", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/squeeze.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vN.|xB.", "=\rrN4\n)X)l\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ej\0ؚ", "wp-content/plugins/imagify/assets/js/library.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OT*++ҚB", "ӓnI~_cNIѡXmK1B4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jW8?>ˑ", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z_5*", "8~4ݖBe1>#g,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j&^b", "wp-includes/ms-settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nkKx뭣\rY8", "X	\rHkOa4)}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j^SN-O ", "wp-includes/css/dist/components/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EE|װ7AT", "@۾v\'_f.[Ԙ}wy4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lhG)~F͂", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eͫ֌l+K	", ";\"CG_fL`8z-ouACA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w\'PeF+V\0", "wp-includes/Requests/Proxy/HTTP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/2)", "J6dAl{Й\0Jh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zhZ?-?~]", "wp-content/plugins/imagify/inc/classes/class-imagify-files-scan.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W_6)\"Nry=3", "txQaRGܶ\0sQ\\NZ;Qi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{_=e*ua", "wp-content/themes/oceanwp/sass/style.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":VDP\r", "9͍Δ!i\'s\rI7ɸ߼e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|ďHfwJck(#", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/post-info.php", "0", "}ƲynakE", "}ƲynakE", "_N(4k\ZLHtκ7ܼZ\ro	6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R@Von", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/settings/class-setting-datetime.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ބPĎ9iFnkG", "5xuӃ4PRLZ߷erVWLS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(M?", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PiwikInstaller.php", "0", "u̎#!?5", "u̎#!?5", "pi=z+#8=n~}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xilj", "wp-content/plugins/imagify/inc/admin/upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(Yohǁ", "\\Qxi/5w<|e.q3a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%G]f@%Z", "wp-content/plugins/wordfence/views/common/section-subtitle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KcDÃ۬", "ZJwsh5MEu/jg[-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zR", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-title.php", "0", ")o3V)w-", ")o3V)w-", "ߛkmqY	i	qBј`@,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("СqD֚?iX", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/utils.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t!+i", "\\sHbAS?1EfB{4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"t_&<@]W", "wp-content/plugins/loginizer/init.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".!@2p\r2", "^&<Ţ.Dn&1*/`O2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KQ}U&;&Q", "wp-includes/meta.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8</5Z)#n", "6衛\Z4-XxOnD0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6K(j]e", "wp-content/plugins/wordfence/css/wf-font-awesome.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'MًV:", "997dIOu-%enԻ1I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("trεF_ ", "wp-includes/js/wp-emoji-loader.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v2eM^A", "	l)řqF\r\'Q]u2R}M\rZP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zv\Z(", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui.structure.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")/4;$۔ެvi\\", "ni뗅NvX7Y]D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͍ρbB", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Ed25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I%0\\L-", "bhppv״O#u 5/=9ň)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E\'HgC\\", "wp-content/plugins/elementor/includes/controls/slider.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "щWtȻߋH|", "\'\0.PP1t),c&<OА\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" f/C8", "wp-content/themes/oceanwp/partials/entry/meta.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PF1q>", "Cbc>NcE6:Ӣ(ێzA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",X&~{Ӌ", "wp-content/plugins/imagify/inc/3rd-party/hosting/wordpress-com.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T@CWp{//p", "ޘ;!YO2-ѽա䭇", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".G&<mb,", "wp-content/plugins/duplicator/assets/img/cpanel-48.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5/X%aηӢi", "^*sӠE@Y:SLk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1E۷y,RV", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/butterbean.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@yR:", ")2yQҊt/?>\ny:;\";", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3-f\n", "wp-includes/css/dist/list-reusable-blocks/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",̷}", "Wy1NF\"\n[2EÕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";!1>YxQ", "wp-includes/js/dist/block-editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9\nsЪ_<k", "NnuуWb6;~&8hlpI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E@Y䞉/>4", "wp-content/themes/oceanwp/inc/breadcrumbs.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a*-G", "fĆSصZ tr\"/{RA[f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GԟCs", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-offload-s3-assets.php", "0", "\r#y5", "\r#y5", "u+·e  ׅ|b4MХl%|B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J@äi", "wp-content/plugins/ocean-portfolio/assets/photoswipe/default-skin/default-skin.svg", "0", "WZMwg)C", "WZMwg)C", "5#tjVc6\nPn1o\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\'bYQ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/FuelphpInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@K{~tbYb", "\nȞ]r6	ÚZ{TVc.Gv~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yyWEu־6af,", "wp-content/plugins/wordfence/css/wf-ionicons.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Alsj⯃", "ג4ˮvM`VZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HlIdG", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Notifiers.php", "0", "Ю8sj:", "Ю8sj:", "VR#b?s!U8ثw#QS<a((", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ah#8c", "wp-includes/js/tinymce/themes/inlite/theme.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z9zY]BqY*m@", "\\ɋD\nCoFh[g\\dfLsN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SP;^ƭzI", "wp-content/plugins/wordfence/lib/conntest.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q\rƉ(.Aˬ", "J&grb+\'Id	1HLWreO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\06֮", "wp-content/plugins/wp-rocket/inc/classes/logger/class-stream-handler.php", "0", "KX!y?", "KX!y?", "KMn>pH8cY2eWDj~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6߮_`Ɏg", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/functions/attachments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ˠshv&vb6N", ":kL8\Z$	d^EϭԵjk6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r=cMz", "wp-includes/js/dist/is-shallow-equal.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4G`\'qw5", "ۼu\Z\Zgh#AL`cb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":?+^b", "wp-content/plugins/ocean-extra/includes/panel/assets/img/ocean-hooks-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NKsMZF\"\0b|B", "^vtg%Kje;\"5s,\"Ezr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("әG<S", "wp-content/themes/oceanwp/sass/woo-mini-cart.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ֱ	fN::", "KXIl>.$ƴN߾;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ںuM[\r", "wp-admin/images/wpspin_light-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qO7!4\"IV*", "Y%*#S^T=|?MM䨝w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Nxډ\Z8yH\\", "wp-admin/js/theme-plugin-editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ܙ	0;", "	G~}\08(NaG+3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sSki<4\'c-6", "wp-includes/js/wp-embed.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#NO8L^sWkJ<", " E>@_0!B5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I0>Xxܘ", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-combine-google-fonts-subscriber.php", "0", "$.´Iq", "$.´Iq", "QoN`%-\r\0VGN~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e97aJS", "wp-includes/images/smilies/icon_smile.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G)öu\\\nM", "I+x#iT;W͗1Ex߱", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	}C:ڇ.94%4", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/ProcessIdProcessor.php", "0", "bGnR:nκ\n*", "bGnR:nκ\n*", "鮳*Bʪ3vKIcH$YjhZul.z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XQd9rڼ", "wp-includes/customize/class-wp-customize-themes-section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h-=Eiҥ(5_", "J^T섨{[4:|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&W^\Z7ɿn`X\"", "wp-content/plugins/elementor/modules/history/views/history-panel-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_\0q", "gWٿU>oG%kvX/5\"$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qa2#f}\\>", "wp-content/plugins/elementor-pro/modules/popup/display-settings/triggers.php", "0", "m@cϩ7", "m@cϩ7", "Yo}PW}#o+E$*$9H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W&T\r|PwW", "wp-content/themes/oceanwp/sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qSGd¬1", "m4V$g\rA+\"+uE5L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("el5sEúQ", "wp-admin/js/media-upload.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G(؋&#F6,", "N\\?/e\nk`lP\r0\ZRz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f4}R", "wp-content/plugins/ocean-portfolio/includes/class-portfolio-shortcode.php", "0", "Rl\'9y-E	", "Rl\'9y-E	", "\ZIӖJ[d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",CUU9i-", "wp-includes/css/wp-auth-check.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0/\nk$H", "D\Z̖U:85D5Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U)u3D", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-abstract-attachment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L0dMI~", "EɊOC#T2/P!9M&z~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q\"ǫT=PyZ", "wp-content/plugins/imagify/views/part-settings-files-tree-row.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F-<~*5", "t	Nك-=nc\r\\M~Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"\\^}\ra", "wp-content/themes/oceanwp/assets/js/core/scrollEffect.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#\n)ؖ%L¾G<", "4I{BRk^pLO.z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~\"i`Y", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/js/icon-picker.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(%=oWC", "p-3c; \\GE4s1/(?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*\0,EZK", "wp-content/plugins/ocean-elementor-widgets/modules/brands/module.php", "0", "{vϓȹZ$", "{vϓȹZ$", "3?&qm?|\r?J<Z_t-{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i\Z![8$\"", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";8e_TƽW", "ݬISP\"a 7J6QSv_y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UXbжn.G&", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/VanillaInstaller.php", "0", "$c63>nM\"", "$c63>nM\"", "d1ޙGp#\\3f\'.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RH\Zݚ", "wp-content/plugins/wpforms/src/Admin/Loader.php", "0", "G$YI*.", "G$YI*.", "zMF&q?cv&!^BY&l(r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q~`BM\Z", "wp-content/themes/oceanwp/partials/entry/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lcNBN$", "Z*oƞԭw܍C[O62\"6\n&\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")d\0዇h", "wp-content/plugins/duplicator/ctrls/ctrl.ui.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6tr\ZƵ4|", "Me¶EGRL{m\'Ա", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȉV?	])A", "wp-includes/js/media-views.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GTu\'~gD", "σ&:ir\0`[߫)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W=ԘHdz", "wp-includes/class-wp-site-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d)G~", "\rp\'O>_ mi.ںd<lEvy$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X-4J_3", "wp-content/plugins/wordfence/lib/wordfenceHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z7H}C])Qt7T", "-c4Ēx\rqmJD5 OM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'>[·", "wp-admin/js/user-profile.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j?TP?z", "h8g_8\\	%)\ZUO$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wwql", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ClanCatsFrameworkInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "՝Vo5ڐ\\", ">9Y\rYOC4huG[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pdc3", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/http.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<i\"KNX,", "Cѝ⁪r+^YhjzZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tщό", "wp-content/plugins/imagify/inc/classes/class-imagify-db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W:+M9", "#1dz^_)Y+$ԉl␣Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OXg]<f@", "wp-admin/css/farbtastic-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S@[\\,3|!", "Sm\';d`eM0i=?>?{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3Ƈe(ú9", "wp-includes/js/jquery/suggest.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s\\+A)n.;", "I<{\04`<!jZ8돲DHW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("10v:Ywp6", "wp-content/plugins/ocean-extra/includes/widgets/about-me.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1$U]p_", "UrFB AJqX/<$HI#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\(wBI", "wp-admin/network/update.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oENRF9z8", "$u-B?yNwԂv҇=e,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"pV.", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AttogramInstaller.php", "0", "oGE\r", "oGE\r", "}DlqX\"aGGuVX}=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&yqG~\r", "wp-content/plugins/elementor-pro/modules/query-control/controls/query.php", "0", "bh9~", "bh9~", ">Kn3#\Z~zֿvT)ׂޅ7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(tTlDά7&MP.", "wp-includes/js/tinymce/tiny_mce_popup.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B7I10d", "\'З/!\Za!~)1D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/	E:KR寥v", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/X25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0Vή?b4", "=ޣ4:$dXWRXN >", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3f5y.", "wp-content/plugins/imagify/assets/js/es6-promise.auto.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hZypom\Z", "Jj1QP6Tw8\r$؋ْ㝎x8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@F Ӡ(e*[", "wp-admin/js/theme-plugin-editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sn[eIl", "&VɫXD2+7 )D\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bهv<Sv稳", "wp-includes/SimplePie/Parse/Date.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rȯƹeҹ^", "F%6+E{#I\\ޑa/jqŦX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F GJBs7", "wp-includes/js/media-models.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o~-)0Th)", "m?mʽF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OЪJs\0د9", "wp-content/plugins/ocean-extra/sass/components/_widget-social-share.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y4?%c\'Hz", "vVbi1tm|aEYޢP?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W= \\\'x\"W}d", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Fe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "թK^㥾", "M8:naƋGZqQdý!\'&g1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[\r7/-(x%$", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YoM3֛獹b", "m\np/)cld/%؊_:)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oRSI\rVʽƘe", "wp-content/plugins/elementor/includes/api.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h.}޻", "}BӇAi`Tq,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w5)", "wp-includes/css/wp-embed-template-ie.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")6	؞мq ", "o+8]SuH.CgR9&+\\W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h!\"Uwk,8", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/mailchimp.php", "0", "\\N2/3P", "\\N2/3P", "FPu\\+[3rƫ?3b܇߶dMż", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0+OW+", "index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*_Q:V[CI\0", "׀]Ho&Y\0Yɱ	\Z=K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Aq4", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.directory.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6=#", "?ʝ@H뙾l=;hѐ)bksv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A1\Z;", "wp-includes/rss.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m[\0lJ;", "^]\"ˌ|a>|Ī.pNX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vg%\'F8", "wp-content/plugins/wpforms/src/Forms/Loader.php", "0", "}7\\űn", "}7\\űn", "D\"Zn2NDV<\0hMW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("14R", "wp-content/plugins/elementor/assets/shapes/split-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jHC@/)", "=$c(^5C#L2z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ⷴf@mή", "wp-content/plugins/wpforms/src/WPForms.php", "0", "xM-hA\'d*F", "xM-hA\'d*F", "5[Ԡ\'E\"sg8+m su", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zus/ȸv*", "wp-content/plugins/wpforms/assets/js/flatpickr.min.js", "0", ",\n|$ɔUbM", ",\n|$ɔUbM", "ȾX\rߊ\0qwQ`?FZ,8iZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vA\nGr3C9`", "wp-admin/includes/class-wp-internal-pointers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b9٫h巡W?E", ">|]S(H(\rZBRX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r8ب-BڲQ", "wp-content/plugins/ocean-extra/includes/panel/extensions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O|?Opao", "vϭ|9*Ww	>B3λ\0OC^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gG ZHt", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/click.svg", "0", "lDZ]\\\r|5f/-8", "lDZ]\\\r|5f/-8", "^SF:ә9Jg\'qn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"\'&˂", "wp-content/plugins/wp-rocket/inc/classes/preload/class-sitemap.php", "0", "U&3	)ZM", "U&3	)ZM", "_w\nx̳[ qX~AH4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]]Sx^6", "wp-content/themes/twentysixteen/inc/back-compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`s$cv:Jb", "1`Ej7+._$ٍ3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ej̈́", "wp-content/themes/oceanwp/assets/css/woo/woocommerce.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CAnk[-", "\ZZ]i*-r\reBWm̀", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]ނִ&iU", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/module.php", "0", "np{", "np{", "	QzȨZ69", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":ytT", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/ReaderTest.php", "0", "-NK", "-NK", "tya߀>	&OlYJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SW41{Se", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-remove-query-string.php", "0", "kЋg\ZkM", "kЋg\ZkM", "ψCKv+2zq}b5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C4d\"$H4", "wp-content/plugins/ocean-extra/includes/widgets/instagram.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r{Uf,ޱ+W", "W&cw;|2	2c\\\rK ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ebl8y}", "wp-includes/js/tinymce/plugins/link/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*NȒmQ", "`3cYQ9Wޭ#lpS+G4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jZoz", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations.php", "0", "\nC?1:d@7@`", "\nC?1:d@7@`", "1t;2k{h5Z{gpPriĠ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m>\00X&^Q", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Http/CurlRequest.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pKz`)9_@", "aғYeq7YTcȊi$Wت/!,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z\\HץE$m", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/ExtensionInterface.php", "0", "~HiR", "~HiR", "ΓP\r̈́\"ՂIK\\uG08", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3Eoz]", "wp-content/plugins/ocean-elementor-widgets/modules/buttons/module.php", "0", "Z)&ݸ", "Z)&ݸ", "h/\0b3<^zP\0l4٠", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PQЖ2.,", "wp-content/plugins/imagify/assets/images/icon-level.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w_4+k", "Q,R`ŢyгqԮCݙ.c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'P\Z", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/HandlerWrapper.php", "0", "e	.ٟ\Z", "e	.ٟ\Z", "=ߔ\"=tiK߰zTo4\0bo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jm&ξPM", "wp-content/plugins/wpforms/assets/js/choices.min.js", "0", "SM*fqV{\n_", "SM*fqV{\n_", "@\00F|+IOb, μ	\r^RtzxL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?z6aDz", "wp-content/plugins/wordfence/images/loading.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K:m𙗣P", "j*edoX~7&N9|L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" \Z×B׮re9", "wp-content/plugins/imagify/assets/images/icon-pack.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gWSx`[", "Ԑ\ra;wY)n,`54}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("и+:3XnNtexX", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmSU5fChc-AMP6lbBP.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{W7h>", "	2mw3)zWgv{AfHu`Co", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߹\\M?ϘӿE", "wp-content/themes/oceanwp/inc/customizer/settings/learndash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6	|0:lg\Zz", "qnA5d=^*OGZ\"5S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2j:9e", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-admin-subscribers.php", "0", "[|(,\n(DU", "[|(,\n(DU", "CI5zbKEu=&P:cr9\Z+7i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʆnD㮖(", "wp-admin/css/install.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")eL3DJW", "x{3xV-0\'JAvr@B[RY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j5fj", "wp-content/plugins/wordfence/views/tools/options-group-live-traffic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5_+EG", "s}RB|KzI[Y)r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fNdL", "wp-content/plugins/wordfence/lib/cronview.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e(t@nr", "Z4,hz=>M}G/[0l\"iK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L%sJE", "wp-content/themes/oceanwp/inc/customizer/assets/img/ls.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c5)W+7", "~\Z$YyXڔ\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5KFL4b8P\'B", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/front.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NBt*&0g", "3J:|u|D`]enW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")ũ2[	4_a", "wp-includes/class-walker-category-dropdown.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ap-6?!G", "+_0^%2\n {#)&w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9֡T}_d$=", "wp-content/plugins/duplicator/assets/img/amazon-64.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z}p0χ", "zԏp\'AN8Uw0;`,3gmה", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":+[gCZ", "wp-includes/template-loader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?{eXϊU", "3s-$㟘IK!S@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@ƆږT=߲", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/upsell.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JXǒ:iOJ+ž", "3LWݮ\'+4fK\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ji)#k	ͷoJ", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-text.php", "0", ";J&fxe", ";J&fxe", "QBhS~	#U3\']D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_I͵٩ep", "wp-content/plugins/elementor/core/base/background-task-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".BqA}~", "whmPi\'),tPaCM\\ߞȫky", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cמY*8{#", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s2.dbinstall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nE\ZlE", ")nfkU^5؄5w϶>)ducNF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("skƢmGM.R", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l.(KpQ", "ٍ$rb=phxK5]8QRjn4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~H |e$", "wp-content/plugins/duplicator/views/packages/details/controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D׽P*uQ$T", "L];J:%?rwΔ^\\G%W*:W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O:%{E*", "wp-content/themes/oceanwp/inc/customizer/assets/js/typography-customize-preview.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g\Zh\\7=;", "Ɠ<v16qr\\326ԁ7!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qeu\rz", "wp-content/plugins/imagify/assets/images/icon-load.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X6Ae%SA", "ٌXw=\ZKZ̷tC\n>q\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PM˝=U", "wp-content/plugins/wordfence/views/dashboard/status-payment-expiring.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "raX\'z\05+\"7", "v$r_syYU{ؘ?C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޖ,ΫHWDD", "wp-content/plugins/elementor/assets/css/templates/frontend-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Upq,Qy^2R<yb", "f!_[ʮdo5LGi%ʆy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]g#՗\\", "wp-content/plugins/elementor/includes/widgets/tabs.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1`W޴eh	2", "<joL2Dfnzkk\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e-\nyV", "wp-includes/sodium_compat/src/Core32/ChaCha20/IetfCtx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|Wwb>EyJ", "\'~6ȝ\nBagzdQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tt£UJ", "wp-content/themes/oceanwp/assets/js/third/edd/edd-display-cart.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y={.oޗ", "hR{؟c]dPd<Ju9gv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PUac", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/P2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YAG=bu", "z,ͥt	<{@Y{iysc(SL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zXDe", "wp-content/themes/oceanwp/sass/llms/llms.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Rk܉n", "採g.Znr+stt\n,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nvZYV", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/init.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&\"aֶm", "u[y#D|؊^Pz-e6;Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OuF%@", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/product-archive.php", "0", "x9s", "x9s", "-&BŖj c-Ey:7ts]4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ê6P\0-b", "wp-content/plugins/elementor-pro/modules/query-control/controls/group-control-posts.php", "0", "cr8l>f", "cr8l>f", "F>Q$qwpL@|n/Bg\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z^-5ABy", "wp-content/plugins/elementor/includes/widgets/heading.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sk>GdcKK)", ">&Zj3YiJb766\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߕٮθ^-", "wp-content/themes/oceanwp/404.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uP_B2,W%", "BAqXRbUy)CzlS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":FTӼʹ ", "wp-content/themes/oceanwp/partials/single/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n*묨^H", "QGXsև=N8\0%˛Mm\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZDl=컫", "wp-content/plugins/wordfence/views/waf/waf-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I}W", "T)2cc)\nxX0\0Qeo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r&J\n\"\'\Z", "wp-content/plugins/ocean-elementor-widgets/modules/ninja-forms/module.php", "0", "T{S\'>+4h", "T{S\'>+4h", "8*a${$sVʤP1/F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&fYP", "wp-content/plugins/ocean-sticky-header/includes/customizer-helpers.php", "0", "ÏJﴦ9<`", "ÏJﴦ9<`", "FɒvoR!VB¯VG2gBzqG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!\"roɿM8", "wp-content/themes/twentynineteen/inc/icon-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oę6\\4*GΚ", "*X_\\:̄wMO^9LTr)UFt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1`B¡]s", "wp-includes/css/dist/editor/editor-styles.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n%}\r;\\_3@>", "h}!aXɱ96#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9pz[", "wp-content/plugins/wordfence/js/jquery.colorbox-min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y5=q)", "H4\\v/XGK:gkl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B%v6I\"Jb4ӡT", "wp-admin/link-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+Pe&r(", "?@>a6|D❂zA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BK@~&^8", "wp-content/themes/twentynineteen/style.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2ކ̌9", "\ngJduT8w(=\'1\ZH9Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qGqGs", "wp-content/plugins/wp-rocket/vendor/league/container/src/ImmutableContainerAwareInterface.php", "0", "Jnxxm", "Jnxxm", "doy2팜:/N}ώB?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-zK>X", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/PseudoNodeTest.php", "0", "ݓYh+٘N5v", "ݓYh+٘N5v", "KZ>|ݫw3e4o>ҋ<8\04", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">AB7Sz!e", "wp-admin/includes/export.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VƹTO9抭", ";8$Bܲ\Zq Ո", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LL=#2", "wp-content/plugins/elementor/core/debug/inspector.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iרٵp=QVl", "Yۚʖ8%Ru9,d]@+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܳ`Hg!ꏛ", "wp-content/themes/oceanwp/inc/helpers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XlB;/:q2Y%", "^w4,؏~70$3#nȎHqF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[m֌ 8", "wp-content/plugins/wpforms/src/Integrations/IntegrationInterface.php", "0", "z\0/鄒qMQ", "z\0/鄒qMQ", "ߣ+m\\Yz\\@#VqQOwK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|0O+]lU", "wp-includes/js/dist/a11y.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZsIh@%JvA", "?# ۫| 2<!C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T2\n", "wp-content/plugins/elementor/includes/settings/system-info/classes/abstracts/base-reporter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "28S", "gj<o/`=_K]\"jf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%H	U`", "wp-content/plugins/elementor-pro/modules/posts/skins/skin-base.php", "0", "~J44V", "~J44V", "\\4;XSA[^\'M5\'Ubs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xa͟l", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/mobile/wp-appkit.php", "0", "BpA_MR[q", "BpA_MR[q", "3kM/YgSzBe|G?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T양:t[", "wp-includes/Requests/Exception/HTTP/410.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qO47ߺݥ/8X!", "9f/3MM;#GڪWO&tSO\ZƘ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("雼E<dH", "wp-content/themes/oceanwp/inc/customizer/settings/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m!W.2)", ";=3D3҇svXJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")Yh.;š", "wp-includes/Requests/Exception/HTTP/412.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%Iܷ=7V", "SA4c\\D56-#d*ҽӾR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1eUMV^", "wp-admin/includes/misc.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8n)z}cS3t", "*pZ\'~?O9ugצ>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2_HO)Ƃ5t", "wp-content/plugins/ocean-extra/includes/panel/assets/css/sticky-notice.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zAghݽ.y", "`_R?PsFtvZtf8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("305D(.", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/heading.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*[w*0q3C܋Y", "YX`rRZc-,_ xH0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D\rT1", "wp-content/themes/twentyseventeen/template-parts/post/content-gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YXg\0Noq@+Nn+", "u[𤧤a_ 7hP\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F_qCF!o4p", "wp-content/plugins/wordfence/views/scanner/scan-starter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E `b{{v\r", "qFxgTA]Mk^>\'UB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("USAJclw", "wp-content/plugins/elementor/includes/template-library/classes/class-import-images.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Co݉`x۝", "\n0ڣQ9/9ډ#*Cmp+V\Z.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YEvD", "wp-content/plugins/wp-rocket/inc/front/dns-prefetch.php", "0", "clQ:%iz", "clQ:%iz", "Gmt,|\\Kc1-\n&B0f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aFIj=,4@\r", "wp-content/plugins/ocean-extra/includes/panel/rec-plugins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7YHg-\Z/22", "\rpxo0䌰?c9\"<׾Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e{3@e/kB", "wp-content/plugins/ocean-extra/includes/metabox/controls/typography/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{T>.", "䊯@ED\ri\'1${۳:	c,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i4eAPN9}L", "wp-content/themes/oceanwp/assets/fonts/star/star.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v \09(<8", "YP2:q4qӌ\reCO#K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F1}Etjut", "wp-content/themes/twentyseventeen/inc/custom-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j6^n", "#&p\\D\r~7i/$7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ΡbXνaBܧy", "wp-content/plugins/duplicator/languages/duplicator.pot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "җR*U]", "n3j/NcF<=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0>#z(", "wp-includes/bookmark.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ku-=0y", "{nS>y4oanΏw1dID*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n֓L6+I@", "wp-content/plugins/ocean-extra/includes/panel/assets/css/about.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2KSh5N_k", "z~7eHb1eZbcZ(CɎs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".UZU|", "wp-content/themes/oceanwp/sass/components/header/_header-top.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]iPPM", "JzeE[g&^frGMi_Eq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*b \\@T", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/simple-custom-css.php", "0", "`H9\namdq", "`H9\namdq", "VyB|h#g$4]}\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}", "wp-admin/media-upload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@9К;߳n", "9@_\"ZOoUn	9\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{ 	ϭw", "wp-content/plugins/imagify/inc/deprecated/deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";]3e;%", "laiiu5=pjֹ+Q<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c(pM#׹3", "wp-content/themes/oceanwp/inc/customizer/settings/footer-widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<e/1@U", "X$\0C_)צ\\F7c\nH`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ZP}lI", "wp-content/plugins/wp-rocket/views/settings/fields/select.php", "0", "zöMfI", "zöMfI", "QFٍ\0P\'q\r/Ȍ_n7<J3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ٳzJY\rr", "wp-content/plugins/ocean-sticky-header/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U5ܱ", "wp-content/themes/oceanwp/inc/third/class-bbpress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b\\Aڟ߲", "ku&T/,dO+6 9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$;K+xM%", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exceptions/FileImportException.php", "0", "KN#_>L1", "KN#_>L1", "Lܧ+:y^J[ݫEz;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&IE", "wp-content/plugins/elementor/includes/settings/system-info/templates/html.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "؏+%J]5q1ץ", "D#+°-T/OV\\DUYJXjX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uF8D+W=", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-add-to-cart.php", "0", "ҏ66qZP8w", "ҏ66qZP8w", "i^\Z0Ur9\"S;AU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rĘ|.ʴ3g", "wp-content/themes/oceanwp/woocommerce/quick-view.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Wi]D4?s", "Y\Z ʧ[\\*suתM˛h# ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pw0h9", "wp-includes/js/tinymce/plugins/fullscreen/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y2İ\rm}%", "3].BCBeʢS( ?Z{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fen%", "wp-content/plugins/wpforms/assets/js/jquery.validate.js", "0", "f~	ɜ	=", "f~	ɜ	=", "H:,\0.IEA%YH@	R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N|X]<X#/|", "wp-content/plugins/elementor-pro/modules/forms/fields/time.php", "0", "\npԠ@n(", "\npԠ@n(", "]#	:E:l9J0X̽T=4QA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*lC\n8lp", "wp-content/plugins/imagify/assets/js/media-modal.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vkx:C`", ".O* q.3H#\0\nqͣ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1L(	?\',օM#", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/categories.php", "0", "*OI2S2v", "*OI2S2v", "c.;.C/!|\ry ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("956pT", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-gallery.php", "0", "8+RQnn밎", "8+RQnn밎", "	x׽R!h;6P].2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";j|:1/", "wp-admin/site-health-info.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k#V:gƔКS", "R;{u_#+}RVíD\"̬", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B yw+|t", "wp-includes/class-wp-http-requests-response.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	P)`͡]ajkR", "P~*<jp6p\"SP./\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J&_#3Sq", "wp-admin/images/spinner-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "12^#8", "#˒=$c6	B46", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V+@0pɏhi", "wp-includes/rest-api/class-wp-rest-response.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";y8eH", "Ԍ\'MSgϾ*ñ/{ȐnDA#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z)_w\'$X", "wp-includes/class-wp-block-parser.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LxH,", "R>oұz\\9	V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^Sx_?uGD", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/H.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Hd9<Cˤbl", "K.Boࣸvb%S~1K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b~5aI@)*", "wp-includes/class-wp-site.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k.DKqB", ")>3G(|z6Su\"|7XT3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c0G8e", "wp-content/plugins/wp-rocket/inc/3rd-party/3rd-party.php", "0", "y0銫", "y0銫", "l|HA nY,s#(͓k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x9p2wB", "wp-includes/ms-network.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cQ", "L@wmm>e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\:ڈ)g,\\", "wp-includes/images/smilies/icon_twisted.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b.8\Z|`QLF", "t/\rHFTЉceNDKAQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NT\0kK", "wp-content/themes/oceanwp/inc/customizer/controls/slider/slider.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tY #", "S}[>PN$w9a1Sc\n34kn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e-osŕ;/", "wp-content/themes/twentynineteen/style-editor-customizer.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z]/\'\'~z].Z[", "/} 	ԾA9{!wa.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ES7x", "wp-content/wflogs/rules.php", "0", ".b?", ".b?", "yv_=Z5Z,_&t~P;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">2\\o)", "wp-includes/Requests/Exception/HTTP/Unknown.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dl᫁2A\nW", "@3#\Zж/*t\r6<X\rIF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3vU\Z3P^O ", "wp-admin/css/widgets-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ŧB5OT", "Jq˘cX\'T E8-GYxq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L Ufu<", "wp-admin/images/icons32-vs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",P*{>vUf", "?UzP\\@`8g;\rE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?v{aY ", "wp-content/themes/oceanwp/inc/customizer/controls/typography/webfonts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$,$s+j\'p", "f\rޑ!ReQ7Kd6$ɫu[c\\\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=VUt", "wp-content/plugins/ocean-extra/includes/panel/assets/css/sticky-notice.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z8dJ", "$/%6OSS\nx&LU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">qyfð?J", "wp-content/themes/oceanwp/inc/customizer/controls/buttonset/buttonset.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OQAEIȕ#", "\ZݻGWo(A5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("owЎ696I", "wp-includes/random_compat/cast_to_int.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!>=IO", "p>2xtntqb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$yU⊈Hr", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/woo-popup.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9̿r:PVg$", "837#SoP%Viә", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j5梣s7\Zq", "wp-content/themes/oceanwp/sass/woo-multistep-checkout.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S$۬]@Ή\"g	", "tPˁi_$3zM$W9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j?ͮI>\\?", "wp-content/plugins/imagify/inc/3rd-party/screets-lc.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2s|ͼS*c;x", "ۍW=D2FX\Ze\Z:΀E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{rrgOQ", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-grid.js", "0", "uSgF", "uSgF", "cNձ/	섰ClESLKUKk9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[B^	Z1", "wp-content/themes/twentynineteen/template-parts/content/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pT	/=B", "1@Ir(t_~@hVy(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@.m<\\?_h", "wp-content/plugins/elementor/includes/controls/groups/text-shadow.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":WkF7", "{A(҉6MLqKU#e4Srv|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Iy-\nń", "wp-includes/Requests/Exception/Transport/cURL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6Tg*\Z:	x7", "]0֙8p#~\\oӁ=1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".S, `\r", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/HuradInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U-07\n}m\\^", "dTa߰`+>/!!^bg$\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":=%M۵", "wp-includes/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O@,\0}5+8k", "׎Or5;1HDCX($֮", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I{?r]7", "wp-admin/images/resize-rtl.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nC%YfvF.z", "@St-]z\'+k2{j,QN~)	>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("` ƢXv{;", "wp-includes/js/dist/edit-post.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Mu~D`", ">j{M2Y]UJ;F@!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kn#0(n=", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dy.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3_/TWbީ", ",[?\r& D]DSBtHg&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mxNܦ\'>Ei}0", "wp-content/plugins/imagify/assets/images/logo-wprocket.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9t1%~H(", "+faB*uat\Zӱ++\n{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uWqͷ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AnnotateCmsInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1csDh%[p!4\"", ";<EU%HwDDˋ8T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{QP74zez(", "wp-content/plugins/ocean-instagram/assets/js/metabox.min.js", "0", "0SiKd", "0SiKd", "Ƥ^Yo#RE%(^[Ҽ\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~G꒦Wv_y", "wp-content/plugins/elementor/modules/gutenberg/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$oѲ@", "R=us^_RTCB\Zo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".5(ɠ)k<", "wp-content/plugins/imagify/uninstall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q5T\0<iYb", "__FSKW]غ韧K:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("콓Tm75Y", "wp-content/plugins/wp-rocket/assets/img/logo-wprocket-light.svg", "0", ":E#X\nv", ":E#X\nv", "*<8Go5Q?oQ}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tu,-|^Q/", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "̴k,(ps", "`=ڊw>Ovl熕7RƘ\"~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eMy*Ҟ", "wp-includes/js/backbone.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q?6Z\nUЈ", "xC9c9gR+FOWɕӌ1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n\n\0܁-i", "wp-content/plugins/wordfence/images/blocking.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'-Hf<1", "A5Y9\0OtqЖL\\}a&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F+ݙx:;", "wp-content/plugins/ocean-elementor-widgets/modules/modal/widgets/modal.php", "0", "ϖESv}", "ϖESv}", "F$MOV	əj\00A{k\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g[z\0ή", "wp-content/plugins/wordfence/modules/login-security/views/page/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MQ@ǮI", "~rbwTNs;3fB)A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CC=", "wp-content/plugins/duplicator/views/settings/about-info.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@c(>gk", "SI&V2I%*BL~:F@(>\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tV<C", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Traits.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";HoĴ`׳m%", "(l]hЮa	yfh0v\'uvm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";kqͫ\0(đ", "wp-content/plugins/duplicator/assets/css/parsley.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",WUN)ʟ[", "Dɝt|ŵ%#(oqsx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z]62L", "wp-content/plugins/elementor-pro/modules/woocommerce/classes/current-query-renderer.php", "0", "2:oEa0", "2:oEa0", ")\Z*EǅHvmA#c>:3Wy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oܲ7x;{k", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe.js", "0", "<x¸Z1쐗^f", "<x¸Z1쐗^f", "[N5i[_<sNX	X)EfU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b,c#*", "wp-content/themes/oceanwp/partials/edd/single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1ȟ2_\Zqaz", "}^OJ}Il", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bqy$\\\0?P", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/dropdown-pages.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'k%٩", "EaW>?xbWm_4<V_2xԶK^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G+A,^vz\0", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/varnish-http-purge.php", "0", "I͡\\7`^Fv", "I͡\\7`^Fv", "g\'l+yMh<pA\"u\0 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+n_)4:\n", "wp-content/themes/oceanwp/partials/entry/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5>@<]+T}", "fޜVjD2U	V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",+KWo:Xp\'K", "wp-content/themes/oceanwp/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LxA\n	7{v", "sTm%^䕁Ѹm̀P#v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".xQ}t\np", "wp-includes/rest-api/endpoints/class-wp-rest-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l%$Ow\0C8", "x^GI\n6q\"}2L0TD?k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7*\"{\nK<", "wp-admin/includes/ms-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mY2Rjؓ", "]$N\nJY굙AEi~wcl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<IR y]", "wp-content/plugins/wp-rocket/assets/img/logo-adblock.svg", "0", "\"yH?b/8", "\"yH?b/8", "[>E%)q\'A\"EkI,72", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?8ZN", "wp-includes/ID3/module.tag.lyrics3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SV8\ZgU:", "߆\Z\r79$E63\r\rz>%B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CkT?%P6%", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/8uy8", "5Op=MqI׋mp&Dq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LM\nJ1(l", "wp-content/plugins/elementor-pro/plugin.php", "0", "l)EfO", "l)EfO", "~zFt 9k=*zc;&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N\0m\\*<!rY>", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/shop-page.php", "0", "\nǂdŅ\"*", "\nǂdŅ\"*", "8sJZ%00v{Z*Ա`|1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X*VL	_", "wp-includes/css/dist/block-library/editor-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hмnX9YYC", "A鲜p43ꎌag獥kZL<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jI<꟟iU", "wp-includes/category-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R<ՈI5<", "͝pNXY#+8q9̍u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pA?@X", "wp-content/plugins/wp-rocket/inc/domain-mapping.php", "0", "sFҾF\\\n", "sFҾF\\\n", "[6{~Х^A\":B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&}?\Zs`", "wp-includes/js/wp-sanitize.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`oЏ{]", "zjljx,ΏƭLcfmjD$υ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tk?zlS4]", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-optimization-subscribers.php", "0", "\Z75!D", "\Z75!D", "Yv\0ҋpS>Tw`-/%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QWsA7d\n", "wp-admin/css/site-icon-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`_?ބ=|+d", "MS>j/\"K%qޣ~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p	 `]%OO", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/PseudoNode.php", "0", "F*q%8џ(_", "F*q%8џ(_", "m#=36?/<F ~ ~ڗ@s]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e\\1tƋ<	", "wp-content/plugins/wordfence/lib/wfUpdateCheck.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4\Z@Xg	kv{t", "\Zެ%)I0P?CHk@rMzlH` F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GGa\"", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Crypto.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ÕmANR", " *J/(sg YD]و̨|\0z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z|075o", "wp-includes/sodium_compat/src/Core32/Int32.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3NM[/\r~H", "rWQ@x[1 *o9$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B]nȄ87g", "wp-includes/images/smilies/icon_rolleyes.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(X5\nbߌU;	n", "m(EڕTpϻ܏֢Pg.2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=zԺw", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/path-converter/src/NoConverter.php", "0", "S.3|F׆+", "S.3|F׆+", "%\0H/سSܫ|OJQQc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fR/1< PC", "wp-includes/js/dist/shortcode.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fП$*+", "D!IKew,,&hT!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o@pXx", "wp-content/themes/oceanwp/inc/customizer/assets/js/typography-customize-preview.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'	pY3E", "vF@x)F9`GhK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kȁ;$z", "wp-includes/js/dist/notices.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W5;tK-oƴe", "V\\+3F[Y(if1e\n9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";%sv#sz", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Optimization/Data/NGG.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^=@t", "wC=}Ewn9\",\\V\'s׆\0`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=@,Zd", "wp-content/plugins/elementor/assets/lib/dialog/dialog.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}fGljjq", "CavHSUu?7ml\0d	Wz\\F>vc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">c\Z\nQItPĞEM", "wp-content/plugins/ocean-extra/sass/components/_widget-instagram.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڥ)mdĝn", "RiƵHrs\"ڝ~j:1-(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MjAMO\"If", "wp-includes/SimplePie/Net/IPv6.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Fy!jـ", "i*8.yPB\ZYe", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W﫟\\+@", "wp-content/plugins/ocean-extra/languages/ocean-extra-es_ES.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C訜֧2Ɇ\Zi", "Թ<~DV\07XT8b		y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xf`#L", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AsgardInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LJM", "V\n#\nA@,c]:a# a\n&7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kIKV[	5", "wp-includes/sodium_compat/namespaced/Core/Ed25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v>#!n(", "DFUu|v/]2x_ERL2QlP93s	15", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rQ;JRM", "wp-content/plugins/elementor-pro/modules/theme-builder/views/theme-support-header.php", "0", "\r}mC#87&", "\r}mC#87&", "\\L^8)2WnK2&jTTY5Dq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w\ZdϢ\ruD\"", "wp-includes/IXR/class-IXR-request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%p.<Sǡz1Ϣ", "Q*k_}2>Tq<_S:Qh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nUeܝ\"", "wp-content/plugins/ocean-elementor-widgets/modules/blog-grid/module.php", "0", "g\nv@[od", "g\nv@[od", "[c}sDj5~?eGqE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^4}zza", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/i18n/wpml.php", "0", "4\'ٽb>z", "4\'ٽb>z", "G*a~7rYF[Ic(DU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}tvDc", "wp-content/plugins/wp-rocket/inc/admin/options.php", "0", "iگfR`Q", "iگfR`Q", "9]tdJ4WQ	pXf&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$xM1>_8P\0", "wp-includes/js/swfupload/swfupload.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#9>&YRg", "ݙRYY-ҕ&qW1(K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pG-G", "wp-content/plugins/elementor/includes/controls/groups/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",%Qq", "- 9zނG$Pm5SB/?-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	9Kb$", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/butterbean.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nYz9L~\Z", "Ϩ(hJ\\v)Q|`m\n3?F	%L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qs|cL؜VH)", "wp-admin/includes/class-walker-nav-menu-checklist.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|)Ta", "s{dc~Xu>-}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nK\"J\"wNZ", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(Ye4TetY]", "x7k5\'	caŤoT~C:a6NU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/8&Dg|#", "wp-includes/js/dist/viewport.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!E)\nhb-1g", "r_=^@]Dg㰯=w\0hd<.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7]s", "wp-content/plugins/elementor/includes/controls/color.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Umpc9\ZQVL", "nבsE\ZTiD۔I&_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!&\na;", "wp-content/plugins/elementor/core/debug/classes/htaccess.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6M_h8G/", "Wѧ$g^~_EߨAv2Yz\'#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*gn.RLx̔ҹg", "wp-content/plugins/imagify/assets/js/library.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DdϘb\ZR", "R_]W<1 fp~pT~8%^סF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HVpf", "wp-content/themes/oceanwp/sass/components/blog/_single-related-posts.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8Ӝ9mG", "a*:_E\n*\'i%_|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oxرc5(", "wp-includes/css/dist/block-library/theme.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Iıih#@ڍn", "&&qZ>	^Hxrmz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n97I.Oҝ޿", "wp-includes/js/heartbeat.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7ΐ5kM%\'yP5", "`	2katʟ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|BlIHҼOSƱ", "wp-includes/js/mediaelement/mediaelement-migrate.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<C_hz3<7", ",b#0!aOVc,ؕSԏIл%p)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ب&G)k{", "wp-includes/sodium_compat/namespaced/Core/HChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hP", "Kd%.RAOFjo-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MӼ7T~", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/AbstractRecord.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$kA`lwy", "7\r4	춥Q\nc>c\n>Pf84Hk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]tiX\Z}", "wp-content/plugins/wp-rocket/inc/classes/optimization/JS/class-combine.php", "0", "NU\n78x($", "NU\n78x($", "OxdBU_UMm\Z\r(m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M<OGH\ry_(", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-meta.php", "0", "Ewiv.C~", "Ewiv.C~", "yo4	t,O0XrV7N0UT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fX^[MSL", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/page_load.svg", "0", "Mvˁ\'N", "Mvˁ\'N", "[ClD:7z\'jXQrX\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("эl]lZB6+", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GelfMockMessagePublisher.php", "0", "+9j/Z", "+9j/Z", "F\r$\'mR<!8\Z[S}fCr}&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h+B", "wp-includes/js/tw-sack.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DNkP\n~h", "\'!,r!qܺp]^k,.A\rM_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\"vh$Lb", "wp-includes/js/imgareaselect/border-anim-v.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " z!<7*", ">d:j1<!46g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˩6f/6YjI\0W", "wp-content/plugins/wordfence/modules/login-security/views/settings/options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XUt\\HD", "w>Ȗ@UFg݃{=-ڪ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MAH\0[d_!", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_namespaces.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5,}vĨ3G)", "Er4@\0ԡ$z3$l\Z`iexl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\nL\";`", "wp-content/plugins/ocean-extra/includes/widgets/video.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x=\'6IP_c", "(y\"UA.pyn-\'/7tԇOUV	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("We8}", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/WolfCMSInstaller.php", "0", "LĜLȐr4r", "LĜLȐr4r", "\r&s3H)CN)1\nJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yc0Og)ρMf", "wp-admin/network/site-settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\b|#ҍ3 f5", "~Ie-6zS#\0at^J[WCh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U]R)Ym", "wp-content/plugins/wordfence/fonts/roboto-KFOmCnqEu92Fr1Mu7GxMKTU1Kvnz.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nj09", "\ZҨ2#s:Р\n		vØ+l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tǱ%F", "wp-content/plugins/wordfence/lib/wfNotification.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0Ǎ V2(dhVD", "SaYgj+| JM8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	*1G*YV}Z", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_2e83ff_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6\0Xpys", "/#%`s[mo6i?5rW<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fj]p Ac\rp", "wp-includes/Requests/Exception/HTTP/406.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Klhr9\"\0", ",aY}PR6`)Kfism ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".g", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/ClassNode.php", "0", "6\\ޣ>\rO", "6\\ޣ>\rO", "sf=h1kc/tA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ldF", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/loader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?nQd# 7\r`", "\"kzqPvZ:C͠g4U	{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0]Va#Td", "wp-content/plugins/wp-rocket/vendor/composer/autoload_psr4.php", "0", "#+mjE<Υ", "#+mjE<Υ", "^;N mkZ(\n{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1ϣI", "wp-content/plugins/wordfence/lib/wfImportExportController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HM.", "ƌZ>2ì<\rsJ2*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3Vq\'B_KZ", "wp-content/plugins/ocean-extra/includes/jsmin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UL-o!QQUOݧ", "(\0j_gqR\r~.N8:sp$Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5(3|", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Tokenizer/TokenizerPatterns.php", "0", "\\ҢX3\r!HQ", "\\ҢX3\r!HQ", ">`O$.J.LIR~@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<|~E.Y^!]", "wp-admin/js/widgets/media-audio-widget.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7ފ4sF>֓", "-YrfpiRU>Z֪Jӊt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?\n5H?", "wp-admin/css/customize-controls.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tZ\ZWi`u", "K	I@ØeCF&tF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C, jp\rWG", "wp-content/themes/oceanwp/assets/js/third/edd/edd-display-cart.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z;Wqb", "={ƻoDOp=pL\ZrH\'Tq}4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ON5dݹ ", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_95_fef1ec_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*o]c", "\'Z7%B3:}ҎU_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZnK4%]ۉIʙ", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-providers.php", "0", "ҷo;\'", "ҷo;\'", "U4m(Ϲ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zBx>t_", "wp-content/plugins/imagify/views/container/data-actions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^pp#|", "s%ߗ]x{jJS^[{޸", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zk|h})W", "wp-content/plugins/ocean-elementor-widgets/modules/hotspots/module.php", "0", "TokK", "TokK", "4s^\ZT>3\':UMUR{a6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&@@dB!<e", "wp-content/plugins/wordfence/js/admin.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";Ev]1", "4GZtQ*\ZtljlҊa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("juGCtO", "wp-admin/css/colors/coffee/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "];6Th", "	A]7:(npCcs\0hLIn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l.H|S{", "wp-includes/js/jquery/ui/effect-transfer.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ި\0w}n", "UT$FtuuoO΄", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ISU`uTF", "wp-includes/sodium_compat/src/Core/ChaCha20/IetfCtx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l{bOs_a>", "mn5ߐ֞βgJ\\3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5JP/]cYY", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_55_fbf9ee_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-3[.]:", "^>t_BUeg7޺cUU C0,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݖ!gDSbp", "wp-content/plugins/imagify/assets/css/sweetalert2.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1t\'_", "<R\n&wU*&f>k?B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʚ{(\\i7.", "wp-includes/Requests/Exception/HTTP/431.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s|b$ѓ<", "ꅱ/Y6_wpkw0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}^72", "wp-includes/Requests/Exception/HTTP/415.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XTb̮JU", "v%_\0b$m&`(=m<b\Zo0p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cl CB7UQš", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-gallery.min.js", "0", "@9{l,oP`", "@9{l,oP`", "fA\n*lx%+\Z\'8\'%c@\'VV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	yyT+fS", "wp-content/plugins/imagify/vendor/composer/installers/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1ܼ\'Zy{", "\\yޟ#ށ\ZNVwC`u^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'.`@Q", "wp-content/plugins/duplicator/installer/dup-installer/main.installer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0QV[", "`TUIo/EɇhiK8;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3qc;*V\08\\", "wp-content/themes/twentynineteen/sass/variables-site/_transitions.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӌؠv&Ad", "Ks;oZÏYS!e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\0?8.ǋEd\0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/IntrospectionProcessorTest.php", "0", "+$4WmF", "+$4WmF", "=@<,>9*d-YQK8ä1ώ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("anV=Ty X", "wp-includes/SimplePie/Copyright.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hT	Ùj", "b_$4_m2BJ\\5ߏ\"%	N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rubEp=]", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/logged_in.svg", "0", "Jx(", "Jx(", ",\nֳFGt_]K?ۨ熼", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"<0m?\r", "wp-content/plugins/wpforms/src/Emails/Templates/Summary.php", "0", "K,9rƥ\'l", "K,9rƥ\'l", "kIr[#>@~	g|y2\"mL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9}몟!\Z\r", "wp-content/themes/twentysixteen/genericons/Genericons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")ld*Zb", "(5\\&HFI7l24=}`jVBj4)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bx(tXH", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Reader.php", "0", "\Z^u4r", "\Z^u4r", "Z=\\bEhGGBi}x\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H+\rkƅ2", "wp-content/plugins/duplicator/assets/js/jquery.qtip/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M2έ\"@8", "wp-content/themes/twentysixteen/search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C=O|,Lz]", "=2gN\0 |G6RVM\0xB[w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^6zC:p8o;Q", "wp-content/plugins/wp-rocket/inc/classes/event-management/subscriber-interface.php", "0", "d6		r!^", "d6		r!^", "-/x*%.\'rf1x`6:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jCPn\nYxJ", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yԂoUFw]W", "IH*##~#Q]wbs\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ncvuyX", "wp-content/themes/oceanwp/assets/js/third/woo/woo-multistep-checkout.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h^P<j-݉_", "nxn.G$eTGv©5zk;M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nڼƝ2", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/BrowserConsoleHandler.php", "0", "E57nI~|cN", "E57nI~|cN", "D>Ȟ\'8حJ6JhC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("} yTZHcDJ", "wp-admin/js/custom-background.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5.P3֎~?", "QqS`	]ӫuJL]xס4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^rARK-\r", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eq+,!GZ", "Hٛ\'Ψy%Q=]SH*-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xz9h0t", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/theme-page-document.php", "0", "\nh/fR", "\nh/fR", "-`dC/[IfXJ ;rRR ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E\r<4<J;I", "wp-content/plugins/elementor/assets/images/logo-panel.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ήKAW\r}r", ":5 yh;m!L#nÕ;XP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{0l(Ʋu9,wSu", "wp-includes/js/media-audiovideo.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_	G}|O\\=x", "40T^\njf\"8m7(~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xVd\0aK", "wp-content/plugins/duplicator/lib/dup_archive/daws/daws.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֚HԸ6I۔&z", "D*b(\rSt_%i\'\"f\\5B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" .~", "wp-content/plugins/loginizer/screenshot-1.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n\0wV-", "CGJFʨlQWOH,M2L.\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r0|݈f(", "wp-content/plugins/ocean-extra/includes/panel/library-shortcode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AUý8vCJ)", "ʹQ`NFGQC?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")!)6>}74", "wp-includes/css/dist/block-library/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T~02:\na}", "*w蛕һUlCx^+7 u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g\0}^ҡ:ݝ", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/jigoshop.php", "0", "x#ˤa{^;", "x#ˤa{^;", ",^]x#Ģ\"ҺW[y*:S.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U(b)J&v[r", "wp-content/plugins/ocean-elementor-widgets/assets/js/modal.min.js", "0", "4rz@lܔ4s", "4rz@lܔ4s", "$D912GLH=u8XΑc@U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".K⡉C>", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MayaInstaller.php", "0", "g\0p	f/l:", "g\0p	f/l:", ")_TM\"4\0ٜ(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LVY*", "wp-includes/js/plupload/moxie.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h[ipb\\", "୪Pd\0%0xT@36mQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0m#~N` ", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AOڭ2:G}KҖt", "Ή~YTÃ8`ync}ᖨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0\\LEbVz	", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AnnotateCmsInstaller.php", "0", "1csDh%[p!4\"", "1csDh%[p!4\"", ";<EU%HwDDˋ8T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" A$ۤfCN37", "wp-includes/query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s!ZS-\ZC", "FdSv;qɃ].\rQG_R6(ٺ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(הWh@=a", "wp-includes/images/smilies/icon_mad.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "׾ie\Zc{0", ";{gҽ*w|&~N:z>W3\rC#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("70,		M", "wp-includes/sodium_compat/namespaced/Core/Poly1305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Qy?;8V\n", "\0-]뮳XEt)`1C}Mr2/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g\Z\\\r`=m", "wp-content/plugins/wordfence/modules/login-security/classes/model/tokenbucket.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P\rL{ǀ", "VZ+&\rЩU;L)R!ӵ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i	9.Li}F", "wp-content/themes/oceanwp/sass/components/blog/_single-next-prev.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͅSW_", "oH\\sۡeMۜs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iBj]", "wp-includes/sodium_compat/namespaced/Crypto.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G8J+	z", ">8\'XiUbGн,<T`64Ѝ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zF, ij", "wp-content/plugins/elementor/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ucJ{FZQ", "Y݉БP`){\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{9\\\'Ylv:", "wp-content/themes/twentyseventeen/sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cx(Z%p4>", "ᮈXjtcIA1lhRTʀ]\"X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vόY9", "wp-includes/ID3/getid3.lib.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f1`8cw\0:", "͚B.tmٓ/gbGDdZX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɜG&", "wp-content/plugins/duplicator/assets/css/images/ui-icons_222222_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "涐*@cyGu%", "\r%\"Xc}|}Ġ\nňh^g,!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QG", "wp-content/plugins/elementor-pro/modules/library/widgets/template.php", "0", "XU(EUQa^.T/", "XU(EUQa^.T/", "N3gsѺ6Y#\rzgqe,҄", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XHov", "wp-admin/css/common-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vXۆyl", "dD:EncOʧAVM,qOԩ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xp~0D", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/HSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Woe~oB2_;", "5qSrL]OXsq+l<ɒ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D !1gqt%Z", "wp-content/plugins/elementor/core/files/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&^.jXLgy", "\"V)̸,ٱXP*B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֗]NRS{qv?", "wp-admin/css/wp-admin-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JA9\0W:", "ٲ+;HotN-ge", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z,zҐU", "wp-includes/rest-api/endpoints/class-wp-rest-terms-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8+\"L", "5ǳO޶Om<oU\ZM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")^HqpE", "wp-content/themes/oceanwp/assets/js/third/woo/woo-display-cart.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZRIfo\"F*", "{7IQEѥWc*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wH^jH", "wp-content/plugins/wp-rocket/views/settings/fields/text.php", "0", "aٶ", "aٶ", "p9hpRDIkYP)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xۧ_8yY", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UGGxGg", "5U 5Z$@E,`As\"w3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǱF{", "wp-content/plugins/ocean-extra/assets/css/footerWidgets.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ruD}A\r~", "=m0y>/%&χh:\ZÝ=Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Le$ThYܟ", "wp-content/plugins/duplicator/views/packages/controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i׽=_Β\r", "MP<<gĴG*\\q\"m\"M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O܎$8Je", "wp-content/plugins/wordfence/models/scanner/wfScanner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*F6Ѷ~", "}}\nN\'`ib|\r-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("τݧJm", "wp-content/plugins/elementor/assets/lib/waypoints/waypoints.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8VTs_~", "b֗.Q!\\!ꎣE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0߯NI", "wp-content/themes/twentynineteen/inc/back-compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c;rR Wٴ", "Eb]qul#Qj,RN0Q(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˘aHC", "wp-content/plugins/ocean-footer-callout/assets/js/customizer.js", "0", "Y!ofP׃", "Y!ofP׃", "G8oZ8BXt Zu>es\Z3E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V܂0\0U`5C>", "wp-includes/css/dist/components/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tA]\'2\n", "Ntٜ?ޢP#\"m~@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	JD뇁e96", "wp-content/plugins/elementor/assets/shapes/curve-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wlN_Wh", "쌩&L{1c@L`k\r~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R `;8~v}", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-footer-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HG$ߡ\n˒", "modrw5倍N\n@\\C%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȖyC\'1Li7", "wp-content/plugins/ocean-extra/assets/js/fullScreenMenu.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aC)~>x", "VT4D;yU]JPN@\r3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-qQ\"W\0k", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AbstractHandler.php", "0", "c/Ai", "c/Ai", "\n|OIv$~|FJh\0(m (?9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z R[\'>", "wp-content/plugins/wordfence/css/images/ui-icons_777620_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J\\c7yxгl", "~qV*\'1]3^m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$jX])D:", "wp-load.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "34mbw*T;", "h(t݃\ne	Ǫ[]L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$-1tv", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_454545_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$3tb?і9", "^Uz٥*>R8\0f褐e*p+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(\\+_VFOW-", "wp-content/plugins/elementor/assets/images/contrast.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qʕjR\\M", ">LձMaq*&m9	I|+Ժϕ#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2--gy5", "wp-content/plugins/elementor/assets/shapes/zigzag.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/G@?\0:{Q", "N*w|	Șx<J:kT ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2\\17Հwi{", "wp-includes/js/dist/vendor/wp-polyfill.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hlzJtdicu\ZJZ~", "j7%,\Z\ZIZԂf^Hk7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@ 1\"nD3}", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/fa.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "霛LyזG", "E>1VshYBpE{2=\"Pj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H)jHj", "wp-content/plugins/wordfence/modules/login-security/classes/model/text/javascript.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V\'BlIf\"c", "O$U?\nRyV=TZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UF0.Z_", "wp-content/plugins/imagify/classes/Context/AbstractContext.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c4uZV", "`*QEE5!&bNy,l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y&jos!T", "wp-content/plugins/elementor-pro/license/admin.php", "0", "`wB(\rAsN}/PH", "`wB(\rAsN}/PH", "z5J.Q*7GG!1%d<bWN_RFE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[JquT", "wp-content/plugins/imagify/inc/classes/class-imagify-files-stats.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "26YO+-Rͱ)", "tyėNѺKQd}R%\'vi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\XM>)", "wp-content/plugins/elementor/includes/fonts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "56\08_ӝ#qff", "|AE\\cE/.!c8f[JJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fQʵWVCiM", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j%Mɍp)Z", "wp-admin/images/generic.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'[#98!", "{uK[g͆Ex{:߼lͨG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rJ)xIXd{]", "wp-content/plugins/duplicate-page/css/duplicate_page.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=n=j\\]hb", "즌P	pC7ف&8pU&PhB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zXt3coܩ/8O", "wp-content/plugins/elementor/assets/js/admin-feedback.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i9}/f ", "~DGɴcQD2_ze\Z윊@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OzV2q{", "wp-content/plugins/elementor/includes/managers/wordpress-widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cA/[", ",i\\sQO/,<Y0\0^L~O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2։Pqpt", "wp-content/plugins/imagify/inc/classes/class-imagify-folders-db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DV90RׁF", "oW6|敧M=._ޑ++n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C9L6N@", "wp-content/plugins/wpforms/includes/admin/class-menu.php", "0", "s_SZO", "s_SZO", "LY+ogy\"慠A_f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nZP	\'U", "wp-content/plugins/duplicator/installer/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RKQ5v-	", "wp-includes/css/dist/edit-post/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q!WteOt/", "[֐vWc=_j/Wgl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ud?<!.X", "wp-content/plugins/wpforms/assets/js/mailcheck.min.js", "0", "rn\\gdyc", "rn\\gdyc", "31\"b\"5*뱜tlmr\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";(Xp`ҙpݷ", "wp-includes/js/plupload/handlers.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B);\rz", "\" 1z3S79xrc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".ըIN", "wp-content/plugins/ocean-elementor-widgets/includes/helpers.php", "0", "hg6 c\0SMdu", "hg6 c\0SMdu", "#D+糪U_4_SpI˔խm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t0ga/", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~-x\'	", "{ڋNo#X+Xe\'_>\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nqoqZVyX9", "wp-admin/includes/menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gעw6/8\ZPK", " `7;d2jX1KfMM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("78ywJî", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/base-tag.php", "0", "? \0	uc$", "? \0	uc$", ":)eE v󿑜bqT]@3|\nJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9Z73#\n̯", "wp-content/themes/oceanwp/assets/css/gutenberg/gutenberg-editor.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yN%\Z", " \ZLcKuR^x3Ii>C.n\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mihѳ?wjl", "wp-content/plugins/imagify/vendor/composer/autoload_psr4.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#my`-f_DB", "E#G,B\09Ɔ)*s^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yc:Qug", "wp-content/plugins/wpforms/assets/images/about/icon-full.svg", "0", "@>4jR", "@>4jR", "9V8!־tqHa4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`@YE!", "wp-includes/Requests/Transport/cURL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "87a`CZ", "hI x<%ji$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tkVcLKg϶w", "wp-content/themes/oceanwp/assets/fonts/star/star.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZogZV$", "oj?<t+Q/ؿi\nNw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ujF8:Lku", "wp-content/plugins/ocean-extra/includes/wizard/assets/img/jack.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Zl苓", "b89lH1tr*G?T(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"\0hWRf~F#X", "wp-content/plugins/duplicator/installer/dup-installer/views/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("淥GWFZ(", "wp-content/plugins/wpforms/assets/js/jquery.minicolors.min.js", "0", "Ko\Z:O-Q", "Ko\Z:O-Q", "Aƾ|n8\\k%J[!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S߼:4<1", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.dbtest.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"{v\\hxes9", "yE%ԈWwV.4sg>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n=z0B", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "썰P%>{ʶcl", "Fʠ`Ԇڈ8Y)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ư	\'CԻګ\Z", "wp-includes/images/admin-bar-sprite.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S:W^", "rN!`VOcKviՀ{Fn\Zle", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4#հ}", "wp-content/plugins/wordfence/modules/login-security/views/manage/code.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/D\rmb y_", "$+;f7{O/gp~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xKKu4Y", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/category.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*cyVX+:", "k̏5r&؄	=\'?Rf/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("퓧u.惍@", "wp-content/plugins/wp-rocket/vendor/composer/ClassLoader.php", "0", "),c7K", "),c7K", "W	8W\\m4uS{|Л0xZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Z0\0ؿeԦp", "wp-admin/css/admin-menu.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZXkc\0Lg", "zV\"ET\n@K֗Bo-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȑ{}m#X", "wp-content/themes/oceanwp/assets/css/woo/woo-star-font.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Iѷ6 /yH`9", "um1=c$fq&o2qv=۳C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"8Y74O<", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "diBDJD5O", "NaiB\rAO]@P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x8[!>X", "wp-admin/includes/class-wp-users-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",heR", "t[\r~WI!]@љ]kBp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B5r\'L\rpP", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/FunctionNodeTest.php", "0", "\'Li\0", "\'Li\0", "-5FtWxpF^G\rd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Za0 q", "wp-content/plugins/wp-rocket/vendor/wp-media/rocket-lazyload-common/src/Assets.php", "0", "giM\r}ڧM", "giM\r}ڧM", "x4yE	zjyHUWTUGcwvŭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"On(M5", "wp-content/plugins/elementor-pro/modules/custom-attributes/module.php", "0", "LsAx)", "LsAx)", "~ep4ȡ.2ML&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UM<6p", "wp-content/plugins/wp-rocket/inc/front/cdn.php", "0", "vr^v 1|", "vr^v 1|", "jgv,Tv?_P\'U?\"Ά;>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ue{X1", "wp-includes/sodium_compat/src/Core32/Poly1305/State.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OR]IN", "IKL{NO%\"Q/1*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q;+>}uo.", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/ElementNode.php", "0", "GUG8G", "GUG8G", "F	Ѵt{	32RY6c:H]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")loh\\", "wp-content/plugins/duplicate-page/languages/duplicate-page-cs_CZ.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0mS", "h[Zo\Z\'VJ|ʹ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/0)\Z", "wp-content/plugins/wordfence/views/scanner/issue-database.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[ \nRoN7|", "~❃gd&w[uo|t}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@qG-$|", "wp-content/plugins/wordfence/modules/login-security/classes/controller/db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gPʋi[", "DeJ\Zfxb	x\'P:U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SKK2iɈ", "wp-includes/comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$Rf}q", "\r/Jźi\\;)y6\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[?xsO;}", "wp-content/plugins/ocean-elementor-widgets/assets/img/instagram.svg", "0", "8Waf^", "8Waf^", "cSuc5.#ҍY$!8.\"]瑕N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q*I-x", "wp-content/themes/oceanwp/assets/js/third/woo/woo-thumbnails.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'A(TƘEUV+", "_rTήVvߏ:=3G.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x_,[5", "wp-content/plugins/wordfence/images/sort_asc_disabled.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ǐ#a]2", "[8lYckl	u#KVn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ygzaU\"	XKG", "wp-includes/js/hoverIntent.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z/Pꮱ<	", "tneTR/77@\Zҧ0gǌ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("顗H`k!U", "wp-content/plugins/elementor/assets/js/frontend-modules.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B+\0w\rw", "0*,Hs\n:Wk<ysG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T,/{ت", "wp-content/themes/oceanwp/assets/css/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#Dɺ[޹?b", "\"uA=#e:w 6AN)ҜCM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m\Z\\K", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/AbstractProcessingHandlerTest.php", "0", "\\)Z*$+", "\\)Z*$+", ")jGbp5B3bXdm2\rc?%H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("¶2C ]PK%\r:", "wp-content/plugins/imagify/assets/images/spinner.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ot.<GpJ", "O\n_,*̲OH@z%ҁ}`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QњyN9Znsq", "wp-content/plugins/duplicator/assets/css/modal.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D{g/: %\rY", "%yd.bFZ_7AaL5̮", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NTZto\r%F", "wp-content/plugins/wordfence/views/scanner/options-group-general.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CyI\'LZ", "]-;2Zvi4!Hᷳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wp_h1(W", "wp-content/plugins/imagify/assets/images/check-mini.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǑoaiQҩ", "Z_H1vA޻y\\6`AF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("û~J^,( ", "wp-content/plugins/imagify/assets/css/twentytwenty.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xj=Jn6]BN", "ư_UV^ٔGeG5v	p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!1\"G?&s", "wp-content/plugins/ocean-elementor-widgets/assets/js/newsletter.min.js", "0", "	r/enc", "	r/enc", "A*g;^+[	1w#̂ss", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'ć&Px\r*i\r", "wp-content/plugins/imagify/assets/images/mushrooms-ultra.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")>j3\\6", "{\naîRE&TN4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/ɘ]^W\\q", "wp-includes/css/wp-embed-template.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F\Z3g*|JG", ":dLT+y\"z8s#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=ߜN,", "wp-content/plugins/elementor-pro/modules/woocommerce/documents/product.php", "0", " .`\047TXk", " .`\047TXk", "35;W5Ta\'yUrT4}_$=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dr}B\nC}eP", "wp-content/themes/oceanwp/partials/header/logo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")G0ױ6{_w", "a3\'(&gȠiRRo\0R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FTjx#^>\"", "wp-content/plugins/imagify/views/notice-almost-over-quota.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m/iٓ$3ꉇF", "B/aڦ<2duϰOpS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K/F1", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/ArgumentResolverTrait.php", "0", "#<c-a]i", "#<c-a]i", "YLKǚaw2d\\tj`D=t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_oV9ϣF", "wp-content/plugins/duplicator/classes/class.db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w 3", "-mիj[B@wn5\027", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bB?&", "wp-content/themes/oceanwp/woocommerce/result-count.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"	W`j>v\0o", "#cn\0QU/j1Jr6Z:Z*_U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cH2#.`", "wp-content/plugins/ocean-extra/assets/css/admin.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UrJvCΡ$`", "ǣLP`$CpL)&EEZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d{N0_Q?", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-minify-css-subscriber.php", "0", "L܊GT9j*d", "L܊GT9j*d", "P\"ʁ[K3\ZE=&W ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j3x㓵Vd4", "wp-content/plugins/wpforms/includes/class-providers.php", "0", "*E,|D", "*E,|D", "C٨A8O<5\r%&0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v{LJlōYz`(", "wp-includes/js/thickbox/thickbox.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i֪[-G", "1\rcE^eAB4xz[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zLC^F:ϋ", "wp-content/plugins/ocean-portfolio/includes/admin/assets/js/metabox.js", "0", "\\`ʢͺc.P", "\\`ʢͺc.P", " =cӟmpoRG\nI#mSͲ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{]uzmzio", "wp-content/plugins/ocean-pro-demos/ocean-pro-demos.php", "0", "UǄyֲ", "UǄyֲ", " JQ;PNNY7۪߱T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\(AY+cB", "wp-content/plugins/wp-rocket/inc/classes/preload/class-full-process.php", "0", "rE2RQf", "rE2RQf", ":+B)mv]ha$C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A7NI,1", "wp-content/themes/oceanwp/assets/css/third/font-awesome.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-?#", "r67fXYl.Vp$3I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zEX*V", "wp-content/plugins/imagify/assets/images/icon-arrow-choice.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K]i4<", ",F0QHc-#mo{D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Đx֝N", "wp-content/plugins/ocean-elementor-widgets/modules/countdown/widgets/countdown.php", "0", " 50QhwP\"p", " 50QhwP\"p", ">oD\'&F֝	͞~E=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(NL;	", "wp-includes/js/dist/api-fetch.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gQU	J", "6;ymG6J|\0i8ڻ]ڨҭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6=|B+", "wp-content/plugins/ocean-extra/includes/widgets/custom-header-nav.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|dD}S]", "$39^\0uf1=gZN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zkn#OMc+!", "wp-content/themes/oceanwp/languages/pl_PL.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ކi\rY/\'", "ώN|\r(QaP`<a|O`<#@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?UBwN	i", "wp-content/themes/twentynineteen/sass/navigation/_menu-footer-navigation.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fp4g", "x8o1bprp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ᇙzy54hɟn", "wp-content/plugins/ocean-popup-login/template/popup.php", "0", "ri	~I%+7", "ri	~I%+7", "RNb|HE%E[40k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("퇴u46", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/HttpException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lfk<\r\n", "R!O]pI\n\\VP9=!?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W8+V&q", "wp-content/plugins/imagify/inc/common/admin-bar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H?ڭ\"<", "Z)І9!wp+4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("},wHpFA", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XVטO|8}", "wp-includes/theme.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lB3tF%", "a,+܋z=iܒ\\u.ip	F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" N)\'2W?t", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/AttributeNodeTest.php", "0", "	, @wno^", "	, @wno^", "qth\"\ZLd랉ddقa\0.fC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")JDny1](", "wp-content/themes/oceanwp/inc/edd/edd-helpers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!}Tc2ؘ", "vN6/Cl;՗!tFH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5v~cV`N", "wp-content/plugins/ocean-extra/assets/js/woo/wooQuantityButtons.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OΖ!Y\nl=", "L90Ay\"Ԇ8g[4r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7M-˾,", "wp-content/plugins/ocean-elementor-widgets/modules/modal/module.php", "0", "r!ي\\\\E*\0(!", "r!ي\\\\E*\0(!", "Wڝ4k{Q_\Z/a&dCOH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BH*mzN83", "wp-admin/css/edit-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8I\\鎤wig", "#W8mycߚp_%\ZN[6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V}Pm/|I*", "wp-includes/js/customize-loader.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CWdC;,ce", "Q~nj|Ii~r34bE \Z<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lt:{0+79C", "wp-includes/sodium_compat/src/Core/HSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Hx+07`}", "@qzjI \0DaW6n{y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|tsKC", "wp-content/plugins/elementor/core/common/modules/connect/apps/connect.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dN\n%", "Žr{@)x_^{\\JwpI\0,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".v8-rJŕqQ", "wp-includes/js/wp-auth-check.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".\'\'xĉbӗ", "tWp.?]0讟+po)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*$)bh", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-base.php", "0", "+k{4cZ8O", "+k{4cZ8O", "ÿ8Js38_Pf?&dBt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7E#wŧj", "wp-admin/includes/image-edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":@oP\Z\"J85", "\ZvVFM ؽGg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bq/Fk", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/Precomp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7¤\rFg", "nV\'VV)F|*ᑝ2Nz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ͱ>ݾ}", "wp-content/plugins/duplicator/assets/js/handlebars.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "À3^rC_ %", "|@>A~ǥ^D<jw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Loe5B r", "wp-content/plugins/wpforms/vendor/composer/ClassLoader.php", "0", "|%*T*`", "|%*T*`", "289vu3n	C2sva/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I\"K5+@", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Railgun.php", "0", "^{<W?D1", "^{<W?D1", "85p~3o\r\"Sǫh+@ B7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I\'?yq&", "wp-content/plugins/ocean-portfolio/includes/admin/class-shortcode-generator.php", "0", "2o_!1C]8<-", "2o_!1C]8<-", "\\oER(z`ғ^dpJRK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v|-", "wp-includes/js/tinymce/plugins/tabfocus/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!<]r", "p[L7F|˖ZBR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n;E t\09", "wp-content/plugins/elementor/includes/base/skin-base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X2r-\Z", "Fhe̸h[C~5jf7-g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȴRȗz6", "wp-content/plugins/ocean-extra/includes/wizard/assets/js/wizard.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O.hb޿&Z", "fI-3+R\\jMv>s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!HUN&\"z", "wp-admin/css/widgets.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e/q6g.w3", ",U0,5΀\Z50?p$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&6ʣSOF6ti", "wp-content/plugins/ocean-elementor-widgets/modules/flip-box/widgets/flip-box.php", "0", "`#(mi", "`#(mi", "RX3\"tdmɬQR2q(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-šËL`Z", "wp-content/themes/oceanwp/languages/nl_NL.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ÿt|^#3_", "˖7gt>\n#%\ZpP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MFՒ}", "wp-content/plugins/ocean-cookie-notice/assets/js/main.js", "0", "J]b_.\\^NGK", "J]b_.\\^NGK", "0cO\09o=	rj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PtjΔ]M3\\$>", "wp-content/plugins/imagify/classes/Stats/StatInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~5lDS", "W\Z3o_ql9)?q\rnq[	G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[A6a(&A\"", "wp-content/plugins/elementor/core/common/modules/finder/categories/general.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ԑ(\rĩzXRj", ")LKQܶ~2\':.%7V,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("atUq^!0ƣl", "wp-includes/post-formats.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F6ޤzd`ZF;", "TE7֏Xpwl\ro.&\"-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hH֭ipJ", "wp-content/themes/oceanwp/assets/css/gutenberg/gutenberg-editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WR$P1=9e\Z^^Q", "WQ%gnI=>vf\rZa+F_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kzߣboR", "wp-admin/post-new.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">zQ}\n\\", "Q(M6%qj^uғmq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ke;yP<", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/butterbean.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}~%-5r4|", "^n-6Q\"kW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vO#JN+쁁", "wp-content/plugins/wordfence/css/images/ui-icons_ffffff_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aa+JD$2J", "/#?TiOLyvuTKɤ\\ػ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6$~3FS", "wp-content/plugins/imagify/inc/3rd-party/wp-rocket/wp-rocket.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "||kiR8i]<", "(~y[tv\"q|[釟q9B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϵٕNzH/", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerTrait.php", "0", " /j0#?", " /j0#?", "8r=Sۇ~х&<yəeŨo׸", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@{J5䷴X", "wp-includes/js/tinymce/skins/wordpress/images/playlist-audio.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U,:)؋\"QqY", "\"Ooۈ<oES-MO÷YN!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L6	׳", "wp-includes/ID3/module.audio.ac3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TtK섀1	#t", "~T\'aHl>\0|cA`Џ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0?n^,}", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/nginx.php", "0", "WSr\"dmeT", "WSr\"dmeT", "y?0fq@ѝ:D)L6h<(x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TV\\", "wp-admin/import.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i.(Bȕ9GD\"I\'", "avڗ\rsQvۥF&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ӡ>MHX", "wp-content/plugins/wpforms/pro/includes/class-entry-fields.php", "0", "[_)*>d", "[_)*>d", ",Q2S78v%(Z!5@2:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NtKU", "wp-includes/Requests/Exception/HTTP/407.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vj&Ƶ", ">\Z]ƚB̏Xvذc.N2NҹЯ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܵ[Ҳm%6S8:D", "wp-includes/images/toggle-arrow.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "·a;d*", "[b\Z;]f0s|:%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ެ߳p", "wp-includes/images/crystal/default.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A>)*/!-", "n$_u	$Q3E׏r|Jm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#V(k]$(", "wp-content/themes/twentynineteen/sass/elements/_tables.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">\"MY~", "lGw}V>%{n\\z;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k..HoWO", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/JsonFormatterTest.php", "0", "6{`V5", "6{`V5", "(P50W_N8)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I	2RNjY", "wp-includes/sodium_compat/src/Core32/Curve25519/Fe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v\rs*\\", "OZ=<3StQ_u;	m8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&MXWO", "wp-includes/error-protection.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "톏3n/]e", "I{m&G;*rgi=)ڳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LG4p vZ", "wp-content/plugins/ocean-elementor-widgets/assets/js/twentytwenty.js", "0", ">_ڪK3.", ">_ڪK3.", " >uJ6<{]0\r~܉ΚM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F$Ⱦ]\02", "wp-content/plugins/elementor/includes/widgets/image-box.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S.W`\Z$U1", "%8QRw#:\n\'/ɩ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Th1+", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SilverStripeInstaller.php", "0", "P-^03͙5", "P-^03͙5", ">-且T	1&047lT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Wԟ\ns¾-", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/nav.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fW&׭A6l$8", "92B{jI,0cs~Cx4p_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'k\\\0=", "wp-content/themes/oceanwp/assets/css/woo/woo-floating-bar.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "})9wr :3", ".uJ\05\Z<բ;$X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/VP|.y\0_", "wp-content/plugins/duplicator/installer/dup-installer/favicon/site.webmanifest", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZHw> s*Qz", "-qS\n76mPI⿬YG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8V-ʜA", "wp-content/plugins/elementor/assets/css/templates/frontend.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?;U].N>", "_jv]UI&c5agh}]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hFuQe ", "wp-includes/images/wlw/wp-comments.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L6]P.s", "zl\ZCD#aN3\'XZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sc&MUYXp", "wp-content/plugins/elementor-pro/modules/forms/actions/email2.php", "0", "G_Qa]\"7", "G_Qa]\"7", "lCBT@f-l-GP3l+Y(΍", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u1HM:E7/{", "wp-admin/includes/class-wp-site-health.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ҕm;)J-", "i\\Ls$\ng{9X[E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n!G", "wp-content/themes/oceanwp/comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6*qy7/33", "U}@Aff3ƋC+UbS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M-\ZV3cuӌ", "wp-content/plugins/wpforms/assets/images/about/icon-partial.svg", "0", " B\nqzNW", " B\nqzNW", "靾0ڦ(ϛג@\0A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y`cfqU*", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B*	7gZD{", "wp-content/plugins/ocean-extra/sass/components/_widget-flickr.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v-k=bvU", "	y SG5\rpcckH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ႶC", "wp-content/plugins/ocean-extra/assets/css/pagination.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RRpmG9b", "];k	*\\SWQ۫bfzvhi$:W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\d\r@*0X-c", "wp-content/plugins/imagify/classes/Optimization/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Se@@Y	՗_", "d{Ĩ1Ѵk>a=3b1Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sK C\\G/", "wp-content/themes/twentysixteen/template-parts/content-search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ٛ	\nɮS3eR", "/f>P:.L	St\0.cvO\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǀ3<&YĆ", "wp-includes/class-wp-roles.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n>npWr", "<c8nlF[gCڷ#iD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f0ͭ~)", "wp-includes/fonts/dashicons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z_rY+ʂ;", "yU]f8tlL.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".IOIP%)", "wp-includes/Requests/Transport.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";kK\\Vl", "ɯO3eF㛆v+.r/>,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":gW4OU>>", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-buttonset.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۓ.S5fn", "\0ūԆpȲր/GVSn쌛E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MO,s\r", "wp-includes/class-wp-http-encoding.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9J9TC", "/c05&hCO0\"j֬X)\"%$Go", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aCi(\nC", "wp-content/themes/oceanwp/assets/js/third/woo/woo-display-cart.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'~1DHrk+", "xZr%лQg7±C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|aV~[f.", "wp-content/themes/twentynineteen/package-lock.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^bq=HG#", "309-śz8JP7`W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MЩű&&D", "wp-content/plugins/ocean-extra/assets/css/blog.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǆv.ġ\nLݤ", "\'\'9^\Zf\n\'P=DHN}O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#ynہ彐[hr\\U", "wp-content/plugins/wordfence/modules/login-security/views/manage/activate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OAO~ᣯL0", "	=\Z*9@*y}\0\'sZSo(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\"W@1A&!(l", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/css/gallery-metabox.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JI.xGBoRw", "U!2miz;d[,8ED1~j8o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\r3e%F$", "wp-content/plugins/imagify/assets/js/beat.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\ZZX", "<|PRB*$j`>lX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6|;;8Q4k", "wp-admin/install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v3Dƅͮx0H", ">FB;SdiW\Z4]k<f@`~y)\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9eEbݾl3", "wp-includes/js/wp-lists.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}B˪PgoWk", "]qEP~gW%b̘r\\-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=\\by|/,\r", "wp-content/plugins/elementor/includes/frontend.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b4[fͼe^R*9", "N9#HHmj`@)P{\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MB~oz\r2J,", "wp-content/plugins/elementor-pro/core/upgrade/manager.php", "0", "\nqI", "\nqI", "p>\"x4\nXx;a<;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TCܢPWν", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/functions-core.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h\'N	\n>F", "̠\r#ell9{yuQ4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wqc.g", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/post-type-archive.php", "0", "H\0cD-c", "H\0cD-c", "%xH1eʎf4M4=\"K!!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z9	`d3\0Iay", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/XChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " @^8J", "ؽ@B-Km-Ȼ\Z2p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'\'L", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-multiple.php", "0", "HlMpHtD", "HlMpHtD", "7\ZN*H=%ZvjիX)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z5o#R\'/l", "wp-includes/fonts/dashicons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_ՙe|", ".}6`87Ja!e97D\"l[Z#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N^U?y2", "wp-content/plugins/ocean-elementor-widgets/assets/js/member.js", "0", "|dEQ[۟w{\\\Z", "|dEQ[۟w{\\\Z", "pnkv}AO!VL$GW#m>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t=O+kz%B", "wp-content/plugins/elementor/assets/js/gutenberg.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w͗O+3h@H	;", "vTb\0Uݕp܉јӚ?\\0y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SXw6Mߠ-", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-logo.php", "0", "ۘТ$0", "ۘТ$0", "\'#\nK3ݒTEե_eg.z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ab<` ", "wp-content/plugins/elementor/includes/libraries/wp-background-process/wp-async-request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȉR1QiS", ";\ZY^FR-a4Bӷ{?.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|ّea#", "wp-content/plugins/duplicate-page/languages/duplicate-page-de_DE_formal.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UWc*g^", "g`]szAXygE&dэ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xc[\0Rt}", "wp-content/plugins/imagify/classes/Imagifybeat/Core.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wY77/­u܄h", ">|8>zӂ7Q%`\Z{^Tػ:Й", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E?Юᾠ", "wp-includes/js/media-views.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F첂d<|&", "JwF\\\0a|	Nfài", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" vbu)", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_dev_urandom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=Y@_x", "ް\Z^3ɟvU.a\r]fhI(sA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TkO28jh7", "wp-content/plugins/ocean-elementor-widgets/assets/js/navbar.js", "0", "\'R9ȿe\r!", "\'R9ȿe\r!", "ˤ7Hʨ1h9zЄe׭;n;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Cg}|E", "wp-admin/js/word-count.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P_J\'䓖AE", "n}X~2^_zhNLݪ)2F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݪ{2Q~^", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e\'&\ZAcS", "\0TnB7i,Զ\Z\"\\бUO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0}E	1", "wp-content/plugins/ocean-extra/includes/panel/assets/js/manifest.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";z*dip", "}\\]:mJ\0wO{j6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	vO.|ߤҵ", "wp-includes/js/tinymce/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ox:`", "Y#wOg^\'b:^	=跨|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rb/#Qfi", "wp-content/themes/twentyseventeen/front-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(̫5Es", "3QѡK310uqh#X4&al", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".uY\Zn", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/gravity-forms-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T؅KuØGp", "C=>$m1a>%I [bcdﺡo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z7>-sլ_Z", "wp-content/plugins/imagify/assets/css/admin-bar.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\W}|\'", "6ɼVn\rz[hߧI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*\0U\'-,M", "wp-content/themes/twentynineteen/inc/template-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4\'f]\r+", ")zG].?7z<WeO+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".\Z,l", "wp-content/plugins/duplicator/classes/ui/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".Wa͵_Vt%", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/minus.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "׵ǥLo", "NP{\">241#ү*tɢ	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LߨϤ(R", "wp-admin/css/code-editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CAO^)", "/y14~(6>B&F,S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xc\0=q`=", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/ExpressionErrorException.php", "0", "ʓ/9&F0V\"\"", "ʓ/9&F0V\"\"", "KibTߚӸwQK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b2lnR", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/CombinedSelectorNodeTest.php", "0", "!Iĩ%%", "!Iĩ%%", "2KSsZ9\rPZ8#AFԺ	I\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k|DD*@4", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Database/Reader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nAgv1Pص", "0o*\rvAo3:juy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s\"p>A", "wp-content/plugins/ocean-sticky-footer/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GN$b$E", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/WordPressInstaller.php", "0", "ՁU3ҾPm", "ՁU3ҾPm", "oa/jnuFX]S{u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6:$4-Tg5", "wp-content/themes/twentynineteen/sass/elements/_lists.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=	L`򊘖B[", "V\"\ZkYcnUkYY$-,y\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C\"D/xk", "wp-content/plugins/ocean-elementor-widgets/assets/js/isotope.js", "0", "e/cItH%h", "e/cItH%h", "1M/0;#j$an", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BI_>.", "wp-content/plugins/ocean-elementor-widgets/modules/recipe/module.php", "0", "uc,2_", "uc,2_", "\"i,u̢^YEq&P)P	2&\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|tJhF*>", "wp-content/themes/oceanwp/inc/edd/edd-config.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȑ|ݡQrW(", "eCC[OO앾Ny5o|]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9\n\00\Z)ݝ", "wp-content/plugins/wpforms/src/Emails/InfoBlocks.php", "0", "{j^&7ѩj", "{j^&7ѩj", "D$@7ZCj!Nۮ4$9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r`Sr^;o1", "wp-content/plugins/wp-rocket/inc/classes/busting/class-google-analytics.php", "0", "o\Z)x?ꍆ	", "o\Z)x?ꍆ	", "xK;={aLțhm[_V=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7Hg\\y", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-builder.js", "0", "W`\r,V0V", "W`\r,V0V", "_ˏCs\r;YRN_U`m<X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\07\n", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/meta-slider.php", "0", "Lf>(rV", "Lf>(rV", "eHCLu\\/XXIYWOHx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/\ZGan\0E`", "wp-content/plugins/elementor/includes/widgets/google-maps.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@s\\ո%h\"", "23?xa+Fɺe\n̕J:XP![", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&RjO", "wp-content/themes/oceanwp/inc/customizer/controls/range/range.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n5p%@!Y̲+H\"", "e[T\0L\rэb?I8uG0W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N6Q5dr#", "wp-content/plugins/elementor-pro/modules/assets-manager/classes/assets-base.php", "0", "׋:%R`#", "׋:%R`#", "}WA\\3\rfj>Op3l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("όDh\nu", "wp-content/plugins/ocean-extra/assets/css/singlePostPrevNext.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f3pEg^8h3?", "uI%yd,i:kD,!i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|~", "wp-includes/sodium_compat/src/Core32/Salsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")6):", "H0Lї?㞹.1MIe٣", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nf\0哈nR5", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Media/NGG.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DD9\\8W!wa", "oHB[Ҳ1nq٫T3̚jW\r.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b|e~", "wp-admin/css/customize-widgets.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v.E;$<V.", "܊b껗4^M\Z9eoAzO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("alV?f\Zё", "wp-includes/IXR/class-IXR-server.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w\\xT>:", "TEUȚ5$Y`q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0hKf\0", "wp-content/plugins/wordfence/images/forward_enabled.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U\0/3e4e", "0Q7018ު9-z9ؽqSrĒP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2E5X6fB>K", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-#,9[=<", "a$R\0rq)kh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n\ZB6a?]2B:", "wp-content/plugins/wpforms/includes/admin/importers/class-contact-form-7.php", "0", "~7\Zrw:0", "~7\Zrw:0", "8.iط#vRgb\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0F3XfD:", "wp-content/plugins/elementor-pro/modules/forms/classes/honeypot-handler.php", "0", "<$	w", "<$	w", "%m~lRE+k\\V\\GVl	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H06", "wp-admin/images/browser.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K\\b$F", "&$ĉ9~_SH_̓%L\'&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8(\ZjZ]}", "wp-includes/js/jquery/ui/effect-pulsate.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o S@Z*p!", "m	!ȽSQF_Pq\"!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-(ҟoFL", "wp-content/themes/twentynineteen/classes/class-twentynineteen-svg-icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@4eZ{}", "єS2[HR?\'Up{JL`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@\0r1h,g", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe.min.js", "0", "եG_y", "եG_y", "DLxqD:l{H;܀FSYqa7,sE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DZw4", "wp-content/plugins/ocean-sticky-header/includes/customizer.js", "0", ")1JNm`DK", ")1JNm`DK", "x]:LE>K601Ww{\r)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R`!H´H\"6", "wp-content/plugins/elementor/assets/lib/nprogress/nprogress.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o3", "R,`LWxjǽnPy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xg5(=c", "wp-includes/js/tinymce/skins/lightgray/img/trans.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7I 1FGuj^", " ûͥJOmO:ϙlW5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k[\Z\Z~\0", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/selectize.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_/CVzY\'@.", "@b{r_RVcQϓEN1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pt_ Y7LKt", "wp-admin/css/deprecated-media-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȂCVW<^\Z", "h\0n(MyR&ʉ19?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X\0TO", "wp-content/themes/twentynineteen/sass/navigation/_links.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h,	pA", "\04݌^\ZYi_O_#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P`-2»\"", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.package.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/)#Ùe", "\r_=Bi+Vm>dlϘ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TDFK1", "wp-admin/css/media.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7_eաMJe", "䐮ܮD~P<E[~˔|\'š3	b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PFsJi2", "wp-content/plugins/duplicator/assets/css/global_admin_style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rsRP@n", "XWX߀\r,MέA޺l?we", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("26I0׿2", "wp-content/plugins/ocean-extra/includes/widgets/tags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#173u#", "m\'I?u1Kg	!<\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#[;_;6+", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-parsers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D@i*	Af/̵V", "Mkw౏^G/CʓV/S<ڀ䊲", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YRFl~;[", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2S6I<F{v)[", "=7|1ɿhQ4|R AGH*\0\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l`$E!Sp[", "wp-content/themes/oceanwp/sass/woo/_woocommerce.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0]OW,7", "}jɃ9q\ZWPaQCxgi<a8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n!9VQs7=", "wp-content/plugins/elementor-pro/modules/theme-builder/views/comments-template.php", "0", "E;\0M&", "E;\0M&", "ϋtT.<\'Zq)d\'Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{ڸE", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/autoptimize.php", "0", "$y<800˼", "$y<800˼", "ϵqꡋ+[h:xPz,w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\PhI	3Z", "wp-content/plugins/imagify/inc/classes/class-imagify-files-iterator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I.oM", "3\0e+z[oBgꕟK#X5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/GΞӶ[ǜC", "wp-admin/js/gallery.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c<Xw4%", "5Z֧JnGg]*/s/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĂGm赱\"_", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SlackHandlerTest.php", "0", "k@T+MCZ+3", "k@T+MCZ+3", "^o}\n	ߤzkP=mgz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[/9}`:wP", "license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@/9rR", "CYR)Kj\\\0qJ>8Ef", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OHӖiD\n", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Version.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֔M5Fʹ", "µOMV:ͷ/YO7L1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|1J3bjj!", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/TokenStreamTest.php", "0", "G7)cCTixp", "G7)cCTixp", "^+Z[&Nߊ<m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MWpOS", "wp-content/plugins/ocean-extra/includes/metabox/controls/media/class-control-media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\02o*@\'o", "7\Z,p}>ˣ<ʦ+R\'[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0.}fwA", "wp-includes/date.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">*VVLbH\'", "Cǅr,r;E+,res)n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KiEurKږM", "wp-content/themes/twentyseventeen/template-parts/header/site-branding.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r%F29&", "ҍ||ò+W$UV{r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("znv", "wp-content/plugins/wpforms/assets/js/moment-with-locales.min.js", "0", "Q~IxF", "Q~IxF", "tc@bl(1\n}o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("//ʾgb{1", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-rating.php", "0", "t#R\\~", "t#R\\~", "%-KǣmxP*v7h7-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Nt9fd", "wp-content/plugins/ocean-elementor-widgets/modules/login/widgets/login.php", "0", "c>	/`e`Vic", "c>	/`e`Vic", "E-lncEz+k_t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R%0i1V%", "wp-content/plugins/elementor/assets/js/editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&3LQzlE", "R2!h@ s?ÄU]L\0cQ	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X55_Y(PF", "wp-content/plugins/wpforms/includes/fields/class-gdpr-checkbox.php", "0", ")\Zʖy3	Ф", ")\Zʖy3	Ф", "hu|S+\0֭׵dH&U&wRn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[QH\"pS1Ȫc", "wp-admin/images/arrows-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " Q}ydb#6", ",c˿\Zi(~)\'8[A/Ix", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j /O", "wp-content/plugins/wp-rocket/vendor/league/container/src/Container.php", "0", "o4=V,=\\", "o4=V,=\\", "S0ЮBͫf̩)|hӧB^HpVUWo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m@@ӡ", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-radio-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|iK1B.Ur+X", "AO&őmX{ۘ06}|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o2lY-؍x", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-date.php", "0", "a9!>3mI", "a9!>3mI", ")58ɃӚYGI/k0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v,L@K}!)", "wp-content/themes/oceanwp/assets/js/devs/sidr.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2IT\'LSvDH	", ",y]D@[p]EL4bS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I1\\T-q", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޤ2z3", "]16IB3f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g4áDh", "wp-content/plugins/duplicator/lib/dup_archive/daws/dawslock.bin", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ُ\0	B~", "Bșo$\'AdLxRU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" m64lR$", "wp-content/plugins/ocean-elementor-widgets/modules/alert/widgets/alert.php", "0", "q&[baͮ", "q&[baͮ", "K?d~?|09U\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[ixTq~Wve", "wp-admin/network/plugin-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eKw5UZSj", "a|i%L?!E:Px\rH\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F~yc7v-", "wp-includes/js/customize-preview-nav-menus.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RiRz3\'o]lQv", "#RQL\\D\'l$vT%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ~kѯ}B{", "wp-content/plugins/elementor/assets/css/editor-preview.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jkË", "y^c}٘>NaxKoe4D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A\n^rbPXF", "wp-content/plugins/wordfence/css/main.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0e\0wnX%ٌ%", "E}]yz)IwzMO\'ȇm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aK|n=Ƨ", "wp-content/themes/oceanwp/assets/css/editor-style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q\nX֐N!ք", "3Щ=ǨIpG#C/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G1ƀ\0", "wp-content/plugins/elementor-pro/modules/popup/document.php", "0", "]K{VZUh", "]K{VZUh", "Xb-I\ZoXV8|n5\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("䑖w7:\'h*", "wp-includes/js/dist/vendor/lodash.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c؛ͳ?OO", "jiԹn*ͳ*N촩כeG#1\0i\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LNi/ZUNRx", "wp-content/plugins/ocean-extra/includes/dashboard.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^W<jT}", "y=B]-[VB\"m^_:_li", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P(i\'Y>", "wp-content/plugins/duplicator/deactivation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]I> .qg", "ENVp 1.|\rF ɨrE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7O.]iϓ", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/color.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G%n	˼%i!5", "V`i%22|w6F\r	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2:", "wp-includes/sodium_compat/namespaced/Core/Xsalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b4\'&", "ۼ4P\'hNa>E5ఛ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Rxa", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-tests.php", "0", "kqɹTb", "kqɹTb", "TOc^A Aow&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tw4|R", "wp-content/themes/twentyseventeen/template-parts/post/content-excerpt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9ɢ<@Y", "ʖiu\0603+$mX_δ8W	O~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z-x7(A4", "wp-includes/js/swfupload/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[`^-oQWz", ":)6a\"3r\rP\rN4yJַUq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+k2m`nV[m|", "wp-content/themes/oceanwp/assets/js/third/woo/woo-ajax-add-to-cart.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0!ym̭~", "@z?.Ӥ^	ѨBHЌu˕i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",:3չC@~", "wp-content/plugins/wordfence/modules/login-security/classes/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aabvr", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".\nLFZWf", "wp-content/themes/oceanwp/inc/customizer/controls/multiple-select/multiple-select.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dN՞bi", "zWP\nj_xR%eEPU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/ڒc\\hg:", "wp-content/plugins/wpforms/includes/analytics/class-monster-insights.php", "0", "ُ\0	B~", "ُ\0	B~", "Bșo$\'AdLxRU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0\ZbQT", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/meta.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڇ;*(\Z", ")|}EVG\Z{tQ01Q(iE.nw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1W;cN\"u", "wp-includes/pomo/streams.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ė=x!pXXЗ", "ną3&+dU{@8\Z?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C>	=C", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/NormalizerFormatterTest.php", "0", "KMZl\r[4", "KMZl\r[4", "P69)x֘`$s~6FgnC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CbqӜ\"|", "wp-content/plugins/ocean-extra/includes/panel/assets/css/push-monkey.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I~x]", "hVO|㯋-N~\Z@ȇSAR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JBGT;,lT", "wp-includes/images/smilies/icon_exclaim.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\qE\Z!HY__={_", "|}rh(XGUԼ]\\F^WMR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KQnBAl", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LanManagementSystemInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Pf9O6{l", "X>>2򽿉=I̱FҁKŝl\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V^3m6._P", "wp-includes/customize/class-wp-customize-background-image-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")@tj23W", "40^+u*:ޓ4q[#Om&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g[+RRq", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/butterbean.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LS,G͊ȱ:;)", "M\nLa!ڊ^@-0bfxu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v͚\'lIX", "wp-content/themes/oceanwp/inc/customizer/assets/css/customizer-simple-line-icons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nCJ #c", "vwf l-\Z\n_xHxXp\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CS@PL", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-lazyload.php", "0", "w.NZy#", "w.NZy#", "|`#gmNwACEa_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qAI)ڛV=", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MoodleInstaller.php", "0", "QI.w>", "QI.w>", "FЏ\ZGcF-o|[4^e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[D?_[", "wp-includes/random_compat/random_bytes_libsodium.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4Տd", "In6_ga8y].", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7M3$", "wp-includes/images/smilies/icon_question.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'u&EqAmN", "f31a	Yr@PGU}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">P(", "wp-content/plugins/wp-rocket/inc/vendors/ip_in_range.php", "0", "3A-ėxl\"", "3A-ėxl\"", "{Rb0Z\0^#(avko\0[ 7Bv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2@kw>K2", "wp-includes/feed-atom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E՛I$^iG[", "!Im\nYf+̕P\013\\=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H\0ۙhC", "wp-admin/css/colors/ectoplasm/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d$\nm:", "7yLzS\"2&8w|!R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wtH-s\0n", "wp-includes/js/wplink.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O\\3΍ i?", "a\0[%Gs-ÉFY\\^\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("14+l", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-stock.php", "0", "}^}Zdu(yT#", "}^}Zdu(yT#", "?ڢ1Cy`fK*(p&lP6^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=֬H@-i", "wp-includes/css/admin-bar-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!w{=", "e3AXtTgWݑI@q|ϵC@H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƅoY\"\n+", "wp-content/plugins/wordfence/css/diff.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "܀g		$`rQ", "$hEJ^54<$ӭYc&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƨ\\Mr}yґ", "wp-content/plugins/elementor/core/logger/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4)eY䞪?u", "X=ym>Aj]yˤ,rLzj)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VsB>VDؾ{", "wp-content/plugins/imagify/views/modal-settings-visual-comparison.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=㿆imNGt", "lN-l>pꊹi%Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֔ߚy(qDw", "wp-content/plugins/wordfence/models/common/wfGeoIP2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YJs@jrjtm", "3ÑѲs\r&z=dspJx3w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dLŏ1", "wp-content/plugins/ocean-extra/languages/ocean-extra-es_ES.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۸Ro	vt", ">|jjYBث`Px", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hLJHX#0", "wp-content/plugins/wordfence/lib/wfUnlockMsg.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6]u})e", ":%ozN]	&4U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gS\ZX	*}", "wp-content/plugins/duplicator/classes/host/class.wpengine.host.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iʡ\rR[X", "ܽW$,r\".r4b&;T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b`3n", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϊgHW\rZGki", "86(E`~O_x,3RY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%ӇO\0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/UidProcessor.php", "0", "=d\ZB{ǀ}X", "=d\ZB{ǀ}X", "x[5໢iO7{˞hn)9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^\'q0", "wp-links-opml.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "寣ǖ?0%ZG", "1D!vGTdآrK~\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">\'5)&g", "wp-content/themes/oceanwp/inc/customizer/controls/dimensions/dimensions.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g?ׯ1אG%", "Pp㿲>:{5~k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%P$=z2", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/HandlerInterface.php", "0", "M*}:^-,", "M*}:^-,", "U \"T}ZChO<\",NI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%nTߒ	^gXΰ", "wp-admin/js/inline-edit-post.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XL<L?l", "a,)CM?X|M˧7@9}1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*w4g:\n4?", "wp-content/plugins/ocean-extra/assets/js/headerSearchForm.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E*oθ+0", "fIIQ}Kڜ:(%66", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/b8!/IdM>", "wp-content/plugins/imagify/assets/js/sweetalert2.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ܣ[P8%", "|w\r(,Pt,SNKصw;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0y¥êG", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KO)", "i 닠Ǹb\"V+\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3aDwPq", "wp-admin/includes/class-theme-upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ֻ|MeѨD֦", "R,7j\r9E;[%kU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@ԮXtQ[", "wp-content/plugins/elementor/assets/lib/wp-color-picker/wp-color-picker-alpha.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iUA\'?xe-", "I4ew\r\Z0H9VؽÇ+XȻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A^?/_x]", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-cache-dynamic-resource.php", "0", "Q@tWwBnn", "Q@tWwBnn", " e[ƺ\r,a!_\\S_\r1)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GM.", "wp-content/themes/twentynineteen/sass/variables-site/_fonts.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PuVQU", "/a-;qֻts\'jgw:5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JCaM.pV6", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-media.php", "0", "J.$	A", "J.$	A", "7DΒ^Yp6ci[uypt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V\Z\'[#(\ZG", "wp-content/plugins/elementor/assets/shapes/clouds-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ƞl\'[.V", "HWmLلǨdޟ)㰳X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_\r(q<^6G_s", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-price.php", "0", "GjJYoM", "GjJYoM", "(\"σJPAjEI\06:#aM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~٭3Qk9", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/LogstashFormatter.php", "0", "sx޸!lx)", "sx޸!lx)", ">(OX&~\r	}\nuHO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̊q*X", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FlowdockHandlerTest.php", "0", "m,B̔kKY1u", "m,B̔kKY1u", "	ZK5VluN ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ri_%%2\r(T", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=CacN", "yy%@qW͞\ZfbcFΩ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CZfqŗ", "wp-content/plugins/wp-rocket/vendor/composer/autoload_real.php", "0", "׃\n/{j2I3", "׃\n/{j2I3", "7cY/{iN|!Pp8{E\\ge", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n&n!崬", "wp-admin/css/site-icon.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lˁxJTG", "+WV3(qFr;|^@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nP<AQ,ij", "wp-content/plugins/wordfence/js/Chart.bundle.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5]ddf", ">`NN`N\"KӞckG<;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n|D# h", "wp-content/plugins/ocean-extra/includes/panel/assets/img/kinsta.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ɾ)\n-\n&؆c", "gDA>2q8:3OY\'5BV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fz`(f3", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".murI1G", "Lr7D@yɂ]NK(tiG9Tm=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F0ۂ^", "wp-content/plugins/wp-rocket/inc/admin/updater.php", "0", "g9T4B&K", "g9T4B&K", "F{޳Kw/\\df", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޱvc", "wp-content/plugins/elementor-pro/modules/forms/classes/recaptcha-v3-handler.php", "0", "8S*Eg$", "8S*Eg$", "YdҼnT)̎c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o@9px_)\n", "wp-content/themes/oceanwp/partials/topbar/nav.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ɇqL4\0\n", "-]?`v&,qGЖʺ$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]jl\'/x5", "wp-includes/js/wp-sanitize.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`mNcD?y", "+\"֏ wJR,i3gI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!}Rs(H", "wp-content/plugins/ocean-extra/includes/widgets/js/insta-admin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	LQ3", "hF饊rǡ\nK<u@ɓ<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("71}\n", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/ChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "12+;FнNM", "w\"*5U T@nyȳ^au\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+M66\0Cg؍%\"", "wp-content/plugins/elementor/includes/admin-templates/new-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@!12 ", "UO0BS	/?Z̀^مo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܢ\\!bdv", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/footer-callout.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8%", "\0\rVrDZKƳ}E+Kg>in", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$GE", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-terms.php", "0", "uvTp7e\rH", "uvTp7e\rH", "E/a\"mͰp\\F	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("07 S", "wp-content/plugins/imagify/inc/3rd-party/amazon-s3-and-cloudfront/classes/Main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%h5zQaQ`", "|ppH)4f3DT:L2Fq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2X69G3\Z+}A6", "wp-content/plugins/wordfence/views/waf/option-whitelist.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ψ-˯3w", "G_`8B؎P\n\",\'HŨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5\rk", "wp-admin/js/color-picker.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z-jhJ6oN\nf~", "<C]UͰl|w٫N; x[\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8P5aĨ	", "wp-includes/images/smilies/icon_wink.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZOZg94", "[mHMR\Z6JbKrmKM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H#ލ$YC|CZ", "wp-content/plugins/elementor-pro/modules/social/module.php", "0", "c0Ll", "c0Ll", "&l1cJJ8_\r :ǘ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wISU8+$", "wp-content/plugins/elementor/includes/controls/raw-html.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V(ht(", "ٸu{A|s\' ﱆz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!|l:!։", "wp-content/themes/oceanwp/inc/customizer/controls/range/class-control-range.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rW!v%+=u3;", "ۈ#>D(zjߵaEoOIH~.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y85æb", "wp-admin/css/colors/sunrise/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "솠Fج<Qq:", "BЂþYws;9Þ_m`+d8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l3.	XN", "wp-includes/Requests/Exception/HTTP/403.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`\rok31", "IlEKѦ?Z0JTU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3P", "wp-content/themes/oceanwp/inc/customizer/controls/multiple-select/multiple-select.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C~~8RZ", ".Z\nR u\0m3ksED\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lu!", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-title.php", "0", ".vζFz5\n", ".vζFz5\n", "n<i_*1wݩ;\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PQE|E}7+", "wp-admin/includes/class-wp-filesystem-ftpsockets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i\nv]}5ms", "y##]f1h}$<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڤ|]D\\", "wp-content/plugins/ocean-extra/includes/walker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S)8kRouG", "6\n`YhO[=QR{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/ǽhub]", "wp-content/plugins/wp-rocket/views/settings/sections/fields-container.php", "0", "YQЕ!: n", "YQЕ!: n", "_IE<>55^\Zg$\':9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U$\\*1^S", "wp-includes/js/jquery/ui/effect-clip.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǓW#GZas", "C5rC[5\0_mӕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PJt1z", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_libsodium.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!EP]ǡ;", "<\0\rIB=\"P8D\"L~I[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"`D8", "wp-content/plugins/wpforms/assets/js/admin-editor.js", "0", "}edN", "}edN", "Ǔ̷̥&pmbcO\r͜V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P\Z/l%", "wp-includes/js/jquery/jquery.hotkeys.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "┃&݋\rFư", "]!G3[#:L\r:vC>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0 k~U5T", "wp-includes/widgets/class-wp-widget-text.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ChmiW>", "~h4;M2>kKgvGN(TDJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n%f[!aErtgi", "wp-includes/images/media/video.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uhq", "DBUMiOb,e=W{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("## \0=[Ea|", "wp-content/themes/oceanwp/README.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_ =k.ˢZ", "U _`vom*.y@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&S짿o$0n", "wp-includes/author-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7.qWaS", "jErlbc@Տc:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Fw<1`a", "wp-content/plugins/wpforms/includes/fields/class-select.php", "0", "\rԸv+g_E", "\rԸv+g_E", "KF8CmʸNuPS2&	98Lt[R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",W^|.", "wp-content/themes/oceanwp/sass/components/_pagination.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g5!n95\ZܵM7", "حNIAC*8\nV>e\"DL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".;FqUKbƎh", "wp-content/themes/oceanwp/sass/components/blog/_blog-grid.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AHԟ\\{[[=;", "˽=H\rRq`nwjoYBt\"ڻ3l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G|$p֠+(", "wp-admin/js/tags-box.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{D##Ov", "!,ǖ/4;r3a\Zmv:Y8mje", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L.;^\ngW", "wp-content/plugins/wpforms/includes/admin/class-install-skin.php", "0", "1t\"~h\\F", "1t\"~h\\F", "*Nt28}Y]c1S\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qԁ27uL", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "13y1", "	}N	<vBS%s\\S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RBpmZ;", "wp-includes/css/dist/block-editor/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	pV\\q@+5%B", "sJ+sxγ2Ezk.왊g3̑b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qӣJ~F1O", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/single.php", "0", "8.ރ&g(ʑz", "8.ރ&g(ʑz", "GX.\'tua̢w9I;!3Բv+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ojyV", "wp-content/plugins/wordfence/lib/menu_tools.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gԌpPIg[=", "V!ޟƚ_z=|yaXȏ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Cas]n/", "wp-includes/css/dist/block-library/theme-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b*R!cww:", ";$fߐ\'dP\"\\G\'r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0=o;", "wp-content/plugins/elementor/includes/controls/groups/image-size.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$-f47=օU\"", "?K78fF@m\",", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ѻ\"P5^U\Zi", "wp-admin/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vQyF", "`7!.~$Q^}t=7<WgrR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JŅ 3[7", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SilverStripeInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P-^03͙5", ">-且T	1&047lT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a(W/O17Q!\n", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-print.php", "0", "\Z9Ì", "\Z9Ì", "kcK0㜭D7xqy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mz4LK", "wp-admin/images/xit.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")X`1H", "~vf|e]\0T\ZUl(\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AG,<", "wp-includes/js/jquery/ui/effect-fade.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oOO_;{r5$m", "\nvOIFKC<\"ˬj?p6 z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E:MY4", "wp-content/plugins/ocean-sticky-footer/ocean-sticky-footer.php", "0", "j\'15\r", "j\'15\r", "\Z;!DwuCmu<Pk>j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʾolvUK,", "wp-content/plugins/wp-rocket/inc/deprecated/deprecated.php", "0", "%7C7S|AXG", "%7C7S|AXG", "FD33S(;G\\\\hSGkWT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".n.Kw", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-rest-api.php", "0", "m=cMXW", "m=cMXW", "QDA\0[WXǪ3AER", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hM\"6edk", "wp-content/themes/oceanwp/inc/customizer/controls/dimensions/class-control-dimensions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eq5g.唓N@н͸", "(0q%;8NO됴TY¦)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lD	΃/y\'", "wp-content/plugins/wordfence/js/jquery.tools.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":-Eՠx$B", ",4~aTlS fQO	fTӵ;)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+Bb<:", "wp-content/plugins/ocean-extra/includes/panel/licenses.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TZ98)y", "vŲYzƙr2,g#i#t	ZX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L&.Kx", "wp-content/plugins/wp-rocket/vendor/league/container/src/Inflector/InflectorAggregateInterface.php", "0", "rPo#?", "rPo#?", "mďcQ<g\r|\'{N4q\rzKS4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("հ	̋ȲS", "wp-content/plugins/wordfence/views/scanner/scan-progress-detailed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " j<c(SCJ", "r3H[~2.<_J3{T{XӼPq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" n$q^qf", "wp-includes/images/smilies/icon_lol.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hی?ո\r", "J4o}1?|gҬ1S\'\0_O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'^DIG1!", "wp-includes/ms-site.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^	`&vpb", "IavlݟV>A; \n)rAM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Tu\r~m", "wp-admin/css/colors/ocean/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?Gt撷Lm", "HY^vkA5UUIl@.Gs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1l< t~LUw", "wp-includes/class-wp-locale.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "܌\ZXي紪U~)", "\r٥ސF}5FvL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E-j1j\rE", "wp-includes/registration-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")̭)K_", "\r0\Z=Tc0滦͎JÜ0ۜ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NJ\'OZItw", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/sticky-footer.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HG$ߡ\n˒", "modrw5倍N\n@\\C%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]oMseJ4", "wp-content/plugins/wordfence/views/dashboard/options-group-view-customization.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~H`b\0nvB JQ\"", "F˲IG6gV)0k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fª|-%", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/dimensions.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LNG\n", "XG:2aCˊ\\y\r7\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f rp(p$", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_555555_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pbD@pG+", "*DZ>Bg&YY4(</", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gK;qFVI}Q", "wp-includes/Requests/Exception/HTTP/416.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1N9ɪaDx", "(mybVaIjWp(!A<(X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g	9!.u", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SiteDirectInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y6oz/C", "e׺k+oC @ƹOK<hS_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<xB", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/waf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "跑=2icĶz8+", "*P_a[;mٍ.\rF+D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v\ZQSN[h", "wp-content/themes/oceanwp/partials/header/search-replace.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"FF=2", "#A1C\0\n6x@`AW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e-RȉL:", "wp-content/plugins/wordfence/lib/rest-api/wfRESTConfigController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-n(֟5> a.\'", "j^!yfӳucwWx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8ՠ)j,z", "wp-content/themes/twentynineteen/sass/site/primary/_posts-and-pages.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=Mzh}_", "]LE* 78>bLhܛڴ?h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{t~?<C<", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/varnish.php", "0", "Hԁ_T=W{t", "Hԁ_T=W{t", "M=;?Na\n`=t=.oRP,犇	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"p\"-Cw", "wp-admin/js/wp-fullscreen-stub.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p\nL{AgJ5", "D\"e9VIm425CAP%_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	s1qD7", "wp-content/themes/oceanwp/assets/js/third/woo/woo-scripts.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">a&Qƫ-", "Z҂{pRD/IbI^bW%9C	k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\">*", "wp-content/plugins/imagify/assets/js/bulk.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JI[Db|", ";V1xd&N2mnQQRK)w{CX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p?E^@\'PE", "wp-admin/edit-comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Qd#V%V#GX", "ɐd=^%,*Y\r2t(uՒ.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U\\aE", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/P3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wͱr0؅=", "?E%+w\r^֗.$i$[W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S X}AV", "wp-content/plugins/elementor-pro/modules/popup/display-settings/timing.php", "0", "T\Z0e", "T\Z0e", "OSey\nUܯ[L\\l<KbM6~y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I|>Zq", "wp-content/plugins/elementor/core/logger/log-reporter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r[[JrJ(&", "8\"!6pJZ2U.@=u(z?^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{R+r\"O/", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Compiler/Environment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "11-s", "<}`>}ga\'T\rjY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B!vݡɶ", "wp-content/plugins/wordfence/views/onboarding/banner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0͒l\0B", ",{=#\nOQݥWpYEY2>X4h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" {	9)Y", "wp-content/plugins/wordfence/modules/login-security/js/jquery.colorbox.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lWeU{9", "G8=\0> 3wg3.4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<(*A]O", "wp-admin/css/colors/ocean/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fOyU_f", " ;v4;\\iN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Dd.P˴{-yog", "wp-content/plugins/wordfence/views/common/status-warning.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mfuֺg-g\0C=v", "N<\r;d*8+)\ZbO?0E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I|K9({sX", "wp-content/plugins/wordfence/lib/menu_scanner_credentials.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ff:&,[", "B&$q>P\nϾz&G<6Ǵ:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JjJc<Q߁~p", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/RawArgumentInterface.php", "0", "X\\%]9i\re", "X\\%]9i\re", "%p*t6Ƚ3<R&J,⏽^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kg{X|lzz", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/FormatterInterface.php", "0", "cۘJ֨", "cۘJ֨", "r1;#p܇", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\Z{{8SP@;", "wp-content/plugins/imagify/classes/Optimization/Data/DataInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":`5GW", ")i-\rq׳:Ē^dZ3PĮ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bvEH΄", "wp-includes/js/wp-lists.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "́uQ1K(%p", "\ZSl4ud\'}%#9%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hS:`", "wp-includes/customize/class-wp-customize-nav-menu-auto-add-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N+C#+|fZ]", "kn\Zy&_[Igl(g\'^G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}}4!SX1x", "wp-content/plugins/imagify/views/part-bulk-optimization-spinner.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|P\\2\r[jx#`", "\nEe;%`ԛcpPu⫝", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F|n7YEk", "wp-content/themes/oceanwp/partials/search/header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M\rܐ5", "\Z.WM)7Xٓur>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0t+o*", "wp-content/plugins/elementor/core/common/modules/finder/categories/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "߱뚵cK", "d\0kv\0.m%(\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&N,6P", "wp-admin/images/icons32-vs-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*04G4F	&Zi}\"", ".a}hw6WEʭ(3Jӭ9E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`Y(8A?", "wp-content/plugins/duplicator/classes/class.settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "46O<G\'6", "-Eq\'f*5o\\d-UJ{D\'7f.^P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v#qȃ", "wp-includes/sodium_compat/src/Core32/ChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EOxٕX2떭؃", "xaJN!e\"\"Nq}AMC1){j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W31Ngפ", "wp-includes/js/dist/vendor/react.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aT0<vGg?", "+b3[o\nu%9b%eD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ff6hp4,\n", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/typo.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	CوSQA;bd", "ev_}^A;\'HKT_Jb2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oW2;qCI", "wp-content/plugins/wp-rocket/vendor/league/container/src/ContainerAwareInterface.php", "0", "Q8D3", "Q8D3", "B(~d-ɑbׅnZ)t,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x[e>M", "wp-admin/includes/edit-tag-messages.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c8fZ,", "\rT)\"_bTLETpWS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˪l[=c\"V-", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/not-found404.php", "0", ".D$߻", ".D$߻", "vQqr9*-eI8Tg˙	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T+i T%o", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/divi.php", "0", "\'J;Y", "\'J;Y", "-\r[!kAW\0VƢdw=1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*^dvȥLḿ", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/edd-software-licencing.php", "0", "ώJ犳", "ώJ犳", "2pBd%]*%c)B`|~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1@ɏB2D", "wp-content/themes/oceanwp/sass/components/sidebar/_sidebar.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W1VLmh?j+", "wHq9)k.ڷdssCY)%M&HZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3lUTo", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Organizations.php", "0", "Lu:WqY%", "Lu:WqY%", "No뷋yyd!e(TB?.Ԍk:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<djL^ub0ܦ", "wp-content/themes/oceanwp/inc/customizer/settings/sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "athA e\"Q\n3", "{h\Zpb ڧlLy9\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q&J&#1ez", "wp-content/plugins/ocean-extra/assets/css/sidebar.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Puz< ", "9%%$~cEY&*+ ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^D3D34", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/media-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%+aD<`q", "/׻`]ӂԷ#,SNwn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g<CX\'sAN\\", "wp-content/plugins/elementor-pro/modules/posts/module.php", "0", "/=_0#>~E", "/=_0#>~E", "~Ja`o򺆍[CĎy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qhBc92", "wp-admin/network/site-themes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L1\r", "	06?$1\0}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u|4]\\(,", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/WebProcessorTest.php", "0", "vW^(", "vW^(", "KϓH\\IɛU_\Z԰$K:\"Oȥ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\FZ7i", "wp-content/themes/twentynineteen/sass/site/primary/_comments.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5xsT[n", "D\rq}cpIa \"CĻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nqKŦ", "wp-content/plugins/ocean-footer-callout/ocean-footer-callout.php", "0", "vwQihzrqW|pm", "vwQihzrqW|pm", "3롰gwPUܔR=TH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^WaBD<\ZO", "wp-content/themes/oceanwp/partials/footer/widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TZ	b	", "`KGgN}hVJ;E_]?qD,58o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`%{+", "wp-content/plugins/wordfence/images/icons/error128.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":%7!.", "{h\0,]zkV{җ6nG\nxs9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v\\Q-", "wp-includes/js/tinymce/plugins/hr/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	%>);", "؃FS[k&f 6+b>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("th	,Gx\"M", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZP}>j ", "Mya;>p:/f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZODbSO", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/AbstractLogger.php", "0", "&`~SaS&", "&`~SaS&", "7Z?ΙAu*/\0G#2F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϩD@\rއ[hH", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/classes/wp-background-process.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʀj_e?/T", "\ZRα$~Fs {۳?Q<2=e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6\0~wnnIo", "wp-content/plugins/ocean-elementor-widgets/modules/advanced-heading/widgets/advanced-heading.php", "0", "Tļ\"eTv", "Tļ\"eTv", "Z9oajMVLB1?xSc.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">i5þ", "wp-content/plugins/imagify/vendor/composer/ClassLoader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@[xE-;:6", "95V.cA~&\rVR5+	\Zf\\]ɋ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȐFf۳\0E>", "wp-content/plugins/elementor-pro/modules/countdown/module.php", "0", "BZlIURO]", "BZlIURO]", ":	JJZwD\\C(]bs!_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9XU7z", "wp-content/plugins/wordfence/models/page/wfPage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tbo i%HXwXv", "ƅ1h/jw<U\\kq%s|W6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("іqSGKy(", "wp-includes/kses.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eÚbr0", "wp-tP>4UWx@M,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wJ fHю2", "wp-content/plugins/elementor-pro/modules/forms/classes/mailchimp-handler.php", "0", "k$9>Rص", "k$9>Rص", "tTW ,By,3ثϼ+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0ifP+ܠI", "wp-content/themes/twentyseventeen/template-parts/page/content-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">|)}X9Z\ny?+", "C8%(@i=5&\Zc^[Co[eeW0)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9lן? rq", "wp-includes/class-wp-user-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XP/8=-BU!P", "7xc9~Co@lzŵ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"◬d{}D", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/ClassParserTest.php", "0", "o\\\0Gq]", "o\\\0Gq]", "+C-/v@sTfu6xUR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%?)", "wp-content/plugins/wordfence/views/common/section-title.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w]QVմi", "qr*-TN5\rOc;ma", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/q\n[|8", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-gallery.php", "0", "؍2<řWJ_", "؍2<řWJ_", "O{CY;1PT/&?ѝϒK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("145!b#X", "wp-content/plugins/elementor-pro/assets/js/admin.min.js", "0", "лgs^%>[RaJS{", "лgs^%>[RaJS{", "	T],*v\n	\0$҄X%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6\\iϗ", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Bulk/NGG.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ލbB:IѤ", "b1+E=YFX?^5:&ort\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<VygJGK", "wp-content/themes/oceanwp/sass/components/footer/_footer-bottom.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Zѧ(a}IRf", " T7|Ka̦rٓL.D5vI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DS3.įy};", "wp-admin/images/browser-rtl.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D\"ӠA\Z%̝", "+啧0pƜJMk qwXب", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P}\r%?0", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-image.php", "0", "(\r9(˚", "(\r9(˚", "`(I My/E%N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Hn[P.~FU|", "wp-includes/nav-menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\RI<@oV", "Ց~*WsagGrl/-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\\Ħ<yp", "wp-includes/widgets/class-wp-widget-custom-html.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j	MU>D", "3(QԂ@=<Uhi̥4az", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k^xv\rHne", "wp-content/themes/oceanwp/inc/customizer/settings/lifterlms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4%IH1GSG", "z8BR$\rjhdnYs=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r`-\nG2bQ", "wp-content/themes/oceanwp/languages/nb_NO.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " B.\rGI", "--l&]lvaZۤdr	ܲ\\S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wp84.\0q?C", "wp-content/plugins/ocean-elementor-widgets/assets/js/isotope.min.js", "0", "D4|Ҝ	zU", "D4|Ҝ	zU", "5lS]Ok{oE͇}	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{uU", "wp-content/plugins/elementor-pro/modules/forms/actions/getresponse.php", "0", "]Q4`\03k1", "]Q4`\03k1", "<oIxfz[u:}-ecؚQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|<)Y!Z", "wp-content/plugins/wpforms/assets/fonts/fontawesome-webfont.svg", "0", ".murI1G", ".murI1G", "Lr7D@yɂ]NK(tiG9Tm=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" KXEQ,*Z", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PhpBBInstaller.php", "0", "},S=T8", "},S=T8", "ъcY25%=dt}~^?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ʍ[ƠCZQ", "wp-content/plugins/elementor/includes/controls/select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lfah5[", "2TV@;*sYW=[5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\Zxcyd\'", "wp-admin/js/language-chooser.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h\"8Jq	tF", "J&9W1Z[!5O\rb/AH~R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t\"#]F", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/HashHandler.php", "0", "	iCKXݗ", "	iCKXݗ", "r%O>f8UKJld|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߇=C$", "wp-content/plugins/wpforms/assets/js/chart.min.js", "0", "W˼r~", "W˼r~", "0K7v?~s,9sk<B=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y \"9;:ؚ!", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/Slack/SlackRecordTest.php", "0", "\ZyN(b~", "\ZyN(b~", "d\r.Mc]xBRZXVȚhآ;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%I3-7", "wp-content/themes/twentynineteen/style-editor-customizer.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	9䩠\"\0m", "/} 	ԾA9{!wa.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Zm,Ei)", "wp-content/plugins/wordfence/views/scanner/issue-dnsChange.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]vΆ.SH^wz", "xg\\$CJ)ȶ>L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~!x% y", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-embed.php", "0", "Cj.KR", "Cj.KR", "\'U\\DMd-ĩ	*e&*-;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\\(w&", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/Decoder.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I\0$K  	", "Vp\Z1͌э\'=~ٲF_u\\P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":x=}", "wp-includes/js/jquery/ui/mouse.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z`0 8\\9", "[:JUm5<fLKITZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɠPdB97", "wp-content/plugins/ocean-elementor-widgets/modules/divider/widgets/divider.php", "0", "Kq^]C", "Kq^]C", "	&oF_EyXG%!{*(r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_Vنb", "wp-content/themes/twentysixteen/css/ie7.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z^Ն&tIm", "ntCE1*9s\Z5jsBa\Ze\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p<%*#", "wp-content/plugins/elementor-pro/modules/share-buttons/widgets/share-buttons.php", "0", "*n:;?tW|L/(", "*n:;?tW|L/(", "MBLsig%&QvWNU^E@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ha+̰I", "wp-content/plugins/wordfence/waf/bootstrap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڈZʳuC", "$la>ed8ұɽWu1{S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڔ\\J\Z", "wp-content/plugins/duplicator/classes/utilities/class.u.multisite.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/F@*p-,(q", "|^Z#OƟ\"@S#n%d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y&aA7]Dm", "wp-content/plugins/wordfence/images/icons/ajaxRed16.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%B\ng2;", "D,AJlOSpe؇&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƞׅ\ZXX]YF", "wp-includes/js/codemirror/htmlhint.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2|џGMtP5", "\0U[\0M\'mCռ55k`5ё", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˎ\"n8", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/RoundcubeInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lcc*~j=p*u", "<&J#s\\.,G$lt<IW5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+e/no", "wp-content/plugins/duplicator/lib/snaplib/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6y:J", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/dimensions.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jeH6$", "}]j>< 2(|+E\ZJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5=8yo΢=", "wp-content/plugins/imagify/assets/js/admin-bar.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[T\r_f}V", "W\"q\"Ur4tEIل", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" a\"KwTbc1S", "wp-admin/css/revisions.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cن[WQq`U(", "TY$Jv>\'b뢻8x`<_5|O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!HM1<", "wp-content/plugins/duplicator/assets/css/images/ui-icons_cd0a0a_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">E*,f2\0\Z|", "*;7:$GJA#*OW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#]k%;Py", "wp-content/plugins/ocean-extra/assets/css/widgets/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".u}QoN", "D[PA\0In\"`3\n8vr5^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#q[\nhK+8mx", "wp-content/themes/twentysixteen/genericons/README.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6V\0", "ҕRw&8Jie@<M}<,\"/d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",^ %c%|", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/select2.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EqJ\"lTD,", "VB5фȈP؟anhg!Ş\rT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-[ip\\^]", "wp-includes/widgets/class-wp-widget-tag-cloud.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֦/&ԩ)", "cc-Vo\ZI<1KaDhBz2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0&Y", "wp-content/plugins/wordfence/vendor/composer/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]_#D\0", "\Z ے%4~N~Gh!b:wɌ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4ge>ߝ", "wp-admin/images/list-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hջIS2ig", "JpS_X#UB-z,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";fJ1˘+C", "wp-content/plugins/wordfence/views/scanner/issue-geoipSupport.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0<^=f", "s]ѽj$	↜Skik", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LJar\0$", "wp-content/plugins/ocean-extra/includes/menu-icons/css/admin.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".B4{zZ", "=Eh>{k٩ϸٿtj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OOwTM\rY!d", "wp-includes/js/mediaelement/mediaelement.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'8{\"Wf=", "ѐWkB2(ImM]\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]ǿ|IC", "wp-includes/js/dist/keycodes.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	NI8[W", "&T6\ZZnfq\ruƴcBʚ|.&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fkjNUei4=%", "wp-admin/js/tags.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")ԧd2<z]", "8t<;wu0J-f-81N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f_N9~6+", "wp-content/plugins/duplicator/views/settings/packages.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`@>_		", "ؘ.+\'!LG@Sȵ)\\|~2m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hj̟؂pu", "wp-content/plugins/duplicator/views/settings/controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o{,	f8Ok1\'", "@65G957aiw:[\'n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y%Ǻ~ne\"V", "wp-admin/css/list-tables-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L9T`[a", "A\'x&C\"<{\0WTr\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|mN~lEJߣ7", "wp-content/themes/twentyseventeen/template-parts/navigation/navigation-top.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@omdd", "XGП}ߛ1GhD+s<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|%V\n{Zݴ\r$", "wp-content/plugins/ocean-portfolio/includes/customizer/class-customizer-settings.php", "0", "$W@sRx", "$W@sRx", "<\'^an/\'avVAڊ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s#C0e\r8j", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Nested.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".RuGmz6޾@", "Hm;I͞?ǻVnmqjl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nnزVƝ", "wp-content/themes/oceanwp/partials/search/readmore.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nNC|:F:", "ڻᥟݦ).\\tHƕL\ZG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pFuB3", "wp-content/plugins/ocean-portfolio/includes/admin/sanitize.php", "0", "\r-	mҖ", "\r-	mҖ", "i7\"xyq{T1\rbj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F+D{zX", "wp-content/plugins/elementor/includes/widgets/star-rating.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Fi?hb\'=%lq", "Du_wA\\&v^dh{\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/-TǻT<S", "wp-content/plugins/wordfence/modules/login-security/classes/controller/captcha.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-\ruZE:	", "^<1t>SM_3k!$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Js}sG`", "wp-content/plugins/elementor/includes/controls/deprecated-notice.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ψ4.Qep/MS", "yyLpiI!Ov;ЃB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ӎ?K%Q6$3", "wp-content/themes/twentysixteen/archive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*g!NB\n", "\rVoguD!rbR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8\"5Fxsi", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ZikulaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K8Idpo?E", "T!H	ؘ,Ca~KOPJ9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ơ4+{uz", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ExpressionEngineInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oGY>y*^Y", "Mr%k!󂥲Ӳz݁	)C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/j!~B`*|", "wp-content/plugins/elementor/includes/editor-templates/hotkeys.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u\"$Yk", ">QHr;L?Xs>T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1o%qA", "wp-admin/js/inline-edit-post.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ѳ,,$r", "=엘׷QFէ rsoyEC2f12", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";Tbʹ(@", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-content.php", "0", "su΅ժC", "su΅ժC", "уlkNl!JQ\"SS孽\r@t8TH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?*f#DpQ", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-buffer-subscriber.php", "0", "\'RLeQ-", "\'RLeQ-", "Xثl9N|˽eN?`]L3W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bl5\rircBEN(j", "wp-content/plugins/ocean-extra/assets/css/woo/wooQuantityButtons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۈz?^v]A", ",րj1bڑKH~xţ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TL ߈,]զm", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/SodiumException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8	:{We", "6{w^GkΫ25b\r񓫄", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^	z>im&6J", "wp-content/plugins/duplicator/lib/dup_archive/daws/class.daws.state.expand.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|fmcƺ\'T", "TWIUD&Vs6SAK:̗", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mH:M*^", "wp-includes/css/dist/editor/editor-styles.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yB VA", "Eߍ\n}HNf΍0/,uI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nB_Ru~", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-button.php", "0", "ۮc^Q3X", "ۮc^Q3X", "F܆M{ݬ8F3Z	 Ah", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zh9ꈦXp+", "wp-content/plugins/wordfence/views/scanner/no-issues.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xt-|Fe", "_?7c:_@EJs[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'񐘷f[", "wp-content/themes/oceanwp/partials/footer/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sFʹ.", "/qQ1+	&- >d=+AZT?J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vV5ǃDu", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Asn.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڄ\n1h;!", "Mϡ	pk)!\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ESc+#)", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Poly1305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uNmSC{", "P~{p}x{82hXx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("㟲?ol.XǠ", "wp-content/plugins/wordfence/modules/login-security/css/login.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m᳀2rmV", "rJ]s682!\ZpG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\iPGN$", "wp-content/themes/twentyseventeen/assets/js/skip-link-focus-fix.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u͈wwK", ":($KѼyϏ7bf㓶", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("¡xAVVB/", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-critical-css-subscriber.php", "0", "TgcaT<dwнN", "TgcaT<dwнN", "VXӣm:k\rg<e_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")&ì", "wp-content/plugins/ocean-extra/includes/metabox/controls/number/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PȐ!j0", "7-\n\"/P4_	(Ң!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F{A", "wp-content/plugins/wordfence/lib/sysinfo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۍQꅳ9", "!D#D\"0zt6IHԆ\\0̈\Zd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EQ?	(", "wp-includes/class-oembed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[\"\0M\Zxr!", "0]bz-yE:onӅَ^\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"\n5t", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/LogglyHandler.php", "0", "SVfԙx2J,", "SVfԙx2J,", "-#\"5MǎUe0P(y8NM^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".݁BxKY", "wp-includes/ms-default-filters.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l\\q0H;", "F-ck_ALMċ9e֗\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vZD?", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-minify-html.php", "0", "yQ-V;C", "yQ-V;C", "SH?i6A$q\0 G<WE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6~e{\".w", "wp-includes/widgets/class-wp-widget-recent-comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3C.co", "s+MqgJ%ty\\f\0m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kޚv`<", "wp-content/plugins/duplicator/assets/js/parsley.min.js.map", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0@s5U9g", "3R!\'4iJ32FZ@l	4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*O-Lτ\r[u", "wp-admin/css/about-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n]%KטW&[%", "ՆPTAx:Vጀ}s>j|ǅ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("??n_2gj", "wp-includes/js/wp-util.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",C\Z:;", "\\]\nt,%`@С_#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yg$zH.Y", "wp-content/plugins/wordfence/modules/login-security/views/settings/user-stats.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uD~Fe	U", ";\ne@dw`4g\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\`&mz;Xxr", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/XPathExpr.php", "0", "6Gtw!d[[", "6Gtw!d[[", ".8o&c&.	o^Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]FD>%Pwӽ", "wp-content/plugins/elementor/core/base/background-task.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^b}*Bb\r^", "G`@W/cPѷ,Wc\Z=st7tV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z@քļ;=", "wp-content/themes/oceanwp/sass/components/blog/_link-format.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iYM	S~0", "oz| +Z<Q<%L,-Пi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JEmHn", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MandrillHandler.php", "0", "x+tn!", "x+tn!", "RZBVaҵZ\ZY+Q+^6F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8Q*u,YA", "wp-content/themes/oceanwp/woocommerce/owp-archive-product-thumbnails.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y*a*m((g", "oV\\\0Ƚ=йx%{$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u>wP2f", "wp-content/plugins/wp-rocket/inc/classes/busting/class-facebook-pickles.php", "0", "l=9F&", "l=9F&", "ō<	T<-Υ]p\n6֭2ė", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǂy\"̼7JZ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FirePHPHandler.php", "0", "x_b-m$#{D", "x_b-m$#{D", "W&mJT	bQpԓ*<o.Y<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȹŜ\rgpb", "wp-content/themes/oceanwp/inc/customizer/controls/range/range.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a:҉$;yj뀜W", "}؍d%{^r^hh콖\'c2	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ns\Z&9ƲM", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/brands.js", "0", "k?", "k?", "\0!Ca};-=08vNcxmh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nRbxg", "wp-includes/css/dist/block-library/editor-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")Mn>,彚", "v&a[@OR͉zE{EW-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S)r[T/Ķ", "wp-content/plugins/wpforms/includes/emails/class-emails.php", "0", "<,4q|)2", "<,4q|)2", "sJT<ƯAjMzO?|Ұ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y\0)\r/j)Ar", "wp-includes/customize/class-wp-customize-filter-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M`f\0iu", "\0<\nj:YFdw	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"C1$", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-id.php", "0", "ԛ@gCc\r+", "ԛ@gCc\r+", "$F{s5|ruІ\rhSD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|^t<[tj", "wp-content/plugins/elementor/assets/css/editor-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WP*q=#R&G", "-[75\r+\n9O)g\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-t{fZns", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Node.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|ы08+%", "+6SO[9kX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4r)FG!1", "wp-content/plugins/elementor/core/files/assets/svg/svg-handler.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ggOՂB}", "X)\"FJd#XTd8ã+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R;lzO8m<3Nie", "wp-admin/user/freedoms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˹޳Hti.", "~l&P}@M 64gDz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("afh=FT:6", "wp-admin/includes/class-ftp-sockets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3i{.#ʯ", "UJisлC|%1vT\\$/j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z@ZQ!%r0", "wp-content/plugins/wpforms/uninstall.php", "0", "(	ڼ*T^29n", "(	ڼ*T^29n", "Gx	f#zA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s=E:lx", "wp-content/plugins/imagify/views/notice-temporary.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1lR	Xx:", " 7{1TBrmFxGB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";~ӷR>", "wp-includes/class.wp-scripts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "stQr~HnJ", "nD9T7#~-:\nZ*#qV\\)|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nvpe}", "wp-admin/js/customize-controls.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".{=a%\'y", "of˷\n#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3(Kl]Y", "wp-content/plugins/elementor/assets/lib/font-awesome/migration/mapping.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=H95<&", "g3xawȔR?8!p?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yՄFb\n<@", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G1Vpikp[", "d+ \0͈c7И5t\nǠ+R,@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(sO8J", "wp-content/plugins/elementor/modules/safe-mode/mu-plugin/elementor-safe-mode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":>\0gє", "$^؇0TW\"*M9m>7i*i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0.\nN:K*1|", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-single.php", "0", "$ޟ@{.V(", "$ޟ@{.V(", "&R\ng~~ڝgrR{*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ё~ő9&", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/Base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T9%STE", "u_M687\0{i:ݓN5MR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ō QE\Z", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/InternalErrorException.php", "0", "]Jʑ*", "]Jʑ*", "`-W]yn-%l+VqZ1/_ m9p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̆tokJ\rwcw", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-rating.php", "0", "e)2}:n", "e)2}:n", "9WH\n2߶]i:U!z\\N\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" \\Tn]", "wp-includes/Requests/IDNAEncoder.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}2Pر", "M?~\"u%[,l+?F-}M)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b0RǟnU", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.processing.failure.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^_Ɂc}HA\0hZ", "..$|KS>&[W+zXJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{A7?\0\Z.", "wp-content/themes/twentyseventeen/assets/images/header.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0CEK>5|Q", "|%`}3?M±KXWMEX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ص6_䋉\'", "wp-content/plugins/elementor/modules/safe-mode/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MKYľw\ZPD", "pG;7ۯ2X6xEg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z3H{ǲ", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/InvalidInputException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r Ϭn+n", "^qNТ&yN~\'S//>}p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#:SkU{", "wp-content/plugins/wordfence/modules/login-security/classes/model/view.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*:?l]u", "2P탚=w=7Ar\nfQ~,B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(|nsARF+", "wp-includes/js/crop/marqueeHoriz.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "̮;Lo\n", "|Se|./QYW}(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".*YM", "wp-content/themes/oceanwp/assets/js/core/dropDownMobile.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LG1^Lq\\<C", "XULCtz\\-XxE(Zj?5	:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":5h,7MK0.|!", "wp-content/themes/oceanwp/assets/css/woo/woo-star-font.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rJyOy\Z\\,#X", "a%aPsh#R-ZߴwUUzP-\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[\'/;", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Poly1305/State.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D2E\\t.-", "U\n/miMyE-QM^\0QL9hT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jeb=", "wp-content/themes/twentyseventeen/template-parts/footer/footer-widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~V2:5AY-", "r1BMSDАy&.3xR*g0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n\\1Auة", "wp-content/plugins/ocean-extra/includes/wizard/wizard.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sgj;", "46v\n+\\-&cg{r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wüu<m", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/upsell.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " zf~{}R", "Qq˗/׻p&&CivC͌%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IY{N#败bcP", "wp-content/themes/twentyseventeen/assets/css/blocks.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Jyڗ?aR]I\"N", "rheUCs\0VÝ7?[\0f[-~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":[&b[hY", "wp-includes/images/smilies/icon_razz.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˭=J@", "X,~Gml)wYDs&J$Z7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#ʧ[P", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-assets-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v?dP%5	", ":ou/gK\"uv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x2_.~$)", "wp-includes/js/dist/core-data.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N\\x\n@X1G0", "bk WlTX	xdF\Z>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*G:09^/\"", "wp-content/themes/oceanwp/partials/mobile/mobile-search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " m	.tNsY", "TWT	?7K%R\ry:0A]ۅ8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5+i{yu", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}@`H٫lc", "F?GQڹM\ZZbr0@ϭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VgwE7 5", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KirbyInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(J_?+4h", "	<?~C2B ?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ὀ5f?hk", "wp-includes/widgets/class-wp-widget-media-audio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LܶB$Rrjw[Q", "0q=z]tҽ\Zv)kt+Iv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D񚖋GiWR", "wp-content/plugins/elementor/assets/css/frontend-msie.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϼ$F4", "n9K=?g(O)[ǲ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",X9l", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/wp-rocket-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9W]", "Cy$7֋ǯ)yErp$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nd]4", "wp-content/plugins/elementor/includes/settings/system-info/classes/theme.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "25\n})Fp	", "}ejgHU폷-Ot}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8`9?BbБ", "wp-includes/js/jquery/ui/effect-puff.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ImlcG@ȳ ", "D	1b0$nnmM(z*Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bB}/Fd~", "wp-content/themes/oceanwp/assets/js/core/fullScreenMenu.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r6-Խޣ\Z)!", "8\Zc@ ;\nFN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_Qb*f9.", "wp-content/themes/oceanwp/assets/css/third/font-awesome.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rHҖߘ", "V>9vRL犚{rM9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".\'\\K{[\0&", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/IdentifierHandler.php", "0", " \\cx4P\n", " \\cx4P\n", "0AGߔo\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W4\n8O", "wp-content/plugins/elementor/core/logger/loggers/db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	23E0", "ZwN]Vrm+Y@#7de?p7-*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c̎$\n\'@\r", "wp-admin/setup-config.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F\ZL%N;?", "-\0oaZJK>z:ۙo\'f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m֙7,}ov", "wp-includes/css/dist/block-library/theme-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Mi;Ft", "~ꃅU(~3Hx)f\00xR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@89HJ", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-repeater.php", "0", "\0-e?s\ns\0", "\0-e?s\ns\0", "TI֟5!f($uK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VtS-", "wp-content/plugins/wordfence/views/scanner/issue-file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?}Ɠ.Μe1U", "MTzX`પmO]$sX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LqLD9", "wp-content/plugins/elementor-pro/modules/carousel/module.php", "0", "!ԟ	{i", "!ԟ	{i", "x]\0(1zZ۫SlPϓ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J1MF<", "wp-admin/js/tags-box.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b(B(`L,\'n~", "\'c.Fm8mL7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<·_", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/WHMCSInstaller.php", "0", ":x+x[", ":x+x[", ";C`wWJ-_>79", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NܭsvڮE", "wp-content/plugins/ocean-extra/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƄNB׭", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/autoload-pedantic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~dNc@G#,", ".\"K|[\0:H/?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D³6$", "wp-content/plugins/wordfence/js/date.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jPER_c", "B=0dƩ\"BtUc^1>q&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[ri~%", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/DefinitionFactory.php", "0", "$a+Bx", "$a+Bx", "14\\̣\nЊruA,ժ-QO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")> _Q\r", "wp-content/plugins/elementor-pro/modules/social/classes/facebook-sdk-manager.php", "0", "abWdp	ަD_Y", "abWdp	ަD_Y", "	z>عIgm	T>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=]", "wp-content/themes/oceanwp/assets/css/woo/woo-quick-view.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5?rww", "?<29-\\3{dqjr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lq]3xi", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/LineFormatterTest.php", "0", "Heo\rm#&", "Heo\rm#&", "*<Ꝝvqytmj*+\r_{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?ڟE$PF", "wp-includes/pomo/translations.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-o-j`|+", "ceIB\'\n!)&TйV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6bg>_", "wp-includes/images/wlw/wp-watermark.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";uMmܭD|wD", "SnR\'X^khɑi7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z\nClΦ", "wp-content/plugins/ocean-extra/includes/panel/assets/img/woo-popup-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9̿r:PVg$", "837#SoP%Viә", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GԈ{\n\'", "wp-content/plugins/elementor-pro/modules/posts/widgets/portfolio.php", "0", "e1N.", "e1N.", "qsP-k7Ff\rwG1kc(u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hx*(&kO", "wp-content/plugins/wordfence/views/blocking/country-block-map.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uyGF,{Xz", "%Ԝ5;x^)G(o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'Kzf", "wp-includes/customize/class-wp-customize-header-image-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0Bn@BĻ>", "!?Xэʾm؉RE ~kt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5#\"8%`}", "wp-content/wflogs/template.php", "0", "lCdb.˴v", "lCdb.˴v", "Z][WP},7*q\nƑ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rfh8!", "wp-includes/Requests/Exception/HTTP/500.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "km\n	HM", "FOV3\"!kP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v9b$L", "wp-includes/random_compat/error_polyfill.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X:,t]7=QE", ",t\0_gX%4.tP]>JT4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZkQPu1S", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/archive-description.php", "0", "RFtgS-9K", "RFtgS-9K", "Mi*.4u]dGU`IYQ{9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!Y;I-u", "wp-content/themes/twentynineteen/classes/class-twentynineteen-walker-comment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#\\(&xax7g\rכ", "^E\rT\n\rEI޺i94l\'dL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!+VwK䷤", "wp-content/plugins/wp-rocket/inc/front/deferred-js.php", "0", "+ u_R97fÈ", "+ u_R97fÈ", "3jla4@J0c\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#?Gc	¯l1e", "wp-includes/class-wp-theme.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t#Pw]d9b", "_zYn{)e&ae:u<[Ǔd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<tDXϦF", "wp-content/themes/twentyseventeen/assets/js/html5.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^鐐{1P\'`K", "Ry1Nhu¿I}؞)i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D$Ae	C(", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FilterHandlerTest.php", "0", "tIO,ļkl", "tIO,ļkl", "RYM\\9_`S	o\nps$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HPw%8", "wp-includes/images/smilies/icon_sad.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z\'=Oj?uA|", "K݄Xdo&)\n4SX3.ߎ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MK7^\0|", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Origins.php", "0", "mrGGy)", "mrGGy)", "a,?0~TKN-@2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q49LzJ", "wp-content/plugins/wordfence/lib/wfUtils.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "鸒M,/", "ۏgz@9pa\0}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XX*!2~", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƌ@N`Xg", "Q&3Ɓ_+i	uqI+:	IO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[nG{\'q:", "wp-includes/ms-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5h4Ѵ", "GzJ2r%2&7O{3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\h RX<C", "wp-content/plugins/wordfence/lib/wfMD5BloomFilter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "߅w@LOR", "EFjrč;s΀.f:ϤF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a piEP~H", "wp-content/themes/oceanwp/languages/zh_CN.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kpfbpYx", "=epʦ!M|?=s	(NWã", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rI3)~\065", "wp-content/plugins/ocean-full-screen/assets/js/main.min.js", "0", " VG)", " VG)", "oy%39%2	jٙKTTȟF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_ͭ3ҟ?", "wp-content/plugins/elementor/includes/widgets/image-carousel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"΂G8~Y&ts2", "~2̖{Gs.ATm5F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[qZk̦/9", "wp-content/plugins/ocean-elementor-widgets/assets/js/event.move.js", "0", "IKNA\r", "IKNA\r", "(8	\\O\ZiG|>ɭ	ZOR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jח_yzx6O", "wp-admin/network/privacy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k~{[`Pn>O", "oGsi*J4B%O3*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȁ~_qIS", "wp-admin/js/password-strength-meter.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qcMU1[5", "ɋ4^|C러<KOLB%5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\D >F,", "wp-admin/menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FiQ5oϚ", "#ۗ_.Z) :εBC,,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\ZV-W@z\\", "wp-content/plugins/wordfence/js/admin.liveTraffic.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/[n1uu}", ")䓣Ad98PV+H25J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+x9:H0CX{)y", "wp-content/plugins/elementor/includes/controls/popover-toggle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rg#A>shYH", "ۻY@0:<l,N*uSk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k},J", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PiwikInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u̎#!?5", "pi=z+#8=n~}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jk\\\nD", "wp-content/plugins/elementor/assets/lib/jquery-easing/jquery-easing.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eډB=", "{P;n2*Rpۖ>8OgXGzD=I%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	\")\"0Io", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/XChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zq\Zsq776", "CDa$=f[Q4JW7l).=%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^WOB~k", "wp-content/plugins/ocean-extra/includes/panel/theme-panel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}˳GEc", "/yJ.DQhaa?\ZA]G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Ż(", "wp-admin/js/widgets/custom-html-widgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s4[,", "jNٸSFsJ*11Id;:(\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("믦v3", "wp-content/plugins/wp-rocket/inc/3rd-party/aqua-resizer.php", "0", "QNT+B", "QNT+B", "\\J3k*P>31[\\g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#@RkۼY", "wp-content/plugins/elementor/assets/lib/swiper/swiper.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8Kur7 ƾS", "bX~W`:::V(TyÇ/)Da", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b6\rrQ1\ns\0", "wp-content/plugins/duplicate-page/languages/duplicate-page.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".ĺWOCj", ",8GG?*(A*\nRD_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~+qX\"`", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oaQ|g4&", "cUX+]Wvd=,Z0)\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#G", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_75_dadada_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",edȣ$i", "$s<&V~}QW3Zh(0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=}h\0)pbTj5\0", "wp-content/plugins/elementor-pro/modules/posts/skins/skin-cards.php", "0", "1ݯؾdU\r", "1ݯؾdU\r", "WT:^4a2$^BOw6mR3$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TdIИ;", "wp-content/plugins/ocean-sticky-header/includes/customizer.min.js", "0", "ZF7KQ3s", "ZF7KQ3s", "C5B+]q\nVMMT*W`L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V;6\\́=ƾ", "wp-content/themes/twentysixteen/css/ie.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ľj", "05iVroFʛAMY|C ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z-2Kn:", "wp-content/plugins/elementor/includes/template-library/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "65/&Pl*", "ҌBIJRF}#yCBQs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sWgOTUjsB]", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nq*ZF)2", "&4\"\rQjXmN\"?Po\\?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yz~9", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/VirtualDns.php", "0", "p.}^S+", "p.}^S+", "a9ZLAv]Nӥaa><q\rE9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bɯ5uqwO", "wp-content/plugins/wp-rocket/inc/common/embeds.php", "0", "t*9lޡH", "t*9lޡH", "H:N}5ty\\,LVoH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=CѠ*TX4", "wp-admin/css/colors/_variables.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qWס@7zz>ό", "xn1ج8H-i+z*&̃{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("08yjA", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SlackbotHandler.php", "0", "\")DnM", "\")DnM", "T\r3$\01\r=h&,F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}:L!zq", "wp-content/plugins/duplicator/lib/fileops/class.fileops.u.delete.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P#:ƈˡ3", "emrڿ!(4#:EE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȑ-aFU^d", "wp-content/plugins/elementor/core/base/db-upgrades-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6\'9G\nx7\\Q", "6(.QS&)7A$`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n5B^-NjBB", "wp-content/plugins/wpforms/src/Pro/Reports/EntriesCount.php", "0", "x\\էdrH", "x\\էdrH", "c,:SĨ^Q<9@\0$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڷtgZgE", "wp-includes/class-wp-http-response.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".T4,[Jц@", "V&\\		CNݛu3ΈM@J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" It13&", "wp-admin/js/nav-menu.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v>{G", "Ӻ9f1[^6\"UP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Px_", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_65_ffffff_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".(\\\'3Ȩ", "olhi6#K@Jہ)G\0Jϛ7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9Eq($⬍Q", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SlackWebhookHandlerTest.php", "0", "5bנ%)vJLh", "5bנ%)vJLh", "wfr[dsd\r%rɸjZE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Glݠ_", "wp-includes/js/dist/date.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+@p>G", "R얟 LK\n{D~:RU\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J-狁\\\"ץ&", "wp-includes/sodium_compat/src/Core/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~XZe&OagAc", "ADg9\'c$?ٵC/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(ؗ\0g蟅YDa", "wp-content/plugins/ocean-extra/assets/css/responsive.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]v(p@", "9դLf!%0C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";?2S\0p", "wp-admin/customize.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3Q:U\r^%", "RmقAإ&`RXrI&O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L!fX([z5s", "wp-content/plugins/wpforms/src/Providers/Provider/Process.php", "0", "_`WEb", "_`WEb", "̥jwAet/ б=Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L4ƿ\0", "wp-content/plugins/wpforms/assets/js/components/admin/builder/templates.js", "0", "bjAL\\6ގ", "bjAL\\6ގ", "|3\0hA	_\0i r[?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ml/Aq۷-", "wp-content/themes/twentysixteen/js/customize-preview.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2Ap$գJT", "hjt\n:W6T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X@%1Ci", "wp-content/plugins/wordfence/images/lightbox-controls.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m]a\\$", "Ǘh?S):i@h.Xg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("].1\rPXL", "wp-admin/includes/update.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XAqOpgЛ", "!_c\'<R3#6w˕B=9\0w;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^!\\O٬Mm`8", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SyslogUdpHandlerTest.php", "0", "#6^nM)*>", "#6^nM)*>", "*u_	-<m4Ud", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`pR!~$ffb", "wp-content/themes/oceanwp/inc/customizer/controls/icon-select/icon-select.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ׯD\r\"M", "*W0i;(Tx	.d\n\0I7>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aq+^JUS", "wp-content/themes/twentyseventeen/archive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*qw(4YMQ9+", "Dإη	ێ}L	$:n8Yހ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cl;_{", "wp-content/plugins/ocean-extra/sass/components/_widget-social-icons.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%.ڃdHf", "0daC=bscH+l&۽", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rY\0S(z|", "wp-content/plugins/wordfence/modules/login-security/classes/model/notice.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":9rKI(Nv(", "oVfZ|*.\rc&8jr7`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u${ܨv", "wp-includes/blocks/latest-comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ˆ2my", "ë*jF\'x^ȯȜ^°gՔ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Hks;^(\\", "wp-content/plugins/wpforms/src/Integrations/Loader.php", "0", "6fe", "6fe", "}e\ZL~X?{\Z-nN_f9\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~KɁwwfC", "wp-admin/js/widgets/media-gallery-widget.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(B?", "n2sㆽCo9߲)$>:!#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]`ezjn7", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aC;eqzl5z", "DzGlُyk/Kd!6!֌!e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}z#\Z", "wp-includes/Requests/IRI.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "52]{}	`X", "I?~4]4KF\"vI(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƌ\Z,H", "wp-content/themes/twentynineteen/postcss.config.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xZSYSm\"	a", "UYX}m\",W9:۸.෦Ho\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]wh9o", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/CombinationExtension.php", "0", "膩T_pnx\'", "膩T_pnx\'", "y3jAV^v;śb4oL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4y3%k ", "wp-admin/js/widgets/media-image-widget.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",VL&Z\"", "ZtUOvKxOA_VxI!@fl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("| ", "wp-includes/js/masonry.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Nu˯A+k_`2", "\'D\r<ĩh=t)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uw¶7\r", "wp-content/plugins/elementor/assets/shapes/triangle-asymmetrical-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "냴}Sj2Miׁ", "/~~Y~wqaжIY\n%2m}C}w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rӧش2*t-#[)", "wp-content/plugins/elementor/core/logger/items/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*PU\02\03$8", "kIRg3[t&>*rqbt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yݦYzҁ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SlackbotHandlerTest.php", "0", "J9KŻe{;tm", "J9KŻe{;tm", "GYj~H45", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v{Cҧ4I", "wp-content/plugins/wordfence/lib/wfViewResult.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9ֿYCA4|p", "{30pDr%#Mz_ϔK}Ao6MR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hpgtxr", "wp-content/plugins/ocean-elementor-widgets/assets/js/slick.js", "0", "t!,u\0߽C", "t!,u\0߽C", "Rgn}>ȡPs3E\'w=j$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p$^dZ", "wp-admin/network/plugin-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nݰa", "oz#\',YÊ47\\\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q0!;J", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/singular.php", "0", "f5.Թ)s~", "f5.Թ)s~", "Cu8FƤ\'nAS\0@_^]@_L\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a<em", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Cache.php", "0", "#@$\"nH", "#@$\"nH", "Uը[FrS#VkV	!m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Kb28", "wp-includes/pomo/po.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nr_hOA]\n", "&x_`DV!BM~\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{C$+XO\r", "wp-content/plugins/loginizer/screenshot-3.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "³}33*a", "R\r0D&~Q\0A4$`n0\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FTt\\3^=c", "wp-content/themes/oceanwp/sass/components/_comments.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VlXvI", "`A^($n\ZI][VQ/n\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	o6D!", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/AbstractDefinition.php", "0", "\\fXẎ-", "\\fXẎ-", "ã\\+~p7kE#c*P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XJp", "wp-content/plugins/wordfence/lib/wfBrowscapCache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TQxj", "1YTЈqW6݋h	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0R^Lg[w", "wp-content/plugins/ocean-elementor-widgets/assets/js/countdown.min.js", "0", "Z&Tҷvt~", "Z&Tҷvt~", "\\I|ueG >Q2&Q՜]jbb8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9d:ׯR[", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ReIndexInstaller.php", "0", "OÝY,\\-\Z*", "OÝY,\\-\Z*", "V#|q1Vׁ-(#خ3-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P7ҁ=4\r_", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-preload-subscribers.php", "0", "*z5蔕C", "*z5蔕C", "LOeLVz	_@8rr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n֢\rV5,", "wp-includes/widgets/class-wp-widget-meta.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "鲞al_	", "s6D9q29]>i9by*^4I̅", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ol>x~I ", "wp-admin/network/about.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6fqI<@V!m|", "`,M[b&	T%mUeX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p=Qrm<G", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/FluentdFormatterTest.php", "0", "&*>cFv9CF", "&*>cFv9CF", "ԲtlCs\Z\n?p\nҰسNx;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v$m8", "wp-content/plugins/elementor/assets/lib/slick/slick.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">Kkq`:XG", "ePt7\nGGC_`ʄs=ϾS Vu*3\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0jlSK", "wp-includes/post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".Zñ=S\\", "Ukm_eI0\Zi\'є(a2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%a\"6E$,D", "wp-content/themes/oceanwp/inc/customizer/controls/multicheck/multicheck.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#il38xge", "*ܨ(OTsY.~,C%},", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hi\n͓?", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-excerpt.php", "0", "YDXَ%D", "YDXَ%D", "t.(q}Y:0kB.9m97", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ސqic=", "wp-includes/class-wp-simplepie-file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	hL$K:gq", "g;-a<ɐ$\'to=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qjېi", "wp-content/plugins/imagify/inc/3rd-party/amazon-s3-and-cloudfront/amazon-s3-and-cloudfront.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y\'\\>ˎ;mH", "I}%b\ZU]\\R&M5R@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("81+tm!R", "wp-content/plugins/ocean-cookie-notice/includes/customizer-helpers.php", "0", "h<Z\nk", "h<Z\nk", "vw[Cәf~0&Re", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u+FG", "wp-content/plugins/elementor-pro/modules/posts/widgets/posts.php", "0", "wݧGLO$jR", "wݧGLO$jR", "XU래C/D|fQT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sՌQ7o", "wp-content/plugins/wordfence/views/common/status-detail.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ѿD\0|sW", "\n*vQ(Giu3@4*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zz_E", "wp-content/plugins/wp-rocket/inc/compat.php", "0", "`1YIhK6{\n", "`1YIhK6{\n", "D3ghУBPQq*ht֓s_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("«-j=uN\\q\'", "wp-admin/css/farbtastic.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8)}{Ch2U", "|ALMbxd8XjX.^\n\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<P\r4t@", "wp-content/themes/oceanwp/sass/_layout.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ycj\"Gt|%", "Vbb\Z,wUX Ho*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7TExkqF", "wp-content/themes/oceanwp/assets/js/third/woo/woo-floating-bar.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WM?4#fsJx", "@k]ɱ\\m[O$\" 5dn}J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ᗏ3-4", "wp-admin/css/colors/midnight/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",`᎑*V", "χmzBJc/`\\ yc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lˁєDpLWu", "wp-content/plugins/imagify/views/button/processing.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T[E\"U˪hp~", "_}u6\n:^4KXiW5LW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	Sͮ#%9", "wp-content/plugins/ocean-elementor-widgets/modules/gravity-forms/widgets/gravity-forms.php", "0", "IcE*@(zQ", "IcE*@(zQ", "-\rb;\\M\n=UhFТ{*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"ڕK[@G9", "wp-admin/includes/class-wp-theme-install-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gu|\r2?", "k#Y9g<P\\(:ṖzlII", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#u0c}", "wp-includes/js/dist/i18n.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\Ӂh_", " ɜxO\'vxWl;\rS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$QsPR3}/", "wp-content/plugins/wordfence/modules/login-security/views/options/option-token.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">N.RyEEn", "0Q~0Sbgsx:E my\\O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'ƿCyM0ЍJ÷T", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/FontAwesome.otf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r\']>\\v\\2\ZM", "qoO$K]g3nÒѐ~(R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3!9=6ݡ", "wp-admin/images/resize-rtl-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MMH!YA", "2mo{|ny˃4(φ=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7E>xy5U", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/BrowserConsoleHandlerTest.php", "0", "r*D#-V8]", "r*D#-V8]", "68j]4e#Dt{̡jKX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HwF\noie", "wp-content/plugins/ocean-pro-demos/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IooԆ5nuѭH", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KAct&", ";8%&h1RnJ g0-p\"F1*ts", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OPTp}b\rj", "wp-content/plugins/elementor/core/upgrade/updater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zzIY-MO+݉", ";>$X;-iCT4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZgUi1iƾx=", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/AuthenticationException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dW,XEEo", "l?)&&PP$@\\/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^2^T:mJ:", "wp-content/plugins/wordfence/lib/IPTrafList.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<4wwZ%A", "~\n)^\n20*\"$;ZmOc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b0݀>j\"G", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_ffffff_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aa+JD$2J", "/#?TiOLyvuTKɤ\\ػ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4\'e", "wp-content/plugins/wordfence/modules/login-security/css/admin.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e9 n&w21", "?jӵlrhZs/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PO@GU0ri", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/ClassParser.php", "0", "=oO>7l", "=oO>7l", "HGT\"2?7e0-An1ES", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<jnѫ", "wp-content/plugins/ocean-instagram/assets/js/main.js", "0", "M\0_DAmc{ɕq", "M\0_DAmc{ɕq", "l_+=&6F v.\"J/Q@VB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cVs9o", "wp-includes/css/dist/editor/editor-styles-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yB VA", "Eߍ\n}HNf΍0/,uI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CWQTBpfr", "wp-content/plugins/wpforms/assets/js/jquery.matchHeight-min.js", "0", "Mfϫv&K3j", "Mfϫv&K3j", "eܡ >\0w\\Gs_XT0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_K\ro(/gQ#", "wp-content/plugins/wpforms/vendor/autoload.php", "0", "Fr?7Rmрk!", "Fr?7Rmрk!", "5&$D\\\"Ξ}\rˌ_[Âț#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\"", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KohanaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z \"I/", "\"[&Pz>|֪!HX1b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%),4ED_", "wp-content/plugins/ocean-extra/includes/metabox/controls/select/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s}w}ST%b", ":~EH=\n(n^g6)567", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A?H8;", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/css/gallery-metabox.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YRƍ61/H", "!󤴮xҾ\n`FLדEgHP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")[\"JH|jk$", "wp-admin/js/customize-widgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ɖ |І6g0n", "\rVg1 t\Z5`nZU&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?FϸAR1", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pԏd0lN&7+", "^s\n@G,ږ\n;|3P	nԔ/\rzA\"\nd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JTV0DoTA［@", "wp-admin/options-discussion.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/\nHǽ1", "VOkuaE!nzIGI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MD/\"\0ï", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/in-taxonomy.php", "0", "QcaDap", "QcaDap", "!\0z$z\Z2XZ>1x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MG;tV9", "wp-content/plugins/elementor/includes/beta-testers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʸB\" ", "QjrX\nl\"J׌Ò\\l9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uZQ\\\'", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hqAi", "	q68xօ\\s\rN~.Zخ[\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n/D", "wp-content/plugins/elementor/assets/lib/dialog/dialog.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "̣_~Ul", ";x<mO6>\'Sfo-,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`ŊUU", "wp-content/plugins/ocean-portfolio/templates/portfolio-taxonomy.php", "0", "6QڞnwF", "6QڞnwF", "zQC\r7#%EdX:h){", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[&}VE", "wp-content/plugins/duplicator/views/packages/main/packages.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ub8]ܜ_V", "7;$k2=QW(ONB\0ӭTZ6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S8MC>", "wp-includes/js/dist/block-serialization-default-parser.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_k", " })6ݎ\rK+<\Zu)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a_ؐ\n3%yu", "wp-content/plugins/imagify/classes/Media/WP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QQv,v)", ",ֳzx,Cl](\"\Z8ֲ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UW8$e", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/post-comments.php", "0", "~QIq!w>B", "~QIq!w>B", "G\r(K\'om~Wa\0(R\0\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ShS%Tz", "wp-includes/js/mediaelement/wp-mediaelement.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j5VĹ.C", "{d^/E3YàG\'D\0GỌkd:5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yua10rS", "wp-content/plugins/imagify/classes/Webp/IIS.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ߏfA#T", ";]A(C>Q &\\CH7\\	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6PORA", "wp-content/plugins/elementor/assets/lib/e-select2/css/e-select2.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "馈\\)>ebO", "zπEL:fxSٺ-Uz|\0i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">`}6E", "wp-content/themes/oceanwp/inc/customizer/controls/slider/slider.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":pz]", " W^__ɒYV\\?QX%*xDߋ*\'$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"ܒnzD", "wp-includes/SimplePie/Caption.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BjMg[", "Ab\'L?QLrt\"2Ϋ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%M\0f", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/CssToInlineStyles.php", "0", "nN	0 \"m", "nN	0 \"m", ")N9MJ&q=coA,tV	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˋ_o!\'ur", "wp-content/plugins/wordfence/views/common/page-tabbar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")\ZtU2Ec0\'", "úM..8ѹ>NwjZWb*B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\nuoK T;e", "wp-admin/images/list.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">*ӳS", "\\wT[=baCk;c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("llxL,7WN", "wp-content/plugins/wordfence/views/common/modal-prompt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h\r$o", "l?9Rw\"H^\rs\ZD:Fa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V1w`υD&", "wp-content/plugins/ocean-elementor-widgets/modules/alert/module.php", "0", ",h4=Oh[\r6&", ",h4=Oh[\r6&", "9吔N3hX-<oXK+b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	\"R$}G", "wp-content/plugins/loginizer/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`f*	Vi.", "#Q76X	}2W03a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Uy/*%;", "wp-admin/includes/update-core.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aش8mk", "LXVFwnH-rça&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rEU̈́", "wp-includes/images/wpspin-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qO7!4\"IV*", "Y%*#S^T=|?MM䨝w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WP旃^qy", "wp-content/plugins/wordfence/lib/menu_firewall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m2_MjV", "\"!bXȉr3Oe{0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BHtǃb", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/VirtualDns.php", "0", "qLue^\'Jya", "qLue^\'Jya", "k5ɘQK߰LFTI1yD)+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N4JpaY", "wp-content/plugins/ocean-portfolio/includes/admin/assets/js/metabox.min.js", "0", "ZCDu~\0WvC|", "ZCDu~\0WvC|", "icXw~Or{[2ҘY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8ÈT0oX5iB%", "wp-content/plugins/ocean-elementor-widgets/modules/ninja-forms/widgets/ninja-forms.php", "0", "&Ȑu,", "&Ȑu,", "))4hqf61f<!4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":\nV1oVB", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4[Y/a\"Q$\":", "VxgCC2-Wry7V<{,*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hfz-Ov#\r", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-offload-s3.php", "0", "4aAo2XO", "4aAo2XO", "	ABhqT#a˫:r\Z2W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^9͌狥)2", "wp-content/themes/oceanwp/sass/components/header/_search-replace.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/l-(R\Zc", "p+{@O63uNJG2nDā", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h/͔jC\0n", "wp-admin/includes/class-plugin-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'̧b7E{1", "(|8jױk%hҘcebC ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r~ڜQd4$|U", "wp-content/themes/oceanwp/sass/components/blog/_video-audio-formats.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oF;)c", ".OR5{w5vȩ|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tbZǍE#i", "wp-content/plugins/wpforms/includes/fields/class-checkbox.php", "0", "jcK@8|z", "jcK@8|z", "J3OS(05\'dS\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xW2euvL", "wp-includes/customize/class-wp-customize-background-image-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{f&E\\$sX", "Rv3~|.OLtN`Ѯ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6?^o#", "wp-includes/sodium_compat/namespaced/Core/SipHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r-er^!~", "`RlԥLz?iāACH󞮣Pyn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lޭ", "wp-content/themes/twentysixteen/sidebar-content-bottom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+$VD<:t*A2", "\nI{cqZd6Xd2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=ue", "wp-content/plugins/wpforms/assets/js/jquery.timepicker.min.js", "0", "yb3C꣓}\'R", "yb3C꣓}\'R", "#`ȮFh\'Fw1s+2X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("݈3+P\r", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Country.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",0Z%", "g^M9=&*M{Xb0*u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&@pɗ", "wp-includes/js/dist/wordcount.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">W)$_pv7", "o}4;9lAIϽǌXw  V)l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0X{ắ", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/EmptyStringParser.php", "0", "#.4~1Ib[:", "#.4~1Ib[:", "lVa֗UBeGܶص?fo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ΦHc^)", "wp-content/plugins/wordfence/views/scanner/issue-control-edit-user.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Dd4\'T)", "KPUwxd!)n1w<m.ǳf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("؝LxnNvS,", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/BufferHandler.php", "0", ">u7hl\rxk", ">u7hl\rxk", "w5)JB]SIv{b}>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("spe", "wp-admin/includes/class-wp-ms-sites-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0nFa2ͥ", "-=v?U6}u}B̲%c>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ѵ<{SqM", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SyslogUdpHandler.php", "0", "d{r\nұ(	.Z4", "d{r\nұ(	.Z4", "$V]<Uo2nOC7l\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("΁=rsS", "wp-content/plugins/imagify/assets/js/admin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5X&:\rA", ")\\loӤzsλOBbZ^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	ӭgȱ!nP", "wp-includes/IXR/class-IXR-client.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QģKAϲ]ڎuYQ", "UF\"GM|L&8K::Dot", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i3@$", "wp-content/plugins/ocean-extra/includes/panel/assets/img/push-monkey.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N\"D^u(k~", "SP2J0|ީ9<+2 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=HAL0wI0 R؛[Q", "wp-content/themes/oceanwp/sass/woo/_woo-mobile-cart.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r\0~t9s/-A", "RB\'LT\"..u!	:1upN6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W$.$Z", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/FunctionNode.php", "0", "gBk)iq;w7", "gBk)iq;w7", "0,//> VsZb<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")V3ܾ+", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ExpressionEngineInstaller.php", "0", "oGY>y*^Y", "oGY>y*^Y", "Mr%k!󂥲Ӳz݁	)C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-18;T/X]", "wp-admin/ms-sites.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Bufa5\0>A7", "X\"\Zo\"|vS\Z{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KTfʁF^E", "wp-content/themes/oceanwp/inc/customizer/settings/edd.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a!ub	^=", "AY`+{&DW!j7!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`B7o6I>j6dF", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/search-form.php", "0", "I/u0wӦh", "I/u0wӦh", "GG`=96P0)s dgE~ӎ>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`WإJKzSτ", "wp-content/plugins/imagify/inc/functions/api.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m`nɤؔ", "\ZTa|)!.L&GdQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j<MDd4m", "wp-admin/includes/ms-admin-filters.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ju5ksǓL", "ZhnЈ#6d0=l(d5()", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qGUKkSj)zb", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/color.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LK(I1X\\ݏK", ".gP%;f)\\TW\ZM,U_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yrqhd.mK(@~E", "wp-content/plugins/elementor/includes/template-library/sources/local.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=T;0i\r", "sog2Vb\'L+U{6IaT]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q3o<6", "wp-content/themes/oceanwp/inc/customizer/customizer-helpers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A9	>.jM2", "dxl#R\n=7}a}T~Ze", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0.*HF	-%", "wp-content/plugins/ocean-extra/assets/css/fullScreenHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ԣ@>%8.SFoAo>", "\nnFc[+L,bd1\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y̐o!", "wp-content/plugins/elementor/assets/lib/font-awesome/js/brands.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k?", "\0!Ca};-=08vNcxmh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ρ~ߓ:eo", "wp-content/plugins/wordfence/images/icons/tick128.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ğch4\"", "V}X e~G[C峆5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(觨:pR/", "wp-includes/class-walker-nav-menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6 }?-", "Ven}pDb\ZV,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lb^e", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/PageIntegrationsInterface.php", "0", "-UNI8", "-UNI8", "I\rv^zW:H\'~iHR0,mө", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kyL)zW", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DokuWikiInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}=%7\\8V", "wHp[w2@u\Z\"LHa6Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8X+rqy", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/css/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|O@SI܁", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/elusive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z3KJ8ˏ", "9bG\r?ք#S`\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(5aHyo,X", "wp-includes/js/jquery/ui/tabs.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S04%gcABz", "58Ehx%I=`u,ӌyD2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l!5Gq", "wp-content/themes/oceanwp/sass/woo-quick-view.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s؜&0", "čV:e)MIC5;T|D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^C3x", "wp-content/plugins/duplicator/views/packages/main/s2.scan3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C$y \'@\"!{", "Ś@Us~.ֶ%njJŎ8#fBh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	RMOc]\'h", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ClanCatsFrameworkInstaller.php", "0", "՝Vo5ڐ\\", "՝Vo5ڐ\\", ">9Y\rYOC4huG[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b^ތZF", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LaravelInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=`w26d", "6ŷWh	0W?ޝYǝm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڵϵ0K", "wp-content/plugins/ocean-extra/assets/css/navigation.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X+\r`Gx3x8,#", "3Eꃭ	WM\"4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("){PNF\Z", "wp-content/plugins/ocean-extra/includes/panel/assets/js/installer.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͥ-@]`\0", "-y#:&yndkv9wHF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/7ñcxpg", "wp-content/plugins/wordfence/views/onboarding/fresh-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ނ!)(N+U", "#Ό|pPҰ,mkyt\r܏@6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GF`o", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TheliaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R#tXɃt}7FI7", "1xk_,_{p\'-Zʻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڥ^i$&", "wp-content/plugins/wordfence/lib/wfCredentialsController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]BjL4.;", "mf%fIOF̽&FFŵs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" X-QFB++", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-as3cf-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":3ܬjYʬD", "\0&ȇ|y#,Abwdҍ`@\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$͓bHn,\0-", "wp-includes/images/smilies/icon_confused.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sYFPZ6,", "0]\0r$Otu<*g!g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+ԊXIw*[D", "wp-content/plugins/wpforms/assets/js/jquery.payment.min.js", "0", "p5a)yk", "p5a)yk", "=!UN^^G\n1+t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-췓9ExZ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-glrc]\0", "AB-q=3zfRrWM4V)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F`Gff&x", "wp-content/plugins/elementor/assets/css/frontend.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{ȷS}T@+", "i*zvfۢV-- n~\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NZNDN>Y	", "wp-includes/js/dist/components.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">ߺ2{բ", "ޫN:N	8D_f=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yd9#d*", "wp-content/plugins/ocean-elementor-widgets/modules/navbar/widgets/navbar.php", "0", "f\\Ql9D*", "f\\Ql9D*", "QuYAGMrƯ%=$z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{4.##", "wp-content/plugins/wordfence/modules/login-security/classes/controller/support.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nʆwqF", "R	j[8ح͸WEH̅aI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I.E(#S", "wp-content/plugins/elementor/core/logger/items/js.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<+9k", "p?m`{!\Zj0x\0Zdۣiu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wZ^/֥ɽ", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/by-author.php", "0", "Mw<{ܵa", "Mw<{ܵa", "Du%< -la7Y7H/fėYo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("뻛Ib,6Y+8:", "wp-content/themes/twentynineteen/sass/typography/_copy.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nLر^#*s", "+\\`F~)?9G}B1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S\"PkW", "wp-content/plugins/ocean-extra/sass/components/_widget-calendar.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\"F+S\nF", "|b709\'m̲C+ly?>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y	nl,", "wp-content/plugins/wp-rocket/vendor/container-interop/container-interop/src/Interop/Container/Exception/ContainerException.php", "0", "?6@YtUc`", "?6@YtUc`", "C|ዞ~$\Z<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v\'j@-*", "wp-includes/widgets/class-wp-widget-media-gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?rl_c#Ao", ",/	?}z^3m]j\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("58T&f)_)", "wp-content/plugins/imagify/classes/Optimization/Data/WP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EivQWĎI", "E 0;}*%ϰhk-t73\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~?zP{", "wp-content/plugins/duplicate-page/languages/duplicate-page-cs_CZ.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S,HAL+N", "8KV`.&v3NUdMÁ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s[Y1Rt", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/HipChatHandler.php", "0", "Uh2z}r", "Uh2z}r", "A_EQC:7sE:pJ$3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#k/+ʿt", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/classes/wp-async-request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yfo5]\Zj", "OpcpDYmǖ0]}B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`j1NxH", "wp-content/plugins/imagify/classes/WriteFile/AbstractNginxDirConfFile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ͳ", "X&YQes{\"P\0	\n\"V<sK%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n?vqb\n1", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossed/ActivationStrategyInterface.php", "0", "$C~	Yz", "$C~	Yz", "ݬ$Gy9pԨ\"a&O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rO^/>ț~", "wp-content/plugins/imagify/views/button/restore.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e&~ak7Q>Mm+", "kNJ˨<[@=qCD\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3ٴdk>4", "wp-content/plugins/wordfence/modules/login-security/js/jquery.tmpl.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\}\"7ڷDZ", ".IH\Zg\0H!7`gޠZzȄž6|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5?x+b=J", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/header.php", "0", "EzIaCF", "EzIaCF", "2KO Ցb\n]Q6m`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LyE{f", "wp-includes/css/dashicons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȕdc8SdWV", "F}\'\')\0Ts\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U߷ 3Wi\"\Z", "wp-content/plugins/elementor/assets/lib/font-awesome/css/font-awesome.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0{BYD%", "qa#T0Tn=8X\nBg%΀L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\rҠ-HJv|", "wp-content/plugins/imagify/views/part-settings-webp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1z?g<*B", "pº>G=qByT3cuؘ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kULǡ$", "wp-admin/ms-users.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4NWBzЄ9", "	[=$Ĕ*JZ\nc5[S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[\Z|?4m\0#", "wp-content/themes/oceanwp/sass/woo/_woo-nav.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".H~G팿r`Ff", "1oMUXXLy\0qyQr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=-Xԍn{]pf", "wp-includes/js/wp-embed-template.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y,.n2Q", "S|l>\nwwZhGՔe?o<@?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wei!<sy\n", "wp-content/plugins/wordfence/views/scanner/issue-optionBadURL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t\"N+՛L", "67E0܃ՐC{\\adPb2+pW;P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("۝w6Uu%", "wp-includes/js/dist/vendor/wp-polyfill-element-closest.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<j <Yt#&", "yNOBӻ]&6M-J.:.{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fSuBͥ?^yO", "wp-admin/css/themes.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+c6n)RM\n", "񜇠;jiGlӫTX?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݏUt0;?8", "wp-content/themes/oceanwp/sass/stylesheet.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9S0\ZHQ", "\ZN\ZYG?椻=@7t$r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{^WC", "wp-admin/css/colors/ocean/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " EجVG##@", "Sd_p˦F=ǳ\'G^.4\r-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x%统5Ͳ6.^", "wp-content/plugins/ocean-elementor-widgets/assets/js/scroll-up.min.js", "0", "a=(\0{X", "a=(\0{X", "ݡ$]i~a\ZȖ]\'֙ uj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")2", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/wp-color-picker-alpha.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EP퐉D4\Z", "P8\rYUSKHg9:W\'+4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YiQVW", "wp-content/themes/oceanwp/assets/js/core/matchHeight.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xqmS", "\ZiSwA^[^\Zo)B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$[tCŤIw", "wp-includes/sodium_compat/src/Core/Curve25519/Fe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W	,~r", "L>eh\rF$CV7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6t\\]\\Ҏ", "wp-content/plugins/wpforms/includes/templates/class-contact.php", "0", "dx|JkShwF", "dx|JkShwF", "?vwi|\ZxsV/\"*)$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m5u1}", "wp-includes/css/dist/block-library/theme.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-ۢLݟd", "1ePX3D4_6RM\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eV/Pĵמ", "wp-content/plugins/elementor-pro/core/editor/template.php", "0", "\ZȀ\\@^*r<Hn", "\ZȀ\\@^*r<Hn", "8GnKKRm\rW~Sg9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z#)!9\'G", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&B5VAUU,", "wp-includes/class-wp-http-cookie.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3WM\0]go#", "0ti#d4Pa;Ca\nURsR+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TGfן", "wp-content/plugins/ocean-extra/assets/css/pageHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(Ffm5g", "Gmj!@>GE,V%]X*6e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T; öz", "wp-content/plugins/wpforms/includes/admin/importers/class-install-silent-skin.php", "0", "EYK!ohTn", "EYK!ohTn", "M)?=\nzaN\Zz7_9U5=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_f;waځ", "wp-includes/js/tinymce/skins/wordpress/images/gallery.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_PwPU4", "<W~ض+hN91_3ws", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cdM::yF", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PortoInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`	={`F\ZG7", "c6y )Sq![dkm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("seTrha5>/", "wp-content/plugins/wp-rocket/assets/img/heartbeat-hover.svg", "0", "Ј:]R;", "Ј:]R;", "e%94/;> 2ecdSE̊O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u<ex@ֈ>", "wp-includes/js/underscore.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kE3!\nAy", "rrYs8\'z37+s{ڵҶ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|<\'[JTz", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Parser.php", "0", "E8)(\Z", "E8)(\Z", "e2ˡ<3Ox\'\'yC#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|wzPAuz", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/LoadBalancers/Monitors.php", "0", "cP>|Jƽ", "cP>|Jƽ", "Im8qr\rQK I349C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".G2?E-j", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/EliasisInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":8ٷI", "\0x\Za&*U<Ƌ]yܻ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("])TN25F", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/InvalidRequestException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GR˗c?qt", "֝Rz5B,nɲ\nHoڨ|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q?%rp07q", "wp-admin/css/colors/coffee/colors-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y-`^b3k9Xԗ[9", "wg~t\0t\'eXolmxg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_if~ރ[B", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SamplingHandlerTest.php", "0", "O<Htv", "O<Htv", "qdQA:BVCd=3to\Z{gO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SWM#a!%4", "wp-content/themes/twentysixteen/css/ie8.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"v?P.T<W", "N?kxI_G|OT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C2ݸLo`.", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~\'~6و/Pp", "~ج:*0鹯I|@Xz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-[S_عQ", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/IpAddressNotFoundException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1:!G~qic", "^DCguPT!>W\Zk~_5\n8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s+ʾx#p|", "wp-content/plugins/wpforms/src/Providers/Provider/Status.php", "0", "ř#qWlspMK", "ř#qWlspMK", "GiU=G}R8m2^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":_&F+@", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerInterface.php", "0", "\Z\"qYAj)@N", "\Z\"qYAj)@N", "[Yoda#PB$( ](B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W$HD!;1D", "wp-content/plugins/elementor/assets/lib/animate.css/animate.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n3G;KE", "a;8#\"\0M0ܤ̨K[\Z2 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zvo:B%", "wp-content/plugins/wordfence/lib/dashboard/widget_content_ips.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݻ1(wmF", "B6;M8\Z&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xЙ)DC<", "wp-includes/js/customize-models.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ㅏ݃e;$L67", "@A*ʤJ,cW5\'5}i\r@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">-~ҿRSV", "wp-content/themes/oceanwp/inc/customizer/controls/buttonset/buttonset.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JB ԆC=w", "8.<:vQM5PwRYnZx+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~U\"&", "wp-includes/images/wpicons-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nVo$Of~7", "]کA=ђ%q%aMBUp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W2DG7V", "wp-admin/css/common-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")NEq@", ":T߶_ԜVQI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R+!{", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FilterHandler.php", "0", "-x/9*", "-x/9*", "X/I2J*=ܫcv4%k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M~\nT|", "wp-includes/js/mediaelement/wp-mediaelement.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+[:םoG	", " 4M(\rJ]𳠓3Tc8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("! otU\\| ", "wp-content/plugins/duplicator/lib/snaplib/snaplib.all.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1߸m<=fӊ", "P?afoXm>YȄEfWկ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")O1 1G", "wp-content/plugins/ocean-elementor-widgets/modules/logged-in-out/widgets/logged-in-out.php", "0", "ϘϬ-#A`", "ϘϬ-#A`", "?޷?>sruǂWX&L8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*N|ra 6", "wp-content/plugins/elementor/assets/js/beta-tester.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " \"%/\")ck", ";*{_ӟ\0wיgoC=Ӣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/m{,2V-", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/DB.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʫ]!Zo", "wF\\zߺ}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8Lk;k.B", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uuѾ\rڶsi", "N\roBP+^DWϠ	c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<62jj\"s", "wp-content/plugins/duplicator/lib/config/class.wp.config.tranformer.src.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tQR=I", "QtbzeVդ	*gp҃\'V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C1lUl+߶P[", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/textarea.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G\0yЭʒ1{", "$k{r%EJ)lLѹ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O]7Üm", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/simple-line-icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l7:", "FR7j7n}~}n^Y1c̾ۨ?+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vb(ktW\"6(;ƴ", "wp-admin/includes/class-wp-media-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AM=\Z", "ѓ}WB,PXN&*7Cm{W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]`Za5ԋ", "wp-content/plugins/elementor/includes/template-library/sources/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A$T2`4", "CAs;\"kZ!r<	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]lMJlY5", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/internal-url.php", "0", "OD*_:H4", "OD*_:H4", "PmtlS `z`!j$76ƻRB,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("la˓0@i0", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/elementor-widgets.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Muz:kRWE&n", "IzL*<[Ǿ#5^?+]\ZyqW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tfF	r{܇_Ix", "wp-includes/SimplePie/Parser.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R.b~+", "J22<c8ezdK^đr<T{#w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vDn³yy6", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/ParserTest.php", "0", "3TMϊ)", "3TMϊ)", ")n\04\r;\n}]<۔1ds", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{w?|˨6", "wp-content/plugins/wp-rocket/inc/functions/cloudflare.php", "0", "d7/tNmL,[zM", "d7/tNmL,[zM", "qY/or{B|?z#p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|]D\Z.E", "wp-content/plugins/wordfence/views/scanner/scan-progress-element.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J!%IWb", "tẁ~sg\n+A}bLNu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ul*,\0\"M", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/BonefishInstaller.php", "0", "u\".O	\"O-B", "u\".O	\"O-B", "`Ś睤ybktBI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a?UT", "wp-content/plugins/elementor-pro/modules/forms/classes/activecampaign-handler.php", "0", "L}V<g", "L}V<g", "36PžM^i}AWXY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2ݠh@", "wp-content/themes/oceanwp/assets/css/third/magnific-popup.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L8QjK]\r", " Ne~]Srd; (", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A4/̇QF", "wp-content/plugins/wp-rocket/inc/deprecated/3.2.php", "0", ";M߇<Rbjڕ)", ";M߇<Rbjڕ)", "x+w\ZB|a;L!Ƥ*a\r4K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5˭j", "wp-content/plugins/wpforms/pro/includes/fields/class-phone.php", "0", "ieD&*wn`", "ieD&*wn`", "O!E<2	o߂\'n\n\n2?ٸ#Hnd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rp4", "wp-content/plugins/duplicator/classes/class.server.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W$[eqA", "\ZtvǌL9@Im@㺆WJV48@QϨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ɛ\\Y&$", "wp-content/plugins/wpforms/src/Emails/Styler.php", "0", "$&sڂ", "$&sڂ", "<i12&ݼ˓0dږ;)<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("98ͤF$w", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_55_fbf9ee_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U,gS9", "W7\"3=\"3A[+\r(2Aq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\Q8be˘\n@", "wp-content/plugins/duplicator/views/settings/license.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0jc`*}͹ދ", "r9dpntvg\\m/{\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7*", "wp-content/plugins/imagify/inc/functions/admin-stats.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YnTt#|Յsu", "BOAl:!!JIi/7e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߲;0", "wp-includes/feed-rss2-comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "un12DjX", "3+Ҵ5mi>ʳY/\\3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rH[ޙL蜦", "wp-content/plugins/imagify/inc/3rd-party/hosting/flywheel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Au-=G.9", "uPgiMէ-yr\Z\\%S1\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P4)r\rx", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OntoWikiInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0R$|~\nv", "kipE0mŗ1tMFeZ\nRR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-(ku5d1", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/registry.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t>u7ҹQj", "&ԑLLD=?	n\03-D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";8^\r<CUVD", "wp-content/plugins/elementor/includes/tracker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h,(Ax", "뗮jҎUe6{na!64", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<g=C״qD", "wp-includes/customize/class-wp-customize-themes-panel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sv¬FD", "l`PQDvJܔj(zE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PC<	vnR8", "wp-content/plugins/wordfence/images/tools.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@cI", "Y=RB)	~ܖݟr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TLVI9Kv", "wp-content/plugins/ocean-extra/assets/js/customSelect.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$5?%+	", "D¹%+ NE.zd]PkR}w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V29?c#rY", "wp-content/plugins/imagify/assets/js/beat.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\	7$Y*꣇", "++_y\'sR{k7e΂Uz$F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^+w7b=;E{", "wp-content/themes/twentysixteen/genericons/COPYING.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B;a`GԢމ", "+P4g.{^W/![qu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h0soPm)", "wp-content/themes/twentysixteen/css/editor-style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fZ]S\ZW\Zx&", ",\0Љoت!ū\\0cs~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ihB", "wp-content/plugins/elementor/core/files/css/global-css.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!ĥ*\0;\\", "Nt+FL߯Ӱn𡆧$WF#`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mCB.ե>F_#", "wp-content/themes/twentynineteen/sass/media/_galleries.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Kmd~", "6!1oAuEoFw9\n4\0\\%wM\rg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}X2Hy+", "wp-content/plugins/ocean-elementor-widgets/modules/wpforms/widgets/wpforms.php", "0", "	@9[^gY#Ҝ", "	@9[^gY#Ҝ", "t,\Zz81nLt0a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}hC3±TP", "wp-content/plugins/wp-rocket/inc/classes/subscriber/class-google-tracking-cache-busting-subscriber.php", "0", "R74ʍ~\r\n	", "R74ʍ~\r\n	", "9B%}6B;C><l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~$Gj9P", "wp-content/plugins/elementor/modules/wp-cli/cli-logger.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7jCp遇r", "A:^1#q:|%Pl91:[Eӆ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",M;v", "wp-content/plugins/wordfence/views/dashboard/options-group-import.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=S0lK@^=", "υ<URY@*cs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3T.^ƙ<", "wp-mail.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^v4-IK", "CNiۀS{-\\?\\Ŏ\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tm٠\0\'", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.engine.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7	(71ŷ", "st?Q?&a1$gvq@WwR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S饀~m", "wp-content/plugins/wp-rocket/inc/front/protocol.php", "0", "|̏R\'", "|̏R\'", ";%?\'\Zp@tpE̾ǲtZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'J-ax?", "wp-content/plugins/duplicator/define.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=b%!*\04", "نxVS(n/#DA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'@S D", "wp-content/plugins/wordfence/views/scanner/issue-control-ignore.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\Pm@n", "4āLsFm\Z^\ZDQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R+);eOѩ", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-cdn-favicons-subscriber.php", "0", "CPp\"-$", "CPp\"-$", "\0~˂!O\0H[:e(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʯ:թ1{/p", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/SSL.php", "0", "û-}iTwz", "û-}iTwz", "^K\ria$(uؔ6BR WS`Yf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KOȖ93|<", "wp-admin/maint/repair.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f[-ׄG", "!M$,7;vfFq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I.$U0]\'S_", "wp-admin/includes/widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1~\rxny6k", "彄^}?/z\\x{&.~E|s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*DJ7y", "wp-content/plugins/elementor/assets/shapes/arrow-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x^(Ƥ٧\0", "m2\0>4ɽ,cU\"_o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+DFܿTZ[H7", "wp-admin/images/post-formats-vs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SlH\\", "etw|W{xy%K:QE7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/M=輹", "wp-content/plugins/wpforms/pro/includes/fields/class-hidden.php", "0", "i\\waLBV", "i\\waLBV", "_l=]Sۑ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rt6C7\n", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PPIInstaller.php", "0", "mĎ妁\r\"Bx~", "mĎ妁\r\"Bx~", "PL`\'R<DJU>1D,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")M/yub2_", "wp-content/plugins/imagify/assets/images/icon-alert.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@6!؞4r", "l0`[!rAFgR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3Iͤ_p", "wp-content/plugins/duplicator/installer/dup-installer/favicon/browserconfig.xml", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#bb	TE", "Fϐϼ\r><#+	{u\\7\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<3v&F", "wp-content/plugins/wordfence/views/scanner/scan-failed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eۻ04r", "H?MqK-4l_<*=܀ňp+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@ovu{+", "wp-content/plugins/ocean-elementor-widgets/assets/js/scroll-up.js", "0", "uA	i;f", "uA	i;f", "9Ҿw1&qּ#[b42a\rX-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A?]\\8PMTl", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Int32.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CB)cae", "[}D\0OV:~-\"~mBh\"<pW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EybƼ\\֨\r!<", "wp-content/plugins/imagify/views/part-settings-footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d֟lS/PaT\\x", ";w?qyU;H3Qn}1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GV\\z#!;", "wp-includes/js/media-audiovideo.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u(tC=", "Fs(;}rUWwf%2ξT\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ms;\',-E", "wp-admin/css/dashboard-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u0<l	0", "bx{<:+=/sw }Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Or#TG!", "wp-includes/js/swfobject.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",I}pe~2q", "?Lw.4MՒFJ>fI鴆", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f\\k;LmcҾx1", "wp-content/plugins/elementor/includes/editor-templates/library-layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7#ǄRm 60", "?[\0\"ҍsƪPfʈT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l&*&", "wp-includes/SimplePie/Content/Type/Sniffer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|riUblw3", "6%\"\\\\4N*F`Γ\rL*=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$(g(P/", "wp-admin/css/wp-admin-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GQ5\'EYo0}_", "0|TFO 	..>CEj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iQU+Ro!ъE", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/multiple-select.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u􋱺\'I", "-`ÅW/G\"ƞz0>]^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kM?uX", "wp-admin/css/ie-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UFoBr<m\'", "ДlWh<S=\\\"0iCDMq\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5At߂m0iz", "wp-admin/css/themes-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "̐Kvqke5", "Gg8B;yYZc*Dhteʰ%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EۣoM74w", "wp-content/themes/oceanwp/assets/css/woo/hover-style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t;.n	6ih]", "E\\M<Rdb>NHRJ#H:,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qKUj", "wp-includes/SimplePie/Category.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~?.\nܯd*", ";е=S@dc]rRּn <6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O­\n	URb", "wp-includes/Requests/Exception/HTTP/304.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";F4AIT", "vC	a\'F;z(eJL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XM L;", "wp-content/plugins/wpforms/includes/class-logging.php", "0", "tƘaNמ", "tƘaNמ", "[⩰NkReoTUre(+*zy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DeqfK.", "wp-content/plugins/elementor/includes/widgets/spacer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|7u*&D", "BZ=[D,Z\Zmi)(\n\Z7FB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ු|i]GELm", "wp-content/plugins/imagify/assets/js/es6-promise.auto.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6]9@^\\m\\", "tQ!@&dQ,Էh/\rꇠy/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-Z:E:", "wp-admin/js/image-edit.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"-s3RanAFL", "3*q{m]S\Zuf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AKb2|", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/CouchDBHandler.php", "0", "ڻ(ؠ+N+", "ڻ(ؠ+N+", "| 1R<\nd\r<QVgx9e˟vl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rm_x", "wp-content/plugins/elementor-pro/modules/theme-builder/views/panel-template.php", "0", "gp_ôC]}", "gp_ôC]}", "rtHi\roSA-g7UG14%$2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xw[oeX:", "wp-content/plugins/elementor/includes/db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2tI1cF:[N", "H]B5.Bw%R!vwt.UH7ObkAv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d]$U", "wp-content/plugins/duplicator/lib/dup_archive/daws/class.daws.constants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";+\rUW", "A&5aoN}oyi]_&M!w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|jX|fb", "wp-admin/css/login.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "޽74^h&07v\"", "\ṋ+t;A\'Cu<h>)逕W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*i8]\n4", "wp-content/themes/twentynineteen/print.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0)ݴ`I4P?Y$2|\n", "$eI8a*\0DB0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9L_D6NS\"", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe-ui-default.min.js", "0", "a8ȧ-", "a8ȧ-", "(|ɑ95[_w\r)7B]xǒ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MRlBFu", "wp-includes/option.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s)m\r:n~W", "{W::.eFs\"`vE:rw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pvc`3}:rO \\l", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/Test/TestLogger.php", "0", "gX,uQ%ǽ", "gX,uQ%ǽ", "\'-%$tTLƐB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WHp#R&\\w^", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/WhatFailureGroupHandler.php", "0", "@.p0,/f@`w", "@.p0,/f@`w", "5DSm[g($̀}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X%N9YbB", "wp-content/plugins/elementor-pro/modules/theme-builder/views/theme-support-footer.php", "0", "`Y;	\ZH", "`Y;	\ZH", "gFi|8-k:GTNa/4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ke.5~\'1M", "wp-content/plugins/duplicator/lib/dup_archive/classes/processors/class.duparchive.processor.file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#\'\ZR!1č", "Co5Nѩě巅^8JJ8G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r\\jA$", "wp-includes/js/customize-base.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xP0P\0C`", "!ZŋB6>\rl(=xnC!=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r֏ldmPą0\\", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R&JWIO", "JP.k(-v\"KnC?GL\r[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ӪBR37%Fu", "wp-content/plugins/elementor-pro/modules/animated-headline/widgets/animated-headline.php", "0", "|Bzt\\v4N\Zj", "|Bzt\\v4N\Zj", "srzQGqISq`Tn<yV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"Sέ`t@", "wp-admin/network/plugins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F9U֊", "XÐMCCD\rdJ&-*<4TU& x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K?ra#Qh", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/InvalidRequestException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IaRɞ%x", "M bd]FiPOZq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qYe\0#R1", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-beacon.php", "0", "%b*+b>4:", "%b*+b>4:", ".(T1&v>)\nR3{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\.1-:", "wp-admin/options-media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DY 88m5", "G	L<.\"~8\'qEðF	7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ΝH**.ځS", "wp-admin/includes/bookmark.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*ZC[ND<vƿ", "bV~&h,=}\\[d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dxeBݙϟ5", "wp-includes/IXR/class-IXR-clientmulticall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3@S\n_", "!YMxmՒO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L\rPl0H	", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eȹhU`", "CW!..fh1#ur\'0`Щ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A~dqr>H*n", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/PseudoClassExtension.php", "0", "ffT+", "ffT+", "!9}ahDBf)\'N>o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ul1ȕDbmg", "wp-includes/css/buttons-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wY~v^hD{;K", "^b\ZyIg<J6/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϏRCOh", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/InvalidDatabaseException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "06.tzxo", ";p^\03Թ( Aaw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("և>hiPd", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-page.php", "0", "dg.6GD", "dg.6GD", "::=2ϬTo˰YtftN\n\\[AL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+4}]\Z+zG", "wp-content/plugins/imagify/assets/images/icon-pack.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZSلCg:,6", "B\0W}V\\:sP 9Y(o@_FG,!Y}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nfv81-I", "wp-includes/SimplePie/Exception.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Kv&<\\ڏS5", "w\'TOE[q:Sk! ˎ\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UN, \\1", "wp-content/themes/twentynineteen/sass/forms/_forms.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%nŋA", "hVC{B{4Ob]=;X)(X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZS:rP9", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/path-converter/src/ConverterInterface.php", "0", "-vm#ɥ\0]", "-vm#ɥ\0]", "SHmƃC-acf 3H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("اo@Td", "wp-content/themes/oceanwp/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7c9f{VhY", "QSb.\\%hbq2M@\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_ &Iv0N", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+Xi97Z", "N<fh6<>U~&G[!IR6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" Qv)ct0@\".", "wp-content/plugins/imagify/views/notice-plugins-to-deactivate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/#=4f|", "nOg.{D3\'`?a@yI%f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/ g	&q~1", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.password.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǐЭ&~", "sMs1&p{,\n;h.c솖", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E~XdQh", "wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zdv ;9#bv", "@+j\\ӆ\no(#+Fx(;Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F[㵋Pѳ@", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Postal.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MbP\"xY@0", "\'n*2nԋ)a(_Iqɘ{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("``\'l`=X(", "wp-content/plugins/wordfence/views/options/option-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q5C&", "cU3AW\n(:F@zAgG&j9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k\ric$XG", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Block.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "䁽{f[{a", "DmhbZFo\ZEm>NLN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t Tzboj", "wp-content/plugins/wpforms/pro/includes/fields/class-page-break.php", "0", "]j5", "]j5", "@@[h	o*hc\ZgGNc-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t;׀|ζk", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Compact.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O]j+C5\r%", "\'X*Fv!H{d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{be女zn", "wp-content/plugins/wp-rocket/assets/js/lazyload/11.0.6/lazyload.js", "0", ",\ZWHfp2hs", ",\ZWHfp2hs", "z%JWEBrnE#-Emz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5I\\", "wp-content/plugins/elementor/assets/lib/jquery-easing/jquery-easing.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L:d|\"", "/630\'kA\"u ~2ia/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hJD㰗G n", "wp-content/plugins/wordfence/lib/wfCentralAPI.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ăa\\F", "!)-5%xi=F$07~\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZQ4\\(܇", "wp-admin/network/admin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H3p\'e[g", "zF\n~oE^q\rIH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U?,\"", "wp-content/plugins/wp-rocket/inc/classes/class-abstract-render.php", "0", "49*,", "49*,", "Aͨsxp~@K(?D(>-x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~H:v$k\rj", "wp-content/plugins/duplicator/classes/package/class.pack.archive.zip.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m\0a\Zum", "4eL-|D؜f$}1I/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E`{ZU", "wp-content/plugins/wp-rocket/inc/functions/posts.php", "0", "|-<ckLu", "|-<ckLu", "4Ef}zog>^w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[0^", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/AnonymousIp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "emgݜ|<뼸Dh", "+%G<t1]I5m\Z}E>;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m\rw3 U", "wp-content/plugins/elementor/includes/controls/divider.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tމB,E?!\np", "~LGu)ʂ6|:m~v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/؊!N>\n", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Ed25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f<_2S^IZ", "iݯ8{iq!dՍAz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YʲM", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FleepHookHandler.php", "0", ">?6A\"z|ߡ\0", ">?6A\"z|ߡ\0", "j%Z<LX}a3x\rVT4f=HmP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gu޲ZF/,", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.basic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uz+\\", "u;<MQiInԛc)iK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\07ÙtiX3؀R", "wp-content/themes/oceanwp/assets/css/third/elementor-editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	m4#*FV", "Di-Ĺ3]\'^|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%4@m", "wp-content/plugins/imagify/composer.lock", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&Кktlux\Z(", "_\r|Q\"D`M(=vEpF6%{fx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dF1H", "wp-content/themes/oceanwp/inc/customizer/controls/typo/typo.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oZWXQ\\ksf6", "saĒDnfBCtnLWp*]	h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nG\r6", "wp-content/plugins/imagify/inc/3rd-party/hosting/siteground.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qR/`", "GB8Ѣp&?шOet", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",XHϣ~y2", "wp-content/themes/oceanwp/inc/customizer/controls/select2.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EqJ\"lTD,", "VB5фȈP؟anhg!Ş\rT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zl3Ȋ", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PUՒJLm8`v", "ӛvQk\nl]`Ε۷+}kO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6v\ZʴG\rE", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/icon-selector.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NHPcD", "_!R(=(&re2c;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J|6}P,\rٛ", "wp-admin/css/colors/_admin.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "slIˁ߈D", "?^9ϳ$Iɯ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y0DɣDkDF", "wp-content/themes/oceanwp/inc/customizer/controls/typo/class-control-typo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I`2ˏn", "rSxqfM	]@k\rJȚbiD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z@EyaB", "wp-content/themes/twentynineteen/sass/typography/_headings.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|Rsx*%", "pЎ(W\\	c36\0\'f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_BaPG;", "wp-content/themes/twentysixteen/sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cЎmOWqo(", "CoCXRХO`ƻG9\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d`#)?ϳ0(w", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Crypto.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " oY-)EHd", "l,8ETCeylaS;)\'\"d`z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x`f,5ef2", "wp-admin/js/site-health.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "IauV\\+", "0x.>ŢG^d-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[:q", "wp-admin/includes/class-wp-plugins-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9j\'*(o9nO", ".eivԋ\n&aYx#>@DO2^&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("POf;/", "wp-includes/SimplePie/Decode/HTML/Entities.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E^/\rBZ#%/a", "\0+0ߨP;PO\'^p|NsN6d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȀB`ޱ\Z|", "wp-content/plugins/imagify/views/part-bulk-optimization-header-row-custom-folders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T0Q,<L(^", "ǩEU$@<xPZڀy\Z7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z(|Z", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QUp~ocÊ4Nt", "Lnl2@ΐ>hi,uJYH\\L,B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PLAfdG", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/RangeException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Š0c9$", "\n˷Zt]/$~8zRmN}e*O@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\ Iѻ,", "wp-includes/class-simplepie.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r\'hX}H", "g2QƶZ6*TTТ_S8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%cu", "wp-content/plugins/elementor/includes/schemes/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QR}l]HV)", "&ي9`\"p*Ts.I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r4,hC", "wp-content/plugins/wp-rocket/views/settings/page-sections/preload.php", "0", "Jv߽΍", "Jv߽΍", "^G$Ea̽;2M=s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rU¥SBe", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/light.js", "0", "C&pVy10Dn^", "C&pVy10Dn^", ">)7Yȗm<X(4Po`\r\Zof	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"F8zc6L+Bj", "wp-content/plugins/wp-rocket/vendor/container-interop/container-interop/src/Interop/Container/ContainerInterface.php", "0", "OyutKS:B", "OyutKS:B", "}3m@f:xt=:;e\rLeH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*P@%>CV", "wp-content/themes/oceanwp/sass/components/blog/_blog-large.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@̅ \n(`", "id\"x=E\\6>qQ8q(6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/&2ѡ\rgDs", "wp-includes/http.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CCk~uy`", "y܇hU c7$B>of", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4i\'%`g{", "wp-content/plugins/wpforms/includes/admin/class-tools.php", "0", "濟g;\'4", "濟g;\'4", "ornsQ]J^1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5قaܨϘ	#bu", "wp-includes/js/dist/compose.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ElGdⲦbp", "!JSȒ$kb+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dIBr)^", "wp-content/plugins/wpforms/pro/assets/js/vendor/jquery.intl-tel-input-utils.js", "0", "E(\Z", "E(\Z", "qRbiM:~F`:{v~><", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("et58)Ki,", "wp-content/plugins/ocean-extra/includes/shortcodes/nav.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n㶝WJ|T@", "}H8&X̰{ߋ?M}	!Gп", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oZEA*", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/site-logo.php", "0", "\"3{x{C1", "\"3{x{C1", "(;\0{)߃ξ[X-}r\Z.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zIxu%+", "wp-content/plugins/wp-rocket/inc/classes/traits/trait-memoize.php", "0", "#.\"Zl]F", "#.\"Zl]F", "ϻ\'-ZJnGT?H>Es#Wxx6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}\n$,", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-video.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XSX)~2oNr", "fg/?]*gGx`Wapp=wѶ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=Ѷ8$", "wp-includes/js/dist/vendor/wp-polyfill-node-contains.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w%[U3", "EtzfD:x?ocڋ	8P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M|!grBXp", "wp-content/plugins/elementor/assets/js/common-modules.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|/h# ", "	$y\\|+,IB\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!i{47Z}", "wp-content/plugins/imagify/views/input/selector.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "12jR(]", "K67<J\0ԁD.MtUֱQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?0|5uơ", "wp-admin/custom-background.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_-\0{a0с]U", "ٯQZaWPiq-X2*+#7R\'\r&Hg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q!}9P7\Z#", "wp-content/plugins/imagify/assets/images/icon-lock.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o.|Ze\r߹", "\0ϋ eLևka+GUr\0V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C&_cP\"", "wp-content/plugins/ocean-elementor-widgets/modules/accordion/widgets/accordion.php", "0", "c]V^3", "c]V^3", "U1UQ%Oڄ$G)]rM_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qhnJj", "wp-admin/css/nav-menus.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*QF", "~ڙ,8\'kq_˓\",,. 6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<	f%nO", "wp-admin/includes/credits.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0-e񣿧j}", ":\\!Bt	d:Y-~G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xReSDLq|", "wp-content/themes/oceanwp/inc/third/class-sensei.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WJ(Yjy", "\"5([?)gH5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("«AA!դyBi", "wp-content/plugins/ocean-extra/includes/widgets/flickr.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|_\n}EQ後a", "8\0tYXי[Eqˀ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";t0gRv", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PortoInstaller.php", "0", "`	={`F\ZG7", "`	={`F\ZG7", "c6y )Sq![dkm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ÏuL,&Ǒ\r1", "wp-admin/media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˱sb)`", "ܨtFuϕ5\Z?&(؇4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'UQreO\r", "wp-content/plugins/duplicator/views/tools/diagnostics/main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZAM\\܉;K?", "R\\ᶧ46&eװtE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ӏ9[M-g", "wp-includes/js/dist/hooks.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#5+lQp\0!O;", "OET\Z\n~ʦU=&H+X$)!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%I}PzW", "wp-includes/random_compat/random_bytes_mcrypt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TԦʙ`PL", "b=-.XTYnP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/6Ua4C}", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PlentymarketsInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ź>pҸ]T:", "lO|TKf.`~4,XvIt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oLm/I{", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y^θ", "wp-content/plugins/ocean-elementor-widgets/modules/image-gallery/module.php", "0", "hߟv7*sSP", "hߟv7*sSP", "1mp4tr\0B-)nfn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d{Z΄", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ModxInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DMR{iPc", "&w\"<?Hf>\ZR1%B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5R#M}tN", "wp-content/plugins/elementor/modules/library/documents/section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Gh?M>Z1kpn", "ZUc\'9gZHHt<ߚ+#5$i.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%u%]>?6<", "wp-content/plugins/wpforms/assets/images/submit-spin.svg", "0", "tĳlͺL", "tĳlͺL", "а/[M^hf<GI߶b6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(dwI\0:\rXx1DC", "wp-content/plugins/wordfence/views/scanner/issue-control-hide-file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y_V^\n%pc", "dWgme˰5Ҡ:;W\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3,cvk", "wp-content/plugins/wordfence/views/onboarding/overlay.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iŮ9e`2", "ZMGXL;$xMi|Q%ŽY2$_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=a>0NsA", "wp-content/themes/oceanwp/sass/components/header/_header-custom.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x$^{a", "C\rHC\n8&wG%ּ[Նd< ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WM{h(", "wp-content/plugins/wordfence/lib/menu_options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	:!vcI_\"|m", "7*la\n\\9Gǃ>*X]q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]K{ٯ`{,", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmWUlfChc-AMP6lbBP.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+EYH<YPK=S", "ۋ&:^G&B2PC~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a@o\'kb", "wp-includes/js/jquery/jquery-migrate.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q!NS XdcQ", "|\02+Audm5ǉ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i/pEt\nl", "wp-content/plugins/wordfence/lib/rest-api/wfRESTScanController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5oQ4)dT", "Dt3v\Z%jlf%O)&&1L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߋa\Z)~", "wp-content/themes/oceanwp/partials/search/thumbnail.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1[kqhu", "Rjm:$g󨇴í3p>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2?!u܆\"", "wp-content/plugins/wordfence/modules/login-security/views/options/option-switch.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[(AɊh", "ͳߘQ6̨!*XxMMu@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ף_@d ;}<", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/ProcessorInterface.php", "0", "]=HiU", "]=HiU", "L-4He9Ϊ8+8f͙", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("De\"", "wp-content/themes/oceanwp/woocommerce/content-single-product.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F4IvM3|Kח", "ص|	Sn,H1T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?*\Z=W", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.u.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A90_ʚLGκ", "C>Aټ3`J&(!z0=Ji+my", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^[Xi	", "wp-admin/themes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")95j R", "2<{]:vc~)FE=X\r-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":X@\0{*֯", "wp-admin/includes/class-language-pack-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q,#YhbT", "tdHU=mD,q,y7B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N5¼߶^	", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-setup.php", "0", "7x<\r^6.", "7x<\r^6.", "|CsL\"tbR6WIG\n a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">3\\S~~9", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AttogramInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oGE\r", "}DlqX\"aGGuVX}=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4T(\\9\'3)", "wp-admin/css/customize-widgets-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M<Q&1", "\'tNt?텚ʆ~S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" )n\\T", "wp-content/plugins/ocean-popup-login/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0n:Tq}K @", "wp-includes/Requests/Exception/HTTP/408.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@>1dIXOȷv", "q*lmKңk\"MQ?pa؂4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k{&x\n", "wp-includes/class-wp-error.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=[^#_I\rHk", "eq3XlniSvT1\"6xL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K>CWv\r{֦", "wp-content/plugins/wp-rocket/inc/classes/admin/class-logs.php", "0", "2g*$-9", "2g*$-9", "*m=}[\n`Y<\Z&?y$&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$o1T2]l", "wp-content/plugins/wordfence/lib/dashboard/widget_countries.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rmnZB ", "݃EZ?wȖ͖s!7cJ70", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A0ff` Kǁ}", "wp-content/plugins/wordfence/lib/wfDirectoryIterator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n+Z/_\Zxuv", "u;IVa[~㵭TZ\\^yJj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0%3[$x\0.(", "wp-admin/images/marker.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3*O2/3I2", "~T@\\vUI<pKa`T@cca", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4=", "wp-content/plugins/wordfence/images/icons/ajaxScan.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʖѴ~fi", "ߩ0ԍѦƻH\n¡;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	Em[l<", "wp-includes/js/tinymce/plugins/image/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P5+-?", "2L<#r\nT-̺^a$s2E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z*;]0 V", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GsP@N|_", "9(hr<s&@cfp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("13 E	", "wp-content/plugins/elementor/core/common/app.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s6PC", "PP>TC\n,:GSe70", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=Vr=XȞ", "wp-content/plugins/elementor/assets/lib/e-select2/js/e-select2.full.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "̓9x	ӧe", "~xC1y	H\'ɐ+lf\rQ\rt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A\n&Di@_", "wp-content/plugins/wpforms/includes/admin/class-welcome.php", "0", "8D;^`ɔ", "8D;^`ɔ", "<hP\nv!Hr-Kz]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D`Bȥ\nbǙ", "wp-content/themes/twentynineteen/sass/_normalize.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ut _vO0a", "LLZmh2-s,+<s!@tpzG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9`8j", "wp-content/plugins/imagify/views/button/optimize-missing-sizes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}f_[qZ6%Q", "\"\r\\><ʀ`Q\\ʫ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p2/ [m", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-list.php", "0", ",3mnߋ", ",3mnߋ", "+1fpt*9h6w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{]\\ֵ	d", "wp-admin/css/forms-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q\r+", "pٵ~\"ϜH\\Zޔ !gOL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|~zbs˛\n", "wp-content/plugins/ocean-popup-login/ocean-popup-login.php", "0", "O5tG&<v ", "O5tG&<v ", "Ut\rۈV)X\\slR[)Dt&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")R\nrC", "wp-content/plugins/ocean-elementor-widgets/modules/navigation/module.php", "0", "\0+.zuu`r", "\0+.zuu`r", "\\$=F]_[ļ({ʠCP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"RŜ", "wp-includes/images/crystal/text.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " Ѳ#d%[", "n10<;\nIp~f⠸z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u\\;7i", "wp-content/plugins/duplicate-page/languages/duplicate-page-hi_IN.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K/v~|", "|yQٲjEbyfk\0(f\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!0Λ`hr", "wp-content/plugins/duplicator/lib/dup_archive/classes/processors/class.duparchive.processor.directory.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?M \rXƲx", "z.ׁj	^y؍	^ƴ܁", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&r~6װ@cu", "wp-content/plugins/elementor/assets/lib/tipsy/tipsy.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&Y`WŪ", "51\r*6i$^|PMݚg^rz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&\"#EF", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-sale.php", "0", "&rm\\1~ߙ", "&rm\\1~ߙ", "/Uj	O²њ{\r	-1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7 R꺢VT", "wp-content/plugins/elementor/assets/lib/perfect-scrollbar/js/perfect-scrollbar.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J\n", "kֶ<P*+uD>%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S\r^ʬy+EA", "wp-content/plugins/wordfence/css/wf-global.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p]$ڡ\n", "淇tj?\"E\0$Ӝ Nhq3{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XAźmg", "wp-content/plugins/wp-rocket/vendor/league/container/src/Inflector/Inflector.php", "0", "|(qL$_?dC", "|(qL$_?dC", "a\Z;pg;АxFČH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oV>y&", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/WebProcessor.php", "0", "UIT۲ѡ3|	", "UIT۲ѡ3|	", "6 a M()En1S9őѦ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v%S[̪Ѿ", "wp-includes/ms-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#̚񄧾Iӯ", "sZi>|`#1&M$!f.Mx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z}ŕ", "wp-content/themes/oceanwp/assets/js/core/verticalHeader.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vu)}L\nӶ_6", "	Hco\r\nO\r퐏*Isx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lb.؊", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/ElementNodeTest.php", "0", "[`zg\0", "[`zg\0", ";&#CɍkL3Gs$	tv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cq;og", "wp-content/plugins/wordfence/modules/login-security/js/jquery.qrcode.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԹXp`me<", "wP\0pzuYDSz(WߥP3$S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|X%jgu@CJM", "wp-includes/js/dist/vendor/react.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'붋1Rl", "pb\0\0p\0sxOdtDM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ւxRaǜ@", "wp-includes/css/dist/editor/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":T\']XTR", "D{9K%6MtD\'BV/yS5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("׆kю5JyM", "wp-content/plugins/imagify/assets/js/imagify-gulp.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*]4Qk(1yW", "#&0/3Fugq~P S@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("58Ryx*", "wp-content/themes/twentysixteen/js/html5.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^鐐{1P\'`K", "Ry1Nhu¿I}؞)i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X\"-{$48sx", "wp-admin/css/deprecated-media.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OC9ٻAf", "c`LH;c!k[L\'CbIaj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UdMS$l", "wp-admin/includes/class-wp-list-table-compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]Z;E\'", ">1WU\"&SId/Bt\"UW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PIbx", "wp-content/plugins/elementor-pro/modules/theme-builder/theme-support/safe-mode-theme-support.php", "0", "/f\ZdH!7$s", "/f\ZdH!7$s", "oE+9VQ &<\0l|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rz@_ÐmdM", "wp-content/plugins/wordfence/modules/login-security/classes/model/ip.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "96f;0", "mgc%i\ZnAB@wFz;y`\rN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\nde&+Rs", "wp-content/plugins/elementor/includes/controls/choose.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rJB~3/3", ";Ns\"[M^&/d8:+F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@GteY\\\'>O", "wp-content/plugins/wordfence/lib/wfVersionCheckController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~\Zyh[*[ǥ", "q\rzչ4kÛ>ڌj\'$a9]\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ne&Ո#趿\n", "wp-content/themes/oceanwp/assets/js/third/woo/woo-mini-cart.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z3&\ZzL:", "ֆQƧ-+ccOk4*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O~LȦ\"f~|;", "wp-content/themes/twentynineteen/sass/site/header/_site-header.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_n.)U\\!k", "1,0љLv/\r>%\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yf{.Tn", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DrupalInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4nBTE", "xEv)(G30yv7Bjx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZWtpNh", "wp-admin/css/nav-menus.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B.Yt]\'g", "׺mT9^l//+L\\Dz/%{cҀ-k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]wS,", "wp-content/plugins/duplicator/classes/ui/class.ui.screen.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";hu", "Lv巋:\nN\'>|I`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m%piƗYZ", "wp-content/plugins/elementor/includes/editor-templates/panel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڇ%\\20(m", "m&s\nxY]pCy\r`{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rpSϒ&", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-palette.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q#zzGUhm", "l?vf&9㎮3Cѩ@yyX_;V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|^9<h|.K", "wp-content/themes/twentynineteen/style.css.map", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mMxD\rm(/", "y?=+/_gY4Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=ΊKͶ>go", "wp-content/themes/oceanwp/partials/topbar/social.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}w\Z\0r{pѷL", "32=AK$E^r}[gݨQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z Og\nWW2", "wp-includes/js/wp-embed-template.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]g,JDT\0\'", "E_VM6y&RR=$㖷6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	[?O\'-dG", "wp-content/plugins/elementor-pro/modules/woocommerce/documents/product-post.php", "0", "}XJ!", "}XJ!", "f޽nqF)0W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">w\Z4Pa", "wp-content/themes/oceanwp/assets/js/devs/isotope.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8X", "Nytf*l	dhA߂G-͑", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!h>iq8tn", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/Precomp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0>@UeU", "țp˄o<O\nOo{w=S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\9ѕFw", "wp-admin/js/revisions.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nqlö9R", "c|6\0!8a5?Qc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ΕER޿ۧ", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/sessions.svg", "0", "Bh#;-f\"#Ŷy", "Bh#;-f\"#Ŷy", "\\AÕ-sc (zP&^RnQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĝʴb2@.", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/NativeMailerHandlerTest.php", "0", ":m⒵i", ":m⒵i", "X=t۝ʒ)rANM޼vdmލ}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("72dT.G}>", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MissingExtensionException.php", "0", "qe/u*nE", "qe/u*nE", "BQebmt;6iY!:ptA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".kBի0b", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe-ui-default.js", "0", "?q╙d", "?q╙d", "Mq<\\ג!3\Z3$zR1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fkEku;,6", "wp-content/plugins/imagify/assets/js/chart.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r%V\n)YP7", "Pym}\\`Ɓ_|#w/ыx7ϳϚ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vtkQz))", "wp-content/themes/oceanwp/sass/components/footer/_footer-widgets.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~]0Ҕ(W\"\n]", "{Wz,=,^h$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&b6K\n", "wp-content/plugins/wordfence/css/wf-colorbox.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PX)p!N8j", "ot0\rP2NiKu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("alç`z<<", "wp-content/plugins/wordfence/css/jquery-ui-timepicker-addon.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")ef#`P~7n", "-mznNFE\0ѭ\\vqsL?Z\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vsVx?3", "wp-content/plugins/imagify/vendor/composer/autoload_real.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{!sOZ\0\\=", "abc/zNTn~ZםW׋S}\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"(4C", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/NodeInterface.php", "0", "\0u\ZCH$r", "\0u\ZCH$r", "CME\'D[0NN3\r+M5&tdc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/=+HhE14ʆ", "wp-content/plugins/wordfence/views/tours/login-security.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#?canՐSK\Z^", "/a~-2y]yp!Y蝅EK_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@W`|yb", "wp-content/plugins/wp-rocket/inc/classes/logger/class-logger.php", "0", "iN\n\Z2$", "iN\n\Z2$", "3+1?>)6q\\}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~N@ls", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N}\"ԛ`}}", "\r4&VW>WK7&fĚ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N@(3", "wp-includes/ID3/module.audio.mp3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GͿq\0", "xEҀZ%Lη݋Kp7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h)UG@xv	", "wp-admin/edit-tags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lHֱI\ru", "OgZ}7C>~.]dX?v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HQT83o&_6C", "wp-content/plugins/imagify/composer.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J^	qL", "dh\rl&#--P3%p侙i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o@bf$K<", "wp-content/plugins/ocean-portfolio/templates/entry-portfolio.php", "0", "؋_IȒQ&", "؋_IȒQ&", "*Ӽ]l%OLT	~pɋL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jiZ]vԨVC", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/LogEntriesHandler.php", "0", "Ÿ蹗\"& ҇", "Ÿ蹗\"& ҇", "9\nA5]6RcCUΘ$e}du<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]38", "wp-content/themes/oceanwp/woocommerce/loop/loop-start.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\2CBo@!x\n", "oprl/lk9,6C>\r#ǂ]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vl\rmmؐ", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/LoadBalancers/Pools.php", "0", "YV*;{W+", "YV*;{W+", ".bE\0z22<$,sSO+BKE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N)?;,D", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.data.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/<?5+7A", "Px ig^\"UIZTwrJ/Qƹ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ňbemo", "wp-content/plugins/elementor/assets/lib/font-awesome/css/font-awesome.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\=ռQCLK&i", "}˹t$)ʦP1~܀", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("لstx/C|", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.expand.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SlV2)B", "=T>F-Bk:q\n|WU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DX1[]+:A", "wp-content/themes/twentyseventeen/comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mrnBo/\rcS@", "Xd!FV#PX6Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2]hqu:T6EU", "wp-content/plugins/wordfence/lib/wfAPI.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Cx3v@Q$)g\r", "kBhl%ܟGa=R @Ξ{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CsbI|4:L", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.exceptions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w+iOB<g", "繉DR:P˲{;z%~}Dpq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	Ieԩ[G_6", "wp-includes/js/dist/editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^\"iUd%", "yam/X90qy\'׈竝@WÜ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}Jԍ&\ZqZ", "wp-content/plugins/elementor/modules/library/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ؼZ~ۘ>gʆ", "rY[8l:Ս,m|]=o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#AuI.F/", "wp-includes/js/wp-pointer.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|5\0ō", "%cIdgɃqEHڰ`6EӪEHv&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$~QCC[", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/VgmcpInstaller.php", "0", "zr>U<z1xe", "zr>U<z1xe", "2LY6[Sj@K#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%(5$r%I^o", "wp-content/plugins/ocean-extra/includes/panel/assets/img/octify.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0y,IY.I?r", "7bb&WSblY^TUM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")]D@w", "wp-content/themes/twentyseventeen/page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9$+v", "(cC93Q?A\09e(rQZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@,n\\+k", "wp-includes/js/tinymce/plugins/wpemoji/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͫ`Y/#e", "K1]r*zY\Z\ZG2uq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ft3qPфv", "wp-content/themes/oceanwp/assets/js/third/woo/woo-off-canvas.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`<LVCvL", ">f+q\0°ւ, [$2\"_br", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F	\nE", "wp-content/themes/oceanwp/assets/css/third/slick.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "طc8~9);1", "g=tUΛx\0\\P\'##s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O/ì`|g_\0", "wp-includes/Requests/Exception/HTTP/429.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S%|F.àZd", "!Tuwmt5o\n2A\"kߚz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lm5g", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AbstractSyslogHandler.php", "0", ">i\Z%X&7c", ">i\Z%X&7c", "<ဟLmFPQ*ͼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vFI2hn", "wp-content/plugins/wordfence/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h;щ6\ZJ_R", "#XtD8^ǌ\rU`w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{1\"^.", "wp-includes/class-wp-widget-factory.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YypI\rT燝", "3\";+Qh;SQr!tO=2޳ݚ17/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k2crĪN", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-admin.js", "0", "0O\\E	E΃n", "0O\\E	E΃n", "l/|Hm@1TeC2vGG5&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~ ׬<n", "wp-content/themes/oceanwp/inc/customizer/customizer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v x1\"fS ", "7`dђ M|WӤ-YIxYFp)+/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sIqF", "wp-admin/includes/class-theme-installer-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{\rTg", "Mgs	ѿAXLV]\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=V;N.K", "wp-includes/js/wp-list-revisions.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PbOPxOrs72", "#;w1.B3f_;Pf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nӛIQED	", "wp-includes/class-wp-comment-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "́nO2\'", "obګyŐSwK4g4_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&b>QC2-", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-short-description.php", "0", "WEuz\"5", "WEuz\"5", "w\\GF^!?:\\NHId0yv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\MMF/I", "wp-includes/Requests/Auth/Basic.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gx̄	4U	k!C", ".йhdBiHɀns᝗\\O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&e!D&", "wp-content/plugins/wp-rocket/assets/js/lazyload/11.0.6/lazyload.min.js", "0", "ǵ1L", "ǵ1L", "Ӧa8~{RyE#N!젵2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Κ,Qagl\Z", "wp-includes/class-smtp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">S?bnϼ", "^}OrvHZhjv;h	W,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڄki^", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-url.php", "0", ",9¶?7f", ",9¶?7f", "n\rReI[ahm*Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L\Z|=c", "wp-content/plugins/wordfence/modules/login-security/classes/controller/whitelist.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B0oǔ", "7/QƐՐwg:?#{sɟ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!_!\Z+2N?", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RedisHandler.php", "0", "Aʹ{o", "Aʹ{o", "mOpMMO?wtynZ17\n%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dA#*Źo7", "wp-admin/js/customize-controls.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(i	8~A0", "Z@έ[֥݃tuȍz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bzk8_a8", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowalt-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%@CVs", "p/9f;٬x6>1%JZ:o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tj-RO", "wp-content/themes/twentyseventeen/assets/images/svg-icons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jbآ@)-J", "̞w\nPeÅR$BRnR#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("۹%QD)qw", "wp-content/plugins/ocean-extra/languages/ocean-extra-fr_FR.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ix<%z6ɪ", "Z~Jn[)~A l/7/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+%x݅", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'Qbgh-", "TT#AK;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V\ZF\0|", "wp-includes/sodium_compat/src/Core32/Poly1305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@BgEJƽH", "i|\\IE_X綈j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*~@w5x\0S6", "wp-content/themes/oceanwp/inc/customizer/settings/typography.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!WQugDN\nJ&", "ZqAq\\]=ڰUDm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5ڜ2l2{", "wp-admin/js/widgets/media-video-widget.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jdA0NQG", "T>zSdc*\\Pɭ{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BS0 >?7", "wp-content/plugins/imagify/assets/js/files-list.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Kkp7&jtE", ":G1pv7Ѥ~-9	xg%H޲", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D!VD+", "wp-content/plugins/wordfence/views/scanner/scan-type.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_Zb4ګ*", "w.\0/\"kzvHQ6s&>`KRC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T:\ZrD ", "wp-content/themes/twentynineteen/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";\"jY?s+HR2", "b\npXP~z,L&70l6s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o\0AEve/", "wp-content/plugins/elementor/assets/lib/waypoints/waypoints.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "̀2JJ/V", "y,^DƀHTFFp\Zsm`s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z6+PH\rtU", "wp-includes/css/dist/block-library/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tX$x|1", "&H[yGcd|-K8w,Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|W>\nxʧyT{", "wp-content/plugins/elementor/core/settings/base/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[{I@na*", "YIWm{-*r^Zt!/&,L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˥̰MVЗeA", "wp-admin/js/widgets/media-video-widget.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ltxJZ#L", "\\)㲺(2{UW9i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ϸ0VBҕ", "wp-content/plugins/duplicator/assets/css/fontawesome-all.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{E}j{#X{7S", ",9?`eu&qmϩA+ψʨ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t(iltY/", "wp-includes/css/dist/list-reusable-blocks/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">,ě)nJB", "*uz@T\"@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3\"(za48", "wp-includes/images/media/code.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-oUʓUU_", "\'eM a[R#q2kz+*<7\0j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ey<h_", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-info.php", "0", "9dxeK/", "9dxeK/", "I]1`b	ZnuZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T{2\Z\Z8EF", "wp-content/plugins/elementor/includes/controls/hover-animation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Pڬ:YGy", "D.E5v%Ezt_7+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ŶI{G_%", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/o2switch.php", "0", "ح=@pXԻ^X", "ح=@pXԻ^X", "ɽ\r!W$RnDb#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m{@m", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmEU9fChc-AMP6lbBP.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oLFʒ4i--", "Cc#1_|Z  1ɾYx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѣ~k\rQ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DokuWikiInstaller.php", "0", "}=%7\\8V", "}=%7\\8V", "wHp[w2@u\Z\"LHa6Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l}M*w/*", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MoodleInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QI.w>", "FЏ\ZGcF-o|[4^e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֥ٺ*KXjBg", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MemoryUsageProcessor.php", "0", "dꕲ\r&mv", "dꕲ\r&mv", "1i!3\nsrT>!3k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܒ\r\r1w57x", "wp-content/plugins/elementor/includes/widgets/text-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mWdߒ", "\ZcCܩ<N`ɺ(2ՠPQ;V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5ҤZ", "wp-content/plugins/elementor/includes/settings/controls.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "үt(߹M", "y〉j?ތ[s M0${", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3\nү\\9", "wp-content/plugins/ocean-extra/includes/image-resizer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "./A\ZD\'b:", "osFe`ri\\DO1|)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~QԁŴFp", "wp-includes/class-wp-taxonomy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z1Rr", "mTs0/\0Eϩab$SgiQRx?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~xzwOu", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Rule/Processor.php", "0", "ܚa3xMҖJ", "ܚa3xMҖJ", "\\p)<9\'InE\r.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rSPc5=", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MODXEvoInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " Ќ~^F", "(o8@.z۹	\n!q66bp}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P[", "wp-content/plugins/imagify/assets/css/notices.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i ҞO,ʞA\"_", "ASLRw*fl\\ݍRbS&t]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dխcz7&", "wp-content/themes/oceanwp/inc/customizer/settings/topbar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bkl꒘<", "\'vP}`2Ҥ1׶|$	0)m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kHm1`0ѹ_", "wp-content/plugins/wordfence/lib/wordfenceConstants.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ĢߞeHQ", "g{!)ߔlfYڱV\"pz dN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xEM3R-o", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OsclassInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H\'Hyr\n", "ߓK4e߂S]n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zݿ&X❙6s", "wp-admin/css/media-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[FW(?)e*", "(\"yjgʢ_ܩ;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XM	.~", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.full.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`8V5e", "=VKBFWꢋBbaH\\MO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	%J|rA;	", "wp-content/plugins/imagify/assets/js/jquery.twentytwenty.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3Q+>J", "C׽ZH_q?Rp\nuX{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޓN\0w", "wp-content/plugins/wp-rocket/inc/classes/class-plugin.php", "0", "Z˧zO2fA", "Z˧zO2fA", "߬ۢ#D\\(ZRݞMT`m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AW(\n*", "wp-content/plugins/ocean-elementor-widgets/modules/newsletter/widgets/newsletter.php", "0", ":1^cir)", ":1^cir)", "\'0\nQ5\n-SoUn_xQNai=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NxR:nV", "wp-content/plugins/ocean-extra/includes/widgets/social-share.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	hF^LF", "ERag׉pQy78\"Keo:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!yF]", "wp-admin/includes/class-wp-ajax-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jgXVq", "e[plL-^>_w΂u P\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S\\᪫", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/FuelInstaller.php", "0", "^q{3\\g", "^q{3\\g", "NӮNAWuh#\"8)eM16", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q3+0<I", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Wn6~Y4L_CR", "3xX?[c[,<dxe[/nV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";@9^C", "wp-content/plugins/ocean-extra/languages/ocean-extra-fr_FR.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ODU3PVZyq", "/\Z!5ʕU]|ꖲMMğ@^.oX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u{]P\"%ԁ8[", "wp-content/plugins/elementor/includes/settings/validations.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#[\rqZ+", "*lboZ`Ec; }n/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=.3R.", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-comparison.js", "0", ",z", ",z", "Ps]r, 9\ry|y>3``Jz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9*0?DW", "wp-content/plugins/elementor/includes/schemes/typography.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gzq", "/tTdBg)	*談", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ٵ\nhJxdvԃ]", "wp-content/plugins/wordfence/lib/wf503.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EGůL[o", "lg_iċrY2d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$TX@#A", "wp-admin/js/widgets/text-widgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gԘtjYsR", "Acw\"PbExÝ\0]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2zs4xEB", "wp-includes/ID3/module.tag.id3v1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JzB%[gX#", "jlGbW1cX`#Ia*j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Obc\" |J(", "wp-includes/images/smilies/icon_evil.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Lb&mӻU", ":HW7ָGtt91Hi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n249I*pZ\'g", "wp-content/plugins/ocean-elementor-widgets/modules/navbar/module.php", "0", "b9J>-s`x", "b9J>-s`x", "$W%0<z[7|Rp&$sdL2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z$MWalt+", "wp-content/plugins/ocean-white-label/assets/js/uploader.js", "0", "g|g٨\" gE", "g|g٨\" gE", "$/@26m(&wBsJH}/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s2\034$k", "wp-content/plugins/elementor/includes/editor-templates/panel-elements.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۬B[GNC2", "Qxտ~k	o\Z1[I%^ߨܓ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+;^Yť|", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/AbstractHandlerTest.php", "0", "8<Yx?", "8<Yx?", "apq9-\',rL8KrQ%~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1WV(26", "wp-admin/images/icons32.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۬[m9J4\Z", "DkCdi|a|+\rx̌", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=}LsQ\n`q&", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/Cached.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[M/*E<sWRG", "\n\\Xΰ֨PA\nXj\';q{a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?£=\ZRêe", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MemoryPeakUsageProcessor.php", "0", "S6e\"Nû~g:", "S6e\"Nû~g:", "-\0=NץnWg}2ˌ	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N(rmG", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/savvii.php", "0", "ͬcy,PήHڤ", "ͬcy,PήHڤ", "W3z Tbܫ#w4R\nZp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YmRlX\0:", "wp-content/plugins/wordfence/views/options/option-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ac[DO+.f\Z", "~?\\|q4τ>jW\06wQEg=z[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]숊YTXm+%", "wp-includes/js/dist/vendor/moment.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~`wZƼ)h", "%}-)~MwT=gH!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jUUX\Z/J/", "wp-admin/includes/class-core-upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FSN`~ܵ", "]{Z`y:X/U̰Pr?T	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}yS˗", "wp-content/plugins/wpforms/includes/admin/class-importers.php", "0", "^PMfU", "^PMfU", "8LeL`#o\\⯚3VP%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gزh/ḮON", "wp-includes/class-wp-block-type.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T]x", "urrcm ONr#^X\'3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("¤nb]?Hlwi", "wp-content/plugins/wpforms/includes/admin/class-editor.php", "0", "o5Va", "o5Va", "ɓ8CgyOMu;Es>D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1|}dQ", "wp-admin/export.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\zNu\\", "i[582lؕ3t:r#)Mh\']6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?]\n\0!", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/HuradInstaller.php", "0", "U-07\n}m\\^", "U-07\n}m\\^", "dTa߰`+>/!!^bg$\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("onn", "wp-content/plugins/ocean-extra/includes/panel/assets/css/demos.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&\rڕ\r", "*5VnVU͌%kt	%,ՅZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("鞦K	c", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CroogoInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AvE\"M\\M", "4(eI892-뱎ļ~]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("݉=", "wp-content/plugins/ocean-extra/includes/panel/assets/css/import-export.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7D6	mYu", "y\0.\0؜R2G氍", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	1А々S:(", "wp-includes/js/thickbox/loadingAnimation.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"h\rc&", "BF`F-lڛRT6Յ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w:k@DiWQ", "wp-content/plugins/wordfence/lib/wfModuleController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oIƷkb", "7.ݰ̿UL>\"TM5]>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'o EhB>mF", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/wp-background-processing.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K]X.,aej", "4~6.%xmI䂃E)J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-\n04=D\"", "wp-content/plugins/ocean-elementor-widgets/assets/js/search.min.js", "0", "RP`=gI.", "RP`=gI.", "ϋ$0<}XBu0m+\\]-_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P̿$T[D", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/AbstractExtension.php", "0", "Ro2h9[6g2", "Ro2h9[6g2", "/M\ZE{-tlqgDCh#;[t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T!ة7l<", "wp-includes/js/codemirror/htmlhint-kses.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[k[#cLf{", "N&V\ZA/R#~բ_J*Ї", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U3|.Pj,", "wp-content/plugins/wp-rocket/inc/classes/busting/class-google-tag-manager.php", "0", "@({d}", "@({d}", "JSD<S#{xgĩ]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_jSX2QQ=", "wp-includes/ms-load.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r.ꛀ~w[", "Yץ\ZzXu5^hfZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`~|D%EHwO", "wp-includes/sodium_compat/src/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lBO5_\'G", "#JV\r֨Ec~DՕOdi7m-~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r7)n`:1{8", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-color.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z6OWC", "Nanآ\\ڡwڶ})wacgM%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ï{ۈD%;", "wp-content/themes/oceanwp/woocommerce/wc-content-wrapper.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",<Ѫ{\n8!", "J*BfC{n9qQN5}d6O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ÓlUPg>h", "wp-content/plugins/wpforms/includes/admin/class-about.php", "0", "]2NaxUe", "]2NaxUe", "oww/EAlM\Zu!F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ä]0`AS:D", "wp-includes/js/dist/blob.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'*t<y_j", "2@s֣vNvťۆ,㰲", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ýP7&ݣ`)", "wp-includes/sodium_compat/autoload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&󮴐.sTu", "#	\'r0D)E;˫clڌ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ÿ\\O\'", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/WordPressInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ՁU3ҾPm", "oa/jnuFX]S{u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tnRؔ%^", "wp-admin/images/align-right.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BOe#l@:P+\"v", "ɳC?=&UyZ31!<c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5\0E10q", "wp-content/plugins/imagify/inc/classes/class-imagify-files-recursive-iterator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_Θ\rf:|", "~(ɬpBQqpg\'i[θ]ҹt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5V\"$$_", "wp-admin/includes/post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\N\'\0k", "tctǒw0\0Ap8K)-<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4l!r؄", "wp-includes/class-wp-block-type-registry.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " 5.?T4l", "Ϣyo?;4n<*z\r4,_;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iY\0\nR)", "wp-includes/post-thumbnail-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "otK\'ɓ8Tn", "tJP^GZk36\'M2%=s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uXݼ#-", "wp-includes/class-wp-http-ixr-client.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l&[\nhb", "ʴI}vhAB׾CHwpo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ꂁ|$_\0", "wp-content/themes/oceanwp/partials/single/media/blog-single-quote.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$aeqۨV", "N5-HMF5oFFVNi\0G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("䫄\n#A7$", "wp-content/plugins/ocean-extra/assets/css/headerReplaceSearch.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s~^eK!|1", "uXP\"4YMnqOeHs!$6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<Ո6MV", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SlackWebhookHandler.php", "0", "_<St򒰅f", "_<St򒰅f", "e}STO\0XNu5[ZQic!<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C䠷T	f ", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gOP҇č", "~8 ir\nPp\n25DahBzP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yo%$QU ", "wp-content/plugins/wpforms/src/Helpers/Templates.php", "0", "<wN\'", "<wN\'", "鍥[Mrמ~%\"$<h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`,}D@", "wp-includes/class-wp-recovery-mode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_dMs׼8	PIx", ",2bsCgBEQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fa;7F", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/products-deprecated.php", "0", "wzT", "wzT", "/NQ1tBn:sglX>TзT(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ĉ^A+lod", "wp-includes/js/tinymce/skins/wordpress/images/audio.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7~!\0\"w", "gz.gV:[ЙH)Ȟ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĔԼpPZ	H", "wp-includes/images/smilies/icon_cry.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "؆Ԓ>BD]ͥ.C", "HMkܠ<$Y	2T\'о锨TN@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĳJ\n`|5,HT", "wp-admin/includes/admin-filters.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MUhe3F	hVZ", "\\쟝\rDGPa:ޗƗ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ѻɩuy}", "wp-includes/sodium_compat/src/Core/Salsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b5lJ#v", "c=0-#-TSX&4\0K8\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߓ7r?#{I", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-minify-js-subscriber.php", "0", "]IYf5.", "]IYf5.", "ib)Rt2Zuq6~^T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʙ\0}甠K.", "wp-includes/js/jquery/jquery.color.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-EG>vJ", "e!qp2 jU*W	5}D\r&_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3*͋ˢ!6", "wp-content/plugins/elementor-pro/modules/call-to-action/widgets/call-to-action.php", "0", "eqeH|ݩMҹ1", "eqeH|ݩMҹ1", "p*WQͱ2we9WKp\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vyc٥UK1o", "wp-content/themes/oceanwp/inc/customizer/assets/img/rs.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r?H|p#!", "!)Х\0À9գ&Sb-AiGg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Amm*K", "wp-includes/nav-menu-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dc%Bp|јf =", "i?L:)xr\Z>Ѻ2Y~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!oqV}>@`/;", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/PushoverHandler.php", "0", "t\"`δ", "t\"`δ", "\Zj(C%q:.V#Sank", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6Nϫ|G%8", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-content.php", "0", "F2\'j+i$", "F2\'j+i$", "l|[y\ruZlHmo/{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DCF}", "wp-includes/Requests/Exception/HTTP/418.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J![4", "4 6鎬M&$!2d<\\	|\\?g\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\79	xCX", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LithiumInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!{hȡR2˪퀨6", "(1qKCD?~Ԩ~OT $&~#>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_npaV", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/HChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">*L1˵\"k%F+", "ZiMfUvi-})f\"Mnd?X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`#GbC֊", "wp-includes/js/swfupload/handlers.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jڙK~q	c=", "T򌿑dTy~#jI\"++3ɉ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bX@[!$AS@", "wp-content/plugins/imagify/views/modal-settings-partners-infos.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "˽O\Z֭\'{dB", "Wejk*x2;\Z,$A>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l=L.GXL", "wp-content/themes/oceanwp/woocommerce/loop/thumbnail/image-swap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z588r", "sXI/HDqdn+djpYgf:7$nAy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nȅ%Fa*ALGz\"ty", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/appbanners.php", "0", "FuEq?", "FuEq?", "GkQs=Tm*tTu_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ymͩTc1g", "wp-content/themes/oceanwp/assets/js/devs/slick.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q\n$ZgzGa1", "YT3t8Kuaֱ~m(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{u6iӺA", "wp-content/plugins/wpforms/src/Forms/Preview.php", "0", "0|\rBwְ^p", "0|\rBwְ^p", "#>N>\'j*řkofE}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("łjDߋ.˖D", "wp-admin/css/forms.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "у^2v^", " /1zi309\0I2Ё_/8ؤ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ŋ6@L(`", "wp-content/plugins/wordfence/views/scanner/site-cleaning.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5w1,5bdvF", "g\"g2ߚ}qA?$)d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ŏ|A14g½cB", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PrestashopInstaller.php", "0", "!Hh", "!Hh", "9.YlSAXNo*bl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ŗo]\"Qk", "wp-content/plugins/ocean-extra/includes/wizard/classes/WizardAjax.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3PŶ!@!", " ThnbA8 zhNղ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("š!r2", "wp-content/plugins/ocean-extra/includes/panel/assets/css/panel.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A Tv4", "/	kS/όh[sJ\Z\rm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ť~v\ZG", "wp-content/plugins/wp-rocket/inc/classes/preload/class-homepage.php", "0", ">{ZCK", ">{ZCK", "^gMAD\0nGLS;gsz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ŧiydzh", "wp-content/plugins/ocean-extra/includes/shortcodes/shortcodes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Dq.R K", "$*.4C#1p!BSBr[	E4e?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ŧ.a!A^", "wp-content/plugins/elementor/includes/settings/system-info/classes/network-plugins.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".Ba킣lCP", ">ΞgbѪ{W(O*J&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("źPؓ>1Mā", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Firewall/AccessRules.php", "0", "p][.jH7e+", "p][.jH7e+", "~6sZA	\"$ngqfnLX8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("žP\"B$E", "wp-content/themes/oceanwp/partials/single/media/blog-single-gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a\\rrr\ZeQ", "8iS+#iduG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_)Vsg-", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-data-tabs.php", "0", "nYĨIr", "nYĨIr", "}1|ι{BqTv2C)YFA蠵؂", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-plEk/", "wp-includes/js/jquery/jquery.hotkeys.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S!}EU\\bgh=", "\ZJ]x ծTc0n9  +Vk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r	؅$qΞQ", "wp-content/themes/oceanwp/assets/css/third/hamburgers/hamburgers.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":(ӳ\rye]", "ХO3XDWfǠO\nD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Iȁ|;`&0", "wp-content/themes/oceanwp/inc/customizer/controls/general.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V+Kp(Rb", "|Kϰj߃^i-mf4Ӱ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r%fsJ", "wp-content/plugins/ocean-extra/includes/panel/integrations-tab.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "656G^XM", "mg\"2[^gmU,bԼI5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TI.= %%", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ErrorLogHandlerTest.php", "0", "Jm>ā5t9\\G(M(c", "Jm>ā5t9\\G(M(c", "a4l8_a`.HT_si\0q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	#A\n#b#=", "wp-includes/js/tinymce/themes/inlite/theme.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӊP+\\4", "~i_[`04З\r~r;Gnނ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p1	?J@", "wp-content/plugins/wordfence/vendor/composer/ca-bundle/res/cacert.pem", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ǧn3Q2G", "d\"fݎ6em`zP<KO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("箩S6RZ", "wp-content/plugins/imagify/assets/css/files-list.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P苯Ǯ	N#", "j4p\"}ȝ.L{ȝlCHsAEL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K[uKoڹ", "wp-content/plugins/wp-rocket/inc/classes/admin/Database/class-optimization.php", "0", "t\"-&LM;p ", "t\"-&LM;p ", "RH!L>rUV\rvV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+gq6^\0", "wp-admin/images/wheel.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E0 q0m\ZY%VX", "(]:=dqۅO{9ԀvȘ~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+*߼zSW\0", "wp-content/plugins/ocean-extra/assets/css/sidr.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k!Ε6(_Wf", "@)g\"Ӵ\nuö5]-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X/$$~{Yp", "wp-content/plugins/ocean-elementor-widgets/assets/js/countdown.js", "0", "O8put", "O8put", "k6dY@d#љJ47", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\נ!&qK ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Concrete5Installer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t	m!~A^S", "#L?OM6r/W_~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a2u2Ӌ5>X", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.libs.css.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9S1$ӄ68E-", "eΞt~$!Ybr\nmw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dtS0[\\Og:", "wp-content/plugins/wordfence/modules/login-security/views/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aabvr", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e3C)8\0", "wp-content/plugins/elementor-pro/modules/nav-menu/module.php", "0", "]-(r", "]-(r", "rD$rAڳ..cĖ.ص", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n\"Rkߒ$ooE/", "wp-content/plugins/imagify/classes/Webp/Display.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S5\\sn֬", "7ș{UhTv!`?0N}AE(D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GIDN", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/JsonFormatter.php", "0", "\'6ID5", "\'6ID5", "^00h![?\n t7Dˁt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƅ|_i/y	", "wp-includes/js/tinymce/plugins/media/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\RoeIT", "\06үbSR\Z?EOO#bI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ɖ{\'d}", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-upsell.php", "0", "X*=ۖ", "X*=ۖ", "(?XrKA {#C]y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ƌ%h}t", "wp-content/plugins/elementor-pro/assets/lib/sticky/jquery.sticky.js", "0", "lhh2iF", "lhh2iF", "IԼqGIR%xM\Z˴EH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ʃ}Cra", "wp-content/plugins/imagify/assets/images/check-mini-1.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۚ3,c", "\Z.?)v+ķ\\j[l`!-2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ƭ+\ZId^i <\0", "wp-includes/js/jquery/suggest.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":$tVEʿ", "r,Kpŗrq^b\\=rZ]6+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƬSXZ3", "wp-includes/js/dist/plugins.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "& fEP<Ω", "y,&epVjyɩG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ưb2xJddiH", "wp-content/plugins/duplicator/classes/class.logging.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yzTK-SnAvk|", "e&\r$஽ټt!nN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ư e\Z<GH", "wp-content/plugins/imagify/views/part-bulk-optimization-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-㻏u҈7<Z.", "yL0MϜz	:]VS}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("몳@ =y`", "wp-content/plugins/wordfence/views/options/options-title.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E0\"#", "֩y\n	ĳXH-<f	c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͌%+e@uQ(", "wp-includes/js/dist/editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ABM<Y", "\'T>6Vq)3(nw*ߌA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Va		6O", "wp-content/plugins/elementor/includes/base/controls-stack.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qsEEքat", "ujV	QryS֛yhle5`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M`u_A", "wp-content/plugins/elementor-pro/elementor-pro.php", "0", "RRޔX", "RRޔX", "K\0^<Ҭt6>E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r!!mJ\Zm", "wp-content/plugins/elementor/assets/lib/inline-editor/js/inline-editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "35di#e%+", "\'Qi1m直ʱp۫%VͅD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<Mw%OJiK", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=m^D6W", "wp-content/themes/twentynineteen/sass/modules/_clearings.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vYP\\;4", "s3s=#q˞< I\'r&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">0Ń^Lx\ns", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/security/sf-move-login.php", "0", "s*[rjT", "s*[rjT", "?10YF<*H;8Y*Apu]F|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AoZfaه_", "wp-content/plugins/imagify/assets/images/key.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jظCΌ", "o>$iGP.HY8s?#J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]@ޞ(H", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_75_e6e6e6_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\">o$eP#", "K;H3\0nM>P\r]#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|OQ픱z", "wp-content/themes/oceanwp/inc/third/class-beaver-themer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=qs|qn~N", "C\\jV],CC4`ΈO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǂ-i).\\z^a", "wp-includes/Text/Diff/Engine/shell.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z޵Ҷ_OoUC", "uN/I$>ggIA$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǅ99:\Z", "wp-includes/cache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n\"ubY\n*)i=F", "&QԿBm)`ri?r[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǋ%\'_(]Tv", "wp-content/plugins/ocean-elementor-widgets/assets/img/loader.svg", "0", "\rݚA#W", "\rݚA#W", "xVYv	>9YYM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǝ^xJB\Z3-6", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/Cached.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G5]{\"V", "CJr~WOY*[:[j)GЄe", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ǥ>zԄ!J]>", "wp-includes/css/wp-auth-check-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b[XvA", ">^9I5o-Z1QtJ|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǫ=m/^", "wp-admin/includes/schema.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7wEh%m", "61\'Sk`k/̋燻\n\Zcqqt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǳ\\_L-YŌ%$", "wp-includes/ID3/module.audio.dts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V`L7.l] ", "<y\nK?Pr6Ṳv#.H7/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ƕl>", "wp-content/plugins/ocean-woo-popup/assets/js/plugins.min.js", "0", "Q\'ğ\\5", "Q\'ğ\\5", "95$l#]QJ6Rn,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ǽ=/%@6Dn", "wp-content/themes/twentynineteen/sass/modules/_alignments.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3\\sӳR]iO", "̰簃bp4iшB6A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D&ME*ީS", "wp-content/themes/twentysixteen/js/functions.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^xRf?", "9}!\'m@{y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ЃR]y>x", "wp-content/themes/oceanwp/assets/js/third/woo/woo-cat-widget.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":;YUu", "4vXy:U~8. |Ũ7Wv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9WߍA<", "wp-content/plugins/ocean-woo-popup/includes/helpers.php", "0", "M;G6o\r", "M;G6o\r", "P>mZ;*!uy\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۺޅ;\'", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-excerpt.php", "0", "GFEwh", "GFEwh", "h=}ZWRUjk-_h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wy*XO\nG", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Fe.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NVl~m[%Wt", "Pq\0V{|0m\0;2f@U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J)pЧ[|X", "wp-content/plugins/ocean-extra/assets/css/megaMenu.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b`E7F^GCJ", "P5޺tf8FG}I(s2z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}CwXTC", "wp-content/plugins/wordfence/modules/login-security/img/lightbox-controls.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "m]a\\$", "Ǘh?S):i@h.Xg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҎăE$", "wp-content/plugins/wp-rocket/inc/classes/traits/trait-config-updater.php", "0", "r\rXK?z", "r\rXK?z", "9	+LXTզtҳB)m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nL1f", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-header-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	֦A", "[䡺8&Gv<]}w++\\E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";D?u ^a", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/EzPlatformInstaller.php", "0", "@5$uoa ", "@5$uoa ", "N8f?l}i\Znp}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xӝð&", "wp-content/plugins/wp-rocket/views/settings/fields/hidden.php", "0", "_X~VTw\Z", "_X~VTw\Z", "sE3pY8k\r%f\0)-(S	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kZ#", "wp-content/plugins/wpforms/pro/wpforms-pro.php", "0", "WdRI}>]c", "WdRI}>]c", "0\ncZ)3xMzWulv4f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z{g?3gڢ\Z", "wp-admin/images/icons32-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%*g", "#!$@0g.;i3%!cHP=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fp\0!tDK", "wp-admin/js/code-editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wj$oQ3F~", "h(I}dе=z%ϱ%+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"u@TS5", "wp-includes/images/smilies/icon_idea.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"m%hSr", "AWY(U)J1Δre$u*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7\0tt.", "wp-content/plugins/wordfence/views/dashboard/status-renewing.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "an$6\"", "tɢC-?\'(uꢦAT-1ba:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8R6>G\"", "wp-includes/js/dist/element.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~Gs,춎ÚE", "owG)*]HDkƎ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";NQ>", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginVulnerable.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tvwX\n_Yg!", "r;\Z G[i$)v]j7im#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=YhdX;@}z", "wp-content/plugins/wp-rocket/inc/classes/subscriber/preload/class-partial-preload-subscriber.php", "0", "DGYT .0", "DGYT .0", "&tNq4\0^(ݪ_6tE\r!?l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RbįPPvBk3\r", "wp-content/themes/oceanwp/inc/customizer/controls/multicheck/class-control-multicheck.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5!y&>$¹", "d%>\"s{MŷZ*IxI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y$\'o", "wp-includes/css/wp-auth-check-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":?w5cq", "rtiJ*< w4_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h	F+ĝD%8", "wp-content/plugins/duplicator/lib/fileops/class.fileops.state.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{)&yG.", "HHJV	j;۩.Ao*P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h.ԟg=Kvo`", "wp-content/plugins/ocean-elementor-widgets/modules/login/module.php", "0", "]:53%97", "]:53%97", "i|\n0P֋L9	[+pD\rު", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uC~7\nWe", "wp-content/plugins/wordfence/modules/login-security/views/options/option-captcha.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n9Lu?7", "qVvWDgб~rnL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{1#PH", "wp-content/plugins/ocean-extra/assets/js/woo/wooReviewsScroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2-GX&3", "|X5Q\0!ͺKٲ..Rܥs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȁ#/\06", "wp-content/plugins/wordfence/modules/login-security/classes/controller/time.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4ӹu;P", "aD,ǭ+vFe\"+!1t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȇd8l-K", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.crypt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "00I˯#Az", "AL4AF%9\n̾xѕrFx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȍP 3\n", "wp-includes/class-wp-customize-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e\'U@xFq", "E2\\#1[p\Z8Nݻ,HdZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Țdw惊SP", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/DoctrineCouchDBHandlerTest.php", "0", "8,*Ҵ3ϝZB", "8,*Ҵ3ϝZB", "P.Zy|Wȍ\r<j%YY83hs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȩ*T,\Z$&", "wp-content/plugins/ocean-sticky-header/includes/helpers.php", "0", "w!`U܁?@", "w!`U܁?@", "4_6Seh!|m4Կ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȬzeoP/%?", "wp-content/plugins/wpforms/src/Pro/Admin/DashboardWidget.php", "0", "T`U>#V", "T`U>#V", "&^\\EeF^{Zhr<YY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȼ/wu(Ы&iu", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Dns.php", "0", "ڧ2zo>", "ڧ2zo>", "$K;}t? soHsƈdR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȼ9xs%{l", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.create.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{M~%ϗ8v", "Ğ~6,V*/]4D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȿ-`uo", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Client.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "am;SV#mI", "R9F47i}ʧC^%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȿz)+PS\0m3B", "wp-content/plugins/ocean-extra/includes/panel/assets/img/portfolio-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e/5b(ˡu", "~/䂛\naPqxtFz%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}UkXm", "wp-content/themes/twentyseventeen/inc/template-tags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tk`.", "=]\0D_dW6CY/Ř+*K}׺f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tfam=", "wp-content/plugins/ocean-extra/assets/css/lightbox.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VuqMC\0", "ߺjϦ.$|m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ا^ko<\")5", "wp-content/plugins/wpforms/includes/fields/class-name.php", "0", "mWyŊE", "mWyŊE", ">riY:րdT\'w0As", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D\n<	H3", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/GelfMessageFormatterTest.php", "0", "UIxd+Ie", "UIxd+Ie", " ?A)9>̟r&O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+3ACĆ", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dx-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AŢ@Mǰ", "p.\05wiҢ.M3,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mH( )o", "wp-content/themes/oceanwp/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JgtnY*", "]0$*1$5qa3\0#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~\r\ZK4(#", "wp-admin/user/credits.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " ǀ[K}Z", "eϳCQF[^tCҲ[~=Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`/3BŌ{*P[", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/UserFrostingInstaller.php", "0", "Bмzֵ_", "Bмzֵ_", "V-2޸<n{s?IݸW>fs(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x!}f_U㡆*", "wp-content/plugins/imagify/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}nn2>", "i&IX䝭(mZ$Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("11x!KR", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/SyntaxErrorException.php", "0", "\nKē[EX:Jۭ", "\nKē[EX:Jۭ", "3)ԌD<Ir8V~H`=D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<=ި3", "wp-content/plugins/imagify/views/part-settings-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QW[My\r", "f^w\"_Ԙ>cPV^#!!.\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ~eٯuf", "wp-content/themes/oceanwp/partials/single/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L7Z0$", "c2!=J\'ț\ZY4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A7\'C#wSs", "wp-admin/css/about.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wI۪w|Z1;", "c*9+[uՀJ/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B./ulE?5", "wp-content/plugins/duplicator/classes/ui/class.ui.messages.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7p9\n", "l0^2e{o&n]W3\rVm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G5F^Ե\ZN", "wp-content/plugins/elementor/assets/lib/eicons/css/elementor-icons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Km4gSmay", "k	{XVbnpi&Dmlj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]Fkq", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/PsrHandler.php", "0", "g&F\'aK", "g&F\'aK", "M*OccTfP=[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kDr=Q]", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/nextgen-gallery.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">e_%]r.?T", "xʵS-[O\rGb\rS<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l/EֺZx4", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/comments-number.php", "0", "wCG*)6", "wCG*)6", ";:ez@a9ouG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lXwB*XW", "wp-content/plugins/wordfence/images/sort_asc_disabled.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Oɧ*X9e", "v\Z|5.YX Z鹁Ź", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z8TqPg", "wp-content/themes/oceanwp/languages/tr_TR.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d^H:i6	:", "h	d^İq[a%1ǧ\"!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ɂr~\"!j", "wp-content/plugins/elementor/includes/controls/groups/css-filter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*{GZol", "*) 9JAPvt\ZʘL\'\r)^6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɄW80ŪGڣ\"", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-widget-importer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(K\0uQlFu+", "ݭe`n\0.Zn:j-Jp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ɇ8pŻѵV", "wp-content/plugins/wordfence/lib/wfActivityReport.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">	[\Z᷎x4", "+|\Z#*NθBND]|\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ɏ\rTfg/9", "wp-content/plugins/wp-rocket/vendor/autoload.php", "0", "6	- FR", "6	- FR", "71V\',Bzs\nCI/i3\0A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɔ gݼ!>h`", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-combine.php", "0", "i9nU", "i9nU", "\Zm4E6j(Xm|\n5OQԧ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɘɿ\'", "wp-content/plugins/elementor/core/files/css/post-preview.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nA5^{qͺ", "m鑛FIDm2pȱDy\r\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɚVzҙЦ/&", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/icon-picker.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ts", "ieka_J:WZpvP\"oLN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɫE+\rvG~˛", "wp-content/plugins/ocean-hooks/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɰgôp", "wp-content/themes/oceanwp/languages/tr_TR.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v\"Nn", "ă K2UCgCw	-KX.q3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɳMlT#-ˌ;", "wp-content/plugins/imagify/inc/classes/class-imagify-custom-folders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " Z޹*M^fw", "]j,!M\"Ƈ:3Y-ܤmiL9(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɻ\rt条=k", "wp-content/plugins/elementor/core/documents-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":ۄk9RrMu", "0lY;5N76ږܸG|܎", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r84O^q", "wp-content/plugins/imagify/imagify.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nT_4QR", "&yFp&Y_V,maE<J4dkxoRn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fzO\'~,x:", "wp-content/themes/oceanwp/assets/css/third/elementor-editor.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?2", "fgC#	ɶ|µeChT5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2Die", "wp-admin/css/l10n.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ĸP)|qr", "wppS\"D.oMOmO\'baǋ0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zĄj\"+-", "wp-content/plugins/elementor-pro/modules/countdown/widgets/countdown.php", "0", "1KVtҾ x@", "1KVtҾ x@", "ya_v|iP$M;̤@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WQIVMDW", "wp-content/plugins/ocean-woo-popup/assets/js/main.js", "0", ",5vFW/", ",5vFW/", "c_ Σ2<Z#t| !)|Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<7dt5:\'", "wp-content/plugins/elementor/includes/widgets/html.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8B\nf;eJ", "`(+	6eZқ3\nlPY].)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\rXTjN>]", "wp-content/plugins/imagify/vendor/autoload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-pAmOA", "_V_c5B|s\Z>{:I&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"￿;5K\"", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/ArgumentResolverInterface.php", "0", "hQ:4&į!%)?", "hQ:4&į!%)?", "dUށwnI35!\'{{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!&i)^WR", "wp-includes/js/jquery/ui/widget.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kyd?zx7", ":u#`OÓz,n_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(q4P}5Ozk", "wp-admin/js/inline-edit-tax.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3rVTE", "%}KSxbMAlVV2-lL5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0B#[wIuΕ", "wp-content/plugins/duplicator/assets/css/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">J\ZE5", "\0SJbz#Jc>?=}Yq䱸\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FߩW|^ K)*", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.full.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "溜4fS/|+", "5*iD!)l6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H!:~)|eh", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FingersCrossedHandlerTest.php", "0", "X=|VՍx", "X=|VՍx", "\\>\r=CzW_{L\rs,wc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jh#Q:Tnjh", "wp-content/plugins/elementor-pro/modules/popup/display-settings/base.php", "0", "G/ ܤ#\r", "G/ ܤ#\r", "ͰhϹ)	)RF;E]5\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LU_\0\rwj", "wp-content/plugins/ocean-elementor-widgets/assets/js/google-map.js", "0", ";%s`a;", ";%s`a;", ".|Єǥf͏k_Jhd!3n[O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ry*e3", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t!?>9X3Xw", "V>y[#.ŦP\Z\\c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Rш޿0", "wp-admin/css/themes.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ryXnXϝAW", ">3Z6v@`8d)S0^̞|c%4:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hFM<@`%q-", "wp-admin/includes/class-wp-filesystem-direct.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!JGS[\'wn", "WVnG:b:Umӛn3ۿGLWn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r{\Zk\"k", "wp-admin/css/site-health-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o6@V\0)-", "L?\0WhuzR#oж; ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("txOPwĘ", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/portfolio.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e/5b(ˡu", "~/䂛\naPqxtFz%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("x^d&aΉK", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c\"OA6A", "=LPhlo[c/n7GAI\"3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xjP!cx", "wp-admin/plugin-install.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "| Y:{7h/هUv", "[*98\rB\08C@__", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʜ;2-QST+", "wp-content/plugins/elementor/core/utils/exceptions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " V@QTl", "<xt>\\&\"quo/m6TE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʧZi!Rm-3", "wp-content/themes/oceanwp/assets/css/third/buddypress.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "07p6m{^", "S7\"&$ۄqP7k싓%U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʺ|[F_", "wp-content/plugins/ocean-extra/wpml-config.xml", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x[4+ZtF", "Sv<9In|o<E%ѪKH$=#ɐ%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W>ҟ[", "wp-includes/Requests/Exception/HTTP.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hRlr", "oE²tQQbo\nrQq\"/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3(92", "wp-content/plugins/elementor/includes/rollback.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fWjNr4>C", "(7H\'4< I]4ͥiwMѓz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("܆R(\'2WhpG", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/AbstractModel.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@ҏHC5̨[\0", "Xf:Mt˃#sD4(NGF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	b8[y", "wp-includes/js/wp-emoji-release.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xC	5c)", "cDޏ630f]VB*}8x&z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k~cl", "wp-content/plugins/imagify/inc/admin/media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A{V9T", ".\0\n	;\r[g\n\"T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("㱛 V9{b", "wp-content/plugins/wordfence/views/scanner/issue-postBadTitle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d+l@h", "3i]m&	s֯Igeok/M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("׵ld", "wp-content/plugins/elementor-pro/license/api.php", "0", "/\r", "/\r", "N٨o8ѥ2(y[KlI?fz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O忯uRc[j", "wp-includes/sodium_compat/namespaced/Core/HSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[clru	Сu^", "6p\'`+*[AG4^6Ŋ%C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",er", "wp-content/plugins/wordfence/modules/login-security/css/ionicons.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*ƣٿc;z", "NJs@3	:h)7K<\\N+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("We{\Z-", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/LogEntriesHandlerTest.php", "0", "\'R`鬳P", "\'R`鬳P", "Y;4އ0B@O>\ZYD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l?!\n0JC", "wp-content/themes/oceanwp/partials/entry/readmore.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r5~(m", "JIl[q(+Q_E9κZZ`D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*k8c", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hP3{(%", "wPȐ՚jf|Io.\\5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nIn+7X", "wp-content/plugins/ocean-extra/includes/panel/import-export.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d]+ӥ?h6΋", "=`S\r|{%_4`1n4֝5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0\\p\\o0", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Compressed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XJ:8ܽ", "<<-X#8&ڲHH}ن]YpLB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!#I|F", "wp-includes/js/tinymce/plugins/directionality/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&\"X	& )=ʀ$", "&[@5(cvLYI6B;)-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'sV̻W	g", "wp-content/plugins/elementor/includes/controls/icons.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NQD5El", "j!Z\0y;%N+GHbO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("28c\"<;Uv?", "wp-content/themes/twentyseventeen/assets/js/jquery.scrollTo.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dc	@y", "p0O	9@5E~U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5Vx,$>7dk", "wp-includes/sodium_compat/namespaced/Core/X25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڸb9M", "F/\'M%9}@fW>S*m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6<C﮿V:(r", "wp-includes/js/tinymce/plugins/wpeditimage/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HLM*8&]:x", "2ĕn\\g呱bזv>:^j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9*G6I", "wp-content/plugins/ocean-extra/assets/css/overlaySearch.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*mW5a}", "MOx~B>CIor", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U<?Y,ػ(", "wp-admin/js/svg-painter.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V\Z[*q&", "OfJz6._Um1_^R\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[w>YKw", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/BootableServiceProviderInterface.php", "0", "ƤjZ.^4", "ƤjZ.^4", "衂VFOfG!`\r5Z\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y66lMC", "wp-content/plugins/wordfence/views/waf/firewall-status.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lw\0i75G", "\'WֵDrDBeH\n@\":=!M#f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}Ua&gli)!", "wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uEދWsR", "p1\nF\\jdg-w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˍG䯀oeo", "wp-includes/js/shortcode.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{Uɋ>?", "߂Rߪe6d̦/ۛ!utR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˜AtA\0ÑeZb", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-tagline.php", "0", "l-ihb.]", "l-ihb.]", "uN\Z6f:\'q.nݛԄm:9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˤԐ{%k#f", "wp-includes/js/mediaelement/wp-playlist.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_I3016_", "j!UZ˔؜̹\rh\0\rb\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˮa\ZyABoKl", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/s2member.php", "0", "a\'%:+L", "a\'%:+L", ".ZGKɗa\'[AFsfsV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("˰FV?nߔ+5O", "wp-content/themes/oceanwp/inc/walker/class-walker-edit-custom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۚ}.ߗI/!c", "KjZIh)HxCQ,mQH_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǝQ_yd+", "wp-includes/sodium_compat/src/Core/XChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BjiOk", "@v\rھ\nZ}X~mS?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vE,-O{", "wp-includes/link-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=g\Zx?9", "NK[LE\\n|K8YucH0tLd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!LT3ix", "wp-admin/update-core.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޓ727+P", "i^W%w4ތAF\0T_Ŷ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'iZ̟{2	K", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/security/class-sucuri-subscriber.php", "0", " drN/D", " drN/D", "ev)f?]hloM0sq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?7˴\\X`ZT", "wp-content/plugins/ocean-extra/includes/widgets/js/share.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":A\r5v7Wd", "[5z!q`)6^,. ~wi)z;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MTq&[?>칊\n", "wp-admin/css/colors/ectoplasm/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q9+\"+", "BmNhstNjAS4X\0$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MzŭY", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_444444_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GJu;QZ6", "\\MUKhQwCiVJ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VڮMjӁ", "wp-includes/js/plupload/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u&\nTIz+", "\0v1sN>cID٦I0-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a_q]%z", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MagentoInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{Fs", "CfjI\0QnmJI*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ql\']tP\'", "wp-content/themes/oceanwp/sass/components/header/_links_effect.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(rnN7Uɞ\\%k", "*4\ZG\'\nBvHL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~A4QgvL1S", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-retina-2x.php", "0", "Q1,S?HD\'x", "Q1,S?HD\'x", "csu*jd%{\\(vepǳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("inj/r", "wp-includes/js/dist/i18n.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}7ɧxV!", "zi֌T38T/ǥ8{i4#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̆cj<<{$", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~)28>a=Buo8", "]m`ɯq)tx1|$Cu^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̋qB3aY-", "wp-content/plugins/wordfence/views/dashboard/options-group-email-summary.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6#>{zq\nS%M", "pRA7ZQjCpNa=M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̑wnqOk6-Q", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-enable-media-replace-deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "fh\rºr", ",una@,M>F61<;ǲ&}A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̙~Ȍî+byȁ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/SipHash.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{숊z;5!", "D\ZLޠΔa]n\nL&\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̧uR_KvՎ", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/composer.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")wKB$\"", "S0\"W>嚒S\0XĝbSY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̧u[$G~", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/comments.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q89v}\0hQI", "|.[53\na@*u6pRG7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̫;ڨ45|H", "wp-content/plugins/wordfence/js/jquery.dataTables.min.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<\\ ͕h", "vAo;uD3$WB95_\" ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̫j9Q", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/add-to-cart.php", "0", "jODNy3u", "jODNy3u", "*g$@:\\P{ߺO,Is?$)09", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̸Ng/[\0", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/LoadBalancers.php", "0", "Օo x,m\'_\0vS", "Օo x,m\'_\0vS", "I Yڬ3Uv{,;v+ۗm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̿t[hv	", "wp-content/themes/oceanwp/assets/js/third/woo/woo-floating-bar.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=	$gnH&", "KGw,\0q}GuZ[|K(6!F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ê5ff;,G!\'\'-", "wp-admin/css/colors/ocean/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":\\X4P", "ÜHd]2IYhW WLu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\";+\rxuw", "wp-includes/js/mediaelement/renderers/vimeo.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\ymE\\", "}#4YQcᲴ7k$\n	_-\0y\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǊEvc,صyS^", "wp-includes/images/crystal/license.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]LciGfQ\r", "vpmc6Y~\",!VEXll\"z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HFXJD\0sm", "wp-content/plugins/ocean-elementor-widgets/modules/contact-form/module.php", "0", "u`cYh)dw", "u`cYh)dw", "\0\\CKڋJq_Ai	\rV	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߥrW?]", "wp-content/plugins/elementor/assets/lib/eicons/css/elementor-icons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dJN`r#?", "l]Bn>s]34-Av:\n4&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pj֛`w", "wp-admin/css/customize-controls-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z[^,", "d+T܃2^E\rP	tn$q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZX\nYSJm", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/range.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y[dFDGK,", "szUQ`4QUps\no^[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dlPOI", "wp-admin/network.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c\\NP", "!җߕ@KzC\0C2#U4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" N*0RE", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/InvalidArgumentException.php", "0", "}/X5$9/e", "}/X5$9/e", ";5bGSB:e}!q|z6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(?ihǂ$Z(", "wp-content/plugins/ocean-extra/assets/css/woo/wooCommerce.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oƌ7Fq;;", "b+Ȁ΋5j6ӊs/\043Tx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")\0e_5=", "wp-content/plugins/wordfence/lib/diffResult.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0wJn", "_^>8L\\{P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K=Xa:\'5", "wp-includes/sodium_compat/src/Crypto.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#H*:̘", " P:=Bv9\ZYy-}\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MD6R:\ZY", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui.theme.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kXZb5", "[\0NEggdq\r*\'I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P|HNDʓ*", "wp-content/plugins/loginizer/facebook.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2te~", "e	\n+:;f9<Jd4<aK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^&`RyJ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/autoload.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y}Jk>", "/O	¹kbz_B]U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mL0N\"T~b", "wp-includes/theme-compat/footer-embed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z.+j", "iDAJψ;v,gc%	^#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w9=_\"h%v", "wp-admin/css/install-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":sy`S\'͵", "ػeLRτd@<d(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͎3עJynĀM", "wp-content/plugins/wordfence/fonts/fontawesome-webfont.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nq*ZF)2", "&4\"\rQjXmN\"?Po\\?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͑}h]C`J", "wp-content/themes/oceanwp/assets/js/core/dropDownSearch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƵS9!1.", "`CgNds[owʑ\'a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͓Y36lY", "wp-includes/js/tinymce/plugins/textcolor/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v<hp", "!/[I+\rG Dխ7=\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͗ճf:o)", "wp-content/plugins/elementor/core/common/modules/finder/categories/edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EK)~;|}Ԇ*", "uUh|Z^O!aEd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͠\raMCا", "wp-content/plugins/wpforms/assets/js/jquery.inputmask.bundle.min.js", "0", "C^ڪ3<ȘaX{0\n", "C^ڪ3<ȘaX{0\n", "ZYS^HA 9+CK݊", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ͤ_݄6J{D", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KirbyInstaller.php", "0", "(J_?+4h", "(J_?+4h", "	<?~C2B ?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ͪuowsFCG[c", "wp-includes/rest-api/fields/class-wp-rest-meta-fields.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\rY|&", "f6/\Zl7\"@b-\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ͷjʃఱ-", "wp-content/plugins/wordfence/lib/menu_firewall_blocking_options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h;BD:", "\Z@\\ɔ\rqB,CKτw.z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ͽ3=OG|~", "wp-includes/SimplePie/Credit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M猋*>\n|", "N3$Z,!<!9\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2@tË", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")ld*Zb", "(5\\&HFI7l24=}`jVBj4)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XIMKCD", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exceptions/BasicException.php", "0", "wr5?Ჟ2} ", "wr5?Ჟ2} ", "(lujwX_y0wsӸ<slQ[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("خ$7dh.7", "wp-content/plugins/wpforms/includes/providers/class-constant-contact.php", "0", "Cc}Sz%Py", "Cc}Sz%Py", "~\nƲbOh;pY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G6.ĀG", "wp-content/plugins/ocean-extra/assets/js/overlaySearch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iGw;saHR", ".F#bCJ|#W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P \"sd", "wp-content/themes/oceanwp/woocommerce/wc-content-wrapper-end.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~@yjGuA", "x-OJos}7XX	hRr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3F<8", "wp-includes/js/underscore.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$bZC", "8A2xz\0<G-E	r쇮?R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S>sU)H", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/P1p1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y$NXll", "[-v5<M\n+Bu.,5g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j(g~jU#", "wp-admin/includes/class-wp-filesystem-ssh2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S58[CJN", "VFBvT 	6J᪎;lcP)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("28x@|N", "wp-content/plugins/duplicator/lib/fileops/class.fileops.u.move.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{SM{Q", "37B4@*V.Ģ9LF\\^#d%a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bt", "wp-content/plugins/elementor/includes/widgets/divider.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|BMi8oy", "khHl7lVŚWTPb>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".`H]β", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.phpinfo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+e%A g8", "Ж~LZ|l\r1|Nfw]KS\\(6(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r20", "wp-content/themes/oceanwp/assets/fonts/fontawesome/FontAwesome.otf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r\']>\\v\\2\ZM", "qoO$K]g3nÒѐ~(R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$YIjڐ", "wp-content/themes/oceanwp/assets/js/devs/fitvids.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gUAPՙy \'", ",Q)[\n\nI\nn8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ER( ~J", "wp-content/plugins/ocean-extra/assets/css/footerBottom.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ǌ(;\'&", "u&)mC+YoG-ux0Ĉ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("JԖo[c`\n", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/security/wps-hide-login.php", "0", "w\ZIW_\0", "w\ZIW_\0", "=RݏVfXѷK?VAd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yf/pw", "wp-includes/Requests/Response.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pR櫷\'G", "WwYKL\n	-*^e\"e(_,g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_)-]ˌkO	", "wp-includes/ID3/module.tag.apetag.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bgV;pt\'Խ", "\"<{Q`츤~DJRpLU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l/<UZA", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/BLAKE2b.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͣrZw", "#J<L6zqN0f8Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rRnmӆ\\E", "wp-content/plugins/elementor/assets/images/ajax-loader.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S\0WjȂ/mb", "m׋IWGP]c.z	48", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|f,2T	", "wp-admin/term.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&I`7<1", "H䖂#R67\"֔ڿpy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("΄I!\ZHcY", "wp-content/plugins/imagify/views/part-bulk-optimization-header-row-library.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8\nзz{@ݳG", "\0RMWgpy ٠T/4EܬMmWH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ΝP|ڒ\\o", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/P2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " w^]緣M", "ZEO7(nYh˨", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ο3UL", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-checkboxes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Yg[Xy76s", "jyD\':]_[A#ʥ.9\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fȴ3_", "wp-content/plugins/imagify/classes/Optimization/Process/ProcessInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LGs$ꚳp@\"", "IZ񫕱Z=F,ka", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("œϔ=#6", "wp-admin/images/post-formats32.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WY~O{+_LkE;", "k<8._DKG[5e-I(0wh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("94SbA", "wp-content/themes/oceanwp/sass/components/plugins/_slick.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sG\"$ v\r", "ږ\r\ZUT	`\n)\\Eq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+@\Z}wfu:", "wp-content/plugins/elementor/includes/settings/system-info/classes/wordpress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۸1_TQ̔ն", "U]+~50k[D.=<&ѣWO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",@Q", "wp-content/plugins/wordfence/views/common/indeterminate-progress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I\"sg4\\(8", "@Zn\"ξ~QՔ8sP\073", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M(xiJR", "wp-content/plugins/elementor-pro/modules/forms/controls/fields-map.php", "0", "!zg_>>", "!zg_>>", "kHQndcǖ*~ҧI,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+VeC:`\0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SyslogUdp/UdpSocket.php", "0", "5(\r,aƪ\n", "5(\r,aƪ\n", "Y3w&Q{W@Mբ]XV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z!P4	[&", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/CompilerException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*7AL.B_Y{", "BЂkio߇ŞZc@侷", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$ЧڠƮg`", "wp-content/plugins/wpforms/vendor/composer/autoload_real.php", "0", "ꩧONQ޷ݣ ", "ꩧONQ޷ݣ ", "Wډ\"EvJw#-{-o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-+emu\"x", "wp-admin/css/colors/sunrise/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_tP/W9", "\\?ˡ1t.M<ANalQzYbd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5d>\"hQ", "wp-content/plugins/elementor/includes/controls/groups/typography.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",I&6vW", "uxGy8eи,hEՒH94", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QKQ95Ɣ`", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/City.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">Y!\\zJX", "B*yL˰au\"t\Z4Z۳Nk¥", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UΒu7\n$[", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/js/gallery-metabox.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&inX>`:", "D&VOu2(aO20J뽓V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X:[GE١,pF", "wp-content/themes/oceanwp/inc/customizer/controls/sortable/sortable.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "·h:Ɉ", "I;ip|Q.)[\0,X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[0|2Ŷ", "wp-content/themes/twentyseventeen/assets/css/ie9.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ց[Y\0", "\Z.| ؤ(=16ƚMϸ-\nGk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[U\0M", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/SelectorNode.php", "0", "({9ϸOy;", "({9ϸOy;", ",S;ja^4\'\\\'\r[lT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("emK7gau", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/pagely.php", "0", ";vEŦ>=\rSW*", ";vEŦ>=\rSW*", "tDp!+!\Z.7\'=x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uF^GE+c", "wp-admin/network/freedoms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9B9DD\nS`", "JB\'ޘFRF/17A\0y&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yG0ļ|i!", "wp-content/plugins/ocean-elementor-widgets/modules/search/widgets/search.php", "0", "%Ƥטu&", "%Ƥטu&", "5>R)3J찭ȟxf+-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("π3Ӱ!&", "wp-content/themes/twentysixteen/page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7up/\"", "	\0pKNrG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("πtGȩD", "wp-includes/js/tinymce/plugins/image/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2.3DC", "DpV\"@\rjvt w2:ЃC[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("φK	ըLH:dg<6", "wp-content/themes/twentysixteen/template-parts/biography.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<]_רouNB", "n	4\rI.)3hhv&~B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϊ=XbBz\' ", "wp-includes/js/jquery/ui/effect-explode.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b\\A:QJ=", "#ldd<ԐPb%49u-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϖ_K.g[ФM", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.html.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s\0Ċ;4", "+iLnB0@GDsU?P,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ϙar#W~ }", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/FormBuilder.php", "0", "\'_5E", "\'_5E", "d-q6gD_+D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ϛ\"jy^", "wp-includes/js/dist/blob.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<2lL", "0ݍ\n$n oo4z Sy=Ei", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HԹfk", "wp-includes/js/tinymce/wp-tinymce.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K]w%:&5`=", "7iHM\\jtu]\0 %m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L(ɋ", "wp-content/plugins/ocean-extra/includes/panel/assets/css/scripts.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!BnJ()", "ٸ5EfjjPivg	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\",,", "wp-content/plugins/ocean-full-screen/ocean-full-screen.php", "0", "S\\&W04顲`", "S\\&W04顲`", "\"6W^ޘI4&O~9lv5H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S}c", "wp-content/plugins/wp-rocket/inc/classes/subscriber/class-heartbeat-subscriber.php", "0", "\"f?Bzp{ɗGs", "\"f?Bzp{ɗGs", "݋7yFuU%bN1ggh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yKv.\Z", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/namespaced.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5@?U", "Ʊ#q(Ysq)}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݙP(O\'Ee", "wp-includes/js/jquery/ui/effect.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?qaZ,^m4o", "w_|+\"25N]^Kr=#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P\0%w.", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/AttributeNode.php", "0", "@Eݡ\'Tb\0", "@Eݡ\'Tb\0", "Jɕ2eڲp#+38QzJI\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߎ\r.g&", "wp-content/plugins/elementor/assets/lib/font-awesome/css/svg-with-js.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3턪4m\"\Zkw", "7V3NI|3\0i߂/.X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("鋭{^MU*_", "wp-includes/js/twemoji.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xv?ZVIX&T:i", "vE㈺w&f|a _DeM50	\'7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Cxhy9Kd", "wp-content/plugins/ocean-cookie-notice/ocean-cookie-notice.php", "0", "f.M+Jv<7", "f.M+Jv<7", "pX1h>\'*\0*IB%idtF8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@AO=	yA", "wp-includes/class-wp-paused-extensions-storage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OSY^}{s", "ٱ#qf~y&tcWq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]mٲ	▭", "wp-content/plugins/wordfence/vendor/composer/installed.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">w̩	&J)", "M,P:k\nN2[s\nWze]oN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(c`,m", "wp-content/plugins/elementor/includes/controls/tab.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A\ZI{F;E", "^+UgX{9U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6BLUZ", "wp-content/plugins/imagify/inc/classes/class-imagify-plugin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	5q kn:", " ynIX7DĤהE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3[zbNRx", "wp-content/themes/oceanwp/inc/walker/menu-walker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\]D~*Z0ь", "\0^hWhėރ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%#t4x", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/ChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yW0{XnZ0", "\0AVRXȕ~d^/)@R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/)/:P", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/IPs.php", "0", ">lh]Q", ">lh]Q", "7hGR,Z\',L%6i0U`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":G{wvD", "wp-content/plugins/loginizer/IPv6/IPv6.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+JadqQZ", "#Fnl6z\'6w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">6bYAUF.", "wp-includes/blocks/archives.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}@}\Zݮ\"*ps", "+~A4+*IrH)\"q-_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">slWD7M", "wp-includes/bookmark-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nZ8&NrF		", "N>\nq_-kiBtnw##:d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Aiwd-9q!", "wp-content/plugins/ocean-extra/includes/panel/assets/css/import-export.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h	\\SU߃se", "WvtCt)wa,A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_--#PHEA~,", "wp-content/plugins/wp-rocket/inc/common/updater.php", "0", "\ZSG(䟖", "\ZSG(䟖", "0葄]JF<QQLe\'pN6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zɃFU\Z", "wp-content/plugins/duplicator/lib/config/class.wp.config.tranformer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ā@#耜", "a*bE0m q֓#\"E:hXdl8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Т펹|@", "wp-includes/images/smilies/icon_arrow.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʵ	(", "J_K`bf2\0v<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Тm 1)S]", "wp-content/plugins/ocean-extra/assets/js/woo/wooCategoriesWidget.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "AskOK,#", "ȣ\r3OB.tl\'0K{ƪ{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ЩD=)@?", "wp-content/plugins/elementor/assets/js/frontend.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$^&N<+Dr", "D9:\rv7\"jj\"iXL+X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("а3ѿQ", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.installer.state.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z+ ܸSCZa", "?gi>5҈:u ;r ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("бq̑۱Z", "wp-content/plugins/wp-rocket/inc/classes/preload/class-partial-process.php", "0", "}˦\0XJY:z", "}˦\0XJY:z", "4[0**\ncM$n[w|U4[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("бK\\ڃOtOp", "wp-content/plugins/ocean-extra/sass/components/_widget-tags.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KԘtM|\0T", "-8Qc\nkƗ}d&؀i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("зUELZBK", "wp-content/plugins/classic-editor/classic-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "vt\\<r,[b", "Y?؂8SYVZn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("йB0Ч3p@R܍", "wp-content/plugins/elementor/includes/libraries/wp-background-process/wp-background-process.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*Wg\"}u", "^mX Ti-pPphiGp~\'c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/?U", "wp-includes/Requests/Utility/FilteredIterator.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ax%Ay", "LCUhU;4n}Rmx;Č", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2[v\\)IQ", "wp-includes/rest-api/endpoints/class-wp-rest-block-renderer-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`Ф)\ZDGF*", "\"^ĥme.Q@NNķZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^\\XPvS\\{", "wp-admin/js/media-upload.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?<ܘGB", "L!?S(	|P2-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a&ls{1)0", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-manager.php", "0", "\n+\n/C{>", "\n+\n/C{>", "<^<Jfmr.Ir\"1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#XfOѼa", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/thrive-leads.php", "0", "z%%:[ll0", "z%%:[ll0", "+ChqPdRF@Lio\0{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OK5D\\\r", "wp-content/plugins/elementor/assets/lib/font-awesome/css/v4-shims.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@/450	]*", "[=Z+t9kOi\naT2<V_r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",f", "wp-includes/rest-api/fields/class-wp-rest-comment-meta-fields.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZƾB,J)Tcx", "\0IM|%ct\0Φqs5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">_HQGe", "wp-content/plugins/wpforms/includes/admin/importers/interface.php", "0", "RDn`\0$j~R", "RDn`\0$j~R", "~!ѡeEFf\\^n\'7sx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":%:˟_	", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_android-chrome-256x256.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=eP?mW)÷", "f飆CODn~;l\Z}n_ہ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OE3kqFZ", "wp-content/plugins/imagify/classes/Webp/RewriteRules/Apache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6Z!\rj݉H", "uP௫ܺbs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jCz(fij\'h", "wp-content/plugins/wpforms/src/Integrations/Gutenberg/FormSelector.php", "0", "U!F*{^Oj[", "U!F*{^Oj[", "sepH\rKdz\'X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/0\n*7f(", "wp-includes/js/wp-a11y.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u{Oǚű", "gӕWѦ\n[T\nuA[zGza", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":͜QfhN[+G", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/ElasticaFormatter.php", "0", "1B*:ߗ", "1B*:ߗ", "q;qǔuM6קB픺\\X_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GC!4|`", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-title.php", "0", "\Zk0VjS\'&5", "\Zk0VjS\'&5", "猙=\0}P1R9t-|w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_\\c9mLv1", "wp-includes/compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C;(5ddf", "&]	]͍	x%4N5Ly", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mavMvK\Z", "wp-content/plugins/wordfence/views/scanner/issue-wpscan_fullPathDiscl.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tGN8	6", "YV)ceW/Zmҳn\'n\0MK~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uRlt\"", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/Precomp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7֊i[L9ƁH	", "߹{8(Ïat\0Cn3Qڤ\nl?$y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("єbl/@N]", "wp-content/plugins/elementor/includes/controls/base-units.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k3Q[> 54p", "bFE-	*3f5,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѵz(ipR", "wp-content/plugins/ocean-extra/includes/metabox/controls/buttonset/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԽRsE\ny<", "O\'3̔m*lbjal", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ѿH@*{\r,󊕂", "wp-content/plugins/wordfence/js/admin.ajaxWatcher.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CCW\Z^beD", "	CJhF$Dq|,7EH;N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">.XHը", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-datetime.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=\0;y0A1H", " ɤtLi/MtQ%9w۞Py Fk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z@%", "wp-content/themes/twentysixteen/footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T~ОǇ+vR", "6Yl.\n1,\'Jң", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8W2i0+mS*t", "wp-content/plugins/ocean-extra/assets/css/customSelect.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "39s\Z\n]ma", "j!˸kBuxM#O۳", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("48ۃB\Z\"H", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_cd0a0a_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n&8\0BdUy", "z\rOY(\ZZETtuj<x;Xک9{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ai;獅?\nk", "wp-content/plugins/imagify/inc/3rd-party/amp/amp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E]}6s94U", "@Hy3]0f\r\'0t.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_V#Bt", "wp-content/wflogs/config-transient.php", "0", "1+݁", "1+݁", " |4.\0GV_t\01FGP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~*\r\Z8h6", "wp-content/plugins/imagify/inc/3rd-party/enable-media-replace/classes/Main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sz>dL", "@\0;؃k6@H\n\'\'Jl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n%\'o>Tuӝ", "wp-content/plugins/elementor-pro/base/base-widget.php", "0", "`zgVcHZH(", "`zgVcHZH(", "V:#7QQ~&㘔wt^`뾐K\n(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K11b\0", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PuppetInstaller.php", "0", "bUyͅ\08", "bUyͅ\08", "bSx\\hT/[ĭux+)D+n<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jh|0`ZpE", "wp-admin/user-edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u_Wh_Z/", "VU4ޕ>O\'5=q*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uie54f|", "wp-content/plugins/imagify/inc/classes/class-imagify-cron-library-size.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JO<$Û	{", "\ZLb톂R;\n0\\s4]s+P#D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z-mIk.B", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/WAF/Packages.php", "0", "@\00L", "@\00L", "?\\87=`OzB|\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!e^mdDX#", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/AttributeMatchingExtension.php", "0", ",\nAnJ֝ڃ", ",\nAnJ֝ڃ", "=ČG^WY-F>1/*J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7[*wJ\nn>", "wp-includes/js/dist/redux-routine.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zDP=f18]", "\0DP\ZgQM\0i<y/+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FӶObX?Y5", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sө\n/;]s>", "4+_[qpv,{l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_^{b", "wp-content/plugins/imagify/assets/css/bulk.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Zlzc\0\\", ".uvP@Um䶔I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Җ6M֦5wH", "wp-content/plugins/wordfence/views/options/option-text.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}KmwK5 IO", "+dn\\/M+{x/(h\Z-z%1r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ҟǟ	Ks", "wp-includes/images/icon-pointer-flag-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2b&Zr", "4Bȥ\'x+chҠVn5I>j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ҫ*H\n;t", "wp-admin/includes/ajax-actions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "58}0[L?]0", "R+V]1yǣ>ty餇-]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҭ_VlKg!p1", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/rules.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c.Scj$", "?>4<7v&ˁ)~X\"?zUuD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҲE5|ѵCd闼", "wp-admin/options-reading.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gg~BA0FsA3", "9u=zso3Y#YH\'c)`U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Һj5Ž_y", "wp-content/plugins/elementor-pro/modules/forms/classes/action-base.php", "0", "R_b l", "R_b l", "xsײ)þ\nS}r6Ahh3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lt593u^)", "wp-admin/images/comment-grey-bubble-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TYŝ2s,\rm", "DxT-wN	P{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ׄci", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GroupHandlerTest.php", "0", "u|#/H", "u|#/H", "ޢ,P_@FP<2x/+0o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3itTW", "wp-content/plugins/ocean-elementor-widgets/assets/js/toggle.min.js", "0", "`۸|;ߒCt", "`۸|;ߒCt", "wEkTtmcHߦܐ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y{|koI1BW", "wp-content/plugins/wp-rocket/vendor/psr/container/src/ContainerExceptionInterface.php", "0", "פ?e>", "פ?e>", "QyHn**59p/s%Xh#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0\"QH", "wp-content/plugins/loginizer/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۏ5l\njsu", "krn~*9^	(:&=h<6*o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w]cIwȰH", "wp-includes/js/dist/vendor/wp-polyfill-fetch.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":jF=o\r+aǙ", "߬I	dj\'xq\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZJ)L,:H", "wp-content/plugins/duplicator/installer/dup-installer/views/view.init1.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "߀2;oSȝ\n", "&́\nJƖL#EgmV+>	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":*Um", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/BaseInstaller.php", "0", "!mV9q}", "!mV9q}", "t.tX@iZT7&\\&-Yd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" OP", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TYPO3CmsInstaller.php", "0", "OEeZYE&", "OEeZYE&", "WsGr(Q9A_©>+\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ٫\ZsYPei", "wp-content/plugins/elementor-pro/modules/library/module.php", "0", ">2\0xRAۮ", ">2\0xRAۮ", "F\r{2y)1q >E)o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0Ufdw(y\'", "wp-content/plugins/elementor/includes/controls/text-shadow.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$B!oøͱ", "G%*ݕʳW5_U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E#lL_&ܪ", "wp-admin/images/arrows.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v$>>Y", "YW(N32U;<.iDd!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QH\\7ǛC9N5", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/lightbox.php", "0", "J$a=+n-,j", "J$a=+n-,j", "h\ZPO^ݾ݊x|m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S2Y{O3", "wp-content/themes/oceanwp/search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z\rxx V", "3\"|X=WFMx\rS1R1[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Un/|r@ڪ", "wp-content/wflogs/config.php", "0", "gx:+\0", "gx:+\0", "20hSGx7~	06QN)r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[:Sh	˸", "wp-content/themes/twentynineteen/sass/navigation/_menu-social-navigation.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]<1!\0o", "#@^=}l5@Wsa	#a V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^W\\&(XDUAN", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/FormBuilderInterface.php", "0", "]]:K\"\"ŴLK", "]]:K\"\"ŴLK", "E0SۜW\n\\q\Z_7Ӧd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jsw2pqS", "wp-content/plugins/wordfence/lib/wfIssues.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Rcq׽1(/Y", "˻!i	ϾH^6XO\r,`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wf[*Ey=v", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.exceptions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cБHE`	", "=;!(r2 ]:D2䊉D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{ڭd3TXy7;", "wp-includes/css/admin-bar-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " \'pN.(28", "1]ԂTEA?p)nm\Z8C0 ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}eC!*", "wp-includes/js/codemirror/codemirror.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	fh;fq", "u*Q6Ƅdvdȇ_\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ӆӣ>D\\tT", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerAwareTrait.php", "0", "\"G}=\r,&5", "\"G}=\r,&5", "`ٿF`=fy`4nI\0N%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ӕ\nt0", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmSU5fBBc-AMP6lQ.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mpGaBNX>(", "%-*Ψ6Fi\rWϹM׽WI:vD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ӕB5\np", "wp-content/plugins/elementor-pro/modules/forms/fields/acceptance.php", "0", "w/dh誧l", "w/dh誧l", "Q#ّ>њVrN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ӟmy+\nf:", "wp-includes/js/wp-api.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g-#+<0", "j\'#^D\"K\0ǫ,NAOz-ωtłY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ӱ@p 5xP", "wp-content/themes/twentynineteen/sass/mixins/_mixins-master.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Kzܲy9bY", "N1.MJOrYrؾvߑc!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5xsS&", "wp-content/themes/twentyseventeen/assets/css/editor-blocks.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "98>F;@$su5", "2#@z}+>eMhX֏r.Dp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z_<2$ʤ>>jG", "wp-content/plugins/wp-rocket/views/settings/fields/rocket-addon.php", "0", ":N):@", ":N):@", "N,M_:b13ẁ͜*J?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0_NНvg", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-text.php", "0", "1&<?.", "1&<?.", "K$L8_|{v&_ۉ1?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ư$3^]mT", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-custom-field.php", "0", "X[Kߒ,dR42", "X[Kߒ,dR42", "\n\Z<i5AchwJx4Uڿ	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KjNF>%g", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/PsrHandlerTest.php", "0", "ʀd*L", "ʀd*L", "&0o\0ӦB~GBM -\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	@aת)\r", "wp-content/themes/oceanwp/languages/pt_BR.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3T\r5f3a	:", "D)_a=hb#aS~gKS`by#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0*W", "wp-content/plugins/index.php", "0", "gD,V=\\bP", "gD,V=\\bP", "k~	UH\ZxPĀ<;X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p\\B|,ak", "wp-content/plugins/imagify/inc/functions/formatting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ZNIiYTk", "9\"@	V2\"Rͣ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+Sr7v=(", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooWidgets.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9KnW4Ao~/P", "1t%Ouж(L*Ն	T5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1zzԭB", "wp-content/plugins/imagify/classes/WriteFile/AbstractApacheDirConfFile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6LOgI=9,C", "{,-gAXMyts\ncB|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J|\nb㓅a", "wp-content/themes/twentyseventeen/screenshot.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DȊsOq2", "Ajn\nrقi7˯@\"C-\'(po", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U,Y䶼0", "wp-content/plugins/elementor/includes/controls/base-data.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w163! S)", "b\"4Olٿp1 M\'^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("].ooȦM-n	", "wp-admin/images/align-none-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XC)[-4", "ߧ&QQp\"~\Z8S׊YS`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h6t5O)", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-gallery.php", "0", "\nW!", "\nW!", "j[=exRq5vR8нњ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԉ(6g@Ɠ+U", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-cache-dynamic-resource-subscriber.php", "0", "#F/pن}", "#F/pن}", ">NZ!P{]28]&0|^{Bk5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԑ8uA-Dd", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooReviewsScroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2-GX&3", "|X5Q\0!ͺKٲ..Rܥs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ԧz_+>i ", "wp-content/plugins/elementor/core/dynamic-tags/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w/\ra", "Q0 #?\"Xߺ\nCg|vC9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԧ\Z1=N\0}", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/HashNode.php", "0", "(#`ݨU", "(#`ݨU", "&(Ioido2_3v ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԹLX+isf]", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]ӗl.V*Fw", "s*mjrʬϵ.N($;AyL\ZG1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԼgcaJ{", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Optimization/Process/NGG.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+G^0y8", "=9&tދ\09c{.\"O	*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ãVMlyPD9", "wp-content/themes/oceanwp/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%gizBG%/:", "5dA:\Z׵Xŋgd{lM.{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȇp]4Lq", "wp-includes/css/admin-bar.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}T>mߎzN@\\", "cY\n{[Vdo\0Tfks\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pS`]T]D", "wp-includes/css/dashicons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\N2۫r", ">RXz$l4Q[9Ị6k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XuF", "wp-content/themes/oceanwp/languages/pl_PL.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KU-\"YJպ", "<:1\nfEѰ!4Y孕;8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̆lҘ\\4,C-m", "wp-includes/css/dist/block-library/editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s&zn߈z", "#?3BO\re\n\\LpQd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e>]E\r", "wp-content/themes/oceanwp/assets/js/third/infinitescroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G|b6ɥs", "$\"Q|(wc=\rHg7c|P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Žu ", "wp-content/plugins/elementor/core/upgrade/upgrades.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[N@JFy5X\'", "gvwD	aԱ$=LPeQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SO6jH\ZR_n", "wp-content/plugins/elementor/core/settings/general/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OIr)_Jg)ARH", "t#j46r\0kPFfHc6H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ꪜhЕY^", "wp-content/themes/twentyseventeen/README.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5&!},9mb", "N-)͈滃~5|zI(:.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Uk", "wp-content/themes/twentysixteen/single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%lc}\Z-V", "?xv&W=DX*\'\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/qRR|", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R!z@;Ve", "#l#к;	KAH9Q@	B~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X$aB^", "wp-admin/js/user-suggest.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T\\\\|\r9", "ENE2cBK0s~cN)b?<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" edWt<XD", "wp-content/plugins/wp-rocket/inc/classes/admin/class-options.php", "0", "\\zNdʲ", "\\zNdʲ", "-7祴9Af㨏t]V^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#XE#", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-footer-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " \\O1{B", "vs\0⿢wRK{ Hŕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BImS967X", "wp-content/plugins/wordfence/crypto/vendor/composer/ClassLoader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|%*T*`", "289vu3n	C2sva/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C_Awgқ", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/Curl/Util.php", "0", "Ah-R\"VRJ", "Ah-R\"VRJ", "1ǭ$\"xS \Zk}>$q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b{q;|2(", "wp-content/plugins/elementor/includes/controls/groups/border.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6$pIii<", "4Xd܂_~}.k1 HT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gֿm㋣I", "wp-includes/js/dist/data.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\ZPe$,-", "Ԫ2X6kT./VJ{Ewʦ@o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("psZZ#N7e", "wp-includes/css/dist/block-editor/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u4^Xj\ZG", "}ߟG u\r0ѥBr@V(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uG#)|^6", "wp-includes/Requests/Exception/HTTP/511.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "unN<KwЛ@", "I}7+ƕAl欿Bt\'st", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zr0	?", "wp-content/plugins/ocean-elementor-widgets/modules/acf/module.php", "0", "O%S ̾\r", "O%S ̾\r", "tmraЃs썈?tZk3>A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ծn@u:]u", "wp-content/plugins/elementor/core/modules-manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":kno_W_u", ";|0f\n)doɏ%]?AO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ճt&3zɸh", "wp-content/themes/oceanwp/inc/customizer/settings/footer-bottom.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "tdG7Ě\"\"ȸ", "$>:.Vz3HH\\U~.\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("շXO.At", "wp-content/plugins/imagify/assets/images/mail.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W:C|k-ӼRS", "IN86;/υB>(\0POv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*q;߮~L", "wp-content/plugins/wp-rocket/views/deactivation-intent/form.php", "0", "IsYq)4Gڨ", "IsYq)4Gڨ", "-BfΑv͢[rd\\9!4lЖ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Lޗۦq6g", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/RadPHPInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R\"	\r{9q+E^[", "Ol]%$RCombTr>\ZG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K2;<Dkub", "wp-content/plugins/wordfence/lib/wfStyle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s1_ek2R", "j颎_c6323օ]Gs}.\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ͤ6\0/k", "wp-includes/js/imgareaselect/jquery.imgareaselect.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I./׹@g", "n\ZnM\\D.g?Pl	<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OB5\r", "wp-content/plugins/elementor-pro/modules/dynamic-tags/module.php", "0", "xUX\Z7L ", "xUX\Z7L ", "o/8kNjǘQ4^&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i\r4\n+", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-datetime.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QvД]KVd", "S tb_&*NGD_ٚC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FT\0#}", "wp-content/themes/oceanwp/inc/customizer/settings/woocommerce.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hLPv", "S>e#\0/]\"r^C1b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-\n5>)3U", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Parser.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D%aWZ", "xЂGD;ŞDܩB+o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A>c\r7UعK:", "wp-content/plugins/elementor/includes/plugin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*6vTSuC,", "\']TI3.7!e1vū|\\\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S*ɠ߅", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-title.php", "0", "s+[AA+`V=\0", "s+[AA+`V=\0", "lNm.1,ŝ\07>Ml[n;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xډ|8}B", "wp-includes/js/tinymce/plugins/link/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V\\\n]Ks\'", "\Z>ISеv,qU^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z	r!ޏf	", "wp-includes/images/icon-pointer-flag.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",E^j`\'", "oq9a{)h}=#Tק", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oҨ*Ko7{ <", "wp-includes/ID3/module.audio-video.matroska.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k+8t,A^", "݊Yx)ttat08J>sH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rYSxwDY˚J[", "wp-includes/images/media/interactive.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R׬˂ôŉhH", "{ [K\0!긽/\\lw.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u*!\r", "wp-content/plugins/elementor/includes/controls/section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0 Ҥb#zI", "HKZ\0K\"l5\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֋8[0ʊ", "wp-content/plugins/wordfence/views/waf/debug.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FM@i-M", "	;B@EŻ߬ue}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֌qóX[", "wp-includes/class-wp-feed-cache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z-}w@", "/ jZU7fnY[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֗aaVJ", "wp-content/plugins/imagify/inc/admin/meta-boxes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v1&ي9tl![7G", "Wul\\*D?Ǻh{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("֯\"s޹S\n", "wp-content/themes/oceanwp/sass/components/header/_header-center.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4\'", "m/IB:EN%YF]z(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ֶ9؞fpo3t", "wp-includes/class-wp-admin-bar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+>bR??GϿ5	C", "sw۰SnT$OF8d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BnJSD", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/CombinedSelectorNode.php", "0", "yf3-5~:!", "yf3-5~:!", "$hc#qN)<DEwESfRl_4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J![W6ݧ", "wp-content/plugins/wordfence/lib/IPTraf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WJmLIg!", "0b@i[%g<F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{nq,j(x", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-profile-picture.php", "0", "ݲ\'pvSM", "ݲ\'pvSM", "2ǁtSrNmF=>\0O{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("򩐗⼑BW", "wp-content/themes/twentysixteen/genericons/genericons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P\r6XwxM", ")@ ѵvP4\\W*Y\'-c|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Т6b", "wp-content/plugins/elementor-pro/modules/link-actions/module.php", "0", "dH4jyx%#6", "dH4jyx%#6", "hC~O$\\yhpkE<&<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6_zTU", "wp-content/themes/twentyseventeen/template-parts/post/content-video.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B4qϿ8K", "s	tNq*o\Z\"<\Z7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0s,ӄ=,", "wp-content/plugins/elementor/core/common/modules/finder/base-category.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zfۙ<c", "Y-8~Cu{ٖ5`2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e\\Y/ZR%ə", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Eu!J0N3|", "7,:]!*lBAbߏ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nyxhG", "wp-content/plugins/elementor/includes/admin-templates/beta-tester.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jIG^P7", "qQa0+!;EgFfoh\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"-sp5", "wp-content/plugins/wp-rocket/uninstall.php", "0", "3uͷxf>4\\", "3uͷxf>4\\", "	W!%Ir\\7CnMa^6h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*(7]]", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowturn-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Xu\0Z,", ",GۚP%@C]JU=M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5Py=6", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/template-conditions.php", "0", "6t6_YE", "6t6_YE", "\\BNp)?~M+8?\n\rd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gȩ6\0Y", "wp-admin/includes/class-wp-posts-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";M`\ZiM", ":~5\0\"uV[lg\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M\0c_d", "wp-admin/includes/class-file-upload-upgrader.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!\Z%	#lF^y", "3@T[7~E{Ù)6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fk[x \\/Y", "wp-includes/js/dist/redux-routine.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z\\H-6/", "7:#t7̴!zJYQ\Z\"l\nt+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n\\w;\\]Ǜ#", "wp-content/themes/twentynineteen/archive.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z\\U9c\0D@i", "AGm\'%`RvdP|v%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wh]á&wM", "wp-includes/class-wp-network-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R{q [JFR", "F{!،yF|NF8/&.\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("זLR]=&Z", "wp-content/themes/oceanwp/partials/single/media/blog-single-link.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QMJ[/4{rq", "tW8FyKn,#@zs^O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("יuM60BJ", "wp-content/plugins/elementor/assets/shapes/waves.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jX\\YBP", "!SkU54{U2A]~[@ghfZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("מy7mE5O_", "wp-admin/js/media.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lN\r;KYk7", "1.T4>rv*(fUf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ײBFgF|", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/WhitespaceHandlerTest.php", "0", "kyk\n\'$T8", "kyk\n\'$T8", "V <|W^aW>Cw6hV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("׳uًTm	D", "wp-content/plugins/ocean-elementor-widgets/assets/js/tooltip.js", "0", "_ʭ~1>", "_ʭ~1>", "igm\Z)Ut?b\0d}$,Mgq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j0wE}®R", "wp-admin/css/wp-admin.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eUpʓHWtP!H", "^E-R\'#?lemL0kU@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m}gO޽", "wp-content/themes/oceanwp/languages/oceanwp.pot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")A|y,lv", "{M>ToWP(6>hE÷ύ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^u}G", "wp-content/plugins/wordfence/lib/email_unlockRequest.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{<2m", "RpM>d*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZvI:wm\'~K-", "wp-includes/ID3/module.audio-video.riff.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Tw`<", "1h\0E *=x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7OuL", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Tokenizer/TokenizerEscaping.php", "0", "q\\qW/l]e", "q\\qW/l]e", "dؽBt[{4\n:Q9&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&Zh$Éo", "wp-includes/class-json.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=s;R?BY", "?6lҭa^	H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".Pb*Ƣ", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/ServerException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N\0Ϸ]~", "5!dP>W3pV}#sq2I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8/B$8`m", "wp-includes/js/imgareaselect/jquery.imgareaselect.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cJeQ^,", "&߲z=RTgb0$ڟ3})B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("= _HvI", "wp-content/plugins/duplicator/assets/css/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">;5w{tD!", "wp-content/plugins/elementor-pro/modules/forms/actions/mailerlite.php", "0", "$Yڌ<", "$Yڌ<", "%x+T>[<f4vYЗ2~*ot", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ah)I\Z]GrE", "wp-admin/includes/import.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[:fx|]EZN", "ᛠv˞م:)\nȅqHՀr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J=R\'t^}\n", "wp-content/plugins/wordfence/images/2fa2.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0H", "npʅG06KqJ]J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M&3\r3CMaQ{", "wp-admin/images/yes.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+7܉\rqZQk", "=QG9%K,\r\ZFy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vۜ}A", "wp-content/themes/twentysixteen/template-parts/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "- WȭSs6:_", "LeU2wIO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\ן*q~.ys&", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/GravInstaller.php", "0", ">ޑU@^L]", ">ޑU@^L]", ")LB|@\"UeJEWz ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eǇng}.", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/weepie-cookie-allow.php", "0", "uQ[Eӫ", "uQ[Eӫ", "tQ8 KcLXk|ŜQp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oǣ	ףf0Y", "wp-includes/SimplePie/Core.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#\Z", "K 5(Їϻ\n-\"}x$f]. b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v\r&X", "wp-includes/js/jquery/ui/selectable.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2ё쮒槶r@", "Yh\'<vo9~\0\'l*s:YMv6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xβЦA	<", "wp-content/plugins/wordfence/lib/wfCrypt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YZ\r<H", "a\0zLn[ԶO\r%JppR\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}䆇)ah", "wp-content/plugins/wp-rocket/vendor/container-interop/container-interop/src/Interop/Container/Exception/NotFoundException.php", "0", "@ZmOwL", "@ZmOwL", "`KPm.5<vLWU1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("؅ P;fD7", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-text.php", "0", "/ QV\0ya;", "/ QV\0ya;", "ϷcX{L3{\0>?Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ثǾL)i`Pya", "wp-content/plugins/wpforms/includes/class-form.php", "0", "Ԯ7^ʍ}^\n_\"", "Ԯ7^ʍ}^\n_\"", "K\'co2CtIa`8F5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ر-_}Zh\n\Z", "wp-admin/includes/class-walker-nav-menu-edit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F{ro{onW)", "1C.?kLɩApY	([w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ص5SڸwS#B", "wp-content/plugins/wpforms/pro/assets/js/admin/builder-education.min.js", "0", "jOk\r݀	y", "jOk\r݀	y", "\"ݤ^{pu`u|9<?c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ع۩_X", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Property/Property.php", "0", "F\reݭ\nb\'17+", "F\reݭ\nb\'17+", ">t}#qIӤPMl٘hmPN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ؽ)uҶewl", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/InsufficientFundsException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mhOലf.I", "oOb9_b-4-x%T5E9\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҽRF7", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/GitProcessor.php", "0", "\Z>:J\Z\ni", "\Z>:J\Z\ni", "J3v}2etg.@ms[3$\\-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҐDo=(S{f", "wp-content/plugins/duplicator/assets/css/images/ui-bg_flat_75_ffffff_40x100.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DÎ", "f(悁C,\Zj4_~=5t5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ؗ 4zZn|YD\Z", "wp-content/plugins/ocean-extra/assets/css/topHeader.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r_\\	", "u\"̊qHE	.ZreL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҡK%^", "wp-includes/js/dist/dom-ready.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p.<A`ޙ*+f", "Q[et)S(p<N,ܔ12$1n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&g#Z 8", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/MongoDBFormatterTest.php", "0", "tx,{", "tx,{", "2$mI	]/x0dĉDR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-h\n\r`ýەC/s", "wp-includes/class-wp-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "FǍG5", "X*:2ʙ?رf#¿ٷ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("EЈ*\n", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/PushoverHandlerTest.php", "0", "S%/sK\"ڲ", "S%/sK\"ڲ", "^C0Ewll4Hӟ01iaQ.\\S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/`Aun", "wp-content/plugins/ocean-extra/assets/img/instagram-logo.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2̏#veOr&V", "?<&h(`W/`:h}]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J[}|/w", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dy-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qqKE1*", "4-ެVH~=Byc0x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",(i7:^^#", "wp-includes/js/tinymce/plugins/paste/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_o\nl}", "e+H?ǧgI5`NX^+M\"/i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7?tJNRY", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/textarea.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QqˁJqX", "g;|\n;pܓw6^q҇", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J^\Z7uGk+", "wp-content/plugins/wordfence/lib/wfDB.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P_<-1__Iu", "%dd_\01@TY$A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vw{O_\')t", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t&", "6.Mz:%e+Q=	T+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZuHEaz\ZE", "wp-content/plugins/duplicator/classes/ui/class.ui.dialog.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l{((D`9", "Ŷ^RnJ#DK\n4NIg1B\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZT鐐(6", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/svg.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*N:PmM\\", "yuy~/	!F5F=d4Xn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d%3Z4_+", "wp-includes/css/dist/edit-post/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "afgWT-", "@jzqm$laMJ»fc", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k/y&G", "wp-includes/images/rss-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ya[Qrj", "yS0c`\n7as#nY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l;ao~G", "wp-includes/Requests/Exception/HTTP/501.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "eڸ04-?ב5", "kG寲\n΃CD#6u\ZքEڣ@K1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|(ϐwכ/-.f", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=e%[Xo) 5^", "Y1mL=x\Z\\ٹz\ZxHJeS^F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ف^):\0֮HJ)", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-minify.php", "0", "<\'\r_dIW=*d", "<\'\r_dIW=*d", "ALjfP\Zv#B}2T69i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ق)4g0h", "wp-content/themes/twentynineteen/js/skip-link-focus-fix.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=oG; k\Z\"", "ՙda1,69%ef;V5+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("وTĖhx~Dt>l", "wp-includes/js/dist/compose.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H0<es-\0.¶", "@d2&I_j\0p\Z;~,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("٘\"Pܞ,", "wp-content/plugins/wordfence/images/icons/ajax24.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K:m𙗣P", "j*edoX~7&N9|L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("٥*\0XӣQI@", "wp-content/plugins/imagify/views/notice-backup-folder-not-writable.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uu-4Fb", "7+$vEqK8GF;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("٦ޛ4?xP", "wp-content/plugins/ocean-extra/includes/panel/assets/img/push-monkey-devices.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">gZ\' vRrL\Zh", "Į/DM3{WB\'Xc-.Gv_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ٹӃ2HAYfM#m", "wp-content/themes/twentysixteen/404.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8ȗG@=/6(\r", "/Ì>=Um`!98jC3]aff]f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LF\n*D", "wp-content/plugins/wordfence/css/dt_table.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gJbjJ9k:", "o[PHyЊ}iGc~<cDR:D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ŗEs.9\0<q", "wp-content/plugins/elementor/core/files/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PMBqm", "!7Jr_=}{U/[Oh\0$vj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qGXs\\\Z0", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MailHandler.php", "0", "p-%oaM:+", "p-%oaM:+", "荛ҶXl}[\rW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3I98\\֛[t", "wp-includes/random_compat/random_int.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*RXǠͤBn6", "8-%s`NaL	LMʫ)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!}=`*gZ=", "wp-admin/network/themes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LZX5V", "Cz~HZ7^`tW`3R_(\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Lf!V2", "wp-content/plugins/imagify/vendor/composer/autoload_static.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D&L,ɔѼL", "i`8&D厪\rv(8py", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#҂>X9", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AglInstaller.php", "0", "Cc=W*Dg", "Cc=W*Dg", "3(W~;M<dz4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VBǡ\ZB\"\0", "wp-includes/js/codemirror/esprima.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d_ Sgٛ", "];%JslxFqBH\ZU8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z%g", "wp-content/themes/oceanwp/assets/js/core/sidr.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E-^4b", "=\Z;1Y%\Zk{Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">~!gq", "wp-includes/js/tinymce/skins/lightgray/skin.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SZGNڑh70", ":&ddϺzf_O|vb\Z=D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rBeׯE7", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Location.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y}`8vFJ", "U߆([r嵳gh嬵!m9(\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w=ŢO&F", "wp-admin/css/colors/midnight/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&܍|DW!E4", "SoGp{\"FuS&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",\r	gH6", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginUpgrade.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "aRp#p", "rL-RW&P!aS0T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("26,̞|keL\ns", "wp-content/plugins/wordfence/images/2fa1.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/)h\\ hG8", "C%0z)f @t>ɶ{T8o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3\"οE0c(hi", "wp-content/plugins/wp-rocket/views/settings/fields/cache-lifespan.php", "0", "\\)1ܘS", "\\)1ܘS", "a`#e;1L؁/i-z9ↄi~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZeKK\0VN", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/woocommerce-currency-converter-widget.php", "0", "0h!k\r", "0h!k\r", "<GJZ\\%ci7⹰1\\Tv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`V\\9", "wp-content/themes/twentynineteen/template-parts/content/content-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<9L,<", "\0fDyYT!-;+ۤKYMz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b*\Z|>mT+", "wp-content/plugins/wpforms/templates/emails/summary-body.php", "0", "BWsHW", "BWsHW", ">,߁AЄV!\\։r*0%D*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jLh+Ռ_p", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Installer.php", "0", ".;ZBo\Z", ".;ZBo\Z", "#X<0/t(\\@_L\0S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t0dZW(", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-layout.php", "0", "=GǸ\Z", "=GǸ\Z", "BUaB\rQ3ܣߋSpn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u78¸KԊkh", "wp-content/plugins/wordfence/views/scanner/issue-control-show-details.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "I6ϲē]", "yh;}<6yZ$	M>K(\\#&\"\rej", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|#԰#{", "wp-admin/js/link.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F0;3%-", "yVgoq[pcd2.k~%8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ډx`9LťM,L", "wp-includes/css/dist/block-editor/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r\0xw#Yau", "UC/THk.egApƨEs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڱ𠘡y{@P", "wp-content/plugins/duplicator/views/packages/main/s3.build.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0<<<15wH8", "dŽt- ߗ~r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\04pЮ ", "wp-content/themes/oceanwp/inc/customizer/controls/heading/heading.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<f$\r*VkZZBO", "g6#LLQ{pY\rg17v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#6K%#f\r", "wp-includes/js/dist/vendor/wp-polyfill-element-closest.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H0c;`W&", "2A]ڛ\\eWߦkZsc<`d)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("WS:(=c", "wp-content/themes/twentynineteen/fonts/NonBreakingSpaceOverride.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GߔAB\\", "`GS\"Ŝ(Gu\Z	sEP|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C.yj\0o*f", "wp-content/plugins/wordfence/views/scanner/option-scan-signatures.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dzGf\'Pidi", "T1%R2VPRJB\\ˈgen", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7&8R2ب~", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossedHandler.php", "0", "Xk`о", "Xk`о", "\"8G;WX_Њ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!(t<Թ", "wp-includes/js/heartbeat.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9k_+,+FZ", "p=^ifQM^zϘfF*).", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8aiVX降N", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TYPO3CmsInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OEeZYE&", "WsGr(Q9A_©>+\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_\rJL#@B", "wp-admin/css/colors/midnight/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?c6=#$\njetA", "耒bEiz707Ւ\'*5j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gw\0{J\\", "wp-content/themes/oceanwp/sass/base/_shared.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "·ϻȴy>$k", "TFyp9exh,0\Z\'H{`)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r܅D", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-settings-importer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jUC/l", "F6;ܵ9A?` IXsMS2#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6Hq`SB", "wp-content/plugins/ocean-extra/includes/panel/assets/css/extensions.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%Q垓\r.", "/J\'\Z\nSfJ{u~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" I_X?", "wp-admin/js/gallery.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$ndvn19", "5⣒:_{مg!C1;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("461mYR", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nH\0u} `", "R&Xd[49VI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Gm$6:", "wp-content/plugins/ocean-extra/includes/metabox/shortcodes.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1n0oQ4", "@SXiߣ}K}ڑZlW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qsl#{K1n", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-config.php", "0", "x?*`vTnz", "x?*`vTnz", "5F˔U=\0ߛ2A\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[\Z0\Z׎df8", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/AbstractHandlerTest.php", "0", "N\ZjQ2֧", "N\ZjQ2֧", "tOxƟ{t橮[\0%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[ݒ8UiQ", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/footer.php", "0", "b7RYz1C@", "b7RYz1C@", "r.v#YRYHTeywiP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fB]v<kzY=ƶ", "wp-content/plugins/duplicator/classes/package/duparchive/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rRft6n	", "wp-content/plugins/ocean-extra/includes/widgets/social.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ixD~,q", "qԁJ^y\n3\"p?\'\Z($s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tW1zQ(YI", "wp-content/plugins/wpforms/templates/emails/general-footer.php", "0", "[5ة&j/", "[5ة&j/", "L/<i@!{R̈́p#I<vG;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u+6/N!i;", "wp-content/themes/oceanwp/inc/customizer/controls/general.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0(;nj_rRZK}", "XAx|#9󮐸[^g͹[o[3޻", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v6^AA/],6\'y:", "wp-admin/css/site-health.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3YƸoO", "QP\"憽ƈV\03ӼrPp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|dR>YI)", "wp-content/plugins/ocean-extra/includes/panel/about.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g>4Cv", "ψH\rUBZMY[\'bp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۃ\na~8\rbV", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9!zחk6", "t8fR2J{m{ad!2ݲ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۃ*	A>ؑD", "wp-content/themes/oceanwp/inc/customizer/controls/icon-select/icon-select.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mF.-/zZ", "6L|c_.ِf<MP2C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۋ{S0\0\0=1_ئ\r5", "wp-includes/js/dist/priority-queue.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Mlۻ3UCU~`׀", "O+Ow.ѽ#%Z\'ۉ/{\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۖJBwC|Mv", "wp-content/plugins/wordfence/lib/Diff.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5VzY]#yRJݮ", "YM\"z)tϖ*cwL\01w$d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۙf\"e\Zu", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/VanillaInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$c63>nM\"", "d1ޙGp#\\3f\'.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("۪	.ո\\", "wp-includes/js/tinymce/skins/wordpress/wp-content.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(l\0tU\0b", "8)ţ	UE~U2hЅh_2A.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("۳WkpD-+\rm", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z 6>", "@⣂LEQ(ieq[N|&Ð", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r؁=Ԓ", "wp-includes/images/rss.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[(.*NZ", "j(-9_E-#we$]o01u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("މ#9", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-base.php", "0", "gJgβ|v5", "gJgβ|v5", "Tx\"+Ǥp>#\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\npGnu:", "wp-includes/js/colorpicker.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V g-", "Vw%%:3CQ#+g	e}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7]\Z@,/T", "wp-content/plugins/elementor/includes/heartbeat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C$UFun", "Ѵi:W~%n\'ACEp4zгPb", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]Q!u\n{]", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-embed.min.js", "0", "n-/=&|j6H", "n-/=&|j6H", "#:0wGÚ= S]j;8vN\n(G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?Am", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/give.php", "0", ".bbmp׫", ".bbmp׫", "~mԒAO\Z997D4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("׺y8", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/theme-section-document.php", "0", "+m!?uԅߥj", "+m!?uԅߥj", "Wl6O+~SY>tX{45k8p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\ruDb7", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-segmented.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pVF&KkH", "+.^-$70	]xrv+cgPM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȼ؟\'\r`", "wp-includes/feed-rdf.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K3:\\;", "[gT8)7v::M)aT|yIr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-f[?шZ", "wp-content/themes/twentysixteen/css/blocks.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y@&ICm", "=<YAȚSgDC?\"=Vc7lkd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2G?_\\-B", "wp-includes/canonical.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "prWˎ[vɢ", "MD6?<\r.{1@i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("740!Go ", "wp-content/themes/twentynineteen/sass/elements/_elements.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Su$x\0oT", "\nơJxY#$m>ۍյ?U\"$lz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<oqF=	i=W+", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AimeosInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EWMi6=<*@}m", "DRV\\ŭ<7ty	,8YmL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Mލ,Tv\Z\0\0(U", "wp-content/themes/twentysixteen/js/skip-link-focus-fix.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"B!H1涭/Ps", "Q+oBVjᝄSFGZҾ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Nq(Xؑs", "wp-content/plugins/imagify/vendor/composer/installers/src/bootstrap.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ɲ\n%\0", "g&AgpI84\ZBj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("܂7@vT	}a֯", "wp-content/plugins/elementor/includes/settings/system-info/templates/raw.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",zvj", "\nPnt{Ȃ0Ü\0\rDWp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("܍zUj", "wp-content/plugins/wp-rocket/inc/functions/varnish.php", "0", "X ^\n5M", "X ^\n5M", "\nk&xFT<$^?[r\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܑKݓ%eP^U", "wp-content/plugins/wordfence/views/scanner/issue-checkGSB.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T&#i]<{", "EPmh>*HS8SFpXbdU8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܗwb@ȬZd>", "wp-content/themes/oceanwp/assets/js/core/navNoClick.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sA=p5\\W", "yh%:yz0˨*k~5eJL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܧ~+ne$", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PrestashopInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!Hh", "9.YlSAXNo*bl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܰx\ZYdex", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/VgmcpInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zr>U<z1xe", "2LY6[Sj@K#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܴ\02ä", "wp-content/themes/oceanwp/partials/library/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cN(L", "aA3:LV_U,=ib]s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ܺ)^kz[P", "wp-content/plugins/wp-rocket/inc/common/cron.php", "0", "(^G\rcNa.Ô%", "(^G\rcNa.Ô%", "\'3;Kf)~7eu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bn>SeҚ7<r", "wp-content/themes/oceanwp/partials/edd/shortcode-content-cart-button.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kʙ\nw8h[", "B^\\mpYP/ݚ&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".U	Y=", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/byte_safe_strings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h`VAf", "<\\G;1#kLà(փ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TоR\'{", "wp-content/plugins/wordfence/lib/wfPersistenceController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%kyiMO*", "X(30\r\n\nPE̠ 9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("дvkNu", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SocketHandler.php", "0", "vepF=	Q", "vepF=	Q", "8>31hc,//)Hq9~*T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("򀯭xȹ\'炉", "wp-content/themes/oceanwp/assets/css/third/hamburgers/hamburgers.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PtF (", "FKbƍ$l<\0\'oӶQ\"9~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڨ_-zu{i\Z:IMz", "wp-content/plugins/imagify/views/button/generate-webp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qA`L9", "0#zb(z>gz+ƙN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'e}eJ", "wp-content/plugins/duplicator/ctrls/class.web.services.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HOqճ", "H_d-x}P>qJhז", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ջZml4ˮU", "wp-includes/images/smilies/simple-smile.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K{fwh", "?Yag\\<y0\0183Hg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r\0FJBe", "wp-login.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!lz%ɛX", " K\rC$?0A5.~Rj@P\'E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("׵(KB", "wp-includes/js/codemirror/fakejshint.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5v,ROlx]J\')K", "-6$$;}ptO4]2ТR5֡", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%jt}", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CiviCrmInstaller.php", "0", "eSu-՘}", "eSu-՘}", "ix_Kn&F:ra0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+؛?q6v5SJ", "wp-content/plugins/ocean-extra/assets/css/slick.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gf&dQi]li2Y", "5uw[tK\0- ƪ\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":	A)$6:", "wp-content/plugins/ocean-elementor-widgets/modules/acf/widgets/acf.php", "0", "ි4,2@D", "ි4,2@D", "8Jq)ڭbeJt7saha", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bovm]at=", "wp-content/plugins/imagify/contributors.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ͯuב75U", "	nj?%Ch@ȓW.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G&d;Tݧl", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/visual-composer-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "==ߠ$v=", ".<fv{DJh{Db1lа<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J0jYgh", "wp-includes/js/tinymce/plugins/lists/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ì+hސ|)Q", "\Z8Ǡc_sJ2i;`k,8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[65+	n9", "wp-admin/images/sort.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".ˍlHj]", "DY~AAԟpL9Ckܺ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c+%L4j+g9,s", "wp-content/plugins/elementor/assets/lib/font-awesome/js/regular.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	>4@", "f2݁H.LFU}<-s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fyħ*!", "wp-admin/js/nav-menu.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jFXW9Y", "\Z+dp:7tm0d/ֆg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j6$dq", "wp-content/plugins/imagify/assets/js/bulk.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-n2iEwN", "d65<G6N&i;W-J\nu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mi}4,͗@c,", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-ngg-attachment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`,wxJ\nAt", "*7\"`\r>vSL.3{.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uC/Q	ܡ", "wp-content/themes/oceanwp/sass/components/header/_header.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!\reWN5", "%]RJ5pD\\(Oٖq0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݖ\'\"|3_t|", "wp-includes/class-wp-term.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";pL>c&\r", "; .aO4,>k&܀%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݭkze", "wp-content/plugins/wp-rocket/inc/functions/cdn.php", "0", "HpCWXuXl-M", "HpCWXuXl-M", "eWҙ\nB+3^Q\r}]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ݮ&\\E:]mG", "wp-content/plugins/ocean-elementor-widgets/modules/link-effects/widgets/link-effects.php", "0", "FR!<HtpC6", "FR!<HtpC6", "4>eJ}ۜYnKc3>wB,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8:&v[_)", "wp-content/plugins/elementor/core/settings/page/model.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȝ@ƙvp\"EK", "Ď/,95n>F8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ЖY$b+i", "wp-content/plugins/elementor/modules/history/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "cD8ǻQ", "R0^8<4vdL<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r4;", "wp-content/plugins/wpforms/pro/includes/fields/class-divider.php", "0", "3.}i", "3.}i", "4WO=NjlENT&3Gbm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'|?>", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/ChaCha20/IetfCtx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LaDJ?Z", "=F==<_%=M?u/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S[C{nſ", "wp-content/themes/oceanwp/inc/customizer/assets/js/customize-preview.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lYg7BD", "{|7H͂DX+n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("IwB#", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/RoundcubeInstaller.php", "0", "lcc*~j=p*u", "lcc*~j=p*u", "<&J#s\\.,G$lt<IW5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k<[  e", "wp-content/plugins/ocean-extra/includes/panel/assets/css/push-monkey.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9;*p", "P?\".ܫVB5[,!3G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HC)C", "wp-content/plugins/wordfence/lib/rest-api/wfRESTBaseController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yK\nu@x", "Aݶ݁;_|sȤ4_)zaKQEe!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pխ^@#Ԓ", "wp-content/plugins/wordfence/views/scanner/scan-progress.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%\nrE?m", "Qf\0.<:;6\"{N+mE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/*NWP", "wp-content/plugins/elementor/assets/css/frontend-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F&޿7", "lOt\nG/ť?X\ZҼR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3^PMYHD", "wp-includes/js/tinymce/skins/wordpress/images/video.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "¶B=\rz3j", "iI/=MMX:MApv\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E7Drȋ<6", "wp-content/plugins/ocean-elementor-widgets/modules/lost-password/widgets/lost-password.php", "0", "J~gm%.3M", "J~gm%.3M", "r.U\rY2\ZRA?+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I[5F?=", "wp-content/plugins/elementor/assets/lib/backbone/backbone.radio.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[WkgA\0᳨5", "kl!=R\"Nou\Zi:Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N\\|`*,)@4", "wp-includes/images/xit-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rT`?J/", "-Pfy$q\\_xbcX.4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("POC", "wp-content/plugins/imagify/views/page-files-list.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p<-86{", "l`N6ToDTs\"z ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`1c.<88=", "wp-content/plugins/ocean-hooks/assets/js/hooks_cpt.js", "0", "\\6vuo\':a", "\\6vuo\':a", ":҂)	;KT\"gjyNa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a\r>ZU", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/EmptyStringParserTest.php", "0", "5hgl[", "5hgl[", "\\[`f۞QWq ^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޒ?IΩi%gy", "wp-content/plugins/wordfence/lib/menu_dashboard_options.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j~i\'Z?", "=x=)ZuY\"FF2]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޜ.pV3s", "wp-content/themes/oceanwp/assets/fonts/slick/slick.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~;s%K	z", "͸HrMoStDS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("޵rv;L,g-", "wp-content/plugins/imagify/views/page-settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p5/9Ia=4", "gB1U7ceIܤ\'=KAtDWb	i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("޾Dʉ vͥSn", "wp-content/themes/oceanwp/partials/header/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sMe]8%=", "{k3ԅ;5Bt{Ɍ,gtPE#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cU@^-", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Aml.php", "0", "R$;\0Jx/e", "R$;\0Jx/e", "\"\\g^Opu7F<DeہY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q9;D", "wp-content/plugins/ocean-extra/includes/panel/scssphp/scss.inc.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JԆʕ&bO4z", "lC|䳑۟K\n	-	\'Z\"B^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">\"j~f", "wp-content/themes/oceanwp/inc/customizer/controls/radio-image/radio-image.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*\Zm*Y7.^K=_", "RkpZBbv6ِ仅HlT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ދ1Fa", "wp-content/plugins/wordfence/lib/wfArray.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'Fbaۆₑ1ʤ/", "n2q8D-AR>xqYq$ ш", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'g!:H),", "wp-includes/SimplePie/XML/Declaration/Parser.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p(ÅBs#b", "v_6+q)ź(1),", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("颓^B;	s", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/HandlerWrapperTest.php", "0", "$A$AV", "$A$AV", "lv,lV<;o\Z>4繁նc_At&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wO)7V", "wp-content/plugins/ocean-woo-popup/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fD8hX+", "wp-content/plugins/ocean-elementor-widgets/assets/js/typed.js", "0", "X5HD5", "X5HD5", "Z^va1VHȳ$x	bW)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nk}\r\'FԪ", "wp-content/plugins/elementor/assets/lib/font-awesome/js/v4-shims.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zx\Z@Pz", "iJpse3TNɴ@P\rد", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"c)j\"", "wp-includes/js/wplink.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "׊[oLgl", "yM`ڪrvխ&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(WHD]aes", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/instagram.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$M\0@\nq=", "OYL!	%^,s&H	NB7qp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*zI>5\04Hө", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PxcmsInstaller.php", "0", "0v-T8", "0v-T8", "i;Hʳ=wRm:@6C|Q	,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*خ.Ed", "wp-content/plugins/wpforms/includes/class-conditional-logic-core.php", "0", "`;-y%O", "`;-y%O", ",MB:Y`عŹy_Q)Pp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";Ol6ԙN[", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-meta.php", "0", "ePIta@", "ePIta@", "g4xJAK:pfGK*H A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=@\\JpQm\\6", "wp-admin/includes/class-wp-upgrader-skin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+xMe!WOK", "jJ$p9hgQl5a1J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L#aW ", "wp-includes/rest-api/endpoints/class-wp-rest-revisions-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nPATZKjvO", "D\\\nN\'yA|^`r=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X9\rH5", "wp-content/plugins/imagify/inc/3rd-party/hosting/pressable.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/UE-/9W", "(zfSD·wP|Ǿ(!cg>,cNfG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bz/T7aHy", "wp-includes/js/mediaelement/mejs-controls.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^yq+S%y", "hA3L:\'1ꁠ\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jdڐ D/Iֲl", "wp-content/plugins/ocean-instagram/assets/js/metabox.js", "0", "9\"n4*", "9\"n4*", ")CX|`⴨)g\rE-~+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q%ű m+", "wp-admin/css/colors/light/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[ʵ\Zp]W", "j_Wp*+h<hSyY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xO$#ۺ", "wp-content/plugins/imagify/assets/images/lazyload.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<KG\no", "jI,C]Nr@V:>M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y_hӨ-ɅD", "wp-content/plugins/imagify/vendor/composer/installers/composer.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " \ZԞsrip>&Z", "JG!O2<NC,vӭq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߂wU.+S", "wp-content/plugins/wpforms/templates/emails/general-style.php", "0", "7C~*k>(", "7C~*k>(", "P:#7GnP*#wZGhj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߌ(2", "wp-includes/js/quicktags.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݎ/̰n", "[m(-)$9/G+X&.AE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߔHu&", "wp-includes/js/plupload/plupload.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ݠ$pZR>\'|", "\"8[J%.˚cV\r\rE)\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߗQu!ٶx[", "wp-includes/js/wpdialog.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-\0g\rFġ", "ܖ71J 7BA7|mLux3}\n^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ߧ}eTu&", "wp-content/plugins/elementor-pro/modules/forms/fields/number.php", "0", "9d\"3mv", "9d\"3mv", "o+jy9bhavj;)1x2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߰Sh[۳", "wp-includes/class-wp-http-streams.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!\rN	t׀Ji", "}ʚbbUјغ to:e|q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߶w`@*e+\Z", "wp-content/plugins/ocean-elementor-widgets/assets/js/appear.js", "0", "=)<", "=)<", ";R\r{ z䭤\nJɚd0\\Ύ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("߹V=\"#n	", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/parser/lexer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xb#!YiJ", "nd@=[cg?N}־Rxl]X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĵ>#Bb", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/P3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۓGc,=c^", "Gct(5\n,9%)e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ȧ0 $7O>", "wp-includes/rest-api/endpoints/class-wp-rest-users-controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d	xr|$", "<K<OvT	{Ltm\'fj.VQM}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0,O|O", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SwiftMailerHandlerTest.php", "0", "ZI&Z ", "ZI&Z ", "ekq⏥FR/A\\MCj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V4\\o", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/siteground.php", "0", "9I#\\]`\0", "9I#\\]`\0", "!r,BpVѣGv$<Zc|Mᜋ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jju@\"", "wp-content/themes/oceanwp/inc/customizer/assets/css/customizer-simple-line-icons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ɔ%Z@v\'LX", "ʈRUYB۩X.QbǷJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{o", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-fr.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q!3}", "0UL>⥼\n2k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%f\\+,\0\\Y", "wp-admin/includes/class-wp-filesystem-base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QOUqhhZ\Z", "qGC& t\'JGwc\"@x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0͎s投Ou", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-it.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3,\\ ?/[A", "D->BwP%	M_<J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":>NaøZ", "wp-content/plugins/duplicate-page/readme.txt", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!jGڑ", "\\@̱VBnJ?#MO֔8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ar##0", "wp-content/themes/oceanwp/inc/customizer/controls/textarea/textarea.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%54ԅæW", "mzmCT(ǼP5J_\ZP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z^rD", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/archive-products-deprecated.php", "0", "5{?\0\'", "5{?\0\'", "E9\n=h{{D۟C~E{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\1݃%VE|<N", "wp-content/plugins/wordfence/modules/login-security/img/loading.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K:m𙗣P", "j*edoX~7&N9|L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_sHC<<", "wp-content/plugins/imagify/views/part-settings-row-custom-folder.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_PO-!*:", "_>88\"Gdlx!b", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h^LU_:", "wp-content/plugins/imagify/views/part-documentation-link.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZK>T", "\\	k1C\0&UmUG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v5NZ", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/flywheel.php", "0", "*Y2Ѭx", "*Y2Ѭx", "GU E¬\'LU\'aII", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("i4ZlЃ @", "wp-includes/css/dist/block-editor/style-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J]^7eh", "<Ȼ%\\4`v?G2fw&@9zK%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B]0I\"Q7)", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/FuelInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^q{3\\g", "NӮNAWuh#\"8)eM16", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rMܴ-\nS", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/parser/parser.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iD4E?", "=M+Z7un^{4ޑ#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("</?}A蓭\r\r", "wp-content/plugins/ocean-cookie-notice/assets/js/main.min.js", "0", "-=N-", "-=N-", "v pSNNvQ\nS2(4IL@^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̬N6", "wp-content/plugins/wpforms/pro/includes/fields/class-url.php", "0", "lڨB", "lڨB", "Kֈ=}5$ͭl)TxgXg.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ൌBRcBĂ", "wp-content/plugins/classic-editor/LICENSE.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h+QNXǓ6", ")aqF	`!z JIw,f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a̐E$6Z", "wp-content/plugins/duplicator/views/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BUޚKۆhN^", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_android-chrome-192x192.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4 z>bFT", "[\\̡Eʬc3bD\"uU9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ȕкDj", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uYwJ%l`", "WRB*D\0+wD1O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Xz\0v\rZ4d^", "wp-content/themes/oceanwp/languages/es_ES.mo", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ENSF͞", ",DLCHAqH7bȶ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'2~ ", "wp-content/plugins/elementor-pro/modules/woocommerce/module.php", "0", "G`ݯ", "G`ݯ", "0g^#]EkmDyݖ?p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|AX>", "wp-content/plugins/wp-rocket/vendor/wp-media/rocket-lazyload-common/src/Iframe.php", "0", "2\nM\0\0Bq", "2\nM\0\0Bq", "_%!*5ӕ\ZֵUҒcE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%xz:\"yKj0", "wp-content/plugins/elementor/core/upgrade/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xF	B2", "])!JHY!T`FjW\"\nМ=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FN6};ƮD", "wp-content/plugins/elementor/modules/dynamic-tags/module.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]K4݃P", ".C)H\'<Xʒgۚ~%t{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^bRSI!?", "wp-includes/class-wp-image-editor-imagick.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Or6Q)\Z", ";[҂t70	WʂyL{cIȍ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sk6/н", "wp-content/plugins/wordfence/lib/wfSupportController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S(bq;:", "5DZ-RHN%ے,FNm.a̽K=0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7inj\ZN ", "wp-content/plugins/imagify/views/button/re-optimize.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j^9Ev!:", "kρ\0k&X1Jm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"\Zca<*", "wp-content/plugins/elementor/includes/controls/heading.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PȎ7`7ɶ", "Q.b\\w+4UE.\"w	&%_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@M]\"iNJ", "wp-includes/class-wp-http-requests-hooks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r	©~ǳ", "?.z̃UD݋Îa.v\0̉", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G4\0;էc*", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/GravInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">ޑU@^L]", ")LB|@\"UeJEWz ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z(>(1bޫZ", "wp-includes/js/tinymce/skins/lightgray/content.inline.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\reL͸xP", ".Fx#ʬ!vې", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b	oxQ\n", "wp-content/plugins/ocean-extra/includes/metabox/controls/typography/class-control-typography.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "24$M", "8\0P	Q1\0yjLDڜo/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e:֬p6", "wp-includes/js/dist/vendor/wp-polyfill.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B$O9~!t!", "]\'Vm璓׭k`]e?.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q@/ꦑٞ-M", "wp-admin/network/site-users.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wr6U1zo@zQ", "5kRg_C{jvJўJBf\"!e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ᕵ7\\F|[El", "wp-includes/sodium_compat/src/Core/Curve25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0s0C{[[t7", "Zz`}JGN]lQ8H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">\n5Z", "wp-includes/customize/class-wp-customize-image-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H߇oNN<", "a\n\r$۱yq*$q{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lWz);=", "wp-content/plugins/wpforms/includes/fields/class-email.php", "0", "|?fT", "|?fT", "?ywNbB,4xd3ԾvTn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L1.-yn", "wp-content/plugins/elementor/assets/css/templates/frontend-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q֧|c}AVW", "*зRSJadIdf~I4f`/:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fjh\\\0ƽU", "wp-content/plugins/imagify/assets/js/pricing-modal.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<RҬ HkޢA", "#Jp#E l<y9pf>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";DthEG>H", "wp-content/plugins/wordfence/modules/login-security/classes/model/view/title.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o\\", "Zm$zpuCVgIgIN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dr΋j\'YR", "wp-content/plugins/elementor-pro/modules/pricing/widgets/price-table.php", "0", "޴Po,(cv", "޴Po,(cv", "ݙ!M\'L$:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ᯙtj|Þf", "wp-content/plugins/imagify/inc/classes/class-imagify-requirements.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";H~,4P\"", "`!Ÿ|]ID2y7P8IYd}IP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ĩ	_5+lH\r", "wp-content/plugins/ocean-footer-callout/template/footer-callout.php", "0", "˫aɨiu}Y3", "˫aɨiu}Y3", "_&,ug)u}t*ĆD)IٮߣQCX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m|yb", "wp-includes/class-wp-recovery-mode-email-service.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EqMsx*B6PB^V", "<>](Ejp5\'W按\\k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"C*.", "wp-content/plugins/wordfence/vendor/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\"xK{8dS", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\9ã>Iz4c", "wp-includes/js/tinymce/plugins/hr/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "k+%5l3!-", "2`RiL#e؄46gpo~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǒ<iͳ\n\rSo_", "wp-content/themes/oceanwp/screenshot.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CKuJ$N", "G\nx\\R\'HPKJ=\\\'ga", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uُ@N^>*	,", "wp-content/themes/oceanwp/inc/customizer/controls/slider/class-control-slider.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ecN&s2", "|Lzơu|Y/\r!i9֣. o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L`R`ו*", "wp-content/plugins/elementor/includes/widgets/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϕ$/u-0zm", "#كh/Iڷҫꈚr^uR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BKAa<l2", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/P2.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XߓŒ\"X36DQ", "!l..GI\n7oeѿ\';I\n\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\Zbزuc", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s4.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5[T,k|V΃E", "m3	?^3):i.^[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")vΛU$", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/visits.svg", "0", "n-GLʜs", "n-GLʜs", "#iRtGyb?b!tq)nox", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("42\rZj", "wp-content/plugins/duplicator/views/packages/main/controller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&>>(", "D	yC=%f}M:۹V\nV\n5QV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8Kl$bw4(	", "wp-content/plugins/ocean-extra/includes/metabox/controls/color/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[%\rTn", ">Nkc{hEn<]p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DPk\ro", "wp-content/plugins/wpforms/assets/js/admin-builder-providers.js", "0", "\nT[=", "\nT[=", " s곒,\"6V\Z$bV^ S_F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L>ٟ#{6p}Y", "wp-admin/options-writing.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HvCYf@$X", "0ʯ\rUMx]ԘC#<?\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U6υsd~x", "wp-includes/sodium_compat/src/Core32/XChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r*unrdug", "ҷ<hbo>W\ZN eia", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VVF=/Q(q\'3", "wp-content/plugins/elementor/includes/controls/code.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@V#Z]1=L1", "<8M\0[ӻ=i\r\'郉W7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^}R	V7{WI\rH", "wp-includes/blocks/search.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4*Hըq\Z>y`h", "%;\0,גWg4cT!F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g*cgΝz", "wp-content/plugins/wordfence/css/wf-adminbar.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0\"CϷTb", "hS䘷*g5)!}BlNE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sS%jT", "wp-content/plugins/elementor-pro/modules/theme-builder/skins/posts-archive-skin-cards.php", "0", "\n>PEZ6i(", "\n>PEZ6i(", ",E,9`΁e\"h}-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("▸\Z0$W8", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-critical-css.php", "0", "JaV! O-ʯ,", "JaV! O-ʯ,", "(Պo=;D@\niy/V>R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YF>\'`", "wp-content/plugins/ocean-white-label/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":6de\'O", "wp-content/themes/twentynineteen/sass/site/secondary/_widgets.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ޕ헣WӹXRG", "\0pcIqU)8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nżW", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.simplecreate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&\\ܻ5i?y", "LtT\'ʏ/X0=M[&<D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!jG4e#o", "wp-content/plugins/elementor-pro/modules/query-control/module.php", "0", "GB<C>zZ", "GB<C>zZ", "K6&ɨ SP3Ďh\n;^e]{\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĸ:,p1Hr", "wp-admin/js/dashboard.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r0z+@!!\0/", "x[׸,	to즾Cvy\'ݠfy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0qbD!c", "wp-content/themes/oceanwp/partials/single/media/blog-single-audio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	0X>Dbq", "[i~hKf^}3I]L2g4>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0וoxi3%\r+]kg", "wp-admin/images/post-formats.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K\0%3", "9ƺ&]nEua]iFƳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RxVx", "wp-content/plugins/ocean-extra/includes/menu-icons/js/admin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]%G\\2ݿ", "&0I\rv4;{S\\f.!sE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".aZja", "wp-content/themes/twentysixteen/template-parts/content-single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n3f49;", "&.)oJd5jӨ-/G_w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0;-,AEy", "wp-includes/theme-compat/sidebar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YU\'EԠey%", "]?GnMw$ٳJ}1EE>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B\"^I\nhƜ", "wp-includes/js/dist/dom.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "۳ߣ%n\",<Ԃ", "50<N;>k+jNMws", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M	po", "wp-content/themes/oceanwp/wpml-config.xml", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "R6o92Z`9m", "W񏁴P9Юm⪧ Xw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aOj\'ŻD*ցV4", "wp-cron.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1DEOKl", "ĩ\\18نs}8\Z\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("bal4拲N", "wp-content/plugins/elementor/includes/controls/url.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e\'mh", "d$ٮM8\\Ey}H\'rݥ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gp?Tk>oxA", "wp-content/plugins/imagify/vendor/composer/installed.json", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",E5%^", "ePȧ\n*{,8^}\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("m5^u9>", "wp-content/plugins/wordfence/views/blocking/option-bypass-cookie.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PAf0	/ (w1X", "IRR\nߎd;I3G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b,E\\]LP", "wp-content/themes/oceanwp/sass/components/header/_search-overlay.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\',dG	:", "~N2K3al?X)rl;f=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\' ~/zF", "wp-content/plugins/wordfence/modules/login-security/views/manage/regenerate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "XZ\\h=95", ".Z2~b8Ȟu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("¤pNQ&~pIp", "wp-content/plugins/imagify/inc/classes/class-imagify-data.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lEMo0==.", "Ƚ2=]xS惣0QC(I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FmOO765", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/selectize.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YIU9", "o1_fxߖB7<jdRLz,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("e\\kcXf", "wp-includes/customize/class-wp-customize-upload-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iAM", "EN{tMjXIAǧ_}noY9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(9d,2?", "wp-content/themes/oceanwp/singular.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ROAzxXl", "]U;Sn,dT%t$yg~LǷg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q82v&#M", "wp-includes/js/tinymce/plugins/wpview/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U5p]m/t5", "K\'鮹.z`mw֣2-N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H%,", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_cc0000_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|%;wQ8@", "wi>6Ƭ4.NC\Z4IO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<kUJv%1", "wp-includes/fonts/dashicons.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",eM:wS", "6&>bk	sV4-ԣ| *$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lK~Yh", "wp-content/plugins/ocean-extra/sass/_config.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<^>h", "\"]baA ^ʭ],c-ˁ+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c`A%|b)	", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ReIndexInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OÝY,\\-\Z*", "V#|q1Vׁ-(#خ3-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uۣ5+zqT", "wp-content/plugins/ocean-elementor-widgets/modules/query-post/controls/query.php", "0", "_qs", "_qs", "GuSF7\"p[6ȧ<@VNYh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#iJH?@", "wp-includes/class-wp-http-curl.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "HKJ	", "?)[EP)w>a,h{#p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	EUN`@0", "wp-content/plugins/ocean-extra/includes/panel/assets/js/scripts.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|]B\'l", ")J>=I,+S$I46l4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wV!", "wp-admin/includes/class-wp-ms-themes-list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?h\nP8^R", "ܦ\"{7\"rT<ٌS|\n;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ad8hF&bau", "wp-content/plugins/wpforms/src/Emails/Templates/General.php", "0", "B<Vp[Ml3", "B<Vp[Ml3", "/1|p TMĩv#GkG)%f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eH|s6iI", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Invites.php", "0", ".N+Vޒ$", ".N+Vޒ$", "2+0%Im_r|N`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z^}¤hh3\rw", "wp-content/plugins/wordfence/images/options.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VѴA", "D:bw#^4BKIP?	znV_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~$=Rvںf", "wp-content/plugins/duplicator/lib/forceutf8/README.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "0\'PK@	.tt", "1pbL5W\"u\"9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("][痾2_/", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/soliloquy.php", "0", "1ۥk", "1ۥk", "l7c_*Yki	#`H>W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԂWGi%N}", "wp-content/themes/oceanwp/assets/js/third/html5.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ި஄UPbt<", "Ry1Nhu¿I}؞)i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M}Ķywx", "wp-content/plugins/imagify/assets/images/pic-ericwaltr.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RH?}ã!a>", "(\r%Tih{6^PLgMjj	L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B/x##z", "wp-content/plugins/ocean-white-label/ocean-white-label.php", "0", "kW\'\\Hv~h", "kW\'\\Hv~h", "]\r!}hn156llk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/3l){#)", "wp-content/plugins/wpforms/templates/emails/general-body.php", "0", "JdTYKO", "JdTYKO", "r~Rc9J\n$WM$) ~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zpKC{\\>", "wp-admin/js/dashboard.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "mdνXey", "/X+`gɧ/s9ݐGCZd", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^%+<ˠa", "wp-content/plugins/imagify/assets/js/options.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\BH Gl", "MYZ]\rB=m%1\0YIVI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1]M|KFZ", "wp-content/plugins/wordfence/lib/wfBulkCountries.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")6&Ph;.", "PZba;pĽ)\Zn°~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\00qĊNy)", "wp-includes/plugin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c}O:\\q\'|b", "5+Z!-]1ɲ䠥+X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">0!FZ", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/preview-manager.php", "0", "JM zfisE", "JM zfisE", "^ҐRJ1؂+8ŧTL:^V`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nAa/IaMy?c", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-combine-google-fonts.php", "0", "\'Cjl[4\Z	Bm", "\'Cjl[4\Z	Bm", "l86t*^e0D*FDe ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'`F̔~Ė", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/view.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C؍0+C", "`>&i(ŹCf&>Y\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5rʁ~", "wp-content/plugins/ocean-elementor-widgets/assets/js/modal.js", "0", "8nІeTvM伆", "8nІeTvM伆", "\0kedUZbZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<PӬ\r", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-file.php", "0", "~7>O{{n", "~7>O{{n", "FVX+.9{ge9?A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=:I{JWy)", "wp-content/plugins/imagify/assets/images/upload-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Og;)Fq6", "z`ItM6C1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CǴkq{.L", "wp-includes/js/dist/block-serialization-default-parser.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p	_N`.˅", "ĶX*_.S>$Ob-r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H4.\\:#", "wp-admin/css/l10n.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+.[H\rϬ.k/ ", "lgj-u\\$?)\\y6@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NeCR,\rF e", "wp-content/plugins/elementor/modules/wp-cli/command.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ƭ\rN_X4", "=ROT	l\0k9IW0C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R5?- S^H", "wp-admin/js/editor-expand.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "efp\'̓\"", "A?^F!W_(A~d+&7J\r6d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eŐnA", "wp-content/plugins/wordfence/lib/wfView.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "⇲*!P\'|%\Z", "\0+FoL (\\.w g{&:όH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p}_#!", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/times.svg", "0", "n-GLʜs", "n-GLʜs", "#iRtGyb?b!tq)nox", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("stN8?L1;X,", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dxy.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KVoC-5㛹`,", "TaMrF+i35,J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Ҁ\nh\'g)0s\\", "wp-content/plugins/elementor/assets/lib/jquery-hover-intent/jquery-hover-intent.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F8`?y\ZXW{", "gac}JFlZ`StMϵc6F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("DmZgE", "wp-content/plugins/elementor-pro/modules/library/classes/shortcode.php", "0", "j>[x.*", "j>[x.*", "W]+]Dmѻ&*x$yǌ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("42$St", "wp-content/themes/oceanwp/woocommerce/loop/thumbnail/featured-image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "΁r(iZgՀ", "1ą\'58Y2l	((:zfw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("峳$ @z6\0`/", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/Precomp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ջ}BH71", "\"beTb$׉\n~ln", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fj3p", "wp-content/plugins/imagify/views/part-settings-library.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EsPB\'qSlnOm", "I?-螎6G/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N_\rKG\0TW_B", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/HandlerInterface.php", "0", "1Ƀ[c+$", "1Ƀ[c+$", "d\\\\QF	YBم\rFoWq4ff", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ٗQ=*e?", "wp-content/themes/oceanwp/assets/js/third/woo/woo-quick-view.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]G%\'&", "Sծa6j{H3|J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?*E@YP6", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/TestHandlerTest.php", "0", "c(>h\"wk!x\'", "c(>h\"wk!x\'", ",Yjj a!!6u\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\nV+􏌥g٬", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SyDESInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W}B=H", "jPG\ruDc=p\Ztzm6=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rb\\ɍ\Z", "wp-admin/edit-form-advanced.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Bʫ!}cQ~", "WkV<5?\r.j[C-zW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Em[\0#Z", "wp-content/themes/oceanwp/assets/css/third/simple-line-icons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%\0&47c", "8$ժi+Қ7$ C:qi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l$J*}{4", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-next-prev.php", "0", "|}/E!`G", "|}/E!`G", "\r\Z\0%\0ЯĦE(X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(") ΥL*", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GelfHandlerLegacyTest.php", "0", "DMooK4i\Z<", "DMooK4i\Z<", "> Bwas-Oi E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+.eF", "wp-admin/css/dashboard.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "שz#Л*fK", "zk\rm胯*tD\'en(t˿d ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9ekkRoS", "wp-includes/embed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y,ܰ\\A\"", "	r@W񐆯5j\ZAI_TjiRs!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F:UF<", "wp-content/plugins/wp-rocket/views/settings/page-sections/media.php", "0", "X`C7Gz=|", "X`C7Gz=|", "2/wҁӳ<\"+$;a(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G5@07", "wp-includes/images/blank.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H+51	f]9", "ӡ:,;}&ZNYKM\'KF![V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J~_ofk", "wp-includes/js/wp-embed.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-@o3-<z䈢", "d*wq=ȍTQq$7:ݥ$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J{eA !", "wp-content/plugins/elementor/assets/lib/font-awesome/css/solid.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A\'Θоy", "΄žqO}O<fI(j1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Q#j5P!", "wp-content/themes/twentyseventeen/assets/js/navigation.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p3Ʋds.bN=", " 	TGCgҫ,R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VrⅭֺg&", "wp-content/plugins/elementor/core/files/assets/manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ϟ#: fUls", "M,y[[ĝ6?H\0.Ю", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[6VcE}ڎ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MagentoInstaller.php", "0", "{Fs", "{Fs", "CfjI\0QnmJI*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^oYjt7~", "wp-content/themes/oceanwp/partials/header/style/vertical-header-toggle.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/$9!x.M", "q vW:TDzXo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("捱6\"0gs\r", "wp-content/plugins/ocean-elementor-widgets/assets/js/morphext.js", "0", "i#.YyLX", "i#.YyLX", "ve{۠\0vqȷ^g83\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("様7^b\"", "wp-content/plugins/wordfence/images/back_disabled.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hgi>", "䏛N7g΋?Fb!}ݿC鳇", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	\rn,|", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Debug.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\Z{\rT0c", "վ/%dtEZNhG\Zh[`<E!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ylsU><", "wp-includes/css/customize-preview.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'>\\}節", "DM:-W\Z!f̹]jCӺNH7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eҕhV\"", "wp-content/plugins/wordfence/views/options/block-controls.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8 5U,e\n4(", "S|POdɇ&ٲ-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W\"Sk:", "wp-admin/images/align-center-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-r5*J7If", "8tf*JwT^H>1JDο", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ε-NhQWl", "wp-content/plugins/wpforms/templates/emails/general-body-plain.php", "0", "לYK>y[ԓ0ܦ>", "לYK>y[ԓ0ܦ>", "oq|{JGA%v٤&ſR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PIcDƾ", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_int.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JsǙB", "ERJbȸI\"t],qP1\\fD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kRXfe", "wp-content/themes/oceanwp/partials/scroll-top.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d}qW5", "ϛ#IaJ\ZV\rE]]e.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("⣣MOU", "wp-admin/js/editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l%\'&oSJ˭", "k]*ZN\r#v-_]E=\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"LJ1C4ND", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginAbandoned.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jv[pջBM", "	)Yt\rb/\Z㲰i\r88", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*!WA3Uסa", "wp-content/plugins/wpforms/includes/class-smart-tags.php", "0", "Kr1M*(4", "Kr1M*(4", "!\Z$4Y\'7xZ0kD8܁`W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";Wl", "wp-includes/js/dist/deprecated.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v.UI&&vW»=", "մ7g&[.M3L6oN*:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n`mHIiM", "wp-content/themes/twentynineteen/inc/color-patterns.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y\ZH^yO", "xiFngזϤ:q4w\nr#J;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XClg", "wp-content/plugins/elementor/includes/controls/number.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/v8Kv̍", "3W9-!/m!<I", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"ơ7vs+", "wp-admin/includes/class-pclzip.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YИυWYp", "!\"܄Ӱ1DE 0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2\Z {DZ-", "wp-content/plugins/wordfence/fonts/ionicons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hI15[I]J", "*\\&t䭨\\	gTw,1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Djמ8]fД_", "wp-includes/class-wp-widget.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "¿Ҩ?+ܽ\"", "%p\"J۲`a)(F<kϠ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H>\"4sQ", "wp-content/plugins/imagify/inc/admin/custom-folders.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<>HV", "6,!ld5q1E$j!Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Yx\\Bq$", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s3.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g;!\nňrPA&=", "ѳ=ʕJ70\"\"*\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`!b6GEN", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x~,*S\\&!^Aqu", "l1s8[#xÆ@6od_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b`K\'컜K", "wp-includes/functions.wp-scripts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{VIs-zQ7ά", ":z}<j_ބ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{\0w~~=k\\", "wp-content/themes/oceanwp/partials/single/media/blog-single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r	<E|r^9", "H}xD\n:mՄOhP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|3P-_14", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ZendMonitorHandler.php", "0", ".ql. \Z+", ".ql. \Z+", "wsmĖ+탳۵Vqbh*˵S", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jёe\rXd$", "wp-includes/class-wp-customize-widgets.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "@fv[amf", "@{jg]g%\n:2aMy|D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("畲*	z,l8؁", "wp-content/plugins/elementor/includes/editor-templates/repeater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ŀW?jN", "@f?	`W| ,Ɇwئr&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("砺Nd	֕]w", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ŉbLx=F", "M	Qed1fPn˄", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TQƹT>!", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/HtmlFormatter.php", "0", "\"<<\0?Reó", "\"<<\0?Reó", "Q(1è!/tfUUȹA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZX\Zi*<", "wp-content/themes/oceanwp/assets/js/devs/cookie.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Xdx&lv", " uqW	ۓaSUW`2\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kgo#0", "wp-activate.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\_]ޫ$", "΢2μPυd,zb)w;u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ŉ	i/Э", "wp-includes/formatting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r̬Ro#<_", "S>j7Ŧ|:tq~958zJ$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƸC`̓3\rL", "wp-content/themes/oceanwp/assets/js/third/magnific-popup.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[#;jct=", "{IlB|<Ĩ@Z\'k)y_EԶ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hl{!D#!", "wp-admin/js/color-picker.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1`m=\n%", "R<ݨl9fUq=Pr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[dK߳", "wp-content/plugins/elementor/includes/template-library/sources/remote.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">-b>TBb", "~{13˸w9NHM\"Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L.dDv", "wp-content/plugins/wordfence/views/scanner/issue-wpscan_directoryList.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i0j82\ns", "v\\qY{S<|+{(m?)D=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ˮ\0(Չ", "wp-content/themes/twentyseventeen/template-parts/post/content-audio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZI#s", " N-Cb\"CT!3gH>$\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FZYC83E", "wp-admin/css/colors/blue/colors.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PUSnM	u*", "EDYr˭q&뷢E\0{A}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Bb@=o:", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_mstile-150x150.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VvI.Cp[:", "^O+ӜoU0275okh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h<O[", "wp-content/plugins/wp-rocket/views/settings/fields/import-form.php", "0", "HWJ.Lb+a", "HWJ.Lb+a", "uX%v(`0+R(o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("÷g$Ms", "wp-content/plugins/wordfence/views/waf/option-rate-limit.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"ăEzZGS 0", "4%pDM_Mi׽D{F", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZMpx\\ևJ", "wp-content/plugins/elementor/includes/widgets/counter.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WCa[Qj*.", "lUy\rm<RGRf8QT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!X\\FQO", "wp-content/plugins/ocean-extra/assets/js/dropDownSearch.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X/*;", "Ed>hh,6я", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%y>}Ho(6", "wp-includes/js/jquery/ui/core.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WDSejq", "=}*VF]O7w7$jT^K3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0B	X.)Q\"", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/module.php", "0", "CӅ\'>Pgf", "CӅ\'>Pgf", "5wo<p!LBd4Eā<S`Swp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G.Ncta-;", "wp-content/themes/oceanwp/sass/woo-floating-bar.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M`@ɴEku", "BQ{Q[S$-b\0h-\n<@*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GyZo", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ChefInstaller.php", "0", "t&r@;f", "t&r@;f", "iifzΰP\\B<Wٴp2,T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SHLenPq7č", "wp-content/plugins/wordfence/views/scanner/issue-control-edit-post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nZHUϘ", "ݓ!#hlts):}*aEglTD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`DN\'hd", "wp-content/plugins/elementor-pro/modules/flip-box/module.php", "0", "$eG!W.", "$eG!W.", "5Q\\ӷj8+tW[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fi`=@To", "wp-admin/images/spinner.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L\nD\noًj˲", "zƄ\Z\"n\Zs(U/~7F^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wj067@T", "wp-includes/sodium_compat/namespaced/Core/BLAKE2b.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"2s7\\i#E", "atW	3N\Z`xhI`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~@fR?$[u", "wp-content/plugins/elementor/assets/lib/nouislider/nouislider.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "obgyЮ", "ּ!)$z]btR˕h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Jy0m`/", "wp-includes/class-IXR.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2v0p\"+/zb+", "O0vWW.N%L`Xp0tj\\\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0]pޑ	\rG", "wp-admin/css/customize-nav-menus.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PG(h@", "a`kt%j+Qm\nhƪWh~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("t `OjE", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-comparison.min.js", "0", "T	~Li_hϾ", "T	~Li_hϾ", "8p\"хO2!zrOFܨcr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ʣ0V4Yj", "wp-content/plugins/wp-rocket/views/settings/page-sections/advanced-cache.php", "0", "4E,3N?b", "4E,3N?b", "rm(Erp;:6N0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^а.mԮe~", "wp-content/plugins/elementor/assets/css/admin.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "MԛM9G", "WL)59(]\n<t¡Z0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("讗jv(Uz7", "wp-content/plugins/wpforms/assets/js/jquery.serialize-object.min.js", "0", "]<rJz o*(\0[", "]<rJz o*(\0[", "T\"ۼ`B8a@cw)$p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("辎0+Ny:<h", "wp-content/plugins/elementor/assets/shapes/drops.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|Yz6;y", "T~vP3&tW-	TNqA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%J!|cuL#@l", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_safari-pinned-tab.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rMaC+]Sf", "]Ŀ\0_LokW^fO5:AS)\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QoH*(", "wp-content/plugins/wordfence/images/sort_asc.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",I+ƾ=", "dCTe&,)ѴFG\ZdON", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^wl9P", "wp-content/plugins/duplicator/views/packages/main/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+3pU", "wp-content/plugins/wordfence/lib/wfOnboardingController.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	,#\r+", "h]*?Y\\!rfyExQ[q=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"݆GIhN^", "wp-content/plugins/elementor/assets/lib/jquery-hover-intent/jquery-hover-intent.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "#ZfY{CͼA-P", "6cu\rQ:$3l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":,~PLEI\\", "wp-content/themes/twentyseventeen/single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z{6cvЃ\\,", ">}O_	+}?tsW][:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";Q@sX9$h}T{", "wp-content/plugins/ocean-extra/assets/img/flickr.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "OZ,P", "w_,,xB*mOG{ݐ2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";GhȇȺA5", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s2.base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ۃ9@\\ĉ\'x\rN", "ZIkYfiղl.`7z?w^L-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fj!Y{.J=,", "wp-admin/images/stars.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[><k{(", "/	\"Fa챔<SYg؉F@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("LoȵVp+bH", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/archive-products.php", "0", "<O=\0ʊXh", "<O=\0ʊXh", ",?\"I\r9$暊윈|7V,Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XUHfhrAhK", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_222222_256x240.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8aR9\" B", "֢)VQ-&>+5mC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]W/>}<8 VF", "wp-admin/includes/theme.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x6_t4", "!\"jrryao[\ZmFЉ5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^.jT}<I", "wp-admin/js/accordion.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"kIz-VS\r;h^X", "ɫc[-36$Stl-[.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gU)\rR(", "wp-includes/js/dist/is-shallow-equal.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dZ7ۼ<B", "x(°47$\0J{c3M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w0t{<ʙ", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/select2.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "w5`", "$s1AMF/Rw;g5h\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|:xZ~*wl", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6G5n;E>", "Q2Ƽw|!l?sTMmu*({", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TB3G{", "wp-includes/Requests/IPv6.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KNknT", "=ln&ăJӗ~l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("頻yN<9o\Z<", "wp-admin/js/xfn.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ohBAf(zv~", ";?8MO%\Z}vӑ6o\\X.qZa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("騷RᴦQ\'G", "wp-content/plugins/elementor-pro/modules/forms/classes/form-base.php", "0", "ߥq2MHI", "ߥq2MHI", "2o(܊b\\׀N¶4H*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mMtWB", "wp-admin/images/align-left.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\y0dZo.h", "_]<#S\"B^U4_Q<!@x?J$K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("鯙P`9giT\nm,", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/wp-color-picker-alpha.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O53R", "[T!Ѥn;A\0H=NO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?&B\rG", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-multi-avatars.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "EqK&+fTם", "#;O8i 8c?]XOķ:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tZO\' \n", "wp-includes/js/thickbox/macFFBgHack.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȰgW,/u", "Rw/h&q]Z_Ngy", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V,E@Xy", "wp-includes/SimplePie/Cache/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=@B[	S", "9!+Y6L$-fq&趇kh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";U	G", "wp-content/plugins/ocean-elementor-widgets/assets/js/accordion.min.js", "0", "\0rKT-R", "\0rKT-R", "A\"hnǡYeOǳtZ ,6Q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{U;^lYVh\\", "wp-content/themes/oceanwp/sass/components/plugins/_general.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1#LHzʥ3CC", "ա`,ӠԮOJߝX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!>", "wp-content/plugins/wp-rocket/views/settings/fields/cnames.php", "0", "rg_޼~P!5", "rg_޼~P!5", "QȲ*Hs\"&/V歆m+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	1_E67", "wp-content/themes/twentynineteen/sass/forms/_buttons.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a|2]e\"$9z", "\0Ó\rƱ6 ,J	!d7nh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kLN\0x6@", "wp-admin/css/list-tables.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "sTH:/ġp", "\rfUg[S%\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qp\\ Dn!", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/TestCase.php", "0", "a	(iZR	e}U", "a	(iZR	e}U", "0oxZ74`nfv8!ZU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I4Pb\Z", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/category-image.php", "0", "P2#̤:;ou", "P2#̤:;ou", "wބRp٪o}N;׭< qmθR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ҁm^kפ\\\"S", "wp-content/plugins/elementor-pro/base/module-base.php", "0", "ΏM[E>F+", "ΏM[E>F+", "ri_{kgnߕ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0Jfx#X{", "wp-includes/sodium_compat/namespaced/File.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]mw/\\y5", "ɐtd7H}=.tCw$`c\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("42)A.;4", "wp-includes/js/customize-preview.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "h5hz9P", "؇Ib.0G{,rY?bco", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(": SLܦ!", "wp-content/plugins/elementor/assets/css/common-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o9FubJ&\r", "	w#FYGU[pH/OAP⃠", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pb\rR]z(=", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/settings/class-setting-multiple.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y+%\Z", "233>𝒲]o_h2Q˜", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YhSqui", "wp-content/plugins/ocean-portfolio/includes/customizer/assets/js/customizer.js", "0", "WSzzBM", "WSzzBM", "J6^#!|sjN#A6u0Kz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("d\nv;O1:,Tn", "wp-content/plugins/wordfence/views/options/option-toggled-multiple.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!0K܃5{PD(", "{`α0HoG🨶Mo$P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iݶ]{u", "wp-content/plugins/wpforms/assets/js/components/admin/builder/providers.js", "0", "<?Mt8\nhl(", "<?Mt8\nhl(", "QOd++iCXB8k~[\"T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r@DZ䯩", "wp-includes/sodium_compat/namespaced/Core/Poly1305/State.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!K	5yS*", "TyO%u;U}g1)Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ꍥ2jEbg؈Wx", "wp-includes/css/editor-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=Ͱ8oei)<", "Zd|S|sHl|0GsmYF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N@x-=Rx", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-abstract-buffer.php", "0", "YI\\JFDh\r", "YI\\JFDh\r", "\"`cC4n2꼍˪ot", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ǉ4˓T`k", "wp-includes/js/wp-pointer.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6|dMpX\0fɐ", "\"!!1u#܁%ӽYZ:X=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YW;,\0\r", "wp-content/plugins/wordfence/css/jquery-ui.theme.min.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bK0bxљ]", "4\ncE2=V{+\\goЅO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ΔCYo\r", "wp-content/plugins/duplicator/classes/utilities/class.u.string.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "H>\r7<q>黗3s", "/Wzu#\rysE5KOH@A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`I,y oY", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";8e_TƽW", "ݬISP\"a 7J6QSv_y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u\"*lLû", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/LogstashFormatterTest.php", "0", "±elh,5`\Z", "±elh,5`\Z", "Ϲ,6E<O6vhyq|ф>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6ZfM;", "wp-admin/css/site-health-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "T1V*W%", " S<8A&v_FSt", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hם.M", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Maps.php", "0", "a(X\r\\-", "a(X\r\\-", "Y+%QۘO0WH<b*UxO_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%[JҸ9", "wp-content/plugins/wordfence/css/activity-report-widget.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J^x;yc", "ӡfaMWv+W%}`DN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\njݍea!\ZWdq", "wp-includes/rest-api/fields/class-wp-rest-post-meta-fields.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"<8.K\'", " \ZYӵ˼*,QLY{㬣p\rh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0Kj6ZX", "wp-content/themes/oceanwp/assets/fonts/star/star.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3\\`|U2\'", "#19#~C9DеeH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#t0PU", "wp-content/plugins/wpforms/assets/js/admin.min.js", "0", "Oewx˗kLB0", "Oewx˗kLB0", "GJ8Q,9ed0.+9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-n$.#g%}", "wp-content/plugins/wordfence/lib/Diff/Renderer/Html/SideBySide.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " OّCHؖs ", "pXuc{-K׏ژ/OnE0)JB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0RJ{yˣ", "wp-includes/general-template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Gv}ٹS|2", "$(2_vIC5\\%?!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5KhAgP", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.notices.manager.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nuJ*PmD\"8", "ڏvVy`kE@.4:WsLxˌ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6\'Enf+\Zkv`", "wp-content/plugins/elementor/modules/page-templates/templates/header-footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^$N0ك", "E˓=d7\\T`[SHY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":C\"1*", "wp-content/plugins/elementor/includes/editor-templates/templates.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "DZu47", "P,څ_^D	I/Z!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F 8+)rP", "wp-admin/images/no.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kd$ܟV7", "\n>~hZP\0U0;\' {)	>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M\ZH?ͲZ", "wp-includes/class-wp-rewrite.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|H\rFF", "#i\'MeGB9J7\0.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Oӿ;=\\Jzy", "wp-includes/js/tinymce/plugins/wpgallery/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7`OtyO", "?X2c^G,6Z><,2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QF0t+", "wp-includes/css/dist/block-library/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7[]`<#4:", "Zn4֓	EKx0Г", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("U\'ͯ", "wp-content/plugins/loginizer/loginizer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\"xJ*j", "AS2>5@(w<m05r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("au\"9s?H", "wp-content/plugins/wordfence/lib/WFLSPHP52Compatability.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%1sËG", "EWٳ?4@U?0bP+h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{1>l|*:", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.glob.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~hؠC	_-}", "ir\"\\x\'ۗ\nD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xD.m~<2", "wp-content/plugins/wordfence/images/ratelimiting.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0[MɞyP", "@Sy\'N+kB3J!PbƖ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2b<IvDuKLuR", "wp-content/plugins/ocean-extra/includes/panel/assets/css/demos.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4e", "\"|!J,&.\rC4͕", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("뭷\r!z}MLKE", "wp-includes/ms-files.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q٪*bxYa", "Ԋr_pՈyQ3c}\'Q<J3_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!ZWA@j", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "F(1oSZjWe°\0", ";MyE̒hTk|P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SڰpGMǯl", "wp-includes/css/media-views.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\r;/KZ4,", "txwB`h!\ZPc\'֛-$JPCH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2|?]ϸ", "wp-includes/css/dist/nux/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LEWA{@", "rFa\nY]%4Xj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[V\\/tWqm", "wp-content/plugins/elementor/modules/wp-cli/update.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x1uy8-|nD", "Q#smCHB9\"򯙜Nw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rҦyu~ߟ", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/XPath/Fixtures/shakespear.html", "0", "X\nG)ȱ\ZB", "X\nG)ȱ\ZB", "N4ʕWA\0(OOT1Y?X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("׮Fps4", "wp-content/plugins/wordfence/images/back_enabled.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]H", "9퇥)R$px#q {#LO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W3-jnnUfx", "wp-content/themes/oceanwp/assets/css/woo/woocommerce.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "uͤП`G", "P_s1akl[e\00Ji#^3<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vAdsK]", "wp-admin/post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ea䊌j/L6kfi", "(6r+(w!\"1jДr\Z9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YCooR亞", "wp-includes/capabilities.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n\0FWgúg", "FF{\\!d7\0.8?A4W3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cQil", "wp-content/plugins/ocean-extra/includes/panel/push-monkey-client.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bqM\nY", "ElF\0|xݿ@L=oكdSB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("3KB<j.ʿ\r", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-multi-avatars.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/,\']ǧ", "ԫ;${:=e 4dA0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q;:\0zsV%", "wp-content/plugins/duplicator/lib/forceutf8/Encoding.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?22yϕFE", "먻V;,@\Z94", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&R", "wp-content/plugins/imagify/assets/images/icon-arrow-choice.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/%)F}", "MH._zzv0T@D9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ۅnPE6T", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Http/Request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KdWؿEW", "RW].dasJMLq+p},", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a<9", "wp-content/plugins/loginizer/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "xㅓ[\nr", "QYمrl.!LIK@Goi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'Rj<DMNB	", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/fontpack.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e)[<", "	JĴptU*p}0so", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TМyP1=f", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Tools/class-cache-dir-size-check-subscriber.php", "0", "l23a\Z_", "l23a\Z_", "/406zHtw|K?Q:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5JX$FAraG", "wp-content/themes/oceanwp/inc/customizer/controls/text/class-control-text.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*H@:nO]", "Jᡝn3f/z$Qw~xgR8", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8ڧs}նNi", "wp-includes/class-phpmailer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">ԶߙO#Z", "}^~o\ZbeU&Br_@~cŦG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?h;", "wp-includes/js/quicktags.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ռ\Z`C5}&7	", "zOt:],b3roQdHBH[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D\rh}!\n", "wp-includes/js/jquery/ui/effect-drop.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WVǥYF2", "jE:Ke>\rPE{=Ӳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E#mhy/9", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/picker.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ug}͎\nLh?[", ",\'\Zj\0JA O,~Z:V", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hw!9Z<ts", "wp-content/plugins/elementor-pro/modules/forms/actions/drip.php", "0", "R3~׸\'Z", "R3~׸\'Z", ".\\$@\ZRb(gr+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pط悇̺ƴ$@", "wp-includes/SimplePie/HTTP/Parser.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "W%466	", "E@̣Bnb8ϜNW%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S1^p3Gda", "wp-content/themes/oceanwp/woocommerce/checkout/checkout-timeline.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NU5hU ^", "_?.E=MA|[\"QM:w-}1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("re`:cR#ܯ", "wp-content/plugins/wpforms/includes/emails/templates/default.php", "0", ";R2*1Rb", ";R2*1Rb", "P﻽Cq!pQ!^T%\0XU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wѲ7ETd", "wp-content/plugins/elementor/assets/shapes/triangle-asymmetrical.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7:Dy}1_QQ", "jo\0ݕm%;9wyn;)", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~&dALy>i", "wp-content/plugins/ocean-elementor-widgets/modules/scroll-up/module.php", "0", "ʁ^b;v", "ʁ^b;v", "#}uqj(j%EhE\ZK\"-%w>ua", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<	j9Ȣ2", "wp-content/themes/oceanwp/assets/js/third/nicescroll.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "84Hh1D", "0K19F!siH-}Ws܈L̷3C0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[]iZX\\[/	W", "wp-content/themes/oceanwp/sass/woo/_woo-off-canvas.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0GJ;WPO~", "Ir\0\nv*g\0	qudr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("c.Dr |", "wp-includes/js/tinymce/skins/wordpress/images/dashicon-no.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "RZ?f.8	", ".c%c*G~բ>Yd:7j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("첰{Bhqy/[", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MercurialProcessor.php", "0", "9i}Vb	", "9i}Vb	", "=Z\rez%ڪХHHz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("츃v6;~", "wp-includes/js/tinymce/utils/mctabs.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "끡\"Y>xU季", "%Y}ڿ&)MaYgЍ*l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[v", "wp-content/cache/wp-rocket/index.html", "0", "ُ\0	B~", "ُ\0	B~", "Bșo$\'AdLxRU", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!<B4\ZS}", "wp-content/plugins/wordfence/views/scanner/issue-postBadURL.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u@ަ$,", "dٍ|]Q!Qw;`7Zf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Ӄ2W", "wp-content/plugins/wordfence/views/waf/options-group-basic-firewall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "03*66-FU.", "TQ&n)&MgDgШ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-x(EoI=", "wp-includes/class-wp-customize-section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&^`6g\Z", "t;\0>;3grϖ]z练", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\q_ŐߩL", "wp-content/themes/oceanwp/languages/zh_ZH.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":96|Mexf", ";&@k^p1nJzim%*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ؙzE?\rx5", "wp-content/themes/oceanwp/partials/header/style/full-screen-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "߅1~\'͙q", "6IٌѬ@E#_\\1*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ԝ}M\\31", "wp-content/plugins/wpforms/vendor/composer/autoload_namespaces.php", "0", "5,}vĨ3G)", "5,}vĨ3G)", "Er4@\0ԡ$z3$l\Z`iexl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ư0~\rjA4u", "wp-includes/css/customize-preview-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&*knK_#+", "qcJݛnxP8r3\rs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l?kn̿z V", "wp-content/themes/oceanwp/assets/js/third/woo/woo-thumbnails.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`GU	1}E", "jC:0ڭ{B}Ke/\\.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\SՇ8;2", "wp-includes/class-wp-tax-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ބ5ٜky", "2b&vjrk0\0*C柮~%{(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mהF@$~r", "wp-content/plugins/wordfence/views/onboarding/disabled-overlay.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "b՗ln", "ya2-@\"=*\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("upqdWZJl/", "wp-content/plugins/wp-rocket/inc/classes/event-management/class-event-manager.php", "0", "k[Şo\0%>", "k[Şo\0%>", "eTjbHʍtuꀴ&5k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" !R}", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Certificates.php", "0", "Ȧ$f^\\:uc", "Ȧ$f^\\:uc", "Gr	U)aKwĝr #IM+B[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BdM;dɠ", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/NGGStorage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-Ƒ7kLA", "e2]ޓv-T^S^M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N\'!\rBj3", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/LICENSE", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\H!#>bW", "&xwαh)œ@5m.)9R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R\" 3ɩT", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/module.php", "0", "&%<oD?)\"[", "&%<oD?)\"[", "UyHrdͼ=Wu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\7x?ƵyV8", "wp-content/themes/oceanwp/assets/js/core/headerSearchForm.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E*oθ+0", "fIIQ}Kڜ:(%66", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]@\n>ĺYn", "wp-admin/admin-post.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " a^", "ґ)W͏`+j8H,]U\ZDeXc<,%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~q:ӄ", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/page-title.php", "0", "=P2IKlO$x", "=P2IKlO$x", ">\'ojuPD:h>ArА", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I0B,hʛp", "wp-includes/class-wp-term-query.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3x-	9I&o", "\"x[lD>9_P_y7gW-(\"$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")Bjpyы", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RollbarHandler.php", "0", "g\'l", "g\'l", " 	6~y rk\n$`Fs /", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*Uci(", "wp-content/themes/oceanwp/sidebar-left.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">A\\3~^Wa", "H`2\rH&~@zE*cVց", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("hdgP", "wp-content/plugins/duplicator/assets/img/dropbox-64.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(\"a1Hz\n=N\r", "T|PԬ?[.ͩ\"Lw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("賮]", "wp-includes/customize/class-wp-customize-code-editor-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B%3$~ܭ*sq", "\nA%,MQ!%X-d\riz.]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Fm", "wp-content/plugins/wordfence/modules/login-security/views/options/option-label.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|<>sZKze", "̆;nE!Z\ZVV Hw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z\ZaYH\0 5~ ", "wp-admin/includes/class-wp-automatic-updater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\\"7", "K>ńܰ} XH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QR\"@3vS", "wp-admin/js/link.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".k~RϏ} O", "[Rϸ,K4<$0]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G ~`", "wp-includes/customize/class-wp-customize-nav-menu-name-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7fW՚7", "pvw ܪ9?az", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~	mx6", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-ngg-dynamic-thumbnails-background-process.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "C~3iq`\\ZI", "\',HᢠxwJGT-am\rϓ\\_Qj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4u@", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/select2.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "81_5K1n?\Z~", "} eJŇ_<ldk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I", "wp-content/plugins/wp-rocket/vendor/psr/container/src/ContainerInterface.php", "0", "Y9PCB\nlP[f", "Y9PCB\nlP[f", "?qG-<\\641\'3x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}Hۃ;<", "wp-content/themes/oceanwp/partials/entry/content.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^iS\0HS", ":K9#Si_~(Ucw(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Za]]A\'h", "wp-admin/network/settings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Q78*\'}n", "\')Jvy/h8sʨYCcӦ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=cه", "wp-admin/includes/upgrade.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n1_;bkXJ", "Z&CLs*J(>ySU/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("eCDi!", "wp-admin/css/colors/coffee/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "9Zo6vrt8,>", "\"V`+ʰB6oʵ7(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`>_c+svs", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MODULEWorkInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "٢j@\nN", "pv$L΋,*ʸ/;R˥", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f%uP", "wp-includes/js/mce-view.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(cceWl", "0%?\"okZSǐBڈ@3<!z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z{:\Z4f", "wp-includes/js/customize-preview-nav-menus.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڮlvi\"ex", "꾁jMIQvimy?ҜW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" |*9NR4", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/ClassDefinition.php", "0", "JYͳ", "JYͳ", "c\'(\0VJCeMQ@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\\Aw1[<", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/typo.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "٥E>/R>", "U?_b5m[ܹSχ}uEr", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",7:", "wp-content/plugins/ocean-elementor-widgets/modules/price-list/module.php", "0", "xE9r$=", "xE9r$=", "M@xIOПf:².\Z]x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".z&.1y", "wp-includes/css/dist/format-library/style.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ϋ쐡Ǚ|Eh", "5c7F-MPO;mm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".%q$$6ٌ~?Gp", "wp-content/plugins/wp-rocket/assets/img/logo-cloudflare2.svg", "0", "5lai2I\Z,V}", "5lai2I\Z,V}", "[66QCk`{;@Փ_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1`p	K", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/class-syntaxhighlighter-subscriber.php", "0", "޳<c", "޳<c", "ތ\"Aqo9-lJ\'iGҪ&`8NC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";0b6", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-gallery.js", "0", "6\n\rRbE^V", "6\n\rRbE^V", "oHTMnsm3ɬ0@\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<A!\"TM?wy", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "wc?v.%!J\"m", "2\\Q8z	\"D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QnB2Zl䭑y", "wp-content/plugins/elementor/includes/base/element-base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6*", "/K֏-u⥅4W^At;~d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">Wsf8x", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]ӗl.V*Fw", "s*mjrʬϵ.N($;AyL\ZG1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`X=kv K", "wp-content/plugins/ocean-elementor-widgets/modules/off-canvas/widgets/off-canvas.php", "0", "WQ/phs", "WQ/phs", "X\00((pqkJ33*k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rBƃ	", "wp-content/plugins/wpforms/templates/emails/summary-body-plain.php", "0", "b&SDVWI", "b&SDVWI", "Wap(.D+֣Eg7\0-# 9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NFVYC", "wp-includes/blocks/shortcode.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "myǨE3", "m0e@{ORi2tyk9>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g	e$,Hm", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-wpforms-importer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "f5", "k%KlVkXeD(=^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@}&J~¾&\0", "wp-includes/customize/class-wp-customize-new-menu-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ftp@\Zq", "Mcv};[`x\"H.A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r͇)S\rpT̔", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_favicon-32x32.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~z3\nZ\ne", "D%Ud\ZϮa1;F+jxgC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";Lt׬Cɣ", "wp-content/plugins/wordfence/tmp/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Iz~i,L", "	HQIqzڤp9C4>H3G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M+(+(qo}J", "wp-content/plugins/wp-rocket/views/settings/page-sections/addons.php", "0", "^l\\\0^:O8", "^l\\\0^:O8", "+ja\næ_4>UMTE)2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XEt[\0\Z", "wp-content/plugins/ocean-extra/assets/css/widgets.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P*NbV#m", "G?bLMeZ!	;DUTA$4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X&5[vbI", "wp-content/themes/twentyseventeen/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%Aօj]eU", "\\#XOb<)wx&؅|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y^~5~pG-", "wp-includes/js/customize-views.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0\rޖUn?r)", "$|_UESFV˩?m\';vR;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("b*1,=\0-3", "wp-content/plugins/wp-rocket/inc/functions/i18n.php", "0", "u0Jl", "u0Jl", "C9Pt[],s)%U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kb&#/", "wp-content/plugins/wpforms/includes/admin/settings-api.php", "0", "O<P.\0", "O<P.\0", "$ŮY[.mry(Aj]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rIɀ5 F", "wp-includes/Requests/Exception/Transport.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lz J^", "ĺ̌&ֳ4@78p", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u_~!\0", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/Precomp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y=\nY992", "6\Z/py5EحOE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w`y_r޹]", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x<Qr\Z(vh", "mYM7\"_ę6ޑ>Ҳ>(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("z|zxv", "wp-includes/js/jquery/ui/droppable.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "޿R$(ѦS", "W(E]FnGr/}J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{t5FV\\nե", "wp-content/plugins/imagify/inc/3rd-party/wp-real-media-library.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "c!V;~ŝ", "1zq4:\n?ۼ9=%i]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V@", "wp-content/plugins/ocean-sticky-footer/assets/js/customizer.min.js", "0", "뜜w8B|g,$h", "뜜w8B|g,$h", "7tw!IZ?dmm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A<c&LcZa\Z", "wp-content/plugins/elementor/core/logger/items/php.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O\nGGe", "{Z\0?ZoP_Y^*x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QdKbcw", "wp-content/plugins/imagify/assets/images/bulk.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$!]<ǆ0", "\"aozImѠM#e%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ﾘQ)B\n,", "wp-content/plugins/wordfence/images/loading_large.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y{ObUW~Y˙", "p8\'	t:Qo]{5G1E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pa`Xu", "wp-admin/css/color-picker-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_`\ZpC", "F`q$`gu\0 TZ\Zw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{ \rSlſ	", "wp-content/plugins/wordfence/views/.htaccess", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E\"xK{8dS", "C\'r9@Kކtw#@k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T.8cPaY?", "wp-content/plugins/ocean-elementor-widgets/assets/js/alert.min.js", "0", "?\ZU8}?", "?\ZU8}?", "9~-)QՀɏLDy,*@.٧Ya", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("X=UpfpZ", "wp-includes/taxonomy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Qv1H?rįɖ", "\n=&Ҝ.@ipn{B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ތt+\\+XaZU", "wp-content/plugins/wordfence/lib/wfScan.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "»ÁVD", "g4<2²vE{ێA05qQL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("㯩	\'ިV", "wp-includes/images/smilies/icon_biggrin.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YpR+0}kN{k", "XqWd%±6Uh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6XԪ4[_=t", "wp-content/plugins/wordfence/lib/wfScanEngine.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qf<rdr0|", "th3A7\06^q(Oکz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cG(`E", "wp-content/plugins/wordfence/views/scanner/issue-configReadable.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " QL", "R21?ǌ*=bͥ}X&MƷ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("C^uCqrTͬ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DecibelInstaller.php", "0", "+r\"`lҮvv", "+r\"`lҮvv", "#5}͏	\\fWİ~C`Oc,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9rMԧ", "wp-includes/js/customize-preview-widgets.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E~08k", "/x̄8@o+miՌ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VXUӟs=", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/aelia-currencyswitcher.php", "0", "`a	]J	", "`a	]J	", "=;a\Z%G^{Z/~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-)", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/DeduplicationHandlerTest.php", "0", "θ<YS)F", "θ<YS)F", "}F[1ps$:]Rc%^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ލ<:9|6", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/H.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-_b->O\\苃", "sɔg%riCPw%{J", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$īI^3", "wp-admin/menu-header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",qyS\nZE(", "xR,3VZ#Ѵ$zl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".B\ZA3`ܪ", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/JS.php", "0", "ft۳L%r=c\Z", "ft۳L%r=c\Z", "T?5.M^\"\\#6M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("BȰ.\07", "wp-content/themes/twentysixteen/rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nU\"J砗B]", "&Uǀ770\01Ѵ`OY-Ms\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I/\ZN2p", "wp-includes/sodium_compat/src/Core32/Ed25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A+)vHL\'6", ":sX1CV5V@sn֩ %0ؾH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("RUdd )T", "wp-content/plugins/ocean-cookie-notice/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dfE@]no", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-single.php", "0", "\nH+893", "\nH+893", "qAxPTMa %B]Xe*%/j", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h@ʒbZh@\0", "wp-content/plugins/imagify/inc/3rd-party/wp-rocket/classes/Main.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&g.5vc}hf", "tmܳN3e\\Ip~sj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lH+\r`0I", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/butterbean.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ᴭxIcYq0", "Vh5ܵl\"Q@*B= E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uX7-vJɧY", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E2#Y	 \n", "7؇MNϡz@y^az\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("teG+à", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-link.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6F-2\\ \r", "	fLn\'4/uyb*š", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wp3<\Zy\"", "wp-content/plugins/elementor-pro/modules/popup/tag.php", "0", "Ҫqs&ՠ", "Ҫqs&ՠ", "nlg\r\'B1nP\np71", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N iiڭ", "wp-includes/random_compat/random_bytes_libsodium_legacy.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[q7dvz", "\'֪*	[\0EE*JrVsc?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G,5\n", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-payments.php", "0", "mykyh", "mykyh", "Vn2XSB66A}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uN\\pn\rt", "wp-content/plugins/ocean-extra/includes/panel/assets/css/notice.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]R(3;~1ܢ", "[|Y/0iCV|c}gXVC3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("::u", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone.php", "0", "k`1fXtX", "k`1fXtX", "&i\\\Z\n2ki`FԿͶ~Hrl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("з&L۽¨VN", "wp-includes/css/buttons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'_", "4`#fp0#X^J{W\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5*`\n]", "wp-content/themes/oceanwp/sass/components/blog/_single-tags.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TD!\")", "/QV˛2X5vXc\'rqdK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6$[O", "wp-admin/css/customize-widgets.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "?r<zK", "B\\T3S,C9,ш	.]`O", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_ڟ|l`W\0", "wp-content/plugins/imagify/assets/js/jquery.event.move.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/=F\'LZw", "%8*[߮BhBd7ztE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("81TȄ{<", "wp-content/plugins/elementor/assets/shapes/curve.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G$\"Ykg(._vn", "˶D=E,כ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("rp.u3zx", "wp-admin/includes/class-ftp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "6L,t(", "\'HxXX<%;uvQ94\"¦\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&?.\rs;=9", "wp-content/themes/twentynineteen/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j+ǒ(4`$t", "4Lg`|iR鉐6Al#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZZ]\0c_[q", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/ElasticaFormatterTest.php", "0", "on׮KvR", "on׮KvR", "hgG,Ѭ%T{M6A5T<_m ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Zwy:[u`o?", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/condition-base.php", "0", "YK	", "YK	", "\"kRQܴ\"y^\rg~hR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pѿ,}Y{", "wp-content/plugins/ocean-extra/includes/panel/assets/js/demos.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_QtHfB5Qkd", "E-ãZ-~e:0[޼Ct", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&[>j/GU", "wp-includes/js/dist/token-list.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%R+ENC/)%x", "}ЋR^`|T|&4~?H}`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*_2AWbOx]", "wp-content/plugins/wp-rocket/inc/admin/admin.php", "0", "#瀈pZ~\0ñl", "#瀈pZ~\0ñl", "UKy[և8B愃2q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7s\\]}AAwe1", "wp-admin/tools.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*\'vR:ke&Ȟ", "(oM̢r<x,xEb%H]q", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("MK?bY+", "wp-content/plugins/imagify/views/notice-rating.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`1\'{>\n*\rU", ";mDg^f!_F1P()", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("NnֶY|B)P", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-critical-css-generation.php", "0", "xG%1", "xG%1", "*\naCnX&Gh[ҤS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z/{LtծF$", "wp-admin/js/svg-painter.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^oDLձl", "rZ;[73\"]B>\r|^8z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[o90.[", "wp-content/plugins/elementor/includes/settings/system-info/classes/server.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+G*&/?m&\"wwY", "\0 r-\\\r]p\0w", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^,QD", "wp-content/plugins/wpforms/assets/js/components/admin/builder/templates.min.js", "0", "ht|9WŁ;", "ht|9WŁ;", "	v-!|W/\rt:5٠b3W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nH@!(y5p", "wp-content/plugins/elementor/assets/lib/jquery-numerator/jquery-numerator.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " ve7\\ʛנ=", "!hede։Swر~nI!x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|ߗGE", "wp-content/plugins/elementor/core/base/app.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "؀>ia0[", "\\1d\"/5c1$}0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v:DYG", "wp-includes/js/plupload/plupload.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GӍF-_-+TG", "V$_=8>3SOpN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("񘡚V.%!v", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/LogglyFormatterTest.php", "0", "&#]TݚҴ", "&#]TݚҴ", "θ,8& T|E:ek\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("񟽀[uN`?ֻ", "wp-content/plugins/elementor/includes/controls/media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " $<s]", "R(TfJf!f%p݃\nb&H", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TYPpEw", "wp-includes/widgets/class-wp-widget-archives.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "PE)Sq6Xo`ߪi+", "n\rw>xBrb2st(0_ЏL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wo[_S8", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/CssSelectorConverterTest.php", "0", "%-s  \'i(C.4", "%-s  \'i(C.4", "%]Sr9N2zb_Vl:2C}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4$ꎪ", "wp-content/plugins/wordfence/views/scanner/scan-scheduling.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0W쮜)Ǣ±", "b¥USw툒g:=P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}I7]VLk", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/module.php", "0", "I\0ȊUivܹ", "I\0ȊUivܹ", "SCj\'΃NB]]Tl볬", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("絛zy>_+t", "wp-includes/class-wp-user-meta-session-tokens.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8/\'\0\0vSL-G\0", "8bYB&?6o>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("01IrBFH2", "wp-content/plugins/duplicator/uninstall.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kL|a.\\I+&", "UܯFe2j\\qд+6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	J/|bA", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ImageCMSInstaller.php", "0", "[}_ەX", "[}_ەX", ";ܶڏiKx好[\0ܥ}*3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	FAagф]", "wp-content/plugins/elementor-pro/modules/forms/classes/convertkit-handler.php", "0", "tLeEn", "tLeEn", "\n6Vw!GDO_qԲ	7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Hr #w/:4", "wp-includes/js/dist/plugins.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]mg󺉸+K", "	3 2iJܦZ\\/t", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1\nx", "wp-includes/blocks/latest-posts.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Aq_+B	w7V\'", "I1=3gohw<+d\n@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":)\0L:)", "wp-content/themes/oceanwp/page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8(6fJ\"", "ouRdp0L5JA&o)G:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?E_)xڅ$", "wp-admin/includes/deprecated.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "¹Y#\'xeJ}w", "\nz%45-ȹaSqCN8]jR3؁.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H?^I:]@V", "wp-content/plugins/ocean-elementor-widgets/ocean-elementor-widgets.php", "0", "c\\9SH>4g", "c\\9SH>4g", "]=OvoizDu&T,&2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W(p7v\ZZj", "wp-content/plugins/wp-rocket/inc/classes/subscriber/preload/class-sitemap-preload-subscriber.php", "0", "Z\nS\"=Dsՠvkm", "Z\nS\"=Dsՠvkm", "3-6&p x!j31b@UB<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`v.;", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AmqpHandler.php", "0", "pk\n&", "pk\n&", "~2*^heSXƤ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dTofҷbS", "wp-content/plugins/wordfence/lib/menu_dashboard.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "r͝ݭ5", "oc@e ᤶg\ZVj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fte]Ƶ0!%", "wp-content/themes/oceanwp/languages/da_DK.po", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L#|u{i|t", "40~+}K8#EtQ9c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j\nj<c@BX", "wp-content/plugins/wordfence/modules/login-security/views/options/option-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3qטwUͰR", "JwYwun[&DFLV-2L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nOxBU>*2", "wp-content/themes/oceanwp/assets/css/third/social-login.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kɠzئۡͮ2", "δ8?j1~%Z~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("poX0%", "wp-includes/css/editor-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Pм`.~", "Jf r&܉C<	ə)`&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u;Ȍ0qw=", "wp-content/plugins/wordfence/lib/dashboard/widget_networkattacks.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԶwK>~\rg", "#Nu}WL!\\Z 8\0;k{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PdjF", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/radio-image.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VszPhgi", "dec*j7Lz~D/c)/YL<Ee", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Z{pEҋ", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "G{nR26{Q@", "\'-)$/ٸ*\"c٘", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nþ̀", "wp-content/themes/oceanwp/inc/plugins/class-tgm-plugin-activation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2\rU3\0=t", "v*SߣOkDe+>oZFa", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z+Ǔ?n{", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/XPath/TranslatorTest.php", "0", "?6>]$A\"\ZK", "?6>]$A\"\ZK", "DdnX_~/7)p[b[{& bs", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M٦M/`", "wp-includes/js/swfupload/handlers.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*#0-Ճp", "H#a:1߯orrjuzzV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("򱠭BRzY", "wp-includes/js/jquery/jquery.table-hotkeys.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ogo~iI	", "<=;:t_,wăI,,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?{o_\'n", "wp-admin/images/resize-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{3VVFVf%K", "懴y2qZo~([`\0`Ci\ZL\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޡwGub", "wp-content/plugins/elementor/assets/shapes/drops-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Sl_yք", "QWgݱq7˰5\".Fº", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_f $O<o", "wp-admin/js/common.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V\\[q}u6D", "2B%Eucd}W;ɋ?LlF1L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%\0zfNpS", "wp-includes/js/tinymce/plugins/wpemoji/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g\\D_z", "J>a+eXxjsvD43", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".!G", "wp-content/plugins/ocean-elementor-widgets/modules/table/widgets/table.php", "0", "W771ް[a", "W771ް[a", "E\0U/g>:T#~?\"l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w+\"+$^", "wp-content/plugins/wordfence/lib/wfLog.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":c\"RH@", ".)ۓ,8D68bE9\'fO5Xý", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w(\'sy:6", "wp-content/themes/twentynineteen/template-parts/content/content-single.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TJ~fxbA", "U__(\0T+Q>)m\n+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	\"蹱:ooqͅ", "wp-content/themes/oceanwp/inc/customizer/controls/dropdown-pages/class-control-dropdown-pages.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "VyrSn|", "Xl15z?xdHg@Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#\\/vXR", "wp-admin/js/theme.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "v>Wˤ\"If.]", "c?!/;WfW1	Ti!B\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("O,+Jś", "wp-content/plugins/wpforms/includes/class-frontend.php", "0", "CѣfXxg}QiƟ", "CѣfXxg}QiƟ", "gnO\n~Q?Os\"eϗ_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UV61Gf\"", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/KeylessSSL.php", "0", ">U>@]", ">U>@]", "{UFl\0N^j3{nR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V<r\nQ]jvXP", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/ProviderInterface.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Z*Nfټ{", "i˶|1v.4[(m@f>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[Ds\"	Z", "wp-content/plugins/imagify/inc/functions/i18n.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Jˡع?,", ")-LذrqUUE]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cE%D	雩", "wp-content/themes/twentynineteen/sass/blocks/_blocks.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x?[8W#$ۄ", "diN\06Ok}ʘKn=`<M", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lFc뒕L", "wp-admin/js/iris.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E`dșnK", "zTI5RKbb}uHВc	P", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q)yj`I", "wp-content/plugins/elementor/core/logger/items/file.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "p@ɲx]f4y", "mCn2[$\"E(s(v*,1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",o!zj\"", "wp-admin/css/edit.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g]k{P", ";C.ഉ(l-a0_}=]O[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ؠ]fP", "wp-content/plugins/wordfence/lib/wfLockedOut.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i1EqE<UB", "nmo6}x9>,>kYuuś", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M\nY{8K", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LanManagementSystemInstaller.php", "0", "Pf9O6{l", "Pf9O6{l", "X>>2򽿉=I̱FҁKŝl\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dO]QQ", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ImageCMSInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[}_ەX", ";ܶڏiKx好[\0ܥ}*3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zM*9", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerAwareInterface.php", "0", "ϬmMtѼJ", "ϬmMtѼJ", "f.%*ƚWnCsSi", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("|pB6", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dx.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ɋ/-C	qD", "+)WNmԐg6\Z7d!9Gp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[49mbLY", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/contributing.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4Zщer\0", ")LX[,dB%l\"/%RgQv6A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ns", "wp-includes/customize/class-wp-customize-custom-css-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "3yu$e9[	?2", "&UJ mDy35+\0z(bu[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̵%0i2", "wp-content/themes/twentynineteen/sass/mixins/_utilities.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&7", "/Cܰ/ŏ@XY!C", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?Ψc<Vb`", "wp-content/plugins/elementor/includes/controls/wysiwyg.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rn*fչz\rhѾx", "D4l\r]vHWM-04kQ/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("͉V,a }Kh", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-slider.php", "0", "ϊ6<3.n My", "ϊ6<3.n My", ",^s_hc=4^?I=5S0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n0%f6", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-name.php", "0", "H+MDA$_", "H+MDA$_", "\ZoBI)Ltk4Kʼ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\r~te", "wp-content/plugins/wpforms/includes/providers/class-base.php", "0", "*?i	L=", "*?i	L=", "=\Zʅ7VC_gTx\06b}Xhx<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&.ЦQxT/rb", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/i18n/polylang.php", "0", "<;\rv#", "<;\rv#", "LHaVOMua=t2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("r# DL0W_", "wp-content/plugins/imagify/classes/Stats/OptimizedMediaWithoutWebp.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-FɅ91-", "Y7P#pZ:PU@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":tcpC+(", "wp-content/plugins/elementor-pro/modules/query-control/classes/elementor-post-query.php", "0", "\'	6TB.bbq", "\'	6TB.bbq", "Utԛ[\0+>p,a9}	\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("➞^՘R", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Poly1305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ohg[", "߁.-h4`9S _\r)I(W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")j%[", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/base.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ӑT*h(hS", "UD~p-w1.J 1LoUu-]A*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Vk9۴sֿ", "wp-admin/css/customize-controls-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!F>%υ--U#", "Rd[\0vM{BY2qC\0s+(o", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("irh&{s", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/solid.js", "0", "C&pVy10Dn^", "C&pVy10Dn^", ">)7Yȗm<X(4Po`\r\Zof	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";^𩸴8c", "wp-includes/css/buttons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a71908®lG", "\\:mO	OȎTlUK\ZC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w6;41", "wp-content/themes/oceanwp/inc/third/class-lifterlms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i>իy", "wjd0wgR>", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	d}\n\'6i/", "wp-content/plugins/wpforms/assets/js/jquery.jquery-confirm.min.js", "0", "|;=!2g", "|;=!2g", "(p]$Ec;w#\0}x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&~WU\Z,j/", "wp-content/plugins/ocean-instagram/admin/class-register-cpt.php", "0", "d؝E\"e,>P", "d؝E\"e,>P", "-bbXn˴Hڨ6\"td(R6Bx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J\'#rN0a\r", "wp-includes/images/crystal/audio.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nV:ωG-#k", "~B\Z-׼of|Wx\\|M)ˢ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YRYi/l@HX", "wp-includes/js/media-grid.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȉkfFɇ㙗", ",9.EY=;,Jj\\iFL	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZQ!*", "wp-content/plugins/wordfence/fonts/roboto-KFOkCnqEu92Fr1Mu51xGIzQXKMnyrYk.woff", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`y\0#xsGJt", "Arx?j#CFOG-S$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jQ	[}D", "wp-content/plugins/wpforms/src/Providers/Provider/Core.php", "0", "{xGy菅~", "{xGy菅~", "\0e#zn%	M)Lwe\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vv\rah\'Cs", "wp-content/themes/oceanwp/inc/customizer/controls/select2.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s4[x_h-", "Q\nVp)܎tN\\K18L\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("wJρ`_B0V\r", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-background-process.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "* ؒodRWׇ%!", "$Z86]ʏ\0&[c־$iL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7:b\r,ja", "wp-includes/js/dist/blocks.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ȇũszf", "KLatoiShXGP`=", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%/9>LMt5", "wp-content/themes/oceanwp/assets/js/third/lightbox.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%\"~", "1J8w\\|aElHV.y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PzO_", "wp-content/plugins/ocean-sticky-header/ocean-sticky-header.php", "0", "/~E2", "/~E2", "wSڱ!k^f{nmIAAS\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QL-\ri>JI@A", "wp-content/plugins/elementor/assets/shapes/opacity-tilt.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bXyC품yP5", "&Srp\Z\0|mKXsË^$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zZfip^2׎", "wp-includes/js/mediaelement/mediaelement.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7mtܡ", "\0jRigG4=I5\"R}}oE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("j8ď\Z", "wp-includes/js/wp-backbone.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "bgWf.+X\\p", "\nTxN@s_L`E*dHc?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%;8Dxۻ#", "wp-content/plugins/ocean-instagram/index.php", "0", "Uե,un{\'O", "Uե,un{\'O", "0\0)DߑcZ\"nڮx^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("YyxC2eKf", "wp-content/plugins/ocean-extra/includes/panel/assets/img/ocean-extra-image.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YYp=XrQ", "^t4V[illJ=gE\0@ց", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AU(de ", "wp-content/themes/oceanwp/sass/components/header/_header-vertical.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O8\r8YOA", "!V,U4մ ds4&.bmC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("s<\0@U> 2", "wp-content/themes/oceanwp/inc/customizer/controls/typo/typo.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n7,W", ")-&Nj¶[+[aʕr_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]R>w.EQ", "wp-includes/sodium_compat/src/Core/Curve25519/README.md", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Yϛvj\n", "Sx^V>m!-qDeV", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-ct>", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AglInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Cc=W*Dg", "3(W~;M<dz4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("!֐(yJo*J", "wp-content/plugins/wordfence/vendor/composer/autoload_static.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B\\BH+)	", "84E3I6-9!zGL5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("*1G鍫vLߟn", "wp-includes/sodium_compat/src/Compat.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Yg׸{@3JW", "ЛǦ%7E_μu6=@7QhP2b@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-\"DʹD5a/", "wp-includes/cron.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S\n	\'[qKqWSV", "G_TC``#ZҊ9oԟ%-4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/z8Й", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-related.php", "0", "{Vh%Uol?;M", "{Vh%Uol?;M", "y/\ZN\"ԹO-B[n<*(1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A4e{^Z", "wp-includes/js/wpdialog.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ʒy\n	 epԩf", "!/Af0=G7h/uU&g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F\ZC1P", "wp-content/plugins/wordfence/lib/wfDict.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "y LZ!bEl", ".{0Je{5-~[T$Ğ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GyǱQv1\r", "wp-content/themes/oceanwp/assets/js/third/html5.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "͙~Q,QV@", "ᷮOyf\"I%DJHzL", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("uN.A__", "wp-includes/js/media-editor.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gshS4%j!#v", ")2%f98,\'vR5݊O%DS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h*c>g", "wp-content/plugins/duplicator/views/tools/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">+ܞL[m", "wp-includes/js/tinymce/skins/lightgray/img/anchor.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "a5qȑ_4@", "(afoxDpaQ6mtk,V^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(%#9yn", "wp-admin/css/forms.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "nNmZ", "FOT:|DvYdzq\'u6\n%a4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("̺_Bu-Kbk", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/MongoDBFormatter.php", "0", "d\nx", "d\nx", "bf5\\IsVP8AзI<:u", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D6S/cQ?", "wp-includes/customize/class-wp-customize-background-position-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QJt\"!!_^	", "릟/ԤokroQ|EQZ݁\ro", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǅU@»P", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MakoInstaller.php", "0", "6gO5| ", "6gO5| ", "pns#dF$W͕(Q76", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{Z\n0D\rOM*Ut", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/GeoIp2Exception.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "N	SX?z", "Ԧ\nٲLKY1%X7~*", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n%tKi5\'na", "wp-content/plugins/imagify/assets/images/logo-wprocket.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "q#୵?", "[,.Bft-:*[\nZ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("AVI{", "wp-content/plugins/ocean-extra/assets/img/oceanwp.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "x&	l%&f", "TZBkPJM1ZR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",zRsuX#zy", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-cache.php", "0", "NS y8H9", "NS y8H9", " 	:b&!ٚR\n@ 1PE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("y\0\"Q", "wp-admin/user/menu.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8ovʛ4,", "5kY#(|6P-~(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4&N%\ZFu", "wp-content/plugins/elementor-pro/core/connect/apps/activate.php", "0", "<飅Ĝj", "<飅Ĝj", "!2vEX5*tu5:~", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~rC", "wp-admin/link-parse-opml.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	U-@]", ".$@h,ZfXCl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("udZ6(", "wp-content/themes/oceanwp/assets/css/edd/edd.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "KQM{CK", ")Rl\";hY,kKoܘH^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("jZ;\nlГ", "wp-includes/random_compat/random.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5&}k!6$", "X8P_9kQa[-mS\'<@!V:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("K֑5z$|۳", "wp-content/plugins/wpforms/assets/js/jquery.tooltipster.min.js", "0", ";\0@@J", ";\0@@J", "Wͫ=j>m	\r늖S<B:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$Z;q_j#*\'B<", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K^S3j̎", "92ŪPL+KBmDS\\NFl^e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0AGFx", "wp-content/plugins/wpforms/pro/includes/templates/class-donation.php", "0", "#xA\n,yT", "#xA\n,yT", "V4ONZ@$	4vhI/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("CWg\\.t", "wp-content/plugins/ocean-elementor-widgets/modules/animated-heading/module.php", "0", "V#l", "V#l", "Wٓy~t!^P-49eS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("H:6Flj\"", "wp-content/themes/oceanwp/sass/components/plugins/_magnific-popup.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(h~E", "Û4#8qáD<tҋ177|\"GW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("It`ܩP|", "wp-content/themes/oceanwp/assets/fonts/star/star.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "kxL2D\Z^", "?|.\"~Zц>Iy#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("KF\nOi},w", "wp-includes/random_compat/byte_safe_strings.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[BңJԈ;", "]Q˄=PݵuQ{>ϐ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("OoeYm%n\Z", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/kinsta.php", "0", "Nʠ#Rd0ۂ", "Nʠ#Rd0ۂ", "]/s?Uxԇ_5њOZJ!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TNOb", "wp-content/plugins/elementor/assets/css/editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ueʡ&_!O)", "u뱺YU4^#u|Lw|Y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("V9KgoX7", "wp-admin/images/align-left-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i8O^c", "$kb>k&:	ڂa7Zcdm%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g4Q0OHnA", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/LogglyFormatter.php", "0", "/\\0(P,t", "/\\0(P,t", "/~kOPR\"k1n-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ljT3ԼE_tk", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/elements.php", "0", "E)oM+P5", "E)oM+P5", "X٥+|ňcH1嬑ƳRh:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lm\n|H^h", "wp-content/plugins/wpforms/includes/admin/builder/functions.php", "0", "D9>#딚s", "D9>#딚s", "U\'=y!ޝ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yYIbQf\0", "wp-content/plugins/elementor/modules/page-templates/templates/canvas.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "u9_{7RU", "9%L1\\,2S\0ݗ!NG],", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZKt\'.", "wp-content/plugins/wordfence/js/wfpopover.1564590761.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";&mAhlMPZX", "_.V袏X4Ni_k=C3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("][9:˽YP", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "z 6>", "@⣂LEQ(ieq[N|&Ð", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$I͉r0G", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/YawikInstaller.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UR)}g)vWs", "QT@k\"!9Ca", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("q\Zuw݄", "wp-content/plugins/imagify/classes/Webp/Picture/Display.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\\v|˥1y", "pJX\0Ff_Z= \'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("HS!; ", "wp-admin/js/user-profile.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YAFSށ@Ga", "EVG/r.-1B*2McFT", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@}~4Gv<m", "wp-includes/sodium_compat/src/Core32/X25519.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "j	etCB.u", "6&ȿzp\Z*Jix[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+qpW", "wp-includes/update.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!1\0=41mi", "3*Nv\0[pZC\ZN9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`&X<aQVh\\", "wp-admin/user/profile.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0yݤ&-", "[#Bٽf_M!Pk;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Aw:6Z8>A", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/gallery-metabox.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">n-et_I", "NPs$c䑫c\\m$вm.k+(k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Pq-t@l", "wp-includes/images/wlw/wp-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1	ʚ7w3K*", "5 }x(r:a,zmKH1|/+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("$\"keSI\0d", "wp-content/plugins/imagify/classes/Optimization/Data/Noop.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s~&޴/", "ŁiS(JazHXHټC<s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rV2P-+x@", "wp-content/themes/twentynineteen/template-parts/header/site-branding.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Zmoë垅", "B.T\Z{1>c?+{ΤYAv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Uket1U", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/Optimization/class-hummingbird-subscriber.php", "0", "&\\\n2h", "&\\\n2h", "VvݏxR2o0,\\cbXщT̆:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gxAȢ}g", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/XChaCha20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "zIjcYKC\0", "PRV*Īi}kVX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" @;*|", "wp-includes/Text/Diff/Engine/string.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":=M\0i)", "d[%nZR`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9#BY#]r", "wp-content/plugins/imagify/inc/3rd-party/yoast-seo.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&޸@qtbз", "j8҉P7͌Pb\"S]c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">1ów3A\rݤA,", "wp-content/plugins/duplicator/lib/dup_archive/daws/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ";IaFVʼQ%", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FY}9(ƨKS", "wp-content/plugins/imagify/views/button/compare-images.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oZdP.", "Kܫe6xS9;Wo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("UjSvEc8J ", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ZendInstaller.php", "0", "<TW<l0ӵ", "<TW<l0ӵ", "ۡ-ON~*_>g<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g!v0 9%>g", "wp-content/plugins/imagify/assets/images/popin-loader.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i\'0Sf+O.", "Fk`&q\'Bhg{7v}", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("tG\r\0G", "wp-content/plugins/ocean-elementor-widgets/modules/query-post/module.php", "0", "ԧLk~ziR", "ԧLk~ziR", "S߷BUPAgE.", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]pR/$1", "wp-content/plugins/wordfence/views/common/page-fixed-tabbar.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "M#Ƃ,nj9{", "+N)¨L	Kz(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=r\0!TP|", "wp-content/plugins/ocean-elementor-widgets/modules/scroll-up/widgets/scroll-up.php", "0", "\nixGV", "\nixGV", "3Foǥ^lh {	eQG}û", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("iYuN$U-l", "wp-content/themes/twentyseventeen/functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "U1|\r4k<", "C; ǰibqGU@O\"ɬ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_wƌ", "wp-includes/widgets/class-wp-widget-media-video.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-z+sS\"zl", "9ZA6*q!$f|8{	w\n~g", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y/sY*ʠP", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.woff2", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K^S3j̎", "92ŪPL+KBmDS\\NFl^e", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Y9.{sI", "wp-content/plugins/wpforms/wpforms.php", "0", "KJ><7D", "KJ><7D", "r=,o}6nQϓ	$ΆE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Q{F}32", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/contact-url.php", "0", "r	%]6\\z; ;!", "r	%]6\\z; ;!", ".REe913qx}|ݳGn(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<\ZpOB", "wp-content/plugins/wpforms/includes/fields/class-radio.php", "0", ".;RUu}ٽ", ".;RUu}ٽ", "	/F:VU0M!?MKZh\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\ZչT5?\\", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-url.php", "0", "egB&ҽkKRD", "egB&ҽkKRD", "olhJhG]h(`T^BI ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B?X(2", "wp-content/plugins/imagify/assets/css/admin.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'LNde$\n<!", "NHyp\ZӸ}af^\n똮h", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-|VH%", "wp-admin/site-health.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ћÃZ", "9ԔGLIM4+tj", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ǢBմ(\\0J", "wp-includes/class-wp-text-diff-renderer-inline.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8l_\ru", "פme,V9}	yv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\"V\0!nl", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.ttf", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "hqAi", "	q68xօ\\s\rN~.Zخ[\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6N]bNR", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/.gitmodules", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ڄ q?s1U", "REkks&]!i_\"y~Ka", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6GՎVzO", "wp-content/plugins/ocean-elementor-widgets/assets/js/google-map.min.js", "0", "cP{B", "cP{B", "F\'$؎#SetϜ:EJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";%N!9\nL&N", "wp-content/plugins/wordfence/views/onboarding/modal-final-attempt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "yuJɶg", "l3Ä\ncwx~eLhP\Zے9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(">im{+@\0", "wp-content/plugins/ocean-extra/includes/updater.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "B62d!a\'.e", "\rS>lO<28ە\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@sB0<{l3", "wp-includes/wlwmanifest.xml", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ԑi^", "ƤJľ**X|icy-u6pC-$*\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D=SC", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/Cached.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%X`йKZ", "SW,fK{\\^Y/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Tp?>C6gb)?", "wp-content/plugins/wp-rocket/views/settings/page-sections/page-cdn.php", "0", "9R7Ypm", "9R7Ypm", "ӎ$CԜ^;aC/+-%b>>ʖ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ke<F4", "wp-admin/js/revisions.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D|2 i", "fwבTAj\r\"RLlN", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k8(PV", "wp-content/themes/oceanwp/sass/_mixins.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZH 1]ĦP", "pe9BƙR4E;WE\0U", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nɴ*99x^", "wp-content/plugins/elementor-pro/modules/forms/module.php", "0", "	EZ2F]\n", "	EZ2F]\n", "s9pC2<D/#ÆQ?#\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zMEqyE", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/page-builder/thrive-visual-editor.php", "0", "bݎٝº^Q]-?E", "bݎٝº^Q]-?E", "f:<b[vK)c[EIrmEȅbB_n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("zzc(\nB", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-settings.php", "0", "\"\nHD~\0", "\"\nHD~\0", "o)\0R:+[ Z]9fzK\0c	\r0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D=K49", "wp-includes/js/codemirror/codemirror.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "23j1(D", "Ό,au@sY%K-on\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("o=l+\0ҽ", "wp-content/plugins/wp-rocket/vendor/league/container/src/ImmutableContainerAwareTrait.php", "0", "D-(Vcu1", "D-(Vcu1", "d*ߪl:eX8gA[g	\Z!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6K1(}/AX", "wp-admin/network/user-new.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")d~\\\r\n<", "BIܸ1C!捠q٠r{@", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Βo_FY", "wp-content/themes/oceanwp/sass/components/blog/_blog-meta.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "݌\n$XT", " aXNĝGHK3[VIfy	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8dBOe", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Members.php", "0", "Ê)?CHb,", "Ê)?CHb,", "ZN(jtEO3\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĩ}x(T", "wp-includes/js/dist/block-library.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "؜)y!", "g\'h]bǄ[3RՓF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("	^w0;\"D", "wp-content/plugins/elementor-pro/modules/forms/actions/activecampaign.php", "0", "RqV\Z-:1", "RqV\Z-:1", ".a,pC?i8z]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^Q6lJ!	ͦ", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/json.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d#k", "tw}?e	hBT92uCv7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p,\"", "wp-content/plugins/wordfence/modules/login-security/css/admin-global.1564590761.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-SH1@kQұ", "^H2m<LAm	NG)Iw:D", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(" ń1r}mJGWR", "wp-content/plugins/wordfence/views/scanner/options-group-performance.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "iLxЊsf", "da16hr76[)ՋOM罒z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#(#M?RI\\", "wp-content/themes/oceanwp/inc/customizer/controls/multiple-select/class-control-multiple-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%Ӯ@e9<\\", "%BM1jˀ7Fߗ\0l`\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0$\'`Õn\\", "wp-content/themes/twentynineteen/sass/site/header/_site-featured-image.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "&!<Tp+", "Iʌ?(5]]FrA~{tJ?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2ni\0D2Mh", "wp-content/themes/twentyseventeen/template-parts/page/content-front-page.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rjLG3F", "D鰬+6!orLiʦl҃", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@w6fJfZBؾ\'", "wp-content/plugins/elementor/modules/library/documents/library-document.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~7?}O?*", "td m(\"-ʋ	Ԓ?yyv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@A?,@", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers-tab.svg", "0", "|3`JHrߜ", "|3`JHrߜ", ";cpg+QpTs+x4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G.Ծ\'ĊuY", "wp-content/themes/oceanwp/inc/third/class-gutenberg.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\0) X ãW-", "^мq0Duf܈{޽L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oYMu{&,H:`0", "wp-content/themes/oceanwp/inc/woocommerce/woocommerce-config.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YA/uVoz*آ", "ХFKU=IUK9 $л4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qƣfX_@]", "wp-content/plugins/imagify/assets/images/phone.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "S7Y(ƕ", "(@P7&\n8\nMyyS>ybI_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɱ%a{Zj	%", "wp-includes/class-wp-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "1s\n", "@\"זљN(N\0>c5/r.G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I:4PU", "wp-includes/SimplePie/Cache/Memcache.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JU1SQ?", "}kJ?dA<aC3:[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%#|󄈳Q~(", "wp-content/themes/oceanwp/inc/plugins/tgm-plugin-activation.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "QYF\Zȇ", "Mq&\\pDR8p`G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";nIP,", "wp-content/plugins/imagify/assets/images/facebook_c.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}\nZUۇn", "=(n3xqMK*[^82$\r", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D%BݫH", "wp-content/themes/oceanwp/assets/js/third/lightbox.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ȘC~d", "X;68̳q}\ZUOFDWA", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8K ?O]ʹY", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/rules.key", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZlY^[F\r2xʻ", "6=Sq-5 )EL}AViA]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("pl4[e", "wp-admin/js/inline-edit-tax.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "dAi܈8HYU?", "IW7t=eq	Tt 1vNl,V/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ѝ3>#.", "wp-includes/rest-api/class-wp-rest-request.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "E<Є)n%%W5", "4\\T#\rW3Mي `!cR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GdEj[Xv;8", "wp-content/themes/oceanwp/sass/components/header/_socialmenu.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J}Y_=", "uMRhMrYBmHh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("xÐ~$", "wp-content/plugins/wpforms/pro/includes/payments/functions.php", "0", "wixڰqX`Ի", "wixڰqX`Ի", "P^Hg-Vq7хby\rң", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R=*dn", "wp-admin/includes/media.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "i&AUbjzff", "p#;Ffw[&;fXVol", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?B?", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/vortex-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "*\rf>Xklh", "<#[D <©_dOKI?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f\\!Yq;", "wp-content/themes/oceanwp/assets/js/core/slick.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "$d\"WAC4U\\", "\\7.J.՞̄jL~`:<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("8=[ձ", "wp-content/plugins/wordfence/modules/login-security/views/page/manage.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~PG$!2(s`", "פ:yRJ`l|BHw75!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("A)͹D4", "wp-includes/pomo/plural-forms.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Py+P", "3x\"p;=L=??)@q 4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("#E\ZF\nnQ", "wp-content/plugins/ocean-woo-popup/template/popup.php", "0", " bmkgF/S-", " bmkgF/S-", "\'f%$4&\\B\ri\rv", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%C m1˸;", "wp-content/plugins/wpforms/src/Pro/Admin/Entries/PrintPreview.php", "0", "T{r;C&)\"", "T{r;C&)\"", "aىlJZQe=xsBh!", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-^g̺@\0/", "wp-content/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "gD,V=\\bP", "k~	UH\ZxPĀ<;X", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".նZg{=", "wp-admin/css/customize-controls.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "l\'i", "R?#b,/k66~.O:c+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N>+¨g*AH", "wp-content/plugins/imagify/inc/3rd-party/enable-media-replace/enable-media-replace.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "O[td^c", "4c7b2Z\n!|PіbH", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("sji[+", "wp-content/plugins/elementor/includes/controls/text.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<]6w:", "ڐH!fHIϴ*\nd`EXN{\rq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w	+j", "wp-content/plugins/wordfence/views/common/status-circular.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ").=g", "q4^\"-9\nd1qO,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("yɝH_44Ǟ", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_65_ffffff_1x400.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!iCj3", "x-!cQwǣ#$?B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}8	/cѵc", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/post-navigation.php", "0", "nNb9\n]m", "nNb9\n]m", "eNpWjǣcy}]3ҕ\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~Vg%Lw\"`p", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-list-table.php", "0", "D)obO9S*@", "D)obO9S*@", "P+#Et]dlX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Wxc", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RedisHandlerTest.php", "0", "RΊ OĘYp", "RΊ OĘYp", "ɞ=1@bH[jv\ZϘ[7", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("7ڔ!2x%XN3", "wp-content/plugins/wordfence/views/options/option-token.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "WY7o	_Ӏ?", " AQNe\ZywsG@ZI&L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~a%!P", "wp-includes/js/tinymce/skins/wordpress/images/pagebreak-2x.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "{6#UQ:|>#", "([\n̻oRAo3^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\!r	Xc,", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-total.php", "0", "2Km\Z吳5\"<", "2Km\Z吳5\"<", "gD{!z:*/|sSKp ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("L?@.~O", "wp-admin/css/colors/midnight/colors-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "`?6e-", "3TS\\u+uW!S\n\'", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4%JPagv", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-wordpress-importer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^n_&u", "M.n{OE|uRGR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T\ne.(", "wp-includes/class-wp-image-editor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "SA\0##", "umK_9a6uhdN{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("4˰\0&", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "A}/^4L", "~\nnRqf2CT{G7Xɮ|", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ki6-", "wp-content/plugins/loginizer/twitter.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "o\Z&rс\n\n", "t2c$񝐓X<ı<{,", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\0M", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-short-description.php", "0", "tlx\'ʸ\'Qi", "tlx\'ʸ\'Qi", "\ZG\0	1hGkĎ0^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ڿo_", "wp-content/plugins/imagify/views/part-bulk-optimization-infos.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ",Ӏ[Kx׼&", ",b\'tCq(osCj~ZY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Zp%\'n\ZWj", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_real.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ț)W0\nM", ";3Ub}V k\'Yr\nrH)6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}PÛP\\\Z", "wp-includes/js/tinymce/plugins/wpautoresize/plugin.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}˳QgѥDW", "\rIzbo\'ivhhdTr\Z0U<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("VlJ#Mѯ!", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-addons-subscribers.php", "0", "ge$\rABk8", "ge$\rABk8", "2`ɠ\"&#	u/b5XO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("1a	dˣdv", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/TagProcessor.php", "0", "鑂xtBυ", "鑂xtBυ", "96>GYx&HN8$f", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R,A\ZGJ\'-", "wp-includes/default-filters.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "s@\nn\'R", "y<0yZf-6\"$I?K", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6Z6IXrhsa", "wp-content/themes/oceanwp/sass/components/mobile/_dropdown-mobile.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".=tN~", "\n \Z\'jj1	Y6%5@H&5	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("nIc?0nvH", "wp-content/plugins/elementor/includes/elements/section.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NyacH", "uHӹj&JIӿ/`ӭ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\n\\ɶ.5", "wp-includes/images/xit.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")X`1H", "~vf|e]\0T\ZUl(\0", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ЬpIYR", "wp-includes/sodium_compat/src/Core32/BLAKE2b.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "^Ӿz", "lׇe\n/q{۞Nך3^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0П=b", "wp-content/plugins/ocean-elementor-widgets/assets/js/search-icon.js", "0", "h):,$w6", "h):,$w6", "H彔Ӣo3#1+6G,v", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-f\"L", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/genericons.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZYs\\iGNjYm", "R,_Z ߸ȍҿ3%>4TPDȎ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ͷ}[(4", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ShopwareInstaller.php", "0", "KKyޫpr]", "KKyޫpr]", "\Z\n=I#Z\\4l֙u`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("XoN&Ĭy[d", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/genericons.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J;7A|/", "BNU1EURA<<YΪp", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("5^頺ߥy9", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DolibarrInstaller.php", "0", "	m_d&Ժ0w", "	m_d&Ժ0w", "0슿ksφz@ⱇ)T+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("(ЊQB&Q?", "wp-includes/blocks/categories.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "~?=g!\Z", "ksvf\'!$H&]pY|A2T", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":;:-s5\'", "wp-content/themes/twentysixteen/style.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jA@f\nB0$÷", "AcINOõXxgEQ\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("</G3vf", "wp-content/themes/oceanwp/inc/customizer/controls/textarea/class-control-textarea.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ">f!18O", " px|IAG!G/Շ{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=XstJ;=&e.", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-helpers.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "jZ\\u", "]#x%U\"*z_ͮ._", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("?9Ԝ_+ϼ", "wp-content/plugins/imagify/inc/classes/class-imagify-cron-sync-files.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "<Rp0VY", "h?(Ffb8w~fl", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("D]|߼$", "wp-includes/js/mediaelement/wp-mediaelement.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[yϨ>\\.", "a<-zjh(ة2qJHeɒ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("PhrV", "wp-admin/css/revisions-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D:|N", "!dUz0L$-MxesR\"_", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("W&NToSvZȳ1", "wp-content/plugins/wpforms/vendor/composer/autoload_static.php", "0", "p\n1xlJ", "p\n1xlJ", "oFv]\r([ޓSΝ/6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("[,9-=&[\n$", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Rule/Rule.php", "0", "KRLl2\r", "KRLl2\r", "M$@*Nd3W;$?_Π(Nbih-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("]qX7(8", "wp-content/plugins/wpforms/pro/assets/js/vendor/jquery.intl-tel-input.js", "0", "vUw[QLlAiD", "vUw[QLlAiD", "#=AdWê\"辚gyV4*\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l;p	#P%", "wp-content/plugins/elementor/assets/shapes/book-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "YҞv?jgv+9", "YMw{z5Lyh,\Z7E*[c", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qPU݇", "wp-content/plugins/duplicator/assets/webfonts/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7!\\F9l", "Lk\r`:)ʏ1V_7zPZx:E", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=\\:Tr^^Lg", "wp-content/plugins/elementor-pro/modules/theme-builder/api.php", "0", "yektق", "yektق", "A0kɴV\0Et:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@:+צ2", "wp-content/plugins/wpforms/src/Emails/Summaries.php", "0", "`\rYZzr)`", "`\rYZzr)`", "Ӽ7i*nJ$Kx՞\rkF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(",x|arL}", "wp-content/plugins/duplicator/assets/js/jquery.qtip/jquery.qtip.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":!՗.ل#", "&h	$\\	.&iE:xK", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("2]&֔#^Fq", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/PermissionRequiredException.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2΢	/E!<s", "\\=53	ώv_%2A?$", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ɄTX33\"֢@", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/class-butterbean.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "**Ԥ\Zcy", "؛Х<%$	Q#38$.\ZW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6Ri*5æ", "wp-content/plugins/wordfence/lib/dbview.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ƍݵ1苙nzk", "DOhB;4U7o/g8i+̷", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SK547S", "wp-includes/css/dist/block-library/style-rtl.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "qЩج,", "+>>6sGz.R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\Z\0p@D", "wp-content/plugins/elementor/core/common/modules/finder/categories/tools.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ʸ>Fėk", ".ze-^_T6`[i4fO#ox*9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ρXn\r?", "wp-includes/sodium_compat/src/Core/XSalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pƮuo7;~z", " %ly\'#[_{E]8%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("])	{?R}", "wp-includes/feed-rss.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "d&uyTna:i(`", "flPf52tY3xDׄ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("-VicH\'j5", "wp-content/plugins/elementor-pro/includes/admin.php", "0", "*%n`R\rJ", "*%n`R\rJ", "BZ8X#\\j^dȌ,Gjh", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("0<PsמH22", "wp-includes/js/jquery/jquery.table-hotkeys.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "֔#tgPg", ":Afxׂd7#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("39`wq", "wp-content/themes/twentynineteen/style-editor.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ҏHHٌ", "N\n\Z!D]\"sBk#4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("9(FRj2n6]", "wp-admin/css/colors/light/colors.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "lI$2 ӹ", "ѫV\0M<\r\nqwx%粈1\"|:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("J!2\0", "wp-admin/css/about.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "P3W!R", "=tw;Vu^sjP+[;", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Nq*٪7t", "wp-content/plugins/imagify/assets/css/sweetalert2.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g\\M\0P", "`A7x|=U&T`͹", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("P:#R#=\'>", "wp-content/plugins/imagify/views/part-bulk-optimization-newbie.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "LzrۡHUr9", "W9xC3;zbcXΈʠx", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("T-e<zF", "wp-content/plugins/elementor/core/common/modules/connect/apps/base-user-app.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "(`rP", "07+u_.E61\"r](y", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^gV<A1\Z	", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LaravelInstaller.php", "0", "=`w26d", "=`w26d", "6ŷWh	0W?ޝYǝm", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^O|\':QǙE", "wp-content/plugins/wordfence/views/common/status-critical.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Q[[_Y[ʛJ{&", "nI\Zg[\0MZ1]", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("g\"}_7J5", "wp-includes/js/jcrop/jquery.Jcrop.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V̞/Kx", "2S[6Dv5bs=NLw", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gjkS\nO\r", "wp-content/plugins/wp-rocket/inc/main.php", "0", "%QrbRW\\", "%QrbRW\\", "L\"~L5e A$#,<[a&", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("v6Z\'OIL\"ݕM", "wp-includes/js/dist/block-editor.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[fOX \r", "]_:hb\ZLn||r1", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("}\ZF?Fsv#", "wp-content/themes/twentynineteen/print.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "42r!j", ".\\J TC~0=/", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Ah8q)+", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-audio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "NY18r2O", "\">QX`/\0.ufeCR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("p96èR", "wp-admin/css/common.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ԩ4aFзd", "Ԩ )((_[P4SKopڳ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ƪq悳", "wp-includes/js/tinymce/plugins/paste/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\nZ0Dd31/״", "o1:3i qy#-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("lxy\Z\"", "wp-content/plugins/wordfence/views/scanner/options-group-scan-schedule.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ź-܉|JU", "V\rc7g6抭VmCP", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("qL>#Q\0", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/ChaCha20/Ctx.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "BgY", ":IZCZ8ȰL]m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<la,bX,", "wp-admin/images/xit-2x.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rT`?J/", "-Pfy$q\\_xbcX.4", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=)\\jB݂", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/AbstractNodeTest.php", "0", "ʧJe!Gd>", "ʧJe!Gd>", "l+\"n?gVua%T\'._O{", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\\}emH\'", "wp-content/themes/twentynineteen/inc/template-tags.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "+y(s\n->aX;%i", "12)b\"YB(dQH+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I˖ӚW", "wp-content/plugins/elementor/assets/shapes/pyramids.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "e2Ø5ED<W", "	@^|TjvU\',2GM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("FlޅzUx=", "wp-content/plugins/ocean-elementor-widgets/assets/js/tabs.js", "0", "gv	Lr\Z\"", "gv	Lr\Z\"", "C1z%]\'I9B`FhE", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("oeSzG", "wp-content/plugins/wp-rocket/inc/common/cloudflare.php", "0", "~`\rź)i$", "~`\rź)i$", ")@].pjyDYxn\"Gu", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("vWQzu`", "wp-content/themes/oceanwp/partials/topbar/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J*P9\0ٳUV", ":\\B[\\ڼe|~x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("n+\"", "wp-content/plugins/ocean-extra/includes/panel/assets/img/white-label-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "X\nV]iGB", "3l4\\4f/ ̈Mi5˝]W", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("l&i1Fk", "wp-content/plugins/wp-rocket/views/settings/page-sections/cache.php", "0", "=I<EP 	3", "=I<EP 	3", "OG|XC:vϦD饐r ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u(̪٭ADb", "wp-content/plugins/elementor-pro/modules/carousel/widgets/reviews.php", "0", "qٜpa\'S", "qٜpa\'S", "ƱhL,.|c=Z5zmQ[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("B|xռ-^*P", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/RadPHPInstaller.php", "0", "R\"	\r{9q+E^[", "R\"	\r{9q+E^[", "Ol]%$RCombTr>\ZG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cxfr", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/general.php", "0", "j b(HЇN@6", "j b(HЇN@6", "`Y=	^yUӰI# u-(", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'u&H4˄", "wp-content/themes/oceanwp/assets/css/woo/wishlist.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\n Wo2ըA", "geBH%lSqY@B7,&ȂM", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("+q^eguF6\n", "wp-includes/theme-compat/embed.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ţs^qcb", "W5Tp;-n0aO\n", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("<`%N", "wp-content/plugins/imagify/views/button/refresh-status.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}DQKdl e", "cU`u\\$>y_xɡy5", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G!ά9r7nG}", "wp-content/plugins/imagify/views/modal-settings-infos.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")l4WM&", "Q}]*; 6\0TQ]%e9e<", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("G!#h9	&", "wp-includes/js/tinymce/plugins/wordpress/plugin.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]0S&dqNH", "邌i2@cƪZX/ʅzJof;ZB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Kjh", "wp-content/plugins/wordfence/images/loading_background.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'2p\nKX", "Ύ%XŖF1s;Lzr璻", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("`Sk7TtvX", "wp-includes/class-wp-list-util.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\ZUUдr;!@", "SɘxUwgGv+]r,6<IY", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("dC˟ˀ2uzk", "wp-content/plugins/elementor/elementor.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "}#6Bf", ":BQFnLGem-LDOnED؍", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("fw@JF", "wp-content/themes/twentysixteen/genericons/Genericons.eot", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Sө\n/;]s>", "4+_[qpv,{l", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kЬ}GzC(Q6", "wp-content/plugins/imagify/assets/images/mushrooms-original.jpg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "-뫑rlrm@C", "[ipm[5j{57U\n\0N;+", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kLHϺ6\n`Q", "wp-content/plugins/wp-rocket/inc/front/cookie.php", "0", "SA8RՈ~", "SA8RՈ~", "{C]]vz0ȸ܌Au4m", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("u};HY2", "wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " 0~دfR", "pDV減dgSZDQ۝\n8yJ:֗do", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("usT­BB", "wp-content/plugins/wordfence/images/sort_desc_disabled.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "J%{OZ\"/o", "^*n^\0m+!NkɌ/ԯ^k", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~C&</ds%^", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/slider-r.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "g#ɇIJm8", "[Hsv/С]B", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("f(+", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MicroweberInstaller.php", "0", "hf6}2wdq", "hf6}2wdq", ":a2>`ά%]_ųX", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ZLOl", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Xsalsa20.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "CFhz", "oő\nwnpL+;~t2P*ƃ6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("53I", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-rocket-mobile-detect.php", "0", "fb?{xE{", "fb?{xE{", "|^BAnGnL0GQ2", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'B7S", "wp-includes/js/zxcvbn-async.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=$a[ZF)^\n~", "uQ9ҫ{7o}`-nW", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("{	\n|p٤", "wp-includes/customize/class-wp-customize-nav-menu-item-setting.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7t?k^¤hߺ", "kmng1BA]]ɊJo", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")(<", "wp-includes/js/json2.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "5ؙ?DX<", "eB@MΥ%@$}tж[\n~ݘUq", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ޠ|7v1`KH", "wp-content/plugins/ocean-elementor-widgets/modules/off-canvas/module.php", "0", "7:! \Z", "7:! \Z", "R_5+468p<I-", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a\'@T瑓", "wp-admin/images/date-button.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ".IVď", "AFyWI1Cx)mUgYA4[qC", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/^a&@Vq", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.db.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|\Zɿa ", "SOA,=\0uF[l3R[", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("&UK", "wp-content/themes/oceanwp/partials/single/author-bio.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "K	AMl}", "P%sjOnE8kg", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("swfPru;", "wp-content/themes/twentysixteen/index.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "TzRI5=RkjA", "-lM2#ÞP/	", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\rm&4ؖ", "wp-content/plugins/ocean-elementor-widgets/modules/skillbar/module.php", "0", "fm,m,%:", "fm,m,%:", "V/\"!;,:~(n; iQ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("낏\r?8[9kQ\'s", "wp-content/plugins/wordfence/modules/login-security/views/options/option-select.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "8E7CS", "dقM.N8U8ࠆOY=wD", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("\'T́YǙ", "wp-includes/customize/class-wp-customize-cropped-image-control.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Gp[q}y1", "x\r:}gR)`kM%", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(")z]!?a", "wp-admin/images/media-button-video.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "rx4Q", "Hl8Ew\08tc3֞VN($", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%Sm4]>곒&C!", "wp-content/plugins/imagify/assets/js/sweetalert2.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " n\Z|Sy˴\n", "pN]EC1B@9\nK-=颙~\Z`G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("%|ݽ>?v{j", "wp-content/plugins/wordfence/views/scanner/issue-checkHowGetIPs.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ":>ޤ+~tͫ*", "I|^ψg?nƏAd]68R", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("72F,\'XN", "wp-content/plugins/wp-rocket/assets/img/imagify-hover.svg", "0", "&X9\0zNFTN", "&X9\0zNFTN", "}YؼxȉKPOl#h`IlYf", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("F%C0,", "wp-admin/css/list-tables-rtl.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "UsA\Z{	+", "Mв^%u2B8bLʼL}OMo@s", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I\"ptQ[Z6x", "wp-includes/css/admin-bar.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "4ɏTߔ\0,", "В!n1,A9/L", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("cwk(43", "wp-admin/includes/list-table.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "D\'3V", "uc!5\0؇ok[Y=4A", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("gVHIw!", "wp-includes/css/customize-preview.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "܀l\0/&", "22䐺~[/בmq]\\P(\\9", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~zXFWV -", "wp-content/plugins/elementor/core/common/modules/finder/template.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "L\0KwB7H1", "s؎DGb_ZZU\nS", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Qֿ6yq88", "wp-includes/theme-compat/footer.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "_w,vѐuF\'v!o3", "y3YvW嬏	#(ښ	?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":穄-^=", "wp-content/themes/oceanwp/assets/js/third/infinitescroll.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/囊\r=hH=", "u\0>v}ע⥝i\rz", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=k1m", "wp-content/themes/twentynineteen/image.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "GԶlD1}3O", "r눸#]!c\\(*P\"", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("=$", "wp-content/plugins/elementor-pro/modules/forms/classes/ajax-handler.php", "0", "=}|!E", "=}|!E", "	Jzlx\rdFuG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("R2AXvE\"", "wp-content/themes/oceanwp/partials/search/layout.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "t\n0~t{\n", "ƈv^WH&䆈>_V4\nB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("I1oBO", "wp-content/themes/oceanwp/woocommerce/single-product/title.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "/>N.\'jt", "U<v\\ϋlJ*3>GqE?[̟^ފ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":Z㭋n<K", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.net.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "JZV$Tkc<h", "[{&\\xqdMS4cѦ?", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("aLT\\ ga", "wp-content/plugins/ocean-portfolio/assets/js/main.js", "0", "Jb,$eA", "Jb,$eA", ":ĸvΎ`3:p՟=/NV^", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".r/<", "wp-content/plugins/ocean-elementor-widgets/modules/member/module.php", "0", "@pZZ݅(&[", "@pZZ݅(&[", "%37\'8ty,Ow", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ĪCƑ\Z{׈", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/yoast-seo.php", "0", "2eSg`y", "2eSg`y", "^ϾRmM]2p{$6XGw[G", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("w\'6)", "wp-includes/rss-functions.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "[4+D", ")[߲F\'78$<(a", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("N9{;", "wp-includes/js/mediaelement/wp-mediaelement.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "]G\n~z\ZcRU5", "]xG|A&\nJ\rj\Z", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".I\nfqM9", "wp-includes/sodium_compat/src/Core/Poly1305.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "!iLV=X+	v0~", "4-<4,\"VȱXʘîhR	KFk", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("mW:8韜E", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/Hostings/class-pressable-subscriber.php", "0", "wL]\";?eL", "wL]\";?eL", "A(UO]Q^PEƐrdcI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(":}C_", "wp-content/themes/oceanwp/assets/js/third/woo/woo-cat-widget.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oKu[fr", "\\ \Zr>dكL4L+h(U^3", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("/.#U`n5P", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Plugin.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Y9:<ﳽйS", "δ:v%Ȟ#{GBWG", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("6(&ux%+m", "wp-content/themes/oceanwp/inc/customizer/controls/upsell/upsell.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "=Hgd\\", "[!1x`l$!aNW\'eA̴r S:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(";`$r$=", "wp-content/plugins/wordfence/images/icons/warning128.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "pGIt*Np=", "*/ȾstA}.b\'\\", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("E58yWsO", "wp-admin/css/admin-menu.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oY", "m@E^8!զ@NBF", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("Le5x?e=&", "wp-includes/js/plupload/wp-plupload.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|tfܚEGFQ", ",+~H,BJ^602&&@[dʜ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QS2#]srt", "wp-includes/sodium_compat/src/Core/BLAKE2b.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "\'*2\0W", "qZܹ{N`֐2,}2TsIB", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("S!pha4;`)I", "wp-content/plugins/imagify/views/modal-payment.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", ")	SAC9S\'1", ".=9h%JL@\r2:J\"L䴖x", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("kPP1<", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_files.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "oul_4@", "6b% \"ʴsJp38ӷSǙ:", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("k(//R\rH~", "wp-content/plugins/elementor/assets/css/common.min.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "ĉUi͸R", "z{h5}u1A^Pǂ^%wR", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("M~^x;", "wp-content/plugins/wordfence/lib/unknownFiles.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "n✚o\"* b", "p}\'5HZ%[*:^^i", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES(".(/if1)", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SyslogHandlerTest.php", "0", "+,L%4", "+,L%4", ")~SADpSfszb	S\'y`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("~%B\0z?o", "wp-includes/IXR/class-IXR-message.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|Ln}D14", "ly}z.jxm:Ul`", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("a5[45MepC", "wp-includes/js/jquery/ui/effect-bounce.min.js", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "Ky${״oL", ":J=/m{q͆2[\0N", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("^a,e-GU", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RotatingFileHandlerTest.php", "0", "QU\\hQȯ", "QU\\hQȯ", "0YwNa?@P6a\08d", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("QX,\"9dvk", "wp-content/plugins/elementor/assets/shapes/waves-negative.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "7JOVO:GHf", "Uҵ^{bޡ\0|]Se7mn", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("SCRCl", "wp-admin/css/colors/sunrise/colors.scss", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "V\Zz	h=", "Q_n97L2$y:jSх", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("ki.\\", "wp-includes/images/smilies/icon_neutral.gif", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "	Z", "v,(_˘sO", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("h7ȆM\n", "wp-content/plugins/elementor/assets/css/editor-preview.css", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", " $4YtgZ", "M;Nb߽U($2\n#", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("@~}cQ\'J", "wp-content/plugins/wordfence/modules/login-security/views/common/modal-prompt.php", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "%9;%mM6Z", "6-2Xjݒ[lÆL	\'8FJ", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("GLPpF4", "wp-content/plugins/imagify/assets/images/icon-external.svg", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "|aT=D:ȁo2", "`IAYxm9TTBXXȼ~\ZI", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("_g7 |E", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/GelfHandler.php", "0", "Wz,vyݠ", "Wz,vyݠ", "lqݧ6tz3}//#6", "", "0", "?");
INSERT INTO `wpky_wffilemods` VALUES("TTVmxJ X", "wp-content/plugins/ocean-extra/includes/panel/assets/img/popup-login-icon.png", "1", "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", "2>-", "As\rvQq&u.mxbR\rj9", "", "0", "?");

/* INSERT TABLE DATA: wpky_wfknownfilelist */
INSERT INTO `wpky_wfknownfilelist` VALUES("1", "index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2", "license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("3", "readme.html");
INSERT INTO `wpky_wfknownfilelist` VALUES("4", "wp-activate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5", "wp-admin/about.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6", "wp-admin/admin-ajax.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("7", "wp-admin/admin-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("8", "wp-admin/admin-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("9", "wp-admin/admin-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("10", "wp-admin/admin-post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("11", "wp-admin/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("12", "wp-admin/async-upload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("13", "wp-admin/comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("14", "wp-admin/credits.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("15", "wp-admin/css/about-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("16", "wp-admin/css/about-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("17", "wp-admin/css/about.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("18", "wp-admin/css/about.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("19", "wp-admin/css/admin-menu-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("20", "wp-admin/css/admin-menu-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("21", "wp-admin/css/admin-menu.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("22", "wp-admin/css/admin-menu.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("23", "wp-admin/css/code-editor-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("24", "wp-admin/css/code-editor-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("25", "wp-admin/css/code-editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("26", "wp-admin/css/code-editor.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("27", "wp-admin/css/color-picker-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("28", "wp-admin/css/color-picker-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("29", "wp-admin/css/color-picker.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("30", "wp-admin/css/color-picker.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("31", "wp-admin/css/colors/_admin.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("32", "wp-admin/css/colors/_mixins.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("33", "wp-admin/css/colors/_variables.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("34", "wp-admin/css/colors/blue/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("35", "wp-admin/css/colors/blue/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("36", "wp-admin/css/colors/blue/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("37", "wp-admin/css/colors/blue/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("38", "wp-admin/css/colors/blue/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("39", "wp-admin/css/colors/coffee/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("40", "wp-admin/css/colors/coffee/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("41", "wp-admin/css/colors/coffee/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("42", "wp-admin/css/colors/coffee/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("43", "wp-admin/css/colors/coffee/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("44", "wp-admin/css/colors/ectoplasm/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("45", "wp-admin/css/colors/ectoplasm/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("46", "wp-admin/css/colors/ectoplasm/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("47", "wp-admin/css/colors/ectoplasm/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("48", "wp-admin/css/colors/ectoplasm/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("49", "wp-admin/css/colors/light/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("50", "wp-admin/css/colors/light/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("51", "wp-admin/css/colors/light/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("52", "wp-admin/css/colors/light/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("53", "wp-admin/css/colors/light/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("54", "wp-admin/css/colors/midnight/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("55", "wp-admin/css/colors/midnight/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("56", "wp-admin/css/colors/midnight/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("57", "wp-admin/css/colors/midnight/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("58", "wp-admin/css/colors/midnight/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("59", "wp-admin/css/colors/ocean/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("60", "wp-admin/css/colors/ocean/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("61", "wp-admin/css/colors/ocean/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("62", "wp-admin/css/colors/ocean/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("63", "wp-admin/css/colors/ocean/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("64", "wp-admin/css/colors/sunrise/colors-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("65", "wp-admin/css/colors/sunrise/colors-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("66", "wp-admin/css/colors/sunrise/colors.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("67", "wp-admin/css/colors/sunrise/colors.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("68", "wp-admin/css/colors/sunrise/colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("69", "wp-admin/css/common-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("70", "wp-admin/css/common-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("71", "wp-admin/css/common.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("72", "wp-admin/css/common.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("73", "wp-admin/css/customize-controls-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("74", "wp-admin/css/customize-controls-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("75", "wp-admin/css/customize-controls.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("76", "wp-admin/css/customize-controls.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("77", "wp-admin/css/customize-nav-menus-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("78", "wp-admin/css/customize-nav-menus-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("79", "wp-admin/css/customize-nav-menus.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("80", "wp-admin/css/customize-nav-menus.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("81", "wp-admin/css/customize-widgets-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("82", "wp-admin/css/customize-widgets-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("83", "wp-admin/css/customize-widgets.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("84", "wp-admin/css/customize-widgets.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("85", "wp-admin/css/dashboard-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("86", "wp-admin/css/dashboard-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("87", "wp-admin/css/dashboard.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("88", "wp-admin/css/dashboard.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("89", "wp-admin/css/deprecated-media-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("90", "wp-admin/css/deprecated-media-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("91", "wp-admin/css/deprecated-media.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("92", "wp-admin/css/deprecated-media.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("93", "wp-admin/css/edit-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("94", "wp-admin/css/edit-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("95", "wp-admin/css/edit.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("96", "wp-admin/css/edit.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("97", "wp-admin/css/farbtastic-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("98", "wp-admin/css/farbtastic-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("99", "wp-admin/css/farbtastic.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("100", "wp-admin/css/farbtastic.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("101", "wp-admin/css/forms-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("102", "wp-admin/css/forms-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("103", "wp-admin/css/forms.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("104", "wp-admin/css/forms.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("105", "wp-admin/css/ie-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("106", "wp-admin/css/ie-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("107", "wp-admin/css/ie.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("108", "wp-admin/css/ie.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("109", "wp-admin/css/install-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("110", "wp-admin/css/install-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("111", "wp-admin/css/install.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("112", "wp-admin/css/install.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("113", "wp-admin/css/l10n-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("114", "wp-admin/css/l10n-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("115", "wp-admin/css/l10n.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("116", "wp-admin/css/l10n.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("117", "wp-admin/css/list-tables-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("118", "wp-admin/css/list-tables-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("119", "wp-admin/css/list-tables.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("120", "wp-admin/css/list-tables.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("121", "wp-admin/css/login-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("122", "wp-admin/css/login-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("123", "wp-admin/css/login.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("124", "wp-admin/css/login.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("125", "wp-admin/css/media-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("126", "wp-admin/css/media-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("127", "wp-admin/css/media.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("128", "wp-admin/css/media.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("129", "wp-admin/css/nav-menus-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("130", "wp-admin/css/nav-menus-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("131", "wp-admin/css/nav-menus.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("132", "wp-admin/css/nav-menus.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("133", "wp-admin/css/revisions-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("134", "wp-admin/css/revisions-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("135", "wp-admin/css/revisions.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("136", "wp-admin/css/revisions.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("137", "wp-admin/css/site-health-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("138", "wp-admin/css/site-health-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("139", "wp-admin/css/site-health.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("140", "wp-admin/css/site-health.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("141", "wp-admin/css/site-icon-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("142", "wp-admin/css/site-icon-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("143", "wp-admin/css/site-icon.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("144", "wp-admin/css/site-icon.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("145", "wp-admin/css/themes-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("146", "wp-admin/css/themes-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("147", "wp-admin/css/themes.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("148", "wp-admin/css/themes.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("149", "wp-admin/css/widgets-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("150", "wp-admin/css/widgets-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("151", "wp-admin/css/widgets.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("152", "wp-admin/css/widgets.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("153", "wp-admin/css/wp-admin-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("154", "wp-admin/css/wp-admin-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("155", "wp-admin/css/wp-admin.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("156", "wp-admin/css/wp-admin.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("157", "wp-admin/custom-background.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("158", "wp-admin/custom-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("159", "wp-admin/customize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("160", "wp-admin/edit-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("161", "wp-admin/edit-form-advanced.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("162", "wp-admin/edit-form-blocks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("163", "wp-admin/edit-form-comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("164", "wp-admin/edit-link-form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("165", "wp-admin/edit-tag-form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("166", "wp-admin/edit-tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("167", "wp-admin/edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("168", "wp-admin/export.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("169", "wp-admin/freedoms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("170", "wp-admin/images/align-center-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("171", "wp-admin/images/align-center.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("172", "wp-admin/images/align-left-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("173", "wp-admin/images/align-left.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("174", "wp-admin/images/align-none-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("175", "wp-admin/images/align-none.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("176", "wp-admin/images/align-right-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("177", "wp-admin/images/align-right.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("178", "wp-admin/images/arrows-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("179", "wp-admin/images/arrows.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("180", "wp-admin/images/browser-rtl.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("181", "wp-admin/images/browser.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("182", "wp-admin/images/bubble_bg-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("183", "wp-admin/images/bubble_bg.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("184", "wp-admin/images/comment-grey-bubble-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("185", "wp-admin/images/comment-grey-bubble.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("186", "wp-admin/images/date-button-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("187", "wp-admin/images/date-button.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("188", "wp-admin/images/generic.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("189", "wp-admin/images/icons32-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("190", "wp-admin/images/icons32-vs-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("191", "wp-admin/images/icons32-vs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("192", "wp-admin/images/icons32.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("193", "wp-admin/images/imgedit-icons-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("194", "wp-admin/images/imgedit-icons.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("195", "wp-admin/images/list-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("196", "wp-admin/images/list.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("197", "wp-admin/images/loading.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("198", "wp-admin/images/marker.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("199", "wp-admin/images/mask.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("200", "wp-admin/images/media-button-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("201", "wp-admin/images/media-button-image.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("202", "wp-admin/images/media-button-music.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("203", "wp-admin/images/media-button-other.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("204", "wp-admin/images/media-button-video.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("205", "wp-admin/images/media-button.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("206", "wp-admin/images/menu-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("207", "wp-admin/images/menu-vs-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("208", "wp-admin/images/menu-vs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("209", "wp-admin/images/menu.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("210", "wp-admin/images/no.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("211", "wp-admin/images/post-formats-vs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("212", "wp-admin/images/post-formats.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("213", "wp-admin/images/post-formats32-vs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("214", "wp-admin/images/post-formats32.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("215", "wp-admin/images/resize-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("216", "wp-admin/images/resize-rtl-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("217", "wp-admin/images/resize-rtl.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("218", "wp-admin/images/resize.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("219", "wp-admin/images/se.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("220", "wp-admin/images/sort-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("221", "wp-admin/images/sort.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("222", "wp-admin/images/spinner-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("223", "wp-admin/images/spinner.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("224", "wp-admin/images/stars-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("225", "wp-admin/images/stars.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("226", "wp-admin/images/w-logo-blue.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("227", "wp-admin/images/w-logo-white.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("228", "wp-admin/images/wheel.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("229", "wp-admin/images/wordpress-logo-white.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("230", "wp-admin/images/wordpress-logo.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("231", "wp-admin/images/wordpress-logo.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("232", "wp-admin/images/wpspin_light-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("233", "wp-admin/images/wpspin_light.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("234", "wp-admin/images/xit-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("235", "wp-admin/images/xit.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("236", "wp-admin/images/yes.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("237", "wp-admin/import.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("238", "wp-admin/includes/admin-filters.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("239", "wp-admin/includes/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("240", "wp-admin/includes/ajax-actions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("241", "wp-admin/includes/bookmark.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("242", "wp-admin/includes/class-automatic-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("243", "wp-admin/includes/class-bulk-plugin-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("244", "wp-admin/includes/class-bulk-theme-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("245", "wp-admin/includes/class-bulk-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("246", "wp-admin/includes/class-core-upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("247", "wp-admin/includes/class-file-upload-upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("248", "wp-admin/includes/class-ftp-pure.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("249", "wp-admin/includes/class-ftp-sockets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("250", "wp-admin/includes/class-ftp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("251", "wp-admin/includes/class-language-pack-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("252", "wp-admin/includes/class-language-pack-upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("253", "wp-admin/includes/class-pclzip.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("254", "wp-admin/includes/class-plugin-installer-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("255", "wp-admin/includes/class-plugin-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("256", "wp-admin/includes/class-plugin-upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("257", "wp-admin/includes/class-theme-installer-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("258", "wp-admin/includes/class-theme-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("259", "wp-admin/includes/class-theme-upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("260", "wp-admin/includes/class-walker-category-checklist.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("261", "wp-admin/includes/class-walker-nav-menu-checklist.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("262", "wp-admin/includes/class-walker-nav-menu-edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("263", "wp-admin/includes/class-wp-ajax-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("264", "wp-admin/includes/class-wp-automatic-updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("265", "wp-admin/includes/class-wp-comments-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("266", "wp-admin/includes/class-wp-community-events.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("267", "wp-admin/includes/class-wp-debug-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("268", "wp-admin/includes/class-wp-filesystem-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("269", "wp-admin/includes/class-wp-filesystem-direct.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("270", "wp-admin/includes/class-wp-filesystem-ftpext.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("271", "wp-admin/includes/class-wp-filesystem-ftpsockets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("272", "wp-admin/includes/class-wp-filesystem-ssh2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("273", "wp-admin/includes/class-wp-importer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("274", "wp-admin/includes/class-wp-internal-pointers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("275", "wp-admin/includes/class-wp-links-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("276", "wp-admin/includes/class-wp-list-table-compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("277", "wp-admin/includes/class-wp-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("278", "wp-admin/includes/class-wp-media-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("279", "wp-admin/includes/class-wp-ms-sites-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("280", "wp-admin/includes/class-wp-ms-themes-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("281", "wp-admin/includes/class-wp-ms-users-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("282", "wp-admin/includes/class-wp-plugin-install-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("283", "wp-admin/includes/class-wp-plugins-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("284", "wp-admin/includes/class-wp-post-comments-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("285", "wp-admin/includes/class-wp-posts-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("286", "wp-admin/includes/class-wp-screen.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("287", "wp-admin/includes/class-wp-site-health-auto-updates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("288", "wp-admin/includes/class-wp-site-health.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("289", "wp-admin/includes/class-wp-site-icon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("290", "wp-admin/includes/class-wp-terms-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("291", "wp-admin/includes/class-wp-theme-install-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("292", "wp-admin/includes/class-wp-themes-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("293", "wp-admin/includes/class-wp-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("294", "wp-admin/includes/class-wp-upgrader-skins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("295", "wp-admin/includes/class-wp-upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("296", "wp-admin/includes/class-wp-users-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("297", "wp-admin/includes/comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("298", "wp-admin/includes/continents-cities.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("299", "wp-admin/includes/credits.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("300", "wp-admin/includes/dashboard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("301", "wp-admin/includes/deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("302", "wp-admin/includes/edit-tag-messages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("303", "wp-admin/includes/export.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("304", "wp-admin/includes/file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("305", "wp-admin/includes/image-edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("306", "wp-admin/includes/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("307", "wp-admin/includes/import.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("308", "wp-admin/includes/list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("309", "wp-admin/includes/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("310", "wp-admin/includes/menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("311", "wp-admin/includes/meta-boxes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("312", "wp-admin/includes/misc.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("313", "wp-admin/includes/ms-admin-filters.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("314", "wp-admin/includes/ms-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("315", "wp-admin/includes/ms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("316", "wp-admin/includes/nav-menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("317", "wp-admin/includes/network.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("318", "wp-admin/includes/noop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("319", "wp-admin/includes/options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("320", "wp-admin/includes/plugin-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("321", "wp-admin/includes/plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("322", "wp-admin/includes/post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("323", "wp-admin/includes/revision.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("324", "wp-admin/includes/schema.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("325", "wp-admin/includes/screen.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("326", "wp-admin/includes/taxonomy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("327", "wp-admin/includes/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("328", "wp-admin/includes/theme-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("329", "wp-admin/includes/theme.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("330", "wp-admin/includes/translation-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("331", "wp-admin/includes/update-core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("332", "wp-admin/includes/update.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("333", "wp-admin/includes/upgrade.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("334", "wp-admin/includes/user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("335", "wp-admin/includes/widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("336", "wp-admin/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("337", "wp-admin/install-helper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("338", "wp-admin/install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("339", "wp-admin/js/accordion.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("340", "wp-admin/js/accordion.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("341", "wp-admin/js/code-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("342", "wp-admin/js/code-editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("343", "wp-admin/js/color-picker.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("344", "wp-admin/js/color-picker.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("345", "wp-admin/js/comment.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("346", "wp-admin/js/comment.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("347", "wp-admin/js/common.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("348", "wp-admin/js/common.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("349", "wp-admin/js/custom-background.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("350", "wp-admin/js/custom-background.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("351", "wp-admin/js/custom-header.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("352", "wp-admin/js/customize-controls.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("353", "wp-admin/js/customize-controls.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("354", "wp-admin/js/customize-nav-menus.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("355", "wp-admin/js/customize-nav-menus.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("356", "wp-admin/js/customize-widgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("357", "wp-admin/js/customize-widgets.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("358", "wp-admin/js/dashboard.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("359", "wp-admin/js/dashboard.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("360", "wp-admin/js/edit-comments.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("361", "wp-admin/js/edit-comments.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("362", "wp-admin/js/editor-expand.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("363", "wp-admin/js/editor-expand.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("364", "wp-admin/js/editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("365", "wp-admin/js/editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("366", "wp-admin/js/farbtastic.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("367", "wp-admin/js/gallery.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("368", "wp-admin/js/gallery.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("369", "wp-admin/js/image-edit.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("370", "wp-admin/js/image-edit.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("371", "wp-admin/js/inline-edit-post.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("372", "wp-admin/js/inline-edit-post.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("373", "wp-admin/js/inline-edit-tax.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("374", "wp-admin/js/inline-edit-tax.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("375", "wp-admin/js/iris.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("376", "wp-admin/js/language-chooser.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("377", "wp-admin/js/language-chooser.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("378", "wp-admin/js/link.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("379", "wp-admin/js/link.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("380", "wp-admin/js/media-gallery.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("381", "wp-admin/js/media-gallery.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("382", "wp-admin/js/media-upload.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("383", "wp-admin/js/media-upload.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("384", "wp-admin/js/media.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("385", "wp-admin/js/media.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("386", "wp-admin/js/nav-menu.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("387", "wp-admin/js/nav-menu.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("388", "wp-admin/js/password-strength-meter.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("389", "wp-admin/js/password-strength-meter.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("390", "wp-admin/js/plugin-install.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("391", "wp-admin/js/plugin-install.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("392", "wp-admin/js/post.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("393", "wp-admin/js/post.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("394", "wp-admin/js/postbox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("395", "wp-admin/js/postbox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("396", "wp-admin/js/revisions.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("397", "wp-admin/js/revisions.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("398", "wp-admin/js/set-post-thumbnail.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("399", "wp-admin/js/set-post-thumbnail.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("400", "wp-admin/js/site-health.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("401", "wp-admin/js/site-health.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("402", "wp-admin/js/svg-painter.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("403", "wp-admin/js/svg-painter.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("404", "wp-admin/js/tags-box.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("405", "wp-admin/js/tags-box.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("406", "wp-admin/js/tags-suggest.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("407", "wp-admin/js/tags-suggest.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("408", "wp-admin/js/tags.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("409", "wp-admin/js/tags.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("410", "wp-admin/js/theme-plugin-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("411", "wp-admin/js/theme-plugin-editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("412", "wp-admin/js/theme.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("413", "wp-admin/js/theme.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("414", "wp-admin/js/updates.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("415", "wp-admin/js/updates.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("416", "wp-admin/js/user-profile.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("417", "wp-admin/js/user-profile.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("418", "wp-admin/js/user-suggest.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("419", "wp-admin/js/user-suggest.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("420", "wp-admin/js/widgets/custom-html-widgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("421", "wp-admin/js/widgets/custom-html-widgets.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("422", "wp-admin/js/widgets/media-audio-widget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("423", "wp-admin/js/widgets/media-audio-widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("424", "wp-admin/js/widgets/media-gallery-widget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("425", "wp-admin/js/widgets/media-gallery-widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("426", "wp-admin/js/widgets/media-image-widget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("427", "wp-admin/js/widgets/media-image-widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("428", "wp-admin/js/widgets/media-video-widget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("429", "wp-admin/js/widgets/media-video-widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("430", "wp-admin/js/widgets/media-widgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("431", "wp-admin/js/widgets/media-widgets.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("432", "wp-admin/js/widgets/text-widgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("433", "wp-admin/js/widgets/text-widgets.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("434", "wp-admin/js/widgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("435", "wp-admin/js/widgets.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("436", "wp-admin/js/word-count.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("437", "wp-admin/js/word-count.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("438", "wp-admin/js/wp-fullscreen-stub.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("439", "wp-admin/js/wp-fullscreen-stub.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("440", "wp-admin/js/xfn.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("441", "wp-admin/js/xfn.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("442", "wp-admin/link-add.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("443", "wp-admin/link-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("444", "wp-admin/link-parse-opml.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("445", "wp-admin/link.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("446", "wp-admin/load-scripts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("447", "wp-admin/load-styles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("448", "wp-admin/maint/repair.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("449", "wp-admin/media-new.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("450", "wp-admin/media-upload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("451", "wp-admin/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("452", "wp-admin/menu-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("453", "wp-admin/menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("454", "wp-admin/moderation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("455", "wp-admin/ms-admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("456", "wp-admin/ms-delete-site.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("457", "wp-admin/ms-edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("458", "wp-admin/ms-options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("459", "wp-admin/ms-sites.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("460", "wp-admin/ms-themes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("461", "wp-admin/ms-upgrade-network.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("462", "wp-admin/ms-users.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("463", "wp-admin/my-sites.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("464", "wp-admin/nav-menus.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("465", "wp-admin/network/about.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("466", "wp-admin/network/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("467", "wp-admin/network/credits.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("468", "wp-admin/network/edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("469", "wp-admin/network/freedoms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("470", "wp-admin/network/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("471", "wp-admin/network/menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("472", "wp-admin/network/plugin-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("473", "wp-admin/network/plugin-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("474", "wp-admin/network/plugins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("475", "wp-admin/network/privacy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("476", "wp-admin/network/profile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("477", "wp-admin/network/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("478", "wp-admin/network/setup.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("479", "wp-admin/network/site-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("480", "wp-admin/network/site-new.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("481", "wp-admin/network/site-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("482", "wp-admin/network/site-themes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("483", "wp-admin/network/site-users.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("484", "wp-admin/network/sites.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("485", "wp-admin/network/theme-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("486", "wp-admin/network/theme-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("487", "wp-admin/network/themes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("488", "wp-admin/network/update-core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("489", "wp-admin/network/update.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("490", "wp-admin/network/upgrade.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("491", "wp-admin/network/user-edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("492", "wp-admin/network/user-new.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("493", "wp-admin/network/users.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("494", "wp-admin/network.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("495", "wp-admin/options-discussion.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("496", "wp-admin/options-general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("497", "wp-admin/options-head.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("498", "wp-admin/options-media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("499", "wp-admin/options-permalink.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("500", "wp-admin/options-reading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("501", "wp-admin/options-writing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("502", "wp-admin/options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("503", "wp-admin/plugin-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("504", "wp-admin/plugin-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("505", "wp-admin/plugins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("506", "wp-admin/post-new.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("507", "wp-admin/post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("508", "wp-admin/press-this.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("509", "wp-admin/privacy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("510", "wp-admin/profile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("511", "wp-admin/revision.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("512", "wp-admin/setup-config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("513", "wp-admin/site-health-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("514", "wp-admin/site-health.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("515", "wp-admin/term.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("516", "wp-admin/theme-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("517", "wp-admin/theme-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("518", "wp-admin/themes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("519", "wp-admin/tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("520", "wp-admin/update-core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("521", "wp-admin/update.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("522", "wp-admin/upgrade-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("523", "wp-admin/upgrade.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("524", "wp-admin/upload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("525", "wp-admin/user/about.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("526", "wp-admin/user/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("527", "wp-admin/user/credits.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("528", "wp-admin/user/freedoms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("529", "wp-admin/user/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("530", "wp-admin/user/menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("531", "wp-admin/user/privacy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("532", "wp-admin/user/profile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("533", "wp-admin/user/user-edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("534", "wp-admin/user-edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("535", "wp-admin/user-new.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("536", "wp-admin/users.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("537", "wp-admin/widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("538", "wp-blog-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("539", "wp-comments-post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("540", "wp-config-sample.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("541", "wp-config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("542", "wp-content/advanced-cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("543", "wp-content/cache/wp-rocket/index.html");
INSERT INTO `wpky_wfknownfilelist` VALUES("544", "wp-content/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("545", "wp-content/plugins/classic-editor/LICENSE.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("546", "wp-content/plugins/classic-editor/classic-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("547", "wp-content/plugins/classic-editor/js/block-editor-plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("548", "wp-content/plugins/classic-editor/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("549", "wp-content/plugins/duplicate-page/css/duplicate_page.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("550", "wp-content/plugins/duplicate-page/duplicatepage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("551", "wp-content/plugins/duplicate-page/inc/admin-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("552", "wp-content/plugins/duplicate-page/js/duplicate_page.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("553", "wp-content/plugins/duplicate-page/languages/duplicate-page-cs_CZ.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("554", "wp-content/plugins/duplicate-page/languages/duplicate-page-cs_CZ.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("555", "wp-content/plugins/duplicate-page/languages/duplicate-page-de_DE_formal.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("556", "wp-content/plugins/duplicate-page/languages/duplicate-page-de_DE_formal.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("557", "wp-content/plugins/duplicate-page/languages/duplicate-page-fr_FR.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("558", "wp-content/plugins/duplicate-page/languages/duplicate-page-fr_FR.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("559", "wp-content/plugins/duplicate-page/languages/duplicate-page-hi_IN.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("560", "wp-content/plugins/duplicate-page/languages/duplicate-page-hi_IN.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("561", "wp-content/plugins/duplicate-page/languages/duplicate-page.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("562", "wp-content/plugins/duplicate-page/languages/duplicate-page.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("563", "wp-content/plugins/duplicate-page/languages/duplicate-page.pot");
INSERT INTO `wpky_wfknownfilelist` VALUES("564", "wp-content/plugins/duplicate-page/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("565", "wp-content/plugins/duplicator/assets/css/fontawesome-all.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("566", "wp-content/plugins/duplicator/assets/css/global_admin_style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("567", "wp-content/plugins/duplicator/assets/css/images/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("568", "wp-content/plugins/duplicator/assets/css/images/ui-bg_flat_0_aaaaaa_40x100.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("569", "wp-content/plugins/duplicator/assets/css/images/ui-bg_flat_75_ffffff_40x100.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("570", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_55_fbf9ee_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("571", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_65_ffffff_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("572", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_75_dadada_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("573", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_75_e6e6e6_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("574", "wp-content/plugins/duplicator/assets/css/images/ui-bg_glass_95_fef1ec_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("575", "wp-content/plugins/duplicator/assets/css/images/ui-bg_highlight-soft_75_cccccc_1x100.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("576", "wp-content/plugins/duplicator/assets/css/images/ui-icons_222222_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("577", "wp-content/plugins/duplicator/assets/css/images/ui-icons_2e83ff_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("578", "wp-content/plugins/duplicator/assets/css/images/ui-icons_454545_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("579", "wp-content/plugins/duplicator/assets/css/images/ui-icons_888888_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("580", "wp-content/plugins/duplicator/assets/css/images/ui-icons_cd0a0a_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("581", "wp-content/plugins/duplicator/assets/css/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("582", "wp-content/plugins/duplicator/assets/css/jquery-ui.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("583", "wp-content/plugins/duplicator/assets/css/modal.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("584", "wp-content/plugins/duplicator/assets/css/parsley.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("585", "wp-content/plugins/duplicator/assets/css/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("586", "wp-content/plugins/duplicator/assets/img/5star.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("587", "wp-content/plugins/duplicator/assets/img/amazon-64.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("588", "wp-content/plugins/duplicator/assets/img/cpanel-48.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("589", "wp-content/plugins/duplicator/assets/img/dropbox-64.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("590", "wp-content/plugins/duplicator/assets/img/ftp-64.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("591", "wp-content/plugins/duplicator/assets/img/google_drive_64px.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("592", "wp-content/plugins/duplicator/assets/img/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("593", "wp-content/plugins/duplicator/assets/img/logo-box.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("594", "wp-content/plugins/duplicator/assets/img/logo-dpro-300x50.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("595", "wp-content/plugins/duplicator/assets/img/logo-menu.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("596", "wp-content/plugins/duplicator/assets/img/logo-pro-32.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("597", "wp-content/plugins/duplicator/assets/img/onedrive-48px.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("598", "wp-content/plugins/duplicator/assets/js/handlebars.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("599", "wp-content/plugins/duplicator/assets/js/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("600", "wp-content/plugins/duplicator/assets/js/javascript.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("601", "wp-content/plugins/duplicator/assets/js/jquery.qtip/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("602", "wp-content/plugins/duplicator/assets/js/jquery.qtip/jquery.qtip.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("603", "wp-content/plugins/duplicator/assets/js/jquery.qtip/jquery.qtip.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("604", "wp-content/plugins/duplicator/assets/js/jquery.qtip/jquery.qtip.min.js.map");
INSERT INTO `wpky_wfknownfilelist` VALUES("605", "wp-content/plugins/duplicator/assets/js/parsley.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("606", "wp-content/plugins/duplicator/assets/js/parsley.min.js.map");
INSERT INTO `wpky_wfknownfilelist` VALUES("607", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("608", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("609", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("610", "wp-content/plugins/duplicator/assets/webfonts/fa-brands-400.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("611", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("612", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("613", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("614", "wp-content/plugins/duplicator/assets/webfonts/fa-regular-400.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("615", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("616", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("617", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("618", "wp-content/plugins/duplicator/assets/webfonts/fa-solid-900.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("619", "wp-content/plugins/duplicator/assets/webfonts/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("620", "wp-content/plugins/duplicator/classes/class.archive.config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("621", "wp-content/plugins/duplicator/classes/class.constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("622", "wp-content/plugins/duplicator/classes/class.db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("623", "wp-content/plugins/duplicator/classes/class.io.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("624", "wp-content/plugins/duplicator/classes/class.logging.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("625", "wp-content/plugins/duplicator/classes/class.password.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("626", "wp-content/plugins/duplicator/classes/class.server.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("627", "wp-content/plugins/duplicator/classes/class.settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("628", "wp-content/plugins/duplicator/classes/host/class.godaddy.host.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("629", "wp-content/plugins/duplicator/classes/host/class.wpengine.host.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("630", "wp-content/plugins/duplicator/classes/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("631", "wp-content/plugins/duplicator/classes/package/class.pack.archive.filters.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("632", "wp-content/plugins/duplicator/classes/package/class.pack.archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("633", "wp-content/plugins/duplicator/classes/package/class.pack.archive.zip.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("634", "wp-content/plugins/duplicator/classes/package/class.pack.database.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("635", "wp-content/plugins/duplicator/classes/package/class.pack.installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("636", "wp-content/plugins/duplicator/classes/package/class.pack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("637", "wp-content/plugins/duplicator/classes/package/duparchive/class.pack.archive.duparchive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("638", "wp-content/plugins/duplicator/classes/package/duparchive/class.pack.archive.duparchive.state.create.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("639", "wp-content/plugins/duplicator/classes/package/duparchive/class.pack.archive.duparchive.state.expand.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("640", "wp-content/plugins/duplicator/classes/package/duparchive/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("641", "wp-content/plugins/duplicator/classes/package/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("642", "wp-content/plugins/duplicator/classes/ui/class.ui.dialog.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("643", "wp-content/plugins/duplicator/classes/ui/class.ui.messages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("644", "wp-content/plugins/duplicator/classes/ui/class.ui.notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("645", "wp-content/plugins/duplicator/classes/ui/class.ui.screen.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("646", "wp-content/plugins/duplicator/classes/ui/class.ui.viewstate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("647", "wp-content/plugins/duplicator/classes/ui/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("648", "wp-content/plugins/duplicator/classes/utilities/class.u.json.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("649", "wp-content/plugins/duplicator/classes/utilities/class.u.multisite.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("650", "wp-content/plugins/duplicator/classes/utilities/class.u.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("651", "wp-content/plugins/duplicator/classes/utilities/class.u.scancheck.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("652", "wp-content/plugins/duplicator/classes/utilities/class.u.shell.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("653", "wp-content/plugins/duplicator/classes/utilities/class.u.string.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("654", "wp-content/plugins/duplicator/classes/utilities/class.u.validator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("655", "wp-content/plugins/duplicator/classes/utilities/class.u.zip.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("656", "wp-content/plugins/duplicator/ctrls/class.web.services.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("657", "wp-content/plugins/duplicator/ctrls/ctrl.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("658", "wp-content/plugins/duplicator/ctrls/ctrl.package.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("659", "wp-content/plugins/duplicator/ctrls/ctrl.tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("660", "wp-content/plugins/duplicator/ctrls/ctrl.ui.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("661", "wp-content/plugins/duplicator/ctrls/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("662", "wp-content/plugins/duplicator/deactivation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("663", "wp-content/plugins/duplicator/define.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("664", "wp-content/plugins/duplicator/duplicator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("665", "wp-content/plugins/duplicator/installer/dtoken.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("666", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/css/all.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("667", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/css/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("668", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("669", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("670", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("671", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("672", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-brands-400.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("673", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("674", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("675", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("676", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-regular-400.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("677", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("678", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("679", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("680", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/fa-solid-900.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("681", "wp-content/plugins/duplicator/installer/dup-installer/assets/font-awesome/webfonts/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("682", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("683", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_55_fbf9ee_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("684", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_65_ffffff_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("685", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_75_dadada_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("686", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_75_e6e6e6_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("687", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_glass_95_fef1ec_1x400.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("688", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-bg_highlight-soft_75_cccccc_1x100.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("689", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_222222_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("690", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_2e83ff_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("691", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_454545_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("692", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_888888_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("693", "wp-content/plugins/duplicator/installer/dup-installer/assets/images/ui-icons_cd0a0a_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("694", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.css.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("695", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.js.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("696", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.libs.css.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("697", "wp-content/plugins/duplicator/installer/dup-installer/assets/inc.libs.js.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("698", "wp-content/plugins/duplicator/installer/dup-installer/assets/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("699", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/Base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("700", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/Random.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("701", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/Rijndael.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("702", "wp-content/plugins/duplicator/installer/dup-installer/classes/Crypt/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("703", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.crypt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("704", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.csrf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("705", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("706", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.engine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("707", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.http.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("708", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.installer.state.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("709", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.logging.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("710", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.package.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("711", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.password.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("712", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.s3.func.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("713", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.server.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("714", "wp-content/plugins/duplicator/installer/dup-installer/classes/class.view.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("715", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.archive.config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("716", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.boot.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("717", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.conf.srv.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("718", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/class.constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("719", "wp-content/plugins/duplicator/installer/dup-installer/classes/config/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("720", "wp-content/plugins/duplicator/installer/dup-installer/classes/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("721", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.exceptions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("722", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("723", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.notices.manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("724", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("725", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/class.u.search.reaplce.manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("726", "wp-content/plugins/duplicator/installer/dup-installer/classes/utilities/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("727", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("728", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("729", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s2.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("730", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s2.dbinstall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("731", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s2.dbtest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("732", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/ctrl.s3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("733", "wp-content/plugins/duplicator/installer/dup-installer/ctrls/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("734", "wp-content/plugins/duplicator/installer/dup-installer/favicon/browserconfig.xml");
INSERT INTO `wpky_wfknownfilelist` VALUES("735", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_android-chrome-192x192.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("736", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_android-chrome-256x256.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("737", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_apple-touch-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("738", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_favicon-16x16.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("739", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_favicon-32x32.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("740", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_favicon.ico");
INSERT INTO `wpky_wfknownfilelist` VALUES("741", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_mstile-150x150.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("742", "wp-content/plugins/duplicator/installer/dup-installer/favicon/lite01_safari-pinned-tab.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("743", "wp-content/plugins/duplicator/installer/dup-installer/favicon/site.webmanifest");
INSERT INTO `wpky_wfknownfilelist` VALUES("744", "wp-content/plugins/duplicator/installer/dup-installer/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("745", "wp-content/plugins/duplicator/installer/dup-installer/main.installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("746", "wp-content/plugins/duplicator/installer/dup-installer/views/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("747", "wp-content/plugins/duplicator/installer/dup-installer/views/view.exception.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("748", "wp-content/plugins/duplicator/installer/dup-installer/views/view.help.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("749", "wp-content/plugins/duplicator/installer/dup-installer/views/view.init1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("750", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s1.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("751", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s1.terms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("752", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("753", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.basic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("754", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.cpnl.lite.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("755", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s2.dbtest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("756", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("757", "wp-content/plugins/duplicator/installer/dup-installer/views/view.s4.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("758", "wp-content/plugins/duplicator/installer/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("759", "wp-content/plugins/duplicator/installer/installer.tpl");
INSERT INTO `wpky_wfknownfilelist` VALUES("760", "wp-content/plugins/duplicator/languages/duplicator.pot");
INSERT INTO `wpky_wfknownfilelist` VALUES("761", "wp-content/plugins/duplicator/languages/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("762", "wp-content/plugins/duplicator/lib/config/class.wp.config.tranformer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("763", "wp-content/plugins/duplicator/lib/config/class.wp.config.tranformer.src.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("764", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("765", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.engine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("766", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.loggerbase.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("767", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.mini.expander.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("768", "wp-content/plugins/duplicator/lib/dup_archive/classes/class.duparchive.processing.failure.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("769", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.directory.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("770", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("771", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.glob.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("772", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("773", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/class.duparchive.header.u.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("774", "wp-content/plugins/duplicator/lib/dup_archive/classes/headers/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("775", "wp-content/plugins/duplicator/lib/dup_archive/classes/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("776", "wp-content/plugins/duplicator/lib/dup_archive/classes/processors/class.duparchive.processor.directory.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("777", "wp-content/plugins/duplicator/lib/dup_archive/classes/processors/class.duparchive.processor.file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("778", "wp-content/plugins/duplicator/lib/dup_archive/classes/processors/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("779", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("780", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.create.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("781", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.expand.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("782", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.simplecreate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("783", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/class.duparchive.state.simpleexpand.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("784", "wp-content/plugins/duplicator/lib/dup_archive/classes/states/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("785", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/class.duparchive.u.json.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("786", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/class.duparchive.util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("787", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/class.duparchive.util.scan.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("788", "wp-content/plugins/duplicator/lib/dup_archive/classes/util/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("789", "wp-content/plugins/duplicator/lib/dup_archive/daws/class.daws.constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("790", "wp-content/plugins/duplicator/lib/dup_archive/daws/class.daws.state.expand.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("791", "wp-content/plugins/duplicator/lib/dup_archive/daws/daws.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("792", "wp-content/plugins/duplicator/lib/dup_archive/daws/dawslock.bin");
INSERT INTO `wpky_wfknownfilelist` VALUES("793", "wp-content/plugins/duplicator/lib/dup_archive/daws/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("794", "wp-content/plugins/duplicator/lib/dup_archive/define.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("795", "wp-content/plugins/duplicator/lib/dup_archive/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("796", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/class.datester.logging.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("797", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/class.datester.state.create.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("798", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/class.datester.state.expand.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("799", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/expandstate.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("800", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("801", "wp-content/plugins/duplicator/lib/dup_archive/tester/classes/state.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("802", "wp-content/plugins/duplicator/lib/dup_archive/tester/datester.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("803", "wp-content/plugins/duplicator/lib/dup_archive/tester/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("804", "wp-content/plugins/duplicator/lib/fileops/class.fileops.constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("805", "wp-content/plugins/duplicator/lib/fileops/class.fileops.state.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("806", "wp-content/plugins/duplicator/lib/fileops/class.fileops.u.delete.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("807", "wp-content/plugins/duplicator/lib/fileops/class.fileops.u.move.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("808", "wp-content/plugins/duplicator/lib/fileops/fileops.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("809", "wp-content/plugins/duplicator/lib/fileops/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("810", "wp-content/plugins/duplicator/lib/forceutf8/Encoding.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("811", "wp-content/plugins/duplicator/lib/forceutf8/README.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("812", "wp-content/plugins/duplicator/lib/forceutf8/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("813", "wp-content/plugins/duplicator/lib/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("814", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.exceptions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("815", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.logger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("816", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.io.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("817", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.net.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("818", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.os.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("819", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.stream.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("820", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.string.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("821", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.ui.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("822", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("823", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("824", "wp-content/plugins/duplicator/lib/snaplib/class.snaplib.u.wp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("825", "wp-content/plugins/duplicator/lib/snaplib/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("826", "wp-content/plugins/duplicator/lib/snaplib/snaplib.all.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("827", "wp-content/plugins/duplicator/lib/snaplib/wordpress.core.files.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("828", "wp-content/plugins/duplicator/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("829", "wp-content/plugins/duplicator/uninstall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("830", "wp-content/plugins/duplicator/views/inc.header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("831", "wp-content/plugins/duplicator/views/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("832", "wp-content/plugins/duplicator/views/packages/controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("833", "wp-content/plugins/duplicator/views/packages/details/controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("834", "wp-content/plugins/duplicator/views/packages/details/detail.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("835", "wp-content/plugins/duplicator/views/packages/details/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("836", "wp-content/plugins/duplicator/views/packages/details/transfer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("837", "wp-content/plugins/duplicator/views/packages/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("838", "wp-content/plugins/duplicator/views/packages/main/controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("839", "wp-content/plugins/duplicator/views/packages/main/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("840", "wp-content/plugins/duplicator/views/packages/main/packages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("841", "wp-content/plugins/duplicator/views/packages/main/s1.setup1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("842", "wp-content/plugins/duplicator/views/packages/main/s1.setup2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("843", "wp-content/plugins/duplicator/views/packages/main/s2.scan1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("844", "wp-content/plugins/duplicator/views/packages/main/s2.scan2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("845", "wp-content/plugins/duplicator/views/packages/main/s2.scan3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("846", "wp-content/plugins/duplicator/views/packages/main/s3.build.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("847", "wp-content/plugins/duplicator/views/packages/screen.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("848", "wp-content/plugins/duplicator/views/settings/about-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("849", "wp-content/plugins/duplicator/views/settings/controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("850", "wp-content/plugins/duplicator/views/settings/general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("851", "wp-content/plugins/duplicator/views/settings/gopro.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("852", "wp-content/plugins/duplicator/views/settings/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("853", "wp-content/plugins/duplicator/views/settings/license.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("854", "wp-content/plugins/duplicator/views/settings/packages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("855", "wp-content/plugins/duplicator/views/settings/schedule.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("856", "wp-content/plugins/duplicator/views/settings/storage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("857", "wp-content/plugins/duplicator/views/tools/controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("858", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("859", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.phpinfo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("860", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("861", "wp-content/plugins/duplicator/views/tools/diagnostics/inc.validator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("862", "wp-content/plugins/duplicator/views/tools/diagnostics/information.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("863", "wp-content/plugins/duplicator/views/tools/diagnostics/logging.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("864", "wp-content/plugins/duplicator/views/tools/diagnostics/main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("865", "wp-content/plugins/duplicator/views/tools/diagnostics/support.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("866", "wp-content/plugins/duplicator/views/tools/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("867", "wp-content/plugins/duplicator/views/tools/templates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("868", "wp-content/plugins/elementor/assets/css/admin-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("869", "wp-content/plugins/elementor/assets/css/admin-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("870", "wp-content/plugins/elementor/assets/css/admin.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("871", "wp-content/plugins/elementor/assets/css/admin.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("872", "wp-content/plugins/elementor/assets/css/common-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("873", "wp-content/plugins/elementor/assets/css/common-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("874", "wp-content/plugins/elementor/assets/css/common.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("875", "wp-content/plugins/elementor/assets/css/common.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("876", "wp-content/plugins/elementor/assets/css/editor-preview-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("877", "wp-content/plugins/elementor/assets/css/editor-preview-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("878", "wp-content/plugins/elementor/assets/css/editor-preview.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("879", "wp-content/plugins/elementor/assets/css/editor-preview.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("880", "wp-content/plugins/elementor/assets/css/editor-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("881", "wp-content/plugins/elementor/assets/css/editor-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("882", "wp-content/plugins/elementor/assets/css/editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("883", "wp-content/plugins/elementor/assets/css/editor.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("884", "wp-content/plugins/elementor/assets/css/frontend-msie.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("885", "wp-content/plugins/elementor/assets/css/frontend-msie.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("886", "wp-content/plugins/elementor/assets/css/frontend-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("887", "wp-content/plugins/elementor/assets/css/frontend-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("888", "wp-content/plugins/elementor/assets/css/frontend.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("889", "wp-content/plugins/elementor/assets/css/frontend.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("890", "wp-content/plugins/elementor/assets/css/templates/frontend-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("891", "wp-content/plugins/elementor/assets/css/templates/frontend-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("892", "wp-content/plugins/elementor/assets/css/templates/frontend.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("893", "wp-content/plugins/elementor/assets/css/templates/frontend.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("894", "wp-content/plugins/elementor/assets/images/ajax-loader.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("895", "wp-content/plugins/elementor/assets/images/blur.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("896", "wp-content/plugins/elementor/assets/images/contrast.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("897", "wp-content/plugins/elementor/assets/images/logo-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("898", "wp-content/plugins/elementor/assets/images/logo-panel.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("899", "wp-content/plugins/elementor/assets/images/placeholder.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("900", "wp-content/plugins/elementor/assets/js/admin-feedback.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("901", "wp-content/plugins/elementor/assets/js/admin-feedback.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("902", "wp-content/plugins/elementor/assets/js/admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("903", "wp-content/plugins/elementor/assets/js/admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("904", "wp-content/plugins/elementor/assets/js/beta-tester.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("905", "wp-content/plugins/elementor/assets/js/beta-tester.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("906", "wp-content/plugins/elementor/assets/js/common-modules.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("907", "wp-content/plugins/elementor/assets/js/common-modules.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("908", "wp-content/plugins/elementor/assets/js/common.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("909", "wp-content/plugins/elementor/assets/js/common.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("910", "wp-content/plugins/elementor/assets/js/editor-modules.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("911", "wp-content/plugins/elementor/assets/js/editor-modules.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("912", "wp-content/plugins/elementor/assets/js/editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("913", "wp-content/plugins/elementor/assets/js/editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("914", "wp-content/plugins/elementor/assets/js/frontend-modules.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("915", "wp-content/plugins/elementor/assets/js/frontend-modules.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("916", "wp-content/plugins/elementor/assets/js/frontend.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("917", "wp-content/plugins/elementor/assets/js/frontend.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("918", "wp-content/plugins/elementor/assets/js/gutenberg.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("919", "wp-content/plugins/elementor/assets/js/gutenberg.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("920", "wp-content/plugins/elementor/assets/js/new-template.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("921", "wp-content/plugins/elementor/assets/js/new-template.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("922", "wp-content/plugins/elementor/assets/lib/animate.css/animate-config.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("923", "wp-content/plugins/elementor/assets/lib/animate.css/animate.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("924", "wp-content/plugins/elementor/assets/lib/animate.css/animate.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("925", "wp-content/plugins/elementor/assets/lib/animations/animations.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("926", "wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("927", "wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("928", "wp-content/plugins/elementor/assets/lib/backbone/backbone.radio.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("929", "wp-content/plugins/elementor/assets/lib/backbone/backbone.radio.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("930", "wp-content/plugins/elementor/assets/lib/dialog/dialog.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("931", "wp-content/plugins/elementor/assets/lib/dialog/dialog.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("932", "wp-content/plugins/elementor/assets/lib/e-select2/css/e-select2.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("933", "wp-content/plugins/elementor/assets/lib/e-select2/css/e-select2.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("934", "wp-content/plugins/elementor/assets/lib/e-select2/js/e-select2.full.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("935", "wp-content/plugins/elementor/assets/lib/e-select2/js/e-select2.full.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("936", "wp-content/plugins/elementor/assets/lib/eicons/css/elementor-icons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("937", "wp-content/plugins/elementor/assets/lib/eicons/css/elementor-icons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("938", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("939", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("940", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("941", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("942", "wp-content/plugins/elementor/assets/lib/eicons/fonts/eicons.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("943", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("944", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("945", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("946", "wp-content/plugins/elementor/assets/lib/flatpickr/flatpickr.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("947", "wp-content/plugins/elementor/assets/lib/font-awesome/css/all.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("948", "wp-content/plugins/elementor/assets/lib/font-awesome/css/all.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("949", "wp-content/plugins/elementor/assets/lib/font-awesome/css/brands.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("950", "wp-content/plugins/elementor/assets/lib/font-awesome/css/brands.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("951", "wp-content/plugins/elementor/assets/lib/font-awesome/css/font-awesome.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("952", "wp-content/plugins/elementor/assets/lib/font-awesome/css/font-awesome.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("953", "wp-content/plugins/elementor/assets/lib/font-awesome/css/fontawesome.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("954", "wp-content/plugins/elementor/assets/lib/font-awesome/css/fontawesome.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("955", "wp-content/plugins/elementor/assets/lib/font-awesome/css/regular.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("956", "wp-content/plugins/elementor/assets/lib/font-awesome/css/regular.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("957", "wp-content/plugins/elementor/assets/lib/font-awesome/css/solid.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("958", "wp-content/plugins/elementor/assets/lib/font-awesome/css/solid.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("959", "wp-content/plugins/elementor/assets/lib/font-awesome/css/svg-with-js.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("960", "wp-content/plugins/elementor/assets/lib/font-awesome/css/svg-with-js.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("961", "wp-content/plugins/elementor/assets/lib/font-awesome/css/v4-shims.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("962", "wp-content/plugins/elementor/assets/lib/font-awesome/css/v4-shims.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("963", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/FontAwesome.otf");
INSERT INTO `wpky_wfknownfilelist` VALUES("964", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("965", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("966", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("967", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("968", "wp-content/plugins/elementor/assets/lib/font-awesome/fonts/fontawesome-webfont.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("969", "wp-content/plugins/elementor/assets/lib/font-awesome/js/brands.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("970", "wp-content/plugins/elementor/assets/lib/font-awesome/js/regular.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("971", "wp-content/plugins/elementor/assets/lib/font-awesome/js/solid.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("972", "wp-content/plugins/elementor/assets/lib/font-awesome/js/v4-shims.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("973", "wp-content/plugins/elementor/assets/lib/font-awesome/js/v4-shims.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("974", "wp-content/plugins/elementor/assets/lib/font-awesome/migration/mapping.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("975", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("976", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("977", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("978", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("979", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-brands-400.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("980", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("981", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("982", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("983", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("984", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-regular-400.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("985", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("986", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("987", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("988", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("989", "wp-content/plugins/elementor/assets/lib/font-awesome/webfonts/fa-solid-900.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("990", "wp-content/plugins/elementor/assets/lib/hover/hover.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("991", "wp-content/plugins/elementor/assets/lib/hover/hover.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("992", "wp-content/plugins/elementor/assets/lib/imagesloaded/imagesloaded.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("993", "wp-content/plugins/elementor/assets/lib/imagesloaded/imagesloaded.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("994", "wp-content/plugins/elementor/assets/lib/inline-editor/js/inline-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("995", "wp-content/plugins/elementor/assets/lib/inline-editor/js/inline-editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("996", "wp-content/plugins/elementor/assets/lib/jquery-easing/jquery-easing.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("997", "wp-content/plugins/elementor/assets/lib/jquery-easing/jquery-easing.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("998", "wp-content/plugins/elementor/assets/lib/jquery-hover-intent/jquery-hover-intent.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("999", "wp-content/plugins/elementor/assets/lib/jquery-hover-intent/jquery-hover-intent.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1000", "wp-content/plugins/elementor/assets/lib/jquery-numerator/jquery-numerator.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1001", "wp-content/plugins/elementor/assets/lib/jquery-numerator/jquery-numerator.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1002", "wp-content/plugins/elementor/assets/lib/nouislider/nouislider.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1003", "wp-content/plugins/elementor/assets/lib/nouislider/nouislider.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1004", "wp-content/plugins/elementor/assets/lib/nprogress/nprogress.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1005", "wp-content/plugins/elementor/assets/lib/nprogress/nprogress.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1006", "wp-content/plugins/elementor/assets/lib/perfect-scrollbar/js/perfect-scrollbar.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1007", "wp-content/plugins/elementor/assets/lib/perfect-scrollbar/js/perfect-scrollbar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1008", "wp-content/plugins/elementor/assets/lib/slick/slick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1009", "wp-content/plugins/elementor/assets/lib/slick/slick.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1010", "wp-content/plugins/elementor/assets/lib/swiper/swiper.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1011", "wp-content/plugins/elementor/assets/lib/swiper/swiper.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1012", "wp-content/plugins/elementor/assets/lib/tipsy/tipsy.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1013", "wp-content/plugins/elementor/assets/lib/tipsy/tipsy.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1014", "wp-content/plugins/elementor/assets/lib/waypoints/waypoints-for-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1015", "wp-content/plugins/elementor/assets/lib/waypoints/waypoints.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1016", "wp-content/plugins/elementor/assets/lib/waypoints/waypoints.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1017", "wp-content/plugins/elementor/assets/lib/wp-color-picker/wp-color-picker-alpha.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1018", "wp-content/plugins/elementor/assets/lib/wp-color-picker/wp-color-picker-alpha.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1019", "wp-content/plugins/elementor/assets/shapes/arrow-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1020", "wp-content/plugins/elementor/assets/shapes/arrow.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1021", "wp-content/plugins/elementor/assets/shapes/book-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1022", "wp-content/plugins/elementor/assets/shapes/book.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1023", "wp-content/plugins/elementor/assets/shapes/clouds-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1024", "wp-content/plugins/elementor/assets/shapes/clouds.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1025", "wp-content/plugins/elementor/assets/shapes/curve-asymmetrical-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1026", "wp-content/plugins/elementor/assets/shapes/curve-asymmetrical.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1027", "wp-content/plugins/elementor/assets/shapes/curve-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1028", "wp-content/plugins/elementor/assets/shapes/curve.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1029", "wp-content/plugins/elementor/assets/shapes/drops-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1030", "wp-content/plugins/elementor/assets/shapes/drops.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1031", "wp-content/plugins/elementor/assets/shapes/mountains.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1032", "wp-content/plugins/elementor/assets/shapes/opacity-fan.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1033", "wp-content/plugins/elementor/assets/shapes/opacity-tilt.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1034", "wp-content/plugins/elementor/assets/shapes/pyramids-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1035", "wp-content/plugins/elementor/assets/shapes/pyramids.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1036", "wp-content/plugins/elementor/assets/shapes/split-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1037", "wp-content/plugins/elementor/assets/shapes/split.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1038", "wp-content/plugins/elementor/assets/shapes/tilt.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1039", "wp-content/plugins/elementor/assets/shapes/triangle-asymmetrical-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1040", "wp-content/plugins/elementor/assets/shapes/triangle-asymmetrical.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1041", "wp-content/plugins/elementor/assets/shapes/triangle-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1042", "wp-content/plugins/elementor/assets/shapes/triangle.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1043", "wp-content/plugins/elementor/assets/shapes/wave-brush.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1044", "wp-content/plugins/elementor/assets/shapes/waves-negative.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1045", "wp-content/plugins/elementor/assets/shapes/waves-pattern.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1046", "wp-content/plugins/elementor/assets/shapes/waves.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1047", "wp-content/plugins/elementor/assets/shapes/zigzag.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1048", "wp-content/plugins/elementor/core/admin/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1049", "wp-content/plugins/elementor/core/admin/canary-deployment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1050", "wp-content/plugins/elementor/core/admin/feedback.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1051", "wp-content/plugins/elementor/core/base/app.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1052", "wp-content/plugins/elementor/core/base/background-task-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1053", "wp-content/plugins/elementor/core/base/background-task.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1054", "wp-content/plugins/elementor/core/base/base-object.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1055", "wp-content/plugins/elementor/core/base/db-upgrades-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1056", "wp-content/plugins/elementor/core/base/document.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1057", "wp-content/plugins/elementor/core/base/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1058", "wp-content/plugins/elementor/core/common/app.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1059", "wp-content/plugins/elementor/core/common/modules/ajax/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1060", "wp-content/plugins/elementor/core/common/modules/connect/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1061", "wp-content/plugins/elementor/core/common/modules/connect/apps/base-app.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1062", "wp-content/plugins/elementor/core/common/modules/connect/apps/base-user-app.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1063", "wp-content/plugins/elementor/core/common/modules/connect/apps/common-app.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1064", "wp-content/plugins/elementor/core/common/modules/connect/apps/connect.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1065", "wp-content/plugins/elementor/core/common/modules/connect/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1066", "wp-content/plugins/elementor/core/common/modules/finder/base-category.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1067", "wp-content/plugins/elementor/core/common/modules/finder/categories/create.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1068", "wp-content/plugins/elementor/core/common/modules/finder/categories/edit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1069", "wp-content/plugins/elementor/core/common/modules/finder/categories/general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1070", "wp-content/plugins/elementor/core/common/modules/finder/categories/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1071", "wp-content/plugins/elementor/core/common/modules/finder/categories/site.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1072", "wp-content/plugins/elementor/core/common/modules/finder/categories/tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1073", "wp-content/plugins/elementor/core/common/modules/finder/categories-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1074", "wp-content/plugins/elementor/core/common/modules/finder/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1075", "wp-content/plugins/elementor/core/common/modules/finder/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1076", "wp-content/plugins/elementor/core/debug/classes/htaccess.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1077", "wp-content/plugins/elementor/core/debug/classes/inspection-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1078", "wp-content/plugins/elementor/core/debug/classes/theme-missing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1079", "wp-content/plugins/elementor/core/debug/inspector.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1080", "wp-content/plugins/elementor/core/debug/loading-inspection-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1081", "wp-content/plugins/elementor/core/document-types/post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1082", "wp-content/plugins/elementor/core/documents-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1083", "wp-content/plugins/elementor/core/dynamic-tags/base-tag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1084", "wp-content/plugins/elementor/core/dynamic-tags/data-tag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1085", "wp-content/plugins/elementor/core/dynamic-tags/dynamic-css.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1086", "wp-content/plugins/elementor/core/dynamic-tags/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1087", "wp-content/plugins/elementor/core/dynamic-tags/tag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1088", "wp-content/plugins/elementor/core/editor/editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1089", "wp-content/plugins/elementor/core/editor/notice-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1090", "wp-content/plugins/elementor/core/files/assets/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1091", "wp-content/plugins/elementor/core/files/assets/svg/svg-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1092", "wp-content/plugins/elementor/core/files/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1093", "wp-content/plugins/elementor/core/files/css/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1094", "wp-content/plugins/elementor/core/files/css/global-css.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1095", "wp-content/plugins/elementor/core/files/css/post-preview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1096", "wp-content/plugins/elementor/core/files/css/post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1097", "wp-content/plugins/elementor/core/files/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1098", "wp-content/plugins/elementor/core/logger/items/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1099", "wp-content/plugins/elementor/core/logger/items/file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1100", "wp-content/plugins/elementor/core/logger/items/js.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1101", "wp-content/plugins/elementor/core/logger/items/log-item-interface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1102", "wp-content/plugins/elementor/core/logger/items/php.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1103", "wp-content/plugins/elementor/core/logger/log-reporter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1104", "wp-content/plugins/elementor/core/logger/loggers/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1105", "wp-content/plugins/elementor/core/logger/loggers/db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1106", "wp-content/plugins/elementor/core/logger/loggers/logger-interface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1107", "wp-content/plugins/elementor/core/logger/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1108", "wp-content/plugins/elementor/core/modules-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1109", "wp-content/plugins/elementor/core/responsive/files/frontend.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1110", "wp-content/plugins/elementor/core/responsive/responsive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1111", "wp-content/plugins/elementor/core/role-manager/role-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1112", "wp-content/plugins/elementor/core/settings/base/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1113", "wp-content/plugins/elementor/core/settings/base/model.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1114", "wp-content/plugins/elementor/core/settings/general/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1115", "wp-content/plugins/elementor/core/settings/general/model.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1116", "wp-content/plugins/elementor/core/settings/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1117", "wp-content/plugins/elementor/core/settings/page/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1118", "wp-content/plugins/elementor/core/settings/page/model.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1119", "wp-content/plugins/elementor/core/upgrade/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1120", "wp-content/plugins/elementor/core/upgrade/updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1121", "wp-content/plugins/elementor/core/upgrade/upgrade-utils.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1122", "wp-content/plugins/elementor/core/upgrade/upgrades.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1123", "wp-content/plugins/elementor/core/utils/exceptions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1124", "wp-content/plugins/elementor/elementor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1125", "wp-content/plugins/elementor/includes/admin-templates/beta-tester.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1126", "wp-content/plugins/elementor/includes/admin-templates/new-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1127", "wp-content/plugins/elementor/includes/api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1128", "wp-content/plugins/elementor/includes/autoloader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1129", "wp-content/plugins/elementor/includes/base/controls-stack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1130", "wp-content/plugins/elementor/includes/base/element-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1131", "wp-content/plugins/elementor/includes/base/skin-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1132", "wp-content/plugins/elementor/includes/base/widget-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1133", "wp-content/plugins/elementor/includes/beta-testers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1134", "wp-content/plugins/elementor/includes/compatibility.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1135", "wp-content/plugins/elementor/includes/conditions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1136", "wp-content/plugins/elementor/includes/controls/animation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1137", "wp-content/plugins/elementor/includes/controls/base-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1138", "wp-content/plugins/elementor/includes/controls/base-icon-font.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1139", "wp-content/plugins/elementor/includes/controls/base-multiple.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1140", "wp-content/plugins/elementor/includes/controls/base-ui.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1141", "wp-content/plugins/elementor/includes/controls/base-units.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1142", "wp-content/plugins/elementor/includes/controls/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1143", "wp-content/plugins/elementor/includes/controls/box-shadow.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1144", "wp-content/plugins/elementor/includes/controls/button.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1145", "wp-content/plugins/elementor/includes/controls/choose.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1146", "wp-content/plugins/elementor/includes/controls/code.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1147", "wp-content/plugins/elementor/includes/controls/color.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1148", "wp-content/plugins/elementor/includes/controls/date-time.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1149", "wp-content/plugins/elementor/includes/controls/deprecated-notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1150", "wp-content/plugins/elementor/includes/controls/dimensions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1151", "wp-content/plugins/elementor/includes/controls/divider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1152", "wp-content/plugins/elementor/includes/controls/exit-animation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1153", "wp-content/plugins/elementor/includes/controls/font.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1154", "wp-content/plugins/elementor/includes/controls/gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1155", "wp-content/plugins/elementor/includes/controls/groups/background.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1156", "wp-content/plugins/elementor/includes/controls/groups/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1157", "wp-content/plugins/elementor/includes/controls/groups/border.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1158", "wp-content/plugins/elementor/includes/controls/groups/box-shadow.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1159", "wp-content/plugins/elementor/includes/controls/groups/css-filter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1160", "wp-content/plugins/elementor/includes/controls/groups/image-size.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1161", "wp-content/plugins/elementor/includes/controls/groups/text-shadow.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1162", "wp-content/plugins/elementor/includes/controls/groups/typography.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1163", "wp-content/plugins/elementor/includes/controls/heading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1164", "wp-content/plugins/elementor/includes/controls/hidden.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1165", "wp-content/plugins/elementor/includes/controls/hover-animation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1166", "wp-content/plugins/elementor/includes/controls/icon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1167", "wp-content/plugins/elementor/includes/controls/icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1168", "wp-content/plugins/elementor/includes/controls/image-dimensions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1169", "wp-content/plugins/elementor/includes/controls/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1170", "wp-content/plugins/elementor/includes/controls/number.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1171", "wp-content/plugins/elementor/includes/controls/popover-toggle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1172", "wp-content/plugins/elementor/includes/controls/raw-html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1173", "wp-content/plugins/elementor/includes/controls/repeater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1174", "wp-content/plugins/elementor/includes/controls/section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1175", "wp-content/plugins/elementor/includes/controls/select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1176", "wp-content/plugins/elementor/includes/controls/select2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1177", "wp-content/plugins/elementor/includes/controls/slider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1178", "wp-content/plugins/elementor/includes/controls/structure.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1179", "wp-content/plugins/elementor/includes/controls/switcher.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1180", "wp-content/plugins/elementor/includes/controls/tab.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1181", "wp-content/plugins/elementor/includes/controls/tabs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1182", "wp-content/plugins/elementor/includes/controls/text-shadow.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1183", "wp-content/plugins/elementor/includes/controls/text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1184", "wp-content/plugins/elementor/includes/controls/textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1185", "wp-content/plugins/elementor/includes/controls/url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1186", "wp-content/plugins/elementor/includes/controls/wp-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1187", "wp-content/plugins/elementor/includes/controls/wysiwyg.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1188", "wp-content/plugins/elementor/includes/db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1189", "wp-content/plugins/elementor/includes/editor-templates/editor-wrapper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1190", "wp-content/plugins/elementor/includes/editor-templates/global.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1191", "wp-content/plugins/elementor/includes/editor-templates/hotkeys.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1192", "wp-content/plugins/elementor/includes/editor-templates/library-layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1193", "wp-content/plugins/elementor/includes/editor-templates/navigator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1194", "wp-content/plugins/elementor/includes/editor-templates/panel-elements.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1195", "wp-content/plugins/elementor/includes/editor-templates/panel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1196", "wp-content/plugins/elementor/includes/editor-templates/repeater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1197", "wp-content/plugins/elementor/includes/editor-templates/templates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1198", "wp-content/plugins/elementor/includes/elements/column.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1199", "wp-content/plugins/elementor/includes/elements/repeater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1200", "wp-content/plugins/elementor/includes/elements/section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1201", "wp-content/plugins/elementor/includes/embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1202", "wp-content/plugins/elementor/includes/fonts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1203", "wp-content/plugins/elementor/includes/frontend.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1204", "wp-content/plugins/elementor/includes/heartbeat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1205", "wp-content/plugins/elementor/includes/interfaces/group-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1206", "wp-content/plugins/elementor/includes/interfaces/scheme.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1207", "wp-content/plugins/elementor/includes/libraries/bfi-thumb/bfi-thumb.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1208", "wp-content/plugins/elementor/includes/libraries/wp-background-process/wp-async-request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1209", "wp-content/plugins/elementor/includes/libraries/wp-background-process/wp-background-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1210", "wp-content/plugins/elementor/includes/maintenance-mode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1211", "wp-content/plugins/elementor/includes/maintenance.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1212", "wp-content/plugins/elementor/includes/managers/controls.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1213", "wp-content/plugins/elementor/includes/managers/elements.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1214", "wp-content/plugins/elementor/includes/managers/icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1215", "wp-content/plugins/elementor/includes/managers/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1216", "wp-content/plugins/elementor/includes/managers/schemes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1217", "wp-content/plugins/elementor/includes/managers/skins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1218", "wp-content/plugins/elementor/includes/managers/widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1219", "wp-content/plugins/elementor/includes/managers/wordpress-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1220", "wp-content/plugins/elementor/includes/plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1221", "wp-content/plugins/elementor/includes/preview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1222", "wp-content/plugins/elementor/includes/rollback.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1223", "wp-content/plugins/elementor/includes/schemes/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1224", "wp-content/plugins/elementor/includes/schemes/color-picker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1225", "wp-content/plugins/elementor/includes/schemes/color.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1226", "wp-content/plugins/elementor/includes/schemes/typography.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1227", "wp-content/plugins/elementor/includes/settings/controls.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1228", "wp-content/plugins/elementor/includes/settings/settings-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1229", "wp-content/plugins/elementor/includes/settings/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1230", "wp-content/plugins/elementor/includes/settings/system-info/classes/abstracts/base-reporter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1231", "wp-content/plugins/elementor/includes/settings/system-info/classes/mu-plugins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1232", "wp-content/plugins/elementor/includes/settings/system-info/classes/network-plugins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1233", "wp-content/plugins/elementor/includes/settings/system-info/classes/plugins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1234", "wp-content/plugins/elementor/includes/settings/system-info/classes/server.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1235", "wp-content/plugins/elementor/includes/settings/system-info/classes/theme.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1236", "wp-content/plugins/elementor/includes/settings/system-info/classes/user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1237", "wp-content/plugins/elementor/includes/settings/system-info/classes/wordpress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1238", "wp-content/plugins/elementor/includes/settings/system-info/helpers/model-helper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1239", "wp-content/plugins/elementor/includes/settings/system-info/main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1240", "wp-content/plugins/elementor/includes/settings/system-info/templates/html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1241", "wp-content/plugins/elementor/includes/settings/system-info/templates/raw.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1242", "wp-content/plugins/elementor/includes/settings/tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1243", "wp-content/plugins/elementor/includes/settings/validations.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1244", "wp-content/plugins/elementor/includes/shapes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1245", "wp-content/plugins/elementor/includes/stylesheet.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1246", "wp-content/plugins/elementor/includes/template-library/classes/class-import-images.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1247", "wp-content/plugins/elementor/includes/template-library/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1248", "wp-content/plugins/elementor/includes/template-library/sources/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1249", "wp-content/plugins/elementor/includes/template-library/sources/local.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1250", "wp-content/plugins/elementor/includes/template-library/sources/remote.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1251", "wp-content/plugins/elementor/includes/tracker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1252", "wp-content/plugins/elementor/includes/user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1253", "wp-content/plugins/elementor/includes/utils.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1254", "wp-content/plugins/elementor/includes/widgets/accordion.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1255", "wp-content/plugins/elementor/includes/widgets/alert.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1256", "wp-content/plugins/elementor/includes/widgets/audio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1257", "wp-content/plugins/elementor/includes/widgets/button.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1258", "wp-content/plugins/elementor/includes/widgets/common.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1259", "wp-content/plugins/elementor/includes/widgets/counter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1260", "wp-content/plugins/elementor/includes/widgets/divider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1261", "wp-content/plugins/elementor/includes/widgets/google-maps.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1262", "wp-content/plugins/elementor/includes/widgets/heading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1263", "wp-content/plugins/elementor/includes/widgets/html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1264", "wp-content/plugins/elementor/includes/widgets/icon-box.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1265", "wp-content/plugins/elementor/includes/widgets/icon-list.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1266", "wp-content/plugins/elementor/includes/widgets/icon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1267", "wp-content/plugins/elementor/includes/widgets/image-box.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1268", "wp-content/plugins/elementor/includes/widgets/image-carousel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1269", "wp-content/plugins/elementor/includes/widgets/image-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1270", "wp-content/plugins/elementor/includes/widgets/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1271", "wp-content/plugins/elementor/includes/widgets/menu-anchor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1272", "wp-content/plugins/elementor/includes/widgets/progress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1273", "wp-content/plugins/elementor/includes/widgets/read-more.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1274", "wp-content/plugins/elementor/includes/widgets/shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1275", "wp-content/plugins/elementor/includes/widgets/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1276", "wp-content/plugins/elementor/includes/widgets/social-icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1277", "wp-content/plugins/elementor/includes/widgets/spacer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1278", "wp-content/plugins/elementor/includes/widgets/star-rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1279", "wp-content/plugins/elementor/includes/widgets/tabs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1280", "wp-content/plugins/elementor/includes/widgets/testimonial.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1281", "wp-content/plugins/elementor/includes/widgets/text-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1282", "wp-content/plugins/elementor/includes/widgets/toggle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1283", "wp-content/plugins/elementor/includes/widgets/video.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1284", "wp-content/plugins/elementor/includes/widgets/wordpress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1285", "wp-content/plugins/elementor/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("1286", "wp-content/plugins/elementor/modules/dynamic-tags/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1287", "wp-content/plugins/elementor/modules/gutenberg/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1288", "wp-content/plugins/elementor/modules/history/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1289", "wp-content/plugins/elementor/modules/history/revisions-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1290", "wp-content/plugins/elementor/modules/history/views/history-panel-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1291", "wp-content/plugins/elementor/modules/history/views/revisions-panel-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1292", "wp-content/plugins/elementor/modules/library/documents/library-document.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1293", "wp-content/plugins/elementor/modules/library/documents/not-supported.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1294", "wp-content/plugins/elementor/modules/library/documents/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1295", "wp-content/plugins/elementor/modules/library/documents/section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1296", "wp-content/plugins/elementor/modules/library/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1297", "wp-content/plugins/elementor/modules/page-templates/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1298", "wp-content/plugins/elementor/modules/page-templates/templates/canvas.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1299", "wp-content/plugins/elementor/modules/page-templates/templates/header-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1300", "wp-content/plugins/elementor/modules/safe-mode/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1301", "wp-content/plugins/elementor/modules/safe-mode/mu-plugin/elementor-safe-mode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1302", "wp-content/plugins/elementor/modules/wp-cli/cli-logger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1303", "wp-content/plugins/elementor/modules/wp-cli/command.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1304", "wp-content/plugins/elementor/modules/wp-cli/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1305", "wp-content/plugins/elementor/modules/wp-cli/update.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1306", "wp-content/plugins/elementor/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("1307", "wp-content/plugins/elementor-pro/assets/js/admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1308", "wp-content/plugins/elementor-pro/assets/js/admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1309", "wp-content/plugins/elementor-pro/assets/js/editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1310", "wp-content/plugins/elementor-pro/assets/js/editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1311", "wp-content/plugins/elementor-pro/assets/js/frontend.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1312", "wp-content/plugins/elementor-pro/assets/js/frontend.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1313", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/brands.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1314", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/light.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1315", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/regular.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1316", "wp-content/plugins/elementor-pro/assets/lib/font-awesome-pro/solid.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1317", "wp-content/plugins/elementor-pro/assets/lib/smartmenus/jquery.smartmenus.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1318", "wp-content/plugins/elementor-pro/assets/lib/smartmenus/jquery.smartmenus.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1319", "wp-content/plugins/elementor-pro/assets/lib/social-share/social-share.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1320", "wp-content/plugins/elementor-pro/assets/lib/social-share/social-share.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1321", "wp-content/plugins/elementor-pro/assets/lib/sticky/jquery.sticky.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1322", "wp-content/plugins/elementor-pro/assets/lib/sticky/jquery.sticky.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1323", "wp-content/plugins/elementor-pro/base/base-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1324", "wp-content/plugins/elementor-pro/base/module-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1325", "wp-content/plugins/elementor-pro/classes/utils.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1326", "wp-content/plugins/elementor-pro/core/connect/apps/activate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1327", "wp-content/plugins/elementor-pro/core/connect/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1328", "wp-content/plugins/elementor-pro/core/editor/editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1329", "wp-content/plugins/elementor-pro/core/editor/notice-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1330", "wp-content/plugins/elementor-pro/core/editor/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1331", "wp-content/plugins/elementor-pro/core/upgrade/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1332", "wp-content/plugins/elementor-pro/core/upgrade/upgrades.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1333", "wp-content/plugins/elementor-pro/elementor-pro.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1334", "wp-content/plugins/elementor-pro/includes/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1335", "wp-content/plugins/elementor-pro/includes/modules-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1336", "wp-content/plugins/elementor-pro/license/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1337", "wp-content/plugins/elementor-pro/license/api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1338", "wp-content/plugins/elementor-pro/license/updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1339", "wp-content/plugins/elementor-pro/modules/animated-headline/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1340", "wp-content/plugins/elementor-pro/modules/animated-headline/widgets/animated-headline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1341", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/fonts/custom-fonts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1342", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/fonts/typekit-fonts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1343", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/fonts-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1344", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/custom-icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1345", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/font-awesome-pro.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1346", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/fontastic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1347", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/fontello.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1348", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/icomoon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1349", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/icon-sets/icon-set-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1350", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons/templates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1351", "wp-content/plugins/elementor-pro/modules/assets-manager/asset-types/icons-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1352", "wp-content/plugins/elementor-pro/modules/assets-manager/classes/assets-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1353", "wp-content/plugins/elementor-pro/modules/assets-manager/classes/font-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1354", "wp-content/plugins/elementor-pro/modules/assets-manager/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1355", "wp-content/plugins/elementor-pro/modules/blockquote/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1356", "wp-content/plugins/elementor-pro/modules/blockquote/widgets/blockquote.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1357", "wp-content/plugins/elementor-pro/modules/call-to-action/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1358", "wp-content/plugins/elementor-pro/modules/call-to-action/widgets/call-to-action.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1359", "wp-content/plugins/elementor-pro/modules/carousel/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1360", "wp-content/plugins/elementor-pro/modules/carousel/widgets/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1361", "wp-content/plugins/elementor-pro/modules/carousel/widgets/media-carousel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1362", "wp-content/plugins/elementor-pro/modules/carousel/widgets/reviews.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1363", "wp-content/plugins/elementor-pro/modules/carousel/widgets/testimonial-carousel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1364", "wp-content/plugins/elementor-pro/modules/countdown/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1365", "wp-content/plugins/elementor-pro/modules/countdown/widgets/countdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1366", "wp-content/plugins/elementor-pro/modules/custom-attributes/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1367", "wp-content/plugins/elementor-pro/modules/custom-css/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1368", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1369", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1370", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1371", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1372", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1373", "wp-content/plugins/elementor-pro/modules/dynamic-tags/acf/tags/acf-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1374", "wp-content/plugins/elementor-pro/modules/dynamic-tags/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1375", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1376", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1377", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1378", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1379", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1380", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1381", "wp-content/plugins/elementor-pro/modules/dynamic-tags/pods/tags/pods-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1382", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-description.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1383", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1384", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1385", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/archive-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1386", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1387", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1388", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-name.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1389", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-profile-picture.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1390", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/author-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1391", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/comments-number.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1392", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/comments-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1393", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/contact-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1394", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/current-date-time.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1395", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/featured-image-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1396", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/internal-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1397", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/lightbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1398", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/page-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1399", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-custom-field.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1400", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1401", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-excerpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1402", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-featured-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1403", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1404", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-id.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1405", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-terms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1406", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-time.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1407", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1408", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/post-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1409", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/request-parameter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1410", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1411", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-logo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1412", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-tagline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1413", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1414", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/site-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1415", "wp-content/plugins/elementor-pro/modules/dynamic-tags/tags/user-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1416", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1417", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1418", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1419", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1420", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1421", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1422", "wp-content/plugins/elementor-pro/modules/dynamic-tags/toolset/tags/toolset-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1423", "wp-content/plugins/elementor-pro/modules/flip-box/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1424", "wp-content/plugins/elementor-pro/modules/flip-box/widgets/flip-box.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1425", "wp-content/plugins/elementor-pro/modules/forms/actions/activecampaign.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1426", "wp-content/plugins/elementor-pro/modules/forms/actions/activity-log.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1427", "wp-content/plugins/elementor-pro/modules/forms/actions/cf7db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1428", "wp-content/plugins/elementor-pro/modules/forms/actions/convertkit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1429", "wp-content/plugins/elementor-pro/modules/forms/actions/discord.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1430", "wp-content/plugins/elementor-pro/modules/forms/actions/drip.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1431", "wp-content/plugins/elementor-pro/modules/forms/actions/email.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1432", "wp-content/plugins/elementor-pro/modules/forms/actions/email2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1433", "wp-content/plugins/elementor-pro/modules/forms/actions/getresponse.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1434", "wp-content/plugins/elementor-pro/modules/forms/actions/mailchimp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1435", "wp-content/plugins/elementor-pro/modules/forms/actions/mailerlite.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1436", "wp-content/plugins/elementor-pro/modules/forms/actions/mailpoet.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1437", "wp-content/plugins/elementor-pro/modules/forms/actions/mailpoet3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1438", "wp-content/plugins/elementor-pro/modules/forms/actions/redirect.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1439", "wp-content/plugins/elementor-pro/modules/forms/actions/slack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1440", "wp-content/plugins/elementor-pro/modules/forms/actions/webhook.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1441", "wp-content/plugins/elementor-pro/modules/forms/classes/action-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1442", "wp-content/plugins/elementor-pro/modules/forms/classes/activecampaign-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1443", "wp-content/plugins/elementor-pro/modules/forms/classes/ajax-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1444", "wp-content/plugins/elementor-pro/modules/forms/classes/convertkit-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1445", "wp-content/plugins/elementor-pro/modules/forms/classes/drip-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1446", "wp-content/plugins/elementor-pro/modules/forms/classes/form-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1447", "wp-content/plugins/elementor-pro/modules/forms/classes/form-record.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1448", "wp-content/plugins/elementor-pro/modules/forms/classes/getresponse-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1449", "wp-content/plugins/elementor-pro/modules/forms/classes/honeypot-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1450", "wp-content/plugins/elementor-pro/modules/forms/classes/integration-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1451", "wp-content/plugins/elementor-pro/modules/forms/classes/mailchimp-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1452", "wp-content/plugins/elementor-pro/modules/forms/classes/mailerlite-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1453", "wp-content/plugins/elementor-pro/modules/forms/classes/recaptcha-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1454", "wp-content/plugins/elementor-pro/modules/forms/classes/recaptcha-v3-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1455", "wp-content/plugins/elementor-pro/modules/forms/classes/rest-client.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1456", "wp-content/plugins/elementor-pro/modules/forms/controls/fields-map.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1457", "wp-content/plugins/elementor-pro/modules/forms/fields/acceptance.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1458", "wp-content/plugins/elementor-pro/modules/forms/fields/date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1459", "wp-content/plugins/elementor-pro/modules/forms/fields/field-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1460", "wp-content/plugins/elementor-pro/modules/forms/fields/number.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1461", "wp-content/plugins/elementor-pro/modules/forms/fields/tel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1462", "wp-content/plugins/elementor-pro/modules/forms/fields/time.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1463", "wp-content/plugins/elementor-pro/modules/forms/fields/upload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1464", "wp-content/plugins/elementor-pro/modules/forms/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1465", "wp-content/plugins/elementor-pro/modules/forms/widgets/form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1466", "wp-content/plugins/elementor-pro/modules/forms/widgets/login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1467", "wp-content/plugins/elementor-pro/modules/global-widget/documents/widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1468", "wp-content/plugins/elementor-pro/modules/global-widget/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1469", "wp-content/plugins/elementor-pro/modules/global-widget/views/panel-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1470", "wp-content/plugins/elementor-pro/modules/global-widget/widgets/global-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1471", "wp-content/plugins/elementor-pro/modules/library/classes/shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1472", "wp-content/plugins/elementor-pro/modules/library/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1473", "wp-content/plugins/elementor-pro/modules/library/widgets/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1474", "wp-content/plugins/elementor-pro/modules/library/wp-widgets/elementor-library.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1475", "wp-content/plugins/elementor-pro/modules/link-actions/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1476", "wp-content/plugins/elementor-pro/modules/motion-fx/controls-group.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1477", "wp-content/plugins/elementor-pro/modules/motion-fx/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1478", "wp-content/plugins/elementor-pro/modules/nav-menu/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1479", "wp-content/plugins/elementor-pro/modules/nav-menu/widgets/nav-menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1480", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/devices.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1481", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/logged_in.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1482", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/page_views.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1483", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/sessions.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1484", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/sources.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1485", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/times.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1486", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/url.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1487", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing/visits.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1488", "wp-content/plugins/elementor-pro/modules/popup/assets/images/timing-tab.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1489", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/click.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1490", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/exit_intent.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1491", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/inactivity.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1492", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/page_load.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1493", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/scrolling.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1494", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers/scrolling_to.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1495", "wp-content/plugins/elementor-pro/modules/popup/assets/images/triggers-tab.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1496", "wp-content/plugins/elementor-pro/modules/popup/display-settings/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1497", "wp-content/plugins/elementor-pro/modules/popup/display-settings/timing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1498", "wp-content/plugins/elementor-pro/modules/popup/display-settings/triggers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1499", "wp-content/plugins/elementor-pro/modules/popup/document.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1500", "wp-content/plugins/elementor-pro/modules/popup/form-action.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1501", "wp-content/plugins/elementor-pro/modules/popup/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1502", "wp-content/plugins/elementor-pro/modules/popup/tag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1503", "wp-content/plugins/elementor-pro/modules/posts/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1504", "wp-content/plugins/elementor-pro/modules/posts/skins/skin-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1505", "wp-content/plugins/elementor-pro/modules/posts/skins/skin-cards.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1506", "wp-content/plugins/elementor-pro/modules/posts/skins/skin-classic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1507", "wp-content/plugins/elementor-pro/modules/posts/widgets/portfolio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1508", "wp-content/plugins/elementor-pro/modules/posts/widgets/posts-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1509", "wp-content/plugins/elementor-pro/modules/posts/widgets/posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1510", "wp-content/plugins/elementor-pro/modules/pricing/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1511", "wp-content/plugins/elementor-pro/modules/pricing/widgets/price-list.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1512", "wp-content/plugins/elementor-pro/modules/pricing/widgets/price-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1513", "wp-content/plugins/elementor-pro/modules/query-control/classes/elementor-post-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1514", "wp-content/plugins/elementor-pro/modules/query-control/classes/elementor-related-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1515", "wp-content/plugins/elementor-pro/modules/query-control/controls/group-control-posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1516", "wp-content/plugins/elementor-pro/modules/query-control/controls/group-control-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1517", "wp-content/plugins/elementor-pro/modules/query-control/controls/group-control-related.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1518", "wp-content/plugins/elementor-pro/modules/query-control/controls/query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1519", "wp-content/plugins/elementor-pro/modules/query-control/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1520", "wp-content/plugins/elementor-pro/modules/role-manager/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1521", "wp-content/plugins/elementor-pro/modules/share-buttons/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1522", "wp-content/plugins/elementor-pro/modules/share-buttons/widgets/share-buttons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1523", "wp-content/plugins/elementor-pro/modules/slides/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1524", "wp-content/plugins/elementor-pro/modules/slides/widgets/slides.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1525", "wp-content/plugins/elementor-pro/modules/social/classes/facebook-sdk-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1526", "wp-content/plugins/elementor-pro/modules/social/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1527", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-button.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1528", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1529", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1530", "wp-content/plugins/elementor-pro/modules/social/widgets/facebook-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1531", "wp-content/plugins/elementor-pro/modules/sticky/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1532", "wp-content/plugins/elementor-pro/modules/theme-builder/api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1533", "wp-content/plugins/elementor-pro/modules/theme-builder/assets/images/conditions-tab.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1534", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1535", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1536", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-repeater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1537", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/locations-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1538", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/preview-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1539", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/template-conditions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1540", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/templates-types-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1541", "wp-content/plugins/elementor-pro/modules/theme-builder/classes/theme-support.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1542", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/any-child-of-term.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1543", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/any-child-of.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1544", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1545", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/author.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1546", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/by-author.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1547", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/child-of-term.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1548", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/child-of.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1549", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/condition-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1550", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1551", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/front-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1552", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1553", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/in-sub-term.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1554", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/in-taxonomy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1555", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/not-found404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1556", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/post-type-archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1557", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/post-type-by-author.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1558", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1559", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1560", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/singular.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1561", "wp-content/plugins/elementor-pro/modules/theme-builder/conditions/taxonomy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1562", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1563", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1564", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/header-footer-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1565", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1566", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1567", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1568", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/theme-document.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1569", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/theme-page-document.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1570", "wp-content/plugins/elementor-pro/modules/theme-builder/documents/theme-section-document.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1571", "wp-content/plugins/elementor-pro/modules/theme-builder/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1572", "wp-content/plugins/elementor-pro/modules/theme-builder/skins/post-comments-skin-classic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1573", "wp-content/plugins/elementor-pro/modules/theme-builder/skins/posts-archive-skin-cards.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1574", "wp-content/plugins/elementor-pro/modules/theme-builder/skins/posts-archive-skin-classic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1575", "wp-content/plugins/elementor-pro/modules/theme-builder/theme-support/generate-press-theme-support.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1576", "wp-content/plugins/elementor-pro/modules/theme-builder/theme-support/safe-mode-theme-support.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1577", "wp-content/plugins/elementor-pro/modules/theme-builder/views/comments-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1578", "wp-content/plugins/elementor-pro/modules/theme-builder/views/panel-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1579", "wp-content/plugins/elementor-pro/modules/theme-builder/views/theme-support-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1580", "wp-content/plugins/elementor-pro/modules/theme-builder/views/theme-support-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1581", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/archive-posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1582", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/archive-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1583", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/page-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1584", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1585", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-excerpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1586", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-featured-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1587", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/post-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1588", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/site-logo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1589", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/site-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1590", "wp-content/plugins/elementor-pro/modules/theme-builder/widgets/title-widget-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1591", "wp-content/plugins/elementor-pro/modules/theme-elements/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1592", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/author-box.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1593", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1594", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/breadcrumbs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1595", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/post-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1596", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/post-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1597", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/post-navigation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1598", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/search-form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1599", "wp-content/plugins/elementor-pro/modules/theme-elements/widgets/sitemap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1600", "wp-content/plugins/elementor-pro/modules/woocommerce/classes/current-query-renderer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1601", "wp-content/plugins/elementor-pro/modules/woocommerce/classes/products-renderer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1602", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/product-archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1603", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/product-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1604", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/shop-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1605", "wp-content/plugins/elementor-pro/modules/woocommerce/conditions/woocommerce.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1606", "wp-content/plugins/elementor-pro/modules/woocommerce/documents/product-archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1607", "wp-content/plugins/elementor-pro/modules/woocommerce/documents/product-post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1608", "wp-content/plugins/elementor-pro/modules/woocommerce/documents/product.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1609", "wp-content/plugins/elementor-pro/modules/woocommerce/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1610", "wp-content/plugins/elementor-pro/modules/woocommerce/skins/skin-classic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1611", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/base-data-tag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1612", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/base-tag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1613", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/category-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1614", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1615", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1616", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-price.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1617", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1618", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-sale.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1619", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-short-description.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1620", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-sku.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1621", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-stock.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1622", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-terms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1623", "wp-content/plugins/elementor-pro/modules/woocommerce/tags/product-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1624", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/add-to-cart.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1625", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/archive-description.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1626", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/archive-products-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1627", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/archive-products.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1628", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/breadcrumb.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1629", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/categories.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1630", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/category-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1631", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/elements.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1632", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/menu-cart.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1633", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-add-to-cart.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1634", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-additional-information.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1635", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1636", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-data-tabs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1637", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-images.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1638", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1639", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-price.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1640", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1641", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-related.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1642", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-short-description.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1643", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-stock.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1644", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1645", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/product-upsell.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1646", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/products-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1647", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/products-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1648", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/products.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1649", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/single-elements.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1650", "wp-content/plugins/elementor-pro/modules/woocommerce/widgets/widget-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1651", "wp-content/plugins/elementor-pro/modules/wp-cli/license-command.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1652", "wp-content/plugins/elementor-pro/modules/wp-cli/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1653", "wp-content/plugins/elementor-pro/modules/wp-cli/update.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1654", "wp-content/plugins/elementor-pro/plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1655", "wp-content/plugins/imagify/assets/css/admin-bar.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1656", "wp-content/plugins/imagify/assets/css/admin-bar.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1657", "wp-content/plugins/imagify/assets/css/admin.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1658", "wp-content/plugins/imagify/assets/css/admin.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1659", "wp-content/plugins/imagify/assets/css/bulk.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1660", "wp-content/plugins/imagify/assets/css/bulk.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1661", "wp-content/plugins/imagify/assets/css/files-list.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1662", "wp-content/plugins/imagify/assets/css/files-list.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1663", "wp-content/plugins/imagify/assets/css/notices.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1664", "wp-content/plugins/imagify/assets/css/notices.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1665", "wp-content/plugins/imagify/assets/css/options.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1666", "wp-content/plugins/imagify/assets/css/options.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1667", "wp-content/plugins/imagify/assets/css/pricing-modal.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1668", "wp-content/plugins/imagify/assets/css/pricing-modal.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1669", "wp-content/plugins/imagify/assets/css/sweetalert-custom.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1670", "wp-content/plugins/imagify/assets/css/sweetalert-custom.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1671", "wp-content/plugins/imagify/assets/css/sweetalert2.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1672", "wp-content/plugins/imagify/assets/css/sweetalert2.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1673", "wp-content/plugins/imagify/assets/css/twentytwenty.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1674", "wp-content/plugins/imagify/assets/css/twentytwenty.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("1675", "wp-content/plugins/imagify/assets/images/big-blue-check.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1676", "wp-content/plugins/imagify/assets/images/bulk.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1677", "wp-content/plugins/imagify/assets/images/check-1.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1678", "wp-content/plugins/imagify/assets/images/check-mini-1.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1679", "wp-content/plugins/imagify/assets/images/check-mini.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1680", "wp-content/plugins/imagify/assets/images/check.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1681", "wp-content/plugins/imagify/assets/images/cloudy-sun.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1682", "wp-content/plugins/imagify/assets/images/facebook_c.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1683", "wp-content/plugins/imagify/assets/images/gear.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1684", "wp-content/plugins/imagify/assets/images/icon-alert.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1685", "wp-content/plugins/imagify/assets/images/icon-arrow-choice.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1686", "wp-content/plugins/imagify/assets/images/icon-arrow-choice.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1687", "wp-content/plugins/imagify/assets/images/icon-doc-image.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1688", "wp-content/plugins/imagify/assets/images/icon-external.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1689", "wp-content/plugins/imagify/assets/images/icon-level.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1690", "wp-content/plugins/imagify/assets/images/icon-load.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1691", "wp-content/plugins/imagify/assets/images/icon-lock.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1692", "wp-content/plugins/imagify/assets/images/icon-lock.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1693", "wp-content/plugins/imagify/assets/images/icon-pack.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1694", "wp-content/plugins/imagify/assets/images/icon-pack.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1695", "wp-content/plugins/imagify/assets/images/icon-time.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1696", "wp-content/plugins/imagify/assets/images/imagify-logo.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1697", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-de.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1698", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-en.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1699", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-es.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1700", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-fr.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1701", "wp-content/plugins/imagify/assets/images/imagify-menu-bar-it.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1702", "wp-content/plugins/imagify/assets/images/key.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1703", "wp-content/plugins/imagify/assets/images/lazyload.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1704", "wp-content/plugins/imagify/assets/images/loader-balls.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1705", "wp-content/plugins/imagify/assets/images/logo-wprocket.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1706", "wp-content/plugins/imagify/assets/images/logo-wprocket.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1707", "wp-content/plugins/imagify/assets/images/logo-wprocket@2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1708", "wp-content/plugins/imagify/assets/images/mail.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1709", "wp-content/plugins/imagify/assets/images/mushrooms-aggressive.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1710", "wp-content/plugins/imagify/assets/images/mushrooms-normal.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1711", "wp-content/plugins/imagify/assets/images/mushrooms-original.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1712", "wp-content/plugins/imagify/assets/images/mushrooms-ultra.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1713", "wp-content/plugins/imagify/assets/images/phone.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1714", "wp-content/plugins/imagify/assets/images/pic-ericwaltr.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1715", "wp-content/plugins/imagify/assets/images/pic-srhdesign.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1716", "wp-content/plugins/imagify/assets/images/popin-loader.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1717", "wp-content/plugins/imagify/assets/images/spinner.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("1718", "wp-content/plugins/imagify/assets/images/stormy.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1719", "wp-content/plugins/imagify/assets/images/sun.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1720", "wp-content/plugins/imagify/assets/images/twitter_c.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1721", "wp-content/plugins/imagify/assets/images/upload-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("1722", "wp-content/plugins/imagify/assets/images/user.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("1723", "wp-content/plugins/imagify/assets/js/admin-bar.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1724", "wp-content/plugins/imagify/assets/js/admin-bar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1725", "wp-content/plugins/imagify/assets/js/admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1726", "wp-content/plugins/imagify/assets/js/admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1727", "wp-content/plugins/imagify/assets/js/beat.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1728", "wp-content/plugins/imagify/assets/js/beat.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1729", "wp-content/plugins/imagify/assets/js/bulk.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1730", "wp-content/plugins/imagify/assets/js/bulk.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1731", "wp-content/plugins/imagify/assets/js/chart.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1732", "wp-content/plugins/imagify/assets/js/chart.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1733", "wp-content/plugins/imagify/assets/js/es6-promise.auto.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1734", "wp-content/plugins/imagify/assets/js/es6-promise.auto.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1735", "wp-content/plugins/imagify/assets/js/files-list.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1736", "wp-content/plugins/imagify/assets/js/files-list.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1737", "wp-content/plugins/imagify/assets/js/imagify-gulp.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1738", "wp-content/plugins/imagify/assets/js/imagify-gulp.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1739", "wp-content/plugins/imagify/assets/js/jquery.event.move.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1740", "wp-content/plugins/imagify/assets/js/jquery.event.move.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1741", "wp-content/plugins/imagify/assets/js/jquery.twentytwenty.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1742", "wp-content/plugins/imagify/assets/js/jquery.twentytwenty.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1743", "wp-content/plugins/imagify/assets/js/library.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1744", "wp-content/plugins/imagify/assets/js/library.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1745", "wp-content/plugins/imagify/assets/js/media-modal.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1746", "wp-content/plugins/imagify/assets/js/media-modal.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1747", "wp-content/plugins/imagify/assets/js/notices.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1748", "wp-content/plugins/imagify/assets/js/notices.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1749", "wp-content/plugins/imagify/assets/js/options.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1750", "wp-content/plugins/imagify/assets/js/options.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1751", "wp-content/plugins/imagify/assets/js/pricing-modal.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1752", "wp-content/plugins/imagify/assets/js/pricing-modal.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1753", "wp-content/plugins/imagify/assets/js/sweetalert2.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1754", "wp-content/plugins/imagify/assets/js/sweetalert2.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("1755", "wp-content/plugins/imagify/classes/Auth/Basic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1756", "wp-content/plugins/imagify/classes/Bulk/AbstractBulk.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1757", "wp-content/plugins/imagify/classes/Bulk/BulkInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1758", "wp-content/plugins/imagify/classes/Bulk/CustomFolders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1759", "wp-content/plugins/imagify/classes/Bulk/Noop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1760", "wp-content/plugins/imagify/classes/Bulk/WP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1761", "wp-content/plugins/imagify/classes/CDN/PushCDNInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1762", "wp-content/plugins/imagify/classes/Context/AbstractContext.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1763", "wp-content/plugins/imagify/classes/Context/ContextInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1764", "wp-content/plugins/imagify/classes/Context/CustomFolders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1765", "wp-content/plugins/imagify/classes/Context/Noop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1766", "wp-content/plugins/imagify/classes/Context/WP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1767", "wp-content/plugins/imagify/classes/DB/DBInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1768", "wp-content/plugins/imagify/classes/Imagifybeat/Actions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1769", "wp-content/plugins/imagify/classes/Imagifybeat/Core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1770", "wp-content/plugins/imagify/classes/Job/MediaOptimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1771", "wp-content/plugins/imagify/classes/Media/AbstractMedia.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1772", "wp-content/plugins/imagify/classes/Media/CustomFolders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1773", "wp-content/plugins/imagify/classes/Media/MediaInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1774", "wp-content/plugins/imagify/classes/Media/Noop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1775", "wp-content/plugins/imagify/classes/Media/WP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1776", "wp-content/plugins/imagify/classes/Optimization/Data/AbstractData.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1777", "wp-content/plugins/imagify/classes/Optimization/Data/CustomFolders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1778", "wp-content/plugins/imagify/classes/Optimization/Data/DataInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1779", "wp-content/plugins/imagify/classes/Optimization/Data/Noop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1780", "wp-content/plugins/imagify/classes/Optimization/Data/WP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1781", "wp-content/plugins/imagify/classes/Optimization/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1782", "wp-content/plugins/imagify/classes/Optimization/Process/AbstractProcess.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1783", "wp-content/plugins/imagify/classes/Optimization/Process/CustomFolders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1784", "wp-content/plugins/imagify/classes/Optimization/Process/Noop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1785", "wp-content/plugins/imagify/classes/Optimization/Process/ProcessInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1786", "wp-content/plugins/imagify/classes/Optimization/Process/WP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1787", "wp-content/plugins/imagify/classes/Stats/OptimizedMediaWithoutWebp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1788", "wp-content/plugins/imagify/classes/Stats/StatInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1789", "wp-content/plugins/imagify/classes/Traits/InstanceGetterTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1790", "wp-content/plugins/imagify/classes/Traits/MediaRowTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1791", "wp-content/plugins/imagify/classes/Webp/Apache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1792", "wp-content/plugins/imagify/classes/Webp/Display.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1793", "wp-content/plugins/imagify/classes/Webp/IIS.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1794", "wp-content/plugins/imagify/classes/Webp/Picture/Display.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1795", "wp-content/plugins/imagify/classes/Webp/RewriteRules/Apache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1796", "wp-content/plugins/imagify/classes/Webp/RewriteRules/Display.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1797", "wp-content/plugins/imagify/classes/Webp/RewriteRules/IIS.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1798", "wp-content/plugins/imagify/classes/Webp/RewriteRules/Nginx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1799", "wp-content/plugins/imagify/classes/WriteFile/AbstractApacheDirConfFile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1800", "wp-content/plugins/imagify/classes/WriteFile/AbstractIISDirConfFile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1801", "wp-content/plugins/imagify/classes/WriteFile/AbstractNginxDirConfFile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1802", "wp-content/plugins/imagify/classes/WriteFile/AbstractWriteDirConfFile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1803", "wp-content/plugins/imagify/classes/WriteFile/WriteFileInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1804", "wp-content/plugins/imagify/composer.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("1805", "wp-content/plugins/imagify/composer.lock");
INSERT INTO `wpky_wfknownfilelist` VALUES("1806", "wp-content/plugins/imagify/contributors.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("1807", "wp-content/plugins/imagify/imagify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1808", "wp-content/plugins/imagify/inc/3rd-party/3rd-party.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1809", "wp-content/plugins/imagify/inc/3rd-party/amazon-s3-and-cloudfront/amazon-s3-and-cloudfront.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1810", "wp-content/plugins/imagify/inc/3rd-party/amazon-s3-and-cloudfront/classes/CDN/WP/AS3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1811", "wp-content/plugins/imagify/inc/3rd-party/amazon-s3-and-cloudfront/classes/Main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1812", "wp-content/plugins/imagify/inc/3rd-party/amp/amp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1813", "wp-content/plugins/imagify/inc/3rd-party/enable-media-replace/classes/Main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1814", "wp-content/plugins/imagify/inc/3rd-party/enable-media-replace/enable-media-replace.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1815", "wp-content/plugins/imagify/inc/3rd-party/formidable-pro/classes/Main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1816", "wp-content/plugins/imagify/inc/3rd-party/formidable-pro/formidable-pro.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1817", "wp-content/plugins/imagify/inc/3rd-party/hosting/flywheel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1818", "wp-content/plugins/imagify/inc/3rd-party/hosting/pressable.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1819", "wp-content/plugins/imagify/inc/3rd-party/hosting/siteground.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1820", "wp-content/plugins/imagify/inc/3rd-party/hosting/wordpress-com.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1821", "wp-content/plugins/imagify/inc/3rd-party/hosting/wpengine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1822", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Bulk/NGG.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1823", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Context/NGG.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1824", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/DB.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1825", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/DynamicThumbnails.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1826", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1827", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Media/NGG.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1828", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/NGGStorage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1829", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Optimization/Data/NGG.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1830", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/classes/Optimization/Process/NGG.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1831", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/bulk.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1832", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/enqueue.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1833", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1834", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/admin/menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1835", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/common/attachments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1836", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/functions/admin-stats.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1837", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/functions/attachments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1838", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/inc/functions/common.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1839", "wp-content/plugins/imagify/inc/3rd-party/nextgen-gallery/nextgen-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1840", "wp-content/plugins/imagify/inc/3rd-party/regenerate-thumbnails/classes/Main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1841", "wp-content/plugins/imagify/inc/3rd-party/regenerate-thumbnails/regenerate-thumbnails.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1842", "wp-content/plugins/imagify/inc/3rd-party/screets-lc.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1843", "wp-content/plugins/imagify/inc/3rd-party/wp-real-media-library.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1844", "wp-content/plugins/imagify/inc/3rd-party/wp-rocket/classes/Main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1845", "wp-content/plugins/imagify/inc/3rd-party/wp-rocket/wp-rocket.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1846", "wp-content/plugins/imagify/inc/3rd-party/yoast-seo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1847", "wp-content/plugins/imagify/inc/admin/custom-folders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1848", "wp-content/plugins/imagify/inc/admin/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1849", "wp-content/plugins/imagify/inc/admin/meta-boxes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1850", "wp-content/plugins/imagify/inc/admin/upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1851", "wp-content/plugins/imagify/inc/admin/upload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1852", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-background-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1853", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-cron.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1854", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1855", "wp-content/plugins/imagify/inc/classes/class-imagify-abstract-options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1856", "wp-content/plugins/imagify/inc/classes/class-imagify-admin-ajax-post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1857", "wp-content/plugins/imagify/inc/classes/class-imagify-assets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1858", "wp-content/plugins/imagify/inc/classes/class-imagify-auto-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1859", "wp-content/plugins/imagify/inc/classes/class-imagify-cron-library-size.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1860", "wp-content/plugins/imagify/inc/classes/class-imagify-cron-rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1861", "wp-content/plugins/imagify/inc/classes/class-imagify-cron-sync-files.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1862", "wp-content/plugins/imagify/inc/classes/class-imagify-custom-folders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1863", "wp-content/plugins/imagify/inc/classes/class-imagify-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1864", "wp-content/plugins/imagify/inc/classes/class-imagify-db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1865", "wp-content/plugins/imagify/inc/classes/class-imagify-files-db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1866", "wp-content/plugins/imagify/inc/classes/class-imagify-files-iterator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1867", "wp-content/plugins/imagify/inc/classes/class-imagify-files-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1868", "wp-content/plugins/imagify/inc/classes/class-imagify-files-recursive-iterator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1869", "wp-content/plugins/imagify/inc/classes/class-imagify-files-scan.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1870", "wp-content/plugins/imagify/inc/classes/class-imagify-files-stats.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1871", "wp-content/plugins/imagify/inc/classes/class-imagify-filesystem.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1872", "wp-content/plugins/imagify/inc/classes/class-imagify-folders-db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1873", "wp-content/plugins/imagify/inc/classes/class-imagify-notices.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1874", "wp-content/plugins/imagify/inc/classes/class-imagify-options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1875", "wp-content/plugins/imagify/inc/classes/class-imagify-plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1876", "wp-content/plugins/imagify/inc/classes/class-imagify-requirements-check.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1877", "wp-content/plugins/imagify/inc/classes/class-imagify-requirements.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1878", "wp-content/plugins/imagify/inc/classes/class-imagify-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1879", "wp-content/plugins/imagify/inc/classes/class-imagify-user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1880", "wp-content/plugins/imagify/inc/classes/class-imagify-views.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1881", "wp-content/plugins/imagify/inc/classes/class-imagify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1882", "wp-content/plugins/imagify/inc/common/admin-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1883", "wp-content/plugins/imagify/inc/common/attachments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1884", "wp-content/plugins/imagify/inc/common/partners.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1885", "wp-content/plugins/imagify/inc/deprecated/3rd-party.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1886", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-abstract-attachment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1887", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-abstract-db-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1888", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-admin-ajax-post-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1889", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-as3cf-attachment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1890", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-as3cf-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1891", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-assets-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1892", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-attachment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1893", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-enable-media-replace-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1894", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-file-attachment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1895", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-ngg-attachment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1896", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-ngg-dynamic-thumbnails-background-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1897", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-notices-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1898", "wp-content/plugins/imagify/inc/deprecated/classes/class-imagify-regenerate-thumbnails-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1899", "wp-content/plugins/imagify/inc/deprecated/deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1900", "wp-content/plugins/imagify/inc/functions/admin-stats.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1901", "wp-content/plugins/imagify/inc/functions/admin-ui.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1902", "wp-content/plugins/imagify/inc/functions/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1903", "wp-content/plugins/imagify/inc/functions/api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1904", "wp-content/plugins/imagify/inc/functions/attachments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1905", "wp-content/plugins/imagify/inc/functions/common.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1906", "wp-content/plugins/imagify/inc/functions/compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1907", "wp-content/plugins/imagify/inc/functions/formatting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1908", "wp-content/plugins/imagify/inc/functions/i18n.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1909", "wp-content/plugins/imagify/inc/functions/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1910", "wp-content/plugins/imagify/inc/functions/options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1911", "wp-content/plugins/imagify/inc/functions/partners.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1912", "wp-content/plugins/imagify/inc/functions/process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1913", "wp-content/plugins/imagify/package.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("1914", "wp-content/plugins/imagify/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("1915", "wp-content/plugins/imagify/uninstall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1916", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/.gitignore");
INSERT INTO `wpky_wfknownfilelist` VALUES("1917", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/README.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("1918", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/classes/wp-async-request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1919", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/classes/wp-background-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1920", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/composer.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("1921", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("1922", "wp-content/plugins/imagify/vendor/a5hleyrich/wp-background-processing/wp-background-processing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1923", "wp-content/plugins/imagify/vendor/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1924", "wp-content/plugins/imagify/vendor/composer/ClassLoader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1925", "wp-content/plugins/imagify/vendor/composer/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("1926", "wp-content/plugins/imagify/vendor/composer/autoload_classmap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1927", "wp-content/plugins/imagify/vendor/composer/autoload_namespaces.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1928", "wp-content/plugins/imagify/vendor/composer/autoload_psr4.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1929", "wp-content/plugins/imagify/vendor/composer/autoload_real.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1930", "wp-content/plugins/imagify/vendor/composer/autoload_static.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1931", "wp-content/plugins/imagify/vendor/composer/installed.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("1932", "wp-content/plugins/imagify/vendor/composer/installers/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("1933", "wp-content/plugins/imagify/vendor/composer/installers/composer.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("1934", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AglInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1935", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AimeosInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1936", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AnnotateCmsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1937", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AsgardInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1938", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/AttogramInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1939", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/BaseInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1940", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/BitrixInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1941", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/BonefishInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1942", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CakePHPInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1943", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ChefInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1944", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CiviCrmInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1945", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ClanCatsFrameworkInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1946", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CockpitInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1947", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CodeIgniterInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1948", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Concrete5Installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1949", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CraftInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1950", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/CroogoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1951", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DecibelInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1952", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DokuWikiInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1953", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DolibarrInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1954", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/DrupalInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1955", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ElggInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1956", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/EliasisInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1957", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ExpressionEngineInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1958", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/EzPlatformInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1959", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/FuelInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1960", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/FuelphpInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1961", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/GravInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1962", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/HuradInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1963", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ImageCMSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1964", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1965", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ItopInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1966", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/JoomlaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1967", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KanboardInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1968", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KirbyInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1969", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KodiCMSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1970", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/KohanaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1971", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LanManagementSystemInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1972", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LaravelInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1973", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LavaLiteInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1974", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/LithiumInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1975", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MODULEWorkInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1976", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MODXEvoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1977", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MagentoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1978", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MajimaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1979", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MakoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1980", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MauticInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1981", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MayaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1982", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MediaWikiInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1983", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MicroweberInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1984", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ModxInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1985", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/MoodleInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1986", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OctoberInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1987", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OntoWikiInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1988", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OsclassInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1989", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/OxidInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1990", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PPIInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1991", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PhiftyInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1992", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PhpBBInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1993", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PimcoreInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1994", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PiwikInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1995", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PlentymarketsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1996", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1997", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PortoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1998", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PrestashopInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("1999", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PuppetInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2000", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/PxcmsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2001", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/RadPHPInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2002", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ReIndexInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2003", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/RedaxoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2004", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/RoundcubeInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2005", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SMFInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2006", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ShopwareInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2007", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SilverStripeInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2008", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SiteDirectInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2009", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/SyDESInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2010", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/Symfony1Installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2011", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TYPO3CmsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2012", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TYPO3FlowInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2013", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TheliaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2014", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/TuskInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2015", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/UserFrostingInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2016", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/VanillaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2017", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/VgmcpInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2018", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/WHMCSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2019", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/WolfCMSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2020", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/WordPressInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2021", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/YawikInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2022", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ZendInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2023", "wp-content/plugins/imagify/vendor/composer/installers/src/Composer/Installers/ZikulaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2024", "wp-content/plugins/imagify/vendor/composer/installers/src/bootstrap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2025", "wp-content/plugins/imagify/vendor/dangoodman/composer-for-wordpress/ComposerForWordpress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2026", "wp-content/plugins/imagify/views/button/compare-images.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2027", "wp-content/plugins/imagify/views/button/delete-webp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2028", "wp-content/plugins/imagify/views/button/generate-webp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2029", "wp-content/plugins/imagify/views/button/optimize-missing-sizes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2030", "wp-content/plugins/imagify/views/button/optimize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2031", "wp-content/plugins/imagify/views/button/processing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2032", "wp-content/plugins/imagify/views/button/re-optimize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2033", "wp-content/plugins/imagify/views/button/refresh-status.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2034", "wp-content/plugins/imagify/views/button/restore.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2035", "wp-content/plugins/imagify/views/button/retry-optimize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2036", "wp-content/plugins/imagify/views/container/data-actions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2037", "wp-content/plugins/imagify/views/input/selector.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2038", "wp-content/plugins/imagify/views/modal-payment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2039", "wp-content/plugins/imagify/views/modal-settings-infos.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2040", "wp-content/plugins/imagify/views/modal-settings-partners-infos.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2041", "wp-content/plugins/imagify/views/modal-settings-visual-comparison.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2042", "wp-content/plugins/imagify/views/notice-almost-over-quota.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2043", "wp-content/plugins/imagify/views/notice-backup-folder-not-writable.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2044", "wp-content/plugins/imagify/views/notice-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2045", "wp-content/plugins/imagify/views/notice-grid-view.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2046", "wp-content/plugins/imagify/views/notice-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2047", "wp-content/plugins/imagify/views/notice-http-block-external.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2048", "wp-content/plugins/imagify/views/notice-plugins-to-deactivate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2049", "wp-content/plugins/imagify/views/notice-rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2050", "wp-content/plugins/imagify/views/notice-temporary.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2051", "wp-content/plugins/imagify/views/notice-welcome-steps.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2052", "wp-content/plugins/imagify/views/notice-wp-rocket.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2053", "wp-content/plugins/imagify/views/notice-wrong-api-key.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2054", "wp-content/plugins/imagify/views/page-bulk.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2055", "wp-content/plugins/imagify/views/page-files-list.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2056", "wp-content/plugins/imagify/views/page-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2057", "wp-content/plugins/imagify/views/part-bulk-optimization-header-row-custom-folders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2058", "wp-content/plugins/imagify/views/part-bulk-optimization-header-row-library.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2059", "wp-content/plugins/imagify/views/part-bulk-optimization-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2060", "wp-content/plugins/imagify/views/part-bulk-optimization-infos.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2061", "wp-content/plugins/imagify/views/part-bulk-optimization-newbie.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2062", "wp-content/plugins/imagify/views/part-bulk-optimization-overquota-alert.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2063", "wp-content/plugins/imagify/views/part-bulk-optimization-spinner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2064", "wp-content/plugins/imagify/views/part-bulk-optimization-success.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2065", "wp-content/plugins/imagify/views/part-bulk-optimization-table-row-folder-type.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2066", "wp-content/plugins/imagify/views/part-bulk-optimization-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2067", "wp-content/plugins/imagify/views/part-bulk-optimization-underscore-file-row-custom-folders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2068", "wp-content/plugins/imagify/views/part-bulk-optimization-underscore-file-row-library.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2069", "wp-content/plugins/imagify/views/part-discount-banner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2070", "wp-content/plugins/imagify/views/part-documentation-link.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2071", "wp-content/plugins/imagify/views/part-files-list-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2072", "wp-content/plugins/imagify/views/part-rocket-ad.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2073", "wp-content/plugins/imagify/views/part-settings-account.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2074", "wp-content/plugins/imagify/views/part-settings-custom-folders.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2075", "wp-content/plugins/imagify/views/part-settings-files-tree-row.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2076", "wp-content/plugins/imagify/views/part-settings-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2077", "wp-content/plugins/imagify/views/part-settings-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2078", "wp-content/plugins/imagify/views/part-settings-library.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2079", "wp-content/plugins/imagify/views/part-settings-row-custom-folder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2080", "wp-content/plugins/imagify/views/part-settings-webp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2081", "wp-content/plugins/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2082", "wp-content/plugins/loginizer/IPv6/BigInteger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2083", "wp-content/plugins/loginizer/IPv6/IPv6.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2084", "wp-content/plugins/loginizer/facebook.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2085", "wp-content/plugins/loginizer/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2086", "wp-content/plugins/loginizer/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2087", "wp-content/plugins/loginizer/init.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2088", "wp-content/plugins/loginizer/jquery-paginate.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2089", "wp-content/plugins/loginizer/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("2090", "wp-content/plugins/loginizer/loginizer-200.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2091", "wp-content/plugins/loginizer/loginizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2092", "wp-content/plugins/loginizer/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("2093", "wp-content/plugins/loginizer/screenshot-1.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2094", "wp-content/plugins/loginizer/screenshot-2.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2095", "wp-content/plugins/loginizer/screenshot-3.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2096", "wp-content/plugins/loginizer/twitter.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2097", "wp-content/plugins/ocean-cookie-notice/assets/js/customizer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2098", "wp-content/plugins/ocean-cookie-notice/assets/js/customizer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2099", "wp-content/plugins/ocean-cookie-notice/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2100", "wp-content/plugins/ocean-cookie-notice/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2101", "wp-content/plugins/ocean-cookie-notice/includes/customizer-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2102", "wp-content/plugins/ocean-cookie-notice/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2103", "wp-content/plugins/ocean-cookie-notice/ocean-cookie-notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2104", "wp-content/plugins/ocean-cookie-notice/template/notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2105", "wp-content/plugins/ocean-elementor-widgets/assets/img/instagram.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2106", "wp-content/plugins/ocean-elementor-widgets/assets/img/loader.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2107", "wp-content/plugins/ocean-elementor-widgets/assets/js/accordion.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2108", "wp-content/plugins/ocean-elementor-widgets/assets/js/accordion.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2109", "wp-content/plugins/ocean-elementor-widgets/assets/js/alert.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2110", "wp-content/plugins/ocean-elementor-widgets/assets/js/alert.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2111", "wp-content/plugins/ocean-elementor-widgets/assets/js/appear.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2112", "wp-content/plugins/ocean-elementor-widgets/assets/js/appear.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2113", "wp-content/plugins/ocean-elementor-widgets/assets/js/asPieProgress.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2114", "wp-content/plugins/ocean-elementor-widgets/assets/js/asPieProgress.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2115", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-carousel.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2116", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-carousel.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2117", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-grid.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2118", "wp-content/plugins/ocean-elementor-widgets/assets/js/blog-grid.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2119", "wp-content/plugins/ocean-elementor-widgets/assets/js/circle-progress.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2120", "wp-content/plugins/ocean-elementor-widgets/assets/js/circle-progress.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2121", "wp-content/plugins/ocean-elementor-widgets/assets/js/countdown.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2122", "wp-content/plugins/ocean-elementor-widgets/assets/js/countdown.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2123", "wp-content/plugins/ocean-elementor-widgets/assets/js/event.move.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2124", "wp-content/plugins/ocean-elementor-widgets/assets/js/event.move.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2125", "wp-content/plugins/ocean-elementor-widgets/assets/js/google-map.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2126", "wp-content/plugins/ocean-elementor-widgets/assets/js/google-map.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2127", "wp-content/plugins/ocean-elementor-widgets/assets/js/hotspots.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2128", "wp-content/plugins/ocean-elementor-widgets/assets/js/hotspots.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2129", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-comparison.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2130", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-comparison.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2131", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-gallery.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2132", "wp-content/plugins/ocean-elementor-widgets/assets/js/image-gallery.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2133", "wp-content/plugins/ocean-elementor-widgets/assets/js/instagram.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2134", "wp-content/plugins/ocean-elementor-widgets/assets/js/instagram.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2135", "wp-content/plugins/ocean-elementor-widgets/assets/js/isotope.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2136", "wp-content/plugins/ocean-elementor-widgets/assets/js/isotope.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2137", "wp-content/plugins/ocean-elementor-widgets/assets/js/member.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2138", "wp-content/plugins/ocean-elementor-widgets/assets/js/member.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2139", "wp-content/plugins/ocean-elementor-widgets/assets/js/modal.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2140", "wp-content/plugins/ocean-elementor-widgets/assets/js/modal.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2141", "wp-content/plugins/ocean-elementor-widgets/assets/js/morphext.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2142", "wp-content/plugins/ocean-elementor-widgets/assets/js/morphext.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2143", "wp-content/plugins/ocean-elementor-widgets/assets/js/navbar.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2144", "wp-content/plugins/ocean-elementor-widgets/assets/js/navbar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2145", "wp-content/plugins/ocean-elementor-widgets/assets/js/newsletter.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2146", "wp-content/plugins/ocean-elementor-widgets/assets/js/newsletter.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2147", "wp-content/plugins/ocean-elementor-widgets/assets/js/off-canvas.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2148", "wp-content/plugins/ocean-elementor-widgets/assets/js/off-canvas.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2149", "wp-content/plugins/ocean-elementor-widgets/assets/js/query-post.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2150", "wp-content/plugins/ocean-elementor-widgets/assets/js/query-post.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2151", "wp-content/plugins/ocean-elementor-widgets/assets/js/scroll-up.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2152", "wp-content/plugins/ocean-elementor-widgets/assets/js/scroll-up.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2153", "wp-content/plugins/ocean-elementor-widgets/assets/js/search-icon.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2154", "wp-content/plugins/ocean-elementor-widgets/assets/js/search-icon.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2155", "wp-content/plugins/ocean-elementor-widgets/assets/js/search.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2156", "wp-content/plugins/ocean-elementor-widgets/assets/js/search.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2157", "wp-content/plugins/ocean-elementor-widgets/assets/js/skillbar.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2158", "wp-content/plugins/ocean-elementor-widgets/assets/js/skillbar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2159", "wp-content/plugins/ocean-elementor-widgets/assets/js/slick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2160", "wp-content/plugins/ocean-elementor-widgets/assets/js/tabs.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2161", "wp-content/plugins/ocean-elementor-widgets/assets/js/tabs.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2162", "wp-content/plugins/ocean-elementor-widgets/assets/js/toggle.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2163", "wp-content/plugins/ocean-elementor-widgets/assets/js/toggle.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2164", "wp-content/plugins/ocean-elementor-widgets/assets/js/tooltip.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2165", "wp-content/plugins/ocean-elementor-widgets/assets/js/tooltip.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2166", "wp-content/plugins/ocean-elementor-widgets/assets/js/twentytwenty.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2167", "wp-content/plugins/ocean-elementor-widgets/assets/js/twentytwenty.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2168", "wp-content/plugins/ocean-elementor-widgets/assets/js/typed.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2169", "wp-content/plugins/ocean-elementor-widgets/assets/js/typed.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2170", "wp-content/plugins/ocean-elementor-widgets/assets/js/woo-slider.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2171", "wp-content/plugins/ocean-elementor-widgets/assets/js/woo-slider.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2172", "wp-content/plugins/ocean-elementor-widgets/base/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2173", "wp-content/plugins/ocean-elementor-widgets/includes/class-instagram-api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2174", "wp-content/plugins/ocean-elementor-widgets/includes/class-integration.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2175", "wp-content/plugins/ocean-elementor-widgets/includes/class-recaptcha.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2176", "wp-content/plugins/ocean-elementor-widgets/includes/compatibility/wpml/compatibility.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2177", "wp-content/plugins/ocean-elementor-widgets/includes/helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2178", "wp-content/plugins/ocean-elementor-widgets/includes/managers/modules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2179", "wp-content/plugins/ocean-elementor-widgets/includes/plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2180", "wp-content/plugins/ocean-elementor-widgets/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2181", "wp-content/plugins/ocean-elementor-widgets/modules/accordion/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2182", "wp-content/plugins/ocean-elementor-widgets/modules/accordion/widgets/accordion.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2183", "wp-content/plugins/ocean-elementor-widgets/modules/acf/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2184", "wp-content/plugins/ocean-elementor-widgets/modules/acf/widgets/acf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2185", "wp-content/plugins/ocean-elementor-widgets/modules/advanced-heading/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2186", "wp-content/plugins/ocean-elementor-widgets/modules/advanced-heading/widgets/advanced-heading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2187", "wp-content/plugins/ocean-elementor-widgets/modules/alert/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2188", "wp-content/plugins/ocean-elementor-widgets/modules/alert/widgets/alert.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2189", "wp-content/plugins/ocean-elementor-widgets/modules/animated-heading/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2190", "wp-content/plugins/ocean-elementor-widgets/modules/animated-heading/widgets/animated-heading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2191", "wp-content/plugins/ocean-elementor-widgets/modules/banner/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2192", "wp-content/plugins/ocean-elementor-widgets/modules/banner/widgets/banner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2193", "wp-content/plugins/ocean-elementor-widgets/modules/blog-carousel/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2194", "wp-content/plugins/ocean-elementor-widgets/modules/blog-carousel/widgets/blog-carousel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2195", "wp-content/plugins/ocean-elementor-widgets/modules/blog-grid/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2196", "wp-content/plugins/ocean-elementor-widgets/modules/blog-grid/widgets/blog-grid.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2197", "wp-content/plugins/ocean-elementor-widgets/modules/brands/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2198", "wp-content/plugins/ocean-elementor-widgets/modules/brands/widgets/brands.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2199", "wp-content/plugins/ocean-elementor-widgets/modules/business-hours/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2200", "wp-content/plugins/ocean-elementor-widgets/modules/business-hours/widgets/business-hours.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2201", "wp-content/plugins/ocean-elementor-widgets/modules/button-effects/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2202", "wp-content/plugins/ocean-elementor-widgets/modules/button-effects/widgets/button-effects.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2203", "wp-content/plugins/ocean-elementor-widgets/modules/buttons/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2204", "wp-content/plugins/ocean-elementor-widgets/modules/buttons/widgets/buttons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2205", "wp-content/plugins/ocean-elementor-widgets/modules/caldera-forms/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2206", "wp-content/plugins/ocean-elementor-widgets/modules/caldera-forms/widgets/caldera-forms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2207", "wp-content/plugins/ocean-elementor-widgets/modules/call-to-action/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2208", "wp-content/plugins/ocean-elementor-widgets/modules/call-to-action/widgets/call-to-action.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2209", "wp-content/plugins/ocean-elementor-widgets/modules/circle-progress/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2210", "wp-content/plugins/ocean-elementor-widgets/modules/circle-progress/widgets/circle-progress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2211", "wp-content/plugins/ocean-elementor-widgets/modules/contact-form/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2212", "wp-content/plugins/ocean-elementor-widgets/modules/contact-form/widgets/contact-form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2213", "wp-content/plugins/ocean-elementor-widgets/modules/countdown/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2214", "wp-content/plugins/ocean-elementor-widgets/modules/countdown/widgets/countdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2215", "wp-content/plugins/ocean-elementor-widgets/modules/divider/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2216", "wp-content/plugins/ocean-elementor-widgets/modules/divider/widgets/divider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2217", "wp-content/plugins/ocean-elementor-widgets/modules/flip-box/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2218", "wp-content/plugins/ocean-elementor-widgets/modules/flip-box/widgets/flip-box.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2219", "wp-content/plugins/ocean-elementor-widgets/modules/google-map/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2220", "wp-content/plugins/ocean-elementor-widgets/modules/google-map/widgets/google-map.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2221", "wp-content/plugins/ocean-elementor-widgets/modules/gravity-forms/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2222", "wp-content/plugins/ocean-elementor-widgets/modules/gravity-forms/widgets/gravity-forms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2223", "wp-content/plugins/ocean-elementor-widgets/modules/hotspots/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2224", "wp-content/plugins/ocean-elementor-widgets/modules/hotspots/widgets/hotspots.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2225", "wp-content/plugins/ocean-elementor-widgets/modules/image-comparison/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2226", "wp-content/plugins/ocean-elementor-widgets/modules/image-comparison/widgets/image-comparison.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2227", "wp-content/plugins/ocean-elementor-widgets/modules/image-gallery/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2228", "wp-content/plugins/ocean-elementor-widgets/modules/image-gallery/widgets/image-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2229", "wp-content/plugins/ocean-elementor-widgets/modules/info-box/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2230", "wp-content/plugins/ocean-elementor-widgets/modules/info-box/widgets/info-box.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2231", "wp-content/plugins/ocean-elementor-widgets/modules/instagram/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2232", "wp-content/plugins/ocean-elementor-widgets/modules/instagram/widgets/instagram.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2233", "wp-content/plugins/ocean-elementor-widgets/modules/link-effects/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2234", "wp-content/plugins/ocean-elementor-widgets/modules/link-effects/widgets/link-effects.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2235", "wp-content/plugins/ocean-elementor-widgets/modules/logged-in-out/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2236", "wp-content/plugins/ocean-elementor-widgets/modules/logged-in-out/widgets/logged-in-out.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2237", "wp-content/plugins/ocean-elementor-widgets/modules/login/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2238", "wp-content/plugins/ocean-elementor-widgets/modules/login/widgets/login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2239", "wp-content/plugins/ocean-elementor-widgets/modules/logo/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2240", "wp-content/plugins/ocean-elementor-widgets/modules/logo/widgets/logo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2241", "wp-content/plugins/ocean-elementor-widgets/modules/lost-password/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2242", "wp-content/plugins/ocean-elementor-widgets/modules/lost-password/widgets/lost-password.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2243", "wp-content/plugins/ocean-elementor-widgets/modules/member/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2244", "wp-content/plugins/ocean-elementor-widgets/modules/member/widgets/member.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2245", "wp-content/plugins/ocean-elementor-widgets/modules/modal/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2246", "wp-content/plugins/ocean-elementor-widgets/modules/modal/widgets/modal.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2247", "wp-content/plugins/ocean-elementor-widgets/modules/navbar/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2248", "wp-content/plugins/ocean-elementor-widgets/modules/navbar/widgets/navbar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2249", "wp-content/plugins/ocean-elementor-widgets/modules/navigation/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2250", "wp-content/plugins/ocean-elementor-widgets/modules/navigation/widgets/navigation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2251", "wp-content/plugins/ocean-elementor-widgets/modules/newsletter/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2252", "wp-content/plugins/ocean-elementor-widgets/modules/newsletter/widgets/newsletter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2253", "wp-content/plugins/ocean-elementor-widgets/modules/ninja-forms/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2254", "wp-content/plugins/ocean-elementor-widgets/modules/ninja-forms/widgets/ninja-forms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2255", "wp-content/plugins/ocean-elementor-widgets/modules/off-canvas/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2256", "wp-content/plugins/ocean-elementor-widgets/modules/off-canvas/widgets/off-canvas.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2257", "wp-content/plugins/ocean-elementor-widgets/modules/price-list/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2258", "wp-content/plugins/ocean-elementor-widgets/modules/price-list/widgets/price-list.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2259", "wp-content/plugins/ocean-elementor-widgets/modules/pricing/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2260", "wp-content/plugins/ocean-elementor-widgets/modules/pricing/widgets/pricing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2261", "wp-content/plugins/ocean-elementor-widgets/modules/query-post/controls/query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2262", "wp-content/plugins/ocean-elementor-widgets/modules/query-post/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2263", "wp-content/plugins/ocean-elementor-widgets/modules/recipe/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2264", "wp-content/plugins/ocean-elementor-widgets/modules/recipe/widgets/recipe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2265", "wp-content/plugins/ocean-elementor-widgets/modules/register/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2266", "wp-content/plugins/ocean-elementor-widgets/modules/register/widgets/register.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2267", "wp-content/plugins/ocean-elementor-widgets/modules/scroll-up/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2268", "wp-content/plugins/ocean-elementor-widgets/modules/scroll-up/widgets/scroll-up.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2269", "wp-content/plugins/ocean-elementor-widgets/modules/search/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2270", "wp-content/plugins/ocean-elementor-widgets/modules/search/widgets/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2271", "wp-content/plugins/ocean-elementor-widgets/modules/search-icon/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2272", "wp-content/plugins/ocean-elementor-widgets/modules/search-icon/widgets/search-icon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2273", "wp-content/plugins/ocean-elementor-widgets/modules/skillbar/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2274", "wp-content/plugins/ocean-elementor-widgets/modules/skillbar/widgets/skillbar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2275", "wp-content/plugins/ocean-elementor-widgets/modules/table/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2276", "wp-content/plugins/ocean-elementor-widgets/modules/table/widgets/table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2277", "wp-content/plugins/ocean-elementor-widgets/modules/tabs/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2278", "wp-content/plugins/ocean-elementor-widgets/modules/tabs/widgets/tabs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2279", "wp-content/plugins/ocean-elementor-widgets/modules/timeline/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2280", "wp-content/plugins/ocean-elementor-widgets/modules/timeline/widgets/timeline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2281", "wp-content/plugins/ocean-elementor-widgets/modules/toggle/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2282", "wp-content/plugins/ocean-elementor-widgets/modules/toggle/widgets/toggle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2283", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2284", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-add-to-cart.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2285", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-cart-icon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2286", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-categories.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2287", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-products.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2288", "wp-content/plugins/ocean-elementor-widgets/modules/woocommerce/widgets/woo-slider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2289", "wp-content/plugins/ocean-elementor-widgets/modules/wpforms/module.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2290", "wp-content/plugins/ocean-elementor-widgets/modules/wpforms/widgets/wpforms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2291", "wp-content/plugins/ocean-elementor-widgets/ocean-elementor-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2292", "wp-content/plugins/ocean-extra/assets/css/admin.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2293", "wp-content/plugins/ocean-extra/assets/css/admin.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2294", "wp-content/plugins/ocean-extra/assets/css/blog.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2295", "wp-content/plugins/ocean-extra/assets/css/blogGrid.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2296", "wp-content/plugins/ocean-extra/assets/css/blogLarge.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2297", "wp-content/plugins/ocean-extra/assets/css/centerHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2298", "wp-content/plugins/ocean-extra/assets/css/comment.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2299", "wp-content/plugins/ocean-extra/assets/css/customHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2300", "wp-content/plugins/ocean-extra/assets/css/customSelect.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2301", "wp-content/plugins/ocean-extra/assets/css/dropDownSearch.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2302", "wp-content/plugins/ocean-extra/assets/css/errorPage.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2303", "wp-content/plugins/ocean-extra/assets/css/fontAwesome.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2304", "wp-content/plugins/ocean-extra/assets/css/footerBottom.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2305", "wp-content/plugins/ocean-extra/assets/css/footerWidgets.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2306", "wp-content/plugins/ocean-extra/assets/css/fullScreenHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2307", "wp-content/plugins/ocean-extra/assets/css/header.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2308", "wp-content/plugins/ocean-extra/assets/css/headerReplaceSearch.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2309", "wp-content/plugins/ocean-extra/assets/css/lightbox.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2310", "wp-content/plugins/ocean-extra/assets/css/main.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2311", "wp-content/plugins/ocean-extra/assets/css/mediumHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2312", "wp-content/plugins/ocean-extra/assets/css/megaMenu.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2313", "wp-content/plugins/ocean-extra/assets/css/navigation.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2314", "wp-content/plugins/ocean-extra/assets/css/overlaySearch.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2315", "wp-content/plugins/ocean-extra/assets/css/pageHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2316", "wp-content/plugins/ocean-extra/assets/css/pagination.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2317", "wp-content/plugins/ocean-extra/assets/css/responsive.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2318", "wp-content/plugins/ocean-extra/assets/css/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2319", "wp-content/plugins/ocean-extra/assets/css/scrollTop.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2320", "wp-content/plugins/ocean-extra/assets/css/sidebar.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2321", "wp-content/plugins/ocean-extra/assets/css/sidr.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2322", "wp-content/plugins/ocean-extra/assets/css/simpleLineIcons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2323", "wp-content/plugins/ocean-extra/assets/css/singlePostAuthorBio.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2324", "wp-content/plugins/ocean-extra/assets/css/singlePostPrevNext.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2325", "wp-content/plugins/ocean-extra/assets/css/singlePostRelatedPosts.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2326", "wp-content/plugins/ocean-extra/assets/css/slick.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2327", "wp-content/plugins/ocean-extra/assets/css/socialMenu.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2328", "wp-content/plugins/ocean-extra/assets/css/topBar.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2329", "wp-content/plugins/ocean-extra/assets/css/topHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2330", "wp-content/plugins/ocean-extra/assets/css/transparentHeader.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2331", "wp-content/plugins/ocean-extra/assets/css/widgets/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2332", "wp-content/plugins/ocean-extra/assets/css/widgets/widgets.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2333", "wp-content/plugins/ocean-extra/assets/css/widgets.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2334", "wp-content/plugins/ocean-extra/assets/css/woo/wooCategoriesWidget.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2335", "wp-content/plugins/ocean-extra/assets/css/woo/wooCommerce.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2336", "wp-content/plugins/ocean-extra/assets/css/woo/wooMenuCart.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2337", "wp-content/plugins/ocean-extra/assets/css/woo/wooQuantityButtons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2338", "wp-content/plugins/ocean-extra/assets/img/about-avatar.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2339", "wp-content/plugins/ocean-extra/assets/img/flickr.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2340", "wp-content/plugins/ocean-extra/assets/img/instagram-logo.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2341", "wp-content/plugins/ocean-extra/assets/img/oceanwp.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2342", "wp-content/plugins/ocean-extra/assets/js/customSelect.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2343", "wp-content/plugins/ocean-extra/assets/js/dropDownSearch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2344", "wp-content/plugins/ocean-extra/assets/js/fitvids.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2345", "wp-content/plugins/ocean-extra/assets/js/fixedFooter.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2346", "wp-content/plugins/ocean-extra/assets/js/fullScreenMenu.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2347", "wp-content/plugins/ocean-extra/assets/js/headerReplaceSearch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2348", "wp-content/plugins/ocean-extra/assets/js/headerSearchForm.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2349", "wp-content/plugins/ocean-extra/assets/js/infiniteScroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2350", "wp-content/plugins/ocean-extra/assets/js/isotope.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2351", "wp-content/plugins/ocean-extra/assets/js/lightbox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2352", "wp-content/plugins/ocean-extra/assets/js/matchHeight.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2353", "wp-content/plugins/ocean-extra/assets/js/megaMenu.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2354", "wp-content/plugins/ocean-extra/assets/js/navNoClick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2355", "wp-content/plugins/ocean-extra/assets/js/overlaySearch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2356", "wp-content/plugins/ocean-extra/assets/js/scrollEffect.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2357", "wp-content/plugins/ocean-extra/assets/js/scrollTop.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2358", "wp-content/plugins/ocean-extra/assets/js/sidr.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2359", "wp-content/plugins/ocean-extra/assets/js/slick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2360", "wp-content/plugins/ocean-extra/assets/js/superfish.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2361", "wp-content/plugins/ocean-extra/assets/js/woo/wooCategoriesWidget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2362", "wp-content/plugins/ocean-extra/assets/js/woo/wooGridList.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2363", "wp-content/plugins/ocean-extra/assets/js/woo/wooImageZoom.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2364", "wp-content/plugins/ocean-extra/assets/js/woo/wooMenuCart.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2365", "wp-content/plugins/ocean-extra/assets/js/woo/wooQuantityButtons.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2366", "wp-content/plugins/ocean-extra/assets/js/woo/wooReviewsScroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2367", "wp-content/plugins/ocean-extra/assets/js/woo/wooVariableImage.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2368", "wp-content/plugins/ocean-extra/includes/custom-code.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2369", "wp-content/plugins/ocean-extra/includes/dashboard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2370", "wp-content/plugins/ocean-extra/includes/image-resizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2371", "wp-content/plugins/ocean-extra/includes/jsmin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2372", "wp-content/plugins/ocean-extra/includes/menu-icons/css/admin.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2373", "wp-content/plugins/ocean-extra/includes/menu-icons/css/admin.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2374", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/front.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2375", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2376", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/form-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2377", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2378", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/icon-picker.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2379", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/icon-picker.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2380", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("2381", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2382", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("2383", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Elusive-Icons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2384", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("2385", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2386", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("2387", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/Genericons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2388", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/elusive.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2389", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/elusive.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2390", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2391", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("2392", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2393", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2394", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("2395", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/foundation-icons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2396", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/genericons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2397", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/css/types/genericons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2398", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/icon-selector.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2399", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/fields/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2400", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/fontpack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2401", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2402", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/registry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2403", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2404", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/dashicons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2405", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/elusive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2406", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/fa.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2407", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/font.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2408", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/fontello.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2409", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/foundation-icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2410", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/genericon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2411", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2412", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/simple-line-icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2413", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/includes/types/svg.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2414", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/js/icon-picker.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2415", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/library/icon-selector/js/icon-picker.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2416", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/media-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2417", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2418", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/picker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2419", "wp-content/plugins/ocean-extra/includes/menu-icons/includes/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2420", "wp-content/plugins/ocean-extra/includes/menu-icons/js/admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2421", "wp-content/plugins/ocean-extra/includes/menu-icons/js/admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2422", "wp-content/plugins/ocean-extra/includes/menu-icons/menu-icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2423", "wp-content/plugins/ocean-extra/includes/metabox/assets/js/metabox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2424", "wp-content/plugins/ocean-extra/includes/metabox/assets/js/metabox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2425", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/butterbean.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2426", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/changelog.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("2427", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/class-butterbean.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2428", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/contributing.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("2429", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/butterbean.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2430", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/butterbean.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2431", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/select2.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2432", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/select2.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2433", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/selectize.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2434", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/css/selectize.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2435", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2436", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2437", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2438", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/class-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2439", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-buttonset.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2440", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-checkboxes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2441", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-color.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2442", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-datetime.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2443", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2444", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-excerpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2445", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2446", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2447", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-multi-avatars.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2448", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-palette.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2449", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-parent.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2450", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-radio-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2451", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-radio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2452", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-range.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2453", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-select-group.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2454", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/controls/class-control-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2455", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/functions-core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2456", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/settings/class-setting-array.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2457", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/settings/class-setting-datetime.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2458", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/inc/settings/class-setting-multiple.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2459", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/butterbean.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2460", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/butterbean.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2461", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/select2.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2462", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/select2.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2463", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/selectize.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2464", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/selectize.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2465", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/js/wp-color-picker-alpha.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2466", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/license.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("2467", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/readme.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("2468", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-buttonset.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2469", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-checkbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2470", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-checkboxes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2471", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-color.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2472", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-datetime.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2473", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2474", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2475", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2476", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-multi-avatars.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2477", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-palette.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2478", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-parent.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2479", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-radio-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2480", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-radio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2481", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-range.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2482", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-select-group.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2483", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2484", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2485", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2486", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2487", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/nav.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2488", "wp-content/plugins/ocean-extra/includes/metabox/butterbean/tmpl/section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2489", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/butterbean.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2490", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/butterbean.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2491", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/select2.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2492", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/css/select2.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2493", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/butterbean.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2494", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/butterbean.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2495", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.full.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2496", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.full.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2497", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2498", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/select2.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2499", "wp-content/plugins/ocean-extra/includes/metabox/controls/assets/js/wp-color-picker-alpha.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2500", "wp-content/plugins/ocean-extra/includes/metabox/controls/buttonset/class-control-buttonset.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2501", "wp-content/plugins/ocean-extra/includes/metabox/controls/buttonset/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2502", "wp-content/plugins/ocean-extra/includes/metabox/controls/color/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2503", "wp-content/plugins/ocean-extra/includes/metabox/controls/editor/class-control-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2504", "wp-content/plugins/ocean-extra/includes/metabox/controls/editor/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2505", "wp-content/plugins/ocean-extra/includes/metabox/controls/image/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2506", "wp-content/plugins/ocean-extra/includes/metabox/controls/media/class-control-media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2507", "wp-content/plugins/ocean-extra/includes/metabox/controls/media/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2508", "wp-content/plugins/ocean-extra/includes/metabox/controls/multiple-select/class-control-multiple-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2509", "wp-content/plugins/ocean-extra/includes/metabox/controls/multiple-select/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2510", "wp-content/plugins/ocean-extra/includes/metabox/controls/number/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2511", "wp-content/plugins/ocean-extra/includes/metabox/controls/range/class-control-range.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2512", "wp-content/plugins/ocean-extra/includes/metabox/controls/range/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2513", "wp-content/plugins/ocean-extra/includes/metabox/controls/rgba-color/class-control-rgba-color.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2514", "wp-content/plugins/ocean-extra/includes/metabox/controls/rgba-color/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2515", "wp-content/plugins/ocean-extra/includes/metabox/controls/select/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2516", "wp-content/plugins/ocean-extra/includes/metabox/controls/text/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2517", "wp-content/plugins/ocean-extra/includes/metabox/controls/textarea/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2518", "wp-content/plugins/ocean-extra/includes/metabox/controls/typography/class-control-typography.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2519", "wp-content/plugins/ocean-extra/includes/metabox/controls/typography/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2520", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/css/gallery-metabox.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2521", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/css/gallery-metabox.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2522", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/gallery-metabox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2523", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/js/gallery-metabox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2524", "wp-content/plugins/ocean-extra/includes/metabox/gallery-metabox/js/gallery-metabox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2525", "wp-content/plugins/ocean-extra/includes/metabox/metabox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2526", "wp-content/plugins/ocean-extra/includes/metabox/shortcodes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2527", "wp-content/plugins/ocean-extra/includes/panel/about.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2528", "wp-content/plugins/ocean-extra/includes/panel/assets/class-plugin-installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2529", "wp-content/plugins/ocean-extra/includes/panel/assets/css/about.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2530", "wp-content/plugins/ocean-extra/includes/panel/assets/css/about.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2531", "wp-content/plugins/ocean-extra/includes/panel/assets/css/demos.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2532", "wp-content/plugins/ocean-extra/includes/panel/assets/css/demos.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2533", "wp-content/plugins/ocean-extra/includes/panel/assets/css/extensions.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2534", "wp-content/plugins/ocean-extra/includes/panel/assets/css/extensions.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2535", "wp-content/plugins/ocean-extra/includes/panel/assets/css/import-export.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2536", "wp-content/plugins/ocean-extra/includes/panel/assets/css/import-export.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2537", "wp-content/plugins/ocean-extra/includes/panel/assets/css/installer.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2538", "wp-content/plugins/ocean-extra/includes/panel/assets/css/installer.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2539", "wp-content/plugins/ocean-extra/includes/panel/assets/css/licenses.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2540", "wp-content/plugins/ocean-extra/includes/panel/assets/css/licenses.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2541", "wp-content/plugins/ocean-extra/includes/panel/assets/css/notice.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2542", "wp-content/plugins/ocean-extra/includes/panel/assets/css/notice.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2543", "wp-content/plugins/ocean-extra/includes/panel/assets/css/panel.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2544", "wp-content/plugins/ocean-extra/includes/panel/assets/css/panel.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2545", "wp-content/plugins/ocean-extra/includes/panel/assets/css/push-monkey.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2546", "wp-content/plugins/ocean-extra/includes/panel/assets/css/push-monkey.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2547", "wp-content/plugins/ocean-extra/includes/panel/assets/css/scripts.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2548", "wp-content/plugins/ocean-extra/includes/panel/assets/css/scripts.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2549", "wp-content/plugins/ocean-extra/includes/panel/assets/css/sticky-notice.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2550", "wp-content/plugins/ocean-extra/includes/panel/assets/css/sticky-notice.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2551", "wp-content/plugins/ocean-extra/includes/panel/assets/img/cloudways.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2552", "wp-content/plugins/ocean-extra/includes/panel/assets/img/custom-sidebar-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2553", "wp-content/plugins/ocean-extra/includes/panel/assets/img/demos-import-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2554", "wp-content/plugins/ocean-extra/includes/panel/assets/img/elementor-widgets-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2555", "wp-content/plugins/ocean-extra/includes/panel/assets/img/elementor-widgets-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2556", "wp-content/plugins/ocean-extra/includes/panel/assets/img/facebook.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2557", "wp-content/plugins/ocean-extra/includes/panel/assets/img/footer-callout-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2558", "wp-content/plugins/ocean-extra/includes/panel/assets/img/footer-callout-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2559", "wp-content/plugins/ocean-extra/includes/panel/assets/img/instagram-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2560", "wp-content/plugins/ocean-extra/includes/panel/assets/img/kinsta.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2561", "wp-content/plugins/ocean-extra/includes/panel/assets/img/modal-window-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2562", "wp-content/plugins/ocean-extra/includes/panel/assets/img/ocean-extra-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2563", "wp-content/plugins/ocean-extra/includes/panel/assets/img/ocean-hooks-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2564", "wp-content/plugins/ocean-extra/includes/panel/assets/img/ocean-hooks-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2565", "wp-content/plugins/ocean-extra/includes/panel/assets/img/octify.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2566", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/cookie-notice.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2567", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/elementor-widgets.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2568", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/footer-callout.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2569", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/full-screen.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2570", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/hooks.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2571", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/instagram.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2572", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/popup-login.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2573", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/portfolio.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2574", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/side-panel.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2575", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/sticky-footer.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2576", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/sticky-header.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2577", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/white-label.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2578", "wp-content/plugins/ocean-extra/includes/panel/assets/img/plugins/woo-popup.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2579", "wp-content/plugins/ocean-extra/includes/panel/assets/img/popup-login-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2580", "wp-content/plugins/ocean-extra/includes/panel/assets/img/portfolio-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2581", "wp-content/plugins/ocean-extra/includes/panel/assets/img/posts-slider-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2582", "wp-content/plugins/ocean-extra/includes/panel/assets/img/product-share-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2583", "wp-content/plugins/ocean-extra/includes/panel/assets/img/push-monkey-devices.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2584", "wp-content/plugins/ocean-extra/includes/panel/assets/img/push-monkey.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2585", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/affiliatewp-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2586", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/gravity-forms-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2587", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/slider-revolution-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2588", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/visual-composer-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2589", "wp-content/plugins/ocean-extra/includes/panel/assets/img/rec-plugins/wp-rocket-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2590", "wp-content/plugins/ocean-extra/includes/panel/assets/img/side-panel-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2591", "wp-content/plugins/ocean-extra/includes/panel/assets/img/side-panel-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2592", "wp-content/plugins/ocean-extra/includes/panel/assets/img/social-share-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2593", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-footer-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2594", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-footer-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2595", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-header-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2596", "wp-content/plugins/ocean-extra/includes/panel/assets/img/sticky-header-image.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2597", "wp-content/plugins/ocean-extra/includes/panel/assets/img/white-label-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2598", "wp-content/plugins/ocean-extra/includes/panel/assets/img/woo-popup-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2599", "wp-content/plugins/ocean-extra/includes/panel/assets/img/youtube.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2600", "wp-content/plugins/ocean-extra/includes/panel/assets/js/demos.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2601", "wp-content/plugins/ocean-extra/includes/panel/assets/js/demos.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2602", "wp-content/plugins/ocean-extra/includes/panel/assets/js/installer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2603", "wp-content/plugins/ocean-extra/includes/panel/assets/js/installer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2604", "wp-content/plugins/ocean-extra/includes/panel/assets/js/manifest.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("2605", "wp-content/plugins/ocean-extra/includes/panel/assets/js/scripts.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2606", "wp-content/plugins/ocean-extra/includes/panel/assets/js/scripts.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2607", "wp-content/plugins/ocean-extra/includes/panel/classes/class-install-demos.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2608", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2609", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-parsers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2610", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-settings-importer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2611", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-widget-importer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2612", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-wordpress-importer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2613", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/class-wpforms-importer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2614", "wp-content/plugins/ocean-extra/includes/panel/classes/importers/temp.xml");
INSERT INTO `wpky_wfknownfilelist` VALUES("2615", "wp-content/plugins/ocean-extra/includes/panel/demos.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2616", "wp-content/plugins/ocean-extra/includes/panel/extensions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2617", "wp-content/plugins/ocean-extra/includes/panel/import-export.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2618", "wp-content/plugins/ocean-extra/includes/panel/integrations-tab.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2619", "wp-content/plugins/ocean-extra/includes/panel/library-shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2620", "wp-content/plugins/ocean-extra/includes/panel/library.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2621", "wp-content/plugins/ocean-extra/includes/panel/licenses.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2622", "wp-content/plugins/ocean-extra/includes/panel/links.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2623", "wp-content/plugins/ocean-extra/includes/panel/notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2624", "wp-content/plugins/ocean-extra/includes/panel/push-monkey-client.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2625", "wp-content/plugins/ocean-extra/includes/panel/push-monkey-woocommerce.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2626", "wp-content/plugins/ocean-extra/includes/panel/rec-plugins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2627", "wp-content/plugins/ocean-extra/includes/panel/scripts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2628", "wp-content/plugins/ocean-extra/includes/panel/scssphp/bin/pscss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2629", "wp-content/plugins/ocean-extra/includes/panel/scssphp/scss.inc.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2630", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Base/Range.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2631", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Block.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2632", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Colors.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2633", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Compiler/Environment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2634", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Compiler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2635", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/CompilerException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2636", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/ParserException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2637", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/RangeException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2638", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Exception/ServerException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2639", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Compact.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2640", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Compressed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2641", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Crunched.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2642", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Debug.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2643", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Expanded.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2644", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/Nested.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2645", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter/OutputBlock.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2646", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Formatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2647", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Node/Number.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2648", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Node.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2649", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2650", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/SourceMap/Base64VLQEncoder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2651", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/SourceMap/SourceMapGenerator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2652", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Type.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2653", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2654", "wp-content/plugins/ocean-extra/includes/panel/scssphp/src/Version.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2655", "wp-content/plugins/ocean-extra/includes/panel/theme-panel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2656", "wp-content/plugins/ocean-extra/includes/panel/updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2657", "wp-content/plugins/ocean-extra/includes/shortcodes/date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2658", "wp-content/plugins/ocean-extra/includes/shortcodes/js/shortcode.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2659", "wp-content/plugins/ocean-extra/includes/shortcodes/js/shortcode.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2660", "wp-content/plugins/ocean-extra/includes/shortcodes/logo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2661", "wp-content/plugins/ocean-extra/includes/shortcodes/nav.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2662", "wp-content/plugins/ocean-extra/includes/shortcodes/shortcodes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2663", "wp-content/plugins/ocean-extra/includes/updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2664", "wp-content/plugins/ocean-extra/includes/walker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2665", "wp-content/plugins/ocean-extra/includes/widgets/about-me.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2666", "wp-content/plugins/ocean-extra/includes/widgets/contact-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2667", "wp-content/plugins/ocean-extra/includes/widgets/custom-header-logo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2668", "wp-content/plugins/ocean-extra/includes/widgets/custom-header-nav.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2669", "wp-content/plugins/ocean-extra/includes/widgets/custom-links.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2670", "wp-content/plugins/ocean-extra/includes/widgets/custom-menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2671", "wp-content/plugins/ocean-extra/includes/widgets/facebook.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2672", "wp-content/plugins/ocean-extra/includes/widgets/flickr.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2673", "wp-content/plugins/ocean-extra/includes/widgets/instagram.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2674", "wp-content/plugins/ocean-extra/includes/widgets/js/insta-admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2675", "wp-content/plugins/ocean-extra/includes/widgets/js/insta-admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2676", "wp-content/plugins/ocean-extra/includes/widgets/js/mailchimp.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2677", "wp-content/plugins/ocean-extra/includes/widgets/js/mailchimp.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2678", "wp-content/plugins/ocean-extra/includes/widgets/js/share.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2679", "wp-content/plugins/ocean-extra/includes/widgets/js/share.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2680", "wp-content/plugins/ocean-extra/includes/widgets/mailchimp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2681", "wp-content/plugins/ocean-extra/includes/widgets/recent-posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2682", "wp-content/plugins/ocean-extra/includes/widgets/social-share.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2683", "wp-content/plugins/ocean-extra/includes/widgets/social.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2684", "wp-content/plugins/ocean-extra/includes/widgets/tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2685", "wp-content/plugins/ocean-extra/includes/widgets/twitter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2686", "wp-content/plugins/ocean-extra/includes/widgets/video.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2687", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2688", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2689", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2690", "wp-content/plugins/ocean-extra/includes/wizard/assets/css/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2691", "wp-content/plugins/ocean-extra/includes/wizard/assets/img/jack.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2692", "wp-content/plugins/ocean-extra/includes/wizard/assets/js/wizard.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2693", "wp-content/plugins/ocean-extra/includes/wizard/assets/js/wizard.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2694", "wp-content/plugins/ocean-extra/includes/wizard/classes/QuietSkin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2695", "wp-content/plugins/ocean-extra/includes/wizard/classes/WizardAjax.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2696", "wp-content/plugins/ocean-extra/includes/wizard/wizard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2697", "wp-content/plugins/ocean-extra/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2698", "wp-content/plugins/ocean-extra/languages/ocean-extra-es_ES.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("2699", "wp-content/plugins/ocean-extra/languages/ocean-extra-es_ES.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("2700", "wp-content/plugins/ocean-extra/languages/ocean-extra-fr_FR.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("2701", "wp-content/plugins/ocean-extra/languages/ocean-extra-fr_FR.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("2702", "wp-content/plugins/ocean-extra/languages/ocean-extra.pot");
INSERT INTO `wpky_wfknownfilelist` VALUES("2703", "wp-content/plugins/ocean-extra/ocean-extra.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2704", "wp-content/plugins/ocean-extra/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("2705", "wp-content/plugins/ocean-extra/sass/_config.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2706", "wp-content/plugins/ocean-extra/sass/components/_widget-about-me.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2707", "wp-content/plugins/ocean-extra/sass/components/_widget-calendar.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2708", "wp-content/plugins/ocean-extra/sass/components/_widget-contact-info.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2709", "wp-content/plugins/ocean-extra/sass/components/_widget-custom-links.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2710", "wp-content/plugins/ocean-extra/sass/components/_widget-custom-menu.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2711", "wp-content/plugins/ocean-extra/sass/components/_widget-flickr.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2712", "wp-content/plugins/ocean-extra/sass/components/_widget-instagram.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2713", "wp-content/plugins/ocean-extra/sass/components/_widget-mailchimp.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2714", "wp-content/plugins/ocean-extra/sass/components/_widget-recent-posts.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2715", "wp-content/plugins/ocean-extra/sass/components/_widget-social-icons.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2716", "wp-content/plugins/ocean-extra/sass/components/_widget-social-share.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2717", "wp-content/plugins/ocean-extra/sass/components/_widget-tags.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2718", "wp-content/plugins/ocean-extra/sass/components/_widget-video.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2719", "wp-content/plugins/ocean-extra/sass/widgets.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("2720", "wp-content/plugins/ocean-extra/wpml-config.xml");
INSERT INTO `wpky_wfknownfilelist` VALUES("2721", "wp-content/plugins/ocean-footer-callout/assets/js/customizer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2722", "wp-content/plugins/ocean-footer-callout/assets/js/customizer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2723", "wp-content/plugins/ocean-footer-callout/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2724", "wp-content/plugins/ocean-footer-callout/ocean-footer-callout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2725", "wp-content/plugins/ocean-footer-callout/template/footer-callout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2726", "wp-content/plugins/ocean-full-screen/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2727", "wp-content/plugins/ocean-full-screen/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2728", "wp-content/plugins/ocean-full-screen/assets/js/metabox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2729", "wp-content/plugins/ocean-full-screen/assets/js/metabox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2730", "wp-content/plugins/ocean-full-screen/assets/js/third/fullpage.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2731", "wp-content/plugins/ocean-full-screen/assets/js/third/fullpage.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2732", "wp-content/plugins/ocean-full-screen/assets/js/third/scrolloverflow.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2733", "wp-content/plugins/ocean-full-screen/assets/js/third/scrolloverflow.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2734", "wp-content/plugins/ocean-full-screen/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2735", "wp-content/plugins/ocean-full-screen/ocean-full-screen.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2736", "wp-content/plugins/ocean-hooks/assets/js/hooks.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2737", "wp-content/plugins/ocean-hooks/assets/js/hooks.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2738", "wp-content/plugins/ocean-hooks/assets/js/hooks_cpt.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2739", "wp-content/plugins/ocean-hooks/assets/js/hooks_cpt.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2740", "wp-content/plugins/ocean-hooks/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2741", "wp-content/plugins/ocean-hooks/ocean-hooks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2742", "wp-content/plugins/ocean-instagram/admin/class-instagram-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2743", "wp-content/plugins/ocean-instagram/admin/class-register-cpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2744", "wp-content/plugins/ocean-instagram/admin/class-shortcode-generator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2745", "wp-content/plugins/ocean-instagram/assets/img/instagram.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2746", "wp-content/plugins/ocean-instagram/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2747", "wp-content/plugins/ocean-instagram/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2748", "wp-content/plugins/ocean-instagram/assets/js/metabox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2749", "wp-content/plugins/ocean-instagram/assets/js/metabox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2750", "wp-content/plugins/ocean-instagram/includes/class-instagram-api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2751", "wp-content/plugins/ocean-instagram/includes/class-instagram-shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2752", "wp-content/plugins/ocean-instagram/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2753", "wp-content/plugins/ocean-instagram/ocean-instagram.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2754", "wp-content/plugins/ocean-popup-login/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2755", "wp-content/plugins/ocean-popup-login/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2756", "wp-content/plugins/ocean-popup-login/includes/customizer-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2757", "wp-content/plugins/ocean-popup-login/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2758", "wp-content/plugins/ocean-popup-login/ocean-popup-login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2759", "wp-content/plugins/ocean-popup-login/template/popup.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2760", "wp-content/plugins/ocean-portfolio/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2761", "wp-content/plugins/ocean-portfolio/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2762", "wp-content/plugins/ocean-portfolio/assets/photoswipe/default-skin/default-skin.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2763", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe-ui-default.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2764", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe-ui-default.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2765", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2766", "wp-content/plugins/ocean-portfolio/assets/photoswipe/photoswipe.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2767", "wp-content/plugins/ocean-portfolio/includes/admin/assets/js/metabox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2768", "wp-content/plugins/ocean-portfolio/includes/admin/assets/js/metabox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2769", "wp-content/plugins/ocean-portfolio/includes/admin/class-register-cpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2770", "wp-content/plugins/ocean-portfolio/includes/admin/class-shortcode-generator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2771", "wp-content/plugins/ocean-portfolio/includes/admin/sanitize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2772", "wp-content/plugins/ocean-portfolio/includes/class-portfolio-shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2773", "wp-content/plugins/ocean-portfolio/includes/customizer/assets/js/customizer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2774", "wp-content/plugins/ocean-portfolio/includes/customizer/assets/js/customizer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2775", "wp-content/plugins/ocean-portfolio/includes/customizer/class-customizer-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2776", "wp-content/plugins/ocean-portfolio/includes/customizer/customizer-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2777", "wp-content/plugins/ocean-portfolio/includes/helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2778", "wp-content/plugins/ocean-portfolio/includes/page-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2779", "wp-content/plugins/ocean-portfolio/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2780", "wp-content/plugins/ocean-portfolio/ocean-portfolio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2781", "wp-content/plugins/ocean-portfolio/portfolio-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2782", "wp-content/plugins/ocean-portfolio/templates/entry-portfolio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2783", "wp-content/plugins/ocean-portfolio/templates/photoswipe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2784", "wp-content/plugins/ocean-portfolio/templates/portfolio-archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2785", "wp-content/plugins/ocean-portfolio/templates/portfolio-taxonomy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2786", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2787", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2788", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2789", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2790", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-next-prev.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2791", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-related.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2792", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2793", "wp-content/plugins/ocean-portfolio/templates/single-portfolio-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2794", "wp-content/plugins/ocean-pro-demos/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2795", "wp-content/plugins/ocean-pro-demos/ocean-pro-demos.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2796", "wp-content/plugins/ocean-sticky-footer/assets/js/customizer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2797", "wp-content/plugins/ocean-sticky-footer/assets/js/customizer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2798", "wp-content/plugins/ocean-sticky-footer/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2799", "wp-content/plugins/ocean-sticky-footer/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2800", "wp-content/plugins/ocean-sticky-footer/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2801", "wp-content/plugins/ocean-sticky-footer/ocean-sticky-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2802", "wp-content/plugins/ocean-sticky-footer/template/sticky-footer-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2803", "wp-content/plugins/ocean-sticky-header/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2804", "wp-content/plugins/ocean-sticky-header/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2805", "wp-content/plugins/ocean-sticky-header/includes/customizer-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2806", "wp-content/plugins/ocean-sticky-header/includes/customizer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2807", "wp-content/plugins/ocean-sticky-header/includes/customizer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2808", "wp-content/plugins/ocean-sticky-header/includes/helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2809", "wp-content/plugins/ocean-sticky-header/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2810", "wp-content/plugins/ocean-sticky-header/ocean-sticky-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2811", "wp-content/plugins/ocean-white-label/assets/js/uploader.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2812", "wp-content/plugins/ocean-white-label/assets/js/uploader.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2813", "wp-content/plugins/ocean-white-label/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2814", "wp-content/plugins/ocean-white-label/ocean-white-label.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2815", "wp-content/plugins/ocean-woo-popup/assets/js/devs/bPopup.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2816", "wp-content/plugins/ocean-woo-popup/assets/js/main.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2817", "wp-content/plugins/ocean-woo-popup/assets/js/owp.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2818", "wp-content/plugins/ocean-woo-popup/assets/js/plugins.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2819", "wp-content/plugins/ocean-woo-popup/includes/customizer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2820", "wp-content/plugins/ocean-woo-popup/includes/customizer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("2821", "wp-content/plugins/ocean-woo-popup/includes/helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2822", "wp-content/plugins/ocean-woo-popup/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2823", "wp-content/plugins/ocean-woo-popup/ocean-woo-popup.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2824", "wp-content/plugins/ocean-woo-popup/template/popup.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2825", "wp-content/plugins/wordfence/crypto/vendor/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2826", "wp-content/plugins/wordfence/crypto/vendor/composer/ClassLoader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2827", "wp-content/plugins/wordfence/crypto/vendor/composer/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("2828", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_classmap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2829", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_files.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2830", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_namespaces.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2831", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_psr4.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2832", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_real.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2833", "wp-content/plugins/wordfence/crypto/vendor/composer/autoload_static.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2834", "wp-content/plugins/wordfence/crypto/vendor/composer/installed.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("2835", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("2836", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/dist/random_compat.phar.pubkey");
INSERT INTO `wpky_wfknownfilelist` VALUES("2837", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/dist/random_compat.phar.pubkey.asc");
INSERT INTO `wpky_wfknownfilelist` VALUES("2838", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/byte_safe_strings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2839", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/cast_to_int.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2840", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/error_polyfill.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2841", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2842", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_com_dotnet.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2843", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_dev_urandom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2844", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_libsodium.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2845", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_libsodium_legacy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2846", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_bytes_mcrypt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2847", "wp-content/plugins/wordfence/crypto/vendor/paragonie/random_compat/lib/random_int.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2848", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("2849", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/autoload-fast.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2850", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/autoload-pedantic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2851", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2852", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2853", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/namespaced.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2854", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/php72compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2855", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/lib/sodium_compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2856", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2857", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/BLAKE2b.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2858", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/ChaCha20/Ctx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2859", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/ChaCha20/IetfCtx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2860", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/ChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2861", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Fe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2862", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/Cached.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2863", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/P1p1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2864", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/P2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2865", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/P3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2866", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/Ge/Precomp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2867", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519/H.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2868", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Curve25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2869", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Ed25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2870", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/HChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2871", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/HSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2872", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Poly1305/State.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2873", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Poly1305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2874", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Salsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2875", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/SipHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2876", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2877", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/X25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2878", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/XChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2879", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Core/Xsalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2880", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/Crypto.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2881", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/namespaced/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2882", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2883", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/BLAKE2b.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2884", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/ChaCha20/Ctx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2885", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/ChaCha20/IetfCtx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2886", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/ChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2887", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Fe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2888", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/Cached.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2889", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/P1p1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2890", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/P2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2891", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/P3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2892", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/Ge/Precomp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2893", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519/H.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2894", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Curve25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2895", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Ed25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2896", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/HChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2897", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/HSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2898", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Poly1305/State.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2899", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Poly1305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2900", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Salsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2901", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/SipHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2902", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2903", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/X25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2904", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/XChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2905", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core/XSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2906", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/BLAKE2b.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2907", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/ChaCha20/Ctx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2908", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/ChaCha20/IetfCtx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2909", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/ChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2910", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Fe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2911", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/Cached.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2912", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/P1p1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2913", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/P2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2914", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/P3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2915", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/Ge/Precomp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2916", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519/H.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2917", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Curve25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2918", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Ed25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2919", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/HChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2920", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/HSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2921", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Int32.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2922", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Int64.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2923", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Poly1305/State.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2924", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Poly1305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2925", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Salsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2926", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/SipHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2927", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2928", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/X25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2929", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/XChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2930", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Core32/XSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2931", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Crypto.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2932", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/Crypto32.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2933", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2934", "wp-content/plugins/wordfence/crypto/vendor/paragonie/sodium_compat/src/SodiumException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("2935", "wp-content/plugins/wordfence/css/activity-report-widget.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2936", "wp-content/plugins/wordfence/css/diff.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2937", "wp-content/plugins/wordfence/css/dt_table.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2938", "wp-content/plugins/wordfence/css/fullLog.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2939", "wp-content/plugins/wordfence/css/images/ui-icons_444444_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2940", "wp-content/plugins/wordfence/css/images/ui-icons_555555_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2941", "wp-content/plugins/wordfence/css/images/ui-icons_777620_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2942", "wp-content/plugins/wordfence/css/images/ui-icons_777777_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2943", "wp-content/plugins/wordfence/css/images/ui-icons_cc0000_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2944", "wp-content/plugins/wordfence/css/images/ui-icons_ffffff_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2945", "wp-content/plugins/wordfence/css/iptraf.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2946", "wp-content/plugins/wordfence/css/jquery-ui-timepicker-addon.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2947", "wp-content/plugins/wordfence/css/jquery-ui.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2948", "wp-content/plugins/wordfence/css/jquery-ui.structure.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2949", "wp-content/plugins/wordfence/css/jquery-ui.theme.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2950", "wp-content/plugins/wordfence/css/main.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2951", "wp-content/plugins/wordfence/css/phpinfo.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2952", "wp-content/plugins/wordfence/css/wf-adminbar.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2953", "wp-content/plugins/wordfence/css/wf-colorbox.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2954", "wp-content/plugins/wordfence/css/wf-font-awesome.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2955", "wp-content/plugins/wordfence/css/wf-global.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2956", "wp-content/plugins/wordfence/css/wf-ionicons.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2957", "wp-content/plugins/wordfence/css/wf-onboarding.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2958", "wp-content/plugins/wordfence/css/wf-roboto-font.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2959", "wp-content/plugins/wordfence/css/wfselect2.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2960", "wp-content/plugins/wordfence/css/wordfenceBox.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("2961", "wp-content/plugins/wordfence/fonts/fontawesome-webfont.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2962", "wp-content/plugins/wordfence/fonts/ionicons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2963", "wp-content/plugins/wordfence/fonts/roboto-KFOkCnqEu92Fr1Mu51xGIzQXKMnyrYk.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2964", "wp-content/plugins/wordfence/fonts/roboto-KFOkCnqEu92Fr1Mu51xIIzQXKMny.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2965", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmEU9fBBc-AMP6lQ.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2966", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmEU9fChc-AMP6lbBP.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2967", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmSU5fBBc-AMP6lQ.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2968", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmSU5fChc-AMP6lbBP.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2969", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmWUlfBBc-AMP6lQ.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2970", "wp-content/plugins/wordfence/fonts/roboto-KFOlCnqEu92Fr1MmWUlfChc-AMP6lbBP.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2971", "wp-content/plugins/wordfence/fonts/roboto-KFOmCnqEu92Fr1Mu4mxMKTU1Kg.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2972", "wp-content/plugins/wordfence/fonts/roboto-KFOmCnqEu92Fr1Mu7GxMKTU1Kvnz.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("2973", "wp-content/plugins/wordfence/images/2fa-whole.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2974", "wp-content/plugins/wordfence/images/2fa1.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2975", "wp-content/plugins/wordfence/images/2fa2.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2976", "wp-content/plugins/wordfence/images/back_disabled.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2977", "wp-content/plugins/wordfence/images/back_enabled.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2978", "wp-content/plugins/wordfence/images/blocking.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2979", "wp-content/plugins/wordfence/images/button-grad-grey.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2980", "wp-content/plugins/wordfence/images/checkbox.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2981", "wp-content/plugins/wordfence/images/flags.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2982", "wp-content/plugins/wordfence/images/forward_disabled.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2983", "wp-content/plugins/wordfence/images/forward_enabled.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("2984", "wp-content/plugins/wordfence/images/help.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2985", "wp-content/plugins/wordfence/images/icons/ajax24.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("2986", "wp-content/plugins/wordfence/images/icons/ajax3.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("2987", "wp-content/plugins/wordfence/images/icons/ajaxRed16.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("2988", "wp-content/plugins/wordfence/images/icons/ajaxScan.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("2989", "wp-content/plugins/wordfence/images/icons/ajaxWhite32x32.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("2990", "wp-content/plugins/wordfence/images/icons/arrow_refresh.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2991", "wp-content/plugins/wordfence/images/icons/bullet_yellow.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2992", "wp-content/plugins/wordfence/images/icons/email_go.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2993", "wp-content/plugins/wordfence/images/icons/error128.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2994", "wp-content/plugins/wordfence/images/icons/magnifier.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2995", "wp-content/plugins/wordfence/images/icons/tick128.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2996", "wp-content/plugins/wordfence/images/icons/warning128.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2997", "wp-content/plugins/wordfence/images/icons/working-indicator.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("2998", "wp-content/plugins/wordfence/images/lightbox-controls.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("2999", "wp-content/plugins/wordfence/images/loading.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3000", "wp-content/plugins/wordfence/images/loading_background.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3001", "wp-content/plugins/wordfence/images/loading_large.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3002", "wp-content/plugins/wordfence/images/logo.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3003", "wp-content/plugins/wordfence/images/options.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3004", "wp-content/plugins/wordfence/images/ratelimiting.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3005", "wp-content/plugins/wordfence/images/sort_asc.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3006", "wp-content/plugins/wordfence/images/sort_asc.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3007", "wp-content/plugins/wordfence/images/sort_asc_disabled.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3008", "wp-content/plugins/wordfence/images/sort_asc_disabled.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3009", "wp-content/plugins/wordfence/images/sort_both.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3010", "wp-content/plugins/wordfence/images/sort_both.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3011", "wp-content/plugins/wordfence/images/sort_desc.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3012", "wp-content/plugins/wordfence/images/sort_desc.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3013", "wp-content/plugins/wordfence/images/sort_desc_disabled.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3014", "wp-content/plugins/wordfence/images/sort_desc_disabled.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3015", "wp-content/plugins/wordfence/images/support.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3016", "wp-content/plugins/wordfence/images/tools.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3017", "wp-content/plugins/wordfence/images/wf-central-logo.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3018", "wp-content/plugins/wordfence/images/wf-horizontal.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3019", "wp-content/plugins/wordfence/images/wordfence-logo.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3020", "wp-content/plugins/wordfence/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3021", "wp-content/plugins/wordfence/js/Chart.bundle.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3022", "wp-content/plugins/wordfence/js/admin.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3023", "wp-content/plugins/wordfence/js/admin.ajaxWatcher.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3024", "wp-content/plugins/wordfence/js/admin.liveTraffic.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3025", "wp-content/plugins/wordfence/js/date.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3026", "wp-content/plugins/wordfence/js/jquery-ui-timepicker-addon.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3027", "wp-content/plugins/wordfence/js/jquery.colorbox-min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3028", "wp-content/plugins/wordfence/js/jquery.colorbox.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3029", "wp-content/plugins/wordfence/js/jquery.dataTables.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3030", "wp-content/plugins/wordfence/js/jquery.qrcode.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3031", "wp-content/plugins/wordfence/js/jquery.tmpl.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3032", "wp-content/plugins/wordfence/js/jquery.tools.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3033", "wp-content/plugins/wordfence/js/knockout-3.3.0.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3034", "wp-content/plugins/wordfence/js/wfdashboard.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3035", "wp-content/plugins/wordfence/js/wfdropdown.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3036", "wp-content/plugins/wordfence/js/wfglobal.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3037", "wp-content/plugins/wordfence/js/wfpopover.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3038", "wp-content/plugins/wordfence/js/wfselect2.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3039", "wp-content/plugins/wordfence/lib/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3040", "wp-content/plugins/wordfence/lib/Diff/Renderer/Abstract.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3041", "wp-content/plugins/wordfence/lib/Diff/Renderer/Html/Array.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3042", "wp-content/plugins/wordfence/lib/Diff/Renderer/Html/SideBySide.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3043", "wp-content/plugins/wordfence/lib/Diff/SequenceMatcher.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3044", "wp-content/plugins/wordfence/lib/Diff.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3045", "wp-content/plugins/wordfence/lib/GeoLite2-Country.mmdb");
INSERT INTO `wpky_wfknownfilelist` VALUES("3046", "wp-content/plugins/wordfence/lib/IPTraf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3047", "wp-content/plugins/wordfence/lib/IPTrafList.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3048", "wp-content/plugins/wordfence/lib/WFLSPHP52Compatability.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3049", "wp-content/plugins/wordfence/lib/compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3050", "wp-content/plugins/wordfence/lib/conntest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3051", "wp-content/plugins/wordfence/lib/cronview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3052", "wp-content/plugins/wordfence/lib/dashboard/widget_content_countries.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3053", "wp-content/plugins/wordfence/lib/dashboard/widget_content_ips.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3054", "wp-content/plugins/wordfence/lib/dashboard/widget_content_logins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3055", "wp-content/plugins/wordfence/lib/dashboard/widget_countries.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3056", "wp-content/plugins/wordfence/lib/dashboard/widget_ips.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3057", "wp-content/plugins/wordfence/lib/dashboard/widget_localattacks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3058", "wp-content/plugins/wordfence/lib/dashboard/widget_logins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3059", "wp-content/plugins/wordfence/lib/dashboard/widget_networkattacks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3060", "wp-content/plugins/wordfence/lib/dashboard/widget_notifications.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3061", "wp-content/plugins/wordfence/lib/dashboard/widget_tdf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3062", "wp-content/plugins/wordfence/lib/dbview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3063", "wp-content/plugins/wordfence/lib/diffResult.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3064", "wp-content/plugins/wordfence/lib/email_genericAlert.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3065", "wp-content/plugins/wordfence/lib/email_newIssues.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3066", "wp-content/plugins/wordfence/lib/email_unlockRequest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3067", "wp-content/plugins/wordfence/lib/email_unsubscribeRequest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3068", "wp-content/plugins/wordfence/lib/flags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3069", "wp-content/plugins/wordfence/lib/live_activity.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3070", "wp-content/plugins/wordfence/lib/menu_dashboard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3071", "wp-content/plugins/wordfence/lib/menu_dashboard_options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3072", "wp-content/plugins/wordfence/lib/menu_firewall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3073", "wp-content/plugins/wordfence/lib/menu_firewall_blocking.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3074", "wp-content/plugins/wordfence/lib/menu_firewall_blocking_options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3075", "wp-content/plugins/wordfence/lib/menu_firewall_waf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3076", "wp-content/plugins/wordfence/lib/menu_firewall_waf_options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3077", "wp-content/plugins/wordfence/lib/menu_options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3078", "wp-content/plugins/wordfence/lib/menu_scanner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3079", "wp-content/plugins/wordfence/lib/menu_scanner_credentials.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3080", "wp-content/plugins/wordfence/lib/menu_scanner_options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3081", "wp-content/plugins/wordfence/lib/menu_support.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3082", "wp-content/plugins/wordfence/lib/menu_tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3083", "wp-content/plugins/wordfence/lib/menu_tools_diagnostic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3084", "wp-content/plugins/wordfence/lib/menu_tools_importExport.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3085", "wp-content/plugins/wordfence/lib/menu_tools_livetraffic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3086", "wp-content/plugins/wordfence/lib/menu_tools_twoFactor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3087", "wp-content/plugins/wordfence/lib/menu_tools_whois.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3088", "wp-content/plugins/wordfence/lib/menu_wordfence_central.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3089", "wp-content/plugins/wordfence/lib/noc1.key");
INSERT INTO `wpky_wfknownfilelist` VALUES("3090", "wp-content/plugins/wordfence/lib/rest-api/wfRESTAuthenticationController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3091", "wp-content/plugins/wordfence/lib/rest-api/wfRESTBaseController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3092", "wp-content/plugins/wordfence/lib/rest-api/wfRESTConfigController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3093", "wp-content/plugins/wordfence/lib/rest-api/wfRESTScanController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3094", "wp-content/plugins/wordfence/lib/sysinfo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3095", "wp-content/plugins/wordfence/lib/unknownFiles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3096", "wp-content/plugins/wordfence/lib/viewFullActivityLog.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3097", "wp-content/plugins/wordfence/lib/wf503.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3098", "wp-content/plugins/wordfence/lib/wfAPI.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3099", "wp-content/plugins/wordfence/lib/wfActivityReport.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3100", "wp-content/plugins/wordfence/lib/wfAdminNoticeQueue.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3101", "wp-content/plugins/wordfence/lib/wfAlerts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3102", "wp-content/plugins/wordfence/lib/wfArray.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3103", "wp-content/plugins/wordfence/lib/wfBrowscap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3104", "wp-content/plugins/wordfence/lib/wfBrowscapCache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3105", "wp-content/plugins/wordfence/lib/wfBulkCountries.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3106", "wp-content/plugins/wordfence/lib/wfCache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3107", "wp-content/plugins/wordfence/lib/wfCentralAPI.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3108", "wp-content/plugins/wordfence/lib/wfConfig.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3109", "wp-content/plugins/wordfence/lib/wfCrawl.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3110", "wp-content/plugins/wordfence/lib/wfCredentialsController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3111", "wp-content/plugins/wordfence/lib/wfCrypt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3112", "wp-content/plugins/wordfence/lib/wfDB.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3113", "wp-content/plugins/wordfence/lib/wfDashboard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3114", "wp-content/plugins/wordfence/lib/wfDateLocalization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3115", "wp-content/plugins/wordfence/lib/wfDiagnostic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3116", "wp-content/plugins/wordfence/lib/wfDict.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3117", "wp-content/plugins/wordfence/lib/wfDirectoryIterator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3118", "wp-content/plugins/wordfence/lib/wfHelperBin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3119", "wp-content/plugins/wordfence/lib/wfHelperString.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3120", "wp-content/plugins/wordfence/lib/wfIPWhitelist.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3121", "wp-content/plugins/wordfence/lib/wfImportExportController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3122", "wp-content/plugins/wordfence/lib/wfIssues.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3123", "wp-content/plugins/wordfence/lib/wfJWT.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3124", "wp-content/plugins/wordfence/lib/wfLockedOut.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3125", "wp-content/plugins/wordfence/lib/wfLog.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3126", "wp-content/plugins/wordfence/lib/wfMD5BloomFilter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3127", "wp-content/plugins/wordfence/lib/wfModuleController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3128", "wp-content/plugins/wordfence/lib/wfNotification.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3129", "wp-content/plugins/wordfence/lib/wfOnboardingController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3130", "wp-content/plugins/wordfence/lib/wfPersistenceController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3131", "wp-content/plugins/wordfence/lib/wfRESTAPI.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3132", "wp-content/plugins/wordfence/lib/wfScan.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3133", "wp-content/plugins/wordfence/lib/wfScanEngine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3134", "wp-content/plugins/wordfence/lib/wfSchema.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3135", "wp-content/plugins/wordfence/lib/wfStyle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3136", "wp-content/plugins/wordfence/lib/wfSupportController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3137", "wp-content/plugins/wordfence/lib/wfUnlockMsg.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3138", "wp-content/plugins/wordfence/lib/wfUpdateCheck.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3139", "wp-content/plugins/wordfence/lib/wfUtils.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3140", "wp-content/plugins/wordfence/lib/wfVersionCheckController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3141", "wp-content/plugins/wordfence/lib/wfView.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3142", "wp-content/plugins/wordfence/lib/wfViewResult.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3143", "wp-content/plugins/wordfence/lib/wordfenceClass.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3144", "wp-content/plugins/wordfence/lib/wordfenceConstants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3145", "wp-content/plugins/wordfence/lib/wordfenceHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3146", "wp-content/plugins/wordfence/lib/wordfenceScanner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3147", "wp-content/plugins/wordfence/lib/wordfenceURLHoover.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3148", "wp-content/plugins/wordfence/models/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3149", "wp-content/plugins/wordfence/models/block/wfBlock.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3150", "wp-content/plugins/wordfence/models/block/wfRateLimit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3151", "wp-content/plugins/wordfence/models/common/wfGeoIP2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3152", "wp-content/plugins/wordfence/models/common/wfTab.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3153", "wp-content/plugins/wordfence/models/firewall/wfFirewall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3154", "wp-content/plugins/wordfence/models/page/wfPage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3155", "wp-content/plugins/wordfence/models/scanner/wfScanner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3156", "wp-content/plugins/wordfence/modules/login-security/classes/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3157", "wp-content/plugins/wordfence/modules/login-security/classes/controller/ajax.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3158", "wp-content/plugins/wordfence/modules/login-security/classes/controller/captcha.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3159", "wp-content/plugins/wordfence/modules/login-security/classes/controller/cron.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3160", "wp-content/plugins/wordfence/modules/login-security/classes/controller/db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3161", "wp-content/plugins/wordfence/modules/login-security/classes/controller/notices.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3162", "wp-content/plugins/wordfence/modules/login-security/classes/controller/permissions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3163", "wp-content/plugins/wordfence/modules/login-security/classes/controller/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3164", "wp-content/plugins/wordfence/modules/login-security/classes/controller/support.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3165", "wp-content/plugins/wordfence/modules/login-security/classes/controller/time.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3166", "wp-content/plugins/wordfence/modules/login-security/classes/controller/totp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3167", "wp-content/plugins/wordfence/modules/login-security/classes/controller/users.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3168", "wp-content/plugins/wordfence/modules/login-security/classes/controller/whitelist.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3169", "wp-content/plugins/wordfence/modules/login-security/classes/controller/wordfencels.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3170", "wp-content/plugins/wordfence/modules/login-security/classes/model/asset.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3171", "wp-content/plugins/wordfence/modules/login-security/classes/model/compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3172", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto/base2n.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3173", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto/jwt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3174", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto/symmetric.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3175", "wp-content/plugins/wordfence/modules/login-security/classes/model/crypto.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3176", "wp-content/plugins/wordfence/modules/login-security/classes/model/ip.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3177", "wp-content/plugins/wordfence/modules/login-security/classes/model/notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3178", "wp-content/plugins/wordfence/modules/login-security/classes/model/request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3179", "wp-content/plugins/wordfence/modules/login-security/classes/model/settings/db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3180", "wp-content/plugins/wordfence/modules/login-security/classes/model/settings/wpoptions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3181", "wp-content/plugins/wordfence/modules/login-security/classes/model/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3182", "wp-content/plugins/wordfence/modules/login-security/classes/model/text/html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3183", "wp-content/plugins/wordfence/modules/login-security/classes/model/text/javascript.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3184", "wp-content/plugins/wordfence/modules/login-security/classes/model/tokenbucket.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3185", "wp-content/plugins/wordfence/modules/login-security/classes/model/view/tab.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3186", "wp-content/plugins/wordfence/modules/login-security/classes/model/view/title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3187", "wp-content/plugins/wordfence/modules/login-security/classes/model/view.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3188", "wp-content/plugins/wordfence/modules/login-security/css/admin-global.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3189", "wp-content/plugins/wordfence/modules/login-security/css/admin.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3190", "wp-content/plugins/wordfence/modules/login-security/css/colorbox.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3191", "wp-content/plugins/wordfence/modules/login-security/css/font-awesome.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3192", "wp-content/plugins/wordfence/modules/login-security/css/ionicons.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3193", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui-timepicker-addon.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3194", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3195", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui.structure.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3196", "wp-content/plugins/wordfence/modules/login-security/css/jquery-ui.theme.min.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3197", "wp-content/plugins/wordfence/modules/login-security/css/login.1564590761.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("3198", "wp-content/plugins/wordfence/modules/login-security/img/header.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3199", "wp-content/plugins/wordfence/modules/login-security/img/lightbox-controls.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3200", "wp-content/plugins/wordfence/modules/login-security/img/loading.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("3201", "wp-content/plugins/wordfence/modules/login-security/img/loading_background.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3202", "wp-content/plugins/wordfence/modules/login-security/img/menu.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3203", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_444444_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3204", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_555555_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3205", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_777620_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3206", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_777777_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3207", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_cc0000_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3208", "wp-content/plugins/wordfence/modules/login-security/img/ui-icons_ffffff_256x240.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("3209", "wp-content/plugins/wordfence/modules/login-security/js/admin-global.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3210", "wp-content/plugins/wordfence/modules/login-security/js/admin.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3211", "wp-content/plugins/wordfence/modules/login-security/js/jquery-ui-timepicker-addon.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3212", "wp-content/plugins/wordfence/modules/login-security/js/jquery.colorbox.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3213", "wp-content/plugins/wordfence/modules/login-security/js/jquery.colorbox.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3214", "wp-content/plugins/wordfence/modules/login-security/js/jquery.qrcode.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3215", "wp-content/plugins/wordfence/modules/login-security/js/jquery.tmpl.min.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3216", "wp-content/plugins/wordfence/modules/login-security/js/login.1564590761.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3217", "wp-content/plugins/wordfence/modules/login-security/views/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3218", "wp-content/plugins/wordfence/modules/login-security/views/common/modal-prompt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3219", "wp-content/plugins/wordfence/modules/login-security/views/email/login-verification.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3220", "wp-content/plugins/wordfence/modules/login-security/views/manage/activate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3221", "wp-content/plugins/wordfence/modules/login-security/views/manage/code.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3222", "wp-content/plugins/wordfence/modules/login-security/views/manage/deactivate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3223", "wp-content/plugins/wordfence/modules/login-security/views/manage/regenerate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3224", "wp-content/plugins/wordfence/modules/login-security/views/onboarding/standalone-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3225", "wp-content/plugins/wordfence/modules/login-security/views/options/option-captcha-threshold.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3226", "wp-content/plugins/wordfence/modules/login-security/views/options/option-captcha.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3227", "wp-content/plugins/wordfence/modules/login-security/views/options/option-ip-source.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3228", "wp-content/plugins/wordfence/modules/login-security/views/options/option-label.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3229", "wp-content/plugins/wordfence/modules/login-security/views/options/option-require-2fa.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3230", "wp-content/plugins/wordfence/modules/login-security/views/options/option-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3231", "wp-content/plugins/wordfence/modules/login-security/views/options/option-switch.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3232", "wp-content/plugins/wordfence/modules/login-security/views/options/option-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3233", "wp-content/plugins/wordfence/modules/login-security/views/options/option-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3234", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-boolean-switch.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3235", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-multiple.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3236", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-segmented.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3237", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3238", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-sub.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3239", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3240", "wp-content/plugins/wordfence/modules/login-security/views/options/option-toggled.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3241", "wp-content/plugins/wordfence/modules/login-security/views/options/option-token.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3242", "wp-content/plugins/wordfence/modules/login-security/views/page/manage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3243", "wp-content/plugins/wordfence/modules/login-security/views/page/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3244", "wp-content/plugins/wordfence/modules/login-security/views/page/section-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3245", "wp-content/plugins/wordfence/modules/login-security/views/page/settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3246", "wp-content/plugins/wordfence/modules/login-security/views/page/tabbar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3247", "wp-content/plugins/wordfence/modules/login-security/views/settings/options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3248", "wp-content/plugins/wordfence/modules/login-security/views/settings/user-stats.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3249", "wp-content/plugins/wordfence/modules/login-security/wordfence-login-security.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3250", "wp-content/plugins/wordfence/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("3251", "wp-content/plugins/wordfence/tmp/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3252", "wp-content/plugins/wordfence/vendor/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3253", "wp-content/plugins/wordfence/vendor/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3254", "wp-content/plugins/wordfence/vendor/composer/ClassLoader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3255", "wp-content/plugins/wordfence/vendor/composer/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("3256", "wp-content/plugins/wordfence/vendor/composer/autoload_classmap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3257", "wp-content/plugins/wordfence/vendor/composer/autoload_namespaces.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3258", "wp-content/plugins/wordfence/vendor/composer/autoload_psr4.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3259", "wp-content/plugins/wordfence/vendor/composer/autoload_real.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3260", "wp-content/plugins/wordfence/vendor/composer/autoload_static.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3261", "wp-content/plugins/wordfence/vendor/composer/ca-bundle/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("3262", "wp-content/plugins/wordfence/vendor/composer/ca-bundle/res/cacert.pem");
INSERT INTO `wpky_wfknownfilelist` VALUES("3263", "wp-content/plugins/wordfence/vendor/composer/ca-bundle/src/CaBundle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3264", "wp-content/plugins/wordfence/vendor/composer/installed.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("3265", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/.gitmodules");
INSERT INTO `wpky_wfknownfilelist` VALUES("3266", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/.php_cs");
INSERT INTO `wpky_wfknownfilelist` VALUES("3267", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("3268", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Database/Reader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3269", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/AddressNotFoundException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3270", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/AuthenticationException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3271", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/GeoIp2Exception.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3272", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/HttpException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3273", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/InvalidRequestException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3274", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Exception/OutOfQueriesException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3275", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/AbstractModel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3276", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/AnonymousIp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3277", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Asn.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3278", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/City.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3279", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/ConnectionType.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3280", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Country.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3281", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Domain.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3282", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Enterprise.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3283", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Insights.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3284", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Model/Isp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3285", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/ProviderInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3286", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/AbstractPlaceRecord.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3287", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/AbstractRecord.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3288", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/City.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3289", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Continent.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3290", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Country.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3291", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Location.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3292", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/MaxMind.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3293", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Postal.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3294", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/RepresentedCountry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3295", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Subdivision.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3296", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/Record/Traits.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3297", "wp-content/plugins/wordfence/vendor/geoip2/geoip2/src/WebService/Client.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3298", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("3299", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/AuthenticationException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3300", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/HttpException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3301", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/InsufficientFundsException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3302", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/InvalidInputException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3303", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/InvalidRequestException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3304", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/IpAddressNotFoundException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3305", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/PermissionRequiredException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3306", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/Exception/WebServiceException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3307", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Client.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3308", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Http/CurlRequest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3309", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Http/Request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3310", "wp-content/plugins/wordfence/vendor/maxmind/web-service-common/src/WebService/Http/RequestFactory.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3311", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("3312", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3313", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/Decoder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3314", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/InvalidDatabaseException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3315", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/Metadata.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3316", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3317", "wp-content/plugins/wordfence/vendor/maxmind-db/reader/src/MaxMind/Db/Reader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3318", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/cacert.pem");
INSERT INTO `wpky_wfknownfilelist` VALUES("3319", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/falsepositive.key");
INSERT INTO `wpky_wfknownfilelist` VALUES("3320", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/init.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3321", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3322", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/http.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3323", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/json.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3324", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/parser/lexer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3325", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/parser/parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3326", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/parser/sqli.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3327", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3328", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/rules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3329", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/storage/file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3330", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/storage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3331", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/utils.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3332", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/view.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3333", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/waf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3334", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/lib/xmlrpc.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3335", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/rules.key");
INSERT INTO `wpky_wfknownfilelist` VALUES("3336", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/403-blacklist.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3337", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/403-roadblock.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3338", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/403.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3339", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/503-lockout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3340", "wp-content/plugins/wordfence/vendor/wordfence/wf-waf/src/views/503.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3341", "wp-content/plugins/wordfence/views/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3342", "wp-content/plugins/wordfence/views/blocking/block-list.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3343", "wp-content/plugins/wordfence/views/blocking/blocking-create.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3344", "wp-content/plugins/wordfence/views/blocking/blocking-status.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3345", "wp-content/plugins/wordfence/views/blocking/country-block-map.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3346", "wp-content/plugins/wordfence/views/blocking/country-modal.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3347", "wp-content/plugins/wordfence/views/blocking/option-bypass-cookie.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3348", "wp-content/plugins/wordfence/views/blocking/option-bypass-redirect.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3349", "wp-content/plugins/wordfence/views/blocking/options-group-advanced-country.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3350", "wp-content/plugins/wordfence/views/common/block-navigation-option.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3351", "wp-content/plugins/wordfence/views/common/indeterminate-progress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3352", "wp-content/plugins/wordfence/views/common/license.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3353", "wp-content/plugins/wordfence/views/common/modal-prompt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3354", "wp-content/plugins/wordfence/views/common/page-fixed-tabbar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3355", "wp-content/plugins/wordfence/views/common/page-help.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3356", "wp-content/plugins/wordfence/views/common/page-tabbar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3357", "wp-content/plugins/wordfence/views/common/page-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3358", "wp-content/plugins/wordfence/views/common/section-subtitle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3359", "wp-content/plugins/wordfence/views/common/section-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3360", "wp-content/plugins/wordfence/views/common/status-circular.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3361", "wp-content/plugins/wordfence/views/common/status-critical.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3362", "wp-content/plugins/wordfence/views/common/status-detail.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3363", "wp-content/plugins/wordfence/views/common/status-tooltip.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3364", "wp-content/plugins/wordfence/views/common/status-warning.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3365", "wp-content/plugins/wordfence/views/common/unsubscribe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3366", "wp-content/plugins/wordfence/views/dashboard/global-status.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3367", "wp-content/plugins/wordfence/views/dashboard/option-howgetips.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3368", "wp-content/plugins/wordfence/views/dashboard/options-group-alert.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3369", "wp-content/plugins/wordfence/views/dashboard/options-group-dashboard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3370", "wp-content/plugins/wordfence/views/dashboard/options-group-email-summary.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3371", "wp-content/plugins/wordfence/views/dashboard/options-group-general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3372", "wp-content/plugins/wordfence/views/dashboard/options-group-import.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3373", "wp-content/plugins/wordfence/views/dashboard/options-group-license.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3374", "wp-content/plugins/wordfence/views/dashboard/options-group-view-customization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3375", "wp-content/plugins/wordfence/views/dashboard/status-payment-expiring.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3376", "wp-content/plugins/wordfence/views/dashboard/status-renewing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3377", "wp-content/plugins/wordfence/views/gdpr/banner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3378", "wp-content/plugins/wordfence/views/gdpr/disabled-overlay.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3379", "wp-content/plugins/wordfence/views/onboarding/banner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3380", "wp-content/plugins/wordfence/views/onboarding/disabled-overlay.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3381", "wp-content/plugins/wordfence/views/onboarding/fresh-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3382", "wp-content/plugins/wordfence/views/onboarding/modal-final-attempt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3383", "wp-content/plugins/wordfence/views/onboarding/overlay.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3384", "wp-content/plugins/wordfence/views/onboarding/plugin-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3385", "wp-content/plugins/wordfence/views/onboarding/tour-overlay.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3386", "wp-content/plugins/wordfence/views/options/block-all-options-controls.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3387", "wp-content/plugins/wordfence/views/options/block-controls.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3388", "wp-content/plugins/wordfence/views/options/option-label.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3389", "wp-content/plugins/wordfence/views/options/option-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3390", "wp-content/plugins/wordfence/views/options/option-switch.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3391", "wp-content/plugins/wordfence/views/options/option-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3392", "wp-content/plugins/wordfence/views/options/option-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3393", "wp-content/plugins/wordfence/views/options/option-toggled-boolean-switch.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3394", "wp-content/plugins/wordfence/views/options/option-toggled-multiple.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3395", "wp-content/plugins/wordfence/views/options/option-toggled-segmented.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3396", "wp-content/plugins/wordfence/views/options/option-toggled-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3397", "wp-content/plugins/wordfence/views/options/option-toggled-sub.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3398", "wp-content/plugins/wordfence/views/options/option-toggled-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3399", "wp-content/plugins/wordfence/views/options/option-toggled.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3400", "wp-content/plugins/wordfence/views/options/option-token.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3401", "wp-content/plugins/wordfence/views/options/options-title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3402", "wp-content/plugins/wordfence/views/reports/activity-report-email-inline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3403", "wp-content/plugins/wordfence/views/reports/activity-report.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3404", "wp-content/plugins/wordfence/views/scanner/issue-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3405", "wp-content/plugins/wordfence/views/scanner/issue-checkGSB.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3406", "wp-content/plugins/wordfence/views/scanner/issue-checkHowGetIPs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3407", "wp-content/plugins/wordfence/views/scanner/issue-checkSpamIP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3408", "wp-content/plugins/wordfence/views/scanner/issue-commentBadURL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3409", "wp-content/plugins/wordfence/views/scanner/issue-configReadable.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3410", "wp-content/plugins/wordfence/views/scanner/issue-control-edit-comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3411", "wp-content/plugins/wordfence/views/scanner/issue-control-edit-post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3412", "wp-content/plugins/wordfence/views/scanner/issue-control-edit-user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3413", "wp-content/plugins/wordfence/views/scanner/issue-control-hide-file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3414", "wp-content/plugins/wordfence/views/scanner/issue-control-ignore.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3415", "wp-content/plugins/wordfence/views/scanner/issue-control-repair.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3416", "wp-content/plugins/wordfence/views/scanner/issue-control-show-details.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3417", "wp-content/plugins/wordfence/views/scanner/issue-coreUnknown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3418", "wp-content/plugins/wordfence/views/scanner/issue-database.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3419", "wp-content/plugins/wordfence/views/scanner/issue-diskSpace.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3420", "wp-content/plugins/wordfence/views/scanner/issue-dnsChange.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3421", "wp-content/plugins/wordfence/views/scanner/issue-easyPassword.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3422", "wp-content/plugins/wordfence/views/scanner/issue-file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3423", "wp-content/plugins/wordfence/views/scanner/issue-geoipSupport.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3424", "wp-content/plugins/wordfence/views/scanner/issue-knownfile.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3425", "wp-content/plugins/wordfence/views/scanner/issue-optionBadURL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3426", "wp-content/plugins/wordfence/views/scanner/issue-postBadTitle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3427", "wp-content/plugins/wordfence/views/scanner/issue-postBadURL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3428", "wp-content/plugins/wordfence/views/scanner/issue-publiclyAccessible.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3429", "wp-content/plugins/wordfence/views/scanner/issue-spamvertizeCheck.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3430", "wp-content/plugins/wordfence/views/scanner/issue-suspiciousAdminUsers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3431", "wp-content/plugins/wordfence/views/scanner/issue-timelimit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3432", "wp-content/plugins/wordfence/views/scanner/issue-wafStatus.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3433", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginAbandoned.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3434", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginRemoved.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3435", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginUpgrade.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3436", "wp-content/plugins/wordfence/views/scanner/issue-wfPluginVulnerable.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3437", "wp-content/plugins/wordfence/views/scanner/issue-wfThemeUpgrade.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3438", "wp-content/plugins/wordfence/views/scanner/issue-wfUpgrade.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3439", "wp-content/plugins/wordfence/views/scanner/issue-wpscan_directoryList.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3440", "wp-content/plugins/wordfence/views/scanner/issue-wpscan_fullPathDiscl.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3441", "wp-content/plugins/wordfence/views/scanner/no-issues.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3442", "wp-content/plugins/wordfence/views/scanner/option-scan-signatures.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3443", "wp-content/plugins/wordfence/views/scanner/options-group-advanced.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3444", "wp-content/plugins/wordfence/views/scanner/options-group-basic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3445", "wp-content/plugins/wordfence/views/scanner/options-group-general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3446", "wp-content/plugins/wordfence/views/scanner/options-group-performance.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3447", "wp-content/plugins/wordfence/views/scanner/options-group-scan-schedule.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3448", "wp-content/plugins/wordfence/views/scanner/scan-failed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3449", "wp-content/plugins/wordfence/views/scanner/scan-progress-detailed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3450", "wp-content/plugins/wordfence/views/scanner/scan-progress-element.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3451", "wp-content/plugins/wordfence/views/scanner/scan-progress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3452", "wp-content/plugins/wordfence/views/scanner/scan-results.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3453", "wp-content/plugins/wordfence/views/scanner/scan-scheduling.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3454", "wp-content/plugins/wordfence/views/scanner/scan-starter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3455", "wp-content/plugins/wordfence/views/scanner/scan-type.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3456", "wp-content/plugins/wordfence/views/scanner/scanner-status.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3457", "wp-content/plugins/wordfence/views/scanner/site-cleaning-beta-sigs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3458", "wp-content/plugins/wordfence/views/scanner/site-cleaning-bottom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3459", "wp-content/plugins/wordfence/views/scanner/site-cleaning-high-sense.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3460", "wp-content/plugins/wordfence/views/scanner/site-cleaning.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3461", "wp-content/plugins/wordfence/views/tools/options-group-2fa.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3462", "wp-content/plugins/wordfence/views/tools/options-group-live-traffic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3463", "wp-content/plugins/wordfence/views/tours/login-security.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3464", "wp-content/plugins/wordfence/views/waf/debug.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3465", "wp-content/plugins/wordfence/views/waf/firewall-status.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3466", "wp-content/plugins/wordfence/views/waf/option-rate-limit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3467", "wp-content/plugins/wordfence/views/waf/option-rules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3468", "wp-content/plugins/wordfence/views/waf/option-whitelist.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3469", "wp-content/plugins/wordfence/views/waf/options-group-advanced-firewall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3470", "wp-content/plugins/wordfence/views/waf/options-group-basic-firewall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3471", "wp-content/plugins/wordfence/views/waf/options-group-brute-force.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3472", "wp-content/plugins/wordfence/views/waf/options-group-rate-limiting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3473", "wp-content/plugins/wordfence/views/waf/options-group-whitelisted.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3474", "wp-content/plugins/wordfence/views/waf/status-tooltip-learning-mode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3475", "wp-content/plugins/wordfence/views/waf/waf-install-manual.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3476", "wp-content/plugins/wordfence/views/waf/waf-install-success.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3477", "wp-content/plugins/wordfence/views/waf/waf-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3478", "wp-content/plugins/wordfence/views/waf/waf-modal-wrapper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3479", "wp-content/plugins/wordfence/views/waf/waf-uninstall-success.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3480", "wp-content/plugins/wordfence/views/waf/waf-uninstall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3481", "wp-content/plugins/wordfence/waf/.htaccess");
INSERT INTO `wpky_wfknownfilelist` VALUES("3482", "wp-content/plugins/wordfence/waf/bootstrap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3483", "wp-content/plugins/wordfence/waf/wfWAFGeoIP2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3484", "wp-content/plugins/wordfence/waf/wfWAFIPBlocksController.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3485", "wp-content/plugins/wordfence/waf/wfWAFUserIPRange.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3486", "wp-content/plugins/wordfence/wordfence.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3487", "wp-content/plugins/wp-rocket/assets/fonts/icomoon.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3488", "wp-content/plugins/wp-rocket/assets/img/bg-activated.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3489", "wp-content/plugins/wp-rocket/assets/img/heartbeat-hover.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3490", "wp-content/plugins/wp-rocket/assets/img/heartbeat.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3491", "wp-content/plugins/wp-rocket/assets/img/imagify-hover.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3492", "wp-content/plugins/wp-rocket/assets/img/imagify.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3493", "wp-content/plugins/wp-rocket/assets/img/logo-adblock.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3494", "wp-content/plugins/wp-rocket/assets/img/logo-cloudflare.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3495", "wp-content/plugins/wp-rocket/assets/img/logo-cloudflare2.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3496", "wp-content/plugins/wp-rocket/assets/img/logo-facebook.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3497", "wp-content/plugins/wp-rocket/assets/img/logo-google-analytics.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3498", "wp-content/plugins/wp-rocket/assets/img/logo-varnish.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3499", "wp-content/plugins/wp-rocket/assets/img/logo-wprocket-dark.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3500", "wp-content/plugins/wp-rocket/assets/img/logo-wprocket-light.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3501", "wp-content/plugins/wp-rocket/assets/img/picto-wprocket-dark.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3502", "wp-content/plugins/wp-rocket/assets/img/picto-wprocket-light.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("3503", "wp-content/plugins/wp-rocket/assets/js/editor/editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3504", "wp-content/plugins/wp-rocket/assets/js/lazyload/11.0.6/lazyload.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3505", "wp-content/plugins/wp-rocket/assets/js/lazyload/11.0.6/lazyload.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3506", "wp-content/plugins/wp-rocket/assets/js/lazyload/11.0.6/lazyload.min.js.map");
INSERT INTO `wpky_wfknownfilelist` VALUES("3507", "wp-content/plugins/wp-rocket/assets/js/wpr-admin-common.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3508", "wp-content/plugins/wp-rocket/assets/js/wpr-admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3509", "wp-content/plugins/wp-rocket/assets/js/wpr-admin.js.map");
INSERT INTO `wpky_wfknownfilelist` VALUES("3510", "wp-content/plugins/wp-rocket/assets/js/wpr-modal.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("3511", "wp-content/plugins/wp-rocket/inc/3rd-party/3rd-party.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3512", "wp-content/plugins/wp-rocket/inc/3rd-party/aqua-resizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3513", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/flywheel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3514", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/godaddy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3515", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/kinsta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3516", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/nginx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3517", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/o2switch.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3518", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/pagely.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3519", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/pressidium.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3520", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/savvii.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3521", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/siteground.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3522", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/varnish.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3523", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/wp-serveur.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3524", "wp-content/plugins/wp-rocket/inc/3rd-party/hosting/wpengine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3525", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/advanced-custom-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3526", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/age-verify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3527", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/appbanners.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3528", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/autoptimize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3529", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/buddypress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3530", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/cookie-notice.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3531", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/eu-cookie-law.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3532", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/gdpr.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3533", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/cookies/weepie-cookie-allow.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3534", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/custom-login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3535", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/disqus.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3536", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/aelia-currencyswitcher.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3537", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/aelia-prices-by-country.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3538", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/aelia-tax-display-by-country.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3539", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/easy-digital-downloads.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3540", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/edd-software-licencing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3541", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/give.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3542", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/ithemes-exchange.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3543", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/jigoshop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3544", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/woocommerce-currency-converter-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3545", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/woocommerce-multilingual.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3546", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/ecommerce/wpshop.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3547", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/envira-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3548", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/geotargetingwp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3549", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/i18n/polylang.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3550", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/i18n/wpml.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3551", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/jetpack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3552", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/mailchimp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3553", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/mobile/amp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3554", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/mobile/wp-appkit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3555", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/nginx-helper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3556", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/page-builder/beaver-builder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3557", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/page-builder/thrive-visual-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3558", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/page-builder/visual-composer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3559", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/rating/kk-star-ratings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3560", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/rating/wp-postratings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3561", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/s2member.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3562", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/security/secupress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3563", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/security/sf-move-login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3564", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/security/wps-hide-login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3565", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/all-in-one-seo-pack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3566", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/premium-seo-pack.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3567", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/rank-math-seo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3568", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/the-seo-framework.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3569", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/seo/yoast-seo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3570", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/simple-custom-css.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3571", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/layerslider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3572", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/meta-slider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3573", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/revslider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3574", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/slider/soliloquy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3575", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/sumome.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3576", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/thrive-leads.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3577", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/varnish-http-purge.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3578", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-offload-s3-assets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3579", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-offload-s3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3580", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-print.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3581", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-rest-api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3582", "wp-content/plugins/wp-rocket/inc/3rd-party/plugins/wp-retina-2x.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3583", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/avada.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3584", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/divi.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3585", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/studiopress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3586", "wp-content/plugins/wp-rocket/inc/3rd-party/themes/uncode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3587", "wp-content/plugins/wp-rocket/inc/admin/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3588", "wp-content/plugins/wp-rocket/inc/admin/options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3589", "wp-content/plugins/wp-rocket/inc/admin/ui/enqueue.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3590", "wp-content/plugins/wp-rocket/inc/admin/ui/meta-boxes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3591", "wp-content/plugins/wp-rocket/inc/admin/ui/notices.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3592", "wp-content/plugins/wp-rocket/inc/admin/updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3593", "wp-content/plugins/wp-rocket/inc/admin/upgrader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3594", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-abstract-buffer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3595", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3596", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3597", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3598", "wp-content/plugins/wp-rocket/inc/classes/Buffer/class-tests.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3599", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-addons-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3600", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-admin-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3601", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-beacon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3602", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-common-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3603", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-database.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3604", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-hostings-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3605", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-lazyload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3606", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-optimization-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3607", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3608", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-preload-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3609", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3610", "wp-content/plugins/wp-rocket/inc/classes/ServiceProvider/class-third-party-subscribers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3611", "wp-content/plugins/wp-rocket/inc/classes/admin/Database/class-optimization-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3612", "wp-content/plugins/wp-rocket/inc/classes/admin/Database/class-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3613", "wp-content/plugins/wp-rocket/inc/classes/admin/class-abstract-options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3614", "wp-content/plugins/wp-rocket/inc/classes/admin/class-logs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3615", "wp-content/plugins/wp-rocket/inc/classes/admin/class-options-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3616", "wp-content/plugins/wp-rocket/inc/classes/admin/class-options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3617", "wp-content/plugins/wp-rocket/inc/classes/admin/deactivation/class-render.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3618", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-beacon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3619", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3620", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-render.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3621", "wp-content/plugins/wp-rocket/inc/classes/admin/settings/class-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3622", "wp-content/plugins/wp-rocket/inc/classes/busting/class-abstract-busting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3623", "wp-content/plugins/wp-rocket/inc/classes/busting/class-busting-factory.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3624", "wp-content/plugins/wp-rocket/inc/classes/busting/class-facebook-pickles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3625", "wp-content/plugins/wp-rocket/inc/classes/busting/class-facebook-sdk.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3626", "wp-content/plugins/wp-rocket/inc/classes/busting/class-google-analytics.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3627", "wp-content/plugins/wp-rocket/inc/classes/busting/class-google-tag-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3628", "wp-content/plugins/wp-rocket/inc/classes/busting/trait-file-busting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3629", "wp-content/plugins/wp-rocket/inc/classes/class-abstract-render.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3630", "wp-content/plugins/wp-rocket/inc/classes/class-plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3631", "wp-content/plugins/wp-rocket/inc/classes/class-wp-rocket-requirements-check.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3632", "wp-content/plugins/wp-rocket/inc/classes/event-management/class-event-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3633", "wp-content/plugins/wp-rocket/inc/classes/event-management/event-manager-aware-subscriber-interface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3634", "wp-content/plugins/wp-rocket/inc/classes/event-management/subscriber-interface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3635", "wp-content/plugins/wp-rocket/inc/classes/interfaces/class-render-interface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3636", "wp-content/plugins/wp-rocket/inc/classes/logger/class-html-formatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3637", "wp-content/plugins/wp-rocket/inc/classes/logger/class-logger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3638", "wp-content/plugins/wp-rocket/inc/classes/logger/class-stream-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3639", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-abstract-css-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3640", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-combine-google-fonts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3641", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-combine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3642", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-critical-css-generation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3643", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-critical-css.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3644", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/class-minify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3645", "wp-content/plugins/wp-rocket/inc/classes/optimization/CSS/trait-path-rewriter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3646", "wp-content/plugins/wp-rocket/inc/classes/optimization/JS/class-abstract-js-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3647", "wp-content/plugins/wp-rocket/inc/classes/optimization/JS/class-combine.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3648", "wp-content/plugins/wp-rocket/inc/classes/optimization/JS/class-minify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3649", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-abstract-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3650", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-assets-local-cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3651", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-cache-dynamic-resource.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3652", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-cdn-favicons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3653", "wp-content/plugins/wp-rocket/inc/classes/optimization/class-remove-query-string.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3654", "wp-content/plugins/wp-rocket/inc/classes/preload/class-abstract-preload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3655", "wp-content/plugins/wp-rocket/inc/classes/preload/class-full-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3656", "wp-content/plugins/wp-rocket/inc/classes/preload/class-homepage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3657", "wp-content/plugins/wp-rocket/inc/classes/preload/class-partial-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3658", "wp-content/plugins/wp-rocket/inc/classes/preload/class-sitemap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3659", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-abstract-minify-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3660", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-buffer-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3661", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-cache-dynamic-resource-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3662", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-cdn-favicons-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3663", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-combine-google-fonts-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3664", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-critical-css-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3665", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-ie-conditionals-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3666", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-lazyload-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3667", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-minify-css-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3668", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-minify-html-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3669", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-minify-js-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3670", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Optimization/class-remove-query-string-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3671", "wp-content/plugins/wp-rocket/inc/classes/subscriber/Tools/class-cache-dir-size-check-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3672", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Database/class-optimization-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3673", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Deactivation/class-deactivation-intent-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3674", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Settings/class-beacon-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3675", "wp-content/plugins/wp-rocket/inc/classes/subscriber/admin/Settings/class-page-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3676", "wp-content/plugins/wp-rocket/inc/classes/subscriber/class-facebook-tracking-cache-busting-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3677", "wp-content/plugins/wp-rocket/inc/classes/subscriber/class-google-tracking-cache-busting-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3678", "wp-content/plugins/wp-rocket/inc/classes/subscriber/class-heartbeat-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3679", "wp-content/plugins/wp-rocket/inc/classes/subscriber/preload/class-partial-preload-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3680", "wp-content/plugins/wp-rocket/inc/classes/subscriber/preload/class-preload-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3681", "wp-content/plugins/wp-rocket/inc/classes/subscriber/preload/class-sitemap-preload-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3682", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/Hostings/class-pressable-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3683", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/Themes/class-bridge-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3684", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/Optimization/class-hummingbird-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3685", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/PageBuilder/class-elementor-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3686", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/class-mobile-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3687", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/class-ngg-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3688", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/class-syntaxhighlighter-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3689", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/ecommerce/class-woocommerce-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3690", "wp-content/plugins/wp-rocket/inc/classes/subscriber/third-party/plugins/security/class-sucuri-subscriber.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3691", "wp-content/plugins/wp-rocket/inc/classes/traits/trait-config-updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3692", "wp-content/plugins/wp-rocket/inc/classes/traits/trait-memoize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3693", "wp-content/plugins/wp-rocket/inc/common/admin-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3694", "wp-content/plugins/wp-rocket/inc/common/cloudflare.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3695", "wp-content/plugins/wp-rocket/inc/common/cron.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3696", "wp-content/plugins/wp-rocket/inc/common/embeds.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3697", "wp-content/plugins/wp-rocket/inc/common/emoji.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3698", "wp-content/plugins/wp-rocket/inc/common/purge.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3699", "wp-content/plugins/wp-rocket/inc/common/updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3700", "wp-content/plugins/wp-rocket/inc/compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3701", "wp-content/plugins/wp-rocket/inc/deprecated/3.2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3702", "wp-content/plugins/wp-rocket/inc/deprecated/3.3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3703", "wp-content/plugins/wp-rocket/inc/deprecated/deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3704", "wp-content/plugins/wp-rocket/inc/domain-mapping.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3705", "wp-content/plugins/wp-rocket/inc/front/cdn.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3706", "wp-content/plugins/wp-rocket/inc/front/cookie.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3707", "wp-content/plugins/wp-rocket/inc/front/deferred-js.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3708", "wp-content/plugins/wp-rocket/inc/front/dns-prefetch.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3709", "wp-content/plugins/wp-rocket/inc/front/images.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3710", "wp-content/plugins/wp-rocket/inc/front/process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3711", "wp-content/plugins/wp-rocket/inc/front/protocol.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3712", "wp-content/plugins/wp-rocket/inc/functions/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3713", "wp-content/plugins/wp-rocket/inc/functions/cdn.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3714", "wp-content/plugins/wp-rocket/inc/functions/cloudflare.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3715", "wp-content/plugins/wp-rocket/inc/functions/files.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3716", "wp-content/plugins/wp-rocket/inc/functions/formatting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3717", "wp-content/plugins/wp-rocket/inc/functions/htaccess.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3718", "wp-content/plugins/wp-rocket/inc/functions/i18n.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3719", "wp-content/plugins/wp-rocket/inc/functions/options.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3720", "wp-content/plugins/wp-rocket/inc/functions/posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3721", "wp-content/plugins/wp-rocket/inc/functions/preload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3722", "wp-content/plugins/wp-rocket/inc/functions/varnish.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3723", "wp-content/plugins/wp-rocket/inc/main.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3724", "wp-content/plugins/wp-rocket/inc/process-autoloader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3725", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-imagify-partner.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3726", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-minify-css-urirewriter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3727", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-minify-html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3728", "wp-content/plugins/wp-rocket/inc/vendors/classes/class-rocket-mobile-detect.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3729", "wp-content/plugins/wp-rocket/inc/vendors/ip_in_range.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3730", "wp-content/plugins/wp-rocket/licence-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3731", "wp-content/plugins/wp-rocket/uninstall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3732", "wp-content/plugins/wp-rocket/vendor/a5hleyrich/wp-background-processing/classes/wp-async-request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3733", "wp-content/plugins/wp-rocket/vendor/a5hleyrich/wp-background-processing/classes/wp-background-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3734", "wp-content/plugins/wp-rocket/vendor/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3735", "wp-content/plugins/wp-rocket/vendor/composer/ClassLoader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3736", "wp-content/plugins/wp-rocket/vendor/composer/autoload_classmap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3737", "wp-content/plugins/wp-rocket/vendor/composer/autoload_namespaces.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3738", "wp-content/plugins/wp-rocket/vendor/composer/autoload_psr4.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3739", "wp-content/plugins/wp-rocket/vendor/composer/autoload_real.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3740", "wp-content/plugins/wp-rocket/vendor/composer/autoload_static.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3741", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AglInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3742", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AimeosInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3743", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AnnotateCmsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3744", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AsgardInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3745", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/AttogramInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3746", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/BaseInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3747", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/BitrixInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3748", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/BonefishInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3749", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CakePHPInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3750", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ChefInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3751", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CiviCrmInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3752", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ClanCatsFrameworkInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3753", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CockpitInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3754", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CodeIgniterInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3755", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Concrete5Installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3756", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CraftInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3757", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/CroogoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3758", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DecibelInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3759", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DokuWikiInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3760", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DolibarrInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3761", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/DrupalInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3762", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ElggInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3763", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/EliasisInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3764", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ExpressionEngineInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3765", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/EzPlatformInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3766", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/FuelInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3767", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/FuelphpInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3768", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/GravInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3769", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/HuradInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3770", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ImageCMSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3771", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3772", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ItopInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3773", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/JoomlaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3774", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KanboardInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3775", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KirbyInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3776", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KodiCMSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3777", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/KohanaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3778", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LanManagementSystemInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3779", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LaravelInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3780", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LavaLiteInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3781", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/LithiumInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3782", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MODULEWorkInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3783", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MODXEvoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3784", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MagentoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3785", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MajimaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3786", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MakoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3787", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MauticInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3788", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MayaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3789", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MediaWikiInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3790", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MicroweberInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3791", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ModxInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3792", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/MoodleInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3793", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OctoberInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3794", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OntoWikiInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3795", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OsclassInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3796", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/OxidInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3797", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PPIInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3798", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PhiftyInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3799", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PhpBBInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3800", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PimcoreInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3801", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PiwikInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3802", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PlentymarketsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3803", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3804", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PortoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3805", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PrestashopInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3806", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PuppetInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3807", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/PxcmsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3808", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/RadPHPInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3809", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ReIndexInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3810", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/RedaxoInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3811", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/RoundcubeInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3812", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SMFInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3813", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ShopwareInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3814", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SilverStripeInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3815", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SiteDirectInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3816", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/SyDESInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3817", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/Symfony1Installer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3818", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TYPO3CmsInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3819", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TYPO3FlowInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3820", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TheliaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3821", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/TuskInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3822", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/UserFrostingInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3823", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/VanillaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3824", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/VgmcpInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3825", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/WHMCSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3826", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/WolfCMSInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3827", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/WordPressInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3828", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/YawikInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3829", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ZendInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3830", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/Composer/Installers/ZikulaInstaller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3831", "wp-content/plugins/wp-rocket/vendor/composer/installers/src/bootstrap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3832", "wp-content/plugins/wp-rocket/vendor/container-interop/container-interop/src/Interop/Container/ContainerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3833", "wp-content/plugins/wp-rocket/vendor/container-interop/container-interop/src/Interop/Container/Exception/ContainerException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3834", "wp-content/plugins/wp-rocket/vendor/container-interop/container-interop/src/Interop/Container/Exception/NotFoundException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3835", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3836", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Certificates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3837", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Exception/AuthenticationException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3838", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Exception/UnauthorizedException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3839", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/IPs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3840", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Firewall/AccessRules/Rules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3841", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Invites.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3842", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/LoadBalancers/Monitors.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3843", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/LoadBalancers/Pools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3844", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Members.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3845", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Railguns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3846", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/Roles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3847", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations/VirtualDns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3848", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Organizations.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3849", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Railguns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3850", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Billing/Subscriptions/Apps.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3851", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Billing/Subscriptions/Zones.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3852", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Billing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3853", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Firewall/AccessRules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3854", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Invites.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3855", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/GlobalPolicies.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3856", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Maps.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3857", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Monitors.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3858", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Notifiers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3859", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Origins.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3860", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/LoadBalancers/Pools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3861", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/Organizations.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3862", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User/VirtualDns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3863", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/User.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3864", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Aml.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3865", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Analytics.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3866", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3867", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/CustomPages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3868", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/CustomSSL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3869", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Dns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3870", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Firewall/AccessRules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3871", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/KeylessSSL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3872", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/LoadBalancers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3873", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Pagerules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3874", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Plan.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3875", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Railgun.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3876", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/SSL/Analyze.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3877", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/SSL/CertificatePacks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3878", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/SSL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3879", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/Settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3880", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/WAF/Packages/Groups.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3881", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/WAF/Packages/Rules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3882", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone/WAF/Packages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3883", "wp-content/plugins/wp-rocket/vendor/jamesryanbell/cloudflare/src/CloudFlare/Zone.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3884", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/ArgumentResolverInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3885", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/ArgumentResolverTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3886", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/RawArgument.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3887", "wp-content/plugins/wp-rocket/vendor/league/container/src/Argument/RawArgumentInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3888", "wp-content/plugins/wp-rocket/vendor/league/container/src/Container.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3889", "wp-content/plugins/wp-rocket/vendor/league/container/src/ContainerAwareInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3890", "wp-content/plugins/wp-rocket/vendor/league/container/src/ContainerAwareTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3891", "wp-content/plugins/wp-rocket/vendor/league/container/src/ContainerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3892", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/AbstractDefinition.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3893", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/CallableDefinition.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3894", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/ClassDefinition.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3895", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/ClassDefinitionInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3896", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/DefinitionFactory.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3897", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/DefinitionFactoryInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3898", "wp-content/plugins/wp-rocket/vendor/league/container/src/Definition/DefinitionInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3899", "wp-content/plugins/wp-rocket/vendor/league/container/src/Exception/NotFoundException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3900", "wp-content/plugins/wp-rocket/vendor/league/container/src/ImmutableContainerAwareInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3901", "wp-content/plugins/wp-rocket/vendor/league/container/src/ImmutableContainerAwareTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3902", "wp-content/plugins/wp-rocket/vendor/league/container/src/ImmutableContainerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3903", "wp-content/plugins/wp-rocket/vendor/league/container/src/Inflector/Inflector.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3904", "wp-content/plugins/wp-rocket/vendor/league/container/src/Inflector/InflectorAggregate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3905", "wp-content/plugins/wp-rocket/vendor/league/container/src/Inflector/InflectorAggregateInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3906", "wp-content/plugins/wp-rocket/vendor/league/container/src/ReflectionContainer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3907", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/AbstractServiceProvider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3908", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/AbstractSignatureServiceProvider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3909", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/BootableServiceProviderInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3910", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/ServiceProviderAggregate.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3911", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/ServiceProviderAggregateInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3912", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/ServiceProviderInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3913", "wp-content/plugins/wp-rocket/vendor/league/container/src/ServiceProvider/SignatureServiceProviderInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3914", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/CSS.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3915", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exception.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3916", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exceptions/BasicException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3917", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exceptions/FileImportException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3918", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Exceptions/IOException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3919", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/JS.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3920", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/minify/src/Minify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3921", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/path-converter/src/Converter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3922", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/path-converter/src/ConverterInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3923", "wp-content/plugins/wp-rocket/vendor/matthiasmullie/path-converter/src/NoConverter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3924", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/ErrorHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3925", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/ChromePHPFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3926", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/ElasticaFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3927", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/FlowdockFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3928", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/FluentdFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3929", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/FormatterInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3930", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/GelfMessageFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3931", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/HtmlFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3932", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/JsonFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3933", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/LineFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3934", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/LogglyFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3935", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/LogstashFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3936", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/MongoDBFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3937", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/NormalizerFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3938", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/ScalarFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3939", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Formatter/WildfireFormatter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3940", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AbstractHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3941", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AbstractProcessingHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3942", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AbstractSyslogHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3943", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/AmqpHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3944", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/BrowserConsoleHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3945", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/BufferHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3946", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ChromePHPHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3947", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/CouchDBHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3948", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/CubeHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3949", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/Curl/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3950", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/DeduplicationHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3951", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/DoctrineCouchDBHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3952", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/DynamoDbHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3953", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ElasticSearchHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3954", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ErrorLogHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3955", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FilterHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3956", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossed/ActivationStrategyInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3957", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossed/ChannelLevelActivationStrategy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3958", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossed/ErrorLevelActivationStrategy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3959", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FingersCrossedHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3960", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FirePHPHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3961", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FleepHookHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3962", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/FlowdockHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3963", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/GelfHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3964", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/GroupHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3965", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/HandlerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3966", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/HandlerWrapper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3967", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/HipChatHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3968", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/IFTTTHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3969", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/InsightOpsHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3970", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/LogEntriesHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3971", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/LogglyHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3972", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MailHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3973", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MandrillHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3974", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MissingExtensionException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3975", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/MongoDBHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3976", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/NativeMailerHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3977", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/NewRelicHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3978", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/NullHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3979", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/PHPConsoleHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3980", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/PsrHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3981", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/PushoverHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3982", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RavenHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3983", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RedisHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3984", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RollbarHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3985", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/RotatingFileHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3986", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SamplingHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3987", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/Slack/SlackRecord.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3988", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SlackHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3989", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SlackWebhookHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3990", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SlackbotHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3991", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SocketHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3992", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/StreamHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3993", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SwiftMailerHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3994", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SyslogHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3995", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SyslogUdp/UdpSocket.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3996", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/SyslogUdpHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3997", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/TestHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3998", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/WhatFailureGroupHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("3999", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Handler/ZendMonitorHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4000", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Logger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4001", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/GitProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4002", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/IntrospectionProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4003", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MemoryPeakUsageProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4004", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MemoryProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4005", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MemoryUsageProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4006", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/MercurialProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4007", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/ProcessIdProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4008", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/ProcessorInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4009", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/PsrLogMessageProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4010", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/TagProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4011", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/UidProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4012", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Processor/WebProcessor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4013", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Registry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4014", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/ResettableInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4015", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/SignalHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4016", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/src/Monolog/Utils.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4017", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/ErrorHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4018", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/ChromePHPFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4019", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/ElasticaFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4020", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/FlowdockFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4021", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/FluentdFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4022", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/GelfMessageFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4023", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/JsonFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4024", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/LineFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4025", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/LogglyFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4026", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/LogstashFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4027", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/MongoDBFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4028", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/NormalizerFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4029", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/ScalarFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4030", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Formatter/WildfireFormatterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4031", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/AbstractHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4032", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/AbstractProcessingHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4033", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/AmqpHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4034", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/BrowserConsoleHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4035", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/BufferHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4036", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ChromePHPHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4037", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/CouchDBHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4038", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/DeduplicationHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4039", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/DoctrineCouchDBHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4040", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/DynamoDbHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4041", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ElasticSearchHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4042", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ErrorLogHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4043", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FilterHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4044", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FingersCrossedHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4045", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FirePHPHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4046", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FleepHookHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4047", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/FlowdockHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4048", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GelfHandlerLegacyTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4049", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GelfHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4050", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GelfMockMessagePublisher.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4051", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/GroupHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4052", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/HandlerWrapperTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4053", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/HipChatHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4054", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/InsightOpsHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4055", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/LogEntriesHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4056", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/MailHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4057", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/MockRavenClient.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4058", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/MongoDBHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4059", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/NativeMailerHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4060", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/NewRelicHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4061", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/NullHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4062", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/PHPConsoleHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4063", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/PsrHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4064", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/PushoverHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4065", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RavenHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4066", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RedisHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4067", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RollbarHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4068", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/RotatingFileHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4069", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SamplingHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4070", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/Slack/SlackRecordTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4071", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SlackHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4072", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SlackWebhookHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4073", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SlackbotHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4074", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SocketHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4075", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/StreamHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4076", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SwiftMailerHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4077", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SyslogHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4078", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/SyslogUdpHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4079", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/TestHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4080", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/UdpSocketTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4081", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/WhatFailureGroupHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4082", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Handler/ZendMonitorHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4083", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/LoggerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4084", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/GitProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4085", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/IntrospectionProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4086", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/MemoryPeakUsageProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4087", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/MemoryUsageProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4088", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/MercurialProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4089", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/ProcessIdProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4090", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/PsrLogMessageProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4091", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/TagProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4092", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/UidProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4093", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/Processor/WebProcessorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4094", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/PsrLogCompatTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4095", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/RegistryTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4096", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/SignalHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4097", "wp-content/plugins/wp-rocket/vendor/monolog/monolog/tests/Monolog/TestCase.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4098", "wp-content/plugins/wp-rocket/vendor/psr/container/src/ContainerExceptionInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4099", "wp-content/plugins/wp-rocket/vendor/psr/container/src/ContainerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4100", "wp-content/plugins/wp-rocket/vendor/psr/container/src/NotFoundExceptionInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4101", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/AbstractLogger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4102", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/InvalidArgumentException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4103", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LogLevel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4104", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerAwareInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4105", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerAwareTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4106", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4107", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/LoggerTrait.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4108", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/NullLogger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4109", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/Test/LoggerInterfaceTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4110", "wp-content/plugins/wp-rocket/vendor/psr/log/Psr/Log/Test/TestLogger.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4111", "wp-content/plugins/wp-rocket/vendor/wp-media/rocket-lazyload-common/src/Assets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4112", "wp-content/plugins/wp-rocket/vendor/wp-media/rocket-lazyload-common/src/Iframe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4113", "wp-content/plugins/wp-rocket/vendor/wp-media/rocket-lazyload-common/src/Image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4114", "wp-content/plugins/wp-rocket/views/deactivation-intent/form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4115", "wp-content/plugins/wp-rocket/views/settings/buttons/button.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4116", "wp-content/plugins/wp-rocket/views/settings/buttons/link.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4117", "wp-content/plugins/wp-rocket/views/settings/fields/cache-lifespan.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4118", "wp-content/plugins/wp-rocket/views/settings/fields/checkbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4119", "wp-content/plugins/wp-rocket/views/settings/fields/cnames.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4120", "wp-content/plugins/wp-rocket/views/settings/fields/hidden.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4121", "wp-content/plugins/wp-rocket/views/settings/fields/import-form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4122", "wp-content/plugins/wp-rocket/views/settings/fields/number.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4123", "wp-content/plugins/wp-rocket/views/settings/fields/one-click-addon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4124", "wp-content/plugins/wp-rocket/views/settings/fields/rocket-addon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4125", "wp-content/plugins/wp-rocket/views/settings/fields/select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4126", "wp-content/plugins/wp-rocket/views/settings/fields/sliding-checkbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4127", "wp-content/plugins/wp-rocket/views/settings/fields/text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4128", "wp-content/plugins/wp-rocket/views/settings/fields/textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4129", "wp-content/plugins/wp-rocket/views/settings/navigation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4130", "wp-content/plugins/wp-rocket/views/settings/page-sections/addons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4131", "wp-content/plugins/wp-rocket/views/settings/page-sections/advanced-cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4132", "wp-content/plugins/wp-rocket/views/settings/page-sections/cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4133", "wp-content/plugins/wp-rocket/views/settings/page-sections/cloudflare.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4134", "wp-content/plugins/wp-rocket/views/settings/page-sections/dashboard.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4135", "wp-content/plugins/wp-rocket/views/settings/page-sections/database.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4136", "wp-content/plugins/wp-rocket/views/settings/page-sections/file-optimization.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4137", "wp-content/plugins/wp-rocket/views/settings/page-sections/heartbeat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4138", "wp-content/plugins/wp-rocket/views/settings/page-sections/imagify.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4139", "wp-content/plugins/wp-rocket/views/settings/page-sections/license.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4140", "wp-content/plugins/wp-rocket/views/settings/page-sections/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4141", "wp-content/plugins/wp-rocket/views/settings/page-sections/page-cdn.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4142", "wp-content/plugins/wp-rocket/views/settings/page-sections/preload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4143", "wp-content/plugins/wp-rocket/views/settings/page-sections/sucuri.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4144", "wp-content/plugins/wp-rocket/views/settings/page-sections/tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4145", "wp-content/plugins/wp-rocket/views/settings/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4146", "wp-content/plugins/wp-rocket/views/settings/partials/documentation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4147", "wp-content/plugins/wp-rocket/views/settings/partials/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4148", "wp-content/plugins/wp-rocket/views/settings/sections/addons-container.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4149", "wp-content/plugins/wp-rocket/views/settings/sections/fields-container.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4150", "wp-content/plugins/wp-rocket/views/settings/sections/nocontainer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4151", "wp-content/plugins/wp-rocket/wp-rocket.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4152", "wp-content/plugins/wpforms/assets/fonts/fontawesome-webfont.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4153", "wp-content/plugins/wpforms/assets/images/about/icon-full.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4154", "wp-content/plugins/wpforms/assets/images/about/icon-none.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4155", "wp-content/plugins/wpforms/assets/images/about/icon-partial.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4156", "wp-content/plugins/wpforms/assets/images/cross-inverse.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4157", "wp-content/plugins/wpforms/assets/images/cross.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4158", "wp-content/plugins/wpforms/assets/images/submit-spin.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4159", "wp-content/plugins/wpforms/assets/js/admin-builder-conditional-logic-core.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4160", "wp-content/plugins/wpforms/assets/js/admin-builder-providers.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4161", "wp-content/plugins/wpforms/assets/js/admin-builder.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4162", "wp-content/plugins/wpforms/assets/js/admin-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4163", "wp-content/plugins/wpforms/assets/js/admin-utils.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4164", "wp-content/plugins/wpforms/assets/js/admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4165", "wp-content/plugins/wpforms/assets/js/admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4166", "wp-content/plugins/wpforms/assets/js/chart.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4167", "wp-content/plugins/wpforms/assets/js/choices.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4168", "wp-content/plugins/wpforms/assets/js/components/admin/builder/providers.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4169", "wp-content/plugins/wpforms/assets/js/components/admin/builder/providers.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4170", "wp-content/plugins/wpforms/assets/js/components/admin/builder/templates.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4171", "wp-content/plugins/wpforms/assets/js/components/admin/builder/templates.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4172", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-admin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4173", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-admin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4174", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-builder.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4175", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-builder.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4176", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-core.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4177", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-core.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4178", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-embed.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4179", "wp-content/plugins/wpforms/assets/js/components/admin/challenge/challenge-embed.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4180", "wp-content/plugins/wpforms/assets/js/components/admin/gutenberg/formselector.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4181", "wp-content/plugins/wpforms/assets/js/components/admin/gutenberg/formselector.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4182", "wp-content/plugins/wpforms/assets/js/flatpickr.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4183", "wp-content/plugins/wpforms/assets/js/jquery.conditionals.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4184", "wp-content/plugins/wpforms/assets/js/jquery.inputmask.bundle.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4185", "wp-content/plugins/wpforms/assets/js/jquery.insert-at-caret.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4186", "wp-content/plugins/wpforms/assets/js/jquery.jquery-confirm.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4187", "wp-content/plugins/wpforms/assets/js/jquery.matchHeight-min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4188", "wp-content/plugins/wpforms/assets/js/jquery.minicolors.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4189", "wp-content/plugins/wpforms/assets/js/jquery.payment.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4190", "wp-content/plugins/wpforms/assets/js/jquery.serialize-object.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4191", "wp-content/plugins/wpforms/assets/js/jquery.timepicker.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4192", "wp-content/plugins/wpforms/assets/js/jquery.tooltipster.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4193", "wp-content/plugins/wpforms/assets/js/jquery.validate.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4194", "wp-content/plugins/wpforms/assets/js/jquery.validate.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4195", "wp-content/plugins/wpforms/assets/js/list.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4196", "wp-content/plugins/wpforms/assets/js/mailcheck.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4197", "wp-content/plugins/wpforms/assets/js/moment-with-locales.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4198", "wp-content/plugins/wpforms/assets/js/moment.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4199", "wp-content/plugins/wpforms/assets/js/wpforms-confirmation.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4200", "wp-content/plugins/wpforms/assets/js/wpforms.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4201", "wp-content/plugins/wpforms/includes/admin/admin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4202", "wp-content/plugins/wpforms/includes/admin/ajax-actions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4203", "wp-content/plugins/wpforms/includes/admin/builder/class-builder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4204", "wp-content/plugins/wpforms/includes/admin/builder/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4205", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-analytics.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4206", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4207", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4208", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-payments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4209", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-providers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4210", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4211", "wp-content/plugins/wpforms/includes/admin/builder/panels/class-setup.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4212", "wp-content/plugins/wpforms/includes/admin/class-about.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4213", "wp-content/plugins/wpforms/includes/admin/class-am-deactivation-survey.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4214", "wp-content/plugins/wpforms/includes/admin/class-am-notification.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4215", "wp-content/plugins/wpforms/includes/admin/class-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4216", "wp-content/plugins/wpforms/includes/admin/class-importers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4217", "wp-content/plugins/wpforms/includes/admin/class-install-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4218", "wp-content/plugins/wpforms/includes/admin/class-menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4219", "wp-content/plugins/wpforms/includes/admin/class-notices.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4220", "wp-content/plugins/wpforms/includes/admin/class-review.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4221", "wp-content/plugins/wpforms/includes/admin/class-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4222", "wp-content/plugins/wpforms/includes/admin/class-tools.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4223", "wp-content/plugins/wpforms/includes/admin/class-welcome.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4224", "wp-content/plugins/wpforms/includes/admin/importers/class-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4225", "wp-content/plugins/wpforms/includes/admin/importers/class-contact-form-7.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4226", "wp-content/plugins/wpforms/includes/admin/importers/class-install-silent-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4227", "wp-content/plugins/wpforms/includes/admin/importers/class-ninja-forms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4228", "wp-content/plugins/wpforms/includes/admin/importers/class-pirate-forms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4229", "wp-content/plugins/wpforms/includes/admin/importers/interface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4230", "wp-content/plugins/wpforms/includes/admin/overview/class-overview-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4231", "wp-content/plugins/wpforms/includes/admin/overview/class-overview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4232", "wp-content/plugins/wpforms/includes/admin/settings-api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4233", "wp-content/plugins/wpforms/includes/analytics/class-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4234", "wp-content/plugins/wpforms/includes/analytics/class-monster-insights.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4235", "wp-content/plugins/wpforms/includes/class-conditional-logic-core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4236", "wp-content/plugins/wpforms/includes/class-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4237", "wp-content/plugins/wpforms/includes/class-form.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4238", "wp-content/plugins/wpforms/includes/class-frontend.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4239", "wp-content/plugins/wpforms/includes/class-install.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4240", "wp-content/plugins/wpforms/includes/class-license.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4241", "wp-content/plugins/wpforms/includes/class-logging.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4242", "wp-content/plugins/wpforms/includes/class-process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4243", "wp-content/plugins/wpforms/includes/class-providers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4244", "wp-content/plugins/wpforms/includes/class-smart-tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4245", "wp-content/plugins/wpforms/includes/class-templates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4246", "wp-content/plugins/wpforms/includes/class-updater.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4247", "wp-content/plugins/wpforms/includes/class-upgrader-skin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4248", "wp-content/plugins/wpforms/includes/class-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4249", "wp-content/plugins/wpforms/includes/emails/class-emails.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4250", "wp-content/plugins/wpforms/includes/emails/templates/body-default.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4251", "wp-content/plugins/wpforms/includes/emails/templates/default.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4252", "wp-content/plugins/wpforms/includes/emails/templates/field-default.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4253", "wp-content/plugins/wpforms/includes/emails/templates/footer-default.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4254", "wp-content/plugins/wpforms/includes/emails/templates/header-default.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4255", "wp-content/plugins/wpforms/includes/fields/class-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4256", "wp-content/plugins/wpforms/includes/fields/class-checkbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4257", "wp-content/plugins/wpforms/includes/fields/class-email.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4258", "wp-content/plugins/wpforms/includes/fields/class-gdpr-checkbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4259", "wp-content/plugins/wpforms/includes/fields/class-name.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4260", "wp-content/plugins/wpforms/includes/fields/class-number.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4261", "wp-content/plugins/wpforms/includes/fields/class-radio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4262", "wp-content/plugins/wpforms/includes/fields/class-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4263", "wp-content/plugins/wpforms/includes/fields/class-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4264", "wp-content/plugins/wpforms/includes/fields/class-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4265", "wp-content/plugins/wpforms/includes/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4266", "wp-content/plugins/wpforms/includes/integrations.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4267", "wp-content/plugins/wpforms/includes/providers/class-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4268", "wp-content/plugins/wpforms/includes/providers/class-constant-contact.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4269", "wp-content/plugins/wpforms/includes/templates/class-base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4270", "wp-content/plugins/wpforms/includes/templates/class-blank.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4271", "wp-content/plugins/wpforms/includes/templates/class-contact.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4272", "wp-content/plugins/wpforms/includes/templates/class-subscribe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4273", "wp-content/plugins/wpforms/includes/templates/class-suggestion.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4274", "wp-content/plugins/wpforms/pro/assets/js/admin/builder-education.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4275", "wp-content/plugins/wpforms/pro/assets/js/admin/builder-education.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4276", "wp-content/plugins/wpforms/pro/assets/js/admin/dashboard-widget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4277", "wp-content/plugins/wpforms/pro/assets/js/admin/dashboard-widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4278", "wp-content/plugins/wpforms/pro/assets/js/vendor/jquery.intl-tel-input-utils.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4279", "wp-content/plugins/wpforms/pro/assets/js/vendor/jquery.intl-tel-input.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4280", "wp-content/plugins/wpforms/pro/assets/js/vendor/jquery.intl-tel-input.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4281", "wp-content/plugins/wpforms/pro/assets/js/wpforms-conditional-logic-fields.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4282", "wp-content/plugins/wpforms/pro/includes/admin/ajax-actions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4283", "wp-content/plugins/wpforms/pro/includes/admin/class-addons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4284", "wp-content/plugins/wpforms/pro/includes/admin/class-upgrades.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4285", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-export.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4286", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-list-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4287", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-list.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4288", "wp-content/plugins/wpforms/pro/includes/admin/entries/class-entries-single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4289", "wp-content/plugins/wpforms/pro/includes/class-conditional-logic-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4290", "wp-content/plugins/wpforms/pro/includes/class-db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4291", "wp-content/plugins/wpforms/pro/includes/class-entry-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4292", "wp-content/plugins/wpforms/pro/includes/class-entry-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4293", "wp-content/plugins/wpforms/pro/includes/class-entry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4294", "wp-content/plugins/wpforms/pro/includes/fields/class-address.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4295", "wp-content/plugins/wpforms/pro/includes/fields/class-date-time.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4296", "wp-content/plugins/wpforms/pro/includes/fields/class-divider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4297", "wp-content/plugins/wpforms/pro/includes/fields/class-file-upload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4298", "wp-content/plugins/wpforms/pro/includes/fields/class-hidden.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4299", "wp-content/plugins/wpforms/pro/includes/fields/class-html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4300", "wp-content/plugins/wpforms/pro/includes/fields/class-page-break.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4301", "wp-content/plugins/wpforms/pro/includes/fields/class-password.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4302", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-checkbox.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4303", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-credit-card.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4304", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-dropdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4305", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-multiple.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4306", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4307", "wp-content/plugins/wpforms/pro/includes/fields/class-payment-total.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4308", "wp-content/plugins/wpforms/pro/includes/fields/class-phone.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4309", "wp-content/plugins/wpforms/pro/includes/fields/class-rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4310", "wp-content/plugins/wpforms/pro/includes/fields/class-url.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4311", "wp-content/plugins/wpforms/pro/includes/payments/class-payment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4312", "wp-content/plugins/wpforms/pro/includes/payments/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4313", "wp-content/plugins/wpforms/pro/includes/templates/class-donation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4314", "wp-content/plugins/wpforms/pro/includes/templates/class-order.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4315", "wp-content/plugins/wpforms/pro/includes/templates/class-request-quote.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4316", "wp-content/plugins/wpforms/pro/wpforms-pro.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4317", "wp-content/plugins/wpforms/src/Admin/Challenge.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4318", "wp-content/plugins/wpforms/src/Admin/Loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4319", "wp-content/plugins/wpforms/src/Emails/InfoBlocks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4320", "wp-content/plugins/wpforms/src/Emails/Mailer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4321", "wp-content/plugins/wpforms/src/Emails/Styler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4322", "wp-content/plugins/wpforms/src/Emails/Summaries.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4323", "wp-content/plugins/wpforms/src/Emails/Templates/General.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4324", "wp-content/plugins/wpforms/src/Emails/Templates/Summary.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4325", "wp-content/plugins/wpforms/src/Forms/Loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4326", "wp-content/plugins/wpforms/src/Forms/Preview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4327", "wp-content/plugins/wpforms/src/Helpers/Templates.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4328", "wp-content/plugins/wpforms/src/Integrations/Gutenberg/FormSelector.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4329", "wp-content/plugins/wpforms/src/Integrations/IntegrationInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4330", "wp-content/plugins/wpforms/src/Integrations/Loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4331", "wp-content/plugins/wpforms/src/Integrations/WPMailSMTP/Notifications.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4332", "wp-content/plugins/wpforms/src/Pro/Admin/Builder/Education.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4333", "wp-content/plugins/wpforms/src/Pro/Admin/DashboardWidget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4334", "wp-content/plugins/wpforms/src/Pro/Admin/Entries/PrintPreview.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4335", "wp-content/plugins/wpforms/src/Pro/Reports/EntriesCount.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4336", "wp-content/plugins/wpforms/src/Providers/Loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4337", "wp-content/plugins/wpforms/src/Providers/Provider/Core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4338", "wp-content/plugins/wpforms/src/Providers/Provider/Process.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4339", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/FormBuilder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4340", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/FormBuilderInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4341", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/PageIntegrations.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4342", "wp-content/plugins/wpforms/src/Providers/Provider/Settings/PageIntegrationsInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4343", "wp-content/plugins/wpforms/src/Providers/Provider/Status.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4344", "wp-content/plugins/wpforms/src/WPForms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4345", "wp-content/plugins/wpforms/templates/emails/general-body-plain.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4346", "wp-content/plugins/wpforms/templates/emails/general-body.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4347", "wp-content/plugins/wpforms/templates/emails/general-footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4348", "wp-content/plugins/wpforms/templates/emails/general-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4349", "wp-content/plugins/wpforms/templates/emails/general-queries.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4350", "wp-content/plugins/wpforms/templates/emails/general-style.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4351", "wp-content/plugins/wpforms/templates/emails/summary-body-plain.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4352", "wp-content/plugins/wpforms/templates/emails/summary-body.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4353", "wp-content/plugins/wpforms/templates/emails/summary-style.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4354", "wp-content/plugins/wpforms/uninstall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4355", "wp-content/plugins/wpforms/vendor/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4356", "wp-content/plugins/wpforms/vendor/composer/ClassLoader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4357", "wp-content/plugins/wpforms/vendor/composer/autoload_classmap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4358", "wp-content/plugins/wpforms/vendor/composer/autoload_namespaces.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4359", "wp-content/plugins/wpforms/vendor/composer/autoload_psr4.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4360", "wp-content/plugins/wpforms/vendor/composer/autoload_real.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4361", "wp-content/plugins/wpforms/vendor/composer/autoload_static.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4362", "wp-content/plugins/wpforms/vendor/symfony/css-selector/CssSelector.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4363", "wp-content/plugins/wpforms/vendor/symfony/css-selector/CssSelectorConverter.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4364", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/ExceptionInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4365", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/ExpressionErrorException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4366", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/InternalErrorException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4367", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/ParseException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4368", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Exception/SyntaxErrorException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4369", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/AbstractNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4370", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/AttributeNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4371", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/ClassNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4372", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/CombinedSelectorNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4373", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/ElementNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4374", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/FunctionNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4375", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/HashNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4376", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/NegationNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4377", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/NodeInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4378", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/PseudoNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4379", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/SelectorNode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4380", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Node/Specificity.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4381", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/CommentHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4382", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/HandlerInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4383", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/HashHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4384", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/IdentifierHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4385", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/NumberHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4386", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/StringHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4387", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Handler/WhitespaceHandler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4388", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4389", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/ParserInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4390", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Reader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4391", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/ClassParser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4392", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/ElementParser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4393", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/EmptyStringParser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4394", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Shortcut/HashParser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4395", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Token.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4396", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/TokenStream.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4397", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Tokenizer/Tokenizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4398", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Tokenizer/TokenizerEscaping.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4399", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Parser/Tokenizer/TokenizerPatterns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4400", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/CssSelectorConverterTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4401", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/CssSelectorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4402", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/AbstractNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4403", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/AttributeNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4404", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/ClassNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4405", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/CombinedSelectorNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4406", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/ElementNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4407", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/FunctionNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4408", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/HashNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4409", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/NegationNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4410", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/PseudoNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4411", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/SelectorNodeTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4412", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Node/SpecificityTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4413", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/AbstractHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4414", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/CommentHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4415", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/HashHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4416", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/IdentifierHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4417", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/NumberHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4418", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/StringHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4419", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Handler/WhitespaceHandlerTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4420", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/ParserTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4421", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/ReaderTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4422", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/ClassParserTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4423", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/ElementParserTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4424", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/EmptyStringParserTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4425", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/Shortcut/HashParserTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4426", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/Parser/TokenStreamTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4427", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/XPath/Fixtures/ids.html");
INSERT INTO `wpky_wfknownfilelist` VALUES("4428", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/XPath/Fixtures/shakespear.html");
INSERT INTO `wpky_wfknownfilelist` VALUES("4429", "wp-content/plugins/wpforms/vendor/symfony/css-selector/Tests/XPath/TranslatorTest.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4430", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/AbstractExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4431", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/AttributeMatchingExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4432", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/CombinationExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4433", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/ExtensionInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4434", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/FunctionExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4435", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/HtmlExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4436", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/NodeExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4437", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Extension/PseudoClassExtension.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4438", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/Translator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4439", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/TranslatorInterface.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4440", "wp-content/plugins/wpforms/vendor/symfony/css-selector/XPath/XPathExpr.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4441", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Processor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4442", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Property/Processor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4443", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Property/Property.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4444", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Rule/Processor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4445", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/Css/Rule/Rule.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4446", "wp-content/plugins/wpforms/vendor/tijsverkoyen/css-to-inline-styles/src/CssToInlineStyles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4447", "wp-content/plugins/wpforms/wpforms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4448", "wp-content/themes/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4449", "wp-content/themes/oceanwp/404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4450", "wp-content/themes/oceanwp/CONTRIBUTING.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("4451", "wp-content/themes/oceanwp/README.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("4452", "wp-content/themes/oceanwp/assets/css/edd/edd.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4453", "wp-content/themes/oceanwp/assets/css/edd/edd.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4454", "wp-content/themes/oceanwp/assets/css/editor-style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4455", "wp-content/themes/oceanwp/assets/css/editor-style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4456", "wp-content/themes/oceanwp/assets/css/gutenberg/gutenberg-editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4457", "wp-content/themes/oceanwp/assets/css/gutenberg/gutenberg-editor.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4458", "wp-content/themes/oceanwp/assets/css/learndash/learndash.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4459", "wp-content/themes/oceanwp/assets/css/learndash/learndash.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4460", "wp-content/themes/oceanwp/assets/css/llms/llms.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4461", "wp-content/themes/oceanwp/assets/css/llms/llms.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4462", "wp-content/themes/oceanwp/assets/css/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4463", "wp-content/themes/oceanwp/assets/css/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4464", "wp-content/themes/oceanwp/assets/css/third/bbpress.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4465", "wp-content/themes/oceanwp/assets/css/third/bbpress.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4466", "wp-content/themes/oceanwp/assets/css/third/buddypress.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4467", "wp-content/themes/oceanwp/assets/css/third/buddypress.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4468", "wp-content/themes/oceanwp/assets/css/third/elementor-editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4469", "wp-content/themes/oceanwp/assets/css/third/elementor-editor.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4470", "wp-content/themes/oceanwp/assets/css/third/font-awesome.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4471", "wp-content/themes/oceanwp/assets/css/third/font-awesome.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4472", "wp-content/themes/oceanwp/assets/css/third/hamburgers/hamburgers.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4473", "wp-content/themes/oceanwp/assets/css/third/hamburgers/hamburgers.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4474", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dx-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4475", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dx.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4476", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dxy-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4477", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dxy.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4478", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dy-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4479", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/3dy.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4480", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrow-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4481", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrow.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4482", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowalt-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4483", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowalt.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4484", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowturn-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4485", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/arrowturn.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4486", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/boring.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4487", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/collapse-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4488", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/collapse.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4489", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/elastic-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4490", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/elastic.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4491", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/minus.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4492", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/slider-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4493", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/slider.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4494", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spin-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4495", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spin.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4496", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spring-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4497", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/spring.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4498", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/squeeze.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4499", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/stand-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4500", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/stand.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4501", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/vortex-r.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4502", "wp-content/themes/oceanwp/assets/css/third/hamburgers/types/vortex.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4503", "wp-content/themes/oceanwp/assets/css/third/magnific-popup.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4504", "wp-content/themes/oceanwp/assets/css/third/magnific-popup.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4505", "wp-content/themes/oceanwp/assets/css/third/sensei.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4506", "wp-content/themes/oceanwp/assets/css/third/sensei.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4507", "wp-content/themes/oceanwp/assets/css/third/simple-line-icons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4508", "wp-content/themes/oceanwp/assets/css/third/simple-line-icons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4509", "wp-content/themes/oceanwp/assets/css/third/slick.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4510", "wp-content/themes/oceanwp/assets/css/third/slick.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4511", "wp-content/themes/oceanwp/assets/css/third/social-login.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4512", "wp-content/themes/oceanwp/assets/css/third/social-login.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4513", "wp-content/themes/oceanwp/assets/css/woo/hover-style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4514", "wp-content/themes/oceanwp/assets/css/woo/hover-style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4515", "wp-content/themes/oceanwp/assets/css/woo/wishlist.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4516", "wp-content/themes/oceanwp/assets/css/woo/wishlist.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4517", "wp-content/themes/oceanwp/assets/css/woo/woo-floating-bar.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4518", "wp-content/themes/oceanwp/assets/css/woo/woo-floating-bar.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4519", "wp-content/themes/oceanwp/assets/css/woo/woo-mini-cart-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4520", "wp-content/themes/oceanwp/assets/css/woo/woo-mini-cart.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4521", "wp-content/themes/oceanwp/assets/css/woo/woo-mini-cart.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4522", "wp-content/themes/oceanwp/assets/css/woo/woo-multistep-checkout.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4523", "wp-content/themes/oceanwp/assets/css/woo/woo-multistep-checkout.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4524", "wp-content/themes/oceanwp/assets/css/woo/woo-quick-view.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4525", "wp-content/themes/oceanwp/assets/css/woo/woo-quick-view.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4526", "wp-content/themes/oceanwp/assets/css/woo/woo-star-font.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4527", "wp-content/themes/oceanwp/assets/css/woo/woo-star-font.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4528", "wp-content/themes/oceanwp/assets/css/woo/woocommerce-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4529", "wp-content/themes/oceanwp/assets/css/woo/woocommerce.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4530", "wp-content/themes/oceanwp/assets/css/woo/woocommerce.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4531", "wp-content/themes/oceanwp/assets/fonts/fontawesome/FontAwesome.otf");
INSERT INTO `wpky_wfknownfilelist` VALUES("4532", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("4533", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4534", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("4535", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("4536", "wp-content/themes/oceanwp/assets/fonts/fontawesome/fontawesome-webfont.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("4537", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("4538", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4539", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("4540", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("4541", "wp-content/themes/oceanwp/assets/fonts/simple-line-icons/Simple-Line-Icons.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("4542", "wp-content/themes/oceanwp/assets/fonts/slick/slick.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("4543", "wp-content/themes/oceanwp/assets/fonts/slick/slick.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4544", "wp-content/themes/oceanwp/assets/fonts/slick/slick.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("4545", "wp-content/themes/oceanwp/assets/fonts/slick/slick.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("4546", "wp-content/themes/oceanwp/assets/fonts/star/star.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("4547", "wp-content/themes/oceanwp/assets/fonts/star/star.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4548", "wp-content/themes/oceanwp/assets/fonts/star/star.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("4549", "wp-content/themes/oceanwp/assets/fonts/star/star.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("4550", "wp-content/themes/oceanwp/assets/img/placeholder.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4551", "wp-content/themes/oceanwp/assets/img/wishlist-loader.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4552", "wp-content/themes/oceanwp/assets/js/core/customSelect.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4553", "wp-content/themes/oceanwp/assets/js/core/dropDownMobile.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4554", "wp-content/themes/oceanwp/assets/js/core/dropDownSearch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4555", "wp-content/themes/oceanwp/assets/js/core/fitvids.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4556", "wp-content/themes/oceanwp/assets/js/core/fixedFooter.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4557", "wp-content/themes/oceanwp/assets/js/core/fullScreenMenu.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4558", "wp-content/themes/oceanwp/assets/js/core/fullScreenMobile.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4559", "wp-content/themes/oceanwp/assets/js/core/headerReplaceSearch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4560", "wp-content/themes/oceanwp/assets/js/core/headerSearchForm.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4561", "wp-content/themes/oceanwp/assets/js/core/infiniteScroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4562", "wp-content/themes/oceanwp/assets/js/core/isotope.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4563", "wp-content/themes/oceanwp/assets/js/core/matchHeight.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4564", "wp-content/themes/oceanwp/assets/js/core/megaMenu.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4565", "wp-content/themes/oceanwp/assets/js/core/navNoClick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4566", "wp-content/themes/oceanwp/assets/js/core/overlaySearch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4567", "wp-content/themes/oceanwp/assets/js/core/parallaxFooter.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4568", "wp-content/themes/oceanwp/assets/js/core/scrollEffect.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4569", "wp-content/themes/oceanwp/assets/js/core/scrollTop.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4570", "wp-content/themes/oceanwp/assets/js/core/sidr.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4571", "wp-content/themes/oceanwp/assets/js/core/slick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4572", "wp-content/themes/oceanwp/assets/js/core/superfish.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4573", "wp-content/themes/oceanwp/assets/js/core/verticalHeader.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4574", "wp-content/themes/oceanwp/assets/js/devs/cookie.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4575", "wp-content/themes/oceanwp/assets/js/devs/customselect.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4576", "wp-content/themes/oceanwp/assets/js/devs/fitvids.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4577", "wp-content/themes/oceanwp/assets/js/devs/isotope.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4578", "wp-content/themes/oceanwp/assets/js/devs/matchHeight.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4579", "wp-content/themes/oceanwp/assets/js/devs/sidr.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4580", "wp-content/themes/oceanwp/assets/js/devs/slick.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4581", "wp-content/themes/oceanwp/assets/js/devs/smoothscroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4582", "wp-content/themes/oceanwp/assets/js/devs/superfish.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4583", "wp-content/themes/oceanwp/assets/js/main.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4584", "wp-content/themes/oceanwp/assets/js/third/edd/edd-cart-ajax.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4585", "wp-content/themes/oceanwp/assets/js/third/edd/edd-cart-ajax.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4586", "wp-content/themes/oceanwp/assets/js/third/edd/edd-display-cart.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4587", "wp-content/themes/oceanwp/assets/js/third/edd/edd-display-cart.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4588", "wp-content/themes/oceanwp/assets/js/third/html5.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4589", "wp-content/themes/oceanwp/assets/js/third/html5.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4590", "wp-content/themes/oceanwp/assets/js/third/infinitescroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4591", "wp-content/themes/oceanwp/assets/js/third/infinitescroll.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4592", "wp-content/themes/oceanwp/assets/js/third/lightbox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4593", "wp-content/themes/oceanwp/assets/js/third/lightbox.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4594", "wp-content/themes/oceanwp/assets/js/third/magnific-popup.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4595", "wp-content/themes/oceanwp/assets/js/third/magnific-popup.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4596", "wp-content/themes/oceanwp/assets/js/third/nicescroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4597", "wp-content/themes/oceanwp/assets/js/third/nicescroll.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4598", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooAccountLinks.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4599", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooGridList.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4600", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooQuantityButtons.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4601", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooReviewsScroll.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4602", "wp-content/themes/oceanwp/assets/js/third/woo/devs/wooWidgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4603", "wp-content/themes/oceanwp/assets/js/third/woo/woo-ajax-add-to-cart.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4604", "wp-content/themes/oceanwp/assets/js/third/woo/woo-ajax-add-to-cart.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4605", "wp-content/themes/oceanwp/assets/js/third/woo/woo-cat-widget.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4606", "wp-content/themes/oceanwp/assets/js/third/woo/woo-cat-widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4607", "wp-content/themes/oceanwp/assets/js/third/woo/woo-display-cart.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4608", "wp-content/themes/oceanwp/assets/js/third/woo/woo-display-cart.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4609", "wp-content/themes/oceanwp/assets/js/third/woo/woo-floating-bar.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4610", "wp-content/themes/oceanwp/assets/js/third/woo/woo-floating-bar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4611", "wp-content/themes/oceanwp/assets/js/third/woo/woo-hover-style.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4612", "wp-content/themes/oceanwp/assets/js/third/woo/woo-hover-style.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4613", "wp-content/themes/oceanwp/assets/js/third/woo/woo-mini-cart.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4614", "wp-content/themes/oceanwp/assets/js/third/woo/woo-mini-cart.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4615", "wp-content/themes/oceanwp/assets/js/third/woo/woo-multistep-checkout.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4616", "wp-content/themes/oceanwp/assets/js/third/woo/woo-multistep-checkout.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4617", "wp-content/themes/oceanwp/assets/js/third/woo/woo-off-canvas.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4618", "wp-content/themes/oceanwp/assets/js/third/woo/woo-off-canvas.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4619", "wp-content/themes/oceanwp/assets/js/third/woo/woo-quick-view.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4620", "wp-content/themes/oceanwp/assets/js/third/woo/woo-quick-view.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4621", "wp-content/themes/oceanwp/assets/js/third/woo/woo-scripts.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4622", "wp-content/themes/oceanwp/assets/js/third/woo/woo-thumbnails.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4623", "wp-content/themes/oceanwp/assets/js/third/woo/woo-thumbnails.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4624", "wp-content/themes/oceanwp/changelog.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("4625", "wp-content/themes/oceanwp/comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4626", "wp-content/themes/oceanwp/footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4627", "wp-content/themes/oceanwp/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4628", "wp-content/themes/oceanwp/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4629", "wp-content/themes/oceanwp/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4630", "wp-content/themes/oceanwp/inc/breadcrumbs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4631", "wp-content/themes/oceanwp/inc/customizer/assets/css/customizer-simple-line-icons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4632", "wp-content/themes/oceanwp/inc/customizer/assets/css/customizer-simple-line-icons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4633", "wp-content/themes/oceanwp/inc/customizer/assets/img/bs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4634", "wp-content/themes/oceanwp/inc/customizer/assets/img/fs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4635", "wp-content/themes/oceanwp/inc/customizer/assets/img/fw.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4636", "wp-content/themes/oceanwp/inc/customizer/assets/img/ls.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4637", "wp-content/themes/oceanwp/inc/customizer/assets/img/rs.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4638", "wp-content/themes/oceanwp/inc/customizer/assets/js/customize-preview.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4639", "wp-content/themes/oceanwp/inc/customizer/assets/js/customize-preview.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4640", "wp-content/themes/oceanwp/inc/customizer/assets/js/typography-customize-preview.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4641", "wp-content/themes/oceanwp/inc/customizer/assets/js/typography-customize-preview.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4642", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/buttonset.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4643", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/color.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4644", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/dimensions.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4645", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/general.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4646", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/heading.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4647", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/icon-select.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4648", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/multiple-select.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4649", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/radio-image.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4650", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/range.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4651", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4652", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/slider.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4653", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/sortable.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4654", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/textarea.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4655", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/typo.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4656", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/typography.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4657", "wp-content/themes/oceanwp/inc/customizer/assets/min/css/upsell.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4658", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/buttonset.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4659", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/color.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4660", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/dimensions.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4661", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/dropdown-pages.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4662", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/general.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4663", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/icon-select.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4664", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/multicheck.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4665", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/multiple-select.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4666", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/radio-image.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4667", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/range.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4668", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/slider.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4669", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/sortable.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4670", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/text.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4671", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/textarea.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4672", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/typo.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4673", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/typography.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4674", "wp-content/themes/oceanwp/inc/customizer/assets/min/js/upsell.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4675", "wp-content/themes/oceanwp/inc/customizer/controls/buttonset/buttonset.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4676", "wp-content/themes/oceanwp/inc/customizer/controls/buttonset/buttonset.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4677", "wp-content/themes/oceanwp/inc/customizer/controls/buttonset/class-control-buttonset.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4678", "wp-content/themes/oceanwp/inc/customizer/controls/color/class-control-color.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4679", "wp-content/themes/oceanwp/inc/customizer/controls/color/color.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4680", "wp-content/themes/oceanwp/inc/customizer/controls/color/color.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4681", "wp-content/themes/oceanwp/inc/customizer/controls/color/transparency-grid.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("4682", "wp-content/themes/oceanwp/inc/customizer/controls/dimensions/class-control-dimensions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4683", "wp-content/themes/oceanwp/inc/customizer/controls/dimensions/dimensions.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4684", "wp-content/themes/oceanwp/inc/customizer/controls/dimensions/dimensions.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4685", "wp-content/themes/oceanwp/inc/customizer/controls/dropdown-pages/class-control-dropdown-pages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4686", "wp-content/themes/oceanwp/inc/customizer/controls/dropdown-pages/dropdown-pages.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4687", "wp-content/themes/oceanwp/inc/customizer/controls/general.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4688", "wp-content/themes/oceanwp/inc/customizer/controls/general.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4689", "wp-content/themes/oceanwp/inc/customizer/controls/heading/class-control-heading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4690", "wp-content/themes/oceanwp/inc/customizer/controls/heading/heading.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4691", "wp-content/themes/oceanwp/inc/customizer/controls/icon-select/class-control-icon-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4692", "wp-content/themes/oceanwp/inc/customizer/controls/icon-select/icon-select.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4693", "wp-content/themes/oceanwp/inc/customizer/controls/icon-select/icon-select.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4694", "wp-content/themes/oceanwp/inc/customizer/controls/multicheck/class-control-multicheck.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4695", "wp-content/themes/oceanwp/inc/customizer/controls/multicheck/multicheck.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4696", "wp-content/themes/oceanwp/inc/customizer/controls/multiple-select/class-control-multiple-select.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4697", "wp-content/themes/oceanwp/inc/customizer/controls/multiple-select/multiple-select.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4698", "wp-content/themes/oceanwp/inc/customizer/controls/multiple-select/multiple-select.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4699", "wp-content/themes/oceanwp/inc/customizer/controls/radio-image/class-control-radio-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4700", "wp-content/themes/oceanwp/inc/customizer/controls/radio-image/radio-image.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4701", "wp-content/themes/oceanwp/inc/customizer/controls/radio-image/radio-image.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4702", "wp-content/themes/oceanwp/inc/customizer/controls/range/class-control-range.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4703", "wp-content/themes/oceanwp/inc/customizer/controls/range/range.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4704", "wp-content/themes/oceanwp/inc/customizer/controls/range/range.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4705", "wp-content/themes/oceanwp/inc/customizer/controls/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4706", "wp-content/themes/oceanwp/inc/customizer/controls/select2.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4707", "wp-content/themes/oceanwp/inc/customizer/controls/select2.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4708", "wp-content/themes/oceanwp/inc/customizer/controls/select2.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4709", "wp-content/themes/oceanwp/inc/customizer/controls/select2.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4710", "wp-content/themes/oceanwp/inc/customizer/controls/slider/class-control-slider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4711", "wp-content/themes/oceanwp/inc/customizer/controls/slider/slider.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4712", "wp-content/themes/oceanwp/inc/customizer/controls/slider/slider.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4713", "wp-content/themes/oceanwp/inc/customizer/controls/sortable/class-control-sortable.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4714", "wp-content/themes/oceanwp/inc/customizer/controls/sortable/sortable.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4715", "wp-content/themes/oceanwp/inc/customizer/controls/sortable/sortable.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4716", "wp-content/themes/oceanwp/inc/customizer/controls/text/class-control-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4717", "wp-content/themes/oceanwp/inc/customizer/controls/text/text.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4718", "wp-content/themes/oceanwp/inc/customizer/controls/textarea/class-control-textarea.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4719", "wp-content/themes/oceanwp/inc/customizer/controls/textarea/textarea.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4720", "wp-content/themes/oceanwp/inc/customizer/controls/textarea/textarea.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4721", "wp-content/themes/oceanwp/inc/customizer/controls/typo/class-control-typo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4722", "wp-content/themes/oceanwp/inc/customizer/controls/typo/typo.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4723", "wp-content/themes/oceanwp/inc/customizer/controls/typo/typo.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4724", "wp-content/themes/oceanwp/inc/customizer/controls/typography/class-control-typography.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4725", "wp-content/themes/oceanwp/inc/customizer/controls/typography/typography.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4726", "wp-content/themes/oceanwp/inc/customizer/controls/typography/typography.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4727", "wp-content/themes/oceanwp/inc/customizer/controls/typography/webfonts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4728", "wp-content/themes/oceanwp/inc/customizer/controls/upsell/class-control-upsell.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4729", "wp-content/themes/oceanwp/inc/customizer/controls/upsell/upsell.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4730", "wp-content/themes/oceanwp/inc/customizer/controls/upsell/upsell.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("4731", "wp-content/themes/oceanwp/inc/customizer/customizer-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4732", "wp-content/themes/oceanwp/inc/customizer/customizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4733", "wp-content/themes/oceanwp/inc/customizer/sanitization-callbacks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4734", "wp-content/themes/oceanwp/inc/customizer/settings/blog.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4735", "wp-content/themes/oceanwp/inc/customizer/settings/edd.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4736", "wp-content/themes/oceanwp/inc/customizer/settings/footer-bottom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4737", "wp-content/themes/oceanwp/inc/customizer/settings/footer-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4738", "wp-content/themes/oceanwp/inc/customizer/settings/general.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4739", "wp-content/themes/oceanwp/inc/customizer/settings/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4740", "wp-content/themes/oceanwp/inc/customizer/settings/learndash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4741", "wp-content/themes/oceanwp/inc/customizer/settings/lifterlms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4742", "wp-content/themes/oceanwp/inc/customizer/settings/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4743", "wp-content/themes/oceanwp/inc/customizer/settings/topbar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4744", "wp-content/themes/oceanwp/inc/customizer/settings/typography.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4745", "wp-content/themes/oceanwp/inc/customizer/settings/woocommerce.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4746", "wp-content/themes/oceanwp/inc/edd/edd-config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4747", "wp-content/themes/oceanwp/inc/edd/edd-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4748", "wp-content/themes/oceanwp/inc/header-content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4749", "wp-content/themes/oceanwp/inc/helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4750", "wp-content/themes/oceanwp/inc/plugins/class-tgm-plugin-activation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4751", "wp-content/themes/oceanwp/inc/plugins/tgm-plugin-activation.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4752", "wp-content/themes/oceanwp/inc/third/class-bbpress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4753", "wp-content/themes/oceanwp/inc/third/class-beaver-themer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4754", "wp-content/themes/oceanwp/inc/third/class-buddypress.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4755", "wp-content/themes/oceanwp/inc/third/class-elementor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4756", "wp-content/themes/oceanwp/inc/third/class-gutenberg.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4757", "wp-content/themes/oceanwp/inc/third/class-learndash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4758", "wp-content/themes/oceanwp/inc/third/class-lifterlms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4759", "wp-content/themes/oceanwp/inc/third/class-sensei.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4760", "wp-content/themes/oceanwp/inc/third/class-social-login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4761", "wp-content/themes/oceanwp/inc/walker/assets/menus.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4762", "wp-content/themes/oceanwp/inc/walker/class-walker-edit-custom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4763", "wp-content/themes/oceanwp/inc/walker/init.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4764", "wp-content/themes/oceanwp/inc/walker/menu-walker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4765", "wp-content/themes/oceanwp/inc/walker/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4766", "wp-content/themes/oceanwp/inc/woocommerce/woocommerce-config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4767", "wp-content/themes/oceanwp/inc/woocommerce/woocommerce-helpers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4768", "wp-content/themes/oceanwp/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4769", "wp-content/themes/oceanwp/languages/da_DK.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4770", "wp-content/themes/oceanwp/languages/da_DK.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4771", "wp-content/themes/oceanwp/languages/de_DE.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4772", "wp-content/themes/oceanwp/languages/de_DE.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4773", "wp-content/themes/oceanwp/languages/es_ES.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4774", "wp-content/themes/oceanwp/languages/es_ES.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4775", "wp-content/themes/oceanwp/languages/fa_IR.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4776", "wp-content/themes/oceanwp/languages/fa_IR.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4777", "wp-content/themes/oceanwp/languages/fr_FR.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4778", "wp-content/themes/oceanwp/languages/fr_FR.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4779", "wp-content/themes/oceanwp/languages/nb_NO.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4780", "wp-content/themes/oceanwp/languages/nb_NO.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4781", "wp-content/themes/oceanwp/languages/nl_NL.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4782", "wp-content/themes/oceanwp/languages/nl_NL.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4783", "wp-content/themes/oceanwp/languages/oceanwp.pot");
INSERT INTO `wpky_wfknownfilelist` VALUES("4784", "wp-content/themes/oceanwp/languages/pl_PL.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4785", "wp-content/themes/oceanwp/languages/pl_PL.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4786", "wp-content/themes/oceanwp/languages/pt_BR.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4787", "wp-content/themes/oceanwp/languages/pt_BR.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4788", "wp-content/themes/oceanwp/languages/sv_SE.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4789", "wp-content/themes/oceanwp/languages/sv_SE.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4790", "wp-content/themes/oceanwp/languages/tr_TR.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4791", "wp-content/themes/oceanwp/languages/tr_TR.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4792", "wp-content/themes/oceanwp/languages/zh_CN.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4793", "wp-content/themes/oceanwp/languages/zh_CN.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4794", "wp-content/themes/oceanwp/languages/zh_ZH.mo");
INSERT INTO `wpky_wfknownfilelist` VALUES("4795", "wp-content/themes/oceanwp/languages/zh_ZH.po");
INSERT INTO `wpky_wfknownfilelist` VALUES("4796", "wp-content/themes/oceanwp/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4797", "wp-content/themes/oceanwp/partials/edd/archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4798", "wp-content/themes/oceanwp/partials/edd/shortcode-content-cart-button.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4799", "wp-content/themes/oceanwp/partials/edd/shortcode-content-excerpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4800", "wp-content/themes/oceanwp/partials/edd/shortcode-content-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4801", "wp-content/themes/oceanwp/partials/edd/shortcode-content-price.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4802", "wp-content/themes/oceanwp/partials/edd/single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4803", "wp-content/themes/oceanwp/partials/entry/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4804", "wp-content/themes/oceanwp/partials/entry/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4805", "wp-content/themes/oceanwp/partials/entry/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4806", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-audio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4807", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4808", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-link.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4809", "wp-content/themes/oceanwp/partials/entry/media/blog-entry-video.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4810", "wp-content/themes/oceanwp/partials/entry/media/blog-entry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4811", "wp-content/themes/oceanwp/partials/entry/meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4812", "wp-content/themes/oceanwp/partials/entry/quote.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4813", "wp-content/themes/oceanwp/partials/entry/readmore.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4814", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/category.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4815", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4816", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4817", "wp-content/themes/oceanwp/partials/entry/thumbnail-style/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4818", "wp-content/themes/oceanwp/partials/footer/copyright.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4819", "wp-content/themes/oceanwp/partials/footer/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4820", "wp-content/themes/oceanwp/partials/footer/widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4821", "wp-content/themes/oceanwp/partials/header/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4822", "wp-content/themes/oceanwp/partials/header/logo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4823", "wp-content/themes/oceanwp/partials/header/nav.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4824", "wp-content/themes/oceanwp/partials/header/search-dropdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4825", "wp-content/themes/oceanwp/partials/header/search-overlay.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4826", "wp-content/themes/oceanwp/partials/header/search-replace.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4827", "wp-content/themes/oceanwp/partials/header/social.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4828", "wp-content/themes/oceanwp/partials/header/style/center-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4829", "wp-content/themes/oceanwp/partials/header/style/custom-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4830", "wp-content/themes/oceanwp/partials/header/style/full-screen-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4831", "wp-content/themes/oceanwp/partials/header/style/medium-header-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4832", "wp-content/themes/oceanwp/partials/header/style/medium-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4833", "wp-content/themes/oceanwp/partials/header/style/top-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4834", "wp-content/themes/oceanwp/partials/header/style/vertical-header-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4835", "wp-content/themes/oceanwp/partials/header/style/vertical-header-toggle.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4836", "wp-content/themes/oceanwp/partials/header/style/vertical-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4837", "wp-content/themes/oceanwp/partials/library/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4838", "wp-content/themes/oceanwp/partials/mobile/mobile-dropdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4839", "wp-content/themes/oceanwp/partials/mobile/mobile-fullscreen-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4840", "wp-content/themes/oceanwp/partials/mobile/mobile-fullscreen.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4841", "wp-content/themes/oceanwp/partials/mobile/mobile-icon.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4842", "wp-content/themes/oceanwp/partials/mobile/mobile-nav.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4843", "wp-content/themes/oceanwp/partials/mobile/mobile-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4844", "wp-content/themes/oceanwp/partials/mobile/mobile-sidr-close.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4845", "wp-content/themes/oceanwp/partials/none.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4846", "wp-content/themes/oceanwp/partials/page/article.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4847", "wp-content/themes/oceanwp/partials/page/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4848", "wp-content/themes/oceanwp/partials/page-header-subheading.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4849", "wp-content/themes/oceanwp/partials/page-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4850", "wp-content/themes/oceanwp/partials/scroll-top.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4851", "wp-content/themes/oceanwp/partials/search/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4852", "wp-content/themes/oceanwp/partials/search/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4853", "wp-content/themes/oceanwp/partials/search/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4854", "wp-content/themes/oceanwp/partials/search/readmore.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4855", "wp-content/themes/oceanwp/partials/search/thumbnail.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4856", "wp-content/themes/oceanwp/partials/single/author-bio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4857", "wp-content/themes/oceanwp/partials/single/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4858", "wp-content/themes/oceanwp/partials/single/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4859", "wp-content/themes/oceanwp/partials/single/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4860", "wp-content/themes/oceanwp/partials/single/media/blog-single-audio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4861", "wp-content/themes/oceanwp/partials/single/media/blog-single-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4862", "wp-content/themes/oceanwp/partials/single/media/blog-single-link.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4863", "wp-content/themes/oceanwp/partials/single/media/blog-single-quote.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4864", "wp-content/themes/oceanwp/partials/single/media/blog-single-video.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4865", "wp-content/themes/oceanwp/partials/single/media/blog-single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4866", "wp-content/themes/oceanwp/partials/single/meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4867", "wp-content/themes/oceanwp/partials/single/next-prev.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4868", "wp-content/themes/oceanwp/partials/single/related-posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4869", "wp-content/themes/oceanwp/partials/single/tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4870", "wp-content/themes/oceanwp/partials/topbar/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4871", "wp-content/themes/oceanwp/partials/topbar/layout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4872", "wp-content/themes/oceanwp/partials/topbar/nav.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4873", "wp-content/themes/oceanwp/partials/topbar/social.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4874", "wp-content/themes/oceanwp/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("4875", "wp-content/themes/oceanwp/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4876", "wp-content/themes/oceanwp/sass/_config.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4877", "wp-content/themes/oceanwp/sass/_layout.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4878", "wp-content/themes/oceanwp/sass/_mixins.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4879", "wp-content/themes/oceanwp/sass/base/_form.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4880", "wp-content/themes/oceanwp/sass/base/_main.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4881", "wp-content/themes/oceanwp/sass/base/_normalize.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4882", "wp-content/themes/oceanwp/sass/base/_shared.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4883", "wp-content/themes/oceanwp/sass/base/_typography.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4884", "wp-content/themes/oceanwp/sass/components/_404.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4885", "wp-content/themes/oceanwp/sass/components/_comments.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4886", "wp-content/themes/oceanwp/sass/components/_custom-selects.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4887", "wp-content/themes/oceanwp/sass/components/_next-prev.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4888", "wp-content/themes/oceanwp/sass/components/_page-header.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4889", "wp-content/themes/oceanwp/sass/components/_pagination.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4890", "wp-content/themes/oceanwp/sass/components/_responsive.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4891", "wp-content/themes/oceanwp/sass/components/_search.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4892", "wp-content/themes/oceanwp/sass/components/blog/_blog-entries.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4893", "wp-content/themes/oceanwp/sass/components/blog/_blog-grid.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4894", "wp-content/themes/oceanwp/sass/components/blog/_blog-large.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4895", "wp-content/themes/oceanwp/sass/components/blog/_blog-meta.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4896", "wp-content/themes/oceanwp/sass/components/blog/_blog-thumbnail.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4897", "wp-content/themes/oceanwp/sass/components/blog/_gallery-format.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4898", "wp-content/themes/oceanwp/sass/components/blog/_link-format.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4899", "wp-content/themes/oceanwp/sass/components/blog/_quote-format.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4900", "wp-content/themes/oceanwp/sass/components/blog/_single-author-bio.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4901", "wp-content/themes/oceanwp/sass/components/blog/_single-content.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4902", "wp-content/themes/oceanwp/sass/components/blog/_single-next-prev.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4903", "wp-content/themes/oceanwp/sass/components/blog/_single-post.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4904", "wp-content/themes/oceanwp/sass/components/blog/_single-related-posts.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4905", "wp-content/themes/oceanwp/sass/components/blog/_single-tags.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4906", "wp-content/themes/oceanwp/sass/components/blog/_video-audio-formats.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4907", "wp-content/themes/oceanwp/sass/components/footer/_footer-bottom.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4908", "wp-content/themes/oceanwp/sass/components/footer/_footer-widgets.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4909", "wp-content/themes/oceanwp/sass/components/footer/_scroll-top.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4910", "wp-content/themes/oceanwp/sass/components/header/_header-center.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4911", "wp-content/themes/oceanwp/sass/components/header/_header-custom.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4912", "wp-content/themes/oceanwp/sass/components/header/_header-fullscreen.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4913", "wp-content/themes/oceanwp/sass/components/header/_header-medium.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4914", "wp-content/themes/oceanwp/sass/components/header/_header-top.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4915", "wp-content/themes/oceanwp/sass/components/header/_header-transparent.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4916", "wp-content/themes/oceanwp/sass/components/header/_header-vertical.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4917", "wp-content/themes/oceanwp/sass/components/header/_header.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4918", "wp-content/themes/oceanwp/sass/components/header/_links_effect.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4919", "wp-content/themes/oceanwp/sass/components/header/_megamenu.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4920", "wp-content/themes/oceanwp/sass/components/header/_navigation.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4921", "wp-content/themes/oceanwp/sass/components/header/_search-dropdown.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4922", "wp-content/themes/oceanwp/sass/components/header/_search-overlay.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4923", "wp-content/themes/oceanwp/sass/components/header/_search-replace.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4924", "wp-content/themes/oceanwp/sass/components/header/_socialmenu.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4925", "wp-content/themes/oceanwp/sass/components/mobile/_dropdown-mobile.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4926", "wp-content/themes/oceanwp/sass/components/mobile/_fullscreen-mobile.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4927", "wp-content/themes/oceanwp/sass/components/plugins/_general.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4928", "wp-content/themes/oceanwp/sass/components/plugins/_magnific-popup.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4929", "wp-content/themes/oceanwp/sass/components/plugins/_sidr.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4930", "wp-content/themes/oceanwp/sass/components/plugins/_slick.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4931", "wp-content/themes/oceanwp/sass/components/sidebar/_sidebar.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4932", "wp-content/themes/oceanwp/sass/components/topbar/_topbar-content.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4933", "wp-content/themes/oceanwp/sass/components/topbar/_topbar-menu.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4934", "wp-content/themes/oceanwp/sass/components/topbar/_topbar-social.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4935", "wp-content/themes/oceanwp/sass/components/topbar/_topbar.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4936", "wp-content/themes/oceanwp/sass/edd/_edd-cart.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4937", "wp-content/themes/oceanwp/sass/edd/_edd.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4938", "wp-content/themes/oceanwp/sass/edd.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4939", "wp-content/themes/oceanwp/sass/gutenberg-editor.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4940", "wp-content/themes/oceanwp/sass/hover-style.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4941", "wp-content/themes/oceanwp/sass/learndash/learndash.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4942", "wp-content/themes/oceanwp/sass/learndash.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4943", "wp-content/themes/oceanwp/sass/llms/llms.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4944", "wp-content/themes/oceanwp/sass/llms.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4945", "wp-content/themes/oceanwp/sass/style.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4946", "wp-content/themes/oceanwp/sass/stylesheet.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4947", "wp-content/themes/oceanwp/sass/wishlist.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4948", "wp-content/themes/oceanwp/sass/woo/_woo-cat-widget.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4949", "wp-content/themes/oceanwp/sass/woo/_woo-mobile-cart.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4950", "wp-content/themes/oceanwp/sass/woo/_woo-nav.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4951", "wp-content/themes/oceanwp/sass/woo/_woo-off-canvas.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4952", "wp-content/themes/oceanwp/sass/woo/_woo-quantity.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4953", "wp-content/themes/oceanwp/sass/woo/_woo-responsive.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4954", "wp-content/themes/oceanwp/sass/woo/_woocommerce.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4955", "wp-content/themes/oceanwp/sass/woo-floating-bar.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4956", "wp-content/themes/oceanwp/sass/woo-mini-cart.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4957", "wp-content/themes/oceanwp/sass/woo-multistep-checkout.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4958", "wp-content/themes/oceanwp/sass/woo-quick-view.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4959", "wp-content/themes/oceanwp/sass/woocommerce.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("4960", "wp-content/themes/oceanwp/screenshot.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("4961", "wp-content/themes/oceanwp/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4962", "wp-content/themes/oceanwp/searchform.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4963", "wp-content/themes/oceanwp/sidebar-left.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4964", "wp-content/themes/oceanwp/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4965", "wp-content/themes/oceanwp/singular.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4966", "wp-content/themes/oceanwp/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("4967", "wp-content/themes/oceanwp/templates/landing.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4968", "wp-content/themes/oceanwp/tribe-events/default-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4969", "wp-content/themes/oceanwp/woocommerce/add-to-wishlist-button.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4970", "wp-content/themes/oceanwp/woocommerce/cart/mini-cart.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4971", "wp-content/themes/oceanwp/woocommerce/checkout/checkout-timeline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4972", "wp-content/themes/oceanwp/woocommerce/checkout/form-multistep-checkout.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4973", "wp-content/themes/oceanwp/woocommerce/content-single-product.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4974", "wp-content/themes/oceanwp/woocommerce/loop/loop-start.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4975", "wp-content/themes/oceanwp/woocommerce/loop/thumbnail/featured-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4976", "wp-content/themes/oceanwp/woocommerce/loop/thumbnail/gallery-slider.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4977", "wp-content/themes/oceanwp/woocommerce/loop/thumbnail/image-swap.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4978", "wp-content/themes/oceanwp/woocommerce/owp-archive-product-hover.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4979", "wp-content/themes/oceanwp/woocommerce/owp-archive-product-thumbnails.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4980", "wp-content/themes/oceanwp/woocommerce/owp-archive-product.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4981", "wp-content/themes/oceanwp/woocommerce/owp-off-canvas-sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4982", "wp-content/themes/oceanwp/woocommerce/owp-single-product.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4983", "wp-content/themes/oceanwp/woocommerce/quick-view-content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4984", "wp-content/themes/oceanwp/woocommerce/quick-view-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4985", "wp-content/themes/oceanwp/woocommerce/quick-view.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4986", "wp-content/themes/oceanwp/woocommerce/result-count.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4987", "wp-content/themes/oceanwp/woocommerce/share.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4988", "wp-content/themes/oceanwp/woocommerce/single-product/title.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4989", "wp-content/themes/oceanwp/woocommerce/wc-content-wrapper-end.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4990", "wp-content/themes/oceanwp/woocommerce/wc-content-wrapper.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4991", "wp-content/themes/oceanwp/wpml-config.xml");
INSERT INTO `wpky_wfknownfilelist` VALUES("4992", "wp-content/themes/twentynineteen/404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4993", "wp-content/themes/twentynineteen/archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4994", "wp-content/themes/twentynineteen/classes/class-twentynineteen-svg-icons.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4995", "wp-content/themes/twentynineteen/classes/class-twentynineteen-walker-comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4996", "wp-content/themes/twentynineteen/comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("4997", "wp-content/themes/twentynineteen/fonts/NonBreakingSpaceOverride.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("4998", "wp-content/themes/twentynineteen/fonts/NonBreakingSpaceOverride.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("4999", "wp-content/themes/twentynineteen/footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5000", "wp-content/themes/twentynineteen/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5001", "wp-content/themes/twentynineteen/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5002", "wp-content/themes/twentynineteen/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5003", "wp-content/themes/twentynineteen/inc/back-compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5004", "wp-content/themes/twentynineteen/inc/color-patterns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5005", "wp-content/themes/twentynineteen/inc/customizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5006", "wp-content/themes/twentynineteen/inc/icon-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5007", "wp-content/themes/twentynineteen/inc/template-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5008", "wp-content/themes/twentynineteen/inc/template-tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5009", "wp-content/themes/twentynineteen/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5010", "wp-content/themes/twentynineteen/js/customize-controls.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5011", "wp-content/themes/twentynineteen/js/customize-preview.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5012", "wp-content/themes/twentynineteen/js/priority-menu.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5013", "wp-content/themes/twentynineteen/js/skip-link-focus-fix.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5014", "wp-content/themes/twentynineteen/js/touch-keyboard-navigation.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5015", "wp-content/themes/twentynineteen/package-lock.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("5016", "wp-content/themes/twentynineteen/package.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("5017", "wp-content/themes/twentynineteen/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5018", "wp-content/themes/twentynineteen/postcss.config.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5019", "wp-content/themes/twentynineteen/print.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5020", "wp-content/themes/twentynineteen/print.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5021", "wp-content/themes/twentynineteen/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5022", "wp-content/themes/twentynineteen/sass/_normalize.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5023", "wp-content/themes/twentynineteen/sass/blocks/_blocks.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5024", "wp-content/themes/twentynineteen/sass/elements/_elements.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5025", "wp-content/themes/twentynineteen/sass/elements/_lists.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5026", "wp-content/themes/twentynineteen/sass/elements/_tables.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5027", "wp-content/themes/twentynineteen/sass/forms/_buttons.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5028", "wp-content/themes/twentynineteen/sass/forms/_fields.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5029", "wp-content/themes/twentynineteen/sass/forms/_forms.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5030", "wp-content/themes/twentynineteen/sass/layout/_layout.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5031", "wp-content/themes/twentynineteen/sass/media/_captions.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5032", "wp-content/themes/twentynineteen/sass/media/_galleries.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5033", "wp-content/themes/twentynineteen/sass/media/_media.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5034", "wp-content/themes/twentynineteen/sass/mixins/_mixins-master.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5035", "wp-content/themes/twentynineteen/sass/mixins/_utilities.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5036", "wp-content/themes/twentynineteen/sass/modules/_accessibility.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5037", "wp-content/themes/twentynineteen/sass/modules/_alignments.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5038", "wp-content/themes/twentynineteen/sass/modules/_clearings.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5039", "wp-content/themes/twentynineteen/sass/navigation/_links.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5040", "wp-content/themes/twentynineteen/sass/navigation/_menu-footer-navigation.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5041", "wp-content/themes/twentynineteen/sass/navigation/_menu-main-navigation.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5042", "wp-content/themes/twentynineteen/sass/navigation/_menu-social-navigation.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5043", "wp-content/themes/twentynineteen/sass/navigation/_navigation.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5044", "wp-content/themes/twentynineteen/sass/navigation/_next-previous.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5045", "wp-content/themes/twentynineteen/sass/site/_site.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5046", "wp-content/themes/twentynineteen/sass/site/footer/_site-footer.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5047", "wp-content/themes/twentynineteen/sass/site/header/_site-featured-image.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5048", "wp-content/themes/twentynineteen/sass/site/header/_site-header.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5049", "wp-content/themes/twentynineteen/sass/site/primary/_archives.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5050", "wp-content/themes/twentynineteen/sass/site/primary/_comments.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5051", "wp-content/themes/twentynineteen/sass/site/primary/_posts-and-pages.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5052", "wp-content/themes/twentynineteen/sass/site/secondary/_widgets.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5053", "wp-content/themes/twentynineteen/sass/typography/_copy.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5054", "wp-content/themes/twentynineteen/sass/typography/_headings.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5055", "wp-content/themes/twentynineteen/sass/typography/_typography.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5056", "wp-content/themes/twentynineteen/sass/variables-site/_colors.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5057", "wp-content/themes/twentynineteen/sass/variables-site/_columns.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5058", "wp-content/themes/twentynineteen/sass/variables-site/_fonts.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5059", "wp-content/themes/twentynineteen/sass/variables-site/_structure.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5060", "wp-content/themes/twentynineteen/sass/variables-site/_transitions.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5061", "wp-content/themes/twentynineteen/sass/variables-site/_variables-site.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5062", "wp-content/themes/twentynineteen/screenshot.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5063", "wp-content/themes/twentynineteen/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5064", "wp-content/themes/twentynineteen/single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5065", "wp-content/themes/twentynineteen/style-editor-customizer.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5066", "wp-content/themes/twentynineteen/style-editor-customizer.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5067", "wp-content/themes/twentynineteen/style-editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5068", "wp-content/themes/twentynineteen/style-editor.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5069", "wp-content/themes/twentynineteen/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5070", "wp-content/themes/twentynineteen/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5071", "wp-content/themes/twentynineteen/style.css.map");
INSERT INTO `wpky_wfknownfilelist` VALUES("5072", "wp-content/themes/twentynineteen/style.scss");
INSERT INTO `wpky_wfknownfilelist` VALUES("5073", "wp-content/themes/twentynineteen/template-parts/content/content-excerpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5074", "wp-content/themes/twentynineteen/template-parts/content/content-none.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5075", "wp-content/themes/twentynineteen/template-parts/content/content-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5076", "wp-content/themes/twentynineteen/template-parts/content/content-single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5077", "wp-content/themes/twentynineteen/template-parts/content/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5078", "wp-content/themes/twentynineteen/template-parts/footer/footer-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5079", "wp-content/themes/twentynineteen/template-parts/header/entry-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5080", "wp-content/themes/twentynineteen/template-parts/header/site-branding.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5081", "wp-content/themes/twentynineteen/template-parts/post/author-bio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5082", "wp-content/themes/twentynineteen/template-parts/post/discussion-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5083", "wp-content/themes/twentyseventeen/404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5084", "wp-content/themes/twentyseventeen/README.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5085", "wp-content/themes/twentyseventeen/archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5086", "wp-content/themes/twentyseventeen/assets/css/blocks.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5087", "wp-content/themes/twentyseventeen/assets/css/colors-dark.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5088", "wp-content/themes/twentyseventeen/assets/css/editor-blocks.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5089", "wp-content/themes/twentyseventeen/assets/css/editor-style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5090", "wp-content/themes/twentyseventeen/assets/css/ie8.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5091", "wp-content/themes/twentyseventeen/assets/css/ie9.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5092", "wp-content/themes/twentyseventeen/assets/images/coffee.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5093", "wp-content/themes/twentyseventeen/assets/images/espresso.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5094", "wp-content/themes/twentyseventeen/assets/images/header.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5095", "wp-content/themes/twentyseventeen/assets/images/sandwich.jpg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5096", "wp-content/themes/twentyseventeen/assets/images/svg-icons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5097", "wp-content/themes/twentyseventeen/assets/js/customize-controls.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5098", "wp-content/themes/twentyseventeen/assets/js/customize-preview.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5099", "wp-content/themes/twentyseventeen/assets/js/global.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5100", "wp-content/themes/twentyseventeen/assets/js/html5.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5101", "wp-content/themes/twentyseventeen/assets/js/jquery.scrollTo.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5102", "wp-content/themes/twentyseventeen/assets/js/navigation.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5103", "wp-content/themes/twentyseventeen/assets/js/skip-link-focus-fix.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5104", "wp-content/themes/twentyseventeen/comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5105", "wp-content/themes/twentyseventeen/footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5106", "wp-content/themes/twentyseventeen/front-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5107", "wp-content/themes/twentyseventeen/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5108", "wp-content/themes/twentyseventeen/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5109", "wp-content/themes/twentyseventeen/inc/back-compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5110", "wp-content/themes/twentyseventeen/inc/color-patterns.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5111", "wp-content/themes/twentyseventeen/inc/custom-header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5112", "wp-content/themes/twentyseventeen/inc/customizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5113", "wp-content/themes/twentyseventeen/inc/icon-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5114", "wp-content/themes/twentyseventeen/inc/template-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5115", "wp-content/themes/twentyseventeen/inc/template-tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5116", "wp-content/themes/twentyseventeen/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5117", "wp-content/themes/twentyseventeen/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5118", "wp-content/themes/twentyseventeen/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5119", "wp-content/themes/twentyseventeen/screenshot.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5120", "wp-content/themes/twentyseventeen/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5121", "wp-content/themes/twentyseventeen/searchform.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5122", "wp-content/themes/twentyseventeen/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5123", "wp-content/themes/twentyseventeen/single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5124", "wp-content/themes/twentyseventeen/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5125", "wp-content/themes/twentyseventeen/template-parts/footer/footer-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5126", "wp-content/themes/twentyseventeen/template-parts/footer/site-info.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5127", "wp-content/themes/twentyseventeen/template-parts/header/header-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5128", "wp-content/themes/twentyseventeen/template-parts/header/site-branding.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5129", "wp-content/themes/twentyseventeen/template-parts/navigation/navigation-top.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5130", "wp-content/themes/twentyseventeen/template-parts/page/content-front-page-panels.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5131", "wp-content/themes/twentyseventeen/template-parts/page/content-front-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5132", "wp-content/themes/twentyseventeen/template-parts/page/content-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5133", "wp-content/themes/twentyseventeen/template-parts/post/content-audio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5134", "wp-content/themes/twentyseventeen/template-parts/post/content-excerpt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5135", "wp-content/themes/twentyseventeen/template-parts/post/content-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5136", "wp-content/themes/twentyseventeen/template-parts/post/content-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5137", "wp-content/themes/twentyseventeen/template-parts/post/content-none.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5138", "wp-content/themes/twentyseventeen/template-parts/post/content-video.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5139", "wp-content/themes/twentyseventeen/template-parts/post/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5140", "wp-content/themes/twentysixteen/404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5141", "wp-content/themes/twentysixteen/archive.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5142", "wp-content/themes/twentysixteen/comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5143", "wp-content/themes/twentysixteen/css/blocks.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5144", "wp-content/themes/twentysixteen/css/editor-blocks.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5145", "wp-content/themes/twentysixteen/css/editor-style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5146", "wp-content/themes/twentysixteen/css/ie.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5147", "wp-content/themes/twentysixteen/css/ie7.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5148", "wp-content/themes/twentysixteen/css/ie8.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5149", "wp-content/themes/twentysixteen/footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5150", "wp-content/themes/twentysixteen/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5151", "wp-content/themes/twentysixteen/genericons/COPYING.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5152", "wp-content/themes/twentysixteen/genericons/Genericons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("5153", "wp-content/themes/twentysixteen/genericons/Genericons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5154", "wp-content/themes/twentysixteen/genericons/Genericons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("5155", "wp-content/themes/twentysixteen/genericons/Genericons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("5156", "wp-content/themes/twentysixteen/genericons/LICENSE.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5157", "wp-content/themes/twentysixteen/genericons/README.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("5158", "wp-content/themes/twentysixteen/genericons/genericons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5159", "wp-content/themes/twentysixteen/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5160", "wp-content/themes/twentysixteen/image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5161", "wp-content/themes/twentysixteen/inc/back-compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5162", "wp-content/themes/twentysixteen/inc/customizer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5163", "wp-content/themes/twentysixteen/inc/template-tags.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5164", "wp-content/themes/twentysixteen/index.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5165", "wp-content/themes/twentysixteen/js/color-scheme-control.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5166", "wp-content/themes/twentysixteen/js/customize-preview.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5167", "wp-content/themes/twentysixteen/js/functions.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5168", "wp-content/themes/twentysixteen/js/html5.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5169", "wp-content/themes/twentysixteen/js/keyboard-image-navigation.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5170", "wp-content/themes/twentysixteen/js/skip-link-focus-fix.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5171", "wp-content/themes/twentysixteen/page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5172", "wp-content/themes/twentysixteen/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5173", "wp-content/themes/twentysixteen/rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5174", "wp-content/themes/twentysixteen/screenshot.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5175", "wp-content/themes/twentysixteen/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5176", "wp-content/themes/twentysixteen/searchform.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5177", "wp-content/themes/twentysixteen/sidebar-content-bottom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5178", "wp-content/themes/twentysixteen/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5179", "wp-content/themes/twentysixteen/single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5180", "wp-content/themes/twentysixteen/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5181", "wp-content/themes/twentysixteen/template-parts/biography.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5182", "wp-content/themes/twentysixteen/template-parts/content-none.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5183", "wp-content/themes/twentysixteen/template-parts/content-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5184", "wp-content/themes/twentysixteen/template-parts/content-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5185", "wp-content/themes/twentysixteen/template-parts/content-single.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5186", "wp-content/themes/twentysixteen/template-parts/content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5187", "wp-content/wflogs/attack-data.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5188", "wp-content/wflogs/config-livewaf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5189", "wp-content/wflogs/config-synced.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5190", "wp-content/wflogs/config-transient.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5191", "wp-content/wflogs/config.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5192", "wp-content/wflogs/ips.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5193", "wp-content/wflogs/rules.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5194", "wp-content/wflogs/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5195", "wp-cron.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5196", "wp-includes/ID3/getid3.lib.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5197", "wp-includes/ID3/getid3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5198", "wp-includes/ID3/license.commercial.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5199", "wp-includes/ID3/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5200", "wp-includes/ID3/module.audio-video.asf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5201", "wp-includes/ID3/module.audio-video.flv.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5202", "wp-includes/ID3/module.audio-video.matroska.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5203", "wp-includes/ID3/module.audio-video.quicktime.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5204", "wp-includes/ID3/module.audio-video.riff.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5205", "wp-includes/ID3/module.audio.ac3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5206", "wp-includes/ID3/module.audio.dts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5207", "wp-includes/ID3/module.audio.flac.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5208", "wp-includes/ID3/module.audio.mp3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5209", "wp-includes/ID3/module.audio.ogg.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5210", "wp-includes/ID3/module.tag.apetag.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5211", "wp-includes/ID3/module.tag.id3v1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5212", "wp-includes/ID3/module.tag.id3v2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5213", "wp-includes/ID3/module.tag.lyrics3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5214", "wp-includes/ID3/readme.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5215", "wp-includes/IXR/class-IXR-base64.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5216", "wp-includes/IXR/class-IXR-client.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5217", "wp-includes/IXR/class-IXR-clientmulticall.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5218", "wp-includes/IXR/class-IXR-date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5219", "wp-includes/IXR/class-IXR-error.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5220", "wp-includes/IXR/class-IXR-introspectionserver.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5221", "wp-includes/IXR/class-IXR-message.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5222", "wp-includes/IXR/class-IXR-request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5223", "wp-includes/IXR/class-IXR-server.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5224", "wp-includes/IXR/class-IXR-value.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5225", "wp-includes/Requests/Auth/Basic.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5226", "wp-includes/Requests/Auth.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5227", "wp-includes/Requests/Cookie/Jar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5228", "wp-includes/Requests/Cookie.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5229", "wp-includes/Requests/Exception/HTTP/304.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5230", "wp-includes/Requests/Exception/HTTP/305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5231", "wp-includes/Requests/Exception/HTTP/306.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5232", "wp-includes/Requests/Exception/HTTP/400.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5233", "wp-includes/Requests/Exception/HTTP/401.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5234", "wp-includes/Requests/Exception/HTTP/402.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5235", "wp-includes/Requests/Exception/HTTP/403.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5236", "wp-includes/Requests/Exception/HTTP/404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5237", "wp-includes/Requests/Exception/HTTP/405.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5238", "wp-includes/Requests/Exception/HTTP/406.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5239", "wp-includes/Requests/Exception/HTTP/407.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5240", "wp-includes/Requests/Exception/HTTP/408.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5241", "wp-includes/Requests/Exception/HTTP/409.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5242", "wp-includes/Requests/Exception/HTTP/410.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5243", "wp-includes/Requests/Exception/HTTP/411.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5244", "wp-includes/Requests/Exception/HTTP/412.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5245", "wp-includes/Requests/Exception/HTTP/413.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5246", "wp-includes/Requests/Exception/HTTP/414.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5247", "wp-includes/Requests/Exception/HTTP/415.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5248", "wp-includes/Requests/Exception/HTTP/416.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5249", "wp-includes/Requests/Exception/HTTP/417.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5250", "wp-includes/Requests/Exception/HTTP/418.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5251", "wp-includes/Requests/Exception/HTTP/428.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5252", "wp-includes/Requests/Exception/HTTP/429.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5253", "wp-includes/Requests/Exception/HTTP/431.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5254", "wp-includes/Requests/Exception/HTTP/500.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5255", "wp-includes/Requests/Exception/HTTP/501.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5256", "wp-includes/Requests/Exception/HTTP/502.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5257", "wp-includes/Requests/Exception/HTTP/503.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5258", "wp-includes/Requests/Exception/HTTP/504.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5259", "wp-includes/Requests/Exception/HTTP/505.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5260", "wp-includes/Requests/Exception/HTTP/511.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5261", "wp-includes/Requests/Exception/HTTP/Unknown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5262", "wp-includes/Requests/Exception/HTTP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5263", "wp-includes/Requests/Exception/Transport/cURL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5264", "wp-includes/Requests/Exception/Transport.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5265", "wp-includes/Requests/Exception.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5266", "wp-includes/Requests/Hooker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5267", "wp-includes/Requests/Hooks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5268", "wp-includes/Requests/IDNAEncoder.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5269", "wp-includes/Requests/IPv6.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5270", "wp-includes/Requests/IRI.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5271", "wp-includes/Requests/Proxy/HTTP.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5272", "wp-includes/Requests/Proxy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5273", "wp-includes/Requests/Response/Headers.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5274", "wp-includes/Requests/Response.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5275", "wp-includes/Requests/SSL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5276", "wp-includes/Requests/Session.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5277", "wp-includes/Requests/Transport/cURL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5278", "wp-includes/Requests/Transport/fsockopen.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5279", "wp-includes/Requests/Transport.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5280", "wp-includes/Requests/Utility/CaseInsensitiveDictionary.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5281", "wp-includes/Requests/Utility/FilteredIterator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5282", "wp-includes/SimplePie/Author.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5283", "wp-includes/SimplePie/Cache/Base.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5284", "wp-includes/SimplePie/Cache/DB.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5285", "wp-includes/SimplePie/Cache/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5286", "wp-includes/SimplePie/Cache/Memcache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5287", "wp-includes/SimplePie/Cache/MySQL.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5288", "wp-includes/SimplePie/Cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5289", "wp-includes/SimplePie/Caption.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5290", "wp-includes/SimplePie/Category.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5291", "wp-includes/SimplePie/Content/Type/Sniffer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5292", "wp-includes/SimplePie/Copyright.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5293", "wp-includes/SimplePie/Core.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5294", "wp-includes/SimplePie/Credit.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5295", "wp-includes/SimplePie/Decode/HTML/Entities.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5296", "wp-includes/SimplePie/Enclosure.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5297", "wp-includes/SimplePie/Exception.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5298", "wp-includes/SimplePie/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5299", "wp-includes/SimplePie/HTTP/Parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5300", "wp-includes/SimplePie/IRI.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5301", "wp-includes/SimplePie/Item.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5302", "wp-includes/SimplePie/Locator.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5303", "wp-includes/SimplePie/Misc.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5304", "wp-includes/SimplePie/Net/IPv6.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5305", "wp-includes/SimplePie/Parse/Date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5306", "wp-includes/SimplePie/Parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5307", "wp-includes/SimplePie/Rating.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5308", "wp-includes/SimplePie/Registry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5309", "wp-includes/SimplePie/Restriction.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5310", "wp-includes/SimplePie/Sanitize.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5311", "wp-includes/SimplePie/Source.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5312", "wp-includes/SimplePie/XML/Declaration/Parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5313", "wp-includes/SimplePie/gzdecode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5314", "wp-includes/Text/Diff/Engine/native.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5315", "wp-includes/Text/Diff/Engine/shell.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5316", "wp-includes/Text/Diff/Engine/string.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5317", "wp-includes/Text/Diff/Engine/xdiff.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5318", "wp-includes/Text/Diff/Renderer/inline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5319", "wp-includes/Text/Diff/Renderer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5320", "wp-includes/Text/Diff.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5321", "wp-includes/admin-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5322", "wp-includes/atomlib.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5323", "wp-includes/author-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5324", "wp-includes/blocks/archives.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5325", "wp-includes/blocks/block.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5326", "wp-includes/blocks/calendar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5327", "wp-includes/blocks/categories.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5328", "wp-includes/blocks/latest-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5329", "wp-includes/blocks/latest-posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5330", "wp-includes/blocks/rss.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5331", "wp-includes/blocks/search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5332", "wp-includes/blocks/shortcode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5333", "wp-includes/blocks/tag-cloud.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5334", "wp-includes/blocks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5335", "wp-includes/bookmark-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5336", "wp-includes/bookmark.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5337", "wp-includes/cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5338", "wp-includes/canonical.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5339", "wp-includes/capabilities.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5340", "wp-includes/category-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5341", "wp-includes/category.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5342", "wp-includes/certificates/ca-bundle.crt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5343", "wp-includes/class-IXR.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5344", "wp-includes/class-feed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5345", "wp-includes/class-http.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5346", "wp-includes/class-json.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5347", "wp-includes/class-oembed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5348", "wp-includes/class-phpass.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5349", "wp-includes/class-phpmailer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5350", "wp-includes/class-pop3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5351", "wp-includes/class-requests.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5352", "wp-includes/class-simplepie.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5353", "wp-includes/class-smtp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5354", "wp-includes/class-snoopy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5355", "wp-includes/class-walker-category-dropdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5356", "wp-includes/class-walker-category.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5357", "wp-includes/class-walker-comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5358", "wp-includes/class-walker-nav-menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5359", "wp-includes/class-walker-page-dropdown.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5360", "wp-includes/class-walker-page.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5361", "wp-includes/class-wp-admin-bar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5362", "wp-includes/class-wp-ajax-response.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5363", "wp-includes/class-wp-block-parser.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5364", "wp-includes/class-wp-block-type-registry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5365", "wp-includes/class-wp-block-type.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5366", "wp-includes/class-wp-comment-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5367", "wp-includes/class-wp-comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5368", "wp-includes/class-wp-customize-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5369", "wp-includes/class-wp-customize-manager.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5370", "wp-includes/class-wp-customize-nav-menus.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5371", "wp-includes/class-wp-customize-panel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5372", "wp-includes/class-wp-customize-section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5373", "wp-includes/class-wp-customize-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5374", "wp-includes/class-wp-customize-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5375", "wp-includes/class-wp-dependency.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5376", "wp-includes/class-wp-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5377", "wp-includes/class-wp-embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5378", "wp-includes/class-wp-error.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5379", "wp-includes/class-wp-fatal-error-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5380", "wp-includes/class-wp-feed-cache-transient.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5381", "wp-includes/class-wp-feed-cache.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5382", "wp-includes/class-wp-hook.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5383", "wp-includes/class-wp-http-cookie.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5384", "wp-includes/class-wp-http-curl.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5385", "wp-includes/class-wp-http-encoding.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5386", "wp-includes/class-wp-http-ixr-client.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5387", "wp-includes/class-wp-http-proxy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5388", "wp-includes/class-wp-http-requests-hooks.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5389", "wp-includes/class-wp-http-requests-response.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5390", "wp-includes/class-wp-http-response.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5391", "wp-includes/class-wp-http-streams.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5392", "wp-includes/class-wp-image-editor-gd.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5393", "wp-includes/class-wp-image-editor-imagick.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5394", "wp-includes/class-wp-image-editor.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5395", "wp-includes/class-wp-list-util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5396", "wp-includes/class-wp-locale-switcher.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5397", "wp-includes/class-wp-locale.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5398", "wp-includes/class-wp-matchesmapregex.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5399", "wp-includes/class-wp-meta-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5400", "wp-includes/class-wp-metadata-lazyloader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5401", "wp-includes/class-wp-network-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5402", "wp-includes/class-wp-network.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5403", "wp-includes/class-wp-oembed-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5404", "wp-includes/class-wp-paused-extensions-storage.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5405", "wp-includes/class-wp-post-type.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5406", "wp-includes/class-wp-post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5407", "wp-includes/class-wp-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5408", "wp-includes/class-wp-recovery-mode-cookie-service.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5409", "wp-includes/class-wp-recovery-mode-email-service.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5410", "wp-includes/class-wp-recovery-mode-key-service.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5411", "wp-includes/class-wp-recovery-mode-link-service.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5412", "wp-includes/class-wp-recovery-mode.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5413", "wp-includes/class-wp-rewrite.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5414", "wp-includes/class-wp-role.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5415", "wp-includes/class-wp-roles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5416", "wp-includes/class-wp-session-tokens.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5417", "wp-includes/class-wp-simplepie-file.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5418", "wp-includes/class-wp-simplepie-sanitize-kses.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5419", "wp-includes/class-wp-site-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5420", "wp-includes/class-wp-site.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5421", "wp-includes/class-wp-tax-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5422", "wp-includes/class-wp-taxonomy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5423", "wp-includes/class-wp-term-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5424", "wp-includes/class-wp-term.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5425", "wp-includes/class-wp-text-diff-renderer-inline.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5426", "wp-includes/class-wp-text-diff-renderer-table.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5427", "wp-includes/class-wp-theme.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5428", "wp-includes/class-wp-user-meta-session-tokens.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5429", "wp-includes/class-wp-user-query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5430", "wp-includes/class-wp-user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5431", "wp-includes/class-wp-walker.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5432", "wp-includes/class-wp-widget-factory.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5433", "wp-includes/class-wp-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5434", "wp-includes/class-wp-xmlrpc-server.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5435", "wp-includes/class-wp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5436", "wp-includes/class.wp-dependencies.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5437", "wp-includes/class.wp-scripts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5438", "wp-includes/class.wp-styles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5439", "wp-includes/comment-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5440", "wp-includes/comment.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5441", "wp-includes/compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5442", "wp-includes/cron.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5443", "wp-includes/css/admin-bar-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5444", "wp-includes/css/admin-bar-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5445", "wp-includes/css/admin-bar.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5446", "wp-includes/css/admin-bar.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5447", "wp-includes/css/buttons-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5448", "wp-includes/css/buttons-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5449", "wp-includes/css/buttons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5450", "wp-includes/css/buttons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5451", "wp-includes/css/customize-preview-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5452", "wp-includes/css/customize-preview-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5453", "wp-includes/css/customize-preview.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5454", "wp-includes/css/customize-preview.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5455", "wp-includes/css/dashicons.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5456", "wp-includes/css/dashicons.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5457", "wp-includes/css/dist/block-editor/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5458", "wp-includes/css/dist/block-editor/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5459", "wp-includes/css/dist/block-editor/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5460", "wp-includes/css/dist/block-editor/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5461", "wp-includes/css/dist/block-library/editor-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5462", "wp-includes/css/dist/block-library/editor-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5463", "wp-includes/css/dist/block-library/editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5464", "wp-includes/css/dist/block-library/editor.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5465", "wp-includes/css/dist/block-library/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5466", "wp-includes/css/dist/block-library/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5467", "wp-includes/css/dist/block-library/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5468", "wp-includes/css/dist/block-library/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5469", "wp-includes/css/dist/block-library/theme-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5470", "wp-includes/css/dist/block-library/theme-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5471", "wp-includes/css/dist/block-library/theme.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5472", "wp-includes/css/dist/block-library/theme.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5473", "wp-includes/css/dist/components/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5474", "wp-includes/css/dist/components/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5475", "wp-includes/css/dist/components/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5476", "wp-includes/css/dist/components/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5477", "wp-includes/css/dist/edit-post/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5478", "wp-includes/css/dist/edit-post/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5479", "wp-includes/css/dist/edit-post/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5480", "wp-includes/css/dist/edit-post/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5481", "wp-includes/css/dist/editor/editor-styles-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5482", "wp-includes/css/dist/editor/editor-styles-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5483", "wp-includes/css/dist/editor/editor-styles.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5484", "wp-includes/css/dist/editor/editor-styles.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5485", "wp-includes/css/dist/editor/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5486", "wp-includes/css/dist/editor/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5487", "wp-includes/css/dist/editor/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5488", "wp-includes/css/dist/editor/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5489", "wp-includes/css/dist/format-library/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5490", "wp-includes/css/dist/format-library/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5491", "wp-includes/css/dist/format-library/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5492", "wp-includes/css/dist/format-library/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5493", "wp-includes/css/dist/list-reusable-blocks/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5494", "wp-includes/css/dist/list-reusable-blocks/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5495", "wp-includes/css/dist/list-reusable-blocks/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5496", "wp-includes/css/dist/list-reusable-blocks/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5497", "wp-includes/css/dist/nux/style-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5498", "wp-includes/css/dist/nux/style-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5499", "wp-includes/css/dist/nux/style.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5500", "wp-includes/css/dist/nux/style.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5501", "wp-includes/css/editor-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5502", "wp-includes/css/editor-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5503", "wp-includes/css/editor.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5504", "wp-includes/css/editor.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5505", "wp-includes/css/jquery-ui-dialog-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5506", "wp-includes/css/jquery-ui-dialog-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5507", "wp-includes/css/jquery-ui-dialog.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5508", "wp-includes/css/jquery-ui-dialog.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5509", "wp-includes/css/media-views-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5510", "wp-includes/css/media-views-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5511", "wp-includes/css/media-views.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5512", "wp-includes/css/media-views.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5513", "wp-includes/css/wp-auth-check-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5514", "wp-includes/css/wp-auth-check-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5515", "wp-includes/css/wp-auth-check.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5516", "wp-includes/css/wp-auth-check.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5517", "wp-includes/css/wp-embed-template-ie.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5518", "wp-includes/css/wp-embed-template-ie.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5519", "wp-includes/css/wp-embed-template.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5520", "wp-includes/css/wp-embed-template.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5521", "wp-includes/css/wp-pointer-rtl.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5522", "wp-includes/css/wp-pointer-rtl.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5523", "wp-includes/css/wp-pointer.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5524", "wp-includes/css/wp-pointer.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5525", "wp-includes/customize/class-wp-customize-background-image-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5526", "wp-includes/customize/class-wp-customize-background-image-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5527", "wp-includes/customize/class-wp-customize-background-position-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5528", "wp-includes/customize/class-wp-customize-code-editor-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5529", "wp-includes/customize/class-wp-customize-color-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5530", "wp-includes/customize/class-wp-customize-cropped-image-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5531", "wp-includes/customize/class-wp-customize-custom-css-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5532", "wp-includes/customize/class-wp-customize-date-time-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5533", "wp-includes/customize/class-wp-customize-filter-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5534", "wp-includes/customize/class-wp-customize-header-image-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5535", "wp-includes/customize/class-wp-customize-header-image-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5536", "wp-includes/customize/class-wp-customize-image-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5537", "wp-includes/customize/class-wp-customize-media-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5538", "wp-includes/customize/class-wp-customize-nav-menu-auto-add-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5539", "wp-includes/customize/class-wp-customize-nav-menu-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5540", "wp-includes/customize/class-wp-customize-nav-menu-item-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5541", "wp-includes/customize/class-wp-customize-nav-menu-item-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5542", "wp-includes/customize/class-wp-customize-nav-menu-location-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5543", "wp-includes/customize/class-wp-customize-nav-menu-locations-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5544", "wp-includes/customize/class-wp-customize-nav-menu-name-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5545", "wp-includes/customize/class-wp-customize-nav-menu-section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5546", "wp-includes/customize/class-wp-customize-nav-menu-setting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5547", "wp-includes/customize/class-wp-customize-nav-menus-panel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5548", "wp-includes/customize/class-wp-customize-new-menu-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5549", "wp-includes/customize/class-wp-customize-new-menu-section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5550", "wp-includes/customize/class-wp-customize-partial.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5551", "wp-includes/customize/class-wp-customize-selective-refresh.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5552", "wp-includes/customize/class-wp-customize-sidebar-section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5553", "wp-includes/customize/class-wp-customize-site-icon-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5554", "wp-includes/customize/class-wp-customize-theme-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5555", "wp-includes/customize/class-wp-customize-themes-panel.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5556", "wp-includes/customize/class-wp-customize-themes-section.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5557", "wp-includes/customize/class-wp-customize-upload-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5558", "wp-includes/customize/class-wp-widget-area-customize-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5559", "wp-includes/customize/class-wp-widget-form-customize-control.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5560", "wp-includes/date.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5561", "wp-includes/default-constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5562", "wp-includes/default-filters.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5563", "wp-includes/default-widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5564", "wp-includes/deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5565", "wp-includes/embed-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5566", "wp-includes/embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5567", "wp-includes/error-protection.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5568", "wp-includes/feed-atom-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5569", "wp-includes/feed-atom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5570", "wp-includes/feed-rdf.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5571", "wp-includes/feed-rss.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5572", "wp-includes/feed-rss2-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5573", "wp-includes/feed-rss2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5574", "wp-includes/feed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5575", "wp-includes/fonts/dashicons.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("5576", "wp-includes/fonts/dashicons.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5577", "wp-includes/fonts/dashicons.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("5578", "wp-includes/fonts/dashicons.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("5579", "wp-includes/fonts/dashicons.woff2");
INSERT INTO `wpky_wfknownfilelist` VALUES("5580", "wp-includes/formatting.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5581", "wp-includes/functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5582", "wp-includes/functions.wp-scripts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5583", "wp-includes/functions.wp-styles.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5584", "wp-includes/general-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5585", "wp-includes/http.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("5586", "wp-includes/images/admin-bar-sprite-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5587", "wp-includes/images/admin-bar-sprite.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5588", "wp-includes/images/arrow-pointer-blue-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5589", "wp-includes/images/arrow-pointer-blue.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5590", "wp-includes/images/blank.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5591", "wp-includes/images/crystal/archive.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5592", "wp-includes/images/crystal/audio.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5593", "wp-includes/images/crystal/code.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5594", "wp-includes/images/crystal/default.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5595", "wp-includes/images/crystal/document.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5596", "wp-includes/images/crystal/interactive.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5597", "wp-includes/images/crystal/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5598", "wp-includes/images/crystal/spreadsheet.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5599", "wp-includes/images/crystal/text.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5600", "wp-includes/images/crystal/video.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5601", "wp-includes/images/down_arrow-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5602", "wp-includes/images/down_arrow.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5603", "wp-includes/images/icon-pointer-flag-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5604", "wp-includes/images/icon-pointer-flag.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5605", "wp-includes/images/media/archive.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5606", "wp-includes/images/media/audio.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5607", "wp-includes/images/media/code.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5608", "wp-includes/images/media/default.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5609", "wp-includes/images/media/document.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5610", "wp-includes/images/media/interactive.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5611", "wp-includes/images/media/spreadsheet.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5612", "wp-includes/images/media/text.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5613", "wp-includes/images/media/video.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5614", "wp-includes/images/rss-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5615", "wp-includes/images/rss.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5616", "wp-includes/images/smilies/frownie.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5617", "wp-includes/images/smilies/icon_arrow.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5618", "wp-includes/images/smilies/icon_biggrin.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5619", "wp-includes/images/smilies/icon_confused.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5620", "wp-includes/images/smilies/icon_cool.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5621", "wp-includes/images/smilies/icon_cry.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5622", "wp-includes/images/smilies/icon_eek.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5623", "wp-includes/images/smilies/icon_evil.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5624", "wp-includes/images/smilies/icon_exclaim.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5625", "wp-includes/images/smilies/icon_idea.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5626", "wp-includes/images/smilies/icon_lol.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5627", "wp-includes/images/smilies/icon_mad.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5628", "wp-includes/images/smilies/icon_mrgreen.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5629", "wp-includes/images/smilies/icon_neutral.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5630", "wp-includes/images/smilies/icon_question.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5631", "wp-includes/images/smilies/icon_razz.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5632", "wp-includes/images/smilies/icon_redface.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5633", "wp-includes/images/smilies/icon_rolleyes.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5634", "wp-includes/images/smilies/icon_sad.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5635", "wp-includes/images/smilies/icon_smile.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5636", "wp-includes/images/smilies/icon_surprised.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5637", "wp-includes/images/smilies/icon_twisted.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5638", "wp-includes/images/smilies/icon_wink.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5639", "wp-includes/images/smilies/mrgreen.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5640", "wp-includes/images/smilies/rolleyes.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5641", "wp-includes/images/smilies/simple-smile.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5642", "wp-includes/images/spinner-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5643", "wp-includes/images/spinner.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5644", "wp-includes/images/toggle-arrow-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5645", "wp-includes/images/toggle-arrow.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5646", "wp-includes/images/uploader-icons-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5647", "wp-includes/images/uploader-icons.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5648", "wp-includes/images/w-logo-blue.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5649", "wp-includes/images/wlw/wp-comments.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5650", "wp-includes/images/wlw/wp-icon.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5651", "wp-includes/images/wlw/wp-watermark.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5652", "wp-includes/images/wpicons-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5653", "wp-includes/images/wpicons.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5654", "wp-includes/images/wpspin-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5655", "wp-includes/images/wpspin.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5656", "wp-includes/images/xit-2x.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5657", "wp-includes/images/xit.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5658", "wp-includes/js/admin-bar.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5659", "wp-includes/js/admin-bar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5660", "wp-includes/js/api-request.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5661", "wp-includes/js/api-request.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5662", "wp-includes/js/autosave.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5663", "wp-includes/js/autosave.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5664", "wp-includes/js/backbone.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5665", "wp-includes/js/backbone.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5666", "wp-includes/js/clipboard.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5667", "wp-includes/js/clipboard.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5668", "wp-includes/js/codemirror/codemirror.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5669", "wp-includes/js/codemirror/codemirror.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5670", "wp-includes/js/codemirror/csslint.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5671", "wp-includes/js/codemirror/esprima.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5672", "wp-includes/js/codemirror/fakejshint.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5673", "wp-includes/js/codemirror/htmlhint-kses.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5674", "wp-includes/js/codemirror/htmlhint.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5675", "wp-includes/js/codemirror/jsonlint.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5676", "wp-includes/js/colorpicker.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5677", "wp-includes/js/colorpicker.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5678", "wp-includes/js/comment-reply.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5679", "wp-includes/js/comment-reply.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5680", "wp-includes/js/crop/cropper.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5681", "wp-includes/js/crop/cropper.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5682", "wp-includes/js/crop/marqueeHoriz.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5683", "wp-includes/js/crop/marqueeVert.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5684", "wp-includes/js/customize-base.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5685", "wp-includes/js/customize-base.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5686", "wp-includes/js/customize-loader.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5687", "wp-includes/js/customize-loader.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5688", "wp-includes/js/customize-models.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5689", "wp-includes/js/customize-models.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5690", "wp-includes/js/customize-preview-nav-menus.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5691", "wp-includes/js/customize-preview-nav-menus.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5692", "wp-includes/js/customize-preview-widgets.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5693", "wp-includes/js/customize-preview-widgets.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5694", "wp-includes/js/customize-preview.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5695", "wp-includes/js/customize-preview.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5696", "wp-includes/js/customize-selective-refresh.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5697", "wp-includes/js/customize-selective-refresh.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5698", "wp-includes/js/customize-views.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5699", "wp-includes/js/customize-views.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5700", "wp-includes/js/dist/a11y.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5701", "wp-includes/js/dist/a11y.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5702", "wp-includes/js/dist/annotations.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5703", "wp-includes/js/dist/annotations.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5704", "wp-includes/js/dist/api-fetch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5705", "wp-includes/js/dist/api-fetch.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5706", "wp-includes/js/dist/autop.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5707", "wp-includes/js/dist/autop.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5708", "wp-includes/js/dist/blob.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5709", "wp-includes/js/dist/blob.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5710", "wp-includes/js/dist/block-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5711", "wp-includes/js/dist/block-editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5712", "wp-includes/js/dist/block-library.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5713", "wp-includes/js/dist/block-library.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5714", "wp-includes/js/dist/block-serialization-default-parser.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5715", "wp-includes/js/dist/block-serialization-default-parser.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5716", "wp-includes/js/dist/blocks.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5717", "wp-includes/js/dist/blocks.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5718", "wp-includes/js/dist/components.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5719", "wp-includes/js/dist/components.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5720", "wp-includes/js/dist/compose.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5721", "wp-includes/js/dist/compose.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5722", "wp-includes/js/dist/core-data.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5723", "wp-includes/js/dist/core-data.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5724", "wp-includes/js/dist/data.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5725", "wp-includes/js/dist/data.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5726", "wp-includes/js/dist/date.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5727", "wp-includes/js/dist/date.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5728", "wp-includes/js/dist/deprecated.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5729", "wp-includes/js/dist/deprecated.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5730", "wp-includes/js/dist/dom-ready.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5731", "wp-includes/js/dist/dom-ready.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5732", "wp-includes/js/dist/dom.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5733", "wp-includes/js/dist/dom.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5734", "wp-includes/js/dist/edit-post.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5735", "wp-includes/js/dist/edit-post.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5736", "wp-includes/js/dist/editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5737", "wp-includes/js/dist/editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5738", "wp-includes/js/dist/element.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5739", "wp-includes/js/dist/element.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5740", "wp-includes/js/dist/escape-html.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5741", "wp-includes/js/dist/escape-html.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5742", "wp-includes/js/dist/format-library.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5743", "wp-includes/js/dist/format-library.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5744", "wp-includes/js/dist/hooks.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5745", "wp-includes/js/dist/hooks.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5746", "wp-includes/js/dist/html-entities.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5747", "wp-includes/js/dist/html-entities.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5748", "wp-includes/js/dist/i18n.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5749", "wp-includes/js/dist/i18n.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5750", "wp-includes/js/dist/is-shallow-equal.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5751", "wp-includes/js/dist/is-shallow-equal.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5752", "wp-includes/js/dist/keycodes.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5753", "wp-includes/js/dist/keycodes.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5754", "wp-includes/js/dist/list-reusable-blocks.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5755", "wp-includes/js/dist/list-reusable-blocks.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5756", "wp-includes/js/dist/notices.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5757", "wp-includes/js/dist/notices.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5758", "wp-includes/js/dist/nux.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5759", "wp-includes/js/dist/nux.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5760", "wp-includes/js/dist/plugins.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5761", "wp-includes/js/dist/plugins.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5762", "wp-includes/js/dist/priority-queue.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5763", "wp-includes/js/dist/priority-queue.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5764", "wp-includes/js/dist/redux-routine.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5765", "wp-includes/js/dist/redux-routine.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5766", "wp-includes/js/dist/rich-text.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5767", "wp-includes/js/dist/rich-text.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5768", "wp-includes/js/dist/shortcode.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5769", "wp-includes/js/dist/shortcode.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5770", "wp-includes/js/dist/token-list.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5771", "wp-includes/js/dist/token-list.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5772", "wp-includes/js/dist/url.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5773", "wp-includes/js/dist/url.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5774", "wp-includes/js/dist/vendor/lodash.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5775", "wp-includes/js/dist/vendor/lodash.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5776", "wp-includes/js/dist/vendor/moment.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5777", "wp-includes/js/dist/vendor/moment.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5778", "wp-includes/js/dist/vendor/react-dom.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5779", "wp-includes/js/dist/vendor/react-dom.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5780", "wp-includes/js/dist/vendor/react.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5781", "wp-includes/js/dist/vendor/react.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5782", "wp-includes/js/dist/vendor/wp-polyfill-element-closest.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5783", "wp-includes/js/dist/vendor/wp-polyfill-element-closest.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5784", "wp-includes/js/dist/vendor/wp-polyfill-fetch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5785", "wp-includes/js/dist/vendor/wp-polyfill-fetch.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5786", "wp-includes/js/dist/vendor/wp-polyfill-formdata.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5787", "wp-includes/js/dist/vendor/wp-polyfill-formdata.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5788", "wp-includes/js/dist/vendor/wp-polyfill-node-contains.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5789", "wp-includes/js/dist/vendor/wp-polyfill-node-contains.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5790", "wp-includes/js/dist/vendor/wp-polyfill.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5791", "wp-includes/js/dist/vendor/wp-polyfill.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5792", "wp-includes/js/dist/viewport.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5793", "wp-includes/js/dist/viewport.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5794", "wp-includes/js/dist/wordcount.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5795", "wp-includes/js/dist/wordcount.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5796", "wp-includes/js/heartbeat.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5797", "wp-includes/js/heartbeat.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5798", "wp-includes/js/hoverIntent.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5799", "wp-includes/js/hoverIntent.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5800", "wp-includes/js/imagesloaded.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5801", "wp-includes/js/imgareaselect/border-anim-h.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5802", "wp-includes/js/imgareaselect/border-anim-v.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5803", "wp-includes/js/imgareaselect/imgareaselect.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5804", "wp-includes/js/imgareaselect/jquery.imgareaselect.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5805", "wp-includes/js/imgareaselect/jquery.imgareaselect.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5806", "wp-includes/js/jcrop/Jcrop.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5807", "wp-includes/js/jcrop/jquery.Jcrop.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5808", "wp-includes/js/jcrop/jquery.Jcrop.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5809", "wp-includes/js/jquery/jquery-migrate.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5810", "wp-includes/js/jquery/jquery-migrate.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5811", "wp-includes/js/jquery/jquery.color.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5812", "wp-includes/js/jquery/jquery.form.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5813", "wp-includes/js/jquery/jquery.form.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5814", "wp-includes/js/jquery/jquery.hotkeys.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5815", "wp-includes/js/jquery/jquery.hotkeys.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5816", "wp-includes/js/jquery/jquery.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5817", "wp-includes/js/jquery/jquery.masonry.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5818", "wp-includes/js/jquery/jquery.query.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5819", "wp-includes/js/jquery/jquery.schedule.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5820", "wp-includes/js/jquery/jquery.serialize-object.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5821", "wp-includes/js/jquery/jquery.table-hotkeys.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5822", "wp-includes/js/jquery/jquery.table-hotkeys.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5823", "wp-includes/js/jquery/jquery.ui.touch-punch.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5824", "wp-includes/js/jquery/suggest.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5825", "wp-includes/js/jquery/suggest.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5826", "wp-includes/js/jquery/ui/accordion.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5827", "wp-includes/js/jquery/ui/autocomplete.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5828", "wp-includes/js/jquery/ui/button.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5829", "wp-includes/js/jquery/ui/core.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5830", "wp-includes/js/jquery/ui/datepicker.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5831", "wp-includes/js/jquery/ui/dialog.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5832", "wp-includes/js/jquery/ui/draggable.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5833", "wp-includes/js/jquery/ui/droppable.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5834", "wp-includes/js/jquery/ui/effect-blind.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5835", "wp-includes/js/jquery/ui/effect-bounce.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5836", "wp-includes/js/jquery/ui/effect-clip.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5837", "wp-includes/js/jquery/ui/effect-drop.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5838", "wp-includes/js/jquery/ui/effect-explode.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5839", "wp-includes/js/jquery/ui/effect-fade.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5840", "wp-includes/js/jquery/ui/effect-fold.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5841", "wp-includes/js/jquery/ui/effect-highlight.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5842", "wp-includes/js/jquery/ui/effect-puff.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5843", "wp-includes/js/jquery/ui/effect-pulsate.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5844", "wp-includes/js/jquery/ui/effect-scale.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5845", "wp-includes/js/jquery/ui/effect-shake.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5846", "wp-includes/js/jquery/ui/effect-size.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5847", "wp-includes/js/jquery/ui/effect-slide.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5848", "wp-includes/js/jquery/ui/effect-transfer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5849", "wp-includes/js/jquery/ui/effect.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5850", "wp-includes/js/jquery/ui/menu.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5851", "wp-includes/js/jquery/ui/mouse.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5852", "wp-includes/js/jquery/ui/position.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5853", "wp-includes/js/jquery/ui/progressbar.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5854", "wp-includes/js/jquery/ui/resizable.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5855", "wp-includes/js/jquery/ui/selectable.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5856", "wp-includes/js/jquery/ui/selectmenu.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5857", "wp-includes/js/jquery/ui/slider.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5858", "wp-includes/js/jquery/ui/sortable.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5859", "wp-includes/js/jquery/ui/spinner.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5860", "wp-includes/js/jquery/ui/tabs.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5861", "wp-includes/js/jquery/ui/tooltip.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5862", "wp-includes/js/jquery/ui/widget.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5863", "wp-includes/js/json2.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5864", "wp-includes/js/json2.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5865", "wp-includes/js/masonry.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5866", "wp-includes/js/mce-view.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5867", "wp-includes/js/mce-view.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5868", "wp-includes/js/media-audiovideo.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5869", "wp-includes/js/media-audiovideo.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5870", "wp-includes/js/media-editor.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5871", "wp-includes/js/media-editor.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5872", "wp-includes/js/media-grid.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5873", "wp-includes/js/media-grid.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5874", "wp-includes/js/media-models.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5875", "wp-includes/js/media-models.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5876", "wp-includes/js/media-views.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5877", "wp-includes/js/media-views.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5878", "wp-includes/js/mediaelement/mediaelement-and-player.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5879", "wp-includes/js/mediaelement/mediaelement-and-player.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5880", "wp-includes/js/mediaelement/mediaelement-migrate.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5881", "wp-includes/js/mediaelement/mediaelement-migrate.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5882", "wp-includes/js/mediaelement/mediaelement.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5883", "wp-includes/js/mediaelement/mediaelement.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5884", "wp-includes/js/mediaelement/mediaelementplayer-legacy.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5885", "wp-includes/js/mediaelement/mediaelementplayer-legacy.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5886", "wp-includes/js/mediaelement/mediaelementplayer.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5887", "wp-includes/js/mediaelement/mediaelementplayer.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5888", "wp-includes/js/mediaelement/mejs-controls.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5889", "wp-includes/js/mediaelement/mejs-controls.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5890", "wp-includes/js/mediaelement/renderers/vimeo.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5891", "wp-includes/js/mediaelement/renderers/vimeo.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5892", "wp-includes/js/mediaelement/wp-mediaelement.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5893", "wp-includes/js/mediaelement/wp-mediaelement.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5894", "wp-includes/js/mediaelement/wp-mediaelement.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5895", "wp-includes/js/mediaelement/wp-mediaelement.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5896", "wp-includes/js/mediaelement/wp-playlist.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5897", "wp-includes/js/mediaelement/wp-playlist.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5898", "wp-includes/js/plupload/handlers.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5899", "wp-includes/js/plupload/handlers.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5900", "wp-includes/js/plupload/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5901", "wp-includes/js/plupload/moxie.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5902", "wp-includes/js/plupload/moxie.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5903", "wp-includes/js/plupload/plupload.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5904", "wp-includes/js/plupload/plupload.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5905", "wp-includes/js/plupload/wp-plupload.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5906", "wp-includes/js/plupload/wp-plupload.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5907", "wp-includes/js/quicktags.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5908", "wp-includes/js/quicktags.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5909", "wp-includes/js/shortcode.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5910", "wp-includes/js/shortcode.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5911", "wp-includes/js/swfobject.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5912", "wp-includes/js/swfupload/handlers.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5913", "wp-includes/js/swfupload/handlers.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5914", "wp-includes/js/swfupload/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5915", "wp-includes/js/swfupload/swfupload.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5916", "wp-includes/js/thickbox/loadingAnimation.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5917", "wp-includes/js/thickbox/macFFBgHack.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5918", "wp-includes/js/thickbox/thickbox.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5919", "wp-includes/js/thickbox/thickbox.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5920", "wp-includes/js/tinymce/langs/wp-langs-en.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5921", "wp-includes/js/tinymce/license.txt");
INSERT INTO `wpky_wfknownfilelist` VALUES("5922", "wp-includes/js/tinymce/plugins/charmap/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5923", "wp-includes/js/tinymce/plugins/charmap/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5924", "wp-includes/js/tinymce/plugins/colorpicker/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5925", "wp-includes/js/tinymce/plugins/colorpicker/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5926", "wp-includes/js/tinymce/plugins/compat3x/css/dialog.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5927", "wp-includes/js/tinymce/plugins/compat3x/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5928", "wp-includes/js/tinymce/plugins/compat3x/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5929", "wp-includes/js/tinymce/plugins/directionality/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5930", "wp-includes/js/tinymce/plugins/directionality/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5931", "wp-includes/js/tinymce/plugins/fullscreen/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5932", "wp-includes/js/tinymce/plugins/fullscreen/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5933", "wp-includes/js/tinymce/plugins/hr/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5934", "wp-includes/js/tinymce/plugins/hr/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5935", "wp-includes/js/tinymce/plugins/image/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5936", "wp-includes/js/tinymce/plugins/image/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5937", "wp-includes/js/tinymce/plugins/link/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5938", "wp-includes/js/tinymce/plugins/link/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5939", "wp-includes/js/tinymce/plugins/lists/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5940", "wp-includes/js/tinymce/plugins/lists/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5941", "wp-includes/js/tinymce/plugins/media/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5942", "wp-includes/js/tinymce/plugins/media/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5943", "wp-includes/js/tinymce/plugins/paste/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5944", "wp-includes/js/tinymce/plugins/paste/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5945", "wp-includes/js/tinymce/plugins/tabfocus/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5946", "wp-includes/js/tinymce/plugins/tabfocus/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5947", "wp-includes/js/tinymce/plugins/textcolor/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5948", "wp-includes/js/tinymce/plugins/textcolor/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5949", "wp-includes/js/tinymce/plugins/wordpress/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5950", "wp-includes/js/tinymce/plugins/wordpress/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5951", "wp-includes/js/tinymce/plugins/wpautoresize/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5952", "wp-includes/js/tinymce/plugins/wpautoresize/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5953", "wp-includes/js/tinymce/plugins/wpdialogs/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5954", "wp-includes/js/tinymce/plugins/wpdialogs/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5955", "wp-includes/js/tinymce/plugins/wpeditimage/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5956", "wp-includes/js/tinymce/plugins/wpeditimage/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5957", "wp-includes/js/tinymce/plugins/wpemoji/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5958", "wp-includes/js/tinymce/plugins/wpemoji/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5959", "wp-includes/js/tinymce/plugins/wpgallery/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5960", "wp-includes/js/tinymce/plugins/wpgallery/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5961", "wp-includes/js/tinymce/plugins/wplink/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5962", "wp-includes/js/tinymce/plugins/wplink/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5963", "wp-includes/js/tinymce/plugins/wptextpattern/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5964", "wp-includes/js/tinymce/plugins/wptextpattern/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5965", "wp-includes/js/tinymce/plugins/wpview/plugin.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5966", "wp-includes/js/tinymce/plugins/wpview/plugin.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5967", "wp-includes/js/tinymce/skins/lightgray/content.inline.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5968", "wp-includes/js/tinymce/skins/lightgray/content.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5969", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("5970", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5971", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("5972", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce-small.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("5973", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.eot");
INSERT INTO `wpky_wfknownfilelist` VALUES("5974", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.svg");
INSERT INTO `wpky_wfknownfilelist` VALUES("5975", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.ttf");
INSERT INTO `wpky_wfknownfilelist` VALUES("5976", "wp-includes/js/tinymce/skins/lightgray/fonts/tinymce.woff");
INSERT INTO `wpky_wfknownfilelist` VALUES("5977", "wp-includes/js/tinymce/skins/lightgray/img/anchor.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5978", "wp-includes/js/tinymce/skins/lightgray/img/loader.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5979", "wp-includes/js/tinymce/skins/lightgray/img/object.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5980", "wp-includes/js/tinymce/skins/lightgray/img/trans.gif");
INSERT INTO `wpky_wfknownfilelist` VALUES("5981", "wp-includes/js/tinymce/skins/lightgray/skin.min.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5982", "wp-includes/js/tinymce/skins/wordpress/images/audio.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5983", "wp-includes/js/tinymce/skins/wordpress/images/dashicon-edit.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5984", "wp-includes/js/tinymce/skins/wordpress/images/dashicon-no.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5985", "wp-includes/js/tinymce/skins/wordpress/images/embedded.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5986", "wp-includes/js/tinymce/skins/wordpress/images/gallery-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5987", "wp-includes/js/tinymce/skins/wordpress/images/gallery.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5988", "wp-includes/js/tinymce/skins/wordpress/images/more-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5989", "wp-includes/js/tinymce/skins/wordpress/images/more.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5990", "wp-includes/js/tinymce/skins/wordpress/images/pagebreak-2x.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5991", "wp-includes/js/tinymce/skins/wordpress/images/pagebreak.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5992", "wp-includes/js/tinymce/skins/wordpress/images/playlist-audio.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5993", "wp-includes/js/tinymce/skins/wordpress/images/playlist-video.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5994", "wp-includes/js/tinymce/skins/wordpress/images/video.png");
INSERT INTO `wpky_wfknownfilelist` VALUES("5995", "wp-includes/js/tinymce/skins/wordpress/wp-content.css");
INSERT INTO `wpky_wfknownfilelist` VALUES("5996", "wp-includes/js/tinymce/themes/inlite/theme.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5997", "wp-includes/js/tinymce/themes/inlite/theme.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5998", "wp-includes/js/tinymce/themes/modern/theme.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("5999", "wp-includes/js/tinymce/themes/modern/theme.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6000", "wp-includes/js/tinymce/tiny_mce_popup.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6001", "wp-includes/js/tinymce/tinymce.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6002", "wp-includes/js/tinymce/utils/editable_selects.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6003", "wp-includes/js/tinymce/utils/form_utils.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6004", "wp-includes/js/tinymce/utils/mctabs.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6005", "wp-includes/js/tinymce/utils/validate.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6006", "wp-includes/js/tinymce/wp-tinymce.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6007", "wp-includes/js/tinymce/wp-tinymce.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6008", "wp-includes/js/tw-sack.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6009", "wp-includes/js/tw-sack.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6010", "wp-includes/js/twemoji.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6011", "wp-includes/js/twemoji.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6012", "wp-includes/js/underscore.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6013", "wp-includes/js/underscore.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6014", "wp-includes/js/utils.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6015", "wp-includes/js/utils.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6016", "wp-includes/js/wp-a11y.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6017", "wp-includes/js/wp-a11y.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6018", "wp-includes/js/wp-ajax-response.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6019", "wp-includes/js/wp-ajax-response.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6020", "wp-includes/js/wp-api.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6021", "wp-includes/js/wp-api.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6022", "wp-includes/js/wp-auth-check.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6023", "wp-includes/js/wp-auth-check.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6024", "wp-includes/js/wp-backbone.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6025", "wp-includes/js/wp-backbone.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6026", "wp-includes/js/wp-custom-header.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6027", "wp-includes/js/wp-custom-header.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6028", "wp-includes/js/wp-embed-template.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6029", "wp-includes/js/wp-embed-template.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6030", "wp-includes/js/wp-embed.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6031", "wp-includes/js/wp-embed.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6032", "wp-includes/js/wp-emoji-loader.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6033", "wp-includes/js/wp-emoji-loader.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6034", "wp-includes/js/wp-emoji-release.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6035", "wp-includes/js/wp-emoji.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6036", "wp-includes/js/wp-emoji.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6037", "wp-includes/js/wp-list-revisions.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6038", "wp-includes/js/wp-list-revisions.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6039", "wp-includes/js/wp-lists.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6040", "wp-includes/js/wp-lists.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6041", "wp-includes/js/wp-pointer.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6042", "wp-includes/js/wp-pointer.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6043", "wp-includes/js/wp-sanitize.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6044", "wp-includes/js/wp-sanitize.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6045", "wp-includes/js/wp-util.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6046", "wp-includes/js/wp-util.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6047", "wp-includes/js/wpdialog.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6048", "wp-includes/js/wpdialog.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6049", "wp-includes/js/wplink.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6050", "wp-includes/js/wplink.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6051", "wp-includes/js/zxcvbn-async.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6052", "wp-includes/js/zxcvbn-async.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6053", "wp-includes/js/zxcvbn.min.js");
INSERT INTO `wpky_wfknownfilelist` VALUES("6054", "wp-includes/kses.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6055", "wp-includes/l10n.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6056", "wp-includes/link-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6057", "wp-includes/load.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6058", "wp-includes/locale.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6059", "wp-includes/media-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6060", "wp-includes/media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6061", "wp-includes/meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6062", "wp-includes/ms-blogs.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6063", "wp-includes/ms-default-constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6064", "wp-includes/ms-default-filters.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6065", "wp-includes/ms-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6066", "wp-includes/ms-files.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6067", "wp-includes/ms-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6068", "wp-includes/ms-load.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6069", "wp-includes/ms-network.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6070", "wp-includes/ms-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6071", "wp-includes/ms-site.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6072", "wp-includes/nav-menu-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6073", "wp-includes/nav-menu.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6074", "wp-includes/option.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6075", "wp-includes/pluggable-deprecated.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6076", "wp-includes/pluggable.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6077", "wp-includes/plugin.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6078", "wp-includes/pomo/entry.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6079", "wp-includes/pomo/mo.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6080", "wp-includes/pomo/plural-forms.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6081", "wp-includes/pomo/po.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6082", "wp-includes/pomo/streams.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6083", "wp-includes/pomo/translations.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6084", "wp-includes/post-formats.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6085", "wp-includes/post-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6086", "wp-includes/post-thumbnail-template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6087", "wp-includes/post.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6088", "wp-includes/query.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6089", "wp-includes/random_compat/byte_safe_strings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6090", "wp-includes/random_compat/cast_to_int.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6091", "wp-includes/random_compat/error_polyfill.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6092", "wp-includes/random_compat/random.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6093", "wp-includes/random_compat/random_bytes_com_dotnet.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6094", "wp-includes/random_compat/random_bytes_dev_urandom.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6095", "wp-includes/random_compat/random_bytes_libsodium.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6096", "wp-includes/random_compat/random_bytes_libsodium_legacy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6097", "wp-includes/random_compat/random_bytes_mcrypt.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6098", "wp-includes/random_compat/random_int.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6099", "wp-includes/registration-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6100", "wp-includes/registration.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6101", "wp-includes/rest-api/class-wp-rest-request.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6102", "wp-includes/rest-api/class-wp-rest-response.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6103", "wp-includes/rest-api/class-wp-rest-server.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6104", "wp-includes/rest-api/endpoints/class-wp-rest-attachments-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6105", "wp-includes/rest-api/endpoints/class-wp-rest-autosaves-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6106", "wp-includes/rest-api/endpoints/class-wp-rest-block-renderer-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6107", "wp-includes/rest-api/endpoints/class-wp-rest-blocks-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6108", "wp-includes/rest-api/endpoints/class-wp-rest-comments-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6109", "wp-includes/rest-api/endpoints/class-wp-rest-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6110", "wp-includes/rest-api/endpoints/class-wp-rest-post-statuses-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6111", "wp-includes/rest-api/endpoints/class-wp-rest-post-types-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6112", "wp-includes/rest-api/endpoints/class-wp-rest-posts-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6113", "wp-includes/rest-api/endpoints/class-wp-rest-revisions-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6114", "wp-includes/rest-api/endpoints/class-wp-rest-search-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6115", "wp-includes/rest-api/endpoints/class-wp-rest-settings-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6116", "wp-includes/rest-api/endpoints/class-wp-rest-taxonomies-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6117", "wp-includes/rest-api/endpoints/class-wp-rest-terms-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6118", "wp-includes/rest-api/endpoints/class-wp-rest-themes-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6119", "wp-includes/rest-api/endpoints/class-wp-rest-users-controller.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6120", "wp-includes/rest-api/fields/class-wp-rest-comment-meta-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6121", "wp-includes/rest-api/fields/class-wp-rest-meta-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6122", "wp-includes/rest-api/fields/class-wp-rest-post-meta-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6123", "wp-includes/rest-api/fields/class-wp-rest-term-meta-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6124", "wp-includes/rest-api/fields/class-wp-rest-user-meta-fields.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6125", "wp-includes/rest-api/search/class-wp-rest-post-search-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6126", "wp-includes/rest-api/search/class-wp-rest-search-handler.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6127", "wp-includes/rest-api.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6128", "wp-includes/revision.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6129", "wp-includes/rewrite.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6130", "wp-includes/rss-functions.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6131", "wp-includes/rss.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6132", "wp-includes/script-loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6133", "wp-includes/session.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6134", "wp-includes/shortcodes.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6135", "wp-includes/sodium_compat/LICENSE");
INSERT INTO `wpky_wfknownfilelist` VALUES("6136", "wp-includes/sodium_compat/autoload.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6137", "wp-includes/sodium_compat/composer.json");
INSERT INTO `wpky_wfknownfilelist` VALUES("6138", "wp-includes/sodium_compat/lib/constants.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6139", "wp-includes/sodium_compat/lib/namespaced.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6140", "wp-includes/sodium_compat/lib/php72compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6141", "wp-includes/sodium_compat/lib/sodium_compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6142", "wp-includes/sodium_compat/namespaced/Compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6143", "wp-includes/sodium_compat/namespaced/Core/BLAKE2b.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6144", "wp-includes/sodium_compat/namespaced/Core/ChaCha20/Ctx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6145", "wp-includes/sodium_compat/namespaced/Core/ChaCha20/IetfCtx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6146", "wp-includes/sodium_compat/namespaced/Core/ChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6147", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Fe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6148", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/Cached.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6149", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/P1p1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6150", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/P2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6151", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/P3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6152", "wp-includes/sodium_compat/namespaced/Core/Curve25519/Ge/Precomp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6153", "wp-includes/sodium_compat/namespaced/Core/Curve25519/H.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6154", "wp-includes/sodium_compat/namespaced/Core/Curve25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6155", "wp-includes/sodium_compat/namespaced/Core/Ed25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6156", "wp-includes/sodium_compat/namespaced/Core/HChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6157", "wp-includes/sodium_compat/namespaced/Core/HSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6158", "wp-includes/sodium_compat/namespaced/Core/Poly1305/State.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6159", "wp-includes/sodium_compat/namespaced/Core/Poly1305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6160", "wp-includes/sodium_compat/namespaced/Core/Salsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6161", "wp-includes/sodium_compat/namespaced/Core/SipHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6162", "wp-includes/sodium_compat/namespaced/Core/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6163", "wp-includes/sodium_compat/namespaced/Core/X25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6164", "wp-includes/sodium_compat/namespaced/Core/XChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6165", "wp-includes/sodium_compat/namespaced/Core/Xsalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6166", "wp-includes/sodium_compat/namespaced/Crypto.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6167", "wp-includes/sodium_compat/namespaced/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6168", "wp-includes/sodium_compat/src/Compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6169", "wp-includes/sodium_compat/src/Core/BLAKE2b.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6170", "wp-includes/sodium_compat/src/Core/ChaCha20/Ctx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6171", "wp-includes/sodium_compat/src/Core/ChaCha20/IetfCtx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6172", "wp-includes/sodium_compat/src/Core/ChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6173", "wp-includes/sodium_compat/src/Core/Curve25519/Fe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6174", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/Cached.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6175", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/P1p1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6176", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/P2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6177", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/P3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6178", "wp-includes/sodium_compat/src/Core/Curve25519/Ge/Precomp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6179", "wp-includes/sodium_compat/src/Core/Curve25519/H.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6180", "wp-includes/sodium_compat/src/Core/Curve25519/README.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("6181", "wp-includes/sodium_compat/src/Core/Curve25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6182", "wp-includes/sodium_compat/src/Core/Ed25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6183", "wp-includes/sodium_compat/src/Core/HChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6184", "wp-includes/sodium_compat/src/Core/HSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6185", "wp-includes/sodium_compat/src/Core/Poly1305/State.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6186", "wp-includes/sodium_compat/src/Core/Poly1305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6187", "wp-includes/sodium_compat/src/Core/Salsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6188", "wp-includes/sodium_compat/src/Core/SipHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6189", "wp-includes/sodium_compat/src/Core/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6190", "wp-includes/sodium_compat/src/Core/X25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6191", "wp-includes/sodium_compat/src/Core/XChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6192", "wp-includes/sodium_compat/src/Core/XSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6193", "wp-includes/sodium_compat/src/Core32/BLAKE2b.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6194", "wp-includes/sodium_compat/src/Core32/ChaCha20/Ctx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6195", "wp-includes/sodium_compat/src/Core32/ChaCha20/IetfCtx.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6196", "wp-includes/sodium_compat/src/Core32/ChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6197", "wp-includes/sodium_compat/src/Core32/Curve25519/Fe.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6198", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/Cached.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6199", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/P1p1.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6200", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/P2.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6201", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/P3.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6202", "wp-includes/sodium_compat/src/Core32/Curve25519/Ge/Precomp.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6203", "wp-includes/sodium_compat/src/Core32/Curve25519/H.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6204", "wp-includes/sodium_compat/src/Core32/Curve25519/README.md");
INSERT INTO `wpky_wfknownfilelist` VALUES("6205", "wp-includes/sodium_compat/src/Core32/Curve25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6206", "wp-includes/sodium_compat/src/Core32/Ed25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6207", "wp-includes/sodium_compat/src/Core32/HChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6208", "wp-includes/sodium_compat/src/Core32/HSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6209", "wp-includes/sodium_compat/src/Core32/Int32.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6210", "wp-includes/sodium_compat/src/Core32/Int64.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6211", "wp-includes/sodium_compat/src/Core32/Poly1305/State.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6212", "wp-includes/sodium_compat/src/Core32/Poly1305.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6213", "wp-includes/sodium_compat/src/Core32/Salsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6214", "wp-includes/sodium_compat/src/Core32/SipHash.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6215", "wp-includes/sodium_compat/src/Core32/Util.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6216", "wp-includes/sodium_compat/src/Core32/X25519.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6217", "wp-includes/sodium_compat/src/Core32/XChaCha20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6218", "wp-includes/sodium_compat/src/Core32/XSalsa20.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6219", "wp-includes/sodium_compat/src/Crypto.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6220", "wp-includes/sodium_compat/src/Crypto32.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6221", "wp-includes/sodium_compat/src/File.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6222", "wp-includes/sodium_compat/src/SodiumException.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6223", "wp-includes/spl-autoload-compat.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6224", "wp-includes/taxonomy.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6225", "wp-includes/template-loader.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6226", "wp-includes/template.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6227", "wp-includes/theme-compat/comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6228", "wp-includes/theme-compat/embed-404.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6229", "wp-includes/theme-compat/embed-content.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6230", "wp-includes/theme-compat/embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6231", "wp-includes/theme-compat/footer-embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6232", "wp-includes/theme-compat/footer.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6233", "wp-includes/theme-compat/header-embed.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6234", "wp-includes/theme-compat/header.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6235", "wp-includes/theme-compat/sidebar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6236", "wp-includes/theme.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6237", "wp-includes/update.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6238", "wp-includes/user.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6239", "wp-includes/vars.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6240", "wp-includes/version.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6241", "wp-includes/widgets/class-wp-nav-menu-widget.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6242", "wp-includes/widgets/class-wp-widget-archives.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6243", "wp-includes/widgets/class-wp-widget-calendar.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6244", "wp-includes/widgets/class-wp-widget-categories.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6245", "wp-includes/widgets/class-wp-widget-custom-html.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6246", "wp-includes/widgets/class-wp-widget-links.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6247", "wp-includes/widgets/class-wp-widget-media-audio.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6248", "wp-includes/widgets/class-wp-widget-media-gallery.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6249", "wp-includes/widgets/class-wp-widget-media-image.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6250", "wp-includes/widgets/class-wp-widget-media-video.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6251", "wp-includes/widgets/class-wp-widget-media.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6252", "wp-includes/widgets/class-wp-widget-meta.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6253", "wp-includes/widgets/class-wp-widget-pages.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6254", "wp-includes/widgets/class-wp-widget-recent-comments.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6255", "wp-includes/widgets/class-wp-widget-recent-posts.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6256", "wp-includes/widgets/class-wp-widget-rss.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6257", "wp-includes/widgets/class-wp-widget-search.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6258", "wp-includes/widgets/class-wp-widget-tag-cloud.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6259", "wp-includes/widgets/class-wp-widget-text.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6260", "wp-includes/widgets.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6261", "wp-includes/wlwmanifest.xml");
INSERT INTO `wpky_wfknownfilelist` VALUES("6262", "wp-includes/wp-db.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6263", "wp-includes/wp-diff.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6264", "wp-links-opml.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6265", "wp-load.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6266", "wp-login.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6267", "wp-mail.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6268", "wp-settings.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6269", "wp-signup.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6270", "wp-trackback.php");
INSERT INTO `wpky_wfknownfilelist` VALUES("6271", "xmlrpc.php");

/* INSERT TABLE DATA: wpky_wflocs */
INSERT INTO `wpky_wflocs` VALUES("\0\0\0\0\0\0\0\0\0\0j<", "1588360842", "0", "Bethlehem", "Pennsylvania", "United States", "US", "40.6250000", "-75.3953018");

/* INSERT TABLE DATA: wpky_wflogins */
INSERT INTO `wpky_wflogins` VALUES("1", "2", "1557235935.709695", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:66.0) Gecko/20100101 Firefox/66.0");
INSERT INTO `wpky_wflogins` VALUES("2", "3", "1557330268.335265", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:66.0) Gecko/20100101 Firefox/66.0");
INSERT INTO `wpky_wflogins` VALUES("3", "7", "1559826403.765273", "1", "loginFailInvalidUsername", "enternettests", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("4", "8", "1559826436.355606", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("5", "10", "1560351770.353962", "1", "loginFailInvalidUsername", "enternettests", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("6", "11", "1560351793.368574", "1", "loginFailInvalidUsername", "enternettests", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("7", "12", "1560351799.589545", "1", "loginFailInvalidUsername", "enternet", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("8", "13", "1560351812.941973", "1", "loginFailInvalidUsername", "enternet", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("9", "14", "1560351957.328686", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("10", "15", "1560740671.515351", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0 S|", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("11", "16", "1560742978.853603", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0J{", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("12", "17", "1560747547.385234", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\06$", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("13", "18", "1560752213.815152", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\03[&", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("14", "19", "1560754553.333472", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0 -", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("15", "20", "1560756953.480545", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0Wb", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("16", "21", "1560759380.539610", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\03b", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("17", "22", "1560764247.379244", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0 -", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("18", "23", "1560773873.400235", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0^{", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("19", "24", "1560781118.456918", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\06$8", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("20", "25", "1560793249.089127", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ٶg", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("21", "30", "1562177784.341453", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("22", "31", "1562500161.905415", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0c#", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("23", "33", "1562680219.618972", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:67.0) Gecko/20100101 Firefox/67.0");
INSERT INTO `wpky_wflogins` VALUES("24", "34", "1562790564.371492", "1", "loginFailInvalidUsername", "enternettests", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("25", "35", "1562790606.172451", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("26", "40", "1564592422.121132", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("27", "41", "1564675777.534477", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0Ž", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("28", "42", "1564676949.333187", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0_h", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("29", "43", "1564677891.711249", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.&", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("30", "44", "1564679179.922275", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0E(", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("31", "45", "1564680142.429116", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0u5-9", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("32", "46", "1564681564.136523", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\03S", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("33", "47", "1564683935.237011", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ǖ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("34", "48", "1564684944.415728", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0߃", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("35", "49", "1564686449.068080", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0Uv", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("36", "50", "1564687492.453856", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0Z", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("37", "51", "1564689089.779558", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\06", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("38", "52", "1564690203.118740", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0h%=", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("39", "53", "1564691733.588593", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0M<", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("40", "54", "1564692884.636923", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0u5-9", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("41", "55", "1564694502.984490", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\03S", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("42", "56", "1564697324.501158", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0&", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("43", "57", "1564698599.021817", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0&", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("44", "58", "1564700319.576984", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0-?a", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("45", "59", "1564701510.848203", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.&", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("46", "60", "1565273143.327263", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("47", "61", "1565366161.892404", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("48", "64", "1566242958.740281", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("49", "65", "1566243110.141837", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>$", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("50", "66", "1566243368.066481", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0-(I", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("51", "67", "1566243874.280842", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>dc", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("52", "68", "1566244168.510453", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("53", "69", "1566244741.707543", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0R", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("54", "70", "1566244990.231913", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0G\rW", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("55", "71", "1566247151.289237", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>th", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("56", "72", "1566247983.817156", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0D", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("57", "73", "1566248320.593852", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0	", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("58", "74", "1566249125.680030", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0- r`", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("59", "75", "1566249598.692757", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("60", "76", "1566250478.985040", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("61", "77", "1566251265.679010", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ҭ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("62", "78", "1566251557.733582", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>iJ", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("63", "79", "1566252135.332860", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0%", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("64", "80", "1566253966.750087", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0l=F", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("65", "81", "1566254989.382834", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0/y", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("66", "82", "1566255778.036583", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>U3", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("67", "83", "1566256364.428236", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0`a", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("68", "84", "1566257475.223363", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\04", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("69", "85", "1566258886.298195", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>Ҷ", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("70", "86", "1566259652.779921", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>U3", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("71", "87", "1566260889.306593", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0;", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("72", "88", "1566262537.494828", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0G\rW", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("73", "89", "1566264190.847845", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("74", "90", "1566264748.007207", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>L", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("75", "91", "1566264982.202620", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ϴ#", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("76", "92", "1566265917.212407", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>$", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("77", "93", "1566266411.680709", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("78", "94", "1566266722.564511", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.e", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("79", "95", "1566268097.199441", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.\\", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("80", "96", "1566268362.077653", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0aJ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("81", "97", "1566269220.792600", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>dc", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("82", "98", "1566269895.275932", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0-wS", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("83", "99", "1566270889.338396", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("84", "100", "1566271781.933898", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0V|t", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("85", "101", "1566273547.769315", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0D45", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("86", "102", "1566274092.582667", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0C6", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("87", "103", "1566274299.645088", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("88", "104", "1566275660.556458", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("89", "105", "1566275942.245643", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0kR", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("90", "106", "1566276355.771902", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0\"", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("91", "107", "1566277364.643608", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0hK", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("92", "108", "1566278649.108995", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0\rp", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("93", "109", "1566278778.311745", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("94", "110", "1566279524.842185", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("95", "111", "1566280308.052358", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ν+", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("96", "112", "1566280730.749310", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("97", "113", "1566280961.292922", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("98", "114", "1566281472.605385", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\04", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("99", "115", "1566282131.180420", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0/K", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("100", "116", "1566282426.000673", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("101", "117", "1566282801.096268", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>c]", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("102", "118", "1566282959.571396", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0hI", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("103", "119", "1566283472.608890", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0Z.", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("104", "120", "1566283676.377067", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.$[", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("105", "121", "1566284101.455987", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ϴ#", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("106", "122", "1566285025.660063", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0/K", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("107", "123", "1566286371.616196", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0ν+", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("108", "124", "1566286796.960799", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0o", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("109", "125", "1566287055.488261", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0-", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("110", "126", "1566287421.825266", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("111", "127", "1566288098.669054", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0]", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("112", "128", "1566288985.650365", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0+^", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("113", "129", "1566290606.905845", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>VO", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("114", "130", "1566290715.701040", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0h", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("115", "131", "1566291098.643129", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0h", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("116", "133", "1566297443.057621", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\08e", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("117", "134", "1566298734.791794", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0ĳN", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("118", "135", "1566299156.519451", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0X", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("119", "136", "1566299357.626710", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>J", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("120", "137", "1566302882.257338", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\01", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("121", "138", "1566303225.175884", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Xcs", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("122", "139", "1566303955.201433", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0%", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("123", "140", "1566304330.263258", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0-", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("124", "141", "1566305043.669506", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0-", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("125", "142", "1566305648.727890", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>!", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("126", "143", "1566306122.400382", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0v", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("127", "144", "1566306459.643686", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0hIp", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("128", "145", "1566306742.991343", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0/K", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("129", "146", "1566307027.261631", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>!", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("130", "147", "1566307218.788516", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0P", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("131", "148", "1566308311.822149", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0]", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("132", "149", "1566308832.424026", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\04", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("133", "150", "1566309195.426374", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>dc", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("134", "151", "1566309430.836428", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0lM", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("135", "152", "1566310017.285957", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0vٵt", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("136", "153", "1566310843.779540", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0hk7", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("137", "154", "1566311063.968137", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0_}", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("138", "155", "1566311669.502658", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Y", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("139", "156", "1566311950.446881", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0¯", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("140", "157", "1566312156.467603", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>dc", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("141", "158", "1566312502.083207", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("142", "159", "1566313138.626605", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0PM{", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("143", "160", "1566313477.914131", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0_}", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("144", "161", "1566313610.141362", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>!", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("145", "162", "1566313889.628998", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0-M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("146", "163", "1566314064.514437", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0]", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("147", "164", "1566314485.985864", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>L", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("148", "165", "1566314841.411034", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\00o", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("149", "166", "1566315174.586920", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0ՁT", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("150", "167", "1566315284.382794", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0&V", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("151", "168", "1566315418.998139", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>-\'", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("152", "169", "1566315709.866291", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0aJ^", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("153", "170", "1566315926.618886", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0-nL", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("154", "171", "1566316159.987670", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0-nL", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("155", "172", "1566316645.701971", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\08M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("156", "173", "1566317681.414046", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Z.", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("157", "174", "1566317847.202955", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\02Ę", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("158", "175", "1566318332.071179", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0tz", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("159", "176", "1566318437.409369", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0-", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("160", "177", "1566318740.004413", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0`", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("161", "178", "1566319186.842583", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0q", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("162", "179", "1566319359.159683", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0\rp", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("163", "180", "1566319623.300590", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>jr", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("164", "181", "1566319772.595927", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0hK", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("165", "182", "1566320516.035582", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("166", "183", "1566321758.712938", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0m\Z3", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("167", "184", "1566321944.401770", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>ҶR", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("168", "185", "1566322256.205328", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0*R", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("169", "186", "1566322414.431087", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0։", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("170", "187", "1566322842.346613", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0r", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("171", "188", "1566323259.469513", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\08e", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("172", "189", "1566323578.557027", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>jr", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("173", "190", "1566324157.786625", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0:s", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("174", "191", "1566324662.584250", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Ю", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("175", "192", "1566325060.600721", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Z.", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("176", "193", "1566325402.015845", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0~", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("177", "194", "1566325537.010111", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0.\\", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("178", "195", "1566325968.397387", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0B", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("179", "196", "1566326304.766080", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0$ ", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("180", "197", "1566326457.010170", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0h", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("181", "198", "1566326885.908034", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("182", "199", "1566364852.334527", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>Ҷ", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("183", "200", "1566366927.628462", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("184", "201", "1566368092.422235", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("185", "202", "1566370269.839831", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0E", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("186", "203", "1566371511.658783", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0X", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("187", "204", "1566372622.828590", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0-", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("188", "205", "1566375001.436363", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>Ҷ", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("189", "206", "1566376089.217274", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0k", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("190", "207", "1566382056.091360", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0C7v", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("191", "208", "1566394081.896230", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("192", "209", "1566395958.059588", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0 ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("193", "210", "1566397118.015910", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0c", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("194", "211", "1566399195.091074", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0J", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("195", "212", "1566400244.764096", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>jr", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("196", "213", "1566402351.247454", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("197", "214", "1566403377.628879", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0m\Z3", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("198", "215", "1566404414.004428", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>dc", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("199", "216", "1566405496.151007", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>z", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("200", "217", "1566407600.285210", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0D", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("201", "218", "1566408735.689137", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>dc", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("202", "219", "1566409776.373797", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0D9", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("203", "220", "1566410900.036934", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0kR", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("204", "221", "1566411980.726720", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0D9", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("205", "222", "1566413031.900589", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0m{", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("206", "223", "1566416340.952460", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0C6", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("207", "224", "1566420962.420177", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0S:", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("208", "225", "1566423167.783932", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("209", "226", "1566426570.123203", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\04", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("210", "228", "1566431993.436164", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\02sx", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("211", "229", "1566433088.761982", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\07A", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("212", "230", "1566438952.908660", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0,2", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("213", "231", "1566440123.411938", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("214", "232", "1566443664.530915", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("215", "233", "1566449576.519745", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0q", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("216", "234", "1566450757.255988", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0d", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("217", "235", "1566451987.750289", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("218", "236", "1566454262.479820", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0C", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("219", "237", "1566455497.949449", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0^", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("220", "238", "1566457922.865653", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>sf", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("221", "239", "1566459005.582233", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0hś", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("222", "240", "1566461452.837307", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("223", "241", "1566462636.079567", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("224", "242", "1566465081.718053", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0.e", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("225", "243", "1566466219.524482", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\04N2C", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("226", "244", "1566469882.482267", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>sf", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("227", "245", "1566472251.345207", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0`5", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("228", "246", "1566474847.447911", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("229", "247", "1566477366.927223", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("230", "248", "1566479055.904897", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0W", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("231", "249", "1566481159.412629", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>U3", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("232", "250", "1566483666.732808", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0E\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("233", "251", "1566484992.199068", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0]", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("234", "252", "1566487973.120478", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>-\'", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("235", "253", "1566491031.676961", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0mW", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("236", "254", "1566494064.191508", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Q(", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("237", "255", "1566495146.808393", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0sb", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("238", "256", "1566496227.277821", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\00o", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("239", "257", "1566497288.514442", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\04\'0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("240", "258", "1566498320.316565", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0hk7", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("241", "259", "1566499433.910982", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0[K", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("242", "261", "1566910372.968686", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\09;", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("243", "262", "1566911183.879823", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0E", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("244", "263", "1566912207.563770", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\04J", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("245", "264", "1566913286.338333", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0Kwڢ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("246", "265", "1566914437.340177", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0B", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("247", "266", "1566915556.372521", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("248", "267", "1566916699.352219", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("249", "268", "1566917928.754859", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("250", "269", "1566919036.688533", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#ݬ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("251", "270", "1566920944.563462", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("252", "271", "1566922523.307223", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("253", "272", "1566923723.703726", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>$", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("254", "273", "1566924845.550558", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0^M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("255", "274", "1566925987.200183", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0%k", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("256", "275", "1566927167.220920", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0~w", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("257", "276", "1566928364.540650", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0(", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("258", "277", "1566929626.192298", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0k\"", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("259", "278", "1566930831.132983", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0E", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("260", "279", "1566933327.872960", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0νL", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("261", "280", "1566934517.636729", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0S_", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("262", "281", "1566935807.425187", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0k\"", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("263", "282", "1566938207.495652", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\05", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("264", "283", "1566940782.481831", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("265", "284", "1566942012.932095", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("266", "285", "1566943304.037710", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0HI", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("267", "286", "1566944557.817409", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0B", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("268", "287", "1566947047.353850", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0.", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("269", "288", "1566949661.701889", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("270", "289", "1566951367.774725", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0\r{", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("271", "290", "1566952336.811883", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0z", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("272", "291", "1566953462.051836", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>g", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("273", "292", "1566954744.606714", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0J", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("274", "293", "1566955956.155481", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\02?", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("275", "294", "1566957270.142354", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0cD", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("276", "295", "1566958672.952189", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("277", "296", "1566959920.100535", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0B", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("278", "297", "1566962624.625560", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\02sx", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("279", "298", "1566963879.387678", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("280", "299", "1566965237.741541", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>$", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("281", "300", "1566968002.762489", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0U", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("282", "301", "1566969346.085111", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0\rCi|", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("283", "302", "1566970663.045128", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0% ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("284", "303", "1566971989.388443", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>-\'", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("285", "304", "1566973456.017757", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0vF", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("286", "305", "1566974727.280865", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0d", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("287", "306", "1566976064.224344", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0[[", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("288", "307", "1566977532.475167", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0>ҶR", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("289", "308", "1566978824.173119", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0\"", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("290", "309", "1566980174.246034", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0E\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("291", "310", "1566981535.858736", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0G|", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("292", "311", "1566982959.723617", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0LhC", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("293", "312", "1566984286.644279", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0F0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("294", "313", "1566985682.693280", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0c", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("295", "314", "1566987207.352560", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0oP", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("296", "315", "1566988455.814252", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0k$", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("297", "317", "1566996488.161460", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0R", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("298", "318", "1566997860.812191", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0⃱", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("299", "319", "1566999076.012841", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0W1", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("300", "320", "1567000310.777255", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0aJ", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("301", "321", "1567001340.157307", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0&V", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("302", "322", "1567002557.437432", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Y", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("303", "323", "1567004749.987655", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0=P", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("304", "324", "1567005900.571046", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0EF", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("305", "325", "1567007066.415480", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0S:", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("306", "326", "1567008201.795159", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0!", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("307", "327", "1567009451.876226", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0J", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("308", "328", "1567010610.846366", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("309", "329", "1567011766.273467", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0%k", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("310", "330", "1567012988.803454", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0%", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("311", "331", "1567014177.122300", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0EF", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("312", "332", "1567015421.372119", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0\\", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("313", "333", "1567017912.403099", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0CT", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("314", "334", "1567018985.645761", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\02?", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("315", "335", "1567020186.989137", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0<", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("316", "336", "1567022637.055108", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0X", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("317", "337", "1567023851.435120", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0HI", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("318", "338", "1567025070.339369", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0^", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("319", "339", "1567027550.412111", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\06", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("320", "340", "1567031282.474719", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0#M", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("321", "341", "1567032552.978576", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0D", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("322", "342", "1567033767.780767", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\04", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("323", "343", "1567035088.535628", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0D45", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("324", "344", "1567036345.057902", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0_v", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("325", "345", "1567037601.421730", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0dM", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("326", "346", "1567038849.360288", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0m", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("327", "347", "1567041440.698471", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0X", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("328", "348", "1567042713.905476", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0HI", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("329", "349", "1567043994.241973", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Hu", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("330", "350", "1567045309.417393", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0l", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("331", "351", "1567046600.590824", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("332", "352", "1567047899.782277", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0_", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("333", "353", "1567049167.364023", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0e", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("334", "354", "1567050488.328852", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0$", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("335", "355", "1567053047.104310", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Dpb", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("336", "356", "1567054416.596035", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0D", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("337", "357", "1567057010.440835", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0E", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("338", "358", "1567059626.809231", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("339", "359", "1567060940.241494", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0G|", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("340", "360", "1567063619.989422", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0Y", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("341", "361", "1567064949.145876", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("342", "362", "1567066288.871563", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("343", "363", "1567067550.407409", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\04", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("344", "364", "1567068864.301763", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0L", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("345", "365", "1567070211.462503", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0v", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("346", "366", "1567071499.532053", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0D", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("347", "367", "1567072929.972972", "1", "loginFailInvalidUsername", "[login]", "0", "\0\0\0\0\0\0\0\0\0\0>jr", "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:61.0.1) Gecko/20120101 Firefox/61.0.1");
INSERT INTO `wpky_wflogins` VALUES("348", "370", "1567699385.464748", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:68.0) Gecko/20100101 Firefox/68.0");
INSERT INTO `wpky_wflogins` VALUES("349", "371", "1567873997.734091", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0%\"", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("350", "372", "1567941742.011768", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0%\"", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("351", "373", "1568026371.015873", "1", "loginFailInvalidUsername", "admin", "0", "\0\0\0\0\0\0\0\0\0\0%\"", "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:62.0) Gecko/20100101 Firefox/62.0");
INSERT INTO `wpky_wflogins` VALUES("352", "374", "1568226996.007989", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("353", "375", "1568643076.599901", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("354", "376", "1569430375.991930", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("355", "377", "1569430420.576997", "0", "logout", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("356", "378", "1569430426.547892", "1", "loginFailInvalidUsername", "asda", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("357", "379", "1569440562.383916", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("358", "380", "1570131371.658071", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("359", "381", "1571329161.073477", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("360", "382", "1573142636.226940", "1", "loginFailInvalidUsername", "enternettests", "0", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:70.0) Gecko/20100101 Firefox/70.0");
INSERT INTO `wpky_wflogins` VALUES("361", "383", "1573142651.870417", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:70.0) Gecko/20100101 Firefox/70.0");
INSERT INTO `wpky_wflogins` VALUES("362", "389", "1574109296.493913", "0", "loginOK", "c96120x2", "1", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:70.0) Gecko/20100101 Firefox/70.0");
INSERT INTO `wpky_wflogins` VALUES("363", "390", "1575040903.589304", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:69.0) Gecko/20100101 Firefox/69.0");
INSERT INTO `wpky_wflogins` VALUES("364", "391", "1576608775.920760", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("365", "393", "1576610489.541700", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("366", "394", "1576675866.186298", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.79 Safari/537.36");
INSERT INTO `wpky_wflogins` VALUES("367", "395", "1576677741.377217", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("368", "396", "1576678096.293465", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("369", "397", "1576786926.417552", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("370", "398", "1577112322.491868", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("371", "399", "1577120631.777000", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:71.0) Gecko/20100101 Firefox/71.0");
INSERT INTO `wpky_wflogins` VALUES("372", "400", "1577133152.302919", "0", "loginOK", "c97021x1", "2", "\0\0\0\0\0\0\0\0\0\0ؤ\n", "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36");

/* INSERT TABLE DATA: wpky_wfls_settings */
INSERT INTO `wpky_wfls_settings` VALUES("allow-xml-rpc", "1", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("captcha-stats", "{\"counts\":[0,0,0,0,0,0,0,0,0,0,0],\"avg\":0}", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("delete-deactivation", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("enable-auth-captcha", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("global-notices", "[]", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("ip-source", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("ip-trusted-proxies", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("last-secret-refresh", "1577137681", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("ntp-offset", "0.43963265419006", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("recaptcha-threshold", "0.5", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("remember-device", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("remember-device-duration", "2592000", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("require-2fa-grace-period-enabled", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("require-2fa.administrator", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("shared-hash-secret", "f88902b9aa92d277e5c984645da6bd114eee51b2d21d55f20e0455e12f86d217", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("shared-symmetric-secret", "35ec12fd9b79a5983ca5db0ef93f56b78531dd80542b072873fb0bf5f16f40ba", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("use-ntp", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("whitelisted", "", "yes");
INSERT INTO `wpky_wfls_settings` VALUES("xmlrpc-enabled", "1", "yes");

/* INSERT TABLE DATA: wpky_wfnotifications */
INSERT INTO `wpky_wfnotifications` VALUES("site-2MAAAAA", "0", "wfplugin_scan", "502", "1566921278", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-2YAAAAA", "0", "wfplugin_updates", "502", "1567699431", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for 1 plugin</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-3AAAAAA", "0", "wfplugin_updates", "502", "1569440651", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for 1 plugin</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-3EAAAAA", "0", "wfplugin_updates", "502", "1573142928", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">Updates are available for 1 plugin and 1 theme</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-4IAAAAA", "0", "wfplugin_updates", "502", "1576786949", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for WordPress (v5.3.2)</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-AEAAAAA", "0", "wfplugin_scan", "502", "1557236091", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-AIAAAAA", "0", "wfplugin_updates", "502", "1557236091", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for 1 plugin</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-AQAAAAA", "0", "wfplugin_updates", "502", "1559826662", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">Updates are available for 3 themes</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-BAAAAAA", "0", "wfplugin_scan", "502", "1558523994", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">9 issues found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-EEAAAAA", "0", "wfplugin_scan", "502", "1558758661", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">9 issues found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-EYAAAAA", "0", "wfplugin_scan", "502", "1558979625", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">9 issues found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-FAAAAAA", "0", "wfplugin_scan", "502", "1559826663", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">3 issues found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-G4AAAAA", "0", "wfplugin_updates", "502", "1560352086", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">Updates are available for 1 plugin and 1 theme</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-HAAAAAA", "0", "wfplugin_scan", "502", "1560330075", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">2 issues found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-IMAAAAA", "0", "wfplugin_scan", "502", "1560352086", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-JAAAAAA", "0", "wfplugin_updates", "502", "1562177977", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for 1 plugin</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-JEAAAAA", "0", "wfplugin_scan", "502", "1560781119", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-JMAAAAA", "0", "wfplugin_scan", "502", "1561567916", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-M4AAAAA", "0", "wfplugin_scan", "502", "1562177872", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-MIAAAAA", "0", "wfplugin_scan", "502", "1561858895", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-O4AAAAA", "0", "wfplugin_scan", "502", "1562407394", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-OYAAAAA", "0", "wfplugin_updates", "502", "1562791079", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for 1 plugin</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-PEAAAAA", "0", "wfplugin_scan", "502", "1562790756", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-REAAAAA", "0", "wfplugin_updates", "502", "1564592514", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">Updates are available for 3 plugins</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-RIAAAAA", "0", "wfplugin_scan", "502", "1564468644", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">4 issues found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-VYAAAAA", "0", "wfplugin_scan", "502", "1564592514", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-WEAAAAA", "0", "wfplugin_updates", "502", "1564592872", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">An update is available for 1 plugin</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-WMAAAAA", "0", "wfplugin_updates", "502", "1565366215", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">Updates are available for 2 plugins and 1 theme</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-WQAAAAA", "0", "wfplugin_scan", "502", "1565366215", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">1 issue found in most recent scan</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-YUAAAAA", "0", "wfplugin_updates", "502", "1566921277", "<a href=\"https://c97021x1.entnet8.com/wp-admin/update-core.php\">Updates are available for 12 plugins and 1 theme</a>", "[]");
INSERT INTO `wpky_wfnotifications` VALUES("site-YYAAAAA", "0", "wfplugin_scan", "502", "1566494067", "<a href=\"https://c97021x1.entnet8.com/wp-admin/admin.php?page=WordfenceScan\">3 issues found in most recent scan</a>", "[]");

/* INSERT TABLE DATA: wpky_wfreversecache */
INSERT INTO `wpky_wfreversecache` VALUES("\0\0\0\0\0\0\0\0\0\0j<", "131-106-226-60.s13366.c3-0.atw-cbr1.atw.pa.cable.rcncustomer.com", "1588360842");

/* INSERT TABLE DATA: wpky_wfsnipcache */
INSERT INTO `wpky_wfsnipcache` VALUES("5", "145.239.180.96", "2019-08-28 08:26:48", "BLOCKED:600", "0", "2");
INSERT INTO `wpky_wfsnipcache` VALUES("6", "178.33.166.30", "2019-08-29 06:57:09", "BLOCKED:600", "0", "2");
INSERT INTO `wpky_wfsnipcache` VALUES("7", "198.57.212.59", "2019-08-29 08:54:20", "BLOCKED:600", "0", "2");
INSERT INTO `wpky_wfsnipcache` VALUES("8", "216.164.194.10", "2019-09-25 12:54:16", "", "0", "1");
INSERT INTO `wpky_wfsnipcache` VALUES("9", "216.164.194.10", "2019-11-07 11:04:26", "", "0", "1");

/* INSERT TABLE DATA: wpky_wfstatus */
INSERT INTO `wpky_wfstatus` VALUES("6026", "1564766062.901073", "2", "info", "Analyzed 4300 files containing 57.78 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6027", "1564766065.439534", "2", "info", "Analyzed 4400 files containing 58.18 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6028", "1564766068.000483", "2", "info", "Analyzed 4500 files containing 58.96 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6029", "1564766071.491310", "2", "info", "Analyzed 4600 files containing 61.51 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6030", "1564766074.037497", "2", "info", "Analyzed 4700 files containing 62.93 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6031", "1564766076.891591", "2", "info", "Analyzed 4800 files containing 67.34 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6032", "1564766079.999290", "2", "info", "Analyzed 4900 files containing 67.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6033", "1564766082.574574", "2", "info", "Analyzed 5000 files containing 67.98 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6034", "1564766086.771261", "2", "info", "Analyzed 5100 files containing 69.57 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6035", "1564766089.388889", "2", "info", "Analyzed 5200 files containing 73.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6036", "1564766091.952575", "2", "info", "Analyzed 5300 files containing 74.39 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6037", "1564766093.044693", "2", "info", "Analyzed 5400 files containing 76.38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6038", "1564766093.929682", "2", "info", "Analyzed 5500 files containing 78.98 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6039", "1564766094.881220", "2", "info", "Analyzed 5600 files containing 80.61 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6040", "1564766095.729763", "2", "info", "Analyzed 5700 files containing 82.41 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6041", "1564766097.071809", "2", "info", "Analyzed 5800 files containing 92.94 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6042", "1564766097.792415", "2", "info", "Analyzed 5900 files containing 95.11 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6043", "1564766098.611589", "2", "info", "Analyzed 6000 files containing 97.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6044", "1564766099.687859", "2", "info", "Analyzed 6100 files containing 100.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6045", "1564766100.978995", "2", "info", "Analyzed 6200 files containing 101.7 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6046", "1564766102.602157", "2", "info", "Analyzed 6269 files containing 103.01 MB of data.");
INSERT INTO `wpky_wfstatus` VALUES("6054", "1564766103.431367", "2", "info", "Starting scan of file contents");
INSERT INTO `wpky_wfstatus` VALUES("6055", "1564766104.460215", "2", "info", "Scanned contents of 29 additional files at 28.30 per second");
INSERT INTO `wpky_wfstatus` VALUES("6056", "1564766105.488718", "2", "info", "Scanned contents of 64 additional files at 31.17 per second");
INSERT INTO `wpky_wfstatus` VALUES("6057", "1564766106.504081", "2", "info", "Scanned contents of 106 additional files at 34.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("6058", "1564766107.504455", "2", "info", "Scanned contents of 145 additional files at 35.64 per second");
INSERT INTO `wpky_wfstatus` VALUES("6059", "1564766108.512674", "2", "info", "Scanned contents of 187 additional files at 36.83 per second");
INSERT INTO `wpky_wfstatus` VALUES("6060", "1564766109.531860", "2", "info", "Scanned contents of 233 additional files at 38.22 per second");
INSERT INTO `wpky_wfstatus` VALUES("6061", "1564766110.544502", "2", "info", "Scanned contents of 283 additional files at 39.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("6062", "1564766111.564043", "2", "info", "Scanned contents of 324 additional files at 39.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("6063", "1564766112.576440", "2", "info", "Scanned contents of 360 additional files at 39.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("6064", "1564766113.597702", "2", "info", "Scanned contents of 402 additional files at 39.56 per second");
INSERT INTO `wpky_wfstatus` VALUES("6065", "1564766114.646447", "2", "info", "Scanned contents of 444 additional files at 39.60 per second");
INSERT INTO `wpky_wfstatus` VALUES("6066", "1564766115.655427", "2", "info", "Scanned contents of 489 additional files at 40.02 per second");
INSERT INTO `wpky_wfstatus` VALUES("6067", "1564766116.658533", "2", "info", "Scanned contents of 532 additional files at 40.23 per second");
INSERT INTO `wpky_wfstatus` VALUES("6068", "1564766117.886707", "2", "info", "Scanned contents of 553 additional files at 38.27 per second");
INSERT INTO `wpky_wfstatus` VALUES("6069", "1564766118.912197", "2", "info", "Scanned contents of 592 additional files at 38.25 per second");
INSERT INTO `wpky_wfstatus` VALUES("6070", "1564766119.957408", "2", "info", "Scanned contents of 636 additional files at 38.49 per second");
INSERT INTO `wpky_wfstatus` VALUES("6071", "1564766120.963750", "2", "info", "Scanned contents of 689 additional files at 39.31 per second");
INSERT INTO `wpky_wfstatus` VALUES("6072", "1564766121.970561", "2", "info", "Scanned contents of 730 additional files at 39.39 per second");
INSERT INTO `wpky_wfstatus` VALUES("6073", "1564766122.986776", "2", "info", "Scanned contents of 769 additional files at 39.33 per second");
INSERT INTO `wpky_wfstatus` VALUES("6074", "1564766123.988887", "2", "info", "Scanned contents of 816 additional files at 39.70 per second");
INSERT INTO `wpky_wfstatus` VALUES("6075", "1564766125.001297", "2", "info", "Scanned contents of 864 additional files at 40.06 per second");
INSERT INTO `wpky_wfstatus` VALUES("6076", "1564766126.004808", "2", "info", "Scanned contents of 894 additional files at 39.61 per second");
INSERT INTO `wpky_wfstatus` VALUES("6077", "1564766127.109113", "2", "info", "Scanned contents of 939 additional files at 39.66 per second");
INSERT INTO `wpky_wfstatus` VALUES("6078", "1564766128.117180", "2", "info", "Scanned contents of 979 additional files at 39.67 per second");
INSERT INTO `wpky_wfstatus` VALUES("6079", "1564766129.119368", "2", "info", "Scanned contents of 1008 additional files at 39.25 per second");
INSERT INTO `wpky_wfstatus` VALUES("6080", "1564766130.130624", "2", "info", "Scanned contents of 1042 additional files at 39.03 per second");
INSERT INTO `wpky_wfstatus` VALUES("6081", "1564766131.133319", "2", "info", "Scanned contents of 1060 additional files at 38.27 per second");
INSERT INTO `wpky_wfstatus` VALUES("6082", "1564766132.151841", "2", "info", "Scanned contents of 1099 additional files at 38.27 per second");
INSERT INTO `wpky_wfstatus` VALUES("6083", "1564766133.950788", "2", "info", "Scanned contents of 1138 additional files at 37.29 per second");
INSERT INTO `wpky_wfstatus` VALUES("6084", "1564766134.979021", "2", "info", "Scanned contents of 1173 additional files at 37.19 per second");
INSERT INTO `wpky_wfstatus` VALUES("6085", "1564766136.114330", "2", "info", "Scanned contents of 1207 additional files at 36.94 per second");
INSERT INTO `wpky_wfstatus` VALUES("6086", "1564766137.243847", "2", "info", "Scanned contents of 1256 additional files at 37.15 per second");
INSERT INTO `wpky_wfstatus` VALUES("6087", "1564766138.250214", "2", "info", "Scanned contents of 1282 additional files at 36.82 per second");
INSERT INTO `wpky_wfstatus` VALUES("6088", "1564766139.256654", "2", "info", "Scanned contents of 1323 additional files at 36.93 per second");
INSERT INTO `wpky_wfstatus` VALUES("6089", "1564766142.133537", "2", "info", "Scanned contents of 1339 additional files at 34.60 per second");
INSERT INTO `wpky_wfstatus` VALUES("6090", "1564766143.148196", "2", "info", "Scanned contents of 1388 additional files at 34.95 per second");
INSERT INTO `wpky_wfstatus` VALUES("6091", "1564766144.157643", "2", "info", "Scanned contents of 1430 additional files at 35.12 per second");
INSERT INTO `wpky_wfstatus` VALUES("6092", "1564766145.171333", "2", "info", "Scanned contents of 1464 additional files at 35.08 per second");
INSERT INTO `wpky_wfstatus` VALUES("6093", "1564766146.185546", "2", "info", "Scanned contents of 1499 additional files at 35.06 per second");
INSERT INTO `wpky_wfstatus` VALUES("6094", "1564766147.195480", "2", "info", "Scanned contents of 1531 additional files at 34.99 per second");
INSERT INTO `wpky_wfstatus` VALUES("6095", "1564766148.205581", "2", "info", "Scanned contents of 1556 additional files at 34.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("6096", "1564766149.920223", "2", "info", "Scanned contents of 1578 additional files at 33.95 per second");
INSERT INTO `wpky_wfstatus` VALUES("6097", "1564766150.932789", "2", "info", "Scanned contents of 1610 additional files at 33.90 per second");
INSERT INTO `wpky_wfstatus` VALUES("6098", "1564766151.408562", "2", "info", "Scanned contents of 1624 additional files at 33.85 per second");
INSERT INTO `wpky_wfstatus` VALUES("6099", "1564766151.410511", "2", "info", "Asking Wordfence to check URLs against malware list.");
INSERT INTO `wpky_wfstatus` VALUES("6100", "1564766151.415683", "2", "info", "Checking 3232 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6101", "1564766151.821106", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6102", "1564766151.826363", "2", "info", "Checking 7 URLs from 6 sources.");
INSERT INTO `wpky_wfstatus` VALUES("6103", "1564766152.201326", "2", "info", "Done URL check.");
INSERT INTO `wpky_wfstatus` VALUES("6104", "1564766152.235561", "2", "info", "Done file contents scan");
INSERT INTO `wpky_wfstatus` VALUES("6110", "1564766152.318341", "2", "info", "Examining URLs found in posts we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6111", "1564766152.322050", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6114", "1564766152.396133", "2", "info", "Checking 4 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6115", "1564766152.610065", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6118", "1564766152.654251", "2", "info", "Starting password strength check on 1 users.");
INSERT INTO `wpky_wfstatus` VALUES("6125", "1564766156.578936", "2", "info", "Examining URLs found in the options we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6126", "1564766156.598299", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6128", "1564766156.763335", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6129", "1564766156.783239", "2", "info", "Wordfence used 21.95 MB of memory for scan. Server peak memory usage was: 53.95 MB");
INSERT INTO `wpky_wfstatus` VALUES("6130", "1564766156.794960", "1", "info", "Scan Complete. Scanned 6269 files, 24 plugins, 4 themes, 2 posts, 1 comments and 1192 URLs in 2 minutes 31 seconds.");
INSERT INTO `wpky_wfstatus` VALUES("6133", "1564933697.624636", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6138", "1564933697.668440", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6139", "1564933697.672284", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 18 MB");
INSERT INTO `wpky_wfstatus` VALUES("6140", "1564933697.674112", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6143", "1565071404.431993", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6148", "1565071404.617633", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6149", "1565071404.642738", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 18 MB");
INSERT INTO `wpky_wfstatus` VALUES("6150", "1565071404.650257", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6152", "1565071405.579425", "1", "info", "Scheduled Wordfence scan starting at Tuesday 6th of August 2019 06:03:25 AM");
INSERT INTO `wpky_wfstatus` VALUES("6154", "1565071406.714303", "1", "info", "Contacting Wordfence to initiate scan");
INSERT INTO `wpky_wfstatus` VALUES("6155", "1565071407.076525", "2", "info", "Deferring scheduled scan by 30 minutes");
INSERT INTO `wpky_wfstatus` VALUES("6157", "1565140972.381089", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6162", "1565140972.430769", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6163", "1565140972.434702", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 20 MB");
INSERT INTO `wpky_wfstatus` VALUES("6164", "1565140972.436698", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6167", "1565273127.160817", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6172", "1565273127.217570", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6173", "1565273127.221244", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 24 MB");
INSERT INTO `wpky_wfstatus` VALUES("6174", "1565273127.223088", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6176", "1565273127.570756", "1", "info", "Scheduled Wordfence scan starting at Thursday 8th of August 2019 02:05:27 PM");
INSERT INTO `wpky_wfstatus` VALUES("6178", "1565273128.269243", "1", "info", "Contacting Wordfence to initiate scan");
INSERT INTO `wpky_wfstatus` VALUES("6185", "1565273164.916238", "2", "info", "Starting DNS scan for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6186", "1565273164.920755", "2", "info", "Scanning DNS A record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6187", "1565273164.924144", "2", "info", "Scanning DNS MX record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6190", "1565273164.942810", "2", "info", "Total disk space: 1.78 TB -- Free disk space: 1.59 TB");
INSERT INTO `wpky_wfstatus` VALUES("6191", "1565273164.944603", "2", "info", "The disk has 1662430.22 MB available");
INSERT INTO `wpky_wfstatus` VALUES("6197", "1565273165.016562", "2", "info", "Getting plugin list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6198", "1565273165.025698", "2", "info", "Found 24 plugins");
INSERT INTO `wpky_wfstatus` VALUES("6199", "1565273165.027539", "2", "info", "Getting theme list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6200", "1565273165.030412", "2", "info", "Found 4 themes");
INSERT INTO `wpky_wfstatus` VALUES("6212", "1565273165.934015", "2", "info", "500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6213", "1565273166.195735", "2", "info", "1000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6214", "1565273166.350242", "2", "info", "1500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6215", "1565273166.626292", "2", "info", "2000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6216", "1565273166.939191", "2", "info", "2500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6217", "1565273167.210723", "2", "info", "3000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6218", "1565273167.324119", "2", "info", "3500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6219", "1565273167.441694", "2", "info", "4000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6220", "1565273167.611301", "2", "info", "4500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6221", "1565273167.679216", "2", "info", "5000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6222", "1565273167.771170", "2", "info", "5500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6223", "1565273167.875032", "2", "info", "6000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6224", "1565273167.903874", "2", "info", "6269 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6225", "1565273168.924064", "2", "info", "Analyzed 100 files containing 1.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6226", "1565273169.821398", "2", "info", "Analyzed 200 files containing 2.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6227", "1565273170.573675", "2", "info", "Analyzed 300 files containing 3.83 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6228", "1565273171.381639", "2", "info", "Analyzed 400 files containing 6.27 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6229", "1565273172.975099", "2", "info", "Analyzed 500 files containing 7.02 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6230", "1565273173.812630", "2", "info", "Analyzed 600 files containing 7.74 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6231", "1565273174.885288", "2", "info", "Analyzed 700 files containing 11.27 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6232", "1565273175.773258", "2", "info", "Analyzed 800 files containing 12.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6233", "1565273176.568345", "2", "info", "Analyzed 900 files containing 14.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6234", "1565273178.494960", "2", "info", "Analyzed 1000 files containing 22.58 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6235", "1565273179.220658", "2", "info", "Analyzed 1100 files containing 23.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6236", "1565273179.982415", "2", "info", "Analyzed 1200 files containing 24.09 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6237", "1565273180.815061", "2", "info", "Analyzed 1300 files containing 24.89 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6238", "1565273181.675934", "2", "info", "Analyzed 1400 files containing 26.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6239", "1565273182.403819", "2", "info", "Analyzed 1500 files containing 26.61 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6240", "1565273183.304257", "2", "info", "Analyzed 1600 files containing 27.15 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6241", "1565273184.113713", "2", "info", "Analyzed 1700 files containing 27.74 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6242", "1565273184.881723", "2", "info", "Analyzed 1800 files containing 29.84 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6243", "1565273185.658453", "2", "info", "Analyzed 1900 files containing 30.72 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6244", "1565273186.508008", "2", "info", "Analyzed 2000 files containing 30.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6245", "1565273187.291424", "2", "info", "Analyzed 2100 files containing 31.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6246", "1565273188.220434", "2", "info", "Analyzed 2200 files containing 32.44 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6247", "1565273189.159156", "2", "info", "Analyzed 2300 files containing 33.45 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6248", "1565273189.934407", "2", "info", "Analyzed 2400 files containing 34.75 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6249", "1565273190.749822", "2", "info", "Analyzed 2500 files containing 36.18 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6250", "1565273191.430033", "2", "info", "Analyzed 2600 files containing 36.62 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6251", "1565273192.146209", "2", "info", "Analyzed 2700 files containing 38.38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6252", "1565273192.838031", "2", "info", "Analyzed 2800 files containing 39.76 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6253", "1565273194.306966", "2", "info", "Analyzed 2900 files containing 40.54 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6254", "1565273194.973883", "2", "info", "Analyzed 3000 files containing 42.23 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6255", "1565273195.825717", "2", "info", "Analyzed 3100 files containing 47.1 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6256", "1565273196.492135", "2", "info", "Analyzed 3200 files containing 49.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6257", "1565273197.131221", "2", "info", "Analyzed 3300 files containing 50.09 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6258", "1565273197.752376", "2", "info", "Analyzed 3400 files containing 51.35 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6259", "1565273198.416212", "2", "info", "Analyzed 3500 files containing 51.86 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6260", "1565273199.239054", "2", "info", "Analyzed 3600 files containing 52.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6261", "1565273199.873236", "2", "info", "Analyzed 3700 files containing 52.93 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6262", "1565273200.554347", "2", "info", "Analyzed 3800 files containing 53.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6263", "1565273201.175406", "2", "info", "Analyzed 3900 files containing 53.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6264", "1565273201.920180", "2", "info", "Analyzed 4000 files containing 54.12 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6265", "1565273202.542955", "2", "info", "Analyzed 4100 files containing 54.48 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6266", "1565273203.273041", "2", "info", "Analyzed 4200 files containing 56.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6267", "1565273204.086109", "2", "info", "Analyzed 4300 files containing 57.78 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6268", "1565273204.720764", "2", "info", "Analyzed 4400 files containing 58.18 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6269", "1565273205.506952", "2", "info", "Analyzed 4500 files containing 58.96 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6270", "1565273206.446685", "2", "info", "Analyzed 4600 files containing 61.51 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6271", "1565273207.551376", "2", "info", "Analyzed 4700 files containing 62.93 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6272", "1565273208.834433", "2", "info", "Analyzed 4800 files containing 67.34 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6273", "1565273210.461590", "2", "info", "Analyzed 4900 files containing 67.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6274", "1565273211.097990", "2", "info", "Analyzed 5000 files containing 67.98 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6275", "1565273211.814945", "2", "info", "Analyzed 5100 files containing 69.57 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6276", "1565273212.590222", "2", "info", "Analyzed 5200 files containing 73.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6277", "1565273213.211730", "2", "info", "Analyzed 5300 files containing 74.43 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6278", "1565273213.939783", "2", "info", "Analyzed 5400 files containing 76.42 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6279", "1565273214.839596", "2", "info", "Analyzed 5500 files containing 79.02 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6280", "1565273215.721985", "2", "info", "Analyzed 5600 files containing 80.65 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6281", "1565273216.410247", "2", "info", "Analyzed 5700 files containing 82.45 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6282", "1565273217.429988", "2", "info", "Analyzed 5800 files containing 92.98 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6283", "1565273218.265027", "2", "info", "Analyzed 5900 files containing 95.15 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6284", "1565273218.955924", "2", "info", "Analyzed 6000 files containing 97.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6285", "1565273219.677081", "2", "info", "Analyzed 6100 files containing 100.54 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6286", "1565273220.515257", "2", "info", "Analyzed 6200 files containing 101.74 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6287", "1565273221.026441", "2", "info", "Analyzed 6269 files containing 103.05 MB of data.");
INSERT INTO `wpky_wfstatus` VALUES("6295", "1565273221.726920", "2", "info", "Starting scan of file contents");
INSERT INTO `wpky_wfstatus` VALUES("6296", "1565273222.739027", "2", "info", "Scanned contents of 34 additional files at 33.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6297", "1565273223.776889", "2", "info", "Scanned contents of 72 additional files at 35.17 per second");
INSERT INTO `wpky_wfstatus` VALUES("6298", "1565273224.788079", "2", "info", "Scanned contents of 114 additional files at 37.28 per second");
INSERT INTO `wpky_wfstatus` VALUES("6299", "1565273225.852352", "2", "info", "Scanned contents of 125 additional files at 30.32 per second");
INSERT INTO `wpky_wfstatus` VALUES("6300", "1565273226.889865", "2", "info", "Scanned contents of 162 additional files at 31.40 per second");
INSERT INTO `wpky_wfstatus` VALUES("6301", "1565273227.897183", "2", "info", "Scanned contents of 215 additional files at 34.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("6302", "1565273228.920121", "2", "info", "Scanned contents of 262 additional files at 36.44 per second");
INSERT INTO `wpky_wfstatus` VALUES("6303", "1565273229.922790", "2", "info", "Scanned contents of 311 additional files at 37.96 per second");
INSERT INTO `wpky_wfstatus` VALUES("6304", "1565273230.943010", "2", "info", "Scanned contents of 353 additional files at 38.31 per second");
INSERT INTO `wpky_wfstatus` VALUES("6305", "1565273232.006144", "2", "info", "Scanned contents of 399 additional files at 38.83 per second");
INSERT INTO `wpky_wfstatus` VALUES("6306", "1565273233.017037", "2", "info", "Scanned contents of 440 additional files at 38.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6307", "1565273234.039317", "2", "info", "Scanned contents of 481 additional files at 39.08 per second");
INSERT INTO `wpky_wfstatus` VALUES("6308", "1565273235.049980", "2", "info", "Scanned contents of 525 additional files at 39.41 per second");
INSERT INTO `wpky_wfstatus` VALUES("6309", "1565273236.058489", "2", "info", "Scanned contents of 566 additional files at 39.50 per second");
INSERT INTO `wpky_wfstatus` VALUES("6310", "1565273237.064281", "2", "info", "Scanned contents of 608 additional files at 39.65 per second");
INSERT INTO `wpky_wfstatus` VALUES("6311", "1565273238.068867", "2", "info", "Scanned contents of 645 additional files at 39.48 per second");
INSERT INTO `wpky_wfstatus` VALUES("6312", "1565273239.144169", "2", "info", "Scanned contents of 690 additional files at 39.62 per second");
INSERT INTO `wpky_wfstatus` VALUES("6313", "1565273240.183332", "2", "info", "Scanned contents of 733 additional files at 39.72 per second");
INSERT INTO `wpky_wfstatus` VALUES("6314", "1565273241.807116", "2", "info", "Scanned contents of 770 additional files at 38.35 per second");
INSERT INTO `wpky_wfstatus` VALUES("6315", "1565273242.816265", "2", "info", "Scanned contents of 816 additional files at 38.70 per second");
INSERT INTO `wpky_wfstatus` VALUES("6316", "1565273243.919665", "2", "info", "Scanned contents of 860 additional files at 38.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("6317", "1565273244.925250", "2", "info", "Scanned contents of 891 additional files at 38.41 per second");
INSERT INTO `wpky_wfstatus` VALUES("6318", "1565273245.933799", "2", "info", "Scanned contents of 933 additional files at 38.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("6319", "1565273246.951869", "2", "info", "Scanned contents of 971 additional files at 38.50 per second");
INSERT INTO `wpky_wfstatus` VALUES("6320", "1565273247.955559", "2", "info", "Scanned contents of 1005 additional files at 38.32 per second");
INSERT INTO `wpky_wfstatus` VALUES("6321", "1565273248.976432", "2", "info", "Scanned contents of 1035 additional files at 37.99 per second");
INSERT INTO `wpky_wfstatus` VALUES("6322", "1565273250.003076", "2", "info", "Scanned contents of 1054 additional files at 37.28 per second");
INSERT INTO `wpky_wfstatus` VALUES("6323", "1565273251.011260", "2", "info", "Scanned contents of 1082 additional files at 36.95 per second");
INSERT INTO `wpky_wfstatus` VALUES("6324", "1565273252.024932", "2", "info", "Scanned contents of 1120 additional files at 36.97 per second");
INSERT INTO `wpky_wfstatus` VALUES("6325", "1565273253.037428", "2", "info", "Scanned contents of 1149 additional files at 36.70 per second");
INSERT INTO `wpky_wfstatus` VALUES("6326", "1565273254.108520", "2", "info", "Scanned contents of 1179 additional files at 36.41 per second");
INSERT INTO `wpky_wfstatus` VALUES("6327", "1565273255.133580", "2", "info", "Scanned contents of 1202 additional files at 35.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6328", "1565273256.139171", "2", "info", "Scanned contents of 1228 additional files at 35.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6329", "1565273258.038459", "2", "info", "Scanned contents of 1250 additional files at 34.43 per second");
INSERT INTO `wpky_wfstatus` VALUES("6330", "1565273259.065313", "2", "info", "Scanned contents of 1272 additional files at 34.07 per second");
INSERT INTO `wpky_wfstatus` VALUES("6331", "1565273260.072455", "2", "info", "Scanned contents of 1295 additional files at 33.77 per second");
INSERT INTO `wpky_wfstatus` VALUES("6332", "1565273261.208413", "2", "info", "Scanned contents of 1317 additional files at 33.36 per second");
INSERT INTO `wpky_wfstatus` VALUES("6333", "1565273262.240560", "2", "info", "Scanned contents of 1336 additional files at 32.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6334", "1565273264.594016", "2", "info", "Scanned contents of 1339 additional files at 31.24 per second");
INSERT INTO `wpky_wfstatus` VALUES("6335", "1565273265.597761", "2", "info", "Scanned contents of 1367 additional files at 31.16 per second");
INSERT INTO `wpky_wfstatus` VALUES("6336", "1565273266.628246", "2", "info", "Scanned contents of 1391 additional files at 30.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6337", "1565273267.737704", "2", "info", "Scanned contents of 1415 additional files at 30.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("6338", "1565273268.794439", "2", "info", "Scanned contents of 1435 additional files at 30.49 per second");
INSERT INTO `wpky_wfstatus` VALUES("6339", "1565273269.800618", "2", "info", "Scanned contents of 1453 additional files at 30.23 per second");
INSERT INTO `wpky_wfstatus` VALUES("6340", "1565273270.838336", "2", "info", "Scanned contents of 1477 additional files at 30.08 per second");
INSERT INTO `wpky_wfstatus` VALUES("6341", "1565273271.850697", "2", "info", "Scanned contents of 1498 additional files at 29.89 per second");
INSERT INTO `wpky_wfstatus` VALUES("6342", "1565273272.862170", "2", "info", "Scanned contents of 1519 additional files at 29.71 per second");
INSERT INTO `wpky_wfstatus` VALUES("6343", "1565273274.073082", "2", "info", "Scanned contents of 1522 additional files at 29.08 per second");
INSERT INTO `wpky_wfstatus` VALUES("6344", "1565273275.152268", "2", "info", "Scanned contents of 1539 additional files at 28.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("6345", "1565273276.211263", "2", "info", "Scanned contents of 1557 additional files at 28.58 per second");
INSERT INTO `wpky_wfstatus` VALUES("6346", "1565273277.219720", "2", "info", "Scanned contents of 1576 additional files at 28.40 per second");
INSERT INTO `wpky_wfstatus` VALUES("6347", "1565273278.240272", "2", "info", "Scanned contents of 1595 additional files at 28.22 per second");
INSERT INTO `wpky_wfstatus` VALUES("6348", "1565273279.324412", "2", "info", "Scanned contents of 1613 additional files at 28.01 per second");
INSERT INTO `wpky_wfstatus` VALUES("6349", "1565273279.826566", "2", "info", "Scanned contents of 1624 additional files at 27.95 per second");
INSERT INTO `wpky_wfstatus` VALUES("6350", "1565273279.841860", "2", "info", "Asking Wordfence to check URLs against malware list.");
INSERT INTO `wpky_wfstatus` VALUES("6351", "1565273279.865103", "2", "info", "Checking 3232 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6352", "1565273280.183169", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6353", "1565273280.196300", "2", "info", "Checking 7 URLs from 6 sources.");
INSERT INTO `wpky_wfstatus` VALUES("6354", "1565273280.579921", "2", "info", "Done URL check.");
INSERT INTO `wpky_wfstatus` VALUES("6355", "1565273280.732452", "2", "info", "Done file contents scan");
INSERT INTO `wpky_wfstatus` VALUES("6361", "1565273281.053660", "2", "info", "Examining URLs found in posts we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6362", "1565273281.061796", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6365", "1565273281.276058", "2", "info", "Checking 4 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6366", "1565273281.566101", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6369", "1565273281.685653", "2", "info", "Starting password strength check on 1 users.");
INSERT INTO `wpky_wfstatus` VALUES("6376", "1565273284.986071", "2", "info", "Examining URLs found in the options we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6377", "1565273284.994878", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6379", "1565273285.182470", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6380", "1565273285.202508", "2", "info", "Wordfence used 21.94 MB of memory for scan. Server peak memory usage was: 53.94 MB");
INSERT INTO `wpky_wfstatus` VALUES("6381", "1565273285.217451", "1", "info", "Scan Complete. Scanned 6269 files, 24 plugins, 4 themes, 2 posts, 1 comments and 1192 URLs in 2 minutes 37 seconds.");
INSERT INTO `wpky_wfstatus` VALUES("6384", "1565318776.904828", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6389", "1565318776.967976", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6390", "1565318776.971443", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 18 MB");
INSERT INTO `wpky_wfstatus` VALUES("6391", "1565318776.973095", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6394", "1565387711.277209", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6399", "1565387711.398093", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6400", "1565387711.418188", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 20 MB");
INSERT INTO `wpky_wfstatus` VALUES("6401", "1565387711.422543", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6404", "1566231254.480251", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6409", "1566231254.640206", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6410", "1566231254.649921", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 10 MB");
INSERT INTO `wpky_wfstatus` VALUES("6411", "1566231254.654740", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6413", "1566231254.989258", "1", "info", "Scheduled Wordfence scan starting at Monday 19th of August 2019 04:14:14 PM");
INSERT INTO `wpky_wfstatus` VALUES("6415", "1566231256.318964", "1", "info", "Contacting Wordfence to initiate scan");
INSERT INTO `wpky_wfstatus` VALUES("6422", "1566231263.892154", "2", "info", "Starting DNS scan for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6423", "1566231263.904892", "2", "info", "Scanning DNS A record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6424", "1566231263.917028", "2", "info", "Scanning DNS MX record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6427", "1566231263.972306", "2", "info", "Total disk space: 1.78 TB -- Free disk space: 1.58 TB");
INSERT INTO `wpky_wfstatus` VALUES("6428", "1566231263.977049", "2", "info", "The disk has 1655834.82 MB available");
INSERT INTO `wpky_wfstatus` VALUES("6434", "1566231264.165248", "2", "info", "Getting plugin list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6435", "1566231264.183434", "2", "info", "Found 24 plugins");
INSERT INTO `wpky_wfstatus` VALUES("6436", "1566231264.192528", "2", "info", "Getting theme list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6437", "1566231264.208960", "2", "info", "Found 4 themes");
INSERT INTO `wpky_wfstatus` VALUES("6449", "1566231265.802355", "2", "info", "500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6450", "1566231266.055802", "2", "info", "1000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6451", "1566231266.260556", "2", "info", "1500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6452", "1566231266.436010", "2", "info", "2000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6453", "1566231266.757096", "2", "info", "2500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6454", "1566231266.887438", "2", "info", "3000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6455", "1566231266.991977", "2", "info", "3500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6456", "1566231267.139942", "2", "info", "4000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6457", "1566231267.275878", "2", "info", "4500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6458", "1566231267.340365", "2", "info", "5000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6459", "1566231267.430116", "2", "info", "5500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6460", "1566231267.520715", "2", "info", "6000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6461", "1566231267.541894", "2", "info", "6271 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6462", "1566231270.367863", "2", "info", "Analyzed 100 files containing 1.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6463", "1566231273.930687", "2", "info", "Analyzed 200 files containing 2.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6464", "1566231276.479240", "2", "info", "Analyzed 300 files containing 3.83 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6465", "1566231279.235576", "2", "info", "Analyzed 400 files containing 6.27 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6466", "1566231281.803670", "2", "info", "Analyzed 500 files containing 7.02 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6467", "1566231284.699346", "2", "info", "Analyzed 600 files containing 7.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6468", "1566231286.829641", "2", "info", "Analyzed 700 files containing 11.23 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6469", "1566231288.929122", "2", "info", "Analyzed 800 files containing 12.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6470", "1566231289.817250", "2", "info", "Analyzed 900 files containing 14.65 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6471", "1566231290.901729", "2", "info", "Analyzed 1000 files containing 22.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6472", "1566231291.547759", "2", "info", "Analyzed 1100 files containing 23.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6473", "1566231292.104868", "2", "info", "Analyzed 1200 files containing 24.05 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6474", "1566231292.708809", "2", "info", "Analyzed 1300 files containing 24.9 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6475", "1566231293.643836", "2", "info", "Analyzed 1400 files containing 26.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6476", "1566231294.472045", "2", "info", "Analyzed 1500 files containing 26.61 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6477", "1566231295.308576", "2", "info", "Analyzed 1600 files containing 27.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6478", "1566231296.370910", "2", "info", "Analyzed 1700 files containing 27.72 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6479", "1566231297.273241", "2", "info", "Analyzed 1800 files containing 29.84 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6480", "1566231298.100827", "2", "info", "Analyzed 1900 files containing 30.69 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6481", "1566231299.377264", "2", "info", "Analyzed 2000 files containing 30.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6482", "1566231299.993970", "2", "info", "Analyzed 2100 files containing 31.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6483", "1566231300.590490", "2", "info", "Analyzed 2200 files containing 32.42 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6484", "1566231301.227752", "2", "info", "Analyzed 2300 files containing 33.45 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6485", "1566231302.244343", "2", "info", "Analyzed 2400 files containing 34.75 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6486", "1566231303.141576", "2", "info", "Analyzed 2500 files containing 36.19 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6487", "1566231304.968467", "2", "info", "Analyzed 2600 files containing 36.62 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6488", "1566231305.623107", "2", "info", "Analyzed 2700 files containing 38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6489", "1566231306.271878", "2", "info", "Analyzed 2800 files containing 39.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6490", "1566231306.880958", "2", "info", "Analyzed 2900 files containing 40.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6491", "1566231307.506348", "2", "info", "Analyzed 3000 files containing 42.21 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6492", "1566231308.213169", "2", "info", "Analyzed 3100 files containing 47.1 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6493", "1566231308.802458", "2", "info", "Analyzed 3200 files containing 49.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6494", "1566231309.612311", "2", "info", "Analyzed 3300 files containing 50.09 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6495", "1566231310.435564", "2", "info", "Analyzed 3400 files containing 51.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6496", "1566231311.401021", "2", "info", "Analyzed 3500 files containing 51.85 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6497", "1566231312.101978", "2", "info", "Analyzed 3600 files containing 52.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6498", "1566231312.659304", "2", "info", "Analyzed 3700 files containing 52.9 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6499", "1566231313.277432", "2", "info", "Analyzed 3800 files containing 53.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6500", "1566231313.843231", "2", "info", "Analyzed 3900 files containing 53.74 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6501", "1566231314.384227", "2", "info", "Analyzed 4000 files containing 54.12 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6502", "1566231315.063356", "2", "info", "Analyzed 4100 files containing 54.49 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6503", "1566231315.779923", "2", "info", "Analyzed 4200 files containing 56.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6504", "1566231316.537391", "2", "info", "Analyzed 4300 files containing 57.76 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6505", "1566231317.211817", "2", "info", "Analyzed 4400 files containing 58.19 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6506", "1566231318.039028", "2", "info", "Analyzed 4500 files containing 58.96 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6507", "1566231318.697301", "2", "info", "Analyzed 4600 files containing 61.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6508", "1566231319.314943", "2", "info", "Analyzed 4700 files containing 62.94 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6509", "1566231321.071600", "2", "info", "Analyzed 4800 files containing 67.35 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6510", "1566231321.619031", "2", "info", "Analyzed 4900 files containing 67.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6511", "1566231322.173750", "2", "info", "Analyzed 5000 files containing 67.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6512", "1566231322.905766", "2", "info", "Analyzed 5100 files containing 69.57 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6513", "1566231323.808288", "2", "info", "Analyzed 5200 files containing 73.21 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6514", "1566231324.492541", "2", "info", "Analyzed 5300 files containing 74.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6515", "1566231325.171478", "2", "info", "Analyzed 5400 files containing 76.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6516", "1566231325.897100", "2", "info", "Analyzed 5500 files containing 78.93 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6517", "1566231326.534437", "2", "info", "Analyzed 5600 files containing 80.62 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6518", "1566231327.440553", "2", "info", "Analyzed 5700 files containing 82.38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6519", "1566231328.533036", "2", "info", "Analyzed 5800 files containing 92.95 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6520", "1566231329.200585", "2", "info", "Analyzed 5900 files containing 94.79 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6521", "1566231329.978763", "2", "info", "Analyzed 6000 files containing 96.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6522", "1566231331.211949", "2", "info", "Analyzed 6100 files containing 100.49 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6523", "1566231332.366401", "2", "info", "Analyzed 6200 files containing 101.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6524", "1566231333.029010", "2", "info", "Analyzed 6271 files containing 103.03 MB of data.");
INSERT INTO `wpky_wfstatus` VALUES("6532", "1566231334.384931", "2", "info", "Starting scan of file contents");
INSERT INTO `wpky_wfstatus` VALUES("6533", "1566231335.403957", "2", "info", "Scanned contents of 34 additional files at 33.52 per second");
INSERT INTO `wpky_wfstatus` VALUES("6534", "1566231336.854932", "2", "info", "Scanned contents of 57 additional files at 23.12 per second");
INSERT INTO `wpky_wfstatus` VALUES("6535", "1566231337.861239", "2", "info", "Scanned contents of 100 additional files at 28.80 per second");
INSERT INTO `wpky_wfstatus` VALUES("6536", "1566231338.875988", "2", "info", "Scanned contents of 138 additional files at 30.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("6537", "1566231339.886551", "2", "info", "Scanned contents of 188 additional files at 34.20 per second");
INSERT INTO `wpky_wfstatus` VALUES("6538", "1566231340.887284", "2", "info", "Scanned contents of 235 additional files at 36.17 per second");
INSERT INTO `wpky_wfstatus` VALUES("6539", "1566231341.895492", "2", "info", "Scanned contents of 288 additional files at 38.37 per second");
INSERT INTO `wpky_wfstatus` VALUES("6540", "1566231342.905633", "2", "info", "Scanned contents of 338 additional files at 39.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6541", "1566231343.921242", "2", "info", "Scanned contents of 373 additional files at 39.13 per second");
INSERT INTO `wpky_wfstatus` VALUES("6542", "1566231344.933494", "2", "info", "Scanned contents of 418 additional files at 39.64 per second");
INSERT INTO `wpky_wfstatus` VALUES("6543", "1566231345.944441", "2", "info", "Scanned contents of 463 additional files at 40.07 per second");
INSERT INTO `wpky_wfstatus` VALUES("6544", "1566231346.966316", "2", "info", "Scanned contents of 508 additional files at 40.39 per second");
INSERT INTO `wpky_wfstatus` VALUES("6545", "1566231347.978991", "2", "info", "Scanned contents of 558 additional files at 41.06 per second");
INSERT INTO `wpky_wfstatus` VALUES("6546", "1566231349.017713", "2", "info", "Scanned contents of 591 additional files at 40.40 per second");
INSERT INTO `wpky_wfstatus` VALUES("6547", "1566231350.021439", "2", "info", "Scanned contents of 635 additional files at 40.62 per second");
INSERT INTO `wpky_wfstatus` VALUES("6548", "1566231351.032926", "2", "info", "Scanned contents of 680 additional files at 40.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("6549", "1566231353.300416", "2", "info", "Scanned contents of 725 additional files at 38.34 per second");
INSERT INTO `wpky_wfstatus` VALUES("6550", "1566231354.316102", "2", "info", "Scanned contents of 769 additional files at 38.59 per second");
INSERT INTO `wpky_wfstatus` VALUES("6551", "1566231355.319879", "2", "info", "Scanned contents of 816 additional files at 38.99 per second");
INSERT INTO `wpky_wfstatus` VALUES("6552", "1566231356.327234", "2", "info", "Scanned contents of 864 additional files at 39.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("6553", "1566231357.338832", "2", "info", "Scanned contents of 899 additional files at 39.17 per second");
INSERT INTO `wpky_wfstatus` VALUES("6554", "1566231358.363387", "2", "info", "Scanned contents of 942 additional files at 39.29 per second");
INSERT INTO `wpky_wfstatus` VALUES("6555", "1566231359.416828", "2", "info", "Scanned contents of 984 additional files at 39.32 per second");
INSERT INTO `wpky_wfstatus` VALUES("6556", "1566231360.429718", "2", "info", "Scanned contents of 1020 additional files at 39.17 per second");
INSERT INTO `wpky_wfstatus` VALUES("6557", "1566231361.520738", "2", "info", "Scanned contents of 1052 additional files at 38.77 per second");
INSERT INTO `wpky_wfstatus` VALUES("6558", "1566231362.525160", "2", "info", "Scanned contents of 1098 additional files at 39.03 per second");
INSERT INTO `wpky_wfstatus` VALUES("6559", "1566231363.525290", "2", "info", "Scanned contents of 1147 additional files at 39.37 per second");
INSERT INTO `wpky_wfstatus` VALUES("6560", "1566231364.539629", "2", "info", "Scanned contents of 1192 additional files at 39.54 per second");
INSERT INTO `wpky_wfstatus` VALUES("6561", "1566231365.546695", "2", "info", "Scanned contents of 1235 additional files at 39.64 per second");
INSERT INTO `wpky_wfstatus` VALUES("6562", "1566231366.559782", "2", "info", "Scanned contents of 1285 additional files at 39.94 per second");
INSERT INTO `wpky_wfstatus` VALUES("6563", "1566231367.649231", "2", "info", "Scanned contents of 1329 additional files at 39.96 per second");
INSERT INTO `wpky_wfstatus` VALUES("6564", "1566231371.039632", "2", "info", "Scanned contents of 1339 additional files at 36.53 per second");
INSERT INTO `wpky_wfstatus` VALUES("6565", "1566231372.047281", "2", "info", "Scanned contents of 1393 additional files at 36.99 per second");
INSERT INTO `wpky_wfstatus` VALUES("6566", "1566231373.050004", "2", "info", "Scanned contents of 1441 additional files at 37.27 per second");
INSERT INTO `wpky_wfstatus` VALUES("6567", "1566231374.091508", "2", "info", "Scanned contents of 1493 additional files at 37.61 per second");
INSERT INTO `wpky_wfstatus` VALUES("6568", "1566231375.099512", "2", "info", "Scanned contents of 1538 additional files at 37.78 per second");
INSERT INTO `wpky_wfstatus` VALUES("6569", "1566231376.111641", "2", "info", "Scanned contents of 1576 additional files at 37.77 per second");
INSERT INTO `wpky_wfstatus` VALUES("6570", "1566231377.116408", "2", "info", "Scanned contents of 1617 additional files at 37.85 per second");
INSERT INTO `wpky_wfstatus` VALUES("6571", "1566231377.236296", "2", "info", "Scanned contents of 1624 additional files at 37.90 per second");
INSERT INTO `wpky_wfstatus` VALUES("6572", "1566231377.238199", "2", "info", "Asking Wordfence to check URLs against malware list.");
INSERT INTO `wpky_wfstatus` VALUES("6573", "1566231377.242649", "2", "info", "Checking 3243 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6574", "1566231377.550599", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6575", "1566231377.555201", "2", "info", "Checking 7 URLs from 6 sources.");
INSERT INTO `wpky_wfstatus` VALUES("6576", "1566231377.925551", "2", "info", "Done URL check.");
INSERT INTO `wpky_wfstatus` VALUES("6577", "1566231377.955135", "2", "info", "Done file contents scan");
INSERT INTO `wpky_wfstatus` VALUES("6583", "1566231378.023836", "2", "info", "Examining URLs found in posts we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6584", "1566231378.025845", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6587", "1566231378.088875", "2", "info", "Checking 4 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6588", "1566231378.585516", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6591", "1566231378.636750", "2", "info", "Starting password strength check on 1 users.");
INSERT INTO `wpky_wfstatus` VALUES("6598", "1566231382.555431", "2", "info", "Examining URLs found in the options we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6599", "1566231382.557655", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6601", "1566231382.591416", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6602", "1566231382.593617", "2", "info", "Wordfence used 21.94 MB of memory for scan. Server peak memory usage was: 53.94 MB");
INSERT INTO `wpky_wfstatus` VALUES("6603", "1566231382.595611", "1", "info", "Scan Complete. Scanned 6271 files, 24 plugins, 4 themes, 2 posts, 1 comments and 1194 URLs in 2 minutes 6 seconds.");
INSERT INTO `wpky_wfstatus` VALUES("6605", "1566302879.249553", "1", "info", "Scheduled Wordfence scan starting at Tuesday 20th of August 2019 12:07:59 PM");
INSERT INTO `wpky_wfstatus` VALUES("6607", "1566302884.900368", "1", "info", "Contacting Wordfence to initiate scan");
INSERT INTO `wpky_wfstatus` VALUES("6614", "1566302891.509827", "2", "info", "Starting DNS scan for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6615", "1566302891.521940", "2", "info", "Scanning DNS A record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6616", "1566302891.528070", "2", "info", "Scanning DNS MX record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6619", "1566302891.634767", "2", "info", "Total disk space: 1.78 TB -- Free disk space: 1.58 TB");
INSERT INTO `wpky_wfstatus` VALUES("6620", "1566302891.655140", "2", "info", "The disk has 1655172.39 MB available");
INSERT INTO `wpky_wfstatus` VALUES("6626", "1566302891.881325", "2", "info", "Getting plugin list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6627", "1566302893.565257", "2", "info", "Found 24 plugins");
INSERT INTO `wpky_wfstatus` VALUES("6628", "1566302893.585285", "2", "info", "Getting theme list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6629", "1566302893.921812", "2", "info", "Found 4 themes");
INSERT INTO `wpky_wfstatus` VALUES("6632", "1566302895.355610", "10", "info", "SUM_START:Fetching list of known malware files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6633", "1566302895.375456", "10", "info", "SUM_ENDSUCCESS:Fetching list of known malware files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6634", "1566302895.422762", "10", "info", "SUM_START:Fetching list of known core files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6635", "1566302895.432563", "10", "info", "SUM_ENDSUCCESS:Fetching list of known core files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6636", "1566302895.478087", "10", "info", "SUM_START:Comparing core WordPress files against originals in repository");
INSERT INTO `wpky_wfstatus` VALUES("6637", "1566302895.503455", "10", "info", "SUM_DISABLED:Skipping theme scan");
INSERT INTO `wpky_wfstatus` VALUES("6638", "1566302895.514404", "10", "info", "SUM_DISABLED:Skipping plugin scan");
INSERT INTO `wpky_wfstatus` VALUES("6639", "1566302895.541518", "10", "info", "SUM_START:Scanning for known malware files");
INSERT INTO `wpky_wfstatus` VALUES("6640", "1566302895.590931", "10", "info", "SUM_START:Scanning for unknown files in wp-admin and wp-includes");
INSERT INTO `wpky_wfstatus` VALUES("6641", "1566302895.875716", "2", "info", "500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6642", "1566302896.933202", "2", "info", "1000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6643", "1566302897.802029", "2", "info", "1500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6644", "1566302899.162305", "2", "info", "2000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6645", "1566302901.053866", "2", "info", "2233 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6646", "1566302903.608014", "2", "info", "2733 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6647", "1566302904.239681", "2", "info", "3233 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6648", "1566302904.962128", "2", "info", "3733 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6649", "1566302905.799010", "2", "info", "4233 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6650", "1566302906.179748", "2", "info", "4733 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6651", "1566302906.449357", "2", "info", "5233 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6652", "1566302906.780205", "2", "info", "5733 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6653", "1566302907.872984", "2", "info", "6233 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6654", "1566302907.898979", "2", "info", "6271 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6655", "1566302915.776354", "2", "info", "Analyzed 100 files containing 1.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6656", "1566302926.922411", "2", "info", "Analyzed 200 files containing 2.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6657", "1566302930.819633", "2", "info", "Analyzed 300 files containing 3.83 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6658", "1566302935.722721", "2", "info", "Analyzed 400 files containing 6.27 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6659", "1566302938.480814", "2", "info", "Analyzed 500 files containing 7.02 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6660", "1566302944.023937", "2", "info", "Analyzed 600 files containing 7.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6661", "1566302952.297802", "2", "info", "Analyzed 700 files containing 11.23 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6662", "1566302960.078718", "2", "info", "Analyzed 800 files containing 12.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6663", "1566302968.786677", "2", "info", "Analyzed 900 files containing 14.65 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6664", "1566302982.398460", "2", "info", "Analyzed 1000 files containing 22.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6665", "1566302990.405645", "2", "info", "Analyzed 1100 files containing 23.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6666", "1566302997.800090", "2", "info", "Analyzed 1200 files containing 24.05 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6667", "1566303006.983542", "2", "info", "Analyzed 1300 files containing 24.9 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6668", "1566303016.238254", "2", "info", "Analyzed 1400 files containing 26.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6669", "1566303021.140553", "2", "info", "Analyzed 1500 files containing 26.61 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6670", "1566303025.930288", "2", "info", "Analyzed 1600 files containing 27.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6671", "1566303034.833691", "2", "info", "Analyzed 1700 files containing 27.72 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6672", "1566303043.972594", "2", "info", "Analyzed 1800 files containing 29.84 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6673", "1566303052.104089", "2", "info", "Analyzed 1900 files containing 30.69 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6674", "1566303062.137528", "2", "info", "Analyzed 2000 files containing 30.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6675", "1566303073.374996", "2", "info", "Analyzed 2100 files containing 31.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6676", "1566303081.844547", "2", "info", "Analyzed 2200 files containing 32.42 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6677", "1566303089.653665", "2", "info", "Analyzed 2300 files containing 33.45 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6678", "1566303097.381922", "2", "info", "Analyzed 2400 files containing 34.75 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6679", "1566303103.848375", "2", "info", "Analyzed 2500 files containing 36.19 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6680", "1566303109.636724", "2", "info", "Analyzed 2600 files containing 36.62 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6681", "1566303116.127309", "2", "info", "Analyzed 2700 files containing 38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6682", "1566303122.893908", "2", "info", "Analyzed 2800 files containing 39.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6683", "1566303129.231443", "2", "info", "Analyzed 2900 files containing 40.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6684", "1566303134.601758", "2", "info", "Analyzed 3000 files containing 42.21 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6685", "1566303140.662763", "2", "info", "Analyzed 3100 files containing 47.1 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6686", "1566303146.112229", "2", "info", "Analyzed 3200 files containing 49.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6687", "1566303152.155706", "2", "info", "Analyzed 3300 files containing 50.09 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6688", "1566303157.364592", "2", "info", "Analyzed 3400 files containing 51.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6689", "1566303163.610500", "2", "info", "Analyzed 3500 files containing 51.85 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6690", "1566303169.803250", "2", "info", "Analyzed 3600 files containing 52.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6691", "1566303175.541393", "2", "info", "Analyzed 3700 files containing 52.9 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6692", "1566303181.689601", "2", "info", "Analyzed 3800 files containing 53.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6693", "1566303186.695142", "2", "info", "Analyzed 3900 files containing 53.74 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6694", "1566303191.761426", "2", "info", "Analyzed 4000 files containing 54.12 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6695", "1566303200.177207", "2", "info", "Analyzed 4100 files containing 54.49 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6696", "1566303207.283341", "2", "info", "Analyzed 4200 files containing 56.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6697", "1566303214.076955", "2", "info", "Analyzed 4300 files containing 57.76 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6698", "1566303222.780212", "2", "info", "Analyzed 4400 files containing 58.19 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6699", "1566303230.583126", "2", "info", "Analyzed 4500 files containing 58.96 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6700", "1566303239.282251", "2", "info", "Analyzed 4600 files containing 61.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6701", "1566303246.948196", "2", "info", "Analyzed 4700 files containing 62.94 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6702", "1566303253.498519", "2", "info", "Analyzed 4800 files containing 67.35 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6703", "1566303258.650966", "2", "info", "Analyzed 4900 files containing 67.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6704", "1566303264.799954", "2", "info", "Analyzed 5000 files containing 67.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6705", "1566303270.509289", "2", "info", "Analyzed 5100 files containing 69.57 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6706", "1566303276.913112", "2", "info", "Analyzed 5200 files containing 73.2 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6707", "1566303283.187574", "2", "info", "Analyzed 5300 files containing 74.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6708", "1566303288.470529", "2", "info", "Analyzed 5400 files containing 76.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6709", "1566303294.463190", "2", "info", "Analyzed 5500 files containing 78.93 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6710", "1566303301.606779", "2", "info", "Analyzed 5600 files containing 80.62 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6711", "1566303307.424272", "2", "info", "Analyzed 5700 files containing 82.38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6712", "1566303316.156523", "2", "info", "Analyzed 5800 files containing 92.95 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6713", "1566303321.804143", "2", "info", "Analyzed 5900 files containing 94.79 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6714", "1566303327.647643", "2", "info", "Analyzed 6000 files containing 96.98 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6715", "1566303333.746286", "2", "info", "Analyzed 6100 files containing 100.48 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6716", "1566303339.094472", "2", "info", "Analyzed 6200 files containing 101.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6717", "1566303343.017743", "2", "info", "Analyzed 6271 files containing 103.02 MB of data.");
INSERT INTO `wpky_wfstatus` VALUES("6718", "1566303343.030711", "10", "info", "SUM_ENDOK:Comparing core WordPress files against originals in repository");
INSERT INTO `wpky_wfstatus` VALUES("6719", "1566303343.089060", "10", "info", "SUM_ENDOK:Scanning for unknown files in wp-admin and wp-includes");
INSERT INTO `wpky_wfstatus` VALUES("6720", "1566303343.139348", "10", "info", "SUM_ENDOK:Scanning for known malware files");
INSERT INTO `wpky_wfstatus` VALUES("6721", "1566303343.206870", "10", "info", "SUM_START:Check for publicly accessible configuration files, backup files and logs");
INSERT INTO `wpky_wfstatus` VALUES("6722", "1566303343.274582", "10", "info", "SUM_ENDOK:Check for publicly accessible configuration files, backup files and logs");
INSERT INTO `wpky_wfstatus` VALUES("6723", "1566303343.350327", "10", "info", "SUM_START:Scanning file contents for infections and vulnerabilities");
INSERT INTO `wpky_wfstatus` VALUES("6724", "1566303343.390976", "10", "info", "SUM_START:Scanning file contents for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("6725", "1566303344.608770", "2", "info", "Starting scan of file contents");
INSERT INTO `wpky_wfstatus` VALUES("6726", "1566303347.123283", "2", "info", "Scanned contents of 15 additional files at 14.41 per second");
INSERT INTO `wpky_wfstatus` VALUES("6727", "1566303348.174724", "2", "info", "Scanned contents of 28 additional files at 13.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("6728", "1566303349.353321", "2", "info", "Scanned contents of 44 additional files at 13.45 per second");
INSERT INTO `wpky_wfstatus` VALUES("6729", "1566303350.361049", "2", "info", "Scanned contents of 61 additional files at 14.26 per second");
INSERT INTO `wpky_wfstatus` VALUES("6730", "1566303351.403913", "2", "info", "Scanned contents of 77 additional files at 14.47 per second");
INSERT INTO `wpky_wfstatus` VALUES("6731", "1566303352.426387", "2", "info", "Scanned contents of 95 additional files at 14.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6732", "1566303353.436211", "2", "info", "Scanned contents of 108 additional files at 14.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6733", "1566303354.456509", "2", "info", "Scanned contents of 125 additional files at 14.93 per second");
INSERT INTO `wpky_wfstatus` VALUES("6734", "1566303355.519617", "2", "info", "Scanned contents of 138 additional files at 14.62 per second");
INSERT INTO `wpky_wfstatus` VALUES("6735", "1566303356.558259", "2", "info", "Scanned contents of 155 additional files at 14.80 per second");
INSERT INTO `wpky_wfstatus` VALUES("6736", "1566303357.579006", "2", "info", "Scanned contents of 168 additional files at 14.61 per second");
INSERT INTO `wpky_wfstatus` VALUES("6737", "1566303358.594486", "2", "info", "Scanned contents of 182 additional files at 14.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("6738", "1566303359.618171", "2", "info", "Scanned contents of 197 additional files at 14.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("6739", "1566303360.708344", "2", "info", "Scanned contents of 214 additional files at 14.63 per second");
INSERT INTO `wpky_wfstatus` VALUES("6740", "1566303361.732454", "2", "info", "Scanned contents of 228 additional files at 14.57 per second");
INSERT INTO `wpky_wfstatus` VALUES("6741", "1566303363.330257", "2", "info", "Scanned contents of 234 additional files at 13.57 per second");
INSERT INTO `wpky_wfstatus` VALUES("6742", "1566303364.342932", "2", "info", "Scanned contents of 250 additional files at 13.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6743", "1566303365.350060", "2", "info", "Scanned contents of 265 additional files at 13.75 per second");
INSERT INTO `wpky_wfstatus` VALUES("6744", "1566303366.377090", "2", "info", "Scanned contents of 285 additional files at 14.04 per second");
INSERT INTO `wpky_wfstatus` VALUES("6745", "1566303367.397532", "2", "info", "Scanned contents of 298 additional files at 13.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6746", "1566303368.416869", "2", "info", "Scanned contents of 318 additional files at 14.24 per second");
INSERT INTO `wpky_wfstatus` VALUES("6747", "1566303369.462058", "2", "info", "Scanned contents of 336 additional files at 14.37 per second");
INSERT INTO `wpky_wfstatus` VALUES("6748", "1566303370.484211", "2", "info", "Scanned contents of 351 additional files at 14.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("6749", "1566303371.522053", "2", "info", "Scanned contents of 368 additional files at 14.47 per second");
INSERT INTO `wpky_wfstatus` VALUES("6750", "1566303372.558091", "2", "info", "Scanned contents of 384 additional files at 14.50 per second");
INSERT INTO `wpky_wfstatus` VALUES("6751", "1566303373.729639", "2", "info", "Scanned contents of 399 additional files at 14.43 per second");
INSERT INTO `wpky_wfstatus` VALUES("6752", "1566303374.759733", "2", "info", "Scanned contents of 411 additional files at 14.33 per second");
INSERT INTO `wpky_wfstatus` VALUES("6753", "1566303375.816386", "2", "info", "Scanned contents of 426 additional files at 14.33 per second");
INSERT INTO `wpky_wfstatus` VALUES("6754", "1566303376.824789", "2", "info", "Scanned contents of 440 additional files at 14.31 per second");
INSERT INTO `wpky_wfstatus` VALUES("6755", "1566303377.862616", "2", "info", "Scanned contents of 452 additional files at 14.22 per second");
INSERT INTO `wpky_wfstatus` VALUES("6756", "1566303378.863562", "2", "info", "Scanned contents of 466 additional files at 14.22 per second");
INSERT INTO `wpky_wfstatus` VALUES("6757", "1566303380.351109", "2", "info", "Scanned contents of 469 additional files at 13.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6758", "1566303381.387850", "2", "info", "Scanned contents of 485 additional files at 13.74 per second");
INSERT INTO `wpky_wfstatus` VALUES("6759", "1566303382.433974", "2", "info", "Scanned contents of 502 additional files at 13.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("6760", "1566303383.495020", "2", "info", "Scanned contents of 513 additional files at 13.71 per second");
INSERT INTO `wpky_wfstatus` VALUES("6761", "1566303384.516370", "2", "info", "Scanned contents of 531 additional files at 13.82 per second");
INSERT INTO `wpky_wfstatus` VALUES("6762", "1566303385.531709", "2", "info", "Scanned contents of 550 additional files at 13.94 per second");
INSERT INTO `wpky_wfstatus` VALUES("6763", "1566303386.561277", "2", "info", "Scanned contents of 566 additional files at 13.98 per second");
INSERT INTO `wpky_wfstatus` VALUES("6764", "1566303387.597418", "2", "info", "Scanned contents of 582 additional files at 14.02 per second");
INSERT INTO `wpky_wfstatus` VALUES("6765", "1566303388.621324", "2", "info", "Scanned contents of 597 additional files at 14.03 per second");
INSERT INTO `wpky_wfstatus` VALUES("6766", "1566303389.740133", "2", "info", "Scanned contents of 613 additional files at 14.04 per second");
INSERT INTO `wpky_wfstatus` VALUES("6767", "1566303390.792344", "2", "info", "Scanned contents of 632 additional files at 14.14 per second");
INSERT INTO `wpky_wfstatus` VALUES("6768", "1566303391.858311", "2", "info", "Scanned contents of 646 additional files at 14.11 per second");
INSERT INTO `wpky_wfstatus` VALUES("6769", "1566303392.911764", "2", "info", "Scanned contents of 658 additional files at 14.05 per second");
INSERT INTO `wpky_wfstatus` VALUES("6770", "1566303393.913419", "2", "info", "Scanned contents of 673 additional files at 14.07 per second");
INSERT INTO `wpky_wfstatus` VALUES("6771", "1566303394.936084", "2", "info", "Scanned contents of 691 additional files at 14.14 per second");
INSERT INTO `wpky_wfstatus` VALUES("6772", "1566303395.944905", "2", "info", "Scanned contents of 705 additional files at 14.14 per second");
INSERT INTO `wpky_wfstatus` VALUES("6773", "1566303397.301516", "2", "info", "Scanned contents of 706 additional files at 13.78 per second");
INSERT INTO `wpky_wfstatus` VALUES("6774", "1566303398.330997", "2", "info", "Scanned contents of 723 additional files at 13.84 per second");
INSERT INTO `wpky_wfstatus` VALUES("6775", "1566303399.359585", "2", "info", "Scanned contents of 735 additional files at 13.80 per second");
INSERT INTO `wpky_wfstatus` VALUES("6776", "1566303400.398222", "2", "info", "Scanned contents of 750 additional files at 13.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("6777", "1566303401.408226", "2", "info", "Scanned contents of 768 additional files at 13.88 per second");
INSERT INTO `wpky_wfstatus` VALUES("6778", "1566303402.449801", "2", "info", "Scanned contents of 785 additional files at 13.93 per second");
INSERT INTO `wpky_wfstatus` VALUES("6779", "1566303403.470264", "2", "info", "Scanned contents of 801 additional files at 13.96 per second");
INSERT INTO `wpky_wfstatus` VALUES("6780", "1566303404.484072", "2", "info", "Scanned contents of 820 additional files at 14.04 per second");
INSERT INTO `wpky_wfstatus` VALUES("6781", "1566303405.506418", "2", "info", "Scanned contents of 835 additional files at 14.05 per second");
INSERT INTO `wpky_wfstatus` VALUES("6782", "1566303406.521040", "2", "info", "Scanned contents of 851 additional files at 14.08 per second");
INSERT INTO `wpky_wfstatus` VALUES("6783", "1566303407.589516", "2", "info", "Scanned contents of 868 additional files at 14.11 per second");
INSERT INTO `wpky_wfstatus` VALUES("6784", "1566303408.635762", "2", "info", "Scanned contents of 878 additional files at 14.04 per second");
INSERT INTO `wpky_wfstatus` VALUES("6785", "1566303409.700716", "2", "info", "Scanned contents of 892 additional files at 14.02 per second");
INSERT INTO `wpky_wfstatus` VALUES("6786", "1566303410.761194", "2", "info", "Scanned contents of 909 additional files at 14.05 per second");
INSERT INTO `wpky_wfstatus` VALUES("6787", "1566303411.841069", "2", "info", "Scanned contents of 925 additional files at 14.07 per second");
INSERT INTO `wpky_wfstatus` VALUES("6788", "1566303413.014906", "2", "info", "Scanned contents of 939 additional files at 14.03 per second");
INSERT INTO `wpky_wfstatus` VALUES("6789", "1566303414.356344", "2", "info", "Scanned contents of 940 additional files at 13.77 per second");
INSERT INTO `wpky_wfstatus` VALUES("6790", "1566303415.423478", "2", "info", "Scanned contents of 954 additional files at 13.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("6791", "1566303416.446952", "2", "info", "Scanned contents of 972 additional files at 13.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("6792", "1566303417.482695", "2", "info", "Scanned contents of 985 additional files at 13.80 per second");
INSERT INTO `wpky_wfstatus` VALUES("6793", "1566303418.502550", "2", "info", "Scanned contents of 999 additional files at 13.79 per second");
INSERT INTO `wpky_wfstatus` VALUES("6794", "1566303419.548022", "2", "info", "Scanned contents of 1018 additional files at 13.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("6795", "1566303420.608754", "2", "info", "Scanned contents of 1033 additional files at 13.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("6796", "1566303421.609157", "2", "info", "Scanned contents of 1044 additional files at 13.82 per second");
INSERT INTO `wpky_wfstatus` VALUES("6797", "1566303422.653285", "2", "info", "Scanned contents of 1054 additional files at 13.77 per second");
INSERT INTO `wpky_wfstatus` VALUES("6798", "1566303423.704710", "2", "info", "Scanned contents of 1067 additional files at 13.75 per second");
INSERT INTO `wpky_wfstatus` VALUES("6799", "1566303424.729402", "2", "info", "Scanned contents of 1083 additional files at 13.77 per second");
INSERT INTO `wpky_wfstatus` VALUES("6800", "1566303425.738989", "2", "info", "Scanned contents of 1096 additional files at 13.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("6801", "1566303426.757963", "2", "info", "Scanned contents of 1114 additional files at 13.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("6802", "1566303427.773770", "2", "info", "Scanned contents of 1130 additional files at 13.83 per second");
INSERT INTO `wpky_wfstatus` VALUES("6803", "1566303428.781861", "2", "info", "Scanned contents of 1144 additional files at 13.83 per second");
INSERT INTO `wpky_wfstatus` VALUES("6804", "1566303429.825883", "2", "info", "Scanned contents of 1158 additional files at 13.83 per second");
INSERT INTO `wpky_wfstatus` VALUES("6805", "1566303431.380595", "2", "info", "Scanned contents of 1160 additional files at 13.60 per second");
INSERT INTO `wpky_wfstatus` VALUES("6806", "1566303432.416062", "2", "info", "Scanned contents of 1176 additional files at 13.62 per second");
INSERT INTO `wpky_wfstatus` VALUES("6807", "1566303433.430911", "2", "info", "Scanned contents of 1191 additional files at 13.64 per second");
INSERT INTO `wpky_wfstatus` VALUES("6808", "1566303434.442177", "2", "info", "Scanned contents of 1200 additional files at 13.58 per second");
INSERT INTO `wpky_wfstatus` VALUES("6809", "1566303435.442736", "2", "info", "Scanned contents of 1212 additional files at 13.56 per second");
INSERT INTO `wpky_wfstatus` VALUES("6810", "1566303436.469309", "2", "info", "Scanned contents of 1229 additional files at 13.60 per second");
INSERT INTO `wpky_wfstatus` VALUES("6811", "1566303437.470703", "2", "info", "Scanned contents of 1246 additional files at 13.63 per second");
INSERT INTO `wpky_wfstatus` VALUES("6812", "1566303438.549297", "2", "info", "Scanned contents of 1256 additional files at 13.58 per second");
INSERT INTO `wpky_wfstatus` VALUES("6813", "1566303439.552268", "2", "info", "Scanned contents of 1273 additional files at 13.62 per second");
INSERT INTO `wpky_wfstatus` VALUES("6814", "1566303440.563524", "2", "info", "Scanned contents of 1289 additional files at 13.64 per second");
INSERT INTO `wpky_wfstatus` VALUES("6815", "1566303441.570112", "2", "info", "Scanned contents of 1307 additional files at 13.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6816", "1566303442.631011", "2", "info", "Scanned contents of 1322 additional files at 13.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("6817", "1566303443.641952", "2", "info", "Scanned contents of 1337 additional files at 13.70 per second");
INSERT INTO `wpky_wfstatus` VALUES("6818", "1566303446.723050", "2", "info", "Scanned contents of 1339 additional files at 13.30 per second");
INSERT INTO `wpky_wfstatus` VALUES("6819", "1566303448.212964", "2", "info", "Scanned contents of 1344 additional files at 13.16 per second");
INSERT INTO `wpky_wfstatus` VALUES("6820", "1566303449.241635", "2", "info", "Scanned contents of 1365 additional files at 13.23 per second");
INSERT INTO `wpky_wfstatus` VALUES("6821", "1566303450.318230", "2", "info", "Scanned contents of 1383 additional files at 13.27 per second");
INSERT INTO `wpky_wfstatus` VALUES("6822", "1566303451.341561", "2", "info", "Scanned contents of 1403 additional files at 13.33 per second");
INSERT INTO `wpky_wfstatus` VALUES("6823", "1566303452.430031", "2", "info", "Scanned contents of 1423 additional files at 13.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("6824", "1566303453.431248", "2", "info", "Scanned contents of 1439 additional files at 13.40 per second");
INSERT INTO `wpky_wfstatus` VALUES("6825", "1566303454.444999", "2", "info", "Scanned contents of 1457 additional files at 13.45 per second");
INSERT INTO `wpky_wfstatus` VALUES("6826", "1566303455.477888", "2", "info", "Scanned contents of 1479 additional files at 13.52 per second");
INSERT INTO `wpky_wfstatus` VALUES("6827", "1566303456.522442", "2", "info", "Scanned contents of 1496 additional files at 13.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("6828", "1566303457.558830", "2", "info", "Scanned contents of 1512 additional files at 13.56 per second");
INSERT INTO `wpky_wfstatus` VALUES("6829", "1566303458.629882", "2", "info", "Scanned contents of 1527 additional files at 13.57 per second");
INSERT INTO `wpky_wfstatus` VALUES("6830", "1566303459.656375", "2", "info", "Scanned contents of 1539 additional files at 13.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("6831", "1566303460.709525", "2", "info", "Scanned contents of 1554 additional files at 13.56 per second");
INSERT INTO `wpky_wfstatus` VALUES("6832", "1566303461.781756", "2", "info", "Scanned contents of 1572 additional files at 13.59 per second");
INSERT INTO `wpky_wfstatus` VALUES("6833", "1566303462.844934", "2", "info", "Scanned contents of 1586 additional files at 13.58 per second");
INSERT INTO `wpky_wfstatus` VALUES("6834", "1566303463.879421", "2", "info", "Scanned contents of 1602 additional files at 13.60 per second");
INSERT INTO `wpky_wfstatus` VALUES("6835", "1566303465.342746", "2", "info", "Scanned contents of 1604 additional files at 13.45 per second");
INSERT INTO `wpky_wfstatus` VALUES("6836", "1566303466.348580", "2", "info", "Scanned contents of 1615 additional files at 13.43 per second");
INSERT INTO `wpky_wfstatus` VALUES("6837", "1566303466.911249", "2", "info", "Scanned contents of 1624 additional files at 13.44 per second");
INSERT INTO `wpky_wfstatus` VALUES("6838", "1566303466.921106", "2", "info", "Asking Wordfence to check URLs against malware list.");
INSERT INTO `wpky_wfstatus` VALUES("6839", "1566303466.950002", "2", "info", "Checking 3243 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6840", "1566303467.391934", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6841", "1566303467.402659", "2", "info", "Checking 7 URLs from 6 sources.");
INSERT INTO `wpky_wfstatus` VALUES("6842", "1566303467.685594", "2", "info", "Done URL check.");
INSERT INTO `wpky_wfstatus` VALUES("6843", "1566303467.848691", "2", "info", "Done file contents scan");
INSERT INTO `wpky_wfstatus` VALUES("6844", "1566303467.860211", "10", "info", "SUM_ENDOK:Scanning file contents for infections and vulnerabilities");
INSERT INTO `wpky_wfstatus` VALUES("6845", "1566303467.893454", "10", "info", "SUM_ENDOK:Scanning file contents for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("6846", "1566303467.942270", "10", "info", "SUM_START:Scanning for publicly accessible quarantined files");
INSERT INTO `wpky_wfstatus` VALUES("6847", "1566303467.964030", "10", "info", "SUM_ENDOK:Scanning for publicly accessible quarantined files");
INSERT INTO `wpky_wfstatus` VALUES("6848", "1566303468.007640", "10", "info", "SUM_START:Scanning posts for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("6849", "1566303468.292204", "2", "info", "Examining URLs found in posts we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6850", "1566303468.306468", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6851", "1566303468.489400", "10", "info", "SUM_ENDOK:Scanning posts for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("6852", "1566303468.545838", "10", "info", "SUM_START:Scanning comments for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("6853", "1566303468.688915", "2", "info", "Checking 4 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("6854", "1566303468.997820", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("6855", "1566303469.203536", "10", "info", "SUM_ENDOK:Scanning comments for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("6856", "1566303469.278637", "10", "info", "SUM_START:Scanning for weak passwords");
INSERT INTO `wpky_wfstatus` VALUES("6857", "1566303469.297509", "2", "info", "Starting password strength check on 1 users.");
INSERT INTO `wpky_wfstatus` VALUES("6858", "1566303469.323917", "10", "info", "SUM_ENDOK:Scanning for weak passwords");
INSERT INTO `wpky_wfstatus` VALUES("6859", "1566303469.406326", "10", "info", "SUM_START:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6860", "1566303472.845886", "10", "info", "SUM_ENDBAD:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6861", "1566303472.914915", "10", "info", "SUM_START:Scanning for admin users not created through WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6862", "1566303472.934066", "10", "info", "SUM_ENDOK:Scanning for admin users not created through WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6863", "1566303473.000880", "10", "info", "SUM_START:Scanning for suspicious site options");
INSERT INTO `wpky_wfstatus` VALUES("6864", "1566303473.189046", "2", "info", "Examining URLs found in the options we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("6865", "1566303473.206828", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("6866", "1566303473.570669", "10", "info", "SUM_ENDOK:Scanning for suspicious site options");
INSERT INTO `wpky_wfstatus` VALUES("6867", "1566303473.613128", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6868", "1566303473.621609", "2", "info", "Wordfence used 21.94 MB of memory for scan. Server peak memory usage was: 53.94 MB");
INSERT INTO `wpky_wfstatus` VALUES("6869", "1566303473.643121", "1", "info", "Scan Complete. Scanned 6271 files, 24 plugins, 4 themes, 2 posts, 1 comments and 1194 URLs in 9 minutes 48 seconds.");
INSERT INTO `wpky_wfstatus` VALUES("6870", "1566303473.663991", "10", "info", "SUM_FINAL:Scan complete. You have 2 new issues to fix. See below.");
INSERT INTO `wpky_wfstatus` VALUES("6871", "1566321761.737501", "10", "info", "SUM_PREP:Preparing a new scan.");
INSERT INTO `wpky_wfstatus` VALUES("6872", "1566321761.742160", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6873", "1566321761.764720", "10", "info", "SUM_START:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6874", "1566321761.766717", "10", "info", "SUM_ENDOK:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6875", "1566321761.773969", "10", "info", "SUM_START:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6876", "1566321761.790568", "10", "info", "SUM_ENDBAD:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6877", "1566321761.795043", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6878", "1566321761.798793", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 8 MB");
INSERT INTO `wpky_wfstatus` VALUES("6879", "1566321761.800646", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6880", "1566321761.802367", "10", "info", "SUM_FINAL:Scan complete. You have 2 new issues to fix. See below.");
INSERT INTO `wpky_wfstatus` VALUES("6881", "1566407605.696499", "10", "info", "SUM_PREP:Preparing a new scan.");
INSERT INTO `wpky_wfstatus` VALUES("6882", "1566407605.703573", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6883", "1566407605.761242", "10", "info", "SUM_START:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6884", "1566407605.763408", "10", "info", "SUM_ENDOK:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6885", "1566407605.771063", "10", "info", "SUM_START:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6886", "1566407605.792222", "10", "info", "SUM_ENDBAD:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6887", "1566407605.797186", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6888", "1566407605.800841", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 8 MB");
INSERT INTO `wpky_wfstatus` VALUES("6889", "1566407605.802573", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6890", "1566407605.804373", "10", "info", "SUM_FINAL:Scan complete. You have 2 new issues to fix. See below.");
INSERT INTO `wpky_wfstatus` VALUES("6891", "1566494066.853941", "10", "info", "SUM_PREP:Preparing a new scan.");
INSERT INTO `wpky_wfstatus` VALUES("6892", "1566494066.888927", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("6893", "1566494066.932790", "10", "info", "SUM_START:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6894", "1566494066.952284", "10", "info", "SUM_ENDOK:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6895", "1566494066.993508", "10", "info", "SUM_START:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6896", "1566494067.093755", "10", "info", "SUM_ENDBAD:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("6897", "1566494067.131454", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("6898", "1566494067.148087", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 8 MB");
INSERT INTO `wpky_wfstatus` VALUES("6899", "1566494067.159034", "1", "info", "Quick Scan Complete. Scanned in 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("6900", "1566494067.178913", "10", "info", "SUM_FINAL:Scan complete. You have 3 new issues to fix. See below.");
INSERT INTO `wpky_wfstatus` VALUES("6901", "1566875998.355269", "1", "info", "Scheduled Wordfence scan starting at Tuesday 27th of August 2019 03:19:58 AM");
INSERT INTO `wpky_wfstatus` VALUES("6902", "1566875999.899383", "10", "info", "SUM_PREP:Preparing a new scan.");
INSERT INTO `wpky_wfstatus` VALUES("6903", "1566875999.929392", "1", "info", "Contacting Wordfence to initiate scan");
INSERT INTO `wpky_wfstatus` VALUES("6904", "1566876000.369835", "10", "info", "SUM_PAIDONLY:Check if your site is being Spamvertized is for paid members only");
INSERT INTO `wpky_wfstatus` VALUES("6905", "1566876002.416635", "10", "info", "SUM_PAIDONLY:Checking if your IP is generating spam is for paid members only");
INSERT INTO `wpky_wfstatus` VALUES("6906", "1566876003.046864", "1", "error", "Scan Engine Error: There is already a scan running.");
INSERT INTO `wpky_wfstatus` VALUES("6907", "1566876004.434874", "10", "info", "SUM_PAIDONLY:Checking if your site is on a domain blacklist is for paid members only");
INSERT INTO `wpky_wfstatus` VALUES("6908", "1566876006.468386", "10", "info", "SUM_START:Checking for the most secure way to get IPs");
INSERT INTO `wpky_wfstatus` VALUES("6909", "1566876007.598241", "10", "info", "SUM_ENDOK:Checking for the most secure way to get IPs");
INSERT INTO `wpky_wfstatus` VALUES("6910", "1566876007.649531", "10", "info", "SUM_START:Scanning DNS for unauthorized changes");
INSERT INTO `wpky_wfstatus` VALUES("6911", "1566876007.685675", "2", "info", "Starting DNS scan for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6912", "1566876007.696368", "2", "info", "Scanning DNS A record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6913", "1566876007.705833", "2", "info", "Scanning DNS MX record for theme.entnet7.com");
INSERT INTO `wpky_wfstatus` VALUES("6914", "1566876007.722494", "10", "info", "SUM_ENDOK:Scanning DNS for unauthorized changes");
INSERT INTO `wpky_wfstatus` VALUES("6915", "1566876007.782543", "10", "info", "SUM_START:Scanning to check available disk space");
INSERT INTO `wpky_wfstatus` VALUES("6916", "1566876007.815664", "2", "info", "Total disk space: 1.78 TB -- Free disk space: 1.57 TB");
INSERT INTO `wpky_wfstatus` VALUES("6917", "1566876007.836176", "2", "info", "The disk has 1648968.95 MB available");
INSERT INTO `wpky_wfstatus` VALUES("6918", "1566876007.851518", "10", "info", "SUM_ENDOK:Scanning to check available disk space");
INSERT INTO `wpky_wfstatus` VALUES("6919", "1566876007.916807", "10", "info", "SUM_START:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6920", "1566876007.936191", "10", "info", "SUM_ENDOK:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("6921", "1566876008.001501", "10", "info", "SUM_START:Checking for future GeoIP support");
INSERT INTO `wpky_wfstatus` VALUES("6922", "1566876008.049528", "10", "info", "SUM_ENDOK:Checking for future GeoIP support");
INSERT INTO `wpky_wfstatus` VALUES("6923", "1566876008.104481", "2", "info", "Getting plugin list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6924", "1566876008.143113", "2", "info", "Found 24 plugins");
INSERT INTO `wpky_wfstatus` VALUES("6925", "1566876008.158252", "2", "info", "Getting theme list from WordPress");
INSERT INTO `wpky_wfstatus` VALUES("6926", "1566876008.168659", "2", "info", "Found 4 themes");
INSERT INTO `wpky_wfstatus` VALUES("6927", "1566876008.773261", "10", "info", "SUM_START:Fetching core, theme and plugin file signatures from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6928", "1566876009.752736", "10", "info", "SUM_ENDSUCCESS:Fetching core, theme and plugin file signatures from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6929", "1566876009.801185", "10", "info", "SUM_START:Fetching list of known malware files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6930", "1566876009.818068", "10", "info", "SUM_ENDSUCCESS:Fetching list of known malware files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6931", "1566876009.870016", "10", "info", "SUM_START:Fetching list of known core files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6932", "1566876009.879455", "10", "info", "SUM_ENDSUCCESS:Fetching list of known core files from Wordfence");
INSERT INTO `wpky_wfstatus` VALUES("6933", "1566876009.967470", "10", "info", "SUM_START:Comparing core WordPress files against originals in repository");
INSERT INTO `wpky_wfstatus` VALUES("6934", "1566876010.009446", "10", "info", "SUM_DISABLED:Skipping theme scan");
INSERT INTO `wpky_wfstatus` VALUES("6935", "1566876010.082763", "10", "info", "SUM_DISABLED:Skipping plugin scan");
INSERT INTO `wpky_wfstatus` VALUES("6936", "1566876010.093584", "10", "info", "SUM_START:Scanning for known malware files");
INSERT INTO `wpky_wfstatus` VALUES("6937", "1566876010.153412", "10", "info", "SUM_START:Scanning for unknown files in wp-admin and wp-includes");
INSERT INTO `wpky_wfstatus` VALUES("6938", "1566876010.264217", "2", "info", "500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6939", "1566876010.502444", "2", "info", "1000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6940", "1566876010.690492", "2", "info", "1500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6941", "1566876010.939612", "2", "info", "2000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6942", "1566876011.305662", "2", "info", "2500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6943", "1566876011.486781", "2", "info", "3000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6944", "1566876011.622293", "2", "info", "3500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6945", "1566876011.800501", "2", "info", "4000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6946", "1566876011.947646", "2", "info", "4500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6947", "1566876012.040709", "2", "info", "5000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6948", "1566876012.397774", "2", "info", "5500 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6949", "1566876012.552911", "2", "info", "6000 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6950", "1566876012.598073", "2", "info", "6271 files indexed");
INSERT INTO `wpky_wfstatus` VALUES("6951", "1566876018.441842", "2", "info", "Analyzed 100 files containing 1.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6952", "1566876022.589072", "2", "info", "Analyzed 200 files containing 2.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6953", "1566876026.340494", "2", "info", "Analyzed 300 files containing 3.83 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6954", "1566876030.820845", "2", "info", "Analyzed 400 files containing 6.27 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6955", "1566876036.420879", "2", "info", "Analyzed 500 files containing 7.02 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6956", "1566876040.800638", "2", "info", "Analyzed 600 files containing 7.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6957", "1566876045.362490", "2", "info", "Analyzed 700 files containing 11.23 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6958", "1566876051.036151", "2", "info", "Analyzed 800 files containing 12.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6959", "1566876056.071825", "2", "info", "Analyzed 900 files containing 14.65 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6960", "1566876061.065462", "2", "info", "Analyzed 1000 files containing 22.5 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6961", "1566876067.170598", "2", "info", "Analyzed 1100 files containing 23.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6962", "1566876071.620491", "2", "info", "Analyzed 1200 files containing 24.05 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6963", "1566876075.361873", "2", "info", "Analyzed 1300 files containing 24.9 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6964", "1566876080.956590", "2", "info", "Analyzed 1400 files containing 26.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6965", "1566876085.640434", "2", "info", "Analyzed 1500 files containing 26.61 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6966", "1566876090.337464", "2", "info", "Analyzed 1600 files containing 27.14 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6967", "1566876094.661374", "2", "info", "Analyzed 1700 files containing 27.72 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6968", "1566876099.609889", "2", "info", "Analyzed 1800 files containing 29.84 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6969", "1566876104.061293", "2", "info", "Analyzed 1900 files containing 30.69 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6970", "1566876108.558368", "2", "info", "Analyzed 2000 files containing 30.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6971", "1566876113.641349", "2", "info", "Analyzed 2100 files containing 31.71 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6972", "1566876118.248776", "2", "info", "Analyzed 2200 files containing 32.42 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6973", "1566876123.362948", "2", "info", "Analyzed 2300 files containing 33.45 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6974", "1566876127.083524", "2", "info", "Analyzed 2400 files containing 34.75 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6975", "1566876133.250101", "2", "info", "Analyzed 2500 files containing 36.19 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6976", "1566876137.350382", "2", "info", "Analyzed 2600 files containing 36.62 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6977", "1566876142.057148", "2", "info", "Analyzed 2700 files containing 38 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6978", "1566876146.512563", "2", "info", "Analyzed 2800 files containing 39.73 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6979", "1566876151.381977", "2", "info", "Analyzed 2900 files containing 40.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6980", "1566876156.329301", "2", "info", "Analyzed 3000 files containing 42.21 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6981", "1566876161.823196", "2", "info", "Analyzed 3100 files containing 47.1 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6982", "1566876166.500841", "2", "info", "Analyzed 3200 files containing 49.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6983", "1566876171.574262", "2", "info", "Analyzed 3300 files containing 50.09 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6984", "1566876177.475681", "2", "info", "Analyzed 3400 files containing 51.32 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6985", "1566876182.040069", "2", "info", "Analyzed 3500 files containing 51.85 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6986", "1566876186.620526", "2", "info", "Analyzed 3600 files containing 52.36 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6987", "1566876191.449665", "2", "info", "Analyzed 3700 files containing 52.9 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6988", "1566876196.327289", "2", "info", "Analyzed 3800 files containing 53.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6989", "1566876201.810865", "2", "info", "Analyzed 3900 files containing 53.74 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6990", "1566876206.976779", "2", "info", "Analyzed 4000 files containing 54.12 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6991", "1566876211.354622", "2", "info", "Analyzed 4100 files containing 54.49 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6992", "1566876216.135731", "2", "info", "Analyzed 4200 files containing 56.3 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6993", "1566876221.015427", "2", "info", "Analyzed 4300 files containing 57.76 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6994", "1566876227.462396", "2", "info", "Analyzed 4400 files containing 58.19 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6995", "1566876231.622167", "2", "info", "Analyzed 4500 files containing 58.96 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6996", "1566876236.406040", "2", "info", "Analyzed 4600 files containing 61.52 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6997", "1566876242.171728", "2", "info", "Analyzed 4700 files containing 62.94 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6998", "1566876246.398307", "2", "info", "Analyzed 4800 files containing 67.35 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("6999", "1566876250.403616", "2", "info", "Analyzed 4900 files containing 67.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7000", "1566876254.977716", "2", "info", "Analyzed 5000 files containing 67.99 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7001", "1566876261.257614", "2", "info", "Analyzed 5100 files containing 69.57 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7002", "1566876265.424910", "2", "info", "Analyzed 5200 files containing 73.26 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7003", "1566876270.348130", "2", "info", "Analyzed 5300 files containing 74.35 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7004", "1566876276.100679", "2", "info", "Analyzed 5400 files containing 76.41 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7005", "1566876280.363053", "2", "info", "Analyzed 5500 files containing 78.98 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7006", "1566876285.067575", "2", "info", "Analyzed 5600 files containing 80.67 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7007", "1566876291.836595", "2", "info", "Analyzed 5700 files containing 82.43 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7008", "1566876296.383615", "2", "info", "Analyzed 5800 files containing 93 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7009", "1566876300.983147", "2", "info", "Analyzed 5900 files containing 94.84 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7010", "1566876306.636663", "2", "info", "Analyzed 6000 files containing 97.03 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7011", "1566876311.815689", "2", "info", "Analyzed 6100 files containing 100.53 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7012", "1566876315.492184", "2", "info", "Analyzed 6200 files containing 101.76 MB of data so far");
INSERT INTO `wpky_wfstatus` VALUES("7013", "1566876319.070254", "2", "info", "Analyzed 6271 files containing 103.07 MB of data.");
INSERT INTO `wpky_wfstatus` VALUES("7014", "1566876319.080494", "10", "info", "SUM_ENDOK:Comparing core WordPress files against originals in repository");
INSERT INTO `wpky_wfstatus` VALUES("7015", "1566876319.129584", "10", "info", "SUM_ENDOK:Scanning for unknown files in wp-admin and wp-includes");
INSERT INTO `wpky_wfstatus` VALUES("7016", "1566876319.172639", "10", "info", "SUM_ENDOK:Scanning for known malware files");
INSERT INTO `wpky_wfstatus` VALUES("7017", "1566876319.238458", "10", "info", "SUM_START:Check for publicly accessible configuration files, backup files and logs");
INSERT INTO `wpky_wfstatus` VALUES("7018", "1566876319.272748", "10", "info", "SUM_ENDOK:Check for publicly accessible configuration files, backup files and logs");
INSERT INTO `wpky_wfstatus` VALUES("7019", "1566876319.325453", "10", "info", "SUM_START:Scanning file contents for infections and vulnerabilities");
INSERT INTO `wpky_wfstatus` VALUES("7020", "1566876319.355542", "10", "info", "SUM_START:Scanning file contents for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("7021", "1566876320.675122", "2", "info", "Starting scan of file contents");
INSERT INTO `wpky_wfstatus` VALUES("7022", "1566876322.567844", "2", "info", "Scanned contents of 20 additional files at 19.37 per second");
INSERT INTO `wpky_wfstatus` VALUES("7023", "1566876323.594062", "2", "info", "Scanned contents of 39 additional files at 18.94 per second");
INSERT INTO `wpky_wfstatus` VALUES("7024", "1566876324.614425", "2", "info", "Scanned contents of 55 additional files at 17.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("7025", "1566876325.653600", "2", "info", "Scanned contents of 74 additional files at 17.97 per second");
INSERT INTO `wpky_wfstatus` VALUES("7026", "1566876326.690829", "2", "info", "Scanned contents of 95 additional files at 18.43 per second");
INSERT INTO `wpky_wfstatus` VALUES("7027", "1566876327.704007", "2", "info", "Scanned contents of 109 additional files at 17.67 per second");
INSERT INTO `wpky_wfstatus` VALUES("7028", "1566876328.735377", "2", "info", "Scanned contents of 128 additional files at 17.78 per second");
INSERT INTO `wpky_wfstatus` VALUES("7029", "1566876329.778563", "2", "info", "Scanned contents of 151 additional files at 18.32 per second");
INSERT INTO `wpky_wfstatus` VALUES("7030", "1566876330.792658", "2", "info", "Scanned contents of 177 additional files at 19.12 per second");
INSERT INTO `wpky_wfstatus` VALUES("7031", "1566876331.802785", "2", "info", "Scanned contents of 196 additional files at 19.09 per second");
INSERT INTO `wpky_wfstatus` VALUES("7032", "1566876332.805286", "2", "info", "Scanned contents of 217 additional files at 19.25 per second");
INSERT INTO `wpky_wfstatus` VALUES("7033", "1566876333.882979", "2", "info", "Scanned contents of 235 additional files at 19.03 per second");
INSERT INTO `wpky_wfstatus` VALUES("7034", "1566876334.900279", "2", "info", "Scanned contents of 256 additional files at 19.15 per second");
INSERT INTO `wpky_wfstatus` VALUES("7035", "1566876335.908097", "2", "info", "Scanned contents of 278 additional files at 19.34 per second");
INSERT INTO `wpky_wfstatus` VALUES("7036", "1566876336.926476", "2", "info", "Scanned contents of 295 additional files at 19.17 per second");
INSERT INTO `wpky_wfstatus` VALUES("7037", "1566876338.077547", "2", "info", "Scanned contents of 297 additional files at 17.95 per second");
INSERT INTO `wpky_wfstatus` VALUES("7038", "1566876339.116339", "2", "info", "Scanned contents of 320 additional files at 18.20 per second");
INSERT INTO `wpky_wfstatus` VALUES("7039", "1566876340.215785", "2", "info", "Scanned contents of 343 additional files at 18.36 per second");
INSERT INTO `wpky_wfstatus` VALUES("7040", "1566876341.228840", "2", "info", "Scanned contents of 358 additional files at 18.18 per second");
INSERT INTO `wpky_wfstatus` VALUES("7041", "1566876342.253597", "2", "info", "Scanned contents of 377 additional files at 18.20 per second");
INSERT INTO `wpky_wfstatus` VALUES("7042", "1566876343.359863", "2", "info", "Scanned contents of 399 additional files at 18.28 per second");
INSERT INTO `wpky_wfstatus` VALUES("7043", "1566876344.412431", "2", "info", "Scanned contents of 418 additional files at 18.27 per second");
INSERT INTO `wpky_wfstatus` VALUES("7044", "1566876345.419963", "2", "info", "Scanned contents of 440 additional files at 18.42 per second");
INSERT INTO `wpky_wfstatus` VALUES("7045", "1566876346.438435", "2", "info", "Scanned contents of 461 additional files at 18.51 per second");
INSERT INTO `wpky_wfstatus` VALUES("7046", "1566876347.441430", "2", "info", "Scanned contents of 486 additional files at 18.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("7047", "1566876348.446074", "2", "info", "Scanned contents of 508 additional files at 18.88 per second");
INSERT INTO `wpky_wfstatus` VALUES("7048", "1566876349.463722", "2", "info", "Scanned contents of 525 additional files at 18.80 per second");
INSERT INTO `wpky_wfstatus` VALUES("7049", "1566876350.500487", "2", "info", "Scanned contents of 546 additional files at 18.85 per second");
INSERT INTO `wpky_wfstatus` VALUES("7050", "1566876351.518295", "2", "info", "Scanned contents of 568 additional files at 18.94 per second");
INSERT INTO `wpky_wfstatus` VALUES("7051", "1566876352.522891", "2", "info", "Scanned contents of 585 additional files at 18.88 per second");
INSERT INTO `wpky_wfstatus` VALUES("7052", "1566876354.042911", "2", "info", "Scanned contents of 593 additional files at 18.24 per second");
INSERT INTO `wpky_wfstatus` VALUES("7053", "1566876355.116742", "2", "info", "Scanned contents of 613 additional files at 18.25 per second");
INSERT INTO `wpky_wfstatus` VALUES("7054", "1566876356.177106", "2", "info", "Scanned contents of 634 additional files at 18.30 per second");
INSERT INTO `wpky_wfstatus` VALUES("7055", "1566876357.201680", "2", "info", "Scanned contents of 654 additional files at 18.34 per second");
INSERT INTO `wpky_wfstatus` VALUES("7056", "1566876358.208874", "2", "info", "Scanned contents of 678 additional files at 18.49 per second");
INSERT INTO `wpky_wfstatus` VALUES("7057", "1566876359.228073", "2", "info", "Scanned contents of 707 additional files at 18.76 per second");
INSERT INTO `wpky_wfstatus` VALUES("7058", "1566876360.246162", "2", "info", "Scanned contents of 725 additional files at 18.73 per second");
INSERT INTO `wpky_wfstatus` VALUES("7059", "1566876361.276739", "2", "info", "Scanned contents of 744 additional files at 18.72 per second");
INSERT INTO `wpky_wfstatus` VALUES("7060", "1566876362.283682", "2", "info", "Scanned contents of 766 additional files at 18.80 per second");
INSERT INTO `wpky_wfstatus` VALUES("7061", "1566876363.297650", "2", "info", "Scanned contents of 787 additional files at 18.84 per second");
INSERT INTO `wpky_wfstatus` VALUES("7062", "1566876364.304290", "2", "info", "Scanned contents of 815 additional files at 19.06 per second");
INSERT INTO `wpky_wfstatus` VALUES("7063", "1566876365.325229", "2", "info", "Scanned contents of 839 additional files at 19.16 per second");
INSERT INTO `wpky_wfstatus` VALUES("7064", "1566876366.364551", "2", "info", "Scanned contents of 860 additional files at 19.18 per second");
INSERT INTO `wpky_wfstatus` VALUES("7065", "1566876367.370399", "2", "info", "Scanned contents of 876 additional files at 19.11 per second");
INSERT INTO `wpky_wfstatus` VALUES("7066", "1566876368.383412", "2", "info", "Scanned contents of 894 additional files at 19.08 per second");
INSERT INTO `wpky_wfstatus` VALUES("7067", "1566876370.110422", "2", "info", "Scanned contents of 908 additional files at 18.69 per second");
INSERT INTO `wpky_wfstatus` VALUES("7068", "1566876371.111862", "2", "info", "Scanned contents of 928 additional files at 18.72 per second");
INSERT INTO `wpky_wfstatus` VALUES("7069", "1566876372.164427", "2", "info", "Scanned contents of 946 additional files at 18.68 per second");
INSERT INTO `wpky_wfstatus` VALUES("7070", "1566876373.183886", "2", "info", "Scanned contents of 967 additional files at 18.72 per second");
INSERT INTO `wpky_wfstatus` VALUES("7071", "1566876374.199921", "2", "info", "Scanned contents of 985 additional files at 18.70 per second");
INSERT INTO `wpky_wfstatus` VALUES("7072", "1566876375.226882", "2", "info", "Scanned contents of 1002 additional files at 18.66 per second");
INSERT INTO `wpky_wfstatus` VALUES("7073", "1566876376.287063", "2", "info", "Scanned contents of 1019 additional files at 18.61 per second");
INSERT INTO `wpky_wfstatus` VALUES("7074", "1566876377.352127", "2", "info", "Scanned contents of 1042 additional files at 18.67 per second");
INSERT INTO `wpky_wfstatus` VALUES("7075", "1566876378.432140", "2", "info", "Scanned contents of 1052 additional files at 18.49 per second");
INSERT INTO `wpky_wfstatus` VALUES("7076", "1566876379.514683", "2", "info", "Scanned contents of 1068 additional files at 18.42 per second");
INSERT INTO `wpky_wfstatus` VALUES("7077", "1566876380.520290", "2", "info", "Scanned contents of 1094 additional files at 18.55 per second");
INSERT INTO `wpky_wfstatus` VALUES("7078", "1566876381.538697", "2", "info", "Scanned contents of 1124 additional files at 18.73 per second");
INSERT INTO `wpky_wfstatus` VALUES("7079", "1566876382.539983", "2", "info", "Scanned contents of 1142 additional files at 18.72 per second");
INSERT INTO `wpky_wfstatus` VALUES("7080", "1566876383.564365", "2", "info", "Scanned contents of 1162 additional files at 18.73 per second");
INSERT INTO `wpky_wfstatus` VALUES("7081", "1566876384.575419", "2", "info", "Scanned contents of 1182 additional files at 18.75 per second");
INSERT INTO `wpky_wfstatus` VALUES("7082", "1566876386.124784", "2", "info", "Scanned contents of 1187 additional files at 18.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("7083", "1566876387.177909", "2", "info", "Scanned contents of 1205 additional files at 18.36 per second");
INSERT INTO `wpky_wfstatus` VALUES("7084", "1566876388.196028", "2", "info", "Scanned contents of 1222 additional files at 18.33 per second");
INSERT INTO `wpky_wfstatus` VALUES("7085", "1566876389.213885", "2", "info", "Scanned contents of 1244 additional files at 18.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("7086", "1566876390.243927", "2", "info", "Scanned contents of 1263 additional files at 18.38 per second");
INSERT INTO `wpky_wfstatus` VALUES("7087", "1566876391.258420", "2", "info", "Scanned contents of 1286 additional files at 18.44 per second");
INSERT INTO `wpky_wfstatus` VALUES("7088", "1566876392.259629", "2", "info", "Scanned contents of 1306 additional files at 18.47 per second");
INSERT INTO `wpky_wfstatus` VALUES("7089", "1566876393.260916", "2", "info", "Scanned contents of 1323 additional files at 18.45 per second");
INSERT INTO `wpky_wfstatus` VALUES("7090", "1566876394.287865", "2", "info", "Scanned contents of 1338 additional files at 18.39 per second");
INSERT INTO `wpky_wfstatus` VALUES("7091", "1566876396.617012", "2", "info", "Scanned contents of 1339 additional files at 17.83 per second");
INSERT INTO `wpky_wfstatus` VALUES("7092", "1566876397.673307", "2", "info", "Scanned contents of 1368 additional files at 17.97 per second");
INSERT INTO `wpky_wfstatus` VALUES("7093", "1566876398.685345", "2", "info", "Scanned contents of 1392 additional files at 18.04 per second");
INSERT INTO `wpky_wfstatus` VALUES("7094", "1566876399.699521", "2", "info", "Scanned contents of 1412 additional files at 18.06 per second");
INSERT INTO `wpky_wfstatus` VALUES("7095", "1566876400.710391", "2", "info", "Scanned contents of 1431 additional files at 18.07 per second");
INSERT INTO `wpky_wfstatus` VALUES("7096", "1566876402.114529", "2", "info", "Scanned contents of 1435 additional files at 17.81 per second");
INSERT INTO `wpky_wfstatus` VALUES("7097", "1566876403.118557", "2", "info", "Scanned contents of 1451 additional files at 17.79 per second");
INSERT INTO `wpky_wfstatus` VALUES("7098", "1566876404.142616", "2", "info", "Scanned contents of 1475 additional files at 17.86 per second");
INSERT INTO `wpky_wfstatus` VALUES("7099", "1566876405.146876", "2", "info", "Scanned contents of 1494 additional files at 17.87 per second");
INSERT INTO `wpky_wfstatus` VALUES("7100", "1566876406.154960", "2", "info", "Scanned contents of 1515 additional files at 17.90 per second");
INSERT INTO `wpky_wfstatus` VALUES("7101", "1566876407.197022", "2", "info", "Scanned contents of 1534 additional files at 17.91 per second");
INSERT INTO `wpky_wfstatus` VALUES("7102", "1566876408.311179", "2", "info", "Scanned contents of 1552 additional files at 17.89 per second");
INSERT INTO `wpky_wfstatus` VALUES("7103", "1566876409.350552", "2", "info", "Scanned contents of 1578 additional files at 17.97 per second");
INSERT INTO `wpky_wfstatus` VALUES("7104", "1566876410.363553", "2", "info", "Scanned contents of 1600 additional files at 18.01 per second");
INSERT INTO `wpky_wfstatus` VALUES("7105", "1566876411.388349", "2", "info", "Scanned contents of 1618 additional files at 18.01 per second");
INSERT INTO `wpky_wfstatus` VALUES("7106", "1566876411.642891", "2", "info", "Scanned contents of 1624 additional files at 18.02 per second");
INSERT INTO `wpky_wfstatus` VALUES("7107", "1566876411.658938", "2", "info", "Asking Wordfence to check URLs against malware list.");
INSERT INTO `wpky_wfstatus` VALUES("7108", "1566876411.682320", "2", "info", "Checking 3243 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("7109", "1566876411.996902", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("7110", "1566876412.015362", "2", "info", "Checking 7 URLs from 6 sources.");
INSERT INTO `wpky_wfstatus` VALUES("7111", "1566876412.308860", "2", "info", "Done URL check.");
INSERT INTO `wpky_wfstatus` VALUES("7112", "1566876412.444004", "2", "info", "Done file contents scan");
INSERT INTO `wpky_wfstatus` VALUES("7113", "1566876412.464809", "10", "info", "SUM_ENDOK:Scanning file contents for infections and vulnerabilities");
INSERT INTO `wpky_wfstatus` VALUES("7114", "1566876412.506034", "10", "info", "SUM_ENDOK:Scanning file contents for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("7115", "1566876412.558407", "10", "info", "SUM_START:Scanning for publicly accessible quarantined files");
INSERT INTO `wpky_wfstatus` VALUES("7116", "1566876412.585373", "10", "info", "SUM_ENDOK:Scanning for publicly accessible quarantined files");
INSERT INTO `wpky_wfstatus` VALUES("7117", "1566876412.607864", "10", "info", "SUM_START:Scanning posts for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("7118", "1566876412.712695", "2", "info", "Examining URLs found in posts we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("7119", "1566876412.723225", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("7120", "1566876412.818169", "10", "info", "SUM_ENDOK:Scanning posts for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("7121", "1566876412.851763", "10", "info", "SUM_START:Scanning comments for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("7122", "1566876412.976272", "2", "info", "Checking 4 host keys against Wordfence scanning servers.");
INSERT INTO `wpky_wfstatus` VALUES("7123", "1566876413.281697", "2", "info", "Done host key check.");
INSERT INTO `wpky_wfstatus` VALUES("7124", "1566876413.428145", "10", "info", "SUM_ENDOK:Scanning comments for URLs on a domain blacklist");
INSERT INTO `wpky_wfstatus` VALUES("7125", "1566876413.480977", "10", "info", "SUM_START:Scanning for weak passwords");
INSERT INTO `wpky_wfstatus` VALUES("7126", "1566876413.516654", "2", "info", "Starting password strength check on 1 users.");
INSERT INTO `wpky_wfstatus` VALUES("7127", "1566876413.535446", "10", "info", "SUM_ENDOK:Scanning for weak passwords");
INSERT INTO `wpky_wfstatus` VALUES("7128", "1566876413.602457", "10", "info", "SUM_START:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("7129", "1566876417.037473", "10", "info", "SUM_ENDBAD:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("7130", "1566876418.101928", "10", "info", "SUM_START:Scanning for admin users not created through WordPress");
INSERT INTO `wpky_wfstatus` VALUES("7131", "1566876418.152636", "10", "info", "SUM_ENDOK:Scanning for admin users not created through WordPress");
INSERT INTO `wpky_wfstatus` VALUES("7132", "1566876418.188430", "10", "info", "SUM_START:Scanning for suspicious site options");
INSERT INTO `wpky_wfstatus` VALUES("7133", "1566876418.300867", "2", "info", "Examining URLs found in the options we scanned for dangerous websites");
INSERT INTO `wpky_wfstatus` VALUES("7134", "1566876418.311683", "2", "info", "Done examining URLs");
INSERT INTO `wpky_wfstatus` VALUES("7135", "1566876418.542971", "10", "info", "SUM_ENDOK:Scanning for suspicious site options");
INSERT INTO `wpky_wfstatus` VALUES("7136", "1566876418.571099", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("7137", "1566876418.582289", "2", "info", "Wordfence used 21.95 MB of memory for scan. Server peak memory usage was: 53.95 MB");
INSERT INTO `wpky_wfstatus` VALUES("7138", "1566876418.593472", "1", "info", "Scan Complete. Scanned 6271 files, 24 plugins, 4 themes, 2 posts, 1 comments and 1194 URLs in 6 minutes 58 seconds.");
INSERT INTO `wpky_wfstatus` VALUES("7139", "1566876418.614699", "10", "info", "SUM_FINAL:Scan complete. You have 3 new issues to fix. See below.");
INSERT INTO `wpky_wfstatus` VALUES("7140", "1588360818.489357", "10", "info", "SUM_PREP:Preparing a new scan.");
INSERT INTO `wpky_wfstatus` VALUES("7141", "1588360818.494977", "1", "info", "Initiating quick scan");
INSERT INTO `wpky_wfstatus` VALUES("7142", "1588360818.502638", "10", "info", "SUM_START:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("7143", "1588360818.505070", "10", "info", "SUM_ENDOK:Checking Web Application Firewall status");
INSERT INTO `wpky_wfstatus` VALUES("7144", "1588360818.515191", "10", "info", "SUM_START:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("7145", "1588360818.551163", "10", "info", "SUM_ENDOK:Scanning for old themes, plugins and core files");
INSERT INTO `wpky_wfstatus` VALUES("7146", "1588360818.557074", "1", "info", "-------------------");
INSERT INTO `wpky_wfstatus` VALUES("7147", "1588360818.561065", "2", "info", "Wordfence used 0 B of memory for scan. Server peak memory usage was: 34 MB");
INSERT INTO `wpky_wfstatus` VALUES("7148", "1588360818.562981", "1", "info", "Quick Scan Complete. Scanned in less than 1 second.");
INSERT INTO `wpky_wfstatus` VALUES("7149", "1588360818.565035", "10", "info", "SUM_FINAL:Scan complete. Congratulations, no new problems found.");

/* INSERT TABLE DATA: wpky_wpforms_tasks_meta */
INSERT INTO `wpky_wpforms_tasks_meta` VALUES("3", "wpforms_process_entry_emails_meta_cleanup", "Wzg2NDAwXQ==", "2020-05-01 19:19:35");
INSERT INTO `wpky_wpforms_tasks_meta` VALUES("6", "wpforms_builder_help_cache_update", "W10=", "2020-11-03 21:16:48");
INSERT INTO `wpky_wpforms_tasks_meta` VALUES("10", "wpforms_admin_addons_cache_update", "W10=", "2022-03-03 20:59:50");
INSERT INTO `wpky_wpforms_tasks_meta` VALUES("11", "wpforms_admin_builder_templates_cache_update", "W10=", "2022-03-03 20:59:50");
INSERT INTO `wpky_wpforms_tasks_meta` VALUES("16", "wpforms_process_forms_locator_scan", "W10=", "2022-11-10 17:24:10");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2022-11-10 19:45:41*/
/* DUPLICATOR_MYSQLDUMP_EOF */
